$( -*-text-*- $)

$( Scott - look for "16-Apr-2015" to see what I changed.  Then you
   can delete those comments. -Norm $)

$(
###############################################################################
            CLASSICAL FIRST ORDER LOGIC WITH EQUALITY
###############################################################################
$)

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                           Pre-logic
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $( Declare the primitive constant symbols for propositional calculus. $)
  $c ( $.  $( Left parenthesis $)
  $c ) $.  $( Right parenthesis $)
  $c -> $. $( Right arrow (read:  "implies") $)
  $c -. $. $( Right handle (read:  "not") $)
  $c wff $. $( Well-formed formula symbol (read:  "the following symbol
               sequence is a wff") $)
  $c |- $. $( Turnstile (read:  "the following symbol sequence is provable" or
              'a proof exists for") $)

  $( wff variable sequence:  ph ps ch th ta et ze si rh mu la ka $)
  $( Introduce some variable names we will use to represent well-formed
     formulas (wff's). $)
  $v ph $.  $( Greek phi $)
  $v ps $.  $( Greek psi $)
  $v ch $.  $( Greek chi $)
  $v th $.  $( Greek theta $)
  $v ta $.  $( Greek tau $)
  $v et $.  $( Greek eta $)
  $v ze $.  $( Greek zeta $)
  $v si $.  $( Greek sigma $)
  $v rh $.  $( Greek rho $)
  $v mu $.  $( Greek mu $)
  $v la $.  $( Greek lambda $)
  $v ka $.  $( Greek kappa $)

  $( Specify some variables that we will use to represent wff's.
     The fact that a variable represents a wff is relevant only to a theorem
     referring to that variable, so we may use $f hypotheses.  The symbol
     ` wff ` specifies that the variable that follows it represents a wff. $)
  $( Let variable ` ph ` be a wff. $)
  wph $f wff ph $.
  $( Let variable ` ps ` be a wff. $)
  wps $f wff ps $.
  $( Let variable ` ch ` be a wff. $)
  wch $f wff ch $.
  $( Let variable ` th ` be a wff. $)
  wth $f wff th $.
  $( Let variable ` ta ` be a wff. $)
  wta $f wff ta $.
  $( Let variable ` et ` be a wff. $)
  wet $f wff et $.
  $( Let variable ` ze ` be a wff. $)
  wze $f wff ze $.
  $( Let variable ` si ` be a wff. $)
  wsi $f wff si $.
  $( Let variable ` rh ` be a wff. $)
  wrh $f wff rh $.
  $( Let variable ` mu ` be a wff. $)
  wmu $f wff mu $.
  $( Let variable ` la ` be a wff. $)
  wla $f wff la $.
  $( Let variable ` ka ` be a wff. $)
  wka $f wff ka $.

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Inferences for assisting proof development
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    dummylink.1 $e |- ph $.
    dummylink.2 $e |- ps $.
    $( (_Note_:  This inference rule and the next one, ~ idi , will normally
       never appear in a completed proof.  It can be ignored if you are using
       this database to assist learning logic - please start with the statement
       ~ wn instead.)

       This is a technical inference to assist proof development.  It provides
       a temporary way to add an independent subproof to a proof under
       development, for later assignment to a normal proof step.

       The metamath program's Proof Assistant requires proofs to be developed
       backwards from the conclusion with no gaps, and it has no mechanism that
       lets the user to work on isolated subproofs.  This inference provides a
       workaround for this limitation.  It can be inserted at any point in a
       proof to allow an independent subproof to be developed on the side, for
       later use as part of the final proof.

       _Instructions_:  (1) Assign this inference to any unknown step in the
       proof.  Typically, the last unknown step is the most convenient, since
       'assign last' can be used.  This step will be replicated in hypothesis
       dummylink.1, from where the development of the main proof can continue.
       (2) Develop the independent subproof backwards from hypothesis
       dummylink.2.  If desired, use a 'let' command to pre-assign the
       conclusion of the independent subproof to dummylink.2.  (3) After the
       independent subproof is complete, use 'improve all' to assign it
       automatically to an unknown step in the main proof that matches it.  (4)
       After the entire proof is complete, use 'minimize *' to clean up
       (discard) all dummylink references automatically.

       This inference was originally designed to assist importing partially
       completed Proof Worksheets from the mmj2 Proof Assistant GUI, but it can
       also be useful on its own.  Interestingly, no axioms are required for
       its proof. $)
    dummylink $p |- ph $=
      (  ) C $.
      $( [7-Feb-2006] $)
  $}

  ${
    idi.1 $e |- ph $.
    $( Inference form of ~ id .  This inference rule, which requires no axioms
       for its proof, is useful as a copy-paste mechanism during proof
       development in mmj2.  It is normally not referenced in the final version
       of a proof, since it is always redundant and can be removed using the
       'minimize *' command in the metamath program's Proof Assistant.
       (Contributed by Alan Sare, 31-Dec-2011.) $)
    idi $p |- ph $=
      (  ) B $.
      $( [31-Dec-2011] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                           Propositional calculus
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Recursively define primitive wffs for propositional calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( If ` ph ` is a wff, so is ` -. ph ` or "not ` ph ` ."  Part of the
     recursive definition of a wff (well-formed formula).  In classical logic
     (which is our logic), a wff is interpreted as either true or false.  So if
     ` ph ` is true, then ` -. ph ` is false; if ` ph ` is false, then
     ` -. ph ` is true.  Traditionally, Greek letters are used to represent
     wffs, and we follow this convention.  In propositional calculus, we define
     only wffs built up from other wffs, i.e. there is no starting or "atomic"
     wff.  Later, in predicate calculus, we will extend the basic wff
     definition by including atomic wffs ( ~ weq and ~ wel ). $)
  wn $a wff -. ph $.

  $( If ` ph ` and ` ps ` are wff's, so is ` ( ph -> ps ) ` or " ` ph ` implies
     ` ps ` ."  Part of the recursive definition of a wff.  The resulting wff
     is (interpreted as) false when ` ph ` is true and ` ps ` is false; it is
     true otherwise.  (Think of the truth table for an OR gate with input
     ` ph ` connected through an inverter.)  The left-hand wff is called the
     antecedent, and the right-hand wff is called the consequent.  In the case
     of ` ( ph -> ( ps -> ch ) ) ` , the middle ` ps ` may be informally called
     either an antecedent or part of the consequent depending on context. $)
  wi $a wff ( ph -> ps ) $.

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The axioms of propositional calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $(
     Postulate the three axioms of classical propositional calculus.
  $)

  $( Axiom _Simp_.  Axiom A1 of [Margaris] p. 49.  One of the 3 axioms of
     propositional calculus.  The 3 axioms are also given as Definition 2.1 of
     [Hamilton] p. 28.  This axiom is called _Simp_ or "the principle of
     simplification" in _Principia Mathematica_ (Theorem *2.02 of
     [WhiteheadRussell] p. 100) because "it enables us to pass from the joint
     assertion of ` ph ` and ` ps ` to the assertion of ` ph ` simply."

     _General remarks_:  Propositional calculus (axioms ~ ax-1 through ~ ax-3
     and rule ~ ax-mp ) can be thought of as asserting formulas that are
     universally "true" when their variables are replaced by any combination of
     "true" and "false."  Propositional calculus was first formalized by Frege
     in 1879, using as his axioms (in addition to rule ~ ax-mp ) the wffs
     ~ ax-1 , ~ ax-2 , ~ pm2.04 , ~ con3 , ~ notnot2 , and ~ notnot1 .  Around
     1930, Lukasiewicz simplified the system by eliminating the third (which
     follows from the first two, as you can see by looking at the proof of
     ~ pm2.04 ) and replacing the last three with our ~ ax-3 .  (Thanks to Ted
     Ulrich for this information.)

     The theorems of propositional calculus are also called _tautologies_.
     Tautologies can be proved very simply using truth tables, based on the
     true/false interpretation of propositional calculus.  To do this, we
     assign all possible combinations of true and false to the wff variables
     and verify that the result (using the rules described in ~ wi and ~ wn )
     always evaluates to true.  This is called the _semantic_ approach.  Our
     approach is called the _syntactic_ approach, in which everything is
     derived from axioms.  A metatheorem called the Completeness Theorem for
     Propositional Calculus shows that the two approaches are equivalent and
     even provides an algorithm for automatically generating syntactic proofs
     from a truth table.  Those proofs, however, tend to be long, since truth
     tables grow exponentially with the number of variables, and the much
     shorter proofs that we show here were found manually. $)
  ax-1 $a |- ( ph -> ( ps -> ph ) ) $.

  $( Axiom _Frege_.  Axiom A2 of [Margaris] p. 49.  One of the 3 axioms of
     propositional calculus.  It "distributes" an antecedent over two
     consequents.  This axiom was part of Frege's original system and is known
     as _Frege_ in the literature.  It is also proved as Theorem *2.77 of
     [WhiteheadRussell] p. 108.  The other direction of this axiom also turns
     out to be true, as demonstrated by ~ pm5.41 . $)
  ax-2 $a |- ( ( ph -> ( ps -> ch ) ) -> ( ( ph -> ps ) -> ( ph -> ch ) ) ) $.

  $( Axiom _Transp_.  Axiom A3 of [Margaris] p. 49.  One of the 3 axioms of
     propositional calculus.  It swaps or "transposes" the order of the
     consequents when negation is removed.  An informal example is that the
     statement "if there are no clouds in the sky, it is not raining" implies
     the statement "if it is raining, there are clouds in the sky."  This axiom
     is called _Transp_ or "the principle of transposition" in _Principia
     Mathematica_ (Theorem *2.17 of [WhiteheadRussell] p. 103).  We will also
     use the term "contraposition" for this principle, although the reader is
     advised that in the field of philosophical logic, "contraposition" has a
     different technical meaning. $)
  ax-3 $a |- ( ( -. ph -> -. ps ) -> ( ps -> ph ) ) $.

  $(
     Postulate the modus ponens rule of inference.
  $)

  ${
    $( Minor premise for modus ponens. $)
    min $e |- ph $.
    $( Major premise for modus ponens. $)
    maj $e |- ( ph -> ps ) $.
    $( Rule of Modus Ponens.  The postulated inference rule of propositional
       calculus.  See e.g.  Rule 1 of [Hamilton] p. 73.  The rule says, "if
       ` ph ` is true, and ` ph ` implies ` ps ` , then ` ps ` must also be
       true."  This rule is sometimes called "detachment," since it detaches
       the minor premise from the major premise.

       Note:  In some web page displays such as the Statement List, the symbols
       "&" and "=>" informally indicate the relationship between the hypotheses
       and the assertion (conclusion), abbreviating the English words "and" and
       "implies."  They are not part of the formal language. $)
    ax-mp $a |- ps $.
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Logical implication
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$( The results in this section are based on implication only, and avoid ax-3.
   In an implication, the wff before the arrow is called the "antecedent" and
   the wff after the arrow is called the "consequent." $)

$( We will use the following descriptive terms very loosely:  A "closed form"
   or "tautology" has no $e hypotheses.  An "inference" has one or more $e
   hypotheses.  A "deduction" is an inference in which the hypotheses and the
   conclusion share the same antecedent. $)

  ${
    mp2b.1 $e |- ph $.
    mp2b.2 $e |- ( ph -> ps ) $.
    mp2b.3 $e |- ( ps -> ch ) $.
    $( A double modus ponens inference.  (Contributed by Mario Carneiro,
       24-Jan-2013.) $)
    mp2b $p |- ch $=
      ( ax-mp ) BCABDEGFG $.
      $( [24-Jan-2013] $)
  $}

  ${
    $( Premise for ~ a1i . $)
    a1i.1 $e |- ph $.
    $( Inference derived from axiom ~ ax-1 .  See ~ a1d for an explanation of
       our informal use of the terms "inference" and "deduction."  See also the
       comment in ~ syld . $)
    a1i $p |- ( ps -> ph ) $=
      ( wi ax-1 ax-mp ) ABADCABEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    $( Premise for ~ a2i . $)
    a2i.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference derived from axiom ~ ax-2 . $)
    a2i $p |- ( ( ph -> ps ) -> ( ph -> ch ) ) $=
      ( wi ax-2 ax-mp ) ABCEEABEACEEDABCFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    imim2i.1 $e |- ( ph -> ps ) $.
    $( Inference adding common antecedents in an implication. $)
    imim2i $p |- ( ( ch -> ph ) -> ( ch -> ps ) ) $=
      ( wi a1i a2i ) CABABECDFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    mpd.1 $e |- ( ph -> ps ) $.
    mpd.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( A modus ponens deduction. $)
    mpd $p |- ( ph -> ch ) $=
      ( wi a2i ax-mp ) ABFACFDABCEGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    $( First of 2 premises for ~ syl . $)
    syl.1 $e |- ( ph -> ps ) $.
    $( Second of 2 premises for ~ syl . $)
    syl.2 $e |- ( ps -> ch ) $.
    $( An inference version of the transitive laws for implication ~ imim2 and
       ~ imim1 , which Russell and Whitehead call "the principle of the
       syllogism...because...the syllogism in Barbara is derived from them"
       (quote after Theorem *2.06 of [WhiteheadRussell] p. 101).  Some authors
       call this law a "hypothetical syllogism."  (The proof was shortened by
       O'Cat, 20-Oct-2011.)  (The proof was shortened by Wolf Lammen,
       26-Jul-2012.)

       (A bit of trivia: this is the most commonly referenced assertion in our
       database.  In second place is ~ ax-mp , followed by ~ vex , ~ bitri ,
       ~ imp , and ~ ex .  The Metamath program command 'show usage' shows the
       number of references.) $)
    syl $p |- ( ph -> ch ) $=
      ( wi a1i mpd ) ABCDBCFAEGH $.
      $( [27-Jul-2012] $) $( [5-Aug-1993] $)
  $}

  ${
    mpi.1 $e |- ps $.
    mpi.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( A nested modus ponens inference.  (The proof was shortened by Stefan
       Allan, 20-Mar-2006.) $)
    mpi $p |- ( ph -> ch ) $=
      ( a1i mpd ) ABCBADFEG $.
      $( [20-Mar-2006] $) $( [5-Aug-1993] $)
  $}

  ${
    mp2.1 $e |- ph $.
    mp2.2 $e |- ps $.
    mp2.3 $e |- ( ph -> ( ps -> ch ) ) $.
    $( A double modus ponens inference.  (The proof was shortened by Wolf
       Lammen, 23-Jul-2013.) $)
    mp2 $p |- ch $=
      ( mpi ax-mp ) ACDABCEFGH $.
      $( [23-Jul-2013] $) $( [5-Apr-1994] $)
  $}

  ${
    3syl.1 $e |- ( ph -> ps ) $.
    3syl.2 $e |- ( ps -> ch ) $.
    3syl.3 $e |- ( ch -> th ) $.
    $( Inference chaining two syllogisms. $)
    3syl $p |- ( ph -> th ) $=
      ( syl ) ACDABCEFHGH $.
      $( [5-Aug-1993] $)
  $}

  $( Principle of identity.  Theorem *2.08 of [WhiteheadRussell] p. 101.  For
     another version of the proof directly from axioms, see ~ id1 .  (The proof
     was shortened by Stefan Allan, 20-Mar-2006.) $)
  id $p |- ( ph -> ph ) $=
    ( wi ax-1 mpd ) AAABZAAACAECD $.
    $( [20-Mar-2006] $)

  $( Principle of identity.  Theorem *2.08 of [WhiteheadRussell] p. 101.  This
     version is proved directly from the axioms for demonstration purposes.
     This proof is a popular example in the literature and is identical, step
     for step, to the proofs of Theorem 1 of [Margaris] p. 51, Example 2.7(a)
     of [Hamilton] p. 31, Lemma 10.3 of [BellMachover] p. 36, and Lemma 1.8 of
     [Mendelson] p. 36.  It is also "Our first proof" in Hirst and Hirst's _A
     Primer for Logic and Proof_ p. 17 (PDF p. 23) at
     ~ http://www.mathsci.appstate.edu/~~jlh/primer/hirst.pdf .  For a shorter
     version of the proof that takes advantage of previously proved theorems,
     see ~ id . $)
  id1 $p |- ( ph -> ph ) $=
    ( wi ax-1 ax-2 ax-mp ) AAABZBZFAACAFABBGFBAFCAFADEE $.
    $( [5-Aug-1993] $)

  $( Principle of identity with antecedent. $)
  idd $p |- ( ph -> ( ps -> ps ) ) $=
    ( wi id a1i ) BBCABDE $.
    $( [26-Nov-1995] $)

  ${
    a1d.1 $e |- ( ph -> ps ) $.
    $( Deduction introducing an embedded antecedent.  (The proof was revised by
       Stefan Allan, 20-Mar-2006.)

       _Naming convention_:  We often call a theorem a "deduction" and suffix
       its label with "d" whenever the hypotheses and conclusion are each
       prefixed with the same antecedent.  This allows us to use the theorem in
       places where (in traditional textbook formalizations) the standard
       Deduction Theorem would be used; here ` ph ` would be replaced with a
       conjunction ( ~ df-an ) of the hypotheses of the would-be deduction.  By
       contrast, we tend to call the simpler version with no common antecedent
       an "inference" and suffix its label with "i"; compare theorem ~ a1i .
       Finally, a "theorem" would be the form with no hypotheses; in this case
       the "theorem" form would be the original axiom ~ ax-1 .  We usually show
       the theorem form without a suffix on its label (e.g. ~ pm2.43 vs.
       ~ pm2.43i vs. ~ pm2.43d ).  When an inference is converted to a theorem
       by eliminating an "is a set" hypothesis, we sometimes suffix the theorem
       form with "g" (for "more general") as in ~ uniex vs. ~ uniexg . $)
    a1d $p |- ( ph -> ( ch -> ps ) ) $=
      ( wi ax-1 syl ) ABCBEDBCFG $.
      $( [20-Mar-2006] $) $( [5-Aug-1993] $)
  $}

  ${
    a2d.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( Deduction distributing an embedded antecedent. $)
    a2d $p |- ( ph -> ( ( ps -> ch ) -> ( ps -> th ) ) ) $=
      ( wi ax-2 syl ) ABCDFFBCFBDFFEBCDGH $.
      $( [23-Jun-1994] $)
  $}

  ${
    a1ii.1 $e |- ch $.
    $( Add two antecedents to a wff.  (Contributed by Jeff Hankins,
       4-Aug-2009.)  (The proof was shortened by Wolf Lammen, 23-Jul-2013.) $)
    a1ii $p |- ( ph -> ( ps -> ch ) ) $=
      ( a1i a1d ) ACBCADEF $.
      $( [23-Jul-2013] $) $( [4-Aug-2009] $)
  $}

  ${
    sylcom.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylcom.2 $e |- ( ps -> ( ch -> th ) ) $.
    $( Syllogism inference with commutation of antecedents.  (The proof was
       shortened by O'Cat, 2-Feb-2006.)  (The proof was shortened by Stefan
       Allan, 23-Feb-2006.) $)
    sylcom $p |- ( ph -> ( ps -> th ) ) $=
      ( wi a2i syl ) ABCGBDGEBCDFHI $.
      $( [23-Feb-2006] $) $( [29-Aug-2004] $)
  $}

  ${
    syl5com.1 $e |- ( ph -> ps ) $.
    syl5com.2 $e |- ( ch -> ( ps -> th ) ) $.
    $( Syllogism inference with commuted antecedents. $)
    syl5com $p |- ( ph -> ( ch -> th ) ) $=
      ( a1d sylcom ) ACBDABCEGFH $.
      $( [24-May-2005] $)
  $}

  ${
    $( Premise for ~ com12 .  See ~ pm2.04 for the theorem form. $)
    com12.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference that swaps (commutes) antecedents in an implication.  (The
       proof was shortened by Wolf Lammen, 4-Aug-2012.) $)
    com12 $p |- ( ps -> ( ph -> ch ) ) $=
      ( id syl5com ) BBACBEDF $.
      $( [4-Aug-2012] $) $( [5-Aug-1993] $)
  $}

  ${
    syl5.1 $e |- ( ph -> ps ) $.
    syl5.2 $e |- ( ch -> ( ps -> th ) ) $.
    $( A syllogism rule of inference.  The second premise is used to replace
       the second antecedent of the first premise.  (The proof was shortened by
       Wolf Lammen, 25-May-2013.) $)
    syl5 $p |- ( ch -> ( ph -> th ) ) $=
      ( syl5com com12 ) ACDABCDEFGH $.
      $( [25-May-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    syl6.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6.2 $e |- ( ch -> th ) $.
    $( A syllogism rule of inference.  The second premise is used to replace
       the consequent of the first premise.  (The proof was shortened by Wolf
       Lammen, 30-Jul-2012.) $)
    syl6 $p |- ( ph -> ( ps -> th ) ) $=
      ( wi a1i sylcom ) ABCDECDGBFHI $.
      $( [31-Jul-2012] $) $( [5-Aug-1993] $)
  $}

  ${
    syl56.1 $e |- ( ph -> ps ) $.
    syl56.2 $e |- ( ch -> ( ps -> th ) ) $.
    syl56.3 $e |- ( th -> ta ) $.
    $( Combine ~ syl5 and ~ syl6 . $)
    syl56 $p |- ( ch -> ( ph -> ta ) ) $=
      ( syl6 syl5 ) ABCEFCBDEGHIJ $.
      $( [14-Nov-2013] $)
  $}

  ${
    syl6com.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6com.2 $e |- ( ch -> th ) $.
    $( Syllogism inference with commuted antecedents. $)
    syl6com $p |- ( ps -> ( ph -> th ) ) $=
      ( syl6 com12 ) ABDABCDEFGH $.
      $( [25-May-2005] $)
  $}

  ${
    mpcom.1 $e |- ( ps -> ph ) $.
    mpcom.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Modus ponens inference with commutation of antecedents. $)
    mpcom $p |- ( ps -> ch ) $=
      ( com12 mpd ) BACDABCEFG $.
      $( [17-Mar-1996] $)
  $}

  ${
    syli.1 $e |- ( ps -> ( ph -> ch ) ) $.
    syli.2 $e |- ( ch -> ( ph -> th ) ) $.
    $( Syllogism inference with common nested antecedent. $)
    syli $p |- ( ps -> ( ph -> th ) ) $=
      ( com12 sylcom ) BACDECADFGH $.
      $( [4-Nov-2004] $)
  $}

  ${
    syl2im.1 $e |- ( ph -> ps ) $.
    syl2im.2 $e |- ( ch -> th ) $.
    syl2im.3 $e |- ( ps -> ( th -> ta ) ) $.
    $( Replace two antecedents.  Implication-only version of ~ syl2an .
       (Contributed by Wolf Lammen, 14-May-2013.) $)
    syl2im $p |- ( ph -> ( ch -> ta ) ) $=
      ( wi syl5 syl ) ABCEIFCDBEGHJK $.
      $( [14-May-2013] $)
  $}

  $( This theorem, called "Assertion," can be thought of as closed form of
     modus ponens ~ ax-mp .  Theorem *2.27 of [WhiteheadRussell] p. 104. $)
  pm2.27 $p |- ( ph -> ( ( ph -> ps ) -> ps ) ) $=
    ( wi id com12 ) ABCZABFDE $.
    $( [5-Aug-1993] $)

  ${
    mpdd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    mpdd.2 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( A nested modus ponens deduction. $)
    mpdd $p |- ( ph -> ( ps -> th ) ) $=
      ( wi a2d mpd ) ABCGBDGEABCDFHI $.
      $( [12-Dec-2004] $)
  $}

  ${
    mpid.1 $e |- ( ph -> ch ) $.
    mpid.2 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( A nested modus ponens deduction. $)
    mpid $p |- ( ph -> ( ps -> th ) ) $=
      ( a1d mpdd ) ABCDACBEGFH $.
      $( [14-Dec-2004] $)
  $}

  ${
    mpdi.1 $e |- ( ps -> ch ) $.
    mpdi.2 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( A nested modus ponens deduction.  (The proof was shortened by O'Cat,
       15-Jan-2008.) $)
    mpdi $p |- ( ph -> ( ps -> th ) ) $=
      ( wi a1i mpdd ) ABCDBCGAEHFI $.
      $( [15-Jan-2008] $) $( [16-Apr-2005] $)
  $}

  ${
    mpii.1 $e |- ch $.
    mpii.2 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( A doubly nested modus ponens inference.  (The proof was shortened by
       Wolf Lammen, 31-Jul-2012.) $)
    mpii $p |- ( ph -> ( ps -> th ) ) $=
      ( a1i mpdi ) ABCDCBEGFH $.
      $( [31-Jul-2012] $) $( [31-Dec-1993] $)
  $}

  ${
    syld.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syld.2 $e |- ( ph -> ( ch -> th ) ) $.
    $( Syllogism deduction.  (The proof was shortened by O'Cat, 19-Feb-2008.)
       (The proof was shortened by Wolf Lammen, 3-Aug-2012.)

       Notice that ~ syld has the same form as ~ syl with ` ph ` added in front
       of each hypothesis and conclusion.  When all theorems referenced in a
       proof are converted in this way, we can replace ` ph ` with a hypothesis
       of the proof, allowing the hypothesis to be eliminated with ~ id and
       become an antecedent.  The Deduction Theorem for propositional calculus,
       e.g.  Theorem 3 in [Margaris] p. 56, tells us that this procedure is
       always possible. $)
    syld $p |- ( ph -> ( ps -> th ) ) $=
      ( wi a1d mpdd ) ABCDEACDGBFHI $.
      $( [3-Aug-2012] $) $( [5-Aug-1993] $)
  $}

  ${
    mp2d.1 $e |- ( ph -> ps ) $.
    mp2d.2 $e |- ( ph -> ch ) $.
    mp2d.3 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( A double modus ponens deduction.  (The proof was shortened by Wolf
       Lammen, 23-Jul-2013.) $)
    mp2d $p |- ( ph -> th ) $=
      ( mpid mpd ) ABDEABCDFGHI $.
      $( [23-Jul-2013] $) $( [23-May-2013] $)
  $}

  ${
    a1dd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction introducing a nested embedded antecedent.  (The proof was
       shortened by O'Cat, 15-Jan-2008.) $)
    a1dd $p |- ( ph -> ( ps -> ( th -> ch ) ) ) $=
      ( wi ax-1 syl6 ) ABCDCFECDGH $.
      $( [15-Jan-2008] $) $( [17-Dec-2004] $)
  $}

  ${
    pm2.43i.1 $e |- ( ph -> ( ph -> ps ) ) $.
    $( Inference absorbing redundant antecedent.  (The proof was shortened by
       O'Cat, 28-Nov-2008.) $)
    pm2.43i $p |- ( ph -> ps ) $=
      ( id mpd ) AABADCE $.
      $( [29-Nov-2008] $) $( [5-Aug-1993] $)
  $}

  ${
    pm2.43d.1 $e |- ( ph -> ( ps -> ( ps -> ch ) ) ) $.
    $( Deduction absorbing redundant antecedent.  (The proof was shortened by
       O'Cat, 28-Nov-2008.) $)
    pm2.43d $p |- ( ph -> ( ps -> ch ) ) $=
      ( id mpdi ) ABBCBEDF $.
      $( [29-Nov-2008] $) $( [18-Aug-1993] $)
  $}

  ${
    pm2.43a.1 $e |- ( ps -> ( ph -> ( ps -> ch ) ) ) $.
    $( Inference absorbing redundant antecedent.  (The proof was shortened by
       O'Cat, 28-Nov-2008.) $)
    pm2.43a $p |- ( ps -> ( ph -> ch ) ) $=
      ( id mpid ) BABCBEDF $.
      $( [29-Nov-2008] $) $( [7-Nov-1995] $)
  $}

  ${
    pm2.43b.1 $e |- ( ps -> ( ph -> ( ps -> ch ) ) ) $.
    $( Inference absorbing redundant antecedent. $)
    pm2.43b $p |- ( ph -> ( ps -> ch ) ) $=
      ( pm2.43a com12 ) BACABCDEF $.
      $( [31-Oct-1995] $)
  $}

  $( Absorption of redundant antecedent.  Also called the "Contraction" or
     "Hilbert" axiom.  Theorem *2.43 of [WhiteheadRussell] p. 106.  (The proof
     was shortened by O'Cat, 15-Aug-2004.) $)
  pm2.43 $p |- ( ( ph -> ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wi pm2.27 a2i ) AABCBABDE $.
    $( [15-Aug-2004] $) $( [5-Aug-1993] $)

  ${
    imim2d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction adding nested antecedents. $)
    imim2d $p |- ( ph -> ( ( th -> ps ) -> ( th -> ch ) ) ) $=
      ( wi a1d a2d ) ADBCABCFDEGH $.
      $( [5-Aug-1993] $)
  $}

  $( A closed form of syllogism (see ~ syl ).  Theorem *2.05 of
     [WhiteheadRussell] p. 100.  (The proof was shortened by Wolf Lammen,
     6-Sep-2012.) $)
  imim2 $p |- ( ( ph -> ps ) -> ( ( ch -> ph ) -> ( ch -> ps ) ) ) $=
    ( wi id imim2d ) ABDZABCGEF $.
    $( [6-Sep-2012] $) $( [5-Aug-1993] $)

  ${
    embantd.1 $e |- ( ph -> ps ) $.
    embantd.2 $e |- ( ph -> ( ch -> th ) ) $.
    $( Deduction embedding an antecedent.  (Contributed by Wolf Lammen,
       4-Oct-2013.) $)
    embantd $p |- ( ph -> ( ( ps -> ch ) -> th ) ) $=
      ( wi imim2d mpid ) ABCGBDEACDBFHI $.
      $( [15-Jan-2014] $) $( [4-Oct-2013] $)
  $}

  ${
    3syld.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3syld.2 $e |- ( ph -> ( ch -> th ) ) $.
    3syld.3 $e |- ( ph -> ( th -> ta ) ) $.
    $( Triple syllogism deduction.  (Contributed by Jeff Hankins,
       4-Aug-2009.) $)
    3syld $p |- ( ph -> ( ps -> ta ) ) $=
      ( syld ) ABDEABCDFGIHI $.
      $( [24-Sep-2010] $) $( [4-Aug-2009] $)
  $}

  ${
    sylsyld.1 $e |- ( ph -> ps ) $.
    sylsyld.2 $e |- ( ph -> ( ch -> th ) ) $.
    sylsyld.3 $e |- ( ps -> ( th -> ta ) ) $.
    $( Virtual deduction rule without virtual deduction symbols.  (Contributed
       by Alan Sare, 20-Apr-2011.) $)
    sylsyld $p |- ( ph -> ( ch -> ta ) ) $=
      ( wi syl syld ) ACDEGABDEIFHJK $.
      $( [20-Apr-2011] $)
  $}

  ${
    imim12i.1 $e |- ( ph -> ps ) $.
    imim12i.2 $e |- ( ch -> th ) $.
    $( Inference joining two implications.  (The proof was shortened by O'Cat,
       29-Oct-2011.) $)
    imim12i $p |- ( ( ps -> ch ) -> ( ph -> th ) ) $=
      ( wi imim2i syl5 ) ABBCGDECDBFHI $.
      $( [29-Oct-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    imim1i.1 $e |- ( ph -> ps ) $.
    $( Inference adding common consequents in an implication, thereby
       interchanging the original antecedent and consequent.  (The proof was
       shortened by Wolf Lammen, 4-Aug-2012.) $)
    imim1i $p |- ( ( ps -> ch ) -> ( ph -> ch ) ) $=
      ( id imim12i ) ABCCDCEF $.
      $( [4-Aug-2012] $) $( [5-Aug-1993] $)
  $}

  ${
    imim3i.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference adding three nested antecedents. $)
    imim3i $p |- ( ( th -> ph ) -> ( ( th -> ps ) -> ( th -> ch ) ) ) $=
      ( wi imim2i a2d ) DAFDBCABCFDEGH $.
      $( [19-Dec-2006] $)
  $}

  ${
    sylc.1 $e |- ( ph -> ps ) $.
    sylc.2 $e |- ( ph -> ch ) $.
    sylc.3 $e |- ( ps -> ( ch -> th ) ) $.
    $( A syllogism inference combined with contraction. $)
    sylc $p |- ( ph -> th ) $=
      ( syl2im pm2.43i ) ADABACDEFGHI $.
      $( [13-Jul-2013] $) $( [4-May-1994] $)
  $}

  ${
    syl3c.1 $e |- ( ph -> ps ) $.
    syl3c.2 $e |- ( ph -> ch ) $.
    syl3c.3 $e |- ( ph -> th ) $.
    syl3c.4 $e |- ( ps -> ( ch -> ( th -> ta ) ) ) $.
    $( A syllogism inference combined with contraction.  (Contributed by Alan
       Sare, 7-Jul-2011.) $)
    syl3c $p |- ( ph -> ta ) $=
      ( wi sylc mpd ) ADEHABCDEJFGIKL $.
      $( [7-Jul-2011] $)
  $}

  ${
    syl6mpi.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6mpi.2 $e |- th $.
    syl6mpi.3 $e |- ( ch -> ( th -> ta ) ) $.
    $( A virtual deduction elimination rule.  (Contributed by Alan Sare,
       8-Jul-2011.)  (The proof was shortened by Wolf Lammen, 13-Sep-2012.) $)
    syl6mpi $p |- ( ph -> ( ps -> ta ) ) $=
      ( mpi syl6 ) ABCEFCDEGHIJ $.
      $( [13-Sep-2012] $) $( [8-Jul-2011] $)
  $}

  ${
    mpsyl.1 $e |- ph $.
    mpsyl.2 $e |- ( ps -> ch ) $.
    mpsyl.3 $e |- ( ph -> ( ch -> th ) ) $.
    $( Modus ponens combined with a syllogism inference.  (Contributed by Alan
       Sare, 20-Apr-2011.) $)
    mpsyl $p |- ( ps -> th ) $=
      ( a1i sylc ) BACDABEHFGI $.
      $( [20-Apr-2011] $)
  $}

  ${
    syl6c.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6c.2 $e |- ( ph -> ( ps -> th ) ) $.
    syl6c.3 $e |- ( ch -> ( th -> ta ) ) $.
    $( Inference combining ~ syl6 with contraction.  (Contributed by Alan Sare,
       2-May-2011.) $)
    syl6c $p |- ( ph -> ( ps -> ta ) ) $=
      ( wi syl6 mpdd ) ABDEGABCDEIFHJK $.
      $( [2-May-2011] $)
  $}

  ${
    syldd.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    syldd.2 $e |- ( ph -> ( ps -> ( th -> ta ) ) ) $.
    $( Nested syllogism deduction.  (The proof was shortened by Wolf Lammen,
       11-May-2013.) $)
    syldd $p |- ( ph -> ( ps -> ( ch -> ta ) ) ) $=
      ( wi imim2 syl6c ) ABDEHCDHCEHGFDECIJ $.
      $( [11-May-2013] $) $( [12-Dec-2004] $)
  $}

  ${
    syl5d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl5d.2 $e |- ( ph -> ( th -> ( ch -> ta ) ) ) $.
    $( A nested syllogism deduction.  (The proof was shortened by Josh
       Purinton, 29-Dec-2000 and shortened further by O'Cat, 2-Feb-2006.) $)
    syl5d $p |- ( ph -> ( th -> ( ps -> ta ) ) ) $=
      ( wi a1d syldd ) ADBCEABCHDFIGJ $.
      $( [3-Feb-2006] $) $( [5-Aug-1993] $)
  $}

  ${
    syl7.1 $e |- ( ph -> ps ) $.
    syl7.2 $e |- ( ch -> ( th -> ( ps -> ta ) ) ) $.
    $( A syllogism rule of inference.  The second premise is used to replace
       the third antecedent of the first premise.  (The proof was shortened by
       Wolf Lammen, 3-Aug-2012.) $)
    syl7 $p |- ( ch -> ( th -> ( ph -> ta ) ) ) $=
      ( wi a1i syl5d ) CABDEABHCFIGJ $.
      $( [3-Aug-2012] $) $( [5-Aug-1993] $)
  $}

  ${
    syl6d.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    syl6d.2 $e |- ( ph -> ( th -> ta ) ) $.
    $( A nested syllogism deduction.  (The proof was shortened by Josh
       Purinton, 29-Dec-2000 and shortened further by O'Cat, 2-Feb-2006.) $)
    syl6d $p |- ( ph -> ( ps -> ( ch -> ta ) ) ) $=
      ( wi a1d syldd ) ABCDEFADEHBGIJ $.
      $( [3-Feb-2006] $) $( [5-Aug-1993] $)
  $}

  ${
    syl8.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    syl8.2 $e |- ( th -> ta ) $.
    $( A syllogism rule of inference.  The second premise is used to replace
       the consequent of the first premise.  (The proof was shortened by Wolf
       Lammen, 3-Aug-2012.) $)
    syl8 $p |- ( ph -> ( ps -> ( ch -> ta ) ) ) $=
      ( wi a1i syl6d ) ABCDEFDEHAGIJ $.
      $( [3-Aug-2012] $) $( [1-Aug-1994] $)
  $}

  ${
    syl9.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl9.2 $e |- ( th -> ( ch -> ta ) ) $.
    $( A nested syllogism inference with different antecedents.  (The proof was
       shortened by Josh Purinton, 29-Dec-2000.) $)
    syl9 $p |- ( ph -> ( th -> ( ps -> ta ) ) ) $=
      ( wi a1i syl5d ) ABCDEFDCEHHAGIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl9r.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl9r.2 $e |- ( th -> ( ch -> ta ) ) $.
    $( A nested syllogism inference with different antecedents. $)
    syl9r $p |- ( th -> ( ph -> ( ps -> ta ) ) ) $=
      ( wi syl9 com12 ) ADBEHABCDEFGIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    imim12d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    imim12d.2 $e |- ( ph -> ( th -> ta ) ) $.
    $( Deduction combining antecedents and consequents.  (The proof was
       shortened by O'Cat, 30-Oct-2011.) $)
    imim12d $p |- ( ph -> ( ( ch -> th ) -> ( ps -> ta ) ) ) $=
      ( wi imim2d syl5d ) ABCCDHEFADECGIJ $.
      $( [3-Nov-2011] $) $( [7-Aug-1994] $)
  $}

  ${
    imim1d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction adding nested consequents.  (The proof was shortened by Wolf
       Lammen, 12-Sep-2012.) $)
    imim1d $p |- ( ph -> ( ( ch -> th ) -> ( ps -> th ) ) ) $=
      ( idd imim12d ) ABCDDEADFG $.
      $( [12-Sep-2012] $) $( [3-Apr-1994] $)
  $}

  $( A closed form of syllogism (see ~ syl ).  Theorem *2.06 of
     [WhiteheadRussell] p. 100.  (The proof was shortened by Wolf Lammen,
     25-May-2013.) $)
  imim1 $p |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( wi id imim1d ) ABDZABCGEF $.
    $( [25-May-2013] $) $( [5-Aug-1993] $)

  $( Theorem *2.83 of [WhiteheadRussell] p. 108. $)
  pm2.83 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ( ph -> ( ch -> th ) ) ->
                ( ph -> ( ps -> th ) ) ) ) $=
    ( wi imim1 imim3i ) BCECDEBDEABCDFG $.
    $( [3-Jan-2005] $)

  ${
    com3.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( Commutation of antecedents.  Swap 2nd and 3rd.  (The proof was shortened
       by Wolf Lammen, 4-Aug-2012.) $)
    com23 $p |- ( ph -> ( ch -> ( ps -> th ) ) ) $=
      ( wi pm2.27 syl9 ) ABCDFCDECDGH $.
      $( [4-Aug-2012] $) $( [5-Aug-1993] $)

    $( Commutation of antecedents.  Rotate right. $)
    com3r $p |- ( ch -> ( ph -> ( ps -> th ) ) ) $=
      ( wi com23 com12 ) ACBDFABCDEGH $.
      $( [25-Apr-1994] $)

    $( Commutation of antecedents.  Swap 1st and 3rd.  (The proof was shortened
       by Wolf Lammen, 28-Jul-2012.) $)
    com13 $p |- ( ch -> ( ps -> ( ph -> th ) ) ) $=
      ( com3r com23 ) CABDABCDEFG $.
      $( [28-Jul-2012] $) $( [25-Apr-1994] $)

    $( Commutation of antecedents.  Rotate left.  (The proof was shortened by
       Wolf Lammen, 28-Jul-2012.) $)
    com3l $p |- ( ps -> ( ch -> ( ph -> th ) ) ) $=
      ( com3r ) CABDABCDEFF $.
      $( [28-Jul-2012] $) $( [25-Apr-1994] $)
  $}

  $( Swap antecedents.  Theorem *2.04 of [WhiteheadRussell] p. 100.  (The proof
     was shortened by Wolf Lammen, 12-Sep-2012.) $)
  pm2.04 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ps -> ( ph -> ch ) ) ) $=
    ( wi id com23 ) ABCDDZABCGEF $.
    $( [12-Sep-2012] $) $( [5-Aug-1993] $)

  ${
    com4.1 $e |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $.
    $( Commutation of antecedents.  Swap 3rd and 4th. $)
    com34 $p |- ( ph -> ( ps -> ( th -> ( ch -> ta ) ) ) ) $=
      ( wi pm2.04 syl6 ) ABCDEGGDCEGGFCDEHI $.
      $( [25-Apr-1994] $)

    $( Commutation of antecedents.  Rotate left.  (The proof was shortened by
       O'Cat, 15-Aug-2004.) $)
    com4l $p |- ( ps -> ( ch -> ( th -> ( ph -> ta ) ) ) ) $=
      ( wi com3l com34 ) BCADEABCDEGFHI $.
      $( [15-Aug-2004] $) $( [25-Apr-1994] $)

    $( Commutation of antecedents.  Rotate twice. $)
    com4t $p |- ( ch -> ( th -> ( ph -> ( ps -> ta ) ) ) ) $=
      ( com4l ) BCDAEABCDEFGG $.
      $( [25-Apr-1994] $)

    $( Commutation of antecedents.  Rotate right. $)
    com4r $p |- ( th -> ( ph -> ( ps -> ( ch -> ta ) ) ) ) $=
      ( com4t com4l ) CDABEABCDEFGH $.
      $( [25-Apr-1994] $)

    $( Commutation of antecedents.  Swap 2nd and 4th.  (The proof was shortened
       by Wolf Lammen, 28-Jul-2012.) $)
    com24 $p |- ( ph -> ( th -> ( ch -> ( ps -> ta ) ) ) ) $=
      ( wi com4t com13 ) CDABEGABCDEFHI $.
      $( [28-Jul-2012] $) $( [25-Apr-1994] $)

    $( Commutation of antecedents.  Swap 1st and 4th.  (The proof was shortened
       by Wolf Lammen, 28-Jul-2012.) $)
    com14 $p |- ( th -> ( ps -> ( ch -> ( ph -> ta ) ) ) ) $=
      ( wi com4l com3r ) BCDAEGABCDEFHI $.
      $( [28-Jul-2012] $) $( [25-Apr-1994] $)
  $}

  ${
    com5.1 $e |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $.
    $( Commutation of antecedents.  Swap 4th and 5th.  (Contributed by Jeff
       Hankins, 28-Jun-2009.) $)
    com45 $p |- ( ph -> ( ps -> ( ch -> ( ta -> ( th -> et ) ) ) ) ) $=
      ( wi pm2.04 syl8 ) ABCDEFHHEDFHHGDEFIJ $.
      $( [18-Apr-2010] $) $( [28-Jun-2009] $)

    $( Commutation of antecedents.  Swap 3rd and 5th.  (Contributed by Jeff
       Hankins, 28-Jun-2009.) $)
    com35 $p |- ( ph -> ( ps -> ( ta -> ( th -> ( ch -> et ) ) ) ) ) $=
      ( wi com34 com45 ) ABDECFHABDCEFABCDEFHGIJI $.
      $( [18-Apr-2010] $) $( [28-Jun-2009] $)

    $( Commutation of antecedents.  Swap 2nd and 5th.  (Contributed by Jeff
       Hankins, 28-Jun-2009.) $)
    com25 $p |- ( ph -> ( ta -> ( ch -> ( th -> ( ps -> et ) ) ) ) ) $=
      ( wi com24 com45 ) ADCEBFHADCBEFABCDEFHGIJI $.
      $( [18-Apr-2010] $) $( [28-Jun-2009] $)

    $( Commutation of antecedents.  Rotate left.  (Contributed by Jeff Hankins,
       28-Jun-2009.)  (The proof was shortened by Wolf Lammen, 29-Jul-2012.) $)
    com5l $p |- ( ps -> ( ch -> ( th -> ( ta -> ( ph -> et ) ) ) ) ) $=
      ( wi com4l com45 ) BCDAEFABCDEFHGIJ $.
      $( [29-Jul-2012] $) $( [28-Jun-2009] $)

    $( Commutation of antecedents.  Swap 1st and 5th.  (Contributed by Jeff
       Hankins, 28-Jun-2009.)  (The proof was shortened by Wolf Lammen,
       29-Jul-2012.) $)
    com15 $p |- ( ta -> ( ps -> ( ch -> ( th -> ( ph -> et ) ) ) ) ) $=
      ( wi com5l com4r ) BCDEAFHABCDEFGIJ $.
      $( [29-Jul-2012] $) $( [28-Jun-2009] $)

    $( Commutation of antecedents.  Rotate left twice.  (Contributed by Jeff
       Hankins, 28-Jun-2009.) $)
    com52l $p |- ( ch -> ( th -> ( ta -> ( ph -> ( ps -> et ) ) ) ) ) $=
      ( com5l ) BCDEAFABCDEFGHH $.
      $( [18-Apr-2010] $) $( [28-Jun-2009] $)

    $( Commutation of antecedents.  Rotate right twice.  (Contributed by Jeff
       Hankins, 28-Jun-2009.) $)
    com52r $p |- ( th -> ( ta -> ( ph -> ( ps -> ( ch -> et ) ) ) ) ) $=
      ( com52l com5l ) CDEABFABCDEFGHI $.
      $( [18-Apr-2010] $) $( [28-Jun-2009] $)

    $( Commutation of antecedents.  Rotate right.  (Contributed by Wolf Lammen,
       29-Jul-2012.) $)
    com5r $p |- ( ta -> ( ph -> ( ps -> ( ch -> ( th -> et ) ) ) ) ) $=
      ( com52l ) CDEABFABCDEFGHH $.
      $( [29-Jul-2012] $)
  $}

  $( Elimination of a nested antecedent as a kind of reversal of inference
     ~ ja .  (Contributed by Wolf Lammen, 9-May-2013.) $)
  jarr $p |- ( ( ( ph -> ps ) -> ch ) -> ( ps -> ch ) ) $=
    ( wi ax-1 imim1i ) BABDCBAEF $.
    $( [9-May-2013] $)

  ${
    pm2.86i.1 $e |- ( ( ph -> ps ) -> ( ph -> ch ) ) $.
    $( Inference based on ~ pm2.86 .  (The proof was shortened by Wolf Lammen,
       3-Apr-2013.) $)
    pm2.86i $p |- ( ph -> ( ps -> ch ) ) $=
      ( wi ax-1 syl com12 ) BACBABEACEBAFDGH $.
      $( [3-Apr-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    pm2.86d.1 $e |- ( ph -> ( ( ps -> ch ) -> ( ps -> th ) ) ) $.
    $( Deduction based on ~ pm2.86 .  (The proof was shortened by Wolf Lammen,
       3-Apr-2013.) $)
    pm2.86d $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( wi ax-1 syl5 com23 ) ACBDCBCFABDFCBGEHI $.
      $( [3-Apr-2013] $) $( [29-Jun-1995] $)
  $}

  $( Converse of axiom ~ ax-2 .  Theorem *2.86 of [WhiteheadRussell] p. 108.
     (The proof was shortened by Wolf Lammen, 3-Apr-2013.) $)
  pm2.86 $p |- ( ( ( ph -> ps ) -> ( ph -> ch ) ) ->
              ( ph -> ( ps -> ch ) ) ) $=
    ( wi id pm2.86d ) ABDACDDZABCGEF $.
    $( [3-Apr-2013] $) $( [25-Apr-1994] $)

  $( The Linearity Axiom of the infinite-valued sentential logic (L-infinity)
     of Lukasiewicz.  This version of ~ loolin does not use ~ ax-3 , meaning
     that this theorem is intuitionistically valid.  (Contributed by O'Cat,
     12-Aug-2004.) $)
  loolinALT $p |- ( ( ( ph -> ps ) -> ( ps -> ph ) ) -> ( ps -> ph ) ) $=
    ( wi jarr pm2.43d ) ABCBACZCBAABFDE $.
    $( [21-Sep-2013] $) $( [12-Aug-2004] $)

  $( An alternate for the Linearity Axiom of the infinite-valued sentential
     logic (L-infinity) of Lukasiewicz, due to Barbara Wozniakowska, _Reports
     on Mathematical Logic_ 10, 129-137 (1978).  (Contributed by O'Cat,
     8-Aug-2004.) $)
  loowoz $p |- ( ( ( ph -> ps ) -> ( ph -> ch ) ) ->
                 ( ( ps -> ph ) -> ( ps -> ch ) ) ) $=
    ( wi jarr a2d ) ABDACDZDBACABGEF $.
    $( [20-Sep-2013] $) $( [8-Aug-2004] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Logical negation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$( This section makes our first use of the third axiom of propositonal
   calculus. $)

  ${
    con4d.1 $e |- ( ph -> ( -. ps -> -. ch ) ) $.
    $( Deduction derived from axiom ~ ax-3 . $)
    con4d $p |- ( ph -> ( ch -> ps ) ) $=
      ( wn wi ax-3 syl ) ABECEFCBFDBCGH $.
      $( [26-Mar-1995] $)
  $}

  ${
    pm2.21d.1 $e |- ( ph -> -. ps ) $.
    $( A contradiction implies anything.  Deduction from ~ pm2.21 . $)
    pm2.21d $p |- ( ph -> ( ps -> ch ) ) $=
      ( wn a1d con4d ) ACBABECEDFG $.
      $( [10-Feb-1996] $)
  $}

  $( From a wff and its negation, anything is true.  Theorem *2.21 of
     [WhiteheadRussell] p. 104.  Also called the Duns Scotus law.  (The proof
     was shortened by Wolf Lammen, 14-Sep-2012.) $)
  pm2.21 $p |- ( -. ph -> ( ph -> ps ) ) $=
    ( wn id pm2.21d ) ACZABFDE $.
    $( [14-Sep-2012] $) $( [5-Aug-1993] $)

  $( Theorem *2.24 of [WhiteheadRussell] p. 104. $)
  pm2.24 $p |- ( ph -> ( -. ph -> ps ) ) $=
    ( wn pm2.21 com12 ) ACABABDE $.
    $( [3-Jan-2005] $)

  $( Proof by contradiction.  Theorem *2.18 of [WhiteheadRussell] p. 103.  Also
     called the Law of Clavius. $)
  pm2.18 $p |- ( ( -. ph -> ph ) -> ph ) $=
    ( wn wi pm2.21 a2i con4d pm2.43i ) ABZACZAIAIHAIBZAJDEFG $.
    $( [5-Aug-1993] $)

  ${
    pm2.18d.1 $e |- ( ph -> ( -. ps -> ps ) ) $.
    $( Deduction based on reductio ad absurdum.  (Contributed by FL,
       12-Jul-2009.)  (The proof was shortened by Andrew Salmon,
       7-May-2011.) $)
    pm2.18d $p |- ( ph -> ps ) $=
      ( wn wi pm2.18 syl ) ABDBEBCBFG $.
      $( [7-May-2011] $) $( [12-Jul-2009] $)
  $}

  $( Converse of double negation.  Theorem *2.14 of [WhiteheadRussell] p. 102.
     (The proof was shortened by David Harvey, 5-Sep-1999.  An even shorter
     proof found by Josh Purinton, 29-Dec-2000.) $)
  notnot2 $p |- ( -. -. ph -> ph ) $=
    ( wn pm2.21 pm2.18d ) ABZBAEACD $.
    $( [5-Aug-1993] $)

  ${
    negai.1 $e |- -. -. ph $.
    $( Inference from double negation. $)
    notnotri $p |- ph $=
      ( wn notnot2 ax-mp ) ACCABADE $.
      $( [27-Feb-2008] $)
  $}

  ${
    con2d.1 $e |- ( ph -> ( ps -> -. ch ) ) $.
    $( A contraposition deduction. $)
    con2d $p |- ( ph -> ( ch -> -. ps ) ) $=
      ( wn notnot2 syl5 con4d ) ABEZCIEBACEBFDGH $.
      $( [12-Feb-2013] $) $( [19-Aug-1993] $)
  $}

  $( Contraposition.  Theorem *2.03 of [WhiteheadRussell] p. 100.  (The proof
     was shortened by Wolf Lammen, 12-Feb-2013.) $)
  con2 $p |- ( ( ph -> -. ps ) -> ( ps -> -. ph ) ) $=
    ( wn wi id con2d ) ABCDZABGEF $.
    $( [12-Feb-2013] $) $( [5-Aug-1993] $)

  ${
    mt2d.1 $e |- ( ph -> ch ) $.
    mt2d.2 $e |- ( ph -> ( ps -> -. ch ) ) $.
    $( Modus tollens deduction. $)
    mt2d $p |- ( ph -> -. ps ) $=
      ( wn con2d mpd ) ACBFDABCEGH $.
      $( [4-Jul-1994] $)
  $}

  ${
    mt2i.1 $e |- ch $.
    mt2i.2 $e |- ( ph -> ( ps -> -. ch ) ) $.
    $( Modus tollens inference.  (The proof was shortened by Wolf Lammen,
       15-Sep-2012.) $)
    mt2i $p |- ( ph -> -. ps ) $=
      ( a1i mt2d ) ABCCADFEG $.
      $( [15-Sep-2012] $) $( [26-Mar-1995] $)
  $}

  ${
    nsyl3.1 $e |- ( ph -> -. ps ) $.
    nsyl3.2 $e |- ( ch -> ps ) $.
    $( A negated syllogism inference. $)
    nsyl3 $p |- ( ch -> -. ph ) $=
      ( wn wi a1i mt2d ) CABEABFGCDHI $.
      $( [13-Jun-2013] $) $( [1-Dec-1995] $)
  $}

  ${
    con2i.a $e |- ( ph -> -. ps ) $.
    $( A contraposition inference.  (The proof was shortened by O'Cat,
       28-Nov-2008.)  (The proof was shortened by Wolf Lammen, 13-Jun-2013.) $)
    con2i $p |- ( ps -> -. ph ) $=
      ( id nsyl3 ) ABBCBDE $.
      $( [13-Jun-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    nsyl.1 $e |- ( ph -> -. ps ) $.
    nsyl.2 $e |- ( ch -> ps ) $.
    $( A negated syllogism inference.  (The proof was shortened by Wolf Lammen,
       2-Mar-2013.) $)
    nsyl $p |- ( ph -> -. ch ) $=
      ( nsyl3 con2i ) CAABCDEFG $.
      $( [2-Mar-2013] $) $( [31-Dec-1993] $)
  $}

  $( Converse of double negation.  Theorem *2.12 of [WhiteheadRussell] p. 101.
     (The proof was shortened by Wolf Lammen, 2-Mar-2013.) $)
  notnot1 $p |- ( ph -> -. -. ph ) $=
    ( wn id con2i ) ABZAECD $.
    $( [2-Mar-2013] $) $( [5-Aug-1993] $)

  ${
    negbi.1 $e |- ph $.
    $( Infer double negation. $)
    notnoti $p |- -. -. ph $=
      ( wn notnot1 ax-mp ) AACCBADE $.
      $( [27-Feb-2008] $)
  $}

  ${
    con1d.1 $e |- ( ph -> ( -. ps -> ch ) ) $.
    $( A contraposition deduction. $)
    con1d $p |- ( ph -> ( -. ch -> ps ) ) $=
      ( wn notnot1 syl6 con4d ) ABCEZABECIEDCFGH $.
      $( [12-Feb-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    mt3d.1 $e |- ( ph -> -. ch ) $.
    mt3d.2 $e |- ( ph -> ( -. ps -> ch ) ) $.
    $( Modus tollens deduction. $)
    mt3d $p |- ( ph -> ps ) $=
      ( wn con1d mpd ) ACFBDABCEGH $.
      $( [26-Mar-1995] $)
  $}

  ${
    mt3i.1 $e |- -. ch $.
    mt3i.2 $e |- ( ph -> ( -. ps -> ch ) ) $.
    $( Modus tollens inference.  (The proof was shortened by Wolf Lammen,
       15-Sep-2012.) $)
    mt3i $p |- ( ph -> ps ) $=
      ( wn a1i mt3d ) ABCCFADGEH $.
      $( [15-Sep-2012] $) $( [26-Mar-1995] $)
  $}

  ${
    nsyl2.1 $e |- ( ph -> -. ps ) $.
    nsyl2.2 $e |- ( -. ch -> ps ) $.
    $( A negated syllogism inference. $)
    nsyl2 $p |- ( ph -> ch ) $=
      ( wn wi a1i mt3d ) ACBDCFBGAEHI $.
      $( [19-Jun-2013] $) $( [26-Jun-1994] $)
  $}

  $( Contraposition.  Theorem *2.15 of [WhiteheadRussell] p. 102.  (The proof
     was shortened by Wolf Lammen, 12-Feb-2013.) $)
  con1 $p |- ( ( -. ph -> ps ) -> ( -. ps -> ph ) ) $=
    ( wn wi id con1d ) ACBDZABGEF $.
    $( [12-Feb-2013] $) $( [5-Aug-1993] $)

  ${
    con1i.a $e |- ( -. ph -> ps ) $.
    $( A contraposition inference.  (The proof was shortened by O'Cat,
       28-Nov-2008.)  (The proof was shortened by Wolf Lammen, 19-Jun-2013.) $)
    con1i $p |- ( -. ps -> ph ) $=
      ( wn id nsyl2 ) BDZBAGECF $.
      $( [19-Jun-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    con4i.1 $e |- ( -. ph -> -. ps ) $.
    $( Inference rule derived from axiom ~ ax-3 .  (The proof was shortened by
       Wolf Lammen, 21-Jun-2013.) $)
    con4i $p |- ( ps -> ph ) $=
      ( wn notnot1 nsyl2 ) BBDABECF $.
      $( [21-Jun-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    pm2.21i.1 $e |- -. ph $.
    $( A contradiction implies anything.  Inference from ~ pm2.21 . $)
    pm2.21i $p |- ( ph -> ps ) $=
      ( wn a1i con4i ) BAADBDCEF $.
      $( [16-Sep-1993] $)
  $}

  ${
    pm2.24ii.1 $e |- ph $.
    pm2.24ii.2 $e |- -. ph $.
    $( A contradiction implies anything.  Inference from ~ pm2.24 . $)
    pm2.24ii $p |- ps $=
      ( pm2.21i ax-mp ) ABCABDEF $.
      $( [27-Feb-2008] $)
  $}

  ${
    con3d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( A contraposition deduction. $)
    con3d $p |- ( ph -> ( -. ch -> -. ps ) ) $=
      ( wn notnot2 syl5 con1d ) ABEZCIEBACBFDGH $.
      $( [13-Feb-2013] $) $( [5-Aug-1993] $)
  $}

  $( Contraposition.  Theorem *2.16 of [WhiteheadRussell] p. 103.  (The proof
     was shortened by Wolf Lammen, 13-Feb-2013.) $)
  con3 $p |- ( ( ph -> ps ) -> ( -. ps -> -. ph ) ) $=
    ( wi id con3d ) ABCZABFDE $.
    $( [13-Feb-2013] $) $( [5-Aug-1993] $)

  ${
    con3i.a $e |- ( ph -> ps ) $.
    $( A contraposition inference.  (The proof was shortened by Wolf Lammen,
       20-Jun-2013.) $)
    con3i $p |- ( -. ps -> -. ph ) $=
      ( wn id nsyl ) BDZBAGECF $.
      $( [20-Jun-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    con3rr3.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Rotate through consequent right.  (Contributed by Wolf Lammen,
       3-Nov-2013.) $)
    con3rr3 $p |- ( -. ch -> ( ph -> -. ps ) ) $=
      ( wn con3d com12 ) ACEBEABCDFG $.
      $( [3-Nov-2013] $)
  $}

  ${
    mt4.1 $e |- ph $.
    mt4.2 $e |- ( -. ps -> -. ph ) $.
    $( The rule of modus tollens.  (Contributed by Wolf Lammen,
       12-May-2013.) $)
    mt4 $p |- ps $=
      ( con4i ax-mp ) ABCBADEF $.
      $( [12-May-2013] $)
  $}

  ${
    mt4d.1 $e |- ( ph -> ps ) $.
    mt4d.2 $e |- ( ph -> ( -. ch -> -. ps ) ) $.
    $( Modus tollens deduction. $)
    mt4d $p |- ( ph -> ch ) $=
      ( con4d mpd ) ABCDACBEFG $.
      $( [9-Jun-2006] $)
  $}

  ${
    mt4i.1 $e |- ch $.
    mt4i.2 $e |- ( ph -> ( -. ps -> -. ch ) ) $.
    $( Modus tollens inference.  (Contributed by Wolf Lammen, 12-May-2013.) $)
    mt4i $p |- ( ph -> ps ) $=
      ( a1i mt4d ) ACBCADFEG $.
      $( [10-Sep-2013] $) $( [12-May-2013] $)
  $}

  ${
    nsyld.1 $e |- ( ph -> ( ps -> -. ch ) ) $.
    nsyld.2 $e |- ( ph -> ( ta -> ch ) ) $.
    $( A negated syllogism deduction. $)
    nsyld $p |- ( ph -> ( ps -> -. ta ) ) $=
      ( wn con3d syld ) ABCGDGEADCFHI $.
      $( [9-Apr-2005] $)
  $}

  ${
    nsyli.1 $e |- ( ph -> ( ps -> ch ) ) $.
    nsyli.2 $e |- ( th -> -. ch ) $.
    $( A negated syllogism inference. $)
    nsyli $p |- ( ph -> ( th -> -. ps ) ) $=
      ( wn con3d syl5 ) DCGABGFABCEHI $.
      $( [3-May-1994] $)
  $}

  ${
    nsyl4.1 $e |- ( ph -> ps ) $.
    nsyl4.2 $e |- ( -. ph -> ch ) $.
    $( A negated syllogism inference. $)
    nsyl4 $p |- ( -. ch -> ps ) $=
      ( wn con1i syl ) CFABACEGDH $.
      $( [15-Feb-1996] $)
  $}

  ${
    pm2.24d.1 $e |- ( ph -> ps ) $.
    $( Deduction version of ~ pm2.24 . $)
    pm2.24d $p |- ( ph -> ( -. ps -> ch ) ) $=
      ( wn a1d con1d ) ACBABCEDFG $.
      $( [30-Jan-2006] $)
  $}

  ${
    pm2.24i.1 $e |- ph $.
    $( Inference version of ~ pm2.24 . $)
    pm2.24i $p |- ( -. ph -> ps ) $=
      ( wn a1i con1i ) BAABDCEF $.
      $( [20-Aug-2001] $)
  $}

  $( Theorem *3.2 of [WhiteheadRussell] p. 111, expressed with primitive
     connectives.  (The proof was shortened by Josh Purinton, 29-Dec-2000.) $)
  pm3.2im $p |- ( ph -> ( ps -> -. ( ph -> -. ps ) ) ) $=
    ( wn wi pm2.27 con2d ) AABCZDBAGEF $.
    $( [5-Aug-1993] $)

  $( Theorem 8 of [Margaris] p. 60.  (The proof was shortened by Josh Purinton,
     29-Dec-2000.) $)
  mth8 $p |- ( ph -> ( -. ps -> -. ( ph -> ps ) ) ) $=
    ( wi pm2.27 con3d ) AABCBABDE $.
    $( [5-Aug-1993] $)

  ${
    jc.1 $e |- ( ph -> ps ) $.
    jc.2 $e |- ( ph -> ch ) $.
    $( Inference joining the consequents of two premises. $)
    jc $p |- ( ph -> -. ( ps -> -. ch ) ) $=
      ( wn wi pm3.2im sylc ) ABCBCFGFDEBCHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    impi.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( An importation inference.  (The proof was shortened by Wolf Lammen,
       20-Jul-2013.) $)
    impi $p |- ( -. ( ph -> -. ps ) -> ch ) $=
      ( wn wi con3rr3 con1i ) CABEFABCDGH $.
      $( [20-Jul-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    expi.1 $e |- ( -. ( ph -> -. ps ) -> ch ) $.
    $( An exportation inference.  (The proof was shortened by O'Cat,
       28-Nov-2008.) $)
    expi $p |- ( ph -> ( ps -> ch ) ) $=
      ( wn wi pm3.2im syl6 ) ABABEFECABGDH $.
      $( [29-Nov-2008] $) $( [5-Aug-1993] $)
  $}

  $( Simplification.  Similar to Theorem *3.27 (Simp) of [WhiteheadRussell]
     p. 112.  (The proof was shortened by Wolf Lammen, 13-Nov-2012.) $)
  simprim $p |- ( -. ( ph -> -. ps ) -> ps ) $=
    ( idd impi ) ABBABCD $.
    $( [13-Nov-2012] $) $( [5-Aug-1993] $)

  $( Simplification.  Similar to Theorem *3.26 (Simp) of [WhiteheadRussell]
     p. 112.  (The proof was shortened by Wolf Lammen, 21-Jul-2012.) $)
  simplim $p |- ( -. ( ph -> ps ) -> ph ) $=
    ( wi pm2.21 con1i ) AABCABDE $.
    $( [23-Jul-2012] $) $( [5-Aug-1993] $)

  $( Theorem *2.5 of [WhiteheadRussell] p. 107.  (The proof was shortened by
     Wolf Lammen, 9-Oct-2012.) $)
  pm2.5 $p |- ( -. ( ph -> ps ) -> ( -. ph -> ps ) ) $=
    ( wi wn simplim pm2.24d ) ABCDABABEF $.
    $( [9-Oct-2012] $) $( [3-Jan-2005] $)

  $( Theorem *2.51 of [WhiteheadRussell] p. 107. $)
  pm2.51 $p |- ( -. ( ph -> ps ) -> ( ph -> -. ps ) ) $=
    ( wi wn ax-1 con3i a1d ) ABCZDBDABHBAEFG $.
    $( [3-Jan-2005] $)

  $( Theorem *2.521 of [WhiteheadRussell] p. 107.  (The proof was shortened by
     Wolf Lammen, 8-Oct-2012.) $)
  pm2.521 $p |- ( -. ( ph -> ps ) -> ( ps -> ph ) ) $=
    ( wi wn simplim a1d ) ABCDABABEF $.
    $( [8-Oct-2012] $) $( [3-Jan-2005] $)

  $( Theorem *2.52 of [WhiteheadRussell] p. 107.  (The proof was shortened by
     Wolf Lammen, 8-Oct-2012.) $)
  pm2.52 $p |- ( -. ( ph -> ps ) -> ( -. ph -> -. ps ) ) $=
    ( wi wn pm2.521 con3d ) ABCDBAABEF $.
    $( [8-Oct-2012] $) $( [3-Jan-2005] $)

  $( Exportation theorem expressed with primitive connectives. $)
  expt $p |- ( ( -. ( ph -> -. ps ) -> ch ) -> ( ph -> ( ps -> ch ) ) ) $=
    ( wn wi pm3.2im imim1d com12 ) AABDEDZCEBCEABICABFGH $.
    $( [5-Aug-1993] $)

  $( Importation theorem expressed with primitive connectives.  (The proof was
     shortened by Wolf Lammen, 20-Jul-2013.) $)
  impt $p |- ( ( ph -> ( ps -> ch ) ) -> ( -. ( ph -> -. ps ) -> ch ) ) $=
    ( wi wn simprim simplim imim1i mpdi ) ABCDZDABEZDEZBCABFLAJAKGHI $.
    $( [20-Jul-2013] $) $( [25-Apr-1994] $)

  ${
    pm2.61d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    pm2.61d.2 $e |- ( ph -> ( -. ps -> ch ) ) $.
    $( Deduction eliminating an antecedent.  (The proof was shortened by Wolf
       Lammen, 12-Sep-2013.) $)
    pm2.61d $p |- ( ph -> ch ) $=
      ( wn con1d syld pm2.18d ) ACACFBCABCEGDHI $.
      $( [12-Sep-2013] $) $( [27-Apr-1994] $)
  $}

  ${
    pm2.61d1.1 $e |- ( ph -> ( ps -> ch ) ) $.
    pm2.61d1.2 $e |- ( -. ps -> ch ) $.
    $( Inference eliminating an antecedent. $)
    pm2.61d1 $p |- ( ph -> ch ) $=
      ( wn wi a1i pm2.61d ) ABCDBFCGAEHI $.
      $( [15-Jul-2005] $)
  $}

  ${
    pm2.61d2.1 $e |- ( ph -> ( -. ps -> ch ) ) $.
    pm2.61d2.2 $e |- ( ps -> ch ) $.
    $( Inference eliminating an antecedent. $)
    pm2.61d2 $p |- ( ph -> ch ) $=
      ( wi a1i pm2.61d ) ABCBCFAEGDH $.
      $( [18-Aug-1993] $)
  $}

  ${
    ja.1 $e |- ( -. ph -> ch ) $.
    ja.2 $e |- ( ps -> ch ) $.
    $( Inference joining the antecedents of two premises.  (The proof was
       shortened by O'Cat, 19-Feb-2008.) $)
    ja $p |- ( ( ph -> ps ) -> ch ) $=
      ( wi imim2i pm2.61d1 ) ABFACBCAEGDH $.
      $( [19-Feb-2008] $) $( [5-Aug-1993] $)
  $}

  ${
    jad.1 $e |- ( ph -> ( -. ps -> th ) ) $.
    jad.2 $e |- ( ph -> ( ch -> th ) ) $.
    $( Deduction form of ~ ja .  (Contributed by Scott Fenton, 13-Dec-2010.)
       (The proof was shortened by Andrew Salmon, 17-Sep-2011.) $)
    jad $p |- ( ph -> ( ( ps -> ch ) -> th ) ) $=
      ( wi wn com12 ja ) BCGADBCADGABHDEIACDFIJI $.
      $( [17-Sep-2011] $) $( [13-Dec-2010] $)
  $}

  $( Elimination of a nested antecedent as a kind of reversal of inference
     ~ ja .  (Contributed by Wolf Lammen, 10-May-2013.) $)
  jarl $p |- ( ( ( ph -> ps ) -> ch ) -> ( -. ph -> ch ) ) $=
    ( wn wi pm2.21 imim1i ) ADABECABFG $.
    $( [10-May-2013] $)

  ${
    pm2.61i.1 $e |- ( ph -> ps ) $.
    pm2.61i.2 $e |- ( -. ph -> ps ) $.
    $( Inference eliminating an antecedent.  (The proof was shortened by Wolf
       Lammen, 12-Sep-2013.) $)
    pm2.61i $p |- ps $=
      ( wi id ja ax-mp ) AAEBAFAABDCGH $.
      $( [12-Sep-2013] $) $( [5-Apr-1994] $)
  $}

  ${
    pm2.61ii.1 $e |- ( -. ph -> ( -. ps -> ch ) ) $.
    pm2.61ii.2 $e |- ( ph -> ch ) $.
    pm2.61ii.3 $e |- ( ps -> ch ) $.
    $( Inference eliminating two antecedents.  (The proof was shortened by Josh
       Purinton, 29-Dec-2000.) $)
    pm2.61ii $p |- ch $=
      ( wn pm2.61d2 pm2.61i ) ACEAGBCDFHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    pm2.61nii.1 $e |- ( ph -> ( ps -> ch ) ) $.
    pm2.61nii.2 $e |- ( -. ph -> ch ) $.
    pm2.61nii.3 $e |- ( -. ps -> ch ) $.
    $( Inference eliminating two antecedents.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.)  (The proof was shortened by Wolf Lammen,
       13-Nov-2012.) $)
    pm2.61nii $p |- ch $=
      ( pm2.61d1 pm2.61i ) ACABCDFGEH $.
      $( [13-Nov-2012] $) $( [5-Aug-1993] $)
  $}

  ${
    pm2.61iii.1 $e |- ( -. ph -> ( -. ps -> ( -. ch -> th ) ) ) $.
    pm2.61iii.2 $e |- ( ph -> th ) $.
    pm2.61iii.3 $e |- ( ps -> th ) $.
    pm2.61iii.4 $e |- ( ch -> th ) $.
    $( Inference eliminating three antecedents.  (The proof was shortened by
       Wolf Lammen, 22-Sep-2013.) $)
    pm2.61iii $p |- th $=
      ( wn wi a1d pm2.61ii pm2.61i ) CDHABCIZDJEADNFKBDNGKLM $.
      $( [22-Sep-2013] $) $( [2-Jan-2002] $)
  $}

  $( Reductio ad absurdum.  Theorem *2.01 of [WhiteheadRussell] p. 100.  (The
     proof was shortened by O'Cat, 21-Nov-2008.)  (The proof was shortened by
     Wolf Lammen, 31-Oct-2012.) $)
  pm2.01 $p |- ( ( ph -> -. ph ) -> -. ph ) $=
    ( wn id ja ) AABZEECZFD $.
    $( [31-Oct-2012] $) $( [18-Aug-1993] $)

  ${
    pm2.01d.1 $e |- ( ph -> ( ps -> -. ps ) ) $.
    $( Deduction based on reductio ad absurdum.  (The proof was shortened by
       Wolf Lammen, 5-Mar-2013.) $)
    pm2.01d $p |- ( ph -> -. ps ) $=
      ( wn id pm2.61d1 ) ABBDZCGEF $.
      $( [5-Mar-2013] $) $( [18-Aug-1993] $)
  $}

  $( Theorem *2.6 of [WhiteheadRussell] p. 107. $)
  pm2.6 $p |- ( ( -. ph -> ps ) -> ( ( ph -> ps ) -> ps ) ) $=
    ( wn wi id idd jad ) ACBDZABBHEHBFG $.
    $( [22-Sep-2013] $) $( [3-Jan-2005] $)

  $( Theorem *2.61 of [WhiteheadRussell] p. 107.  Useful for eliminating an
     antecedent.  (The proof was shortened by Wolf Lammen, 22-Sep-2013.) $)
  pm2.61 $p |- ( ( ph -> ps ) -> ( ( -. ph -> ps ) -> ps ) ) $=
    ( wn wi pm2.6 com12 ) ACBDABDBABEF $.
    $( [22-Sep-2013] $) $( [5-Aug-1993] $)

  $( Theorem *2.65 of [WhiteheadRussell] p. 107.  Proof by contradiction.  (The
     proof was shortened by Wolf Lammen, 8-Mar-2013.) $)
  pm2.65 $p |- ( ( ph -> ps ) -> ( ( ph -> -. ps ) -> -. ph ) ) $=
    ( wi wn idd con3 jad ) ABCZABDADZHIEABFG $.
    $( [8-Mar-2013] $) $( [5-Aug-1993] $)

  ${
    pm2.65i.1 $e |- ( ph -> ps ) $.
    pm2.65i.2 $e |- ( ph -> -. ps ) $.
    $( Inference rule for proof by contradiction.  (The proof was shortened by
       Wolf Lammen, 11-Sep-2013.) $)
    pm2.65i $p |- -. ph $=
      ( wn con2i con3i pm2.61i ) BAEABDFABCGH $.
      $( [11-Sep-2013] $) $( [18-May-1994] $)
  $}

  ${
    pm2.65d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    pm2.65d.2 $e |- ( ph -> ( ps -> -. ch ) ) $.
    $( Deduction rule for proof by contradiction.  (The proof was shortened by
       Wolf Lammen, 26-May-2013.) $)
    pm2.65d $p |- ( ph -> -. ps ) $=
      ( nsyld pm2.01d ) ABABCBEDFG $.
      $( [26-May-2013] $) $( [26-Jun-1994] $)
  $}

  ${
    mto.1 $e |- -. ps $.
    mto.2 $e |- ( ph -> ps ) $.
    $( The rule of modus tollens.  (The proof was shortened by Wolf Lammen,
       11-Sep-2013.) $)
    mto $p |- -. ph $=
      ( wn a1i pm2.65i ) ABDBEACFG $.
      $( [11-Sep-2013] $) $( [19-Aug-1993] $)
  $}

  ${
    mtod.1 $e |- ( ph -> -. ch ) $.
    mtod.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Modus tollens deduction.  (The proof was shortened by Wolf Lammen,
       11-Sep-2013.) $)
    mtod $p |- ( ph -> -. ps ) $=
      ( wn a1d pm2.65d ) ABCEACFBDGH $.
      $( [11-Sep-2013] $) $( [3-Apr-1994] $)
  $}

  ${
    mtoi.1 $e |- -. ch $.
    mtoi.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Modus tollens inference.  (The proof was shortened by Wolf Lammen,
       15-Sep-2012.) $)
    mtoi $p |- ( ph -> -. ps ) $=
      ( wn a1i mtod ) ABCCFADGEH $.
      $( [15-Sep-2012] $) $( [5-Jul-1994] $)
  $}

  ${
    mt2.1 $e |- ps $.
    mt2.2 $e |- ( ph -> -. ps ) $.
    $( A rule similar to modus tollens.  (The proof was shortened by Wolf
       Lammen, 10-Sep-2013.) $)
    mt2 $p |- -. ph $=
      ( a1i pm2.65i ) ABBACEDF $.
      $( [10-Sep-2013] $) $( [19-Aug-1993] $)
  $}

  ${
    mt3.1 $e |- -. ps $.
    mt3.2 $e |- ( -. ph -> ps ) $.
    $( A rule similar to modus tollens.  (The proof was shortened by Wolf
       Lammen, 11-Sep-2013.) $)
    mt3 $p |- ph $=
      ( wn mto notnotri ) AAEBCDFG $.
      $( [11-Sep-2013] $) $( [18-May-1994] $)
  $}

  $( Peirce's axiom.  This odd-looking theorem is the "difference" between an
     intuitionistic system of propositional calculus and a classical system and
     is not accepted by intuitionists.  When Peirce's axiom is added to an
     intuitionistic system, the system becomes equivalent to our classical
     system ~ ax-1 through ~ ax-3 .  A curious fact about this theorem is that
     it requires ~ ax-3 for its proof even though the result has no negation
     connectives in it.  (The proof was shortened by Wolf Lammen,
     9-Oct-2012.) $)
  peirce $p |- ( ( ( ph -> ps ) -> ph ) -> ph ) $=
    ( wi simplim id ja ) ABCAAABDAEF $.
    $( [9-Oct-2012] $) $( [5-Aug-1993] $)

  $( The Linearity Axiom of the infinite-valued sentential logic (L-infinity)
     of Lukasiewicz.  For a version not using ~ ax-3 , see ~ loolinALT .
     (Contributed by O'Cat, 12-Aug-2004.)  (The proof was shortened by Wolf
     Lammen, 2-Nov-2012.) $)
  loolin $p |- ( ( ( ph -> ps ) -> ( ps -> ph ) ) -> ( ps -> ph ) ) $=
    ( wi pm2.521 id ja ) ABCBACZGABDGEF $.
    $( [2-Nov-2012] $) $( [12-Aug-2004] $)

  $( The Inversion Axiom of the infinite-valued sentential logic (L-infinity)
     of Lukasiewicz.  Using ~ dfor2 , we can see that this essentially
     expresses "disjunction commutes."  Theorem *2.69 of [WhiteheadRussell]
     p. 108. $)
  looinv $p |- ( ( ( ph -> ps ) -> ps ) -> ( ( ps -> ph ) -> ph ) ) $=
    ( wi imim1 peirce syl6 ) ABCZBCBACGACAGBADABEF $.
    $( [12-Aug-2004] $)

  $( Theorem used to justify definition of biconditional ~ df-bi .  (The proof
     was shortened by Josh Purinton, 29-Dec-2000.) $)
  bijust $p |- -. ( ( -. ( ( ph -> ps ) -> -. ( ps -> ph ) )
                      -> -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) )
               -> -. ( -. ( ( ph -> ps ) -> -. ( ps -> ph ) )
                      -> -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) ) ) $=
    ( wi wn id pm2.01 mt2 ) ABCBACDCDZHCZIDCIHEIFG $.
    $( [18-Nov-2013] $) $( [11-May-1999] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Logical equivalence
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the biconditional connective. $)
  $c <-> $. $( Double arrow (read:  'if and only if' or
               'is logically equivalent to') $)

  $( Extend our wff definition to include the biconditional connective. $)
  wb $a wff ( ph <-> ps ) $.

  $( This is our first definition, which introduces and defines the
     biconditional connective ` <-> ` .  We define a wff of the form
     ` ( ph <-> ps ) ` as an abbreviation for
     ` -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) ` .

     Unlike most traditional developments, we have chosen not to have a
     separate symbol such as "Df." to mean "is defined as."  Instead, we will
     later use the biconditional connective for this purpose ( ~ df-or is its
     first use), as it allows us to use logic to manipulate definitions
     directly.  This greatly simplifies many proofs since it eliminates the
     need for a separate mechanism for introducing and eliminating
     definitions.  Of course, we cannot use this mechanism to define the
     biconditional itself, since it hasn't been introduced yet.  Instead, we
     use a more general form of definition, described as follows.

     In its most general form, a definition is simply an assertion that
     introduces a new symbol (or a new combination of existing symbols, as in
     ~ df-3an ) that is eliminable and does not strengthen the existing
     language.  The latter requirement means that the set of provable
     statements not containing the new symbol (or new combination) should
     remain exactly the same after the definition is introduced.  Our
     definition of the biconditional may look unusual compared to most
     definitions, but it strictly satisfies these requirements.

     The justification for our definition is that if we mechanically replace
     ` ( ph <-> ps ) ` (the definiendum i.e. the thing being defined) with
     ` -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) ` (the definiens i.e. the
     defining expression) in the definition, the definition becomes the
     previously proved theorem ~ bijust .  It is impossible to use ~ df-bi to
     prove any statement expressed in the original language that can't be
     proved from the original axioms, because if we simply replace each
     instance of ~ df-bi in the proof with the corresponding ~ bijust instance,
     we will end up with a proof from the original axioms.

     Note that from Metamath's point of view, a definition is just another
     axiom - i.e. an assertion we claim to be true - but from our high level
     point of view, we are are not strengthening the language.  To indicate
     this fact, we prefix definition labels with "df-" instead of "ax-".  (This
     prefixing is an informal convention that means nothing to the Metamath
     proof verifier; it is just for human readability.)

     See ~ dfbi1 , ~ dfbi2 , and ~ dfbi3 for theorems suggesting typical
     textbook definitions of ` <-> ` , showing that our definition has the
     properties we expect.  Theorem ~ dfbi shows this definition rewritten in
     an abbreviated form after conjunction is introduced, for easier
     understanding. $)
  df-bi $a |- -. ( ( ( ph <-> ps ) -> -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) )
        -> -. ( -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) -> ( ph <-> ps ) ) ) $.

  $( Property of the biconditional connective. $)
  bi1 $p |- ( ( ph <-> ps ) -> ( ph -> ps ) ) $=
    ( wb wi wn df-bi simplim ax-mp syl ) ABCZABDZBADEZDEZKJMDZMJDEZDENABFNOGHKL
    GI $.
    $( [11-May-1999] $)

  $( Property of the biconditional connective. $)
  bi3 $p |- ( ( ph -> ps ) -> ( ( ps -> ph ) -> ( ph <-> ps ) ) ) $=
    ( wi wb wn df-bi simprim ax-mp expi ) ABCZBACZABDZLJKECEZCZMLCZECEOABFNOGHI
    $.
    $( [11-May-1999] $)

  ${
    impbii.1 $e |- ( ph -> ps ) $.
    impbii.2 $e |- ( ps -> ph ) $.
    $( Infer an equivalence from an implication and its converse. $)
    impbii $p |- ( ph <-> ps ) $=
      ( wi wb bi3 mp2 ) ABEBAEABFCDABGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    impbidd.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    impbidd.2 $e |- ( ph -> ( ps -> ( th -> ch ) ) ) $.
    $( Deduce an equivalence from two implications.  (Contributed by Rodolfo
       Medina, 12-Oct-2010.) $)
    impbidd $p |- ( ph -> ( ps -> ( ch <-> th ) ) ) $=
      ( wi wb bi3 syl6c ) ABCDGDCGCDHEFCDIJ $.
      $( [12-Oct-2010] $)
  $}

  ${
    impbid21d.1 $e |- ( ps -> ( ch -> th ) ) $.
    impbid21d.2 $e |- ( ph -> ( th -> ch ) ) $.
    $( Deduce an equivalence from two implications.  (Contributed by Wolf
       Lammen, 12-May-2013.) $)
    impbid21d $p |- ( ph -> ( ps -> ( ch <-> th ) ) ) $=
      ( wi a1i a1d impbidd ) ABCDBCDGGAEHADCGBFIJ $.
      $( [12-May-2013] $)
  $}

  ${
    impbid.1 $e |- ( ph -> ( ps -> ch ) ) $.
    impbid.2 $e |- ( ph -> ( ch -> ps ) ) $.
    $( Deduce an equivalence from two implications.  (Dependency on df-an
       removed by Wolf Lammen, 3-Nov-2012.) $)
    impbid $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wb impbid21d pm2.43i ) ABCFAABCDEGH $.
      $( [3-Nov-2012] $) $( [5-Aug-1993] $)
  $}

  $( Relate the biconditional connective to primitive connectives.  See
     ~ dfbi1gb for an unusual version proved directly from axioms. $)
  dfbi1 $p |- ( ( ph <-> ps ) <-> -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) ) $=
    ( wb wi wn df-bi simplim ax-mp bi3 impi impbii ) ABCZABDZBADZEDEZLODZOLDEZD
    EPABFPQGHMNLABIJK $.
    $( [11-Nov-2012] $) $( [5-Aug-1993] $)

  $( This proof of ~ dfbi1 , discovered by Gregory Bush on 8-Mar-2004, has
     several curious properties.  First, it has only 17 steps directly from the
     axioms and ~ df-bi , compared to over 800 steps were the proof of ~ dfbi1
     expanded into axioms.  Second, step 2 demands only the property of "true";
     any axiom (or theorem) could be used.  It might be thought, therefore,
     that it is in some sense redundant, but in fact no proof is shorter than
     this (measured by number of steps).  Third, it illustrates how
     intermediate steps can "blow up" in size even in short proofs.  Fourth,
     the compressed proof is only 182 bytes (or 17 bytes in D-proof notation),
     but the generated web page is over 200kB with intermediate steps that are
     essentially incomprehensible to humans (other than Gregory Bush).  If
     there were an obfuscated code contest for proofs, this would be a
     contender. $)
  dfbi1gb $p |- ( ( ph <-> ps ) <-> -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) ) $=
    ( wch wth wb wi wn df-bi ax-1 ax-mp ax-3 ax-2 ) ABEZABFBAFGFGZFNMFGFGZMNEZA
    BHCDCFFZOPFZCDIRGZQGZFZQRFSPOFZSFZFZUASUBISUCTFZFZUDUAFUEUFTGZUCGZFZUEUHUIM
    NHUHUGIJTUCKJUESIJSUCTLJJRQKJJJ $.
    $( [10-Mar-2004] $)

  ${
    biimpi.1 $e |- ( ph <-> ps ) $.
    $( Infer an implication from a logical equivalence. $)
    biimpi $p |- ( ph -> ps ) $=
      ( wb wi bi1 ax-mp ) ABDABECABFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    sylbi.1 $e |- ( ph <-> ps ) $.
    sylbi.2 $e |- ( ps -> ch ) $.
    $( A mixed syllogism inference from a biconditional and an implication.
       Useful for substituting an antecedent with a definition. $)
    sylbi $p |- ( ph -> ch ) $=
      ( biimpi syl ) ABCABDFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    sylib.1 $e |- ( ph -> ps ) $.
    sylib.2 $e |- ( ps <-> ch ) $.
    $( A mixed syllogism inference from an implication and a biconditional. $)
    sylib $p |- ( ph -> ch ) $=
      ( biimpi syl ) ABCDBCEFG $.
      $( [5-Aug-1993] $)
  $}

  $( Property of the biconditional connective.  (The proof was shortened by
     Wolf Lammen, 11-Nov-2012.) $)
  bi2 $p |- ( ( ph <-> ps ) -> ( ps -> ph ) ) $=
    ( wb wi wn dfbi1 simprim sylbi ) ABCABDZBADZEDEJABFIJGH $.
    $( [11-Nov-2012] $) $( [11-May-1999] $)

  $( Commutative law for equivalence.  (Contributed by Wolf Lammen,
     10-Nov-2012.) $)
  bicom1 $p |- ( ( ph <-> ps ) -> ( ps <-> ph ) ) $=
    ( wb bi2 bi1 impbid ) ABCBAABDABEF $.
    $( [10-Nov-2012] $)

  $( Commutative law for equivalence.  Theorem *4.21 of [WhiteheadRussell]
     p. 117. $)
  bicom $p |- ( ( ph <-> ps ) <-> ( ps <-> ph ) ) $=
    ( wb bicom1 impbii ) ABCBACABDBADE $.
    $( [11-Nov-2012] $) $( [5-Aug-1993] $)

  ${
    bicomd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Commute two sides of a biconditional in a deduction. $)
    bicomd $p |- ( ph -> ( ch <-> ps ) ) $=
      ( wb bicom sylib ) ABCECBEDBCFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    bicomi.1 $e |- ( ph <-> ps ) $.
    $( Inference from commutative law for logical equivalence. $)
    bicomi $p |- ( ps <-> ph ) $=
      ( wb bicom1 ax-mp ) ABDBADCABEF $.
      $( [16-Sep-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    impbid1.1 $e |- ( ph -> ( ps -> ch ) ) $.
    impbid1.2 $e |- ( ch -> ps ) $.
    $( Infer an equivalence from two implications. $)
    impbid1 $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wi a1i impbid ) ABCDCBFAEGH $.
      $( [6-Mar-2007] $)
  $}

  ${
    impbid2.1 $e |- ( ps -> ch ) $.
    impbid2.2 $e |- ( ph -> ( ch -> ps ) ) $.
    $( Infer an equivalence from two implications.  (The proof was shortened by
       Wolf Lammen, 27-Sep-2013.) $)
    impbid2 $p |- ( ph -> ( ps <-> ch ) ) $=
      ( impbid1 bicomd ) ACBACBEDFG $.
      $( [27-Sep-2013] $) $( [6-Mar-2007] $)
  $}

  ${
    impcon4bid.1 $e |- ( ph -> ( ps -> ch ) ) $.
    impcon4bid.2 $e |- ( ph -> ( -. ps -> -. ch ) ) $.
    $( A variation on ~ impbid with contraposition.  (Contributed by Jeff
       Hankins, 3-Jul-2009.) $)
    impcon4bid $p |- ( ph -> ( ps <-> ch ) ) $=
      ( con4d impbid ) ABCDABCEFG $.
      $( [3-Jul-2009] $)
  $}

  ${
    biimpri.1 $e |- ( ph <-> ps ) $.
    $( Infer a converse implication from a logical equivalence.  (The proof was
       shortened by Wolf Lammen, 16-Sep-2013.) $)
    biimpri $p |- ( ps -> ph ) $=
      ( bicomi biimpi ) BAABCDE $.
      $( [16-Sep-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    biimpd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduce an implication from a logical equivalence. $)
    biimpd $p |- ( ph -> ( ps -> ch ) ) $=
      ( wb wi bi1 syl ) ABCEBCFDBCGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    mpbi.min $e |- ph $.
    mpbi.maj $e |- ( ph <-> ps ) $.
    $( An inference from a biconditional, related to modus ponens. $)
    mpbi $p |- ps $=
      ( biimpi ax-mp ) ABCABDEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    mpbir.min $e |- ps $.
    mpbir.maj $e |- ( ph <-> ps ) $.
    $( An inference from a biconditional, related to modus ponens. $)
    mpbir $p |- ph $=
      ( biimpri ax-mp ) BACABDEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    mpbid.min $e |- ( ph -> ps ) $.
    mpbid.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A deduction from a biconditional, related to modus ponens. $)
    mpbid $p |- ( ph -> ch ) $=
      ( biimpd mpd ) ABCDABCEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    mpbii.min $e |- ps $.
    mpbii.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( An inference from a nested biconditional, related to modus ponens.  (The
       proof was shortened by Wolf Lammen, 25-Oct-2012.) $)
    mpbii $p |- ( ph -> ch ) $=
      ( a1i mpbid ) ABCBADFEG $.
      $( [25-Oct-2012] $) $( [5-Aug-1993] $)
  $}

  ${
    sylibr.1 $e |- ( ph -> ps ) $.
    sylibr.2 $e |- ( ch <-> ps ) $.
    $( A mixed syllogism inference from an implication and a biconditional.
       Useful for substituting a consequent with a definition. $)
    sylibr $p |- ( ph -> ch ) $=
      ( biimpri syl ) ABCDCBEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    sylbir.1 $e |- ( ps <-> ph ) $.
    sylbir.2 $e |- ( ps -> ch ) $.
    $( A mixed syllogism inference from a biconditional and an implication. $)
    sylbir $p |- ( ph -> ch ) $=
      ( biimpri syl ) ABCBADFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    sylibd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylibd.2 $e |- ( ph -> ( ch <-> th ) ) $.
    $( A syllogism deduction. $)
    sylibd $p |- ( ph -> ( ps -> th ) ) $=
      ( biimpd syld ) ABCDEACDFGH $.
      $( [3-Aug-1994] $)
  $}

  ${
    sylbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    sylbid.2 $e |- ( ph -> ( ch -> th ) ) $.
    $( A syllogism deduction. $)
    sylbid $p |- ( ph -> ( ps -> th ) ) $=
      ( biimpd syld ) ABCDABCEGFH $.
      $( [3-Aug-1994] $)
  $}

  ${
    mpbidi.min $e |- ( th -> ( ph -> ps ) ) $.
    mpbidi.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A deduction from a biconditional, related to modus ponens. $)
    mpbidi $p |- ( th -> ( ph -> ch ) ) $=
      ( biimpd sylcom ) DABCEABCFGH $.
      $( [9-Aug-1994] $)
  $}

  ${
    syl5bi.1 $e |- ( ph <-> ps ) $.
    syl5bi.2 $e |- ( ch -> ( ps -> th ) ) $.
    $( A mixed syllogism inference from a nested implication and a
       biconditional.  Useful for substituting an embedded antecedent with a
       definition. $)
    syl5bi $p |- ( ch -> ( ph -> th ) ) $=
      ( biimpi syl5 ) ABCDABEGFH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5bir.1 $e |- ( ps <-> ph ) $.
    syl5bir.2 $e |- ( ch -> ( ps -> th ) ) $.
    $( A mixed syllogism inference from a nested implication and a
       biconditional. $)
    syl5bir $p |- ( ch -> ( ph -> th ) ) $=
      ( biimpri syl5 ) ABCDBAEGFH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5ib.1 $e |- ( ph -> ps ) $.
    syl5ib.2 $e |- ( ch -> ( ps <-> th ) ) $.
    $( A mixed syllogism inference. $)
    syl5ib $p |- ( ch -> ( ph -> th ) ) $=
      ( biimpd syl5 ) ABCDECBDFGH $.
      $( [5-Aug-1993] $)

    $( A mixed syllogism inference. $)
    syl5ibcom $p |- ( ph -> ( ch -> th ) ) $=
      ( syl5ib com12 ) CADABCDEFGH $.
      $( [19-Jun-2007] $)
  $}

  ${
    syl5ibr.1 $e |- ( ph -> th ) $.
    syl5ibr.2 $e |- ( ch -> ( ps <-> th ) ) $.
    $( A mixed syllogism inference. $)
    syl5ibr $p |- ( ch -> ( ph -> ps ) ) $=
      ( bicomd syl5ib ) ADCBECBDFGH $.
      $( [22-Sep-2013] $) $( [3-Apr-1994] $)

    $( A mixed syllogism inference. $)
    syl5ibrcom $p |- ( ph -> ( ch -> ps ) ) $=
      ( syl5ibr com12 ) CABABCDEFGH $.
      $( [20-Jun-2007] $)
  $}

  ${
    biimprd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduce a converse implication from a logical equivalence.  (The proof
       was shortened by Wolf Lammen, 22-Sep-2013.) $)
    biimprd $p |- ( ph -> ( ch -> ps ) ) $=
      ( id syl5ibr ) CBACCEDF $.
      $( [22-Sep-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    biimpcd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduce a commuted implication from a logical equivalence.  (The proof
       was shortened by Wolf Lammen, 22-Sep-2013.) $)
    biimpcd $p |- ( ps -> ( ph -> ch ) ) $=
      ( id syl5ibcom ) BBACBEDF $.
      $( [22-Sep-2013] $) $( [3-May-1994] $)

    $( Deduce a converse commuted implication from a logical equivalence.  (The
       proof was shortened by Wolf Lammen, 20-Dec-2013.) $)
    biimprcd $p |- ( ch -> ( ph -> ps ) ) $=
      ( id syl5ibrcom ) CBACCEDF $.
      $( [20-Dec-2013] $) $( [3-May-1994] $)
  $}

  ${
    syl6ib.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6ib.2 $e |- ( ch <-> th ) $.
    $( A mixed syllogism inference from a nested implication and a
       biconditional. $)
    syl6ib $p |- ( ph -> ( ps -> th ) ) $=
      ( biimpi syl6 ) ABCDECDFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl6ibr.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6ibr.2 $e |- ( th <-> ch ) $.
    $( A mixed syllogism inference from a nested implication and a
       biconditional.  Useful for substituting an embedded consequent with a
       definition. $)
    syl6ibr $p |- ( ph -> ( ps -> th ) ) $=
      ( biimpri syl6 ) ABCDEDCFGH $.
      $( [5-Aug-1993] $)
  $}


  ${
    syl6bi.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl6bi.2 $e |- ( ch -> th ) $.
    $( A mixed syllogism inference. $)
    syl6bi $p |- ( ph -> ( ps -> th ) ) $=
      ( biimpd syl6 ) ABCDABCEGFH $.
      $( [2-Jan-1994] $)
  $}

  ${
    syl6bir.1 $e |- ( ph -> ( ch <-> ps ) ) $.
    syl6bir.2 $e |- ( ch -> th ) $.
    $( A mixed syllogism inference. $)
    syl6bir $p |- ( ph -> ( ps -> th ) ) $=
      ( biimprd syl6 ) ABCDACBEGFH $.
      $( [18-May-1994] $)
  $}

  ${
    syl7bi.1 $e |- ( ph <-> ps ) $.
    syl7bi.2 $e |- ( ch -> ( th -> ( ps -> ta ) ) ) $.
    $( A mixed syllogism inference from a doubly nested implication and a
       biconditional. $)
    syl7bi $p |- ( ch -> ( th -> ( ph -> ta ) ) ) $=
      ( biimpi syl7 ) ABCDEABFHGI $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl8ib.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    syl8ib.2 $e |- ( th <-> ta ) $.
    $( A syllogism rule of inference.  The second premise is used to replace
       the consequent of the first premise. $)
    syl8ib $p |- ( ph -> ( ps -> ( ch -> ta ) ) ) $=
      ( biimpi syl8 ) ABCDEFDEGHI $.
      $( [1-Aug-1994] $)
  $}

  ${
    mpbird.min $e |- ( ph -> ch ) $.
    mpbird.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A deduction from a biconditional, related to modus ponens. $)
    mpbird $p |- ( ph -> ps ) $=
      ( biimprd mpd ) ACBDABCEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    mpbiri.min $e |- ch $.
    mpbiri.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( An inference from a nested biconditional, related to modus ponens.  (The
       proof was shortened by Wolf Lammen, 25-Oct-2012.) $)
    mpbiri $p |- ( ph -> ps ) $=
      ( a1i mpbird ) ABCCADFEG $.
      $( [25-Oct-2012] $) $( [5-Aug-1993] $)
  $}

  ${
    sylibrd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylibrd.2 $e |- ( ph -> ( th <-> ch ) ) $.
    $( A syllogism deduction. $)
    sylibrd $p |- ( ph -> ( ps -> th ) ) $=
      ( biimprd syld ) ABCDEADCFGH $.
      $( [3-Aug-1994] $)
  $}

  ${
    sylbird.1 $e |- ( ph -> ( ch <-> ps ) ) $.
    sylbird.2 $e |- ( ph -> ( ch -> th ) ) $.
    $( A syllogism deduction. $)
    sylbird $p |- ( ph -> ( ps -> th ) ) $=
      ( biimprd syld ) ABCDACBEGFH $.
      $( [3-Aug-1994] $)
  $}

  $( Principle of identity for logical equivalence.  Theorem *4.2 of
     [WhiteheadRussell] p. 117. $)
  biid $p |- ( ph <-> ph ) $=
    ( id impbii ) AAABZDC $.
    $( [5-Aug-1993] $)

  $( Principle of identity with antecedent. $)
  biidd $p |- ( ph -> ( ps <-> ps ) ) $=
    ( wb biid a1i ) BBCABDE $.
    $( [25-Nov-1995] $)

  $( Two propositions are equivalent if they are both true.  Closed form of
     ~ 2th .  Equivalent to a ~ bi1 -like version of the xor-connective.  This
     theorem stays true, no matter how you permute its operands.  This is
     evident from its sharper version
     ` ( ph <-> ( ps <-> ( ph <-> ps ) ) ) ` .  (Contributed by Wolf Lammen,
     12-May-2013.) $)
  pm5.1im $p |- ( ph -> ( ps -> ( ph <-> ps ) ) ) $=
    ( ax-1 impbid21d ) ABABBACABCD $.
    $( [12-May-2013] $)

  ${
    2th.1 $e |- ph $.
    2th.2 $e |- ps $.
    $( Two truths are equivalent. $)
    2th $p |- ( ph <-> ps ) $=
      ( a1i impbii ) ABBADEABCEF $.
      $( [18-Aug-1993] $)
  $}

  ${
    2thd.1 $e |- ( ph -> ps ) $.
    2thd.2 $e |- ( ph -> ch ) $.
    $( Two truths are equivalent (deduction rule). $)
    2thd $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wb pm5.1im sylc ) ABCBCFDEBCGH $.
      $( [29-Jan-2013] $) $( [3-Jun-2012] $)
  $}

  ${
    ibi.1 $e |- ( ph -> ( ph <-> ps ) ) $.
    $( Inference that converts a biconditional implied by one of its arguments,
       into an implication. $)
    ibi $p |- ( ph -> ps ) $=
      ( biimpd pm2.43i ) ABAABCDE $.
      $( [17-Oct-2003] $)
  $}

  ${
    ibir.1 $e |- ( ph -> ( ps <-> ph ) ) $.
    $( Inference that converts a biconditional implied by one of its arguments,
       into an implication. $)
    ibir $p |- ( ph -> ps ) $=
      ( bicomd ibi ) ABABACDE $.
      $( [22-Jul-2004] $)
  $}

  ${
    ibd.1 $e |- ( ph -> ( ps -> ( ps <-> ch ) ) ) $.
    $( Deduction that converts a biconditional implied by one of its arguments,
       into an implication. $)
    ibd $p |- ( ph -> ( ps -> ch ) ) $=
      ( wb bi1 syli ) BABCECDBCFG $.
      $( [26-Jun-2004] $)
  $}

  $( Distribution of implication over biconditional.  Theorem *5.74 of
     [WhiteheadRussell] p. 126.  (The proof was shortened by Wolf Lammen,
     11-Apr-2013.) $)
  pm5.74 $p |- ( ( ph -> ( ps <-> ch ) ) <->
               ( ( ph -> ps ) <-> ( ph -> ch ) ) ) $=
    ( wb wi bi1 imim3i bi2 impbid pm2.86d impbidd impbii ) ABCDZEZABEZACEZDZNOP
    MBCABCFGMCBABCHGIQABCQABCOPFJQACBOPHJKL $.
    $( [11-Apr-2013] $) $( [1-Aug-1994] $)

  ${
    pm5.74i.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Distribution of implication over biconditional (inference rule). $)
    pm5.74i $p |- ( ( ph -> ps ) <-> ( ph -> ch ) ) $=
      ( wb wi pm5.74 mpbi ) ABCEFABFACFEDABCGH $.
      $( [1-Aug-1994] $)
  $}

  ${
    pm5.74ri.1 $e |- ( ( ph -> ps ) <-> ( ph -> ch ) ) $.
    $( Distribution of implication over biconditional (reverse inference
       rule). $)
    pm5.74ri $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wb wi pm5.74 mpbir ) ABCEFABFACFEDABCGH $.
      $( [1-Aug-1994] $)
  $}

  ${
    pm5.74d.1 $e |- ( ph -> ( ps -> ( ch <-> th ) ) ) $.
    $( Distribution of implication over biconditional (deduction rule). $)
    pm5.74d $p |- ( ph -> ( ( ps -> ch ) <-> ( ps -> th ) ) ) $=
      ( wb wi pm5.74 sylib ) ABCDFGBCGBDGFEBCDHI $.
      $( [21-Mar-1996] $)
  $}

  ${
    pm5.74rd.1 $e |- ( ph -> ( ( ps -> ch ) <-> ( ps -> th ) ) ) $.
    $( Distribution of implication over biconditional (deduction rule). $)
    pm5.74rd $p |- ( ph -> ( ps -> ( ch <-> th ) ) ) $=
      ( wi wb pm5.74 sylibr ) ABCFBDFGBCDGFEBCDHI $.
      $( [19-Mar-1997] $)
  $}

  ${
    bitri.1 $e |- ( ph <-> ps ) $.
    bitri.2 $e |- ( ps <-> ch ) $.
    $( An inference from transitive law for logical equivalence.  (The proof
       was shortened by Wolf Lammen, 13-Oct-2012.) $)
    bitri $p |- ( ph <-> ch ) $=
      ( biimpi sylib biimpri sylibr impbii ) ACABCABDFEGCBABCEHDIJ $.
      $( [13-Oct-2012] $) $( [5-Aug-1993] $)
  $}

  ${
    bitr2i.1 $e |- ( ph <-> ps ) $.
    bitr2i.2 $e |- ( ps <-> ch ) $.
    $( An inference from transitive law for logical equivalence. $)
    bitr2i $p |- ( ch <-> ph ) $=
      ( bitri bicomi ) ACABCDEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    bitr3i.1 $e |- ( ps <-> ph ) $.
    bitr3i.2 $e |- ( ps <-> ch ) $.
    $( An inference from transitive law for logical equivalence. $)
    bitr3i $p |- ( ph <-> ch ) $=
      ( bicomi bitri ) ABCBADFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    bitr4i.1 $e |- ( ph <-> ps ) $.
    bitr4i.2 $e |- ( ch <-> ps ) $.
    $( An inference from transitive law for logical equivalence. $)
    bitr4i $p |- ( ph <-> ch ) $=
      ( bicomi bitri ) ABCDCBEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    bitrd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitrd.2 $e |- ( ph -> ( ch <-> th ) ) $.
    $( Deduction form of ~ bitri .  (The proof was shortened by Wolf Lammen,
       14-Apr-2013.) $)
    bitrd $p |- ( ph -> ( ps <-> th ) ) $=
      ( wi pm5.74i bitri pm5.74ri ) ABDABGACGADGABCEHACDFHIJ $.
      $( [14-Apr-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    bitr2d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitr2d.2 $e |- ( ph -> ( ch <-> th ) ) $.
    $( Deduction form of ~ bitr2i . $)
    bitr2d $p |- ( ph -> ( th <-> ps ) ) $=
      ( bitrd bicomd ) ABDABCDEFGH $.
      $( [9-Jun-2004] $)
  $}

  ${
    bitr3d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitr3d.2 $e |- ( ph -> ( ps <-> th ) ) $.
    $( Deduction form of ~ bitr3i . $)
    bitr3d $p |- ( ph -> ( ch <-> th ) ) $=
      ( bicomd bitrd ) ACBDABCEGFH $.
      $( [5-Aug-1993] $)
  $}

  ${
    bitr4d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitr4d.2 $e |- ( ph -> ( th <-> ch ) ) $.
    $( Deduction form of ~ bitr4i . $)
    bitr4d $p |- ( ph -> ( ps <-> th ) ) $=
      ( bicomd bitrd ) ABCDEADCFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5bb.1 $e |- ( ph <-> ps ) $.
    syl5bb.2 $e |- ( ch -> ( ps <-> th ) ) $.
    $( A syllogism inference from two biconditionals. $)
    syl5bb $p |- ( ch -> ( ph <-> th ) ) $=
      ( wb a1i bitrd ) CABDABGCEHFI $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5rbb.1 $e |- ( ph <-> ps ) $.
    syl5rbb.2 $e |- ( ch -> ( ps <-> th ) ) $.
    $( A syllogism inference from two biconditionals. $)
    syl5rbb $p |- ( ch -> ( th <-> ph ) ) $=
      ( syl5bb bicomd ) CADABCDEFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5bbr.1 $e |- ( ps <-> ph ) $.
    syl5bbr.2 $e |- ( ch -> ( ps <-> th ) ) $.
    $( A syllogism inference from two biconditionals. $)
    syl5bbr $p |- ( ch -> ( ph <-> th ) ) $=
      ( bicomi syl5bb ) ABCDBAEGFH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5rbbr.1 $e |- ( ps <-> ph ) $.
    syl5rbbr.2 $e |- ( ch -> ( ps <-> th ) ) $.
    $( A syllogism inference from two biconditionals. $)
    syl5rbbr $p |- ( ch -> ( th <-> ph ) ) $=
      ( bicomi syl5rbb ) ABCDBAEGFH $.
      $( [25-Nov-1994] $)
  $}

  ${
    syl6bb.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl6bb.2 $e |- ( ch <-> th ) $.
    $( A syllogism inference from two biconditionals. $)
    syl6bb $p |- ( ph -> ( ps <-> th ) ) $=
      ( wb a1i bitrd ) ABCDECDGAFHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl6rbb.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl6rbb.2 $e |- ( ch <-> th ) $.
    $( A syllogism inference from two biconditionals. $)
    syl6rbb $p |- ( ph -> ( th <-> ps ) ) $=
      ( syl6bb bicomd ) ABDABCDEFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl6bbr.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl6bbr.2 $e |- ( th <-> ch ) $.
    $( A syllogism inference from two biconditionals. $)
    syl6bbr $p |- ( ph -> ( ps <-> th ) ) $=
      ( bicomi syl6bb ) ABCDEDCFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl6rbbr.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl6rbbr.2 $e |- ( th <-> ch ) $.
    $( A syllogism inference from two biconditionals. $)
    syl6rbbr $p |- ( ph -> ( th <-> ps ) ) $=
      ( bicomi syl6rbb ) ABCDEDCFGH $.
      $( [25-Nov-1994] $)
  $}

  ${
    3imtr3.1 $e |- ( ph -> ps ) $.
    3imtr3.2 $e |- ( ph <-> ch ) $.
    3imtr3.3 $e |- ( ps <-> th ) $.
    $( A mixed syllogism inference, useful for removing a definition from both
       sides of an implication. $)
    3imtr3i $p |- ( ch -> th ) $=
      ( sylbir sylib ) CBDCABFEHGI $.
      $( [10-Aug-1994] $)
  $}

  ${
    3imtr4.1 $e |- ( ph -> ps ) $.
    3imtr4.2 $e |- ( ch <-> ph ) $.
    3imtr4.3 $e |- ( th <-> ps ) $.
    $( A mixed syllogism inference, useful for applying a definition to both
       sides of an implication. $)
    3imtr4i $p |- ( ch -> th ) $=
      ( sylbi sylibr ) CBDCABFEHGI $.
      $( [5-Aug-1993] $)
  $}

  ${
    3imtr3d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3imtr3d.2 $e |- ( ph -> ( ps <-> th ) ) $.
    3imtr3d.3 $e |- ( ph -> ( ch <-> ta ) ) $.
    $( More general version of ~ 3imtr3i .  Useful for converting conditional
       definitions in a formula. $)
    3imtr3d $p |- ( ph -> ( th -> ta ) ) $=
      ( sylibd sylbird ) ADBEGABCEFHIJ $.
      $( [8-Apr-1996] $)
  $}

  ${
    3imtr4d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3imtr4d.2 $e |- ( ph -> ( th <-> ps ) ) $.
    3imtr4d.3 $e |- ( ph -> ( ta <-> ch ) ) $.
    $( More general version of ~ 3imtr4i .  Useful for converting conditional
       definitions in a formula. $)
    3imtr4d $p |- ( ph -> ( th -> ta ) ) $=
      ( sylibrd sylbid ) ADBEGABCEFHIJ $.
      $( [26-Oct-1995] $)
  $}

  ${
    3imtr3g.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3imtr3g.2 $e |- ( ps <-> th ) $.
    3imtr3g.3 $e |- ( ch <-> ta ) $.
    $( More general version of ~ 3imtr3i .  Useful for converting definitions
       in a formula.  (The proof was shortened by Wolf Lammen, 20-Dec-2013.) $)
    3imtr3g $p |- ( ph -> ( th -> ta ) ) $=
      ( syl5bir syl6ib ) ADCEDBACGFIHJ $.
      $( [20-Dec-2013] $) $( [20-May-1996] $)
  $}

  ${
    3imtr4g.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3imtr4g.2 $e |- ( th <-> ps ) $.
    3imtr4g.3 $e |- ( ta <-> ch ) $.
    $( More general version of ~ 3imtr4i .  Useful for converting definitions
       in a formula.  (The proof was shortened by Wolf Lammen, 20-Dec-2013.) $)
    3imtr4g $p |- ( ph -> ( th -> ta ) ) $=
      ( syl5bi syl6ibr ) ADCEDBACGFIHJ $.
      $( [20-Dec-2013] $) $( [20-May-1996] $)
  $}

  ${
    3bitri.1 $e |- ( ph <-> ps ) $.
    3bitri.2 $e |- ( ps <-> ch ) $.
    3bitri.3 $e |- ( ch <-> th ) $.
    $( A chained inference from transitive law for logical equivalence. $)
    3bitri $p |- ( ph <-> th ) $=
      ( bitri ) ABDEBCDFGHH $.
      $( [5-Aug-1993] $)

    $( A chained inference from transitive law for logical equivalence. $)
    3bitrri $p |- ( th <-> ph ) $=
      ( bitr2i bitr3i ) DCAGABCEFHI $.
      $( [4-Aug-2006] $)
  $}

  ${
    3bitr2i.1 $e |- ( ph <-> ps ) $.
    3bitr2i.2 $e |- ( ch <-> ps ) $.
    3bitr2i.3 $e |- ( ch <-> th ) $.
    $( A chained inference from transitive law for logical equivalence. $)
    3bitr2i $p |- ( ph <-> th ) $=
      ( bitr4i bitri ) ACDABCEFHGI $.
      $( [4-Aug-2006] $)

    $( A chained inference from transitive law for logical equivalence. $)
    3bitr2ri $p |- ( th <-> ph ) $=
      ( bitr4i bitr2i ) ACDABCEFHGI $.
      $( [4-Aug-2006] $)
  $}

  ${
    3bitr3i.1 $e |- ( ph <-> ps ) $.
    3bitr3i.2 $e |- ( ph <-> ch ) $.
    3bitr3i.3 $e |- ( ps <-> th ) $.
    $( A chained inference from transitive law for logical equivalence. $)
    3bitr3i $p |- ( ch <-> th ) $=
      ( bitr3i bitri ) CBDCABFEHGI $.
      $( [19-Aug-1993] $)

    $( A chained inference from transitive law for logical equivalence. $)
    3bitr3ri $p |- ( th <-> ch ) $=
      ( bitr3i ) DBCGBACEFHH $.
      $( [5-Aug-1993] $)
  $}

  ${
    3bitr4i.1 $e |- ( ph <-> ps ) $.
    3bitr4i.2 $e |- ( ch <-> ph ) $.
    3bitr4i.3 $e |- ( th <-> ps ) $.
    $( A chained inference from transitive law for logical equivalence.  This
       inference is frequently used to apply a definition to both sides of a
       logical equivalence. $)
    3bitr4i $p |- ( ch <-> th ) $=
      ( bitr4i bitri ) CADFABDEGHI $.
      $( [5-Aug-1993] $)

    $( A chained inference from transitive law for logical equivalence. $)
    3bitr4ri $p |- ( th <-> ch ) $=
      ( bitr4i bitr2i ) CADFABDEGHI $.
      $( [2-Sep-1995] $)
  $}

  ${
    3bitrd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitrd.2 $e |- ( ph -> ( ch <-> th ) ) $.
    3bitrd.3 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction from transitivity of biconditional. $)
    3bitrd $p |- ( ph -> ( ps <-> ta ) ) $=
      ( bitrd ) ABDEABCDFGIHI $.
      $( [13-Aug-1999] $)

    $( Deduction from transitivity of biconditional. $)
    3bitrrd $p |- ( ph -> ( ta <-> ps ) ) $=
      ( bitr2d bitr3d ) ADEBHABCDFGIJ $.
      $( [4-Aug-2006] $)
  $}

  ${
    3bitr2d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitr2d.2 $e |- ( ph -> ( th <-> ch ) ) $.
    3bitr2d.3 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction from transitivity of biconditional. $)
    3bitr2d $p |- ( ph -> ( ps <-> ta ) ) $=
      ( bitr4d bitrd ) ABDEABCDFGIHJ $.
      $( [4-Aug-2006] $)

    $( Deduction from transitivity of biconditional. $)
    3bitr2rd $p |- ( ph -> ( ta <-> ps ) ) $=
      ( bitr4d bitr2d ) ABDEABCDFGIHJ $.
      $( [4-Aug-2006] $)
  $}

  ${
    3bitr3d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitr3d.2 $e |- ( ph -> ( ps <-> th ) ) $.
    3bitr3d.3 $e |- ( ph -> ( ch <-> ta ) ) $.
    $( Deduction from transitivity of biconditional.  Useful for converting
       conditional definitions in a formula. $)
    3bitr3d $p |- ( ph -> ( th <-> ta ) ) $=
      ( bitr3d bitrd ) ADCEABDCGFIHJ $.
      $( [24-Apr-1996] $)

    $( Deduction from transitivity of biconditional. $)
    3bitr3rd $p |- ( ph -> ( ta <-> th ) ) $=
      ( bitr3d ) ACEDHABCDFGII $.
      $( [4-Aug-2006] $)
  $}

  ${
    3bitr4d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitr4d.2 $e |- ( ph -> ( th <-> ps ) ) $.
    3bitr4d.3 $e |- ( ph -> ( ta <-> ch ) ) $.
    $( Deduction from transitivity of biconditional.  Useful for converting
       conditional definitions in a formula. $)
    3bitr4d $p |- ( ph -> ( th <-> ta ) ) $=
      ( bitr4d bitrd ) ADBEGABCEFHIJ $.
      $( [18-Oct-1995] $)

    $( Deduction from transitivity of biconditional. $)
    3bitr4rd $p |- ( ph -> ( ta <-> th ) ) $=
      ( bitr4d ) AEBDAECBHFIGI $.
      $( [4-Aug-2006] $)
  $}

  ${
    3bitr3g.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitr3g.2 $e |- ( ps <-> th ) $.
    3bitr3g.3 $e |- ( ch <-> ta ) $.
    $( More general version of ~ 3bitr3i .  Useful for converting definitions
       in a formula. $)
    3bitr3g $p |- ( ph -> ( th <-> ta ) ) $=
      ( syl5bbr syl6bb ) ADCEDBACGFIHJ $.
      $( [4-Jun-1995] $)
  $}

  ${
    3bitr4g.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitr4g.2 $e |- ( th <-> ps ) $.
    3bitr4g.3 $e |- ( ta <-> ch ) $.
    $( More general version of ~ 3bitr4i .  Useful for converting definitions
       in a formula. $)
    3bitr4g $p |- ( ph -> ( th <-> ta ) ) $=
      ( syl5bb syl6bbr ) ADCEDBACGFIHJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    bi3ant.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Construct a bi-conditional in antecedent position.  (Contributed by Wolf
       Lammen, 14-May-2013.) $)
    bi3ant $p |- ( ( ( th -> ta ) -> ph ) -> ( ( ( ta -> th ) -> ps ) ->
                                                ( ( th <-> ta ) -> ch ) ) ) $=
      ( wi wb bi1 imim1i bi2 imim3i syl2im ) DEGZAGDEHZAGEDGZBGOBGOCGONADEIJOPB
      DEKJABCOFLM $.
      $( [14-May-2013] $)
  $}

  $( Express symmetries of theorems in terms of biconditionals.  (Contributed
     by Wolf Lammen, 14-May-2013.) $)
  bisym $p |- ( ( ( ph -> ps ) -> ( ch -> th ) ) -> ( ( ( ps -> ph )
      -> ( th -> ch ) ) -> ( ( ph <-> ps ) -> ( ch <-> th ) ) ) ) $=
    ( wi wb bi3 bi3ant ) CDEDCECDFABCDGH $.
    $( [14-May-2013] $)

  $( Double negation.  Theorem *4.13 of [WhiteheadRussell] p. 117. $)
  notnot $p |- ( ph <-> -. -. ph ) $=
    ( wn notnot1 notnot2 impbii ) AABBACADE $.
    $( [5-Aug-1993] $)

  $( Contraposition.  Theorem *4.1 of [WhiteheadRussell] p. 116. $)
  con34b $p |- ( ( ph -> ps ) <-> ( -. ps -> -. ph ) ) $=
    ( wi wn con3 ax-3 impbii ) ABCBDADCABEBAFG $.
    $( [5-Aug-1993] $)

  ${
    con4bid.1 $e |- ( ph -> ( -. ps <-> -. ch ) ) $.
    $( A contraposition deduction. $)
    con4bid $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wn biimprd con4d biimpd impcon4bid ) ABCACBABEZCEZDFGAJKDHI $.
      $( [17-Sep-2013] $) $( [21-May-1994] $)
  $}

  ${
    notbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction negating both sides of a logical equivalence. $)
    notbid $p |- ( ph -> ( -. ps <-> -. ch ) ) $=
      ( wn notnot 3bitr3g con4bid ) ABEZCEZABCIEJEDBFCFGH $.
      $( [17-Sep-2013] $) $( [21-May-1994] $)
  $}

  $( Contraposition.  Theorem *4.11 of [WhiteheadRussell] p. 117.  (The proof
     was shortened by Wolf Lammen, 12-Jun-2013.) $)
  notbi $p |- ( ( ph <-> ps ) <-> ( -. ph <-> -. ps ) ) $=
    ( wb wn id notbid con4bid impbii ) ABCZADBDCZIABIEFJABJEGH $.
    $( [12-Jun-2013] $) $( [21-May-1994] $)

  ${
    notbii.1 $e |- ( ph <-> ps ) $.
    $( Negate both sides of a logical equivalence.  (The proof was shortened by
       Wolf Lammen, 19-May-2013.) $)
    notbii $p |- ( -. ph <-> -. ps ) $=
      ( wb wn notbi mpbi ) ABDAEBEDCABFG $.
      $( [19-May-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    con4bii.1 $e |- ( -. ph <-> -. ps ) $.
    $( A contraposition inference. $)
    con4bii $p |- ( ph <-> ps ) $=
      ( wb wn notbi mpbir ) ABDAEBEDCABFG $.
      $( [21-May-1994] $)
  $}

  ${
    mtbi.1 $e |- -. ph $.
    mtbi.2 $e |- ( ph <-> ps ) $.
    $( An inference from a biconditional, related to modus tollens.  (The proof
       was shortened by Wolf Lammen, 25-Oct-2012.) $)
    mtbi $p |- -. ps $=
      ( biimpri mto ) BACABDEF $.
      $( [25-Oct-2012] $) $( [15-Nov-1994] $)
  $}

  ${
    mtbir.1 $e |- -. ps $.
    mtbir.2 $e |- ( ph <-> ps ) $.
    $( An inference from a biconditional, related to modus tollens.  (The proof
       was shortened by Wolf Lammen, 14-Oct-2012.) $)
    mtbir $p |- -. ph $=
      ( bicomi mtbi ) BACABDEF $.
      $( [13-Oct-2012] $) $( [15-Nov-1994] $)
  $}

  ${
    mtbid.min $e |- ( ph -> -. ps ) $.
    mtbid.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A deduction from a biconditional, similar to modus tollens. $)
    mtbid $p |- ( ph -> -. ch ) $=
      ( biimprd mtod ) ACBDABCEFG $.
      $( [26-Nov-1995] $)
  $}

  ${
    mtbird.min $e |- ( ph -> -. ch ) $.
    mtbird.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A deduction from a biconditional, similar to modus tollens. $)
    mtbird $p |- ( ph -> -. ps ) $=
      ( biimpd mtod ) ABCDABCEFG $.
      $( [10-May-1994] $)
  $}

  ${
    mtbii.min $e |- -. ps $.
    mtbii.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( An inference from a biconditional, similar to modus tollens. $)
    mtbii $p |- ( ph -> -. ch ) $=
      ( biimprd mtoi ) ACBDABCEFG $.
      $( [27-Nov-1995] $)
  $}

  ${
    mtbiri.min $e |- -. ch $.
    mtbiri.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( An inference from a biconditional, similar to modus tollens. $)
    mtbiri $p |- ( ph -> -. ps ) $=
      ( biimpd mtoi ) ABCDABCEFG $.
      $( [24-Aug-1995] $)
  $}

  ${
    sylnib.1 $e |- ( ph -> -. ps ) $.
    sylnib.2 $e |- ( ps <-> ch ) $.
    $( A mixed syllogism inference from an implication and a biconditional.
       (Contributed by Wolf Lammen, 16-Dec-2013.) $)
    sylnib $p |- ( ph -> -. ch ) $=
      ( wb a1i mtbid ) ABCDBCFAEGH $.
      $( [16-Dec-2013] $)
  $}

  ${
    sylnibr.1 $e |- ( ph -> -. ps ) $.
    sylnibr.2 $e |- ( ch <-> ps ) $.
    $( A mixed syllogism inference from an implication and a biconditional.
       Useful for substituting an consequent with a definition.  (Contributed
       by Wolf Lammen, 16-Dec-2013.) $)
    sylnibr $p |- ( ph -> -. ch ) $=
      ( bicomi sylnib ) ABCDCBEFG $.
      $( [16-Dec-2013] $)
  $}

  ${
    sylnbi.1 $e |- ( ph <-> ps ) $.
    sylnbi.2 $e |- ( -. ps -> ch ) $.
    $( A mixed syllogism inference from a biconditional and an implication.
       Useful for substituting an antecedent with a definition.  (Contributed
       by Wolf Lammen, 16-Dec-2013.) $)
    sylnbi $p |- ( -. ph -> ch ) $=
      ( wn notbii sylbi ) AFBFCABDGEH $.
      $( [16-Dec-2013] $)
  $}

  ${
    sylnbir.1 $e |- ( ps <-> ph ) $.
    sylnbir.2 $e |- ( -. ps -> ch ) $.
    $( A mixed syllogism inference from a biconditional and an implication.
       (Contributed by Wolf Lammen, 16-Dec-2013.) $)
    sylnbir $p |- ( -. ph -> ch ) $=
      ( bicomi sylnbi ) ABCBADFEG $.
      $( [16-Dec-2013] $)
  $}

  ${
    xchnxbi.1 $e |- ( -. ph <-> ps ) $.
    xchnxbi.2 $e |- ( ph <-> ch ) $.
    $( Replacement of a subexpression by an equivalent one.  (Contributed by
       Wolf Lammen, 27-Sep-2014.) $)
    xchnxbi $p |- ( -. ch <-> ps ) $=
      ( wn notbii bitr3i ) CFAFBACEGDH $.
      $( [27-Sep-2014] $)
  $}

  ${
    xchnxbir.1 $e |- ( -. ph <-> ps ) $.
    xchnxbir.2 $e |- ( ch <-> ph ) $.
    $( Replacement of a subexpression by an equivalent one.  (Contributed by
       Wolf Lammen, 27-Sep-2014.) $)
    xchnxbir $p |- ( -. ch <-> ps ) $=
      ( bicomi xchnxbi ) ABCDCAEFG $.
      $( [27-Sep-2014] $)
  $}

  ${
    xchbinx.1 $e |- ( ph <-> -. ps ) $.
    xchbinx.2 $e |- ( ps <-> ch ) $.
    $( Replacement of a subexpression by an equivalent one.  (Contributed by
       Wolf Lammen, 27-Sep-2014.) $)
    xchbinx $p |- ( ph <-> -. ch ) $=
      ( wn notbii bitri ) ABFCFDBCEGH $.
      $( [27-Sep-2014] $)
  $}

  ${
    xchbinxr.1 $e |- ( ph <-> -. ps ) $.
    xchbinxr.2 $e |- ( ch <-> ps ) $.
    $( Replacement of a subexpression by an equivalent one.  (Contributed by
       Wolf Lammen, 27-Sep-2014.) $)
    xchbinxr $p |- ( ph <-> -. ch ) $=
      ( bicomi xchbinx ) ABCDCBEFG $.
      $( [27-Sep-2014] $)
  $}

  $( The next three rules are useful for building up wff's around a
     definition, in order to make use of the definition. $)

  ${
    bi.a $e |- ( ph <-> ps ) $.
    $( Introduce an antecedent to both sides of a logical equivalence.  (The
       proof was shortened by Wolf Lammen, 6-Feb-2013.) $)
    imbi2i $p |- ( ( ch -> ph ) <-> ( ch -> ps ) ) $=
      ( wb a1i pm5.74i ) CABABECDFG $.
      $( [6-Feb-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    bibi.a $e |- ( ph <-> ps ) $.
    $( Inference adding a biconditional to the left in an equivalence.  (The
       proof was shortened by Andrew Salmon, 7-May-2011.)  (The proof was
       shortened by Wolf Lammen, 16-May-2013.) $)
    bibi2i $p |- ( ( ch <-> ph ) <-> ( ch <-> ps ) ) $=
      ( wb id syl6bb syl6bbr impbii ) CAEZCBEZJCABJFDGKCBAKFDHI $.
      $( [16-May-2013] $) $( [5-Aug-1993] $)

    $( Inference adding a biconditional to the right in an equivalence. $)
    bibi1i $p |- ( ( ph <-> ch ) <-> ( ps <-> ch ) ) $=
      ( wb bicom bibi2i 3bitri ) ACECAECBEBCEACFABCDGCBFH $.
      $( [5-Aug-1993] $)

    ${
      bibi12.2 $e |- ( ch <-> th ) $.
      $( The equivalence of two equivalences. $)
      bibi12i $p |- ( ( ph <-> ch ) <-> ( ps <-> th ) ) $=
        ( wb bibi2i bibi1i bitri ) ACGADGBDGCDAFHABDEIJ $.
        $( [5-Aug-1993] $)
    $}
  $}

  ${
    imbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction adding an antecedent to both sides of a logical
       equivalence. $)
    imbi2d $p |- ( ph -> ( ( th -> ps ) <-> ( th -> ch ) ) ) $=
      ( wb a1d pm5.74d ) ADBCABCFDEGH $.
      $( [5-Aug-1993] $)

    $( Deduction adding a consequent to both sides of a logical equivalence.
       (The proof was shortened by Wolf Lammen, 17-Sep-2013.) $)
    imbi1d $p |- ( ph -> ( ( ps -> th ) <-> ( ch -> th ) ) ) $=
      ( wi biimprd imim1d biimpd impbid ) ABDFCDFACBDABCEGHABCDABCEIHJ $.
      $( [17-Sep-2013] $) $( [5-Aug-1993] $)

    $( Deduction adding a biconditional to the left in an equivalence.  (The
       proof was shortened by Wolf Lammen, 19-May-2013.) $)
    bibi2d $p |- ( ph -> ( ( th <-> ps ) <-> ( th <-> ch ) ) ) $=
      ( wb wi pm5.74i bibi2i pm5.74 3bitr4i pm5.74ri ) ADBFZDCFZADGZABGZFOACGZF
      AMGANGPQOABCEHIADBJADCJKL $.
      $( [19-May-2013] $) $( [5-Aug-1993] $)

    $( Deduction adding a biconditional to the right in an equivalence. $)
    bibi1d $p |- ( ph -> ( ( ps <-> th ) <-> ( ch <-> th ) ) ) $=
      ( wb bibi2d bicom 3bitr4g ) ADBFDCFBDFCDFABCDEGBDHCDHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    imbi12d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    imbi12d.2 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction joining two equivalences to form equivalence of
       implications. $)
    imbi12d $p |- ( ph -> ( ( ps -> th ) <-> ( ch -> ta ) ) ) $=
      ( wi imbi1d imbi2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
      $( [5-Aug-1993] $)
    $( Deduction joining two equivalences to form equivalence of
       biconditionals. $)
    bibi12d $p |- ( ph -> ( ( ps <-> th ) <-> ( ch <-> ta ) ) ) $=
      ( wb bibi1d bibi2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem *4.84 of [WhiteheadRussell] p. 122. $)
  imbi1 $p |- ( ( ph <-> ps ) -> ( ( ph -> ch ) <-> ( ps -> ch ) ) ) $=
    ( wb id imbi1d ) ABDZABCGEF $.
    $( [3-Jan-2005] $)

  $( Theorem *4.85 of [WhiteheadRussell] p. 122.  (The proof was shortened by
     Wolf Lammen, 19-May-2013.) $)
  imbi2 $p |- ( ( ph <-> ps ) -> ( ( ch -> ph ) <-> ( ch -> ps ) ) ) $=
    ( wb id imbi2d ) ABDZABCGEF $.
    $( [19-May-2013] $) $( [3-Jan-2005] $)

  ${
    imbi1i.1 $e |- ( ph <-> ps ) $.
    $( Introduce a consequent to both sides of a logical equivalence.  (The
       proof was shortened by Wolf Lammen, 17-Sep-2013.) $)
    imbi1i $p |- ( ( ph -> ch ) <-> ( ps -> ch ) ) $=
      ( wb wi imbi1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [17-Sep-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    imbi12i.1 $e |- ( ph <-> ps ) $.
    imbi12i.2 $e |- ( ch <-> th ) $.
    $( Join two logical equivalences to form equivalence of implications. $)
    imbi12i $p |- ( ( ph -> ch ) <-> ( ps -> th ) ) $=
      ( wi imbi2i imbi1i bitri ) ACGADGBDGCDAFHABDEIJ $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem *4.86 of [WhiteheadRussell] p. 122. $)
  bibi1 $p |- ( ( ph <-> ps ) -> ( ( ph <-> ch ) <-> ( ps <-> ch ) ) ) $=
    ( wb id bibi1d ) ABDZABCGEF $.
    $( [3-Jan-2005] $)

  $( Contraposition.  Theorem *4.12 of [WhiteheadRussell] p. 117.  (The proof
     was shortened by Wolf Lammen, 3-Jan-2013.) $)
  con2bi $p |- ( ( ph <-> -. ps ) <-> ( ps <-> -. ph ) ) $=
    ( wn wb notbi notnot bibi2i bicom 3bitr2i ) ABCZDACZJCZDKBDBKDAJEBLKBFGKBHI
    $.
    $( [3-Jan-2013] $) $( [15-Apr-1995] $)

  ${
    con2bid.1 $e |- ( ph -> ( ps <-> -. ch ) ) $.
    $( A contraposition deduction. $)
    con2bid $p |- ( ph -> ( ch <-> -. ps ) ) $=
      ( wn wb con2bi sylibr ) ABCEFCBEFDCBGH $.
      $( [15-Apr-1995] $)
  $}

  ${
    con1bid.1 $e |- ( ph -> ( -. ps <-> ch ) ) $.
    $( A contraposition deduction. $)
    con1bid $p |- ( ph -> ( -. ch <-> ps ) ) $=
      ( wn bicomd con2bid ) ABCEACBABECDFGF $.
      $( [9-Oct-1999] $)
  $}

  ${
    con1bii.1 $e |- ( -. ph <-> ps ) $.
    $( A contraposition inference.  (The proof was shortened by Wolf Lammen,
       13-Oct-2012.) $)
    con1bii $p |- ( -. ps <-> ph ) $=
      ( wn notnot xchbinx bicomi ) ABDAADBAECFG $.
      $( [28-Sep-2014] $) $( [5-Aug-1993] $)
  $}

  ${
    con2bii.1 $e |- ( ph <-> -. ps ) $.
    $( A contraposition inference. $)
    con2bii $p |- ( ps <-> -. ph ) $=
      ( wn bicomi con1bii ) ADBBAABDCEFE $.
      $( [5-Aug-1993] $)
  $}

  $( Contraposition.  Bidirectional version of ~ con1 . $)
  con1b $p |- ( ( -. ph -> ps ) <-> ( -. ps -> ph ) ) $=
    ( wn wi con1 impbii ) ACBDBCADABEBAEF $.
    $( [5-Aug-1993] $)

  $( Contraposition.  Bidirectional version of ~ con2 . $)
  con2b $p |- ( ( ph -> -. ps ) <-> ( ps -> -. ph ) ) $=
    ( wn wi con2 impbii ) ABCDBACDABEBAEF $.
    $( [5-Aug-1993] $)

  $( A wff is equivalent to itself with true antecedent. $)
  biimt $p |- ( ph -> ( ps <-> ( ph -> ps ) ) ) $=
    ( wi ax-1 pm2.27 impbid2 ) ABABCBADABEF $.
    $( [28-Jan-1996] $)

  $( Theorem *5.5 of [WhiteheadRussell] p. 125. $)
  pm5.5 $p |- ( ph -> ( ( ph -> ps ) <-> ps ) ) $=
    ( wi biimt bicomd ) ABABCABDE $.
    $( [3-Jan-2005] $)

  ${
    a1bi.1 $e |- ph $.
    $( Inference rule introducing a theorem as an antecedent.  The proof was
       shortened by Wolf Lammen, 11-Nov-2012.) $)
    a1bi $p |- ( ps <-> ( ph -> ps ) ) $=
      ( wi wb biimt ax-mp ) ABABDECABFG $.
      $( [11-Nov-2012] $) $( [5-Aug-1993] $)
  $}

  ${
    mt2bi.1 $e |- ph $.
    $( A false consequent falsifies an antecedent.  (The proof was shortened by
       Wolf Lammen, 12-Nov-2012.) $)
    mt2bi $p |- ( -. ps <-> ( ps -> -. ph ) ) $=
      ( wn wi a1bi con2b bitri ) BDZAIEBADEAICFABGH $.
      $( [12-Nov-2012] $) $( [19-Aug-1993] $)
  $}

  $( Modus-tollens-like theorem.  (The proof was shortened by Wolf Lammen,
     12-Nov-2012.) $)
  mtt $p |- ( -. ph -> ( -. ps <-> ( ps -> ph ) ) ) $=
    ( wn wi biimt con34b syl6bbr ) ACZBCZHIDBADHIEBAFG $.
    $( [12-Nov-2012] $) $( [7-Apr-2001] $)

  $( Theorem *5.501 of [WhiteheadRussell] p. 125. $)
  pm5.501 $p |- ( ph -> ( ps <-> ( ph <-> ps ) ) ) $=
    ( wb pm5.1im bi1 com12 impbid ) ABABCZABDHABABEFG $.
    $( [24-Jan-2013] $) $( [3-Jan-2005] $)

  $( Implication in terms of implication and biconditional.  (The proof was
     shortened by Wolf Lammen, 24-Jan-2013.) $)
  ibib $p |- ( ( ph -> ps ) <-> ( ph -> ( ph <-> ps ) ) ) $=
    ( wb pm5.501 pm5.74i ) ABABCABDE $.
    $( [24-Jan-2013] $) $( [31-Mar-1994] $)

  $( Implication in terms of implication and biconditional.  (The proof was
     shortened by Wolf Lammen, 21-Dec-2013.) $)
  ibibr $p |- ( ( ph -> ps ) <-> ( ph -> ( ps <-> ph ) ) ) $=
    ( wb pm5.501 bicom syl6bb pm5.74i ) ABBACZABABCHABDABEFG $.
    $( [21-Dec-2013] $) $( [29-Apr-2005] $)

  ${
    tbt.1 $e |- ph $.
    $( A wff is equivalent to its equivalence with truth.  (The proof was
       shortened by Andrew Salmon, 13-May-2011.) $)
    tbt $p |- ( ps <-> ( ps <-> ph ) ) $=
      ( wb ibibr pm5.74ri ax-mp ) ABBADZDCABHABEFG $.
      $( [16-May-2011] $) $( [18-Aug-1993] $)
  $}

  $( The negation of a wff is equivalent to the wff's equivalence to
     falsehood.  (Contributed by Juha Arpiainen, 19-Jan-2006.)  (The proof was
     shortened by Wolf Lammen, 28-Jan-2013.) $)
  nbn2 $p |- ( -. ph -> ( -. ps <-> ( ph <-> ps ) ) ) $=
    ( wn wb pm5.501 notbi syl6bbr ) ACZBCZHIDABDHIEABFG $.
    $( [28-Jan-2013] $) $( [19-Jan-2006] $)

  $( Transfer negation via an equivalence.  (The proof was shortened by Wolf
     Lammen, 28-Jan-2013.) $)
  bibif $p |- ( -. ps -> ( ( ph <-> ps ) <-> -. ph ) ) $=
    ( wn wb nbn2 bicom syl6rbb ) BCACBADABDBAEBAFG $.
    $( [28-Jan-2013] $) $( [3-Oct-2007] $)

  ${
    nbn.1 $e |- -. ph $.
    $( The negation of a wff is equivalent to the wff's equivalence to
       falsehood.  (The proof was shortened by Wolf Lammen, 3-Oct-2013.) $)
    nbn $p |- ( -. ps <-> ( ps <-> ph ) ) $=
      ( wb wn bibif ax-mp bicomi ) BADZBEZAEIJDCBAFGH $.
      $( [3-Oct-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    nbn3.1 $e |- ph $.
    $( Transfer falsehood via equivalence. $)
    nbn3 $p |- ( -. ps <-> ( ps <-> -. ph ) ) $=
      ( wn notnoti nbn ) ADBACEF $.
      $( [11-Sep-2006] $)
  $}

  $( Two propositions are equivalent if they are both false.  Closed form of
     ~ 2false .  Equivalent to a ~ bi2 -like version of the xor-connective.
     (Contributed by Wolf Lammen, 13-May-2013.) $)
  pm5.21im $p |- ( -. ph -> ( -. ps -> ( ph <-> ps ) ) ) $=
    ( wn wb nbn2 biimpd ) ACBCABDABEF $.
    $( [13-May-2013] $)

  ${
    2false.1 $e |- -. ph $.
    2false.2 $e |- -. ps $.
    $( Two falsehoods are equivalent.  (The proof was shortened by Wolf Lammen,
       19-May-2013.) $)
    2false $p |- ( ph <-> ps ) $=
      ( wn 2th con4bii ) ABAEBECDFG $.
      $( [19-May-2013] $) $( [4-Apr-2005] $)
  $}

  ${
    2falsed.1 $e |- ( ph -> -. ps ) $.
    2falsed.2 $e |- ( ph -> -. ch ) $.
    $( Two falsehoods are equivalent (deduction rule). $)
    2falsed $p |- ( ph -> ( ps <-> ch ) ) $=
      ( pm2.21d impbid ) ABCABCDFACBEFG $.
      $( [11-Oct-2013] $)
  $}

  ${
    pm5.21ni.1 $e |- ( ph -> ps ) $.
    pm5.21ni.2 $e |- ( ch -> ps ) $.
    $( Two propositions implying a false one are equivalent.  (The proof was
       shortened by Wolf Lammen, 19-May-2013.) $)
    pm5.21ni $p |- ( -. ps -> ( ph <-> ch ) ) $=
      ( wn con3i 2falsed ) BFACABDGCBEGH $.
      $( [19-May-2013] $) $( [16-Feb-1996] $)

    ${
      pm5.21nii.3 $e |- ( ps -> ( ph <-> ch ) ) $.
      $( Eliminate an antecedent implied by each side of a biconditional. $)
      pm5.21nii $p |- ( ph <-> ch ) $=
        ( wb pm5.21ni pm2.61i ) BACGFABCDEHI $.
        $( [21-May-1999] $)
    $}
  $}

  ${
    pm5.21ndd.1 $e |- ( ph -> ( ch -> ps ) ) $.
    pm5.21ndd.2 $e |- ( ph -> ( th -> ps ) ) $.
    pm5.21ndd.3 $e |- ( ph -> ( ps -> ( ch <-> th ) ) ) $.
    $( Eliminate an antecedent implied by each side of a biconditional,
       deduction version.  (Contributed by Paul Chapman, 21-Nov-2012.)  ( The
       proof was shortened by Wolf Lammen, 6-Oct-2013.) $)
    pm5.21ndd $p |- ( ph -> ( ch <-> th ) ) $=
      ( wb wn con3d pm5.21im syl6c pm2.61d ) ABCDHZGABICIDINACBEJADBFJCDKLM $.
      $( [6-Oct-2013] $) $( [21-Nov-2012] $)
  $}

  ${
    bija.1 $e |- ( ph -> ( ps -> ch ) ) $.
    bija.2 $e |- ( -. ph -> ( -. ps -> ch ) ) $.
    $( Combine antecedents into a single bi-conditional.  This inference,
       reminiscent of ~ ja , is reversible:  The hypotheses can be deduced from
       the conclusion alone (see ~ pm5.1im and ~ pm5.21im ).  (Contributed by
       Wolf Lammen, 13-May-2013.) $)
    bija $p |- ( ( ph <-> ps ) -> ch ) $=
      ( wb bi2 syli wn bi1 con3d pm2.61d ) ABFZBCBMACABGDHBIMAICMABABJKEHL $.
      $( [13-May-2013] $)
  $}

  $( Theorem *5.18 of [WhiteheadRussell] p. 124.  This theorem says that
     logical equivalence is the same as negated "exclusive-or."  (The proof was
     shortened by Andrew Salmon, 20-Jun-2011.)  (The proof was shortened by
     Wolf Lammen, 15-Oct-2013.) $)
  pm5.18 $p |- ( ( ph <-> ps ) <-> -. ( ph <-> -. ps ) ) $=
    ( wb wn pm5.501 con1bid bitr2d nbn2 pm2.61i ) AABCZABDZCZDZCAMBJABLAKEFABEG
    ADZMKJNKLAKHFABHGI $.
    $( [15-Oct-2013] $) $( [28-Jun-2002] $)

  $( Two ways to express "exclusive or." $)
  xor3 $p |- ( -. ( ph <-> ps ) <-> ( ph <-> -. ps ) ) $=
    ( wn wb pm5.18 con2bii bicomi ) ABCDZABDZCIHABEFG $.
    $( [1-Jan-2006] $)

  $( Move negation outside of biconditional.  Compare Theorem *5.18 of
     [WhiteheadRussell] p. 124.  (The proof was shortened by Wolf Lammen,
     20-Sep-2013.) $)
  nbbn $p |- ( ( -. ph <-> ps ) <-> -. ( ph <-> ps ) ) $=
    ( wb wn xor3 con2bi bicom 3bitrri ) ABCDABDCBADZCIBCABEABFBIGH $.
    $( [20-Sep-2013] $) $( [27-Jun-2002] $)

  $( Associative law for the biconditional.  An axiom of system DS in Vladimir
     Lifschitz, "On calculational proofs", Annals of Pure and Applied Logic,
     113:207-224, 2002,
     ~ http://www.cs.utexas.edu/users/ai-lab/pub-view.php?PubID=26805 .
     Interestingly, this law was not included in _Principia Mathematica_ but
     was apparently first noted by Jan Lukasiewicz circa 1923.  (The proof was
     shortened by Juha Arpiainen, 19-Jan-2006.)  (The proof was shortened by
     Wolf Lammen, 21-Sep-2013.) $)
  biass $p |- ( ( ( ph <-> ps ) <-> ch ) <-> ( ph <-> ( ps <-> ch ) ) ) $=
    ( wb pm5.501 bibi1d bitr3d wn nbbn nbn2 syl5bbr pm2.61i ) AABDZCDZABCDZDZDA
    ONPABMCABEFAOEGAHZOHZNPRBHZCDQNBCIQSMCABJFKAOJGL $.
    $( [21-Sep-2013] $) $( [8-Jan-2005] $)

  $( Theorem *5.19 of [WhiteheadRussell] p. 124. $)
  pm5.19 $p |- -. ( ph <-> -. ph ) $=
    ( wb wn biid pm5.18 mpbi ) AABAACBCADAAEF $.
    $( [3-Jan-2005] $)

  $( Logical equivalence of commuted antecedents.  Part of Theorem *4.87 of
     [WhiteheadRussell] p. 122. $)
  bi2.04 $p |- ( ( ph -> ( ps -> ch ) ) <-> ( ps -> ( ph -> ch ) ) ) $=
    ( wi pm2.04 impbii ) ABCDDBACDDABCEBACEF $.
    $( [5-Aug-1993] $)

  $( Antecedent absorption implication.  Theorem *5.4 of [WhiteheadRussell]
     p. 125. $)
  pm5.4 $p |- ( ( ph -> ( ph -> ps ) ) <-> ( ph -> ps ) ) $=
    ( wi pm2.43 ax-1 impbii ) AABCZCGABDGAEF $.
    $( [5-Aug-1993] $)

  $( Distributive law for implication.  Compare Theorem *5.41 of
     [WhiteheadRussell] p. 125. $)
  imdi $p |- ( ( ph -> ( ps -> ch ) ) <->
               ( ( ph -> ps ) -> ( ph -> ch ) ) ) $=
    ( wi ax-2 pm2.86 impbii ) ABCDDABDACDDABCEABCFG $.
    $( [5-Aug-1993] $)

  $( Theorem *5.41 of [WhiteheadRussell] p. 125.  (The proof was shortened by
     Wolf Lammen, 12-Oct-2012.) $)
  pm5.41 $p |- ( ( ( ph -> ps ) -> ( ph -> ch ) ) <->
                ( ph -> ( ps -> ch ) ) ) $=
    ( wi imdi bicomi ) ABCDDABDACDDABCEF $.
    $( [13-Oct-2012] $) $( [3-Jan-2005] $)

  $( Theorem *4.8 of [WhiteheadRussell] p. 122. $)
  pm4.8 $p |- ( ( ph -> -. ph ) <-> -. ph ) $=
    ( wn wi pm2.01 ax-1 impbii ) AABZCGADGAEF $.
    $( [3-Jan-2005] $)

  $( Theorem *4.81 of [WhiteheadRussell] p. 122. $)
  pm4.81 $p |- ( ( -. ph -> ph ) <-> ph ) $=
    ( wn wi pm2.18 pm2.24 impbii ) ABACAADAAEF $.
    $( [3-Jan-2005] $)

  $( Simplify an implication between two implications when the antecedent of
     the first is a consequence of the antecedent of the second.  The reverse
     form is useful in producing the successor step in induction proofs.
     (Contributed by Paul Chapman, 22-Jun-2011.)  (The proof was shortened by
     Wolf Lammen, 14-Sep-2013.) $)
  imim21b $p |- ( ( ps -> ph ) -> ( ( ( ph -> ch ) -> ( ps -> th ) ) <->
                                    ( ps -> ( ch -> th ) ) ) ) $=
    ( wi bi2.04 wb pm5.5 imbi1d imim2i pm5.74d syl5bb ) ACEZBDEEBMDEZEBAEZBCDEZ
    EMBDFOBNPANPGBAMCDACHIJKL $.
    $( [14-Sep-2013] $) $( [22-Jun-2011] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Logical disjunction and conjunction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare connectives for disjunction ('or') and conjunction ('and'). $)
  $c \/ $. $( Vee (read:  'or') $)
  $c /\ $. $( Wedge (read:  'and') $)

  $( Extend wff definition to include disjunction ('or'). $)
  wo $a wff ( ph \/ ps ) $.
  $( Extend wff definition to include conjunction ('and'). $)
  wa $a wff ( ph /\ ps ) $.

  $( Define disjunction (logical 'or').  This is our first use of the
     biconditional connective in a definition; we use it in place of the
     traditional "<=def=>", which means the same thing, except that we can
     manipulate the biconditional connective directly in proofs rather than
     having to rely on an informal definition substitution rule.  Note that if
     we mechanically substitute ` ( -. ph -> ps ) ` for ` ( ph \/ ps ) ` , we
     end up with an instance of previously proved theorem ~ biid .  This is the
     justification for the definition, along with the fact that it introduces a
     new symbol ` \/ ` .  Definition of [Margaris] p. 49. $)
  df-or $a |- ( ( ph \/ ps ) <-> ( -. ph -> ps ) ) $.

  $( Define conjunction (logical 'and').  Definition of [Margaris] p. 49. $)
  df-an $a |- ( ( ph /\ ps ) <-> -. ( ph -> -. ps ) ) $.

  $( Theorem *4.64 of [WhiteheadRussell] p. 120. $)
  pm4.64 $p |- ( ( -. ph -> ps ) <-> ( ph \/ ps ) ) $=
    ( wo wn wi df-or bicomi ) ABCADBEABFG $.
    $( [3-Jan-2005] $)

  $( Theorem *2.53 of [WhiteheadRussell] p. 107. $)
  pm2.53 $p |- ( ( ph \/ ps ) -> ( -. ph -> ps ) ) $=
    ( wo wn wi df-or biimpi ) ABCADBEABFG $.
    $( [23-Jul-2012] $) $( [3-Jan-2005] $)

  $( Theorem *2.54 of [WhiteheadRussell] p. 107. $)
  pm2.54 $p |- ( ( -. ph -> ps ) -> ( ph \/ ps ) ) $=
    ( wo wn wi df-or biimpri ) ABCADBEABFG $.
    $( [3-Jan-2005] $)

  ${
    ori.1 $e |- ( ph \/ ps ) $.
    $( Infer implication from disjunction. $)
    ori $p |- ( -. ph -> ps ) $=
      ( wo wn wi df-or mpbi ) ABDAEBFCABGH $.
      $( [11-Jun-1994] $)
  $}

  ${
    orri.1 $e |- ( -. ph -> ps ) $.
    $( Infer implication from disjunction. $)
    orri $p |- ( ph \/ ps ) $=
      ( wo wn wi df-or mpbir ) ABDAEBFCABGH $.
      $( [11-Jun-1994] $)
  $}

  ${
    ord.1 $e |- ( ph -> ( ps \/ ch ) ) $.
    $( Deduce implication from disjunction. $)
    ord $p |- ( ph -> ( -. ps -> ch ) ) $=
      ( wo wn wi df-or sylib ) ABCEBFCGDBCHI $.
      $( [18-May-1994] $)
  $}

  ${
    orrd.1 $e |- ( ph -> ( -. ps -> ch ) ) $.
    $( Deduce implication from disjunction. $)
    orrd $p |- ( ph -> ( ps \/ ch ) ) $=
      ( wn wi wo pm2.54 syl ) ABECFBCGDBCHI $.
      $( [27-Nov-1995] $)
  $}

  ${
    jaoi.1 $e |- ( ph -> ps ) $.
    jaoi.2 $e |- ( ch -> ps ) $.
    $( Inference disjoining the antecedents of two implications. $)
    jaoi $p |- ( ( ph \/ ch ) -> ps ) $=
      ( wo wn pm2.53 syl6 pm2.61d2 ) ACFZABKAGCBACHEIDJ $.
      $( [13-Dec-2013] $) $( [5-Apr-1994] $)
  $}

  ${
    jaod.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jaod.2 $e |- ( ph -> ( th -> ch ) ) $.
    $( Deduction disjoining the antecedents of two implications. $)
    jaod $p |- ( ph -> ( ( ps \/ th ) -> ch ) ) $=
      ( wo wi com12 jaoi ) BDGACBACHDABCEIADCFIJI $.
      $( [4-Apr-2013] $) $( [18-Aug-1994] $)
  $}

  $( Elimination of disjunction by denial of a disjunct.  Theorem *2.55 of
     [WhiteheadRussell] p. 107.  (The proof was shortened by Wolf Lammen,
     21-Jul-2012.) $)
  orel1 $p |- ( -. ph -> ( ( ph \/ ps ) -> ps ) ) $=
    ( wo wn pm2.53 com12 ) ABCADBABEF $.
    $( [23-Jul-2012] $) $( [12-Aug-1994] $)

  $( Elimination of disjunction by denial of a disjunct.  Theorem *2.56 of
     [WhiteheadRussell] p. 107.  (The proof was shortened by Wolf Lammen,
     5-Apr-2013.) $)
  orel2 $p |- ( -. ph -> ( ( ps \/ ph ) -> ps ) ) $=
    ( wn idd pm2.21 jaod ) ACZBBAGBDABEF $.
    $( [5-Apr-2013] $) $( [12-Aug-1994] $)

  $( Introduction of a disjunct.  Axiom *1.3 of [WhiteheadRussell] p. 96. $)
  olc $p |- ( ph -> ( ps \/ ph ) ) $=
    ( wn ax-1 orrd ) ABAABCDE $.
    $( [30-Aug-1993] $)

  $( Introduction of a disjunct.  Theorem *2.2 of [WhiteheadRussell] p. 104. $)
  orc $p |- ( ph -> ( ph \/ ps ) ) $=
    ( pm2.24 orrd ) AABABCD $.
    $( [30-Aug-1993] $)

  $( Axiom *1.4 of [WhiteheadRussell] p. 96. $)
  pm1.4 $p |- ( ( ph \/ ps ) -> ( ps \/ ph ) ) $=
    ( wo olc orc jaoi ) ABACBABDBAEF $.
    $( [15-Nov-2012] $) $( [3-Jan-2005] $)

  $( Commutative law for disjunction.  Theorem *4.31 of [WhiteheadRussell]
     p. 118.  (The proof was shortened by Wolf Lammen, 15-Nov-2012.) $)
  orcom $p |- ( ( ph \/ ps ) <-> ( ps \/ ph ) ) $=
    ( wo pm1.4 impbii ) ABCBACABDBADE $.
    $( [15-Nov-2012] $) $( [5-Aug-1993] $)

  ${
    orcomd.1 $e |- ( ph -> ( ps \/ ch ) ) $.
    $( Commutation of disjuncts in consequent. $)
    orcomd $p |- ( ph -> ( ch \/ ps ) ) $=
      ( wo orcom sylib ) ABCECBEDBCFG $.
      $( [2-Dec-2010] $)
  $}

  ${
    orcoms.1 $e |- ( ( ph \/ ps ) -> ch ) $.
    $( Commutation of disjuncts in antecedent. $)
    orcoms $p |- ( ( ps \/ ph ) -> ch ) $=
      ( wo pm1.4 syl ) BAEABECBAFDG $.
      $( [2-Dec-2012] $)
  $}

  ${
    orci.1 $e |- ph $.
    $( Deduction introducing a disjunct.  (The proof was shortened by Wolf
       Lammen, 14-Nov-2012.) $)
    orci $p |- ( ph \/ ps ) $=
      ( pm2.24i orri ) ABABCDE $.
      $( [14-Nov-2012] $) $( [19-Jan-2008] $)

    $( Deduction introducing a disjunct.  (The proof was shortened by Wolf
       Lammen, 14-Nov-2012.) $)
    olci $p |- ( ps \/ ph ) $=
      ( wn a1i orri ) BAABDCEF $.
      $( [14-Nov-2012] $) $( [19-Jan-2008] $)
  $}

  ${
    orcd.1 $e |- ( ph -> ps ) $.
    $( Deduction introducing a disjunct. $)
    orcd $p |- ( ph -> ( ps \/ ch ) ) $=
      ( wo orc syl ) ABBCEDBCFG $.
      $( [20-Sep-2007] $)

    $( Deduction introducing a disjunct.  (The proof was shortened by Wolf
       Lammen, 3-Oct-2013.) $)
    olcd $p |- ( ph -> ( ch \/ ps ) ) $=
      ( orcd orcomd ) ABCABCDEF $.
      $( [3-Oct-2013] $) $( [11-Apr-2008] $)
  $}

  ${
    orcs.1 $e |- ( ( ph \/ ps ) -> ch ) $.
    $( Deduction eliminating disjunct. _Notational convention_:  We sometimes
       suffix with "s" the label of an inference that manipulates an
       antecedent, leaving the consequent unchanged.  The "s" means that the
       inference eliminates the need for a syllogism ( ~ syl ) -type inference
       in a proof. $)
    orcs $p |- ( ph -> ch ) $=
      ( wo orc syl ) AABECABFDG $.
      $( [21-Jun-1994] $)
  $}

  ${
    olcs.1 $e |- ( ( ph \/ ps ) -> ch ) $.
    $( Deduction eliminating disjunct.  (The proof was shortened by Wolf
       Lammen, 3-Oct-2013.) $)
    olcs $p |- ( ps -> ch ) $=
      ( orcoms orcs ) BACABCDEF $.
      $( [3-Oct-2013] $) $( [21-Jun-1994] $)
  $}

  $( Theorem *2.07 of [WhiteheadRussell] p. 101. $)
  pm2.07 $p |- ( ph -> ( ph \/ ph ) ) $=
    ( olc ) AAB $.
    $( [3-Jan-2005] $)

  $( Theorem *2.45 of [WhiteheadRussell] p. 106. $)
  pm2.45 $p |- ( -. ( ph \/ ps ) -> -. ph ) $=
    ( wo orc con3i ) AABCABDE $.
    $( [3-Jan-2005] $)

  $( Theorem *2.46 of [WhiteheadRussell] p. 106. $)
  pm2.46 $p |- ( -. ( ph \/ ps ) -> -. ps ) $=
    ( wo olc con3i ) BABCBADE $.
    $( [3-Jan-2005] $)

  $( Theorem *2.47 of [WhiteheadRussell] p. 107. $)
  pm2.47 $p |- ( -. ( ph \/ ps ) -> ( -. ph \/ ps ) ) $=
    ( wo wn pm2.45 orcd ) ABCDADBABEF $.
    $( [3-Jan-2005] $)

  $( Theorem *2.48 of [WhiteheadRussell] p. 107. $)
  pm2.48 $p |- ( -. ( ph \/ ps ) -> ( ph \/ -. ps ) ) $=
    ( wo wn pm2.46 olcd ) ABCDBDAABEF $.
    $( [3-Jan-2005] $)

  $( Theorem *2.49 of [WhiteheadRussell] p. 107. $)
  pm2.49 $p |- ( -. ( ph \/ ps ) -> ( -. ph \/ -. ps ) ) $=
    ( wo wn pm2.46 olcd ) ABCDBDADABEF $.
    $( [3-Jan-2005] $)

  $( Slight generalization of Theorem *2.67 of [WhiteheadRussell] p. 107. $)
  pm2.67-2 $p |- ( ( ( ph \/ ch ) -> ps ) -> ( ph -> ps ) ) $=
    ( wo orc imim1i ) AACDBACEF $.
    $( [9-Dec-2012] $) $( [3-Jan-2005] $)

  $( Theorem *2.67 of [WhiteheadRussell] p. 107. $)
  pm2.67 $p |- ( ( ( ph \/ ps ) -> ps ) -> ( ph -> ps ) ) $=
    ( pm2.67-2 ) ABBC $.
    $( [9-Dec-2012] $) $( [3-Jan-2005] $)

  $( Theorem *2.25 of [WhiteheadRussell] p. 104. $)
  pm2.25 $p |- ( ph \/ ( ( ph \/ ps ) -> ps ) ) $=
    ( wo wi orel1 orri ) AABCBDABEF $.
    $( [3-Jan-2005] $)

  $( A wff is equivalent to its disjunction with falsehood.  Theorem *4.74 of
     [WhiteheadRussell] p. 121.  (The proof was shortened by Wolf Lammen,
     18-Nov-2012.) $)
  biorf $p |- ( -. ph -> ( ps <-> ( ph \/ ps ) ) ) $=
    ( wn wo olc orel1 impbid2 ) ACBABDBAEABFG $.
    $( [18-Nov-2012] $) $( [23-Mar-1995] $)

  $( A wff is equivalent to its negated disjunction with falsehood. $)
  biortn $p |- ( ph -> ( ps <-> ( -. ph \/ ps ) ) ) $=
    ( wn wo wb notnot1 biorf syl ) AACZCBIBDEAFIBGH $.
    $( [9-Jul-2012] $)

  ${
    biorfi.1 $e |- -. ph $.
    $( A wff is equivalent to its disjunction with falsehood. $)
    biorfi $p |- ( ps <-> ( ps \/ ph ) ) $=
      ( wn wo wb orc orel2 impbid2 ax-mp ) ADZBBAEZFCKBLBAGABHIJ $.
      $( [23-Mar-1995] $)
  $}

  $( Theorem *2.621 of [WhiteheadRussell] p. 107. $)
  pm2.621 $p |- ( ( ph -> ps ) -> ( ( ph \/ ps ) -> ps ) ) $=
    ( wi id idd jaod ) ABCZABBGDGBEF $.
    $( [13-Dec-2013] $) $( [3-Jan-2005] $)

  $( Theorem *2.62 of [WhiteheadRussell] p. 107.  (The proof was shortened by
     Wolf Lammen, 13-Dec-2013.) $)
  pm2.62 $p |- ( ( ph \/ ps ) -> ( ( ph -> ps ) -> ps ) ) $=
    ( wi wo pm2.621 com12 ) ABCABDBABEF $.
    $( [13-Dec-2013] $) $( [3-Jan-2005] $)

  $( Theorem *2.68 of [WhiteheadRussell] p. 108. $)
  pm2.68 $p |- ( ( ( ph -> ps ) -> ps ) -> ( ph \/ ps ) ) $=
    ( wi jarl orrd ) ABCBCABABBDE $.
    $( [21-Oct-2012] $) $( [3-Jan-2005] $)

  $( Logical 'or' expressed in terms of implication only.  Theorem *5.25 of
     [WhiteheadRussell] p. 124.  (The proof was shortened by Wolf Lammen,
     20-Oct-2012.) $)
  dfor2 $p |- ( ( ph \/ ps ) <-> ( ( ph -> ps ) -> ps ) ) $=
    ( wo wi pm2.62 pm2.68 impbii ) ABCABDBDABEABFG $.
    $( [21-Oct-2012] $) $( [12-Aug-2004] $)

  $( Implication in terms of disjunction.  Theorem *4.6 of [WhiteheadRussell]
     p. 120. $)
  imor $p |- ( ( ph -> ps ) <-> ( -. ph \/ ps ) ) $=
    ( wi wn wo notnot imbi1i df-or bitr4i ) ABCADZDZBCJBEAKBAFGJBHI $.
    $( [5-Aug-1993] $)

  ${
    imori.1 $e |- ( ph -> ps ) $.
    $( Infer disjunction from implication. $)
    imori $p |- ( -. ph \/ ps ) $=
      ( wi wn wo imor mpbi ) ABDAEBFCABGH $.
      $( [12-Mar-2012] $)
  $}

  ${
    imorri.1 $e |- ( -. ph \/ ps ) $.
    $( Infer implication from disjunction.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.) $)
    imorri $p |- ( ph -> ps ) $=
      ( wi wn wo imor mpbir ) ABDAEBFCABGH $.
      $( [3-Jun-2011] $)
  $}

  $( Law of excluded middle, also called the principle of _tertium non datur_.
     Theorem *2.11 of [WhiteheadRussell] p. 101.  It says that something is
     either true or not true; there are no in-between values of truth.  This is
     an essential distinction of our classical logic and is not a theorem of
     intuitionistic logic. $)
  exmid $p |- ( ph \/ -. ph ) $=
    ( wn id orri ) AABZECD $.
    $( [5-Aug-1993] $)

  $( Theorem *2.1 of [WhiteheadRussell] p. 101.  (The proof was shortened by
     Wolf Lammen, 23-Nov-2012.) $)
  pm2.1 $p |- ( -. ph \/ ph ) $=
    ( id imori ) AAABC $.
    $( [23-Nov-2012] $) $( [3-Jan-2005] $)

  $( Theorem *2.13 of [WhiteheadRussell] p. 101. $)
  pm2.13 $p |- ( ph \/ -. -. -. ph ) $=
    ( wn notnot1 orri ) AABZBBECD $.
    $( [3-Jan-2005] $)

  $( Theorem *4.62 of [WhiteheadRussell] p. 120. $)
  pm4.62 $p |- ( ( ph -> -. ps ) <-> ( -. ph \/ -. ps ) ) $=
    ( wn imor ) ABCD $.
    $( [3-Jan-2005] $)

  $( Theorem *4.66 of [WhiteheadRussell] p. 120. $)
  pm4.66 $p |- ( ( -. ph -> -. ps ) <-> ( ph \/ -. ps ) ) $=
    ( wn pm4.64 ) ABCD $.
    $( [3-Jan-2005] $)

  $( Theorem *4.63 of [WhiteheadRussell] p. 120. $)
  pm4.63 $p |- ( -. ( ph -> -. ps ) <-> ( ph /\ ps ) ) $=
    ( wa wn wi df-an bicomi ) ABCABDEDABFG $.
    $( [3-Jan-2005] $)

  $( Express implication in terms of conjunction. $)
  imnan $p |- ( ( ph -> -. ps ) <-> -. ( ph /\ ps ) ) $=
    ( wa wn wi df-an con2bii ) ABCABDEABFG $.
    $( [9-Apr-1994] $)

  $( Express implication in terms of conjunction.  Theorem 3.4(27) of [Stoll]
     p. 176.  (The proof was shortened by Wolf Lammen, 30-Oct-2012.) $)
  iman $p |- ( ( ph -> ps ) <-> -. ( ph /\ -. ps ) ) $=
    ( wi wn wa notnot imbi2i imnan bitri ) ABCABDZDZCAJEDBKABFGAJHI $.
    $( [30-Oct-2012] $) $( [5-Aug-1993] $)

  $( Express conjunction in terms of implication. $)
  annim $p |- ( ( ph /\ -. ps ) <-> -. ( ph -> ps ) ) $=
    ( wi wn wa iman con2bii ) ABCABDEABFG $.
    $( [2-Aug-1994] $)

  $( Theorem *4.61 of [WhiteheadRussell] p. 120. $)
  pm4.61 $p |- ( -. ( ph -> ps ) <-> ( ph /\ -. ps ) ) $=
    ( wn wa wi annim bicomi ) ABCDABECABFG $.
    $( [3-Jan-2005] $)

  $( Theorem *4.65 of [WhiteheadRussell] p. 120. $)
  pm4.65 $p |- ( -. ( -. ph -> ps ) <-> ( -. ph /\ -. ps ) ) $=
    ( wn pm4.61 ) ACBD $.
    $( [3-Jan-2005] $)

  $( Theorem *4.67 of [WhiteheadRussell] p. 120. $)
  pm4.67 $p |- ( -. ( -. ph -> -. ps ) <-> ( -. ph /\ ps ) ) $=
    ( wn pm4.63 ) ACBD $.
    $( [3-Jan-2005] $)

  ${
    imp.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Importation inference.  (The proof was shortened by Eric Schmidt,
       22-Dec-2006.) $)
    imp $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa wn wi df-an impi sylbi ) ABEABFGFCABHABCDIJ $.
      $( [24-Mar-2013] $) $( [5-Aug-1993] $)

    $( Importation inference with commuted antecedents. $)
    impcom $p |- ( ( ps /\ ph ) -> ch ) $=
      ( com12 imp ) BACABCDEF $.
      $( [25-May-2005] $)
  $}

  ${
    imp3.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( Importation deduction. $)
    imp3a $p |- ( ph -> ( ( ps /\ ch ) -> th ) ) $=
      ( wa wi com3l imp com12 ) BCFADBCADGABCDEHIJ $.
      $( [24-Mar-2013] $) $( [31-Mar-1994] $)

    $( An importation inference. $)
    imp31 $p |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $=
      ( wa wi imp ) ABFCDABCDGEHH $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp32 $p |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $=
      ( wa imp3a imp ) ABCFDABCDEGH $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Exportation inference.  (This theorem used to be labeled "exp" but was
       changed to "ex" so as not to conflict with the math token "exp", per the
       June 2006 Metamath spec change.)  (The proof was shortened by Eric
       Schmidt, 22-Dec-2006.) $)
    ex $p |- ( ph -> ( ps -> ch ) ) $=
      ( wn wi wa df-an sylbir expi ) ABCABEFEABGCABHDIJ $.
      $( [24-Mar-2013] $) $( [5-Aug-1993] $)

    $( Exportation inference with commuted antecedents. $)
    expcom $p |- ( ps -> ( ph -> ch ) ) $=
      ( ex com12 ) ABCABCDEF $.
      $( [25-May-2005] $)
  $}

  ${
    exp3a.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( Exportation deduction. $)
    exp3a $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( wi wa com12 ex com3r ) BCADBCADFABCGDEHIJ $.
      $( [24-Mar-2013] $) $( [20-Aug-1993] $)

    $( A deduction version of exportation, followed by importation. $)
    expdimp $p |- ( ( ph /\ ps ) -> ( ch -> th ) ) $=
      ( wi exp3a imp ) ABCDFABCDEGH $.
      $( [6-Sep-2008] $)
  $}

  ${
    impancom.1 $e |- ( ( ph /\ ps ) -> ( ch -> th ) ) $.
    $( Mixed importation/commutation inference. $)
    impancom $p |- ( ( ph /\ ch ) -> ( ps -> th ) ) $=
      ( wi ex com23 imp ) ACBDFABCDABCDFEGHI $.
      $( [22-Jun-2013] $)
  $}

  $( Theorem *3.3 (Exp) of [WhiteheadRussell] p. 112.  (The proof was shortened
     by Wolf Lammen, 24-Mar-2013.) $)
  pm3.3 $p |- ( ( ( ph /\ ps ) -> ch ) -> ( ph -> ( ps -> ch ) ) ) $=
    ( wa wi id exp3a ) ABDCEZABCHFG $.
    $( [24-Mar-2013] $) $( [3-Jan-2005] $)

  $( Theorem *3.31 (Imp) of [WhiteheadRussell] p. 112.  (The proof was
     shortened by Wolf Lammen, 24-Mar-2013.) $)
  pm3.31 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ( ph /\ ps ) -> ch ) ) $=
    ( wi id imp3a ) ABCDDZABCGEF $.
    $( [24-Mar-2013] $) $( [3-Jan-2005] $)

  $( Import-export theorem.  Part of Theorem *4.87 of [WhiteheadRussell]
     p. 122.  (The proof was shortened by Wolf Lammen, 24-Mar-2013.) $)
  impexp $p |- ( ( ( ph /\ ps ) -> ch ) <-> ( ph -> ( ps -> ch ) ) ) $=
    ( wa wi pm3.3 pm3.31 impbii ) ABDCEABCEEABCFABCGH $.
    $( [24-Mar-2013] $) $( [5-Aug-1993] $)

  $( Join antecedents with conjunction.  Theorem *3.2 of [WhiteheadRussell]
     p. 111.  (The proof was shortened by Wolf Lammen, 12-Nov-2012.) $)
  pm3.2 $p |- ( ph -> ( ps -> ( ph /\ ps ) ) ) $=
    ( wa id ex ) ABABCZFDE $.
    $( [12-Nov-2012] $) $( [5-Aug-1993] $)

  $( Join antecedents with conjunction.  Theorem *3.21 of [WhiteheadRussell]
     p. 111. $)
  pm3.21 $p |- ( ph -> ( ps -> ( ps /\ ph ) ) ) $=
    ( wa pm3.2 com12 ) BABACBADE $.
    $( [5-Aug-1993] $)

  $( Theorem *3.22 of [WhiteheadRussell] p. 111.  (The proof was shortened by
     Wolf Lammen, 13-Nov-2012.) $)
  pm3.22 $p |- ( ( ph /\ ps ) -> ( ps /\ ph ) ) $=
    ( wa pm3.21 imp ) ABBACABDE $.
    $( [13-Nov-2012] $) $( [3-Jan-2005] $)

  $( Commutative law for conjunction.  Theorem *4.3 of [WhiteheadRussell]
     p. 118.  (The proof was shortened by Wolf Lammen, 4-Nov-2012.) $)
  ancom $p |- ( ( ph /\ ps ) <-> ( ps /\ ph ) ) $=
    ( wa pm3.22 impbii ) ABCBACABDBADE $.
    $( [4-Nov-2012] $) $( [25-Jun-1998] $)

  ${
    ancomd.1 $e |- ( ph -> ( ps /\ ch ) ) $.
    $( Commutation of conjuncts in consequent.  (Contributed by Jeff Hankins,
       14-Aug-2009.) $)
    ancomd $p |- ( ph -> ( ch /\ ps ) ) $=
      ( wa ancom sylib ) ABCECBEDBCFG $.
      $( [18-Apr-2010] $) $( [14-Aug-2009] $)
  $}

  ${
    ancoms.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Inference commuting conjunction in antecedent. $)
    ancoms $p |- ( ( ps /\ ph ) -> ch ) $=
      ( expcom imp ) BACABCDEF $.
      $( [21-Apr-1994] $)
  $}

  ${
    ancomsd.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( Deduction commuting conjunction in antecedent. $)
    ancomsd $p |- ( ph -> ( ( ch /\ ps ) -> th ) ) $=
      ( wa ancom syl5bi ) CBFBCFADCBGEH $.
      $( [12-Dec-2004] $)
  $}

  ${
    pm3.2i.1 $e |- ph $.
    pm3.2i.2 $e |- ps $.
    $( Infer conjunction of premises. $)
    pm3.2i $p |- ( ph /\ ps ) $=
      ( wa pm3.2 mp2 ) ABABECDABFG $.
      $( [5-Aug-1993] $)
  $}

  $( Nested conjunction of antecedents. $)
  pm3.43i $p |- ( ( ph -> ps ) ->
                ( ( ph -> ch ) -> ( ph -> ( ps /\ ch ) ) ) ) $=
    ( wa pm3.2 imim3i ) BCBCDABCEF $.
    $( [5-Aug-1993] $)

  $( Elimination of a conjunct.  Theorem *3.26 (Simp) of [WhiteheadRussell]
     p. 112.  (The proof was shortened by Wolf Lammen, 13-Nov-2012.) $)
  simpl $p |- ( ( ph /\ ps ) -> ph ) $=
    ( ax-1 imp ) ABAABCD $.
    $( [13-Nov-2012] $) $( [5-Aug-1993] $)

  ${
    simpli.1 $e |- ( ph /\ ps ) $.
    $( Inference eliminating a conjunct. $)
    simpli $p |- ph $=
      ( wa simpl ax-mp ) ABDACABEF $.
      $( [15-Jun-1994] $)
  $}

  ${
    simpld.1 $e |- ( ph -> ( ps /\ ch ) ) $.
    $( Deduction eliminating a conjunct. $)
    simpld $p |- ( ph -> ps ) $=
      ( wa simpl syl ) ABCEBDBCFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    simplbi.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Deduction eliminating a conjunct. $)
    simplbi $p |- ( ph -> ps ) $=
      ( wa biimpi simpld ) ABCABCEDFG $.
      $( [27-May-1998] $)
  $}

  $( Elimination of a conjunct.  Theorem *3.27 (Simp) of [WhiteheadRussell]
     p. 112.  (The proof was shortened by Wolf Lammen, 13-Nov-2012.) $)
  simpr $p |- ( ( ph /\ ps ) -> ps ) $=
    ( idd imp ) ABBABCD $.
    $( [13-Nov-2012] $)  $( [5-Aug-1993] $)

  ${
    simpri.1 $e |- ( ph /\ ps ) $.
    $( Inference eliminating a conjunct. $)
    simpri $p |- ps $=
      ( wa simpr ax-mp ) ABDBCABEF $.
      $( [15-Jun-1994] $)
  $}

  ${
    simprd.1 $e |- ( ph -> ( ps /\ ch ) ) $.
    $( Deduction eliminating a conjunct.  (The proof was shortened by Wolf
       Lammen, 3-Oct-2013.) $)
    simprd $p |- ( ph -> ch ) $=
      ( ancomd simpld ) ACBABCDEF $.
      $( [3-Oct-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    simprbi.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Deduction eliminating a conjunct. $)
    simprbi $p |- ( ph -> ch ) $=
      ( wa biimpi simprd ) ABCABCEDFG $.
      $( [27-May-1998] $)
  $}

  ${
    adantr.1 $e |- ( ph -> ps ) $.
    $( Inference adding a conjunct to the right of an antecedent. $)
    adantr $p |- ( ( ph /\ ch ) -> ps ) $=
      ( a1d imp ) ACBABCDEF $.
      $( [30-Aug-1993] $)
  $}

  ${
    adantl.1 $e |- ( ph -> ps ) $.
    $( Inference adding a conjunct to the left of an antecedent.  (The proof
       was shortened by Wolf Lammen, 23-Nov-2012.) $)
    adantl $p |- ( ( ch /\ ph ) -> ps ) $=
      ( adantr ancoms ) ACBABCDEF $.
      $( [23-Nov-2012] $) $( [30-Aug-1993] $)
  $}

  ${
    adantld.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction adding a conjunct to the left of an antecedent.  (The proof
       was shortened by Wolf Lammen, 20-Dec-2012.) $)
    adantld $p |- ( ph -> ( ( th /\ ps ) -> ch ) ) $=
      ( wa simpr syl5 ) DBFBACDBGEH $.
      $( [20-Dec-2012] $) $( [4-May-1994] $)
  $}

  ${
    adantrd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction adding a conjunct to the right of an antecedent. $)
    adantrd $p |- ( ph -> ( ( ps /\ th ) -> ch ) ) $=
      ( wa simpl syl5 ) BDFBACBDGEH $.
      $( [4-May-1994] $)
  $}

  ${
    mpan9.1 $e |- ( ph -> ps ) $.
    mpan9.2 $e |- ( ch -> ( ps -> th ) ) $.
    $( Modus ponens conjoining dissimilar antecedents.  (The proof was
       shortened by Andrew Salmon, 7-May-2011.) $)
    mpan9 $p |- ( ( ph /\ ch ) -> th ) $=
      ( syl5 impcom ) CADABCDEFGH $.
      $( [12-May-2011] $) $( [1-Feb-2008] $)
  $}

  ${
    syldan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    syldan.2 $e |- ( ( ph /\ ch ) -> th ) $.
    $( A syllogism deduction with conjoined antecents.  (The proof was
       shortened by Wolf Lammen, 6-Apr-2013.) $)
    syldan $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa expcom adantrd mpcom ) CABGDECADBACDFHIJ $.
      $( [6-Apr-2013] $) $( [24-Feb-2005] $)
  $}

  ${
    sylan.1 $e |- ( ph -> ps ) $.
    sylan.2 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference.  (The proof was shortened by Wolf Lammen,
       22-Nov-2012.) $)
    sylan $p |- ( ( ph /\ ch ) -> th ) $=
      ( expcom mpan9 ) ABCDEBCDFGH $.
      $( [22-Nov-2012] $) $( [21-Apr-1994] $)
  $}

  ${
    sylanb.1 $e |- ( ph <-> ps ) $.
    sylanb.2 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference. $)
    sylanb $p |- ( ( ph /\ ch ) -> th ) $=
      ( biimpi sylan ) ABCDABEGFH $.
      $( [18-May-1994] $)
  $}

  ${
    sylanbr.1 $e |- ( ps <-> ph ) $.
    sylanbr.2 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference. $)
    sylanbr $p |- ( ( ph /\ ch ) -> th ) $=
      ( biimpri sylan ) ABCDBAEGFH $.
      $( [18-May-1994] $)
  $}

  ${
    sylan2.1 $e |- ( ph -> ch ) $.
    sylan2.2 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference.  (The proof was shortened by Wolf Lammen,
       22-Nov-2012.) $)
    sylan2 $p |- ( ( ps /\ ph ) -> th ) $=
      ( adantl syldan ) BACDACBEGFH $.
      $( [22-Nov-2012] $) $( [21-Apr-1994] $)
  $}

  ${
    sylan2b.1 $e |- ( ph <-> ch ) $.
    sylan2b.2 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference. $)
    sylan2b $p |- ( ( ps /\ ph ) -> th ) $=
      ( biimpi sylan2 ) ABCDACEGFH $.
      $( [21-Apr-1994] $)
  $}

  ${
    sylan2br.1 $e |- ( ch <-> ph ) $.
    sylan2br.2 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference. $)
    sylan2br $p |- ( ( ps /\ ph ) -> th ) $=
      ( biimpri sylan2 ) ABCDCAEGFH $.
      $( [21-Apr-1994] $)
  $}

  ${
    syl2an.1 $e |- ( ph -> ps ) $.
    syl2an.2 $e |- ( ta -> ch ) $.
    syl2an.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A double syllogism inference. $)
    syl2an $p |- ( ( ph /\ ta ) -> th ) $=
      ( sylan sylan2 ) EACDGABCDFHIJ $.
      $( [31-Jan-1997] $)

    $( A double syllogism inference. $)
    syl2anr $p |- ( ( ta /\ ph ) -> th ) $=
      ( syl2an ancoms ) AEDABCDEFGHIJ $.
      $( [17-Sep-2013] $)
  $}

  ${
    syl2anb.1 $e |- ( ph <-> ps ) $.
    syl2anb.2 $e |- ( ta <-> ch ) $.
    syl2anb.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A double syllogism inference. $)
    syl2anb $p |- ( ( ph /\ ta ) -> th ) $=
      ( sylanb sylan2b ) EACDGABCDFHIJ $.
      $( [29-Jul-1999] $)
  $}

  ${
    syl2anbr.1 $e |- ( ps <-> ph ) $.
    syl2anbr.2 $e |- ( ch <-> ta ) $.
    syl2anbr.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A double syllogism inference. $)
    syl2anbr $p |- ( ( ph /\ ta ) -> th ) $=
      ( sylanbr sylan2br ) EACDGABCDFHIJ $.
      $( [29-Jul-1999] $)
  $}

  ${
    syland.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syland.2 $e |- ( ph -> ( ( ch /\ th ) -> ta ) ) $.
    $( A syllogism deduction. $)
    syland $p |- ( ph -> ( ( ps /\ th ) -> ta ) ) $=
      ( wi exp3a syld imp3a ) ABDEABCDEHFACDEGIJK $.
      $( [15-Dec-2004] $)
  $}

  ${
    sylan2d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylan2d.2 $e |- ( ph -> ( ( th /\ ch ) -> ta ) ) $.
    $( A syllogism deduction. $)
    sylan2d $p |- ( ph -> ( ( th /\ ps ) -> ta ) ) $=
      ( ancomsd syland ) ABDEABCDEFADCEGHIH $.
      $( [15-Dec-2004] $)
  $}

  ${
    syl2and.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl2and.2 $e |- ( ph -> ( th -> ta ) ) $.
    syl2and.3 $e |- ( ph -> ( ( ch /\ ta ) -> et ) ) $.
    $( A syllogism deduction. $)
    syl2and $p |- ( ph -> ( ( ps /\ th ) -> et ) ) $=
      ( sylan2d syland ) ABCDFGADECFHIJK $.
      $( [15-Dec-2004] $)
  $}

  ${
    biimpa.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Inference from a logical equivalence. $)
    biimpa $p |- ( ( ph /\ ps ) -> ch ) $=
      ( biimpd imp ) ABCABCDEF $.
      $( [3-May-1994] $)

    $( Inference from a logical equivalence. $)
    biimpar $p |- ( ( ph /\ ch ) -> ps ) $=
      ( biimprd imp ) ACBABCDEF $.
      $( [3-May-1994] $)

    $( Inference from a logical equivalence. $)
    biimpac $p |- ( ( ps /\ ph ) -> ch ) $=
      ( biimpcd imp ) BACABCDEF $.
      $( [3-May-1994] $)

    $( Inference from a logical equivalence. $)
    biimparc $p |- ( ( ch /\ ph ) -> ps ) $=
      ( biimprcd imp ) CABABCDEF $.
      $( [3-May-1994] $)
  $}

  $( Negated conjunction in terms of disjunction (DeMorgan's law).  Theorem
     *4.51 of [WhiteheadRussell] p. 120.  (The proof was shortened by Andrew
     Salmon, 13-May-2011.) $)
  ianor $p |- ( -. ( ph /\ ps ) <-> ( -. ph \/ -. ps ) ) $=
    ( wa wn wi wo imnan pm4.62 bitr3i ) ABCDABDZEADJFABGABHI $.
    $( [3-Nov-2012] $) $( [5-Aug-1993] $)

  $( Conjunction in terms of disjunction (DeMorgan's law).  Theorem *4.5 of
     [WhiteheadRussell] p. 120.  (The proof was shortened by Wolf Lammen,
     3-Nov-2012.) $)
  anor $p |- ( ( ph /\ ps ) <-> -. ( -. ph \/ -. ps ) ) $=
    ( wn wo wa ianor bicomi con2bii ) ACBCDZABEZJCIABFGH $.
    $( [3-Nov-2012] $) $( [5-Aug-1993] $)

  $( Negated disjunction in terms of conjunction (DeMorgan's law).  Compare
     Theorem *4.56 of [WhiteheadRussell] p. 120.  (The proof was shortened by
     Andrew Salmon, 7-May-2011.) $)
  ioran $p |- ( -. ( ph \/ ps ) <-> ( -. ph /\ -. ps ) ) $=
    ( wn wi wa wo pm4.61 pm4.64 xchnxbi ) ACZBDJBCEABFJBGABHI $.
    $( [28-Sep-2014] $) $( [5-Aug-1993] $)

  $( Theorem *4.52 of [WhiteheadRussell] p. 120.  (The proof was shortened by
     Wolf Lammen, 5-Nov-2012.) $)
  pm4.52 $p |- ( ( ph /\ -. ps ) <-> -. ( -. ph \/ ps ) ) $=
    ( wn wa wi wo annim imor xchbinx ) ABCDABEACBFABGABHI $.
    $( [5-Nov-2012] $) $( [3-Jan-2005] $)

  $( Theorem *4.53 of [WhiteheadRussell] p. 120. $)
  pm4.53 $p |- ( -. ( ph /\ -. ps ) <-> ( -. ph \/ ps ) ) $=
    ( wn wo wa pm4.52 con2bii bicomi ) ACBDZABCEZCJIABFGH $.
    $( [3-Jan-2005] $)

  $( Theorem *4.54 of [WhiteheadRussell] p. 120.  (The proof was shortened by
     Wolf Lammen, 5-Nov-2012.) $)
  pm4.54 $p |- ( ( -. ph /\ ps ) <-> -. ( ph \/ -. ps ) ) $=
    ( wn wa wi wo df-an pm4.66 xchbinx ) ACZBDJBCZEAKFJBGABHI $.
    $( [28-Sep-2014] $) $( [3-Jan-2005] $)

  $( Theorem *4.55 of [WhiteheadRussell] p. 120. $)
  pm4.55 $p |- ( -. ( -. ph /\ ps ) <-> ( ph \/ -. ps ) ) $=
    ( wn wo wa pm4.54 con2bii bicomi ) ABCDZACBEZCJIABFGH $.
    $( [3-Jan-2005] $)

  $( Theorem *4.56 of [WhiteheadRussell] p. 120. $)
  pm4.56 $p |- ( ( -. ph /\ -. ps ) <-> -. ( ph \/ ps ) ) $=
    ( wo wn wa ioran bicomi ) ABCDADBDEABFG $.
    $( [3-Jan-2005] $)

  $( Disjunction in terms of conjunction (DeMorgan's law).  Compare Theorem
     *4.57 of [WhiteheadRussell] p. 120.  (The proof was shortened by Andrew
     Salmon, 7-May-2011.) $)
  oran $p |- ( ( ph \/ ps ) <-> -. ( -. ph /\ -. ps ) ) $=
    ( wn wa wo pm4.56 con2bii ) ACBCDABEABFG $.
    $( [12-May-2011] $) $( [5-Aug-1993] $)

  $( Theorem *4.57 of [WhiteheadRussell] p. 120. $)
  pm4.57 $p |- ( -. ( -. ph /\ -. ps ) <-> ( ph \/ ps ) ) $=
    ( wo wn wa oran bicomi ) ABCADBDEDABFG $.
    $( [3-Jan-2005] $)

  $( Theorem *3.1 of [WhiteheadRussell] p. 111. $)
  pm3.1 $p |- ( ( ph /\ ps ) -> -. ( -. ph \/ -. ps ) ) $=
    ( wa wn wo anor biimpi ) ABCADBDEDABFG $.
    $( [3-Jan-2005] $)

  $( Theorem *3.11 of [WhiteheadRussell] p. 111. $)
  pm3.11 $p |- ( -. ( -. ph \/ -. ps ) -> ( ph /\ ps ) ) $=
    ( wa wn wo anor biimpri ) ABCADBDEDABFG $.
    $( [3-Jan-2005] $)

  $( Theorem *3.12 of [WhiteheadRussell] p. 111. $)
  pm3.12 $p |- ( ( -. ph \/ -. ps ) \/ ( ph /\ ps ) ) $=
    ( wn wo wa pm3.11 orri ) ACBCDABEABFG $.
    $( [3-Jan-2005] $)

  $( Theorem *3.13 of [WhiteheadRussell] p. 111. $)
  pm3.13 $p |- ( -. ( ph /\ ps ) -> ( -. ph \/ -. ps ) ) $=
    ( wn wo wa pm3.11 con1i ) ACBCDABEABFG $.
    $( [3-Jan-2005] $)

  $( Theorem *3.14 of [WhiteheadRussell] p. 111. $)
  pm3.14 $p |- ( ( -. ph \/ -. ps ) -> -. ( ph /\ ps ) ) $=
    ( wa wn wo pm3.1 con2i ) ABCADBDEABFG $.
    $( [3-Jan-2005] $)

  $( Introduction of antecedent as conjunct.  Theorem *4.73 of
     [WhiteheadRussell] p. 121. $)
  iba $p |- ( ph -> ( ps <-> ( ps /\ ph ) ) ) $=
    ( wa pm3.21 simpl impbid1 ) ABBACABDBAEF $.
    $( [24-Mar-2013] $) $( [30-Mar-1994] $)

  $( Introduction of antecedent as conjunct. $)
  ibar $p |- ( ph -> ( ps <-> ( ph /\ ps ) ) ) $=
    ( wa pm3.2 simpr impbid1 ) ABABCABDABEF $.
    $( [24-Mar-2013] $) $( [5-Dec-1995] $)
  ${
    biantru.1 $e |- ph $.
    $( A wff is equivalent to its conjunction with truth. $)
    biantru $p |- ( ps <-> ( ps /\ ph ) ) $=
      ( wa wb iba ax-mp ) ABBADECABFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    biantrur.1 $e |- ph $.
    $( A wff is equivalent to its conjunction with truth. $)
    biantrur $p |- ( ps <-> ( ph /\ ps ) ) $=
      ( wa wb ibar ax-mp ) ABABDECABFG $.
      $( [3-Aug-1994] $)
  $}

  ${
    biantrud.1 $e |- ( ph -> ps ) $.
    $( A wff is equivalent to its conjunction with truth.  (The proof was
       shortened by Wolf Lammen, 23-Oct-2013.) $)
    biantrud $p |- ( ph -> ( ch <-> ( ch /\ ps ) ) ) $=
      ( wa wb iba syl ) ABCCBEFDBCGH $.
      $( [23-Oct-2013] $) $( [2-Aug-1994] $)

    $( A wff is equivalent to its conjunction with truth.  (The proof was
       shortened by Andrew Salmon, 7-May-2011.) $)
    biantrurd $p |- ( ph -> ( ch <-> ( ps /\ ch ) ) ) $=
      ( wa wb ibar syl ) ABCBCEFDBCGH $.
      $( [12-May-2011] $) $( [1-May-1995] $)
  $}

  ${
    jaao.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jaao.2 $e |- ( th -> ( ta -> ch ) ) $.
    $( Inference conjoining and disjoining the antecedents of two
       implications. $)
    jaao $p |- ( ( ph /\ th ) -> ( ( ps \/ ta ) -> ch ) ) $=
      ( wa wi adantr adantl jaod ) ADHBCEABCIDFJDECIAGKL $.
      $( [30-Sep-1999] $)

    $( Inference disjoining and conjoining the antecedents of two
       implications.  (Contributed by Stefan Allan, 1-Nov-2008.) $)
    jaoa $p |- ( ( ph \/ th ) -> ( ( ps /\ ta ) -> ch ) ) $=
      ( wa wi adantrd adantld jaoi ) ABEHCIDABCEFJDECBGKL $.
      $( [1-Nov-2008] $)
  $}

  $( Theorem *3.44 of [WhiteheadRussell] p. 113.  (The proof was shortened by
     Wolf Lammen, 3-Oct-2013.) $)
  pm3.44 $p |- ( ( ( ps -> ph ) /\ ( ch -> ph ) ) ->
                ( ( ps \/ ch ) -> ph ) ) $=
    ( wi id jaao ) BADZBACADZCGEHEF $.
    $( [3-Oct-2013] $) $( [3-Jan-2005] $)

  $( Disjunction of antecedents.  Compare Theorem *3.44 of [WhiteheadRussell]
     p. 113.  (The proof was shortened by Wolf Lammen, 4-Apr-2013.) $)
  jao $p |- ( ( ph -> ps ) -> ( ( ch -> ps ) -> ( ( ph \/ ch ) -> ps ) ) ) $=
    ( wi wo pm3.44 ex ) ABDCBDACEBDBACFG $.
    $( [4-Apr-2013] $) $( [5-Apr-1994] $)

  $( Axiom *1.2 (Taut) of [WhiteheadRussell] p. 96. $)
  pm1.2 $p |- ( ( ph \/ ph ) -> ph ) $=
    ( id jaoi ) AAAABZDC $.
    $( [10-Mar-2013] $) $( [3-Jan-2005] $)

  $( Idempotent law for disjunction.  Theorem *4.25 of [WhiteheadRussell]
     p. 117.  (The proof was shortened by Andrew Salmon, 16-Apr-2011.)  (The
     proof was shortened by Wolf Lammen, 10-Mar-2013.) $)
  oridm $p |- ( ( ph \/ ph ) <-> ph ) $=
    ( wo pm1.2 pm2.07 impbii ) AABAACADE $.
    $( [10-Mar-2013] $) $( [5-Aug-1993] $)

  $( Theorem *4.25 of [WhiteheadRussell] p. 117. $)
  pm4.25 $p |- ( ph <-> ( ph \/ ph ) ) $=
    ( wo oridm bicomi ) AABAACD $.
    $( [3-Jan-2005] $)

  ${
    orim12i.1 $e |- ( ph -> ps ) $.
    orim12i.2 $e |- ( ch -> th ) $.
    $( Disjoin antecedents and consequents of two premises.  (The proof was
       shortened by Wolf Lammen, 25-Jul-2012.) $)
    orim12i $p |- ( ( ph \/ ch ) -> ( ps \/ th ) ) $=
      ( wo orcd olcd jaoi ) ABDGCABDEHCDBFIJ $.
      $( [25-Jul-2012] $) $( [6-Jun-1994] $)
  $}

  ${
    orim1i.1 $e |- ( ph -> ps ) $.
    $( Introduce disjunct to both sides of an implication. $)
    orim1i $p |- ( ( ph \/ ch ) -> ( ps \/ ch ) ) $=
      ( id orim12i ) ABCCDCEF $.
      $( [6-Jun-1994] $)

    $( Introduce disjunct to both sides of an implication. $)
    orim2i $p |- ( ( ch \/ ph ) -> ( ch \/ ps ) ) $=
      ( id orim12i ) CCABCEDF $.
      $( [6-Jun-1994] $)
  $}

  ${
    orbi2i.1 $e |- ( ph <-> ps ) $.
    $( Inference adding a left disjunct to both sides of a logical
       equivalence.  (The proof was shortened by Wolf Lammen, 12-Dec-2012.) $)
    orbi2i $p |- ( ( ch \/ ph ) <-> ( ch \/ ps ) ) $=
      ( wo biimpi orim2i biimpri impbii ) CAECBEABCABDFGBACABDHGI $.
      $( [12-Dec-2012] $) $( [5-Aug-1993] $)

    $( Inference adding a right disjunct to both sides of a logical
       equivalence. $)
    orbi1i $p |- ( ( ph \/ ch ) <-> ( ps \/ ch ) ) $=
      ( wo orcom orbi2i 3bitri ) ACECAECBEBCEACFABCDGCBFH $.
      $( [5-Aug-1993] $)
  $}

  ${
    orbi12i.1 $e |- ( ph <-> ps ) $.
    orbi12i.2 $e |- ( ch <-> th ) $.
    $( Infer the disjunction of two equivalences. $)
    orbi12i $p |- ( ( ph \/ ch ) <-> ( ps \/ th ) ) $=
      ( wo orbi2i orbi1i bitri ) ACGADGBDGCDAFHABDEIJ $.
      $( [5-Aug-1993] $)
  $}

  $( Axiom *1.5 (Assoc) of [WhiteheadRussell] p. 96. $)
  pm1.5 $p |- ( ( ph \/ ( ps \/ ch ) ) -> ( ps \/ ( ph \/ ch ) ) ) $=
    ( wo orc olcd olc orim2i jaoi ) ABACDZDBCDAJBACEFCJBCAGHI $.
    $( [3-Jan-2005] $)

  $( Swap two disjuncts.  (The proof was shortened by Wolf Lammen,
     14-Nov-2012.) $)
  or12 $p |- ( ( ph \/ ( ps \/ ch ) ) <-> ( ps \/ ( ph \/ ch ) ) ) $=
    ( wo pm1.5 impbii ) ABCDDBACDDABCEBACEF $.
    $( [14-Nov-2012] $) $( [5-Aug-1993] $)

  $( Associative law for disjunction.  Theorem *4.33 of [WhiteheadRussell]
     p. 118.  (The proof was shortened by Andrew Salmon, 26-Jun-2011.) $)
  orass $p |- ( ( ( ph \/ ps ) \/ ch ) <-> ( ph \/ ( ps \/ ch ) ) ) $=
    ( wo orcom or12 orbi2i 3bitri ) ABDZCDCIDACBDZDABCDZDICECABFJKACBEGH $.
    $( [26-Jun-2011] $) $( [5-Aug-1993] $)

  $( Theorem *2.31 of [WhiteheadRussell] p. 104. $)
  pm2.31 $p |- ( ( ph \/ ( ps \/ ch ) ) -> ( ( ph \/ ps ) \/ ch ) ) $=
    ( wo orass biimpri ) ABDCDABCDDABCEF $.
    $( [3-Jan-2005] $)

  $( Theorem *2.32 of [WhiteheadRussell] p. 105. $)
  pm2.32 $p |- ( ( ( ph \/ ps ) \/ ch ) -> ( ph \/ ( ps \/ ch ) ) ) $=
    ( wo orass biimpi ) ABDCDABCDDABCEF $.
    $( [3-Jan-2005] $)

  $( A rearrangement of disjuncts.  (The proof was shortened by Andrew Salmon,
     26-Jun-2011.) $)
  or32 $p |- ( ( ( ph \/ ps ) \/ ch ) <-> ( ( ph \/ ch ) \/ ps ) ) $=
    ( wo orass or12 orcom 3bitri ) ABDCDABCDDBACDZDIBDABCEABCFBIGH $.
    $( [26-Jun-2011] $) $( [18-Oct-1995] $)

  $( Rearrangement of 4 disjuncts. $)
  or4 $p |- ( ( ( ph \/ ps ) \/ ( ch \/ th ) ) <->
                ( ( ph \/ ch ) \/ ( ps \/ th ) ) ) $=
    ( wo or12 orbi2i orass 3bitr4i ) ABCDEZEZEACBDEZEZEABEJEACELEKMABCDFGABJHAC
    LHI $.
    $( [12-Aug-1994] $)

  $( Rearrangement of 4 disjuncts. $)
  or42 $p |- ( ( ( ph \/ ps ) \/ ( ch \/ th ) ) <->
                 ( ( ph \/ ch ) \/ ( th \/ ps ) ) ) $=
    ( wo or4 orcom orbi2i bitri ) ABECDEEACEZBDEZEJDBEZEABCDFKLJBDGHI $.
    $( [10-Jan-2005] $)

  $( Distribution of disjunction over disjunction. $)
  orordi $p |- ( ( ph \/ ( ps \/ ch ) ) <->
               ( ( ph \/ ps ) \/ ( ph \/ ch ) ) ) $=
    ( wo oridm orbi1i or4 bitr3i ) ABCDZDAADZIDABDACDDJAIAEFAABCGH $.
    $( [25-Feb-1995] $)

  $( Distribution of disjunction over disjunction. $)
  orordir $p |- ( ( ( ph \/ ps ) \/ ch ) <->
               ( ( ph \/ ch ) \/ ( ps \/ ch ) ) ) $=
    ( wo oridm orbi2i or4 bitr3i ) ABDZCDICCDZDACDBCDDJCICEFABCCGH $.
    $( [25-Feb-1995] $)

  ${
    jca.1 $e |- ( ph -> ps ) $.
    jca.2 $e |- ( ph -> ch ) $.
    $( Deduce conjunction of the consequents of two implications ("join
       consequents with 'and'").  (The proof was shortened by Wolf Lammen,
       25-Oct-2012.) $)
    jca $p |- ( ph -> ( ps /\ ch ) ) $=
      ( wa pm3.2 sylc ) ABCBCFDEBCGH $.
      $( [25-Oct-2012] $) $( [5-Aug-1993] $)
  $}

  ${
    jcad.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jcad.2 $e |- ( ph -> ( ps -> th ) ) $.
    $( Deduction conjoining the consequents of two implications.  (The proof
       was shortened by Wolf Lammen, 23-Jul-2013.) $)
    jcad $p |- ( ph -> ( ps -> ( ch /\ th ) ) ) $=
      ( wa pm3.2 syl6c ) ABCDCDGEFCDHI $.
      $( [23-Jul-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    jca31.1 $e |- ( ph -> ps ) $.
    jca31.2 $e |- ( ph -> ch ) $.
    jca31.3 $e |- ( ph -> th ) $.
    $( Join three consequents.  (Contributed by Jeff Hankins, 1-Aug-2009.) $)
    jca31 $p |- ( ph -> ( ( ps /\ ch ) /\ th ) ) $=
      ( wa jca ) ABCHDABCEFIGI $.
      $( [1-Aug-2009] $)

    $( Join three consequents.  (Contributed by FL, 1-Aug-2009.) $)
    jca32 $p |- ( ph -> ( ps /\ ( ch /\ th ) ) ) $=
      ( wa jca ) ABCDHEACDFGII $.
      $( [1-Aug-2009] $)
  $}

  ${
    jcai.1 $e |- ( ph -> ps ) $.
    jcai.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction replacing implication with conjunction. $)
    jcai $p |- ( ph -> ( ps /\ ch ) ) $=
      ( mpd jca ) ABCDABCDEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    jctil.1 $e |- ( ph -> ps ) $.
    jctil.2 $e |- ch $.
    $( Inference conjoining a theorem to left of consequent in an
       implication. $)
    jctil $p |- ( ph -> ( ch /\ ps ) ) $=
      ( a1i jca ) ACBCAEFDG $.
      $( [31-Dec-1993] $)

    $( Inference conjoining a theorem to right of consequent in an
       implication. $)
    jctir $p |- ( ph -> ( ps /\ ch ) ) $=
      ( a1i jca ) ABCDCAEFG $.
      $( [31-Dec-1993] $)
  $}

  ${
    jctl.1 $e |- ps $.
    $( Inference conjoining a theorem to the left of a consequent.  (The proof
       was shortened by Wolf Lammen, 24-Oct-2012.) $)
    jctl $p |- ( ph -> ( ps /\ ph ) ) $=
      ( id jctil ) AABADCE $.
      $( [25-Oct-2012] $) $( [31-Dec-1993] $)

    $( Inference conjoining a theorem to the right of a consequent.  (The proof
       was shortened by Wolf Lammen, 24-Oct-2012.) $)
    jctr $p |- ( ph -> ( ph /\ ps ) ) $=
      ( id jctir ) AABADCE $.
      $( [25-Oct-2012] $) $( [18-Aug-1993] $)
  $}

  ${
    jctild.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jctild.2 $e |- ( ph -> th ) $.
    $( Deduction conjoining a theorem to left of consequent in an
       implication. $)
    jctild $p |- ( ph -> ( ps -> ( th /\ ch ) ) ) $=
      ( a1d jcad ) ABDCADBFGEH $.
      $( [21-Apr-2005] $)
  $}

  ${
    jctird.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jctird.2 $e |- ( ph -> th ) $.
    $( Deduction conjoining a theorem to right of consequent in an
       implication. $)
    jctird $p |- ( ph -> ( ps -> ( ch /\ th ) ) ) $=
      ( a1d jcad ) ABCDEADBFGH $.
      $( [21-Apr-2005] $)
  $}

  $( Conjoin antecedent to left of consequent. $)
  ancl $p |- ( ( ph -> ps ) -> ( ph -> ( ph /\ ps ) ) ) $=
    ( wa pm3.2 a2i ) ABABCABDE $.
    $( [15-Aug-1994] $)

  $( Conjoin antecedent to left of consequent.  Theorem *4.7 of
     [WhiteheadRussell] p. 120.  (The proof was shortened by Wolf Lammen,
     24-Mar-2013.) $)
  anclb $p |- ( ( ph -> ps ) <-> ( ph -> ( ph /\ ps ) ) ) $=
    ( wa ibar pm5.74i ) ABABCABDE $.
    $( [24-Mar-2013] $) $( [25-Jul-1999] $)

  $( Theorem *5.42 of [WhiteheadRussell] p. 125. $)
  pm5.42 $p |- ( ( ph -> ( ps -> ch ) ) <->
                ( ph -> ( ps -> ( ph /\ ch ) ) ) ) $=
    ( wi wa ibar imbi2d pm5.74i ) ABCDBACEZDACIBACFGH $.
    $( [3-Jan-2005] $)

  $( Conjoin antecedent to right of consequent. $)
  ancr $p |- ( ( ph -> ps ) -> ( ph -> ( ps /\ ph ) ) ) $=
    ( wa pm3.21 a2i ) ABBACABDE $.
    $( [15-Aug-1994] $)

  $( Conjoin antecedent to right of consequent.  (The proof was shortened by
     Wolf Lammen, 24-Mar-2013.) $)
  ancrb $p |- ( ( ph -> ps ) <-> ( ph -> ( ps /\ ph ) ) ) $=
    ( wa iba pm5.74i ) ABBACABDE $.
    $( [24-Mar-2013] $) $( [25-Jul-1999] $)

  ${
    ancli.1 $e |- ( ph -> ps ) $.
    $( Deduction conjoining antecedent to left of consequent. $)
    ancli $p |- ( ph -> ( ph /\ ps ) ) $=
      ( id jca ) AABADCE $.
      $( [12-Aug-1993] $)
  $}

  ${
    ancri.1 $e |- ( ph -> ps ) $.
    $( Deduction conjoining antecedent to right of consequent. $)
    ancri $p |- ( ph -> ( ps /\ ph ) ) $=
      ( id jca ) ABACADE $.
      $( [15-Aug-1994] $)
  $}

  ${
    ancld.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction conjoining antecedent to left of consequent in nested
       implication.  (The proof was shortened by Wolf Lammen, 1-Nov-2012.) $)
    ancld $p |- ( ph -> ( ps -> ( ps /\ ch ) ) ) $=
      ( idd jcad ) ABBCABEDF $.
      $( [1-Nov-2012] $) $( [15-Aug-1994] $)
  $}

  ${
    ancrd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction conjoining antecedent to right of consequent in nested
       implication.  (The proof was shortened by Wolf Lammen, 1-Nov-2012.) $)
    ancrd $p |- ( ph -> ( ps -> ( ch /\ ps ) ) ) $=
      ( idd jcad ) ABCBDABEF $.
      $( [1-Nov-2012] $) $( [15-Aug-1994] $)
  $}

  $( Conjoin antecedent to left of consequent in nested implication.  (The
     proof was shortened by Wolf Lammen, 14-Jul-2013.) $)
  anc2l $p |- ( ( ph -> ( ps -> ch ) ) -> ( ph -> ( ps -> ( ph /\ ch ) ) ) ) $=
    ( wi wa pm5.42 biimpi ) ABCDDABACEDDABCFG $.
    $( [14-Jul-2013] $) $( [10-Aug-1994] $)

  $( Conjoin antecedent to right of consequent in nested implication. $)
  anc2r $p |- ( ( ph -> ( ps -> ch ) ) -> ( ph -> ( ps -> ( ch /\ ph ) ) ) ) $=
    ( wi wa pm3.21 imim2d a2i ) ABCDBCAEZDACIBACFGH $.
    $( [15-Aug-1994] $)

  ${
    anc2li.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction conjoining antecedent to left of consequent in nested
       implication.  (The proof was shortened by Wolf Lammen, 7-Dec-2012.) $)
    anc2li $p |- ( ph -> ( ps -> ( ph /\ ch ) ) ) $=
      ( id jctild ) ABCADAEF $.
      $( [7-Dec-2012] $) $( [10-Aug-1994] $)
  $}

  ${
    anc2ri.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction conjoining antecedent to right of consequent in nested
       implication.  (The proof was shortened by Wolf Lammen, 7-Dec-2012.) $)
    anc2ri $p |- ( ph -> ( ps -> ( ch /\ ph ) ) ) $=
      ( id jctird ) ABCADAEF $.
      $( [7-Dec-2012] $) $( [15-Aug-1994] $)
  $}

  $( Theorem *3.41 of [WhiteheadRussell] p. 113. $)
  pm3.41 $p |- ( ( ph -> ch ) -> ( ( ph /\ ps ) -> ch ) ) $=
    ( wa simpl imim1i ) ABDACABEF $.
    $( [3-Jan-2005] $)

  $( Theorem *3.42 of [WhiteheadRussell] p. 113. $)
  pm3.42 $p |- ( ( ps -> ch ) -> ( ( ph /\ ps ) -> ch ) ) $=
    ( wa simpr imim1i ) ABDBCABEF $.
    $( [3-Jan-2005] $)

  $( Conjunction implies implication.  Theorem *3.4 of [WhiteheadRussell]
     p. 113. $)
  pm3.4 $p |- ( ( ph /\ ps ) -> ( ph -> ps ) ) $=
    ( wa simpr a1d ) ABCBAABDE $.
    $( [31-Jul-1995] $)

  $( Conjunction with implication.  Compare Theorem *4.45 of [WhiteheadRussell]
     p. 119. $)
  pm4.45im $p |- ( ph <-> ( ph /\ ( ps -> ph ) ) ) $=
    ( wi wa ax-1 ancli simpl impbii ) AABACZDAIABEFAIGH $.
    $( [17-May-1998] $)

  ${
    anim12d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    anim12d.2 $e |- ( ph -> ( th -> ta ) ) $.
    $( Conjoin antecedents and consequents in a deduction.  (The proof was
       shortened by Wolf Lammen, 18-Dec-2013.) $)
    anim12d $p |- ( ph -> ( ( ps /\ th ) -> ( ch /\ ta ) ) ) $=
      ( wa idd syl2and ) ABCDECEHZFGAKIJ $.
      $( [18-Dec-2013] $) $( [3-Apr-1994] $)
  $}

  ${
    anim1d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Add a conjunct to right of antecedent and consequent in a deduction. $)
    anim1d $p |- ( ph -> ( ( ps /\ th ) -> ( ch /\ th ) ) ) $=
      ( idd anim12d ) ABCDDEADFG $.
      $( [3-Apr-1994] $)

    $( Add a conjunct to left of antecedent and consequent in a deduction. $)
    anim2d $p |- ( ph -> ( ( th /\ ps ) -> ( th /\ ch ) ) ) $=
      ( idd anim12d ) ADDBCADFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    anim12i.1 $e |- ( ph -> ps ) $.
    anim12i.2 $e |- ( ch -> th ) $.
    $( Conjoin antecedents and consequents of two premises.  (The proof was
       shortened by Wolf Lammen, 14-Dec-2013.) $)
    anim12i $p |- ( ( ph /\ ch ) -> ( ps /\ th ) ) $=
      ( wa id syl2an ) ABDBDGZCEFJHI $.
      $( [14-Dec-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    anim1i.1 $e |- ( ph -> ps ) $.
    $( Introduce conjunct to both sides of an implication. $)
    anim1i $p |- ( ( ph /\ ch ) -> ( ps /\ ch ) ) $=
      ( id anim12i ) ABCCDCEF $.
      $( [5-Aug-1993] $)

    $( Introduce conjunct to both sides of an implication. $)
    anim2i $p |- ( ( ch /\ ph ) -> ( ch /\ ps ) ) $=
      ( id anim12i ) CCABCEDF $.
      $( [5-Aug-1993] $)
  $}

  ${
    anim12ii.1 $e |- ( ph -> ( ps -> ch ) ) $.
    anim12ii.2 $e |- ( th -> ( ps -> ta ) ) $.
    $( Conjoin antecedents and consequents in a deduction.  (The proof was
       shortened by Wolf Lammen, 19-Jul-2013.) $)
    anim12ii $p |- ( ( ph /\ th ) -> ( ps -> ( ch /\ ta ) ) ) $=
      ( wa wi adantr adantl jcad ) ADHBCEABCIDFJDBEIAGKL $.
      $( [19-Jul-2013] $) $( [11-Nov-2007] $)
  $}

  $( Theorem *3.47 of [WhiteheadRussell] p. 113.  It was proved by Leibniz, and
     it evidently pleased him enough to call it 'praeclarum theorema' (splendid
     theorem).  (The proof was shortened by Wolf Lammen, 7-Apr-2013.) $)
  prth $p |- ( ( ( ph -> ps ) /\ ( ch -> th ) ) ->
              ( ( ph /\ ch ) -> ( ps /\ th ) ) ) $=
    ( wi wa simpl simpr anim12d ) ABEZCDEZFABCDJKGJKHI $.
    $( [7-Apr-2013] $) $( [12-Aug-1993] $)

  $( Theorem *2.3 of [WhiteheadRussell] p. 104. $)
  pm2.3 $p |- ( ( ph \/ ( ps \/ ch ) ) -> ( ph \/ ( ch \/ ps ) ) ) $=
    ( wo pm1.4 orim2i ) BCDCBDABCEF $.
    $( [3-Jan-2005] $)

  $( Theorem *2.41 of [WhiteheadRussell] p. 106. $)
  pm2.41 $p |- ( ( ps \/ ( ph \/ ps ) ) -> ( ph \/ ps ) ) $=
    ( wo olc id jaoi ) BABCZGBADGEF $.
    $( [3-Jan-2005] $)

  $( Theorem *2.42 of [WhiteheadRussell] p. 106. $)
  pm2.42 $p |- ( ( -. ph \/ ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wn wi pm2.21 id jaoi ) ACABDZHABEHFG $.
    $( [3-Jan-2005] $)

  $( Theorem *2.4 of [WhiteheadRussell] p. 106. $)
  pm2.4 $p |- ( ( ph \/ ( ph \/ ps ) ) -> ( ph \/ ps ) ) $=
    ( wo orc id jaoi ) AABCZGABDGEF $.
    $( [3-Jan-2005] $)

  ${
    pm2.65da.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    pm2.65da.2 $e |- ( ( ph /\ ps ) -> -. ch ) $.
    $( Deduction rule for proof by contradiction. $)
    pm2.65da $p |- ( ph -> -. ps ) $=
      ( ex wn pm2.65d ) ABCABCDFABCGEFH $.
      $( [12-Jun-2014] $)
  $}

  $( Theorem *4.44 of [WhiteheadRussell] p. 119. $)
  pm4.44 $p |- ( ph <-> ( ph \/ ( ph /\ ps ) ) ) $=
    ( wa wo orc id simpl jaoi impbii ) AAABCZDAJEAAJAFABGHI $.
    $( [3-Jan-2005] $)

  $( Theorem *4.14 of [WhiteheadRussell] p. 117.  (The proof was shortened by
     Wolf Lammen, 23-Oct-2012.) $)
  pm4.14 $p |- ( ( ( ph /\ ps ) -> ch ) <-> ( ( ph /\ -. ch ) -> -. ps ) ) $=
    ( wi wn wa con34b imbi2i impexp 3bitr4i ) ABCDZDACEZBEZDZDABFCDALFMDKNABCGH
    ABCIALMIJ $.
    $( [23-Oct-2012] $) $( [3-Jan-2005] $)

  $( Theorem *3.37 (Transp) of [WhiteheadRussell] p. 112.  (The proof was
     shortened by Wolf Lammen, 23-Oct-2012.) $)
  pm3.37 $p |- ( ( ( ph /\ ps ) -> ch ) -> ( ( ph /\ -. ch ) -> -. ps ) ) $=
    ( wa wi wn pm4.14 biimpi ) ABDCEACFDBFEABCGH $.
    $( [23-Oct-2012] $) $( [3-Jan-2005] $)

  $( Theorem to move a conjunct in and out of a negation. $)
  nan $p |- ( ( ph -> -. ( ps /\ ch ) ) <-> ( ( ph /\ ps ) -> -. ch ) ) $=
    ( wa wn wi impexp imnan imbi2i bitr2i ) ABDCEZFABKFZFABCDEZFABKGLMABCHIJ $.
    $( [9-Nov-2003] $)

  $( Theorem *4.15 of [WhiteheadRussell] p. 117.  (The proof was shortened by
     Wolf Lammen, 18-Nov-2012.) $)
  pm4.15 $p |- ( ( ( ph /\ ps ) -> -. ch ) <-> ( ( ps /\ ch ) -> -. ph ) ) $=
    ( wa wn wi con2b nan bitr2i ) BCDZAEFAJEFABDCEFJAGABCHI $.
    $( [18-Nov-2012] $) $( [3-Jan-2005] $)

  $( Theorem *4.78 of [WhiteheadRussell] p. 121.  (The proof was shortened by
     Wolf Lammen, 19-Nov-2012.) $)
  pm4.78 $p |- ( ( ( ph -> ps ) \/ ( ph -> ch ) ) <->
                ( ph -> ( ps \/ ch ) ) ) $=
    ( wn wo wi orordi imor orbi12i 3bitr4ri ) ADZBCEZEKBEZKCEZEALFABFZACFZEKBCG
    ALHOMPNABHACHIJ $.
    $( [19-Nov-2012] $) $( [3-Jan-2005] $)

  $( Theorem *4.79 of [WhiteheadRussell] p. 121.  (The proof was shortened by
     Wolf Lammen, 27-Jun-2013.) $)
  pm4.79 $p |- ( ( ( ps -> ph ) \/ ( ch -> ph ) ) <->
                ( ( ps /\ ch ) -> ph ) ) $=
    ( wi wo wa id jaoa wn simplim pm3.3 syl5 orrd impbii ) BADZCADZEBCFADZOBAPC
    OGPGHQOPOIBQPBAJBCAKLMN $.
    $( [27-Jun-2013] $) $( [3-Jan-2005] $)

  $( Theorem *4.87 of [WhiteheadRussell] p. 122.  (The proof was shortened by
     Eric Schmidt, 26-Oct-2006.) $)
  pm4.87 $p |- ( ( ( ( ( ph /\ ps ) -> ch ) <-> ( ph -> ( ps -> ch ) ) ) /\
                ( ( ph -> ( ps -> ch ) ) <-> ( ps -> ( ph -> ch ) ) ) ) /\
                ( ( ps -> ( ph -> ch ) ) <-> ( ( ps /\ ph ) -> ch ) ) ) $=
    ( wa wi wb impexp bi2.04 pm3.2i bicomi ) ABDCEABCEEZFZKBACEEZFZDMBADCEZFLNA
    BCGABCHIOMBACGJI $.
    $( [27-Oct-2006] $) $( [3-Jan-2005] $)

  $( Theorem *3.33 (Syll) of [WhiteheadRussell] p. 112. $)
  pm3.33 $p |- ( ( ( ph -> ps ) /\ ( ps -> ch ) ) -> ( ph -> ch ) ) $=
    ( wi imim1 imp ) ABDBCDACDABCEF $.
    $( [3-Jan-2005] $)

  $( Theorem *3.34 (Syll) of [WhiteheadRussell] p. 112. $)
  pm3.34 $p |- ( ( ( ps -> ch ) /\ ( ph -> ps ) ) -> ( ph -> ch ) ) $=
    ( wi imim2 imp ) BCDABDACDBCAEF $.
    $( [3-Jan-2005] $)

  $( Conjunctive detachment.  Theorem *3.35 of [WhiteheadRussell] p. 112. $)
  pm3.35 $p |- ( ( ph /\ ( ph -> ps ) ) -> ps ) $=
    ( wi pm2.27 imp ) AABCBABDE $.
    $( [14-Dec-2002] $)

  $( Theorem *5.31 of [WhiteheadRussell] p. 125. $)
  pm5.31 $p |- ( ( ch /\ ( ph -> ps ) ) -> ( ph -> ( ps /\ ch ) ) ) $=
    ( wi wa pm3.21 imim2d imp ) CABDABCEZDCBIACBFGH $.
    $( [3-Jan-2005] $)

  ${
    imp4.1 $e |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $.
    $( An importation inference. $)
    imp4a $p |- ( ph -> ( ps -> ( ( ch /\ th ) -> ta ) ) ) $=
      ( wi wa impexp syl6ibr ) ABCDEGGCDHEGFCDEIJ $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp4b $p |- ( ( ph /\ ps ) -> ( ( ch /\ th ) -> ta ) ) $=
      ( wa wi imp4a imp ) ABCDGEHABCDEFIJ $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp4c $p |- ( ph -> ( ( ( ps /\ ch ) /\ th ) -> ta ) ) $=
      ( wa wi imp3a ) ABCGDEABCDEHFII $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp4d $p |- ( ph -> ( ( ps /\ ( ch /\ th ) ) -> ta ) ) $=
      ( wa imp4a imp3a ) ABCDGEABCDEFHI $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp41 $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $=
      ( wa wi imp imp31 ) ABGCDEABCDEHHFIJ $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp42 $p |- ( ( ( ph /\ ( ps /\ ch ) ) /\ th ) -> ta ) $=
      ( wa wi imp32 imp ) ABCGGDEABCDEHFIJ $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp43 $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $=
      ( wa imp4b imp ) ABGCDGEABCDEFHI $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp44 $p |- ( ( ph /\ ( ( ps /\ ch ) /\ th ) ) -> ta ) $=
      ( wa imp4c imp ) ABCGDGEABCDEFHI $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp45 $p |- ( ( ph /\ ( ps /\ ( ch /\ th ) ) ) -> ta ) $=
      ( wa imp4d imp ) ABCDGGEABCDEFHI $.
      $( [26-Apr-1994] $)

  $}

  ${
    imp5.1 $e |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $.
    $( An importation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    imp5a $p |- ( ph -> ( ps -> ( ch -> ( ( th /\ ta ) -> et ) ) ) ) $=
      ( wi wa pm3.31 syl8 ) ABCDEFHHDEIFHGDEFJK $.
      $( [7-Jul-2009] $)

    $( An importation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    imp5d $p |- ( ( ( ph /\ ps ) /\ ch ) -> ( ( th /\ ta ) -> et ) ) $=
      ( wa wi imp31 imp3a ) ABHCHDEFABCDEFIIGJK $.
      $( [7-Jul-2009] $)

    $( An importation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    imp5g $p |- ( ( ph /\ ps ) -> ( ( ( ch /\ th ) /\ ta ) -> et ) ) $=
      ( wa wi imp imp4c ) ABHCDEFABCDEFIIIGJK $.
      $( [7-Jul-2009] $)

    $( An importation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    imp55 $p |- ( ( ( ph /\ ( ps /\ ( ch /\ th ) ) ) /\ ta ) -> et ) $=
      ( wa wi imp4a imp42 ) ABCDHEFABCDEFIGJK $.
      $( [7-Jul-2009] $)

    $( An importation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    imp511 $p |- ( ( ph /\ ( ( ps /\ ( ch /\ th ) ) /\ ta ) ) -> et ) $=
      ( wa wi imp4a imp44 ) ABCDHEFABCDEFIGJK $.
      $( [7-Jul-2009] $)
  $}

  ${
    expimpd.1 $e |- ( ( ph /\ ps ) -> ( ch -> th ) ) $.
    $( Exportation followed by a deduction version of importation. $)
    expimpd $p |- ( ph -> ( ( ps /\ ch ) -> th ) ) $=
      ( wi ex imp3a ) ABCDABCDFEGH $.
      $( [6-Sep-2008] $)
  $}

  ${
    exp31.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( An exportation inference. $)
    exp31 $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( wi wa ex ) ABCDFABGCDEHH $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp32.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( An exportation inference. $)
    exp32 $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( wa ex exp3a ) ABCDABCFDEGH $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp4a.1 $e |- ( ph -> ( ps -> ( ( ch /\ th ) -> ta ) ) ) $.
    $( An exportation inference. $)
    exp4a $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wa wi impexp syl6ib ) ABCDGEHCDEHHFCDEIJ $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp4b.1 $e |- ( ( ph /\ ps ) -> ( ( ch /\ th ) -> ta ) ) $.
    $( An exportation inference.  (The proof was shortened by Wolf Lammen,
       23-Nov-2012.) $)
    exp4b $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wa wi ex exp4a ) ABCDEABCDGEHFIJ $.
      $( [23-Nov-2012] $) $( [26-Apr-1994] $)
  $}

  ${
    exp4c.1 $e |- ( ph -> ( ( ( ps /\ ch ) /\ th ) -> ta ) ) $.
    $( An exportation inference. $)
    exp4c $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi wa exp3a ) ABCDEGABCHDEFII $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp4d.1 $e |- ( ph -> ( ( ps /\ ( ch /\ th ) ) -> ta ) ) $.
    $( An exportation inference. $)
    exp4d $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wa exp3a exp4a ) ABCDEABCDGEFHI $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp41.1 $e |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $.
    $( An exportation inference. $)
    exp41 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi wa ex exp31 ) ABCDEGABHCHDEFIJ $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp42.1 $e |- ( ( ( ph /\ ( ps /\ ch ) ) /\ th ) -> ta ) $.
    $( An exportation inference. $)
    exp42 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi wa exp31 exp3a ) ABCDEGABCHDEFIJ $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp43.1 $e |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $.
    $( An exportation inference. $)
    exp43 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wa ex exp4b ) ABCDEABGCDGEFHI $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp44.1 $e |- ( ( ph /\ ( ( ps /\ ch ) /\ th ) ) -> ta ) $.
    $( An exportation inference. $)
    exp44 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi wa exp32 exp3a ) ABCDEGABCHDEFIJ $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp45.1 $e |- ( ( ph /\ ( ps /\ ( ch /\ th ) ) ) -> ta ) $.
    $( An exportation inference. $)
    exp45 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wa exp32 exp4a ) ABCDEABCDGEFHI $.
      $( [26-Apr-1994] $)
  $}

  ${
    expr.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Export a wff from a right conjunct.  (Contributed by Jeff Hankins,
       30-Aug-2009.) $)
    expr $p |- ( ( ph /\ ps ) -> ( ch -> th ) ) $=
      ( wi exp32 imp ) ABCDFABCDEGH $.
      $( [21-Feb-2011] $) $( [28-Aug-2009] $)
  $}

  ${
    exp5c.1 $e |- ( ph -> ( ( ps /\ ch ) -> ( ( th /\ ta ) -> et ) ) ) $.
    $( An exportation inference.  (Contributed by Jeff Hankins, 7-Jul-2009.) $)
    exp5c $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wi wa exp4a exp3a ) ABCDEFHHABCIDEFGJK $.
      $( [7-Jul-2009] $)
  $}

  ${
    exp53.1 $e |- ( ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) /\ ta ) -> et ) $.
    $( An exportation inference.  (Contributed by Jeff Hankins,
       30-Aug-2009.) $)
    exp53 $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wi wa ex exp43 ) ABCDEFHABICDIIEFGJK $.
      $( [21-Feb-2011] $) $( [7-Jul-2009] $)
  $}

  ${
    expl.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Export a wff from a left conjunct.  (Contributed by Jeff Hankins,
       28-Aug-2009.) $)
    expl $p |- ( ph -> ( ( ps /\ ch ) -> th ) ) $=
      ( exp31 imp3a ) ABCDABCDEFG $.
      $( [28-Aug-2009] $)
  $}

  ${
    impr.1 $e |- ( ( ph /\ ps ) -> ( ch -> th ) ) $.
    $( Import a wff into a right conjunct.  (Contributed by Jeff Hankins,
       30-Aug-2009.) $)
    impr $p |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $=
      ( wi ex imp32 ) ABCDABCDFEGH $.
      $( [21-Feb-2011] $) $( [28-Aug-2009] $)
  $}

  ${
    impl.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( Export a wff from a left conjunct.  (Contributed by Mario Carneiro,
       9-Jul-2014.) $)
    impl $p |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $=
      ( exp3a imp31 ) ABCDABCDEFG $.
      $( [9-Jul-2014] $)
  $}

  ${
    impac.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Importation with conjunction in consequent. $)
    impac $p |- ( ( ph /\ ps ) -> ( ch /\ ps ) ) $=
      ( wa ancrd imp ) ABCBEABCDFG $.
      $( [9-Aug-1994] $)
  $}

  ${
    exbiri.1 $e |- ( ( ph /\ ps ) -> ( ch <-> th ) ) $.
    $( Inference form of ~ exbir .  (Contributed by Alan Sare, 31-Dec-2011.)
       (The proof was shortened by Wolf Lammen, 27-Jan-2013.) $)
    exbiri $p |- ( ph -> ( ps -> ( th -> ch ) ) ) $=
      ( wa biimpar exp31 ) ABDCABFCDEGH $.
      $( [27-Jan-2013] $) $( [31-Dec-2011] $)
  $}

  ${
    pm3.26bda.1 $e |- ( ph -> ( ps <-> ( ch /\ th ) ) ) $.
    $( Deduction eliminating a conjunct. $)
    simprbda $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa biimpa simpld ) ABFCDABCDFEGH $.
      $( [22-Oct-2007] $)

    $( Deduction eliminating a conjunct. $)
    simplbda $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa biimpa simprd ) ABFCDABCDFEGH $.
      $( [22-Oct-2007] $)
  $}

  ${
    pm3.26bi2.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Deduction eliminating a conjunct.  (Contributed by Alan Sare,
       31-Dec-2011.) $)
    simplbi2 $p |- ( ps -> ( ch -> ph ) ) $=
      ( wa biimpri ex ) BCAABCEDFG $.
      $( [31-Dec-2011] $)
  $}

  $( A theorem similar to the standard definition of the biconditional.
     Definition of [Margaris] p. 49. $)
  dfbi2 $p |- ( ( ph <-> ps ) <-> ( ( ph -> ps ) /\ ( ps -> ph ) ) ) $=
    ( wb wi wn wa dfbi1 df-an bitr4i ) ABCABDZBADZEDEJKFABGJKHI $.
    $( [5-Aug-1993] $)

  $( Definition ~ df-bi rewritten in an abbreviated form to help intuitive
     understanding of that definition.  Note that it is a conjunction of two
     implications; one which asserts properties that follow from the
     biconditional and one which asserts properties that imply the
     biconditional. $)
  dfbi $p |- ( ( ( ph <-> ps ) -> ( ( ph -> ps ) /\ ( ps -> ph ) ) )
        /\ ( ( ( ph -> ps ) /\ ( ps -> ph ) ) -> ( ph <-> ps ) ) ) $=
    ( wb wi wa dfbi2 biimpi biimpri pm3.2i ) ABCZABDBADEZDKJDJKABFZGJKLHI $.
    $( [15-Aug-2008] $)

  $( Implication in terms of biconditional and conjunction.  Theorem *4.71 of
     [WhiteheadRussell] p. 120.  (The proof was shortened by Wolf Lammen,
     2-Dec-2012.) $)
  pm4.71 $p |- ( ( ph -> ps ) <-> ( ph <-> ( ph /\ ps ) ) ) $=
    ( wa wi wb simpl biantru anclb dfbi2 3bitr4i ) AABCZDZLKADZCABDAKEMLABFGABH
    AKIJ $.
    $( [2-Dec-2012] $) $( [5-Aug-1993] $)

  $( Implication in terms of biconditional and conjunction.  Theorem *4.71 of
     [WhiteheadRussell] p. 120 (with conjunct reversed). $)
  pm4.71r $p |- ( ( ph -> ps ) <-> ( ph <-> ( ps /\ ph ) ) ) $=
    ( wi wa wb pm4.71 ancom bibi2i bitri ) ABCAABDZEABADZEABFJKAABGHI $.
    $( [25-Jul-1999] $)

  ${
    pm4.71i.1 $e |- ( ph -> ps ) $.
    $( Inference converting an implication to a biconditional with
       conjunction.  Inference from Theorem *4.71 of [WhiteheadRussell]
       p. 120. $)
    pm4.71i $p |- ( ph <-> ( ph /\ ps ) ) $=
      ( wi wa wb pm4.71 mpbi ) ABDAABEFCABGH $.
      $( [4-Jan-2004] $)
  $}

  ${
    pm4.71ri.1 $e |- ( ph -> ps ) $.
    $( Inference converting an implication to a biconditional with
       conjunction.  Inference from Theorem *4.71 of [WhiteheadRussell] p. 120
       (with conjunct reversed). $)
    pm4.71ri $p |- ( ph <-> ( ps /\ ph ) ) $=
      ( wi wa wb pm4.71r mpbi ) ABDABAEFCABGH $.
      $( [1-Dec-2003] $)
  $}

  ${
    pm4.71rd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction converting an implication to a biconditional with
       conjunction.  Deduction from Theorem *4.71 of [WhiteheadRussell]
       p. 120. $)
    pm4.71rd $p |- ( ph -> ( ps <-> ( ch /\ ps ) ) ) $=
      ( wi wa wb pm4.71r sylib ) ABCEBCBFGDBCHI $.
      $( [10-Feb-2005] $)
  $}

  $( Distribution of implication over biconditional.  Theorem *5.32 of
     [WhiteheadRussell] p. 125. $)
  pm5.32 $p |- ( ( ph -> ( ps <-> ch ) ) <->
               ( ( ph /\ ps ) <-> ( ph /\ ch ) ) ) $=
    ( wb wi wn wa notbi imbi2i pm5.74 3bitri df-an bibi12i bitr4i ) ABCDZEZABFZ
    EZFZACFZEZFZDZABGZACGZDPAQTDZERUADUCOUFABCHIAQTJRUAHKUDSUEUBABLACLMN $.
    $( [1-Aug-1994] $)

  ${
    pm5.32i.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Distribution of implication over biconditional (inference rule). $)
    pm5.32i $p |- ( ( ph /\ ps ) <-> ( ph /\ ch ) ) $=
      ( wb wi wa pm5.32 mpbi ) ABCEFABGACGEDABCHI $.
      $( [1-Aug-1994] $)

    $( Distribution of implication over biconditional (inference rule). $)
    pm5.32ri $p |- ( ( ps /\ ph ) <-> ( ch /\ ph ) ) $=
      ( wa pm5.32i ancom 3bitr4i ) ABEACEBAECAEABCDFBAGCAGH $.
      $( [12-Mar-1995] $)
  $}

  ${
    pm5.32d.1 $e |- ( ph -> ( ps -> ( ch <-> th ) ) ) $.
    $( Distribution of implication over biconditional (deduction rule). $)
    pm5.32d $p |- ( ph -> ( ( ps /\ ch ) <-> ( ps /\ th ) ) ) $=
      ( wb wi wa pm5.32 sylib ) ABCDFGBCHBDHFEBCDIJ $.
      $( [29-Oct-1996] $)

    $( Distribution of implication over biconditional (deduction rule). $)
    pm5.32rd $p |- ( ph -> ( ( ch /\ ps ) <-> ( th /\ ps ) ) ) $=
      ( wa pm5.32d ancom 3bitr4g ) ABCFBDFCBFDBFABCDEGCBHDBHI $.
      $( [25-Dec-2004] $)
  $}

  ${
    pm5.32da.1 $e |- ( ( ph /\ ps ) -> ( ch <-> th ) ) $.
    $( Distribution of implication over biconditional (deduction rule). $)
    pm5.32da $p |- ( ph -> ( ( ps /\ ch ) <-> ( ps /\ th ) ) ) $=
      ( wb ex pm5.32d ) ABCDABCDFEGH $.
      $( [9-Dec-2006] $)
  $}

  ${
    biadan2.1 $e |- ( ph -> ps ) $.
    biadan2.2 $e |- ( ps -> ( ph <-> ch ) ) $.
    $( Add a conjunction to an equivalence.  (Contributed by Jeff Madsen,
       20-Jun-2011.) $)
    biadan2 $p |- ( ph <-> ( ps /\ ch ) ) $=
      ( wa pm4.71ri pm5.32i bitri ) ABAFBCFABDGBACEHI $.
      $( [20-Jun-2011] $)
  $}

  $( Theorem *4.24 of [WhiteheadRussell] p. 117. $)
  pm4.24 $p |- ( ph <-> ( ph /\ ph ) ) $=
    ( id pm4.71i ) AAABC $.
    $( [14-Mar-2014] $) $( [3-Jan-2005] $)

  $( Idempotent law for conjunction.  (The proof was shortened by Wolf Lammen,
     14-Mar-2014.) $)
  anidm $p |- ( ( ph /\ ph ) <-> ph ) $=
    ( wa pm4.24 bicomi ) AAABACD $.
    $( [14-Mar-2014] $) $( [5-Aug-1993] $)

  ${
    anidms.1 $e |- ( ( ph /\ ph ) -> ps ) $.
    $( Inference from idempotent law for conjunction. $)
    anidms $p |- ( ph -> ps ) $=
      ( ex pm2.43i ) ABAABCDE $.
      $( [15-Jun-1994] $)
  $}

  $( Conjunction idempotence with antecedent.  (Contributed by Roy F. Longton,
     8-Aug-2005.) $)
  anidmdbi $p |- ( ( ph -> ( ps /\ ps ) ) <-> ( ph -> ps ) ) $=
    ( wa anidm imbi2i ) BBCBABDE $.
    $( [8-Aug-2005] $)

  ${
    anasss.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Associative law for conjunction applied to antecedent (eliminates
       syllogism). $)
    anasss $p |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $=
      ( exp31 imp32 ) ABCDABCDEFG $.
      $( [15-Nov-2002] $)
  $}

  ${
    anassrs.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Associative law for conjunction applied to antecedent (eliminates
       syllogism). $)
    anassrs $p |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $=
      ( exp32 imp31 ) ABCDABCDEFG $.
      $( [15-Nov-2002] $)
  $}

  $( Associative law for conjunction.  Theorem *4.32 of [WhiteheadRussell]
     p. 118.  (The proof was shortened by Wolf Lammen, 24-Nov-2012.) $)
  anass $p |- ( ( ( ph /\ ps ) /\ ch ) <-> ( ph /\ ( ps /\ ch ) ) ) $=
    ( wa id anassrs anasss impbii ) ABDCDZABCDDZABCJJEFABCIIEGH $.
    $( [24-Nov-2012] $) $( [5-Aug-1993] $)

  ${
    sylanl1.1 $e |- ( ph -> ps ) $.
    sylanl1.2 $e |- ( ( ( ps /\ ch ) /\ th ) -> ta ) $.
    $( A syllogism inference. $)
    sylanl1 $p |- ( ( ( ph /\ ch ) /\ th ) -> ta ) $=
      ( wa anim1i sylan ) ACHBCHDEABCFIGJ $.
      $( [10-Mar-2005] $)
  $}

  ${
    sylanl2.1 $e |- ( ph -> ch ) $.
    sylanl2.2 $e |- ( ( ( ps /\ ch ) /\ th ) -> ta ) $.
    $( A syllogism inference. $)
    sylanl2 $p |- ( ( ( ps /\ ph ) /\ th ) -> ta ) $=
      ( wa anim2i sylan ) BAHBCHDEACBFIGJ $.
      $( [1-Jan-2005] $)
  $}

  ${
    sylanr1.1 $e |- ( ph -> ch ) $.
    sylanr1.2 $e |- ( ( ps /\ ( ch /\ th ) ) -> ta ) $.
    $( A syllogism inference. $)
    sylanr1 $p |- ( ( ps /\ ( ph /\ th ) ) -> ta ) $=
      ( wa anim1i sylan2 ) ADHBCDHEACDFIGJ $.
      $( [9-Apr-2005] $)
  $}

  ${
    sylanr2.1 $e |- ( ph -> th ) $.
    sylanr2.2 $e |- ( ( ps /\ ( ch /\ th ) ) -> ta ) $.
    $( A syllogism inference. $)
    sylanr2 $p |- ( ( ps /\ ( ch /\ ph ) ) -> ta ) $=
      ( wa anim2i sylan2 ) CAHBCDHEADCFIGJ $.
      $( [9-Apr-2005] $)
  $}

  ${
    sylani.1 $e |- ( ph -> ch ) $.
    sylani.2 $e |- ( ps -> ( ( ch /\ th ) -> ta ) ) $.
    $( A syllogism inference. $)
    sylani $p |- ( ps -> ( ( ph /\ th ) -> ta ) ) $=
      ( wi a1i syland ) BACDEACHBFIGJ $.
      $( [2-May-1996] $)
  $}

  ${
    sylan2i.1 $e |- ( ph -> th ) $.
    sylan2i.2 $e |- ( ps -> ( ( ch /\ th ) -> ta ) ) $.
    $( A syllogism inference. $)
    sylan2i $p |- ( ps -> ( ( ch /\ ph ) -> ta ) ) $=
      ( wi a1i sylan2d ) BADCEADHBFIGJ $.
      $( [1-Aug-1994] $)
  $}

  ${
    syl2ani.1 $e |- ( ph -> ch ) $.
    syl2ani.2 $e |- ( et -> th ) $.
    syl2ani.3 $e |- ( ps -> ( ( ch /\ th ) -> ta ) ) $.
    $( A syllogism inference. $)
    syl2ani $p |- ( ps -> ( ( ph /\ et ) -> ta ) ) $=
      ( sylan2i sylani ) ABCFEGFBCDEHIJK $.
      $( [3-Aug-1999] $)
  $}

  ${
    sylan9.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylan9.2 $e |- ( th -> ( ch -> ta ) ) $.
    $( Nested syllogism inference conjoining dissimilar antecedents.  (The
       proof was shortened by Andrew Salmon, 7-May-2011.) $)
    sylan9 $p |- ( ( ph /\ th ) -> ( ps -> ta ) ) $=
      ( wi syl9 imp ) ADBEHABCDEFGIJ $.
      $( [12-May-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    sylan9r.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylan9r.2 $e |- ( th -> ( ch -> ta ) ) $.
    $( Nested syllogism inference conjoining dissimilar antecedents. $)
    sylan9r $p |- ( ( th /\ ph ) -> ( ps -> ta ) ) $=
      ( wi syl9r imp ) DABEHABCDEFGIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    mtand.1 $e |- ( ph -> -. ch ) $.
    mtand.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( A modus tollens deduction.  (Contributed by Jeff Hankins,
       19-Aug-2009.) $)
    mtand $p |- ( ph -> -. ps ) $=
      ( ex mtod ) ABCDABCEFG $.
      $( [21-Feb-2011] $) $( [15-Jul-2009] $)
  $}

  ${
    mtord.1 $e |- ( ph -> -. ch ) $.
    mtord.2 $e |- ( ph -> -. th ) $.
    mtord.3 $e |- ( ph -> ( ps -> ( ch \/ th ) ) ) $.
    $( A modus tollens deduction involving disjunction.  (Contributed by Jeff
       Hankins, 15-Jul-2009.) $)
    mtord $p |- ( ph -> -. ps ) $=
      ( wn wo wi df-or syl6ib mpid mtod ) ABDFABCHZDEABCDIODJGCDKLMN $.
      $( [15-Jul-2009] $)
  $}

  ${
    syl2anc.1 $e |- ( ph -> ps ) $.
    syl2anc.2 $e |- ( ph -> ch ) $.
    syl2anc.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( Syllogism inference combined with contraction. $)
    syl2anc $p |- ( ph -> th ) $=
      ( ex sylc ) ABCDEFBCDGHI $.
      $( [16-Mar-2012] $)
  $}

  ${
    sylancl.1 $e |- ( ph -> ps ) $.
    sylancl.2 $e |- ch $.
    sylancl.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( Syllogism inference combined with modus ponens.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    sylancl $p |- ( ph -> th ) $=
      ( a1i syl2anc ) ABCDECAFHGI $.
      $( [18-Apr-2010] $) $( [2-Sep-2009] $)
  $}

  ${
    sylancr.1 $e |- ps $.
    sylancr.2 $e |- ( ph -> ch ) $.
    sylancr.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( Syllogism inference combined with modus ponens.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    sylancr $p |- ( ph -> th ) $=
      ( a1i syl2anc ) ABCDBAEHFGI $.
      $( [2-Sep-2009] $)
  $}

  ${
    sylanbrc.1 $e |- ( ph -> ps ) $.
    sylanbrc.2 $e |- ( ph -> ch ) $.
    sylanbrc.3 $e |- ( th <-> ( ps /\ ch ) ) $.
    $( Syllogism inference.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    sylanbrc $p |- ( ph -> th ) $=
      ( wa jca sylibr ) ABCHDABCEFIGJ $.
      $( [11-Oct-2010] $) $( [2-Sep-2009] $)
  $}

  ${
    sylancb.1 $e |- ( ph <-> ps ) $.
    sylancb.2 $e |- ( ph <-> ch ) $.
    sylancb.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference combined with contraction. $)
    sylancb $p |- ( ph -> th ) $=
      ( syl2anb anidms ) ADABCDAEFGHI $.
      $( [3-Sep-2004] $)
  $}

  ${
    sylancbr.1 $e |- ( ps <-> ph ) $.
    sylancbr.2 $e |- ( ch <-> ph ) $.
    sylancbr.3 $e |- ( ( ps /\ ch ) -> th ) $.
    $( A syllogism inference combined with contraction. $)
    sylancbr $p |- ( ph -> th ) $=
      ( syl2anbr anidms ) ADABCDAEFGHI $.
      $( [3-Sep-2004] $)
  $}

  ${
    sylancom.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    sylancom.2 $e |- ( ( ch /\ ps ) -> th ) $.
    $( Syllogism inference with commutation of antecents. $)
    sylancom $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa simpr syl2anc ) ABGCBDEABHFI $.
      $( [2-Jul-2008] $)
  $}

  ${
    mpdan.1 $e |- ( ph -> ps ) $.
    mpdan.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An inference based on modus ponens.  (The proof was shortened by Wolf
       Lammen, 22-Nov-2012.) $)
    mpdan $p |- ( ph -> ch ) $=
      ( id syl2anc ) AABCAFDEG $.
      $( [22-Nov-2012] $) $( [23-May-1999] $)
  $}

  ${
    mpancom.1 $e |- ( ps -> ph ) $.
    mpancom.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An inference based on modus ponens with commutation of antecedents.
       (The proof was shortened by Wolf Lammen, 7-Apr-2013.) $)
    mpancom $p |- ( ps -> ch ) $=
      ( id syl2anc ) BABCDBFEG $.
      $( [7-Apr-2013] $) $( [28-Oct-2003] $)
  $}

  ${
    mpan.1 $e |- ph $.
    mpan.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An inference based on modus ponens.  (The proof was shortened by Wolf
       Lammen, 7-Apr-2013.) $)
    mpan $p |- ( ps -> ch ) $=
      ( a1i mpancom ) ABCABDFEG $.
      $( [7-Apr-2013] $) $( [30-Aug-1993] $)
  $}

  ${
    mpan2.1 $e |- ps $.
    mpan2.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An inference based on modus ponens.  (The proof was shortened by Wolf
       Lammen, 19-Nov-2012.) $)
    mpan2 $p |- ( ph -> ch ) $=
      ( a1i mpdan ) ABCBADFEG $.
      $( [19-Nov-2012] $) $( [16-Sep-1993] $)
  $}

  ${
    mp2an.1 $e |- ph $.
    mp2an.2 $e |- ps $.
    mp2an.3 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An inference based on modus ponens. $)
    mp2an $p |- ch $=
      ( mpan ax-mp ) BCEABCDFGH $.
      $( [13-Apr-1995] $)
  $}

  ${
    mp4an.1 $e |- ph $.
    mp4an.2 $e |- ps $.
    mp4an.3 $e |- ch $.
    mp4an.4 $e |- th $.
    mp4an.5 $e |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $.
    $( An inference based on modus ponens.  (Contributed by Jeff Madsen,
       15-Jun-2011.) $)
    mp4an $p |- ta $=
      ( wa pm3.2i mp2an ) ABKCDKEABFGLCDHILJM $.
      $( [15-Jun-2010] $)
  $}

  ${
    mpan2d.1 $e |- ( ph -> ch ) $.
    mpan2d.2 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( A deduction based on modus ponens. $)
    mpan2d $p |- ( ph -> ( ps -> th ) ) $=
      ( exp3a mpid ) ABCDEABCDFGH $.
      $( [12-Dec-2004] $)
  $}

  ${
    mpand.1 $e |- ( ph -> ps ) $.
    mpand.2 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( A deduction based on modus ponens.  (The proof was shortened by Wolf
       Lammen, 7-Apr-2013.) $)
    mpand $p |- ( ph -> ( ch -> th ) ) $=
      ( ancomsd mpan2d ) ACBDEABCDFGH $.
      $( [7-Apr-2013] $) $( [12-Dec-2004] $)
  $}

  ${
    mpani.1 $e |- ps $.
    mpani.2 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( An inference based on modus ponens.  (The proof was shortened by Wolf
       Lammen, 19-Nov-2012.) $)
    mpani $p |- ( ph -> ( ch -> th ) ) $=
      ( a1i mpand ) ABCDBAEGFH $.
      $( [19-Nov-2012] $) $( [10-Apr-1994] $)
  $}

  ${
    mpan2i.1 $e |- ch $.
    mpan2i.2 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( An inference based on modus ponens.  (The proof was shortened by Wolf
       Lammen, 19-Nov-2012.) $)
    mpan2i $p |- ( ph -> ( ps -> th ) ) $=
      ( a1i mpan2d ) ABCDCAEGFH $.
      $( [19-Nov-2012] $) $( [10-Apr-1994] $)
  $}

  ${
    mp2ani.1 $e |- ps $.
    mp2ani.2 $e |- ch $.
    mp2ani.3 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( An inference based on modus ponens. $)
    mp2ani $p |- ( ph -> th ) $=
      ( mpani mpi ) ACDFABCDEGHI $.
      $( [12-Dec-2004] $)
  $}

  ${
    mp2and.1 $e |- ( ph -> ps ) $.
    mp2and.2 $e |- ( ph -> ch ) $.
    mp2and.3 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( A deduction based on modus ponens. $)
    mp2and $p |- ( ph -> th ) $=
      ( mpand mpd ) ACDFABCDEGHI $.
      $( [12-Dec-2004] $)
  $}

  ${
    mpanl1.1 $e |- ph $.
    mpanl1.2 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( An inference based on modus ponens.  (The proof was shortened by Wolf
       Lammen, 7-Apr-2013.) $)
    mpanl1 $p |- ( ( ps /\ ch ) -> th ) $=
      ( wa jctl sylan ) BABGCDBAEHFI $.
      $( [7-Apr-2013] $) $( [16-Aug-1994] $)
  $}

  ${
    mpanl2.1 $e |- ps $.
    mpanl2.2 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( An inference based on modus ponens.  (The proof was shortened by Andrew
       Salmon, 7-May-2011.) $)
    mpanl2 $p |- ( ( ph /\ ch ) -> th ) $=
      ( wa jctr sylan ) AABGCDABEHFI $.
      $( [22-Nov-2012] $) $( [16-Aug-1994] $)
  $}

  ${
    mpanl12.1 $e |- ph $.
    mpanl12.2 $e |- ps $.
    mpanl12.3 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mpanl12 $p |- ( ch -> th ) $=
      ( mpanl1 mpan ) BCDFABCDEGHI $.
      $( [13-Jul-2005] $)
  $}

  ${
    mpanr1.1 $e |- ps $.
    mpanr1.2 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( An inference based on modus ponens.  (The proof was shortened by Andrew
       Salmon, 7-May-2011.) $)
    mpanr1 $p |- ( ( ph /\ ch ) -> th ) $=
      ( anassrs mpanl2 ) ABCDEABCDFGH $.
      $( [12-May-2011] $) $( [3-May-1994] $)
  $}

  ${
    mpanr2.1 $e |- ch $.
    mpanr2.2 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( An inference based on modus ponens.  (The proof was shortened by Andrew
       Salmon, 7-May-2011.)  (The proof was shortened by Wolf Lammen,
       7-Apr-2013.) $)
    mpanr2 $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa jctr sylan2 ) BABCGDBCEHFI $.
      $( [7-Apr-2013] $) $( [3-May-1994] $)
  $}

  ${
    mpanr12.1 $e |- ps $.
    mpanr12.2 $e |- ch $.
    mpanr12.3 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( An inference based on modus ponens. $)
    mpanr12 $p |- ( ph -> th ) $=
      ( mpanr1 mpan2 ) ACDFABCDEGHI $.
      $( [24-Jul-2009] $)
  $}

  ${
    mpanlr1.1 $e |- ps $.
    mpanlr1.2 $e |- ( ( ( ph /\ ( ps /\ ch ) ) /\ th ) -> ta ) $.
    $( An inference based on modus ponens.  (The proof was shortened by Wolf
       Lammen, 7-Apr-2013.) $)
    mpanlr1 $p |- ( ( ( ph /\ ch ) /\ th ) -> ta ) $=
      ( wa jctl sylanl2 ) CABCHDECBFIGJ $.
      $( [7-Apr-2013] $) $( [30-Dec-2004] $)
  $}

  ${
    pm5.74da.1 $e |- ( ( ph /\ ps ) -> ( ch <-> th ) ) $.
    $( Distribution of implication over biconditional (deduction rule). $)
    pm5.74da $p |- ( ph -> ( ( ps -> ch ) <-> ( ps -> th ) ) ) $=
      ( wb ex pm5.74d ) ABCDABCDFEGH $.
      $( [4-May-2007] $)
  $}

  $( Theorem *4.45 of [WhiteheadRussell] p. 119. $)
  pm4.45 $p |- ( ph <-> ( ph /\ ( ph \/ ps ) ) ) $=
    ( wo orc pm4.71i ) AABCABDE $.
    $( [3-Jan-2005] $)

  $( Distribution of implication with conjunction.  (The proof was shortened by
     Wolf Lammen, 6-Dec-2012.) $)
  imdistan $p |- ( ( ph -> ( ps -> ch ) ) <->
                ( ( ph /\ ps ) -> ( ph /\ ch ) ) ) $=
    ( wi wa pm5.42 impexp bitr4i ) ABCDDABACEZDDABEIDABCFABIGH $.
    $( [6-Dec-2012] $) $( [31-May-1999] $)

  ${
    imdistani.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Distribution of implication with conjunction. $)
    imdistani $p |- ( ( ph /\ ps ) -> ( ph /\ ch ) ) $=
      ( wa anc2li imp ) ABACEABCDFG $.
      $( [1-Aug-1994] $)
  $}

  ${
    imdistanri.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Distribution of implication with conjunction. $)
    imdistanri $p |- ( ( ps /\ ph ) -> ( ch /\ ph ) ) $=
      ( com12 impac ) BACABCDEF $.
      $( [8-Jan-2002] $)
  $}

  ${
    imdistand.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( Distribution of implication with conjunction (deduction rule). $)
    imdistand $p |- ( ph -> ( ( ps /\ ch ) -> ( ps /\ th ) ) ) $=
      ( wi wa imdistan sylib ) ABCDFFBCGBDGFEBCDHI $.
      $( [27-Aug-2004] $)
  $}

  ${
    imdistanda.1 $e |- ( ( ph /\ ps ) -> ( ch -> th ) ) $.
    $( Distribution of implication with conjunction (deduction version with
       conjoined antecedent).  (Contributed by Jeff Madsen, 19-Jun-2011.) $)
    imdistanda $p |- ( ph -> ( ( ps /\ ch ) -> ( ps /\ th ) ) ) $=
      ( wi ex imdistand ) ABCDABCDFEGH $.
      $( [19-Jun-2011] $)
  $}

  ${
    bi.aa $e |- ( ph <-> ps ) $.
    $( Introduce a left conjunct to both sides of a logical equivalence.  (The
       proof was shortened by Wolf Lammen, 16-Nov-2013.) $)
    anbi2i $p |- ( ( ch /\ ph ) <-> ( ch /\ ps ) ) $=
      ( wb a1i pm5.32i ) CABABECDFG $.
      $( [16-Nov-2013] $) $( [5-Aug-1993] $)

    $( Introduce a right conjunct to both sides of a logical equivalence.  (The
       proof was shortened by Wolf Lammen, 16-Nov-2013.) $)
    anbi1i $p |- ( ( ph /\ ch ) <-> ( ps /\ ch ) ) $=
      ( wb a1i pm5.32ri ) CABABECDFG $.
      $( [16-Nov-2013] $) $( [5-Aug-1993] $)
  $}

  ${
    anbi12.1 $e |- ( ph <-> ps ) $.
    anbi12.2 $e |- ( ch <-> th ) $.
    $( Conjoin both sides of two equivalences. $)
    anbi12i $p |- ( ( ph /\ ch ) <-> ( ps /\ th ) ) $=
      ( wa anbi1i anbi2i bitri ) ACGBCGBDGABCEHCDBFIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    sylan9bb.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    sylan9bb.2 $e |- ( th -> ( ch <-> ta ) ) $.
    $( Nested syllogism inference conjoining dissimilar antecedents. $)
    sylan9bb $p |- ( ( ph /\ th ) -> ( ps <-> ta ) ) $=
      ( wa wb adantr adantl bitrd ) ADHBCEABCIDFJDCEIAGKL $.
      $( [4-Mar-1995] $)
  $}

  ${
    sylan9bbr.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    sylan9bbr.2 $e |- ( th -> ( ch <-> ta ) ) $.
    $( Nested syllogism inference conjoining dissimilar antecedents. $)
    sylan9bbr $p |- ( ( th /\ ph ) -> ( ps <-> ta ) ) $=
      ( wb sylan9bb ancoms ) ADBEHABCDEFGIJ $.
      $( [4-Mar-1995] $)
  $}

  ${
    bid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction adding a left disjunct to both sides of a logical
       equivalence. $)
    orbi2d $p |- ( ph -> ( ( th \/ ps ) <-> ( th \/ ch ) ) ) $=
      ( wn wi wo imbi2d df-or 3bitr4g ) ADFZBGLCGDBHDCHABCLEIDBJDCJK $.
      $( [5-Aug-1993] $)

    $( Deduction adding a right disjunct to both sides of a logical
       equivalence. $)
    orbi1d $p |- ( ph -> ( ( ps \/ th ) <-> ( ch \/ th ) ) ) $=
      ( wo orbi2d orcom 3bitr4g ) ADBFDCFBDFCDFABCDEGBDHCDHI $.
      $( [5-Aug-1993] $)

    $( Deduction adding a left conjunct to both sides of a logical
       equivalence.  (The proof was shortened by Wolf Lammen, 16-Nov-2013.) $)
    anbi2d $p |- ( ph -> ( ( th /\ ps ) <-> ( th /\ ch ) ) ) $=
      ( wb a1d pm5.32d ) ADBCABCFDEGH $.
      $( [16-Nov-2013] $) $( [5-Aug-1993] $)

    $( Deduction adding a right conjunct to both sides of a logical
       equivalence.  (The proof was shortened by Wolf Lammen, 16-Nov-2013.) $)
    anbi1d $p |- ( ph -> ( ( ps /\ th ) <-> ( ch /\ th ) ) ) $=
      ( wb a1d pm5.32rd ) ADBCABCFDEGH $.
      $( [16-Nov-2013] $) $( [5-Aug-1993] $)
  $}

  $( Theorem *4.37 of [WhiteheadRussell] p. 118. $)
  orbi1 $p |- ( ( ph <-> ps ) -> ( ( ph \/ ch ) <-> ( ps \/ ch ) ) ) $=
    ( wb id orbi1d ) ABDZABCGEF $.
    $( [3-Jan-2005] $)

  $( Introduce a right conjunct to both sides of a logical equivalence.
     Theorem *4.36 of [WhiteheadRussell] p. 118. $)
  anbi1 $p |- ( ( ph <-> ps ) -> ( ( ph /\ ch ) <-> ( ps /\ ch ) ) ) $=
    ( wb id anbi1d ) ABDZABCGEF $.
    $( [3-Jan-2005] $)

  $( Introduce a left conjunct to both sides of a logical equivalence. $)
  anbi2 $p |- ( ( ph <-> ps ) -> ( ( ch /\ ph ) <-> ( ch /\ ps ) ) ) $=
    ( wb id anbi2d ) ABDZABCGEF $.
    $( [16-Nov-2013] $)

  $( Theorem *4.22 of [WhiteheadRussell] p. 117. $)
  bitr $p |- ( ( ( ph <-> ps ) /\ ( ps <-> ch ) ) -> ( ph <-> ch ) ) $=
    ( wb bibi1 biimpar ) ABDACDBCDABCEF $.
    $( [3-Jan-2005] $)

  ${
    bi12d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bi12d.2 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction joining two equivalences to form equivalence of
       disjunctions. $)
    orbi12d $p |- ( ph -> ( ( ps \/ th ) <-> ( ch \/ ta ) ) ) $=
      ( wo orbi1d orbi2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
      $( [5-Aug-1993] $)

    $( Deduction joining two equivalences to form equivalence of
       conjunctions. $)
    anbi12d $p |- ( ph -> ( ( ps /\ th ) <-> ( ch /\ ta ) ) ) $=
      ( wa anbi1d anbi2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
      $( [5-Aug-1993] $)

  $}

  $( Theorem *5.3 of [WhiteheadRussell] p. 125.  (The proof was shortened by
     Andrew Salmon, 7-May-2011.) $)
  pm5.3 $p |- ( ( ( ph /\ ps ) -> ch ) <->
               ( ( ph /\ ps ) -> ( ph /\ ch ) ) ) $=
    ( wa wi impexp imdistan bitri ) ABDZCEABCEEIACDEABCFABCGH $.
    $( [12-May-2011] $) $( [3-Jan-2005] $)

  $( Theorem *5.61 of [WhiteheadRussell] p. 125.  (The proof was shortened by
     Wolf Lammen, 30-Jun-2013.) $)
  pm5.61 $p |- ( ( ( ph \/ ps ) /\ -. ps ) <-> ( ph /\ -. ps ) ) $=
    ( wn wo biorf orcom syl6rbb pm5.32ri ) BCZABDZAIABADJBAEBAFGH $.
    $( [30-Jun-2013] $) $( [3-Jan-2005] $)

  ${
    adant2.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Deduction adding a conjunct to antecedent.  (The proof was shortened by
       Wolf Lammen, 24-Nov-2012.) $)
    adantll $p |- ( ( ( th /\ ph ) /\ ps ) -> ch ) $=
      ( wa simpr sylan ) DAFABCDAGEH $.
      $( [24-Nov-2012] $) $( [4-May-1994] $)

    $( Deduction adding a conjunct to antecedent.  (The proof was shortened by
       Wolf Lammen, 24-Nov-2012.) $)
    adantlr $p |- ( ( ( ph /\ th ) /\ ps ) -> ch ) $=
      ( wa simpl sylan ) ADFABCADGEH $.
      $( [24-Nov-2012] $) $( [4-May-1994] $)

    $( Deduction adding a conjunct to antecedent.  (The proof was shortened by
       Wolf Lammen, 24-Nov-2012.) $)
    adantrl $p |- ( ( ph /\ ( th /\ ps ) ) -> ch ) $=
      ( wa simpr sylan2 ) DBFABCDBGEH $.
      $( [24-Nov-2012] $) $( [4-May-1994] $)

    $( Deduction adding a conjunct to antecedent.  (The proof was shortened by
       Wolf Lammen, 24-Nov-2012.) $)
    adantrr $p |- ( ( ph /\ ( ps /\ th ) ) -> ch ) $=
      ( wa simpl sylan2 ) BDFABCBDGEH $.
      $( [24-Nov-2012] $) $( [4-May-1994] $)
  $}

  ${
    adantl2.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Deduction adding a conjunct to antecedent.  (The proof was shortened by
       Wolf Lammen, 2-Dec-2012.) $)
    adantlll $p |- ( ( ( ( ta /\ ph ) /\ ps ) /\ ch ) -> th ) $=
      ( wa simpr sylanl1 ) EAGABCDEAHFI $.
      $( [2-Dec-2012] $) $( [26-Dec-2004] $)

    $( Deduction adding a conjunct to antecedent.  (The proof was shortened by
       Wolf Lammen, 4-Dec-2012.) $)
    adantllr $p |- ( ( ( ( ph /\ ta ) /\ ps ) /\ ch ) -> th ) $=
      ( wa simpl sylanl1 ) AEGABCDAEHFI $.
      $( [4-Dec-2012] $) $( [26-Dec-2004] $)

    $( Deduction adding a conjunct to antecedent.  (The proof was shortened by
       Wolf Lammen, 4-Dec-2012.) $)
    adantlrl $p |- ( ( ( ph /\ ( ta /\ ps ) ) /\ ch ) -> th ) $=
      ( wa simpr sylanl2 ) EBGABCDEBHFI $.
      $( [4-Dec-2012] $) $( [26-Dec-2004] $)

    $( Deduction adding a conjunct to antecedent.  (The proof was shortened by
       Wolf Lammen, 4-Dec-2012.) $)
    adantlrr $p |- ( ( ( ph /\ ( ps /\ ta ) ) /\ ch ) -> th ) $=
      ( wa simpl sylanl2 ) BEGABCDBEHFI $.
      $( [4-Dec-2012] $) $( [26-Dec-2004] $)
  $}

  ${
    adantr2.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Deduction adding a conjunct to antecedent.  (The proof was shortened by
       Wolf Lammen, 4-Dec-2012.) $)
    adantrll $p |- ( ( ph /\ ( ( ta /\ ps ) /\ ch ) ) -> th ) $=
      ( wa simpr sylanr1 ) EBGABCDEBHFI $.
      $( [4-Dec-2012] $) $( [26-Dec-2004] $)

    $( Deduction adding a conjunct to antecedent.  (The proof was shortened by
       Wolf Lammen, 4-Dec-2012.) $)
    adantrlr $p |- ( ( ph /\ ( ( ps /\ ta ) /\ ch ) ) -> th ) $=
      ( wa simpl sylanr1 ) BEGABCDBEHFI $.
      $( [4-Dec-2012] $) $( [26-Dec-2004] $)

    $( Deduction adding a conjunct to antecedent.  (The proof was shortened by
       Wolf Lammen, 4-Dec-2012.) $)
    adantrrl $p |- ( ( ph /\ ( ps /\ ( ta /\ ch ) ) ) -> th ) $=
      ( wa simpr sylanr2 ) ECGABCDECHFI $.
      $( [4-Dec-2012] $) $( [26-Dec-2004] $)

    $( Deduction adding a conjunct to antecedent.  (The proof was shortened by
       Wolf Lammen, 4-Dec-2012.) $)
    adantrrr $p |- ( ( ph /\ ( ps /\ ( ch /\ ta ) ) ) -> th ) $=
      ( wa simpl sylanr2 ) CEGABCDCEHFI $.
      $( [4-Dec-2012] $) $( [26-Dec-2004] $)
  $}

  ${
    ad2ant.1 $e |- ( ph -> ps ) $.
    $( Deduction adding conjuncts to antecedent.  (The proof was shortened by
       Wolf Lammen, 20-Nov-2012.) $)
    ad2antrr $p |- ( ( ( ph /\ ch ) /\ th ) -> ps ) $=
      ( adantr adantlr ) ADBCABDEFG $.
      $( [20-Nov-2012] $) $( [19-Oct-1999] $)

    $( Deduction adding 3 conjuncts to antecedent. $)
    ad3antrrr $p |- ( ( ( ( ph /\ ch ) /\ th ) /\ ta ) -> ps ) $=
      ( wa adantr ad2antrr ) ACGBDEABCFHI $.
      $( [28-Jul-2012] $)

    $( Deduction adding conjuncts to antecedent.  (The proof was shortened by
       Wolf Lammen, 20-Nov-2012.) $)
    ad2antlr $p |- ( ( ( ch /\ ph ) /\ th ) -> ps ) $=
      ( adantr adantll ) ADBCABDEFG $.
      $( [20-Nov-2012] $) $( [19-Oct-1999] $)

    $( Deduction adding conjuncts to antecedent. $)
    ad2antrl $p |- ( ( ch /\ ( ph /\ th ) ) -> ps ) $=
      ( wa adantr adantl ) ADFBCABDEGH $.
      $( [19-Oct-1999] $)

    $( Deduction adding conjuncts to antecedent. $)
    ad2antll $p |- ( ( ch /\ ( th /\ ph ) ) -> ps ) $=
      ( wa adantl ) DAFBCABDEGG $.
      $( [19-Oct-1999] $)
  $}

  ${
    ad2ant2.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Deduction adding two conjuncts to antecedent. $)
    ad2ant2l $p |- ( ( ( th /\ ph ) /\ ( ta /\ ps ) ) -> ch ) $=
      ( wa adantrl adantll ) AEBGCDABCEFHI $.
      $( [8-Jan-2006] $)

    $( Deduction adding two conjuncts to antecedent. $)
    ad2ant2r $p |- ( ( ( ph /\ th ) /\ ( ps /\ ta ) ) -> ch ) $=
      ( wa adantrr adantlr ) ABEGCDABCEFHI $.
      $( [8-Jan-2006] $)

    $( Deduction adding two conjuncts to antecedent. $)
    ad2ant2lr $p |- ( ( ( th /\ ph ) /\ ( ps /\ ta ) ) -> ch ) $=
      ( wa adantrr adantll ) ABEGCDABCEFHI $.
      $( [23-Nov-2007] $)

    $( Deduction adding two conjuncts to antecedent. $)
    ad2ant2rl $p |- ( ( ( ph /\ th ) /\ ( ta /\ ps ) ) -> ch ) $=
      ( wa adantrl adantlr ) AEBGCDABCEFHI $.
      $( [24-Nov-2007] $)
  $}

  $( Simplification of a conjunction. $)
  simpll $p |- ( ( ( ph /\ ps ) /\ ch ) -> ph ) $=
    ( id ad2antrr ) AABCADE $.
    $( [18-Mar-2007] $)

  $( Simplification of a conjunction. $)
  simplr $p |- ( ( ( ph /\ ps ) /\ ch ) -> ps ) $=
    ( id ad2antlr ) BBACBDE $.
    $( [20-Mar-2007] $)

  $( Simplification of a conjunction. $)
  simprl $p |- ( ( ph /\ ( ps /\ ch ) ) -> ps ) $=
    ( id ad2antrl ) BBACBDE $.
    $( [21-Mar-2007] $)

  $( Simplification of a conjunction. $)
  simprr $p |- ( ( ph /\ ( ps /\ ch ) ) -> ch ) $=
    ( id ad2antll ) CCABCDE $.
    $( [21-Mar-2007] $)

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.) $)
  simplll $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ph ) $=
    ( wa simpl ad2antrr ) ABEACDABFG $.
    $( [18-Apr-2010] $) $( [28-Jul-2009] $)

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.) $)
  simpllr $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ps ) $=
    ( wa simpr ad2antrr ) ABEBCDABFG $.
    $( [18-Apr-2010] $) $( [28-Jul-2009] $)

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.) $)
  simplrl $p |- ( ( ( ph /\ ( ps /\ ch ) ) /\ th ) -> ps ) $=
    ( wa simpl ad2antlr ) BCEBADBCFG $.
    $( [18-Apr-2010] $) $( [28-Jul-2009] $)

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.) $)
  simplrr $p |- ( ( ( ph /\ ( ps /\ ch ) ) /\ th ) -> ch ) $=
    ( wa simpr ad2antlr ) BCECADBCFG $.
    $( [18-Apr-2010] $) $( [28-Jul-2009] $)

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.) $)
  simprll $p |- ( ( ph /\ ( ( ps /\ ch ) /\ th ) ) -> ps ) $=
    ( wa simpl ad2antrl ) BCEBADBCFG $.
    $( [18-Apr-2010] $) $( [28-Jul-2009] $)

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.) $)
  simprlr $p |- ( ( ph /\ ( ( ps /\ ch ) /\ th ) ) -> ch ) $=
    ( wa simpr ad2antrl ) BCECADBCFG $.
    $( [18-Apr-2010] $) $( [28-Jul-2009] $)

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.) $)
  simprrl $p |- ( ( ph /\ ( ps /\ ( ch /\ th ) ) ) -> ch ) $=
    ( wa simpl ad2antll ) CDECABCDFG $.
    $( [18-Apr-2010] $) $( [28-Jul-2009] $)

  $( Simplification of a conjunction.  (Contributed by Jeff Hankins,
     28-Jul-2009.) $)
  simprrr $p |- ( ( ph /\ ( ps /\ ( ch /\ th ) ) ) -> th ) $=
    ( wa simpr ad2antll ) CDEDABCDFG $.
    $( [18-Apr-2010] $) $( [28-Jul-2009] $)

  $( Disjunction of antecedents.  Compare Theorem *4.77 of [WhiteheadRussell]
     p. 121.  (The proof was shortened by Wolf Lammen, 9-Dec-2012.) $)
  jaob $p |- ( ( ( ph \/ ch ) -> ps ) <-> ( ( ph -> ps ) /\ ( ch -> ps ) ) ) $=
    ( wo wi wa pm2.67-2 olc imim1i jca pm3.44 impbii ) ACDZBEZABEZCBEZFNOPABCGC
    MBCAHIJBACKL $.
    $( [9-Dec-2012] $) $( [30-May-1994] $)

  ${
    jaoian.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    jaoian.2 $e |- ( ( th /\ ps ) -> ch ) $.
    $( Inference disjoining the antecedents of two implications. $)
    jaoian $p |- ( ( ( ph \/ th ) /\ ps ) -> ch ) $=
      ( wo wi ex jaoi imp ) ADGBCABCHDABCEIDBCFIJK $.
      $( [23-Oct-2005] $)
  $}

  ${
    jaodan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    jaodan.2 $e |- ( ( ph /\ th ) -> ch ) $.
    $( Deduction disjoining the antecedents of two implications. $)
    jaodan $p |- ( ( ph /\ ( ps \/ th ) ) -> ch ) $=
      ( wo ex jaod imp ) ABDGCABCDABCEHADCFHIJ $.
      $( [14-Oct-2005] $)
  $}

  $( Theorem *4.77 of [WhiteheadRussell] p. 121. $)
  pm4.77 $p |- ( ( ( ps -> ph ) /\ ( ch -> ph ) ) <->
                ( ( ps \/ ch ) -> ph ) ) $=
    ( wo wi wa jaob bicomi ) BCDAEBAECAEFBACGH $.
    $( [3-Jan-2005] $)

  $( Theorem *2.63 of [WhiteheadRussell] p. 107. $)
  pm2.63 $p |- ( ( ph \/ ps ) -> ( ( -. ph \/ ps ) -> ps ) ) $=
    ( wo wn pm2.53 idd jaod ) ABCZADBBABEHBFG $.
    $( [3-Jan-2005] $)

  $( Theorem *2.64 of [WhiteheadRussell] p. 107. $)
  pm2.64 $p |- ( ( ph \/ ps ) -> ( ( ph \/ -. ps ) -> ph ) ) $=
    ( wn wo wi ax-1 orel2 jaoi com12 ) ABCZDABDZAAKAEJAKFBAGHI $.
    $( [3-Jan-2005] $)

  ${
    pm2.61ian.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    pm2.61ian.2 $e |- ( ( -. ph /\ ps ) -> ch ) $.
    $( Elimination of an antecedent. $)
    pm2.61ian $p |- ( ps -> ch ) $=
      ( wi ex wn pm2.61i ) ABCFABCDGAHBCEGI $.
      $( [1-Jan-2005] $)
  $}

  ${
    pm2.61dan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    pm2.61dan.2 $e |- ( ( ph /\ -. ps ) -> ch ) $.
    $( Elimination of an antecedent. $)
    pm2.61dan $p |- ( ph -> ch ) $=
      ( ex wn pm2.61d ) ABCABCDFABGCEFH $.
      $( [1-Jan-2005] $)
  $}

  ${
    pm2.61ddan.1 $e |- ( ( ph /\ ps ) -> th ) $.
    pm2.61ddan.2 $e |- ( ( ph /\ ch ) -> th ) $.
    pm2.61ddan.3 $e |- ( ( ph /\ ( -. ps /\ -. ch ) ) -> th ) $.
    $( Elimination of two antecedents. $)
    pm2.61ddan $p |- ( ph -> th ) $=
      ( wn wa adantlr anassrs pm2.61dan ) ABDEABHZICDACDMFJAMCHDGKLL $.
      $( [9-Jul-2013] $)
  $}

  ${
    pm2.61dda.1 $e |- ( ( ph /\ -. ps ) -> th ) $.
    pm2.61dda.2 $e |- ( ( ph /\ -. ch ) -> th ) $.
    pm2.61dda.3 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Elimination of two antecedents. $)
    pm2.61dda $p |- ( ph -> th ) $=
      ( wa anassrs wn adantlr pm2.61dan ) ABDABHCDABCDGIACJDBFKLEL $.
      $( [9-Jul-2013] $)
  $}

  ${
    condan.1 $e |- ( ( ph /\ -. ps ) -> ch ) $.
    condan.2 $e |- ( ( ph /\ -. ps ) -> -. ch ) $.
    $( Proof by contradiction.  (The proof was shortened by Wolf Lammen,
       19-Jun-2014.) $)
    condan $p |- ( ph -> ps ) $=
      ( wn pm2.65da notnot2 syl ) ABFZFBAJCDEGBHI $.
      $( [19-Jun-2014] $) $( [9-Feb-2006] $)
  $}

  $( Introduce one conjunct as an antecedent to the other.  "abai" stands for
     "and, biconditional, and, implication".  (The proof was shortened by Wolf
     Lammen, 7-Dec-2012.) $)
  abai $p |- ( ( ph /\ ps ) <-> ( ph /\ ( ph -> ps ) ) ) $=
    ( wi biimt pm5.32i ) ABABCABDE $.
    $( [7-Dec-2012] $) $( [12-Aug-1993] $)

  $( Theorem *5.53 of [WhiteheadRussell] p. 125. $)
  pm5.53 $p |- ( ( ( ( ph \/ ps ) \/ ch ) -> th ) <->
                ( ( ( ph -> th ) /\ ( ps -> th ) ) /\ ( ch -> th ) ) ) $=
    ( wo wi wa jaob anbi1i bitri ) ABEZCEDFKDFZCDFZGADFBDFGZMGKDCHLNMADBHIJ $.
    $( [3-Jan-2005] $)

  $( Swap two conjuncts.  Note that the first digit (1) in the label refers to
     the outer conjunct position, and the next digit (2) to the inner conjunct
     position. $)
  an12 $p |- ( ( ph /\ ( ps /\ ch ) ) <-> ( ps /\ ( ph /\ ch ) ) ) $=
    ( wa ancom anbi1i anass 3bitr3i ) ABDZCDBADZCDABCDDBACDDIJCABEFABCGBACGH $.
    $( [12-Mar-1995] $)

  $( A rearrangement of conjuncts.  (The proof was shortened by Wolf Lammen,
     25-Dec-2012.) $)
  an32 $p |- ( ( ( ph /\ ps ) /\ ch ) <-> ( ( ph /\ ch ) /\ ps ) ) $=
    ( wa anass an12 ancom 3bitri ) ABDCDABCDDBACDZDIBDABCEABCFBIGH $.
    $( [25-Dec-2012] $) $( [12-Mar-1995] $)

  $( A rearrangement of conjuncts.  (The proof was shortened by Wolf Lammen,
     31-Dec-2012.) $)
  an13 $p |- ( ( ph /\ ( ps /\ ch ) ) <-> ( ch /\ ( ps /\ ph ) ) ) $=
    ( wa an12 anass ancom 3bitr2i ) ABCDDBACDDBADZCDCIDABCEBACFICGH $.
    $( [31-Dec-2012] $) $( [24-Jun-2012] $)

  $( A rearrangement of conjuncts.  (The proof was shortened by Wolf Lammen,
     31-Dec-2012.) $)
  an31 $p |- ( ( ( ph /\ ps ) /\ ch ) <-> ( ( ch /\ ps ) /\ ph ) ) $=
    ( wa an13 anass 3bitr4i ) ABCDDCBADDABDCDCBDADABCEABCFCBAFG $.
    $( [31-Dec-2012] $) $( [24-Jun-2012] $)

  ${
    an12s.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Swap two conjuncts in antecedent.  The label suffix "s" means that
       ~ an12 is combined with ~ syl (or a variant). $)
    an12s $p |- ( ( ps /\ ( ph /\ ch ) ) -> th ) $=
      ( wa an12 sylbi ) BACFFABCFFDBACGEH $.
      $( [13-Mar-1996] $)

    $( Inference commuting a nested conjunction in antecedent.  (The proof was
       shortened by Wolf Lammen, 24-Nov-2012.) $)
    ancom2s $p |- ( ( ph /\ ( ch /\ ps ) ) -> th ) $=
      ( wa pm3.22 sylan2 ) CBFABCFDCBGEH $.
      $( [24-Nov-2012] $) $( [24-May-2006] $)

    $( Swap two conjuncts in antecedent. $)
    an13s $p |- ( ( ch /\ ( ps /\ ph ) ) -> th ) $=
      ( exp32 com13 imp32 ) CBADABCDABCDEFGH $.
      $( [31-May-2006] $)
  $}

  ${
    an32s.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Swap two conjuncts in antecedent. $)
    an32s $p |- ( ( ( ph /\ ch ) /\ ps ) -> th ) $=
      ( wa an32 sylbi ) ACFBFABFCFDACBGEH $.
      $( [13-Mar-1996] $)

    $( Inference commuting a nested conjunction in antecedent.  (The proof was
       shortened by Wolf Lammen, 24-Nov-2012.) $)
    ancom1s $p |- ( ( ( ps /\ ph ) /\ ch ) -> th ) $=
      ( wa pm3.22 sylan ) BAFABFCDBAGEH $.
      $( [24-Nov-2012] $) $( [24-May-2006] $)

    $( Swap two conjuncts in antecedent. $)
    an31s $p |- ( ( ( ch /\ ps ) /\ ph ) -> th ) $=
      ( exp31 com13 imp31 ) CBADABCDABCDEFGH $.
      $( [31-May-2006] $)
  $}

  $( Absorption into embedded conjunct.  (The proof was shortened by Wolf
     Lammen, 16-Nov-2013.) $)
  anabs1 $p |- ( ( ( ph /\ ps ) /\ ph ) <-> ( ph /\ ps ) ) $=
    ( wa simpl pm4.71i bicomi ) ABCZGACGAABDEF $.
    $( [16-Nov-2013] $) $( [4-Sep-1995] $)

  $( Absorption into embedded conjunct.  (The proof was shortened by Wolf
     Lammen, 9-Dec-2012.) $)
  anabs5 $p |- ( ( ph /\ ( ph /\ ps ) ) <-> ( ph /\ ps ) ) $=
    ( wa ibar bicomd pm5.32i ) AABCZBABGABDEF $.
    $( [9-Dec-2012] $) $( [20-Jul-1996] $)

  $( Absorption into embedded conjunct.  (The proof was shortened by Wolf
     Lammen, 17-Nov-2013.) $)
  anabs7 $p |- ( ( ps /\ ( ph /\ ps ) ) <-> ( ph /\ ps ) ) $=
    ( wa simpr pm4.71ri bicomi ) ABCZBGCGBABDEF $.
    $( [17-Nov-2013] $) $( [20-Jul-1996] $)

  ${
    anabsan.1 $e |- ( ( ( ph /\ ph ) /\ ps ) -> ch ) $.
    $( Absorption of antecedent with conjunction. $)
    anabsan $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa pm4.24 sylanb ) AAAEBCAFDG $.
      $( [18-Nov-2013] $) $( [24-Mar-1996] $)
  $}

  ${
    anabss1.1 $e |- ( ( ( ph /\ ps ) /\ ph ) -> ch ) $.
    $( Absorption of antecedent into conjunction.  (The proof was shortened by
       Wolf Lammen, 31-Dec-2012.) $)
    anabss1 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( an32s anabsan ) ABCABACDEF $.
      $( [19-Nov-2013] $) $( [20-Jul-1996] $)
  $}

  ${
    anabss4.1 $e |- ( ( ( ps /\ ph ) /\ ps ) -> ch ) $.
    $( Absorption of antecedent into conjunction. $)
    anabss4 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( anabss1 ancoms ) BACBACDEF $.
      $( [20-Jul-1996] $)
  $}

  ${
    anabss5.1 $e |- ( ( ph /\ ( ph /\ ps ) ) -> ch ) $.
    $( Absorption of antecedent into conjunction.  (The proof was shortened by
       Wolf Lammen, 1-Jan-2013.) $)
    anabss5 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( anassrs anabsan ) ABCAABCDEF $.
      $( [1-Jan-2013] $) $( [10-May-1994] $)
  $}

  ${
    anabsi5.1 $e |- ( ph -> ( ( ph /\ ps ) -> ch ) ) $.
    $( Absorption of antecedent into conjunction.  (The proof was shortened by
       Wolf Lammen, 18-Nov-2013.) $)
    anabsi5 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa imp anabss5 ) ABCAABECDFG $.
      $( [18-Nov-2013] $) $( [11-Jun-1995] $)
  $}

  ${
    anabsi6.1 $e |- ( ph -> ( ( ps /\ ph ) -> ch ) ) $.
    $( Absorption of antecedent into conjunction. $)
    anabsi6 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( ancomsd anabsi5 ) ABCABACDEF $.
      $( [14-Aug-2000] $)
  $}

  ${
    anabsi7.1 $e |- ( ps -> ( ( ph /\ ps ) -> ch ) ) $.
    $( Absorption of antecedent into conjunction.  (The proof was shortened by
       Wolf Lammen, 18-Nov-2013.) $)
    anabsi7 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( anabsi6 ancoms ) BACBACDEF $.
      $( [18-Nov-2013] $) $( [20-Jul-1996] $)
  $}

  ${
    anabsi8.1 $e |- ( ps -> ( ( ps /\ ph ) -> ch ) ) $.
    $( Absorption of antecedent into conjunction. $)
    anabsi8 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( anabsi5 ancoms ) BACBACDEF $.
      $( [26-Sep-1999] $)
  $}

  ${
    anabss7.1 $e |- ( ( ps /\ ( ph /\ ps ) ) -> ch ) $.
    $( Absorption of antecedent into conjunction.  (The proof was shortened by
       Wolf Lammen, 19-Nov-2013.) $)
    anabss7 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( anassrs anabss4 ) ABCBABCDEF $.
      $( [19-Nov-2013] $) $( [20-Jul-1996] $)
  $}

  ${
    anabsan2.1 $e |- ( ( ph /\ ( ps /\ ps ) ) -> ch ) $.
    $( Absorption of antecedent with conjunction. $)
    anabsan2 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( an12s anabss7 ) ABCABBCDEF $.
      $( [1-Jan-2013] $) $( [10-May-2004] $)
  $}

  ${
    anabss3.1 $e |- ( ( ( ph /\ ps ) /\ ps ) -> ch ) $.
    $( Absorption of antecedent into conjunction.  (The proof was shortened by
       Wolf Lammen, 1-Jan-2013.) $)
    anabss3 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( anasss anabsan2 ) ABCABBCDEF $.
      $( [1-Jan-2013] $) $( [20-Jul-1996] $)
  $}

  $( Rearrangement of 4 conjuncts. $)
  an4 $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) <->
              ( ( ph /\ ch ) /\ ( ps /\ th ) ) ) $=
    ( wa an12 anbi2i anass 3bitr4i ) ABCDEZEZEACBDEZEZEABEJEACELEKMABCDFGABJHAC
    LHI $.
    $( [10-Jul-1994] $)

  $( Rearrangement of 4 conjuncts. $)
  an42 $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) <->
                 ( ( ph /\ ch ) /\ ( th /\ ps ) ) ) $=
    ( wa an4 ancom anbi2i bitri ) ABECDEEACEZBDEZEJDBEZEABCDFKLJBDGHI $.
    $( [7-Feb-1996] $)

  ${
    an4s.1 $e |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $.
    $( Inference rearranging 4 conjuncts in antecedent. $)
    an4s $p |- ( ( ( ph /\ ch ) /\ ( ps /\ th ) ) -> ta ) $=
      ( wa an4 sylbi ) ACGBDGGABGCDGGEACBDHFI $.
      $( [10-Aug-1995] $)
  $}

  ${
    an41r3s.1 $e |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $.
    $( Inference rearranging 4 conjuncts in antecedent. $)
    an42s $p |- ( ( ( ph /\ ch ) /\ ( th /\ ps ) ) -> ta ) $=
      ( wa an4s ancom2s ) ACGBDEABCDEFHI $.
      $( [10-Aug-1995] $)
  $}

  $( Distribution of conjunction over conjunction. $)
  anandi $p |- ( ( ph /\ ( ps /\ ch ) ) <->
               ( ( ph /\ ps ) /\ ( ph /\ ch ) ) ) $=
    ( wa anidm anbi1i an4 bitr3i ) ABCDZDAADZIDABDACDDJAIAEFAABCGH $.
    $( [14-Aug-1995] $)

  $( Distribution of conjunction over conjunction. $)
  anandir $p |- ( ( ( ph /\ ps ) /\ ch ) <->
               ( ( ph /\ ch ) /\ ( ps /\ ch ) ) ) $=
    ( wa anidm anbi2i an4 bitr3i ) ABDZCDICCDZDACDBCDDJCICEFABCCGH $.
    $( [24-Aug-1995] $)

  ${
    anandis.1 $e |- ( ( ( ph /\ ps ) /\ ( ph /\ ch ) ) -> ta ) $.
    $( Inference that undistributes conjunction in the antecedent. $)
    anandis $p |- ( ( ph /\ ( ps /\ ch ) ) -> ta ) $=
      ( wa an4s anabsan ) ABCFDABACDEGH $.
      $( [7-Jun-2004] $)
  $}

  ${
    anandirs.1 $e |- ( ( ( ph /\ ch ) /\ ( ps /\ ch ) ) -> ta ) $.
    $( Inference that undistributes conjunction in the antecedent. $)
    anandirs $p |- ( ( ( ph /\ ps ) /\ ch ) -> ta ) $=
      ( wa an4s anabsan2 ) ABFCDACBCDEGH $.
      $( [7-Jun-2004] $)
  $}

  ${
    impbida.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    impbida.2 $e |- ( ( ph /\ ch ) -> ps ) $.
    $( Deduce an equivalence from two implications. $)
    impbida $p |- ( ph -> ( ps <-> ch ) ) $=
      ( ex impbid ) ABCABCDFACBEFG $.
      $( [17-Feb-2007] $)
  $}

  $( Theorem *3.48 of [WhiteheadRussell] p. 114. $)
  pm3.48 $p |- ( ( ( ph -> ps ) /\ ( ch -> th ) ) ->
               ( ( ph \/ ch ) -> ( ps \/ th ) ) ) $=
    ( wi wo orc imim2i olc jaao ) ABEABDFZCDECBKABDGHDKCDBIHJ $.
    $( [1-Dec-2012] $) $( [28-Jan-1997] $)

  $( Theorem *3.45 (Fact) of [WhiteheadRussell] p. 113. $)
  pm3.45 $p |- ( ( ph -> ps ) -> ( ( ph /\ ch ) -> ( ps /\ ch ) ) ) $=
    ( wi id anim1d ) ABDZABCGEF $.
    $( [3-Jan-2005] $)

  ${
    im2an9.1 $e |- ( ph -> ( ps -> ch ) ) $.
    im2an9.2 $e |- ( th -> ( ta -> et ) ) $.
    $( Deduction joining nested implications to form implication of
       conjunctions. $)
    im2anan9 $p |- ( ( ph /\ th ) -> ( ( ps /\ ta ) -> ( ch /\ et ) ) ) $=
      ( wa wi adantr adantl anim12d ) ADIBCEFABCJDGKDEFJAHLM $.
      $( [29-Feb-1996] $)

    $( Deduction joining nested implications to form implication of
       conjunctions. $)
    im2anan9r $p |- ( ( th /\ ph ) -> ( ( ps /\ ta ) -> ( ch /\ et ) ) ) $=
      ( wa wi im2anan9 ancoms ) ADBEICFIJABCDEFGHKL $.
      $( [29-Feb-1996] $)
  $}

  ${
    anim12dan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    anim12dan.2 $e |- ( ( ph /\ th ) -> ta ) $.
    $( Conjoin antecedents and consequents in a deduction.  (Contributed by
       Mario Carneiro, 12-May-2014.) $)
    anim12dan $p |- ( ( ph /\ ( ps /\ th ) ) -> ( ch /\ ta ) ) $=
      ( wa ex anim12d imp ) ABDHCEHABCDEABCFIADEGIJK $.
      $( [12-May-2014] $)
  $}

  ${
    orim12d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    orim12d.2 $e |- ( ph -> ( th -> ta ) ) $.
    $( Disjoin antecedents and consequents in a deduction. $)
    orim12d $p |- ( ph -> ( ( ps \/ th ) -> ( ch \/ ta ) ) ) $=
      ( wi wo pm3.48 syl2anc ) ABCHDEHBDICEIHFGBCDEJK $.
      $( [10-May-1994] $)
  $}

  ${
    orim1d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Disjoin antecedents and consequents in a deduction. $)
    orim1d $p |- ( ph -> ( ( ps \/ th ) -> ( ch \/ th ) ) ) $=
      ( idd orim12d ) ABCDDEADFG $.
      $( [23-Apr-1995] $)

    $( Disjoin antecedents and consequents in a deduction. $)
    orim2d $p |- ( ph -> ( ( th \/ ps ) -> ( th \/ ch ) ) ) $=
      ( idd orim12d ) ADDBCADFEG $.
      $( [23-Apr-1995] $)
  $}

  $( Axiom *1.6 (Sum) of [WhiteheadRussell] p. 97. $)
  orim2 $p |- ( ( ps -> ch ) -> ( ( ph \/ ps ) -> ( ph \/ ch ) ) ) $=
    ( wi id orim2d ) BCDZBCAGEF $.
    $( [3-Jan-2005] $)

  $( Theorem *2.38 of [WhiteheadRussell] p. 105. $)
  pm2.38 $p |- ( ( ps -> ch ) -> ( ( ps \/ ph ) -> ( ch \/ ph ) ) ) $=
    ( wi id orim1d ) BCDZBCAGEF $.
    $( [6-Mar-2008] $)

  $( Theorem *2.36 of [WhiteheadRussell] p. 105. $)
  pm2.36 $p |- ( ( ps -> ch ) -> ( ( ph \/ ps ) -> ( ch \/ ph ) ) ) $=
    ( wo wi pm1.4 pm2.38 syl5 ) ABDBADBCECADABFABCGH $.
    $( [6-Mar-2008] $)

  $( Theorem *2.37 of [WhiteheadRussell] p. 105. $)
  pm2.37 $p |- ( ( ps -> ch ) -> ( ( ps \/ ph ) -> ( ph \/ ch ) ) ) $=
    ( wi wo pm2.38 pm1.4 syl6 ) BCDBAECAEACEABCFCAGH $.
    $( [6-Mar-2008] $)

  $( Theorem *2.73 of [WhiteheadRussell] p. 108. $)
  pm2.73 $p |- ( ( ph -> ps ) -> ( ( ( ph \/ ps ) \/ ch ) ->
                ( ps \/ ch ) ) ) $=
    ( wi wo pm2.621 orim1d ) ABDABEBCABFG $.
    $( [3-Jan-2005] $)

  $( Theorem *2.74 of [WhiteheadRussell] p. 108.  (The proof was shortened by
     Andrew Salmon, 7-May-2011.) $)
  pm2.74 $p |- ( ( ps -> ph ) -> ( ( ( ph \/ ps ) \/ ch ) ->
                ( ph \/ ch ) ) ) $=
    ( wi wo orel2 ax-1 ja orim1d ) BADABEZACBAJADBAFAJGHI $.
    $( [12-May-2011] $) $( [3-Jan-2005] $)

  $( Disjunction distributes over implication.  (Contributed by Wolf Lammen,
     5-Jan-2013.) $)
  orimdi $p |- ( ( ph \/ ( ps -> ch ) ) <->
                ( ( ph \/ ps ) -> ( ph \/ ch ) ) ) $=
    ( wn wi wo imdi df-or imbi12i 3bitr4i ) ADZBCEZEKBEZKCEZEALFABFZACFZEKBCGAL
    HOMPNABHACHIJ $.
    $( [5-Jan-2013] $)

  $( Theorem *2.76 of [WhiteheadRussell] p. 108. $)
  pm2.76 $p |- ( ( ph \/ ( ps -> ch ) ) ->
                ( ( ph \/ ps ) -> ( ph \/ ch ) ) ) $=
    ( wi wo orimdi biimpi ) ABCDEABEACEDABCFG $.
    $( [5-Jan-2013] $) $( [3-Jan-2005] $)

  $( Theorem *2.75 of [WhiteheadRussell] p. 108.  (The proof was shortened by
     Wolf Lammen, 4-Jan-2013.) $)
  pm2.75 $p |- ( ( ph \/ ps ) ->
                ( ( ph \/ ( ps -> ch ) ) -> ( ph \/ ch ) ) ) $=
    ( wi wo pm2.76 com12 ) ABCDEABEACEABCFG $.
    $( [4-Jan-2013] $) $( [3-Jan-2005] $)

  $( Theorem *2.8 of [WhiteheadRussell] p. 108.  (The proof was shortened by
     Wolf Lammen, 5-Jan-2013.) $)
  pm2.8 $p |- ( ( ph \/ ps ) -> ( ( -. ps \/ ch ) -> ( ph \/ ch ) ) ) $=
    ( wo wn pm2.53 con1d orim1d ) ABDZBEACIABABFGH $.
    $( [5-Jan-2013] $) $( [3-Jan-2005] $)

  $( Theorem *2.81 of [WhiteheadRussell] p. 108. $)
  pm2.81 $p |- ( ( ps -> ( ch -> th ) ) -> ( ( ph \/ ps ) ->
                ( ( ph \/ ch ) -> ( ph \/ th ) ) ) ) $=
    ( wi wo orim2 pm2.76 syl6 ) BCDEZEABFAJFACFADFEABJGACDHI $.
    $( [3-Jan-2005] $)

  $( Theorem *2.82 of [WhiteheadRussell] p. 108. $)
  pm2.82 $p |- ( ( ( ph \/ ps ) \/ ch ) -> ( ( ( ph \/ -. ch ) \/ th ) ->
                ( ( ph \/ ps ) \/ th ) ) ) $=
    ( wo wn wi ax-1 pm2.24 orim2d jaoi orim1d ) ABEZCEACFZEZMDMOMGCMOHCNBACBIJK
    L $.
    $( [3-Jan-2005] $)

  $( Theorem *2.85 of [WhiteheadRussell] p. 108.  (The proof was shortened by
     Wolf Lammen, 5-Jan-2013.) $)
  pm2.85 $p |- ( ( ( ph \/ ps ) -> ( ph \/ ch ) ) ->
                ( ph \/ ( ps -> ch ) ) ) $=
    ( wi wo orimdi biimpri ) ABCDEABEACEDABCFG $.
    $( [5-Jan-2013] $) $( [3-Jan-2005] $)

  ${
    pm3.2ni.1 $e |- -. ph $.
    pm3.2ni.2 $e |- -. ps $.
    $( Infer negated disjunction of negated premises. $)
    pm3.2ni $p |- -. ( ph \/ ps ) $=
      ( wo id pm2.21i jaoi mto ) ABEACAABAFBADGHI $.
      $( [4-Apr-1995] $)
  $}

  $( Absorption of redundant internal disjunct.  Compare Theorem *4.45 of
     [WhiteheadRussell] p. 119.  (The proof was shortened by Wolf Lammen,
     28-Feb-2014.) $)
  orabs $p |- ( ph <-> ( ( ph \/ ps ) /\ ph ) ) $=
    ( wo orc pm4.71ri ) AABCABDE $.
    $( [28-Feb-2014] $) $( [5-Aug-1993] $)

  $( Absorb a disjunct into a conjunct.  (Contributed by Roy F. Longton
     23-Jun-2005.)  (The proof was shortened by Wolf Lammen, 10-Nov-2013.) $)
  oranabs $p |- ( ( ( ph \/ -. ps ) /\ ps ) <-> ( ph /\ ps ) ) $=
    ( wn wo biortn orcom syl6rbb pm5.32ri ) BABCZDZABAIADJBAEIAFGH $.
    $( [10-Nov-2013] $) $( [23-Jun-2005] $)

  $( Two propositions are equivalent if they are both true.  Theorem *5.1 of
     [WhiteheadRussell] p. 123. $)
  pm5.1 $p |- ( ( ph /\ ps ) -> ( ph <-> ps ) ) $=
    ( wb pm5.501 biimpa ) ABABCABDE $.
    $( [21-May-1994] $)

  $( Two propositions are equivalent if they are both false.  Theorem *5.21 of
     [WhiteheadRussell] p. 124. $)
  pm5.21 $p |- ( ( -. ph /\ -. ps ) -> ( ph <-> ps ) ) $=
    ( wn wb pm5.21im imp ) ACBCABDABEF $.
    $( [19-May-2013] $) $( [21-May-1994] $)

  $( Theorem *3.43 (Comp) of [WhiteheadRussell] p. 113. $)
  pm3.43 $p |- ( ( ( ph -> ps ) /\ ( ph -> ch ) ) ->
                ( ph -> ( ps /\ ch ) ) ) $=
    ( wi wa pm3.43i imp ) ABDACDABCEDABCFG $.
    $( [27-Nov-2013] $) $( [3-Jan-2005] $)

  $( Distributive law for implication over conjunction.  Compare Theorem *4.76
     of [WhiteheadRussell] p. 121.  (The proof was shortened by Wolf Lammen,
     27-Nov-2013.) $)
  jcab $p |- ( ( ph -> ( ps /\ ch ) ) <->
                ( ( ph -> ps ) /\ ( ph -> ch ) ) ) $=
    ( wa wi simpl imim2i simpr jca pm3.43 impbii ) ABCDZEZABEZACEZDMNOLBABCFGLC
    ABCHGIABCJK $.
    $( [27-Nov-2013] $) $( [3-Apr-1994] $)

  $( Distributive law for disjunction.  Theorem *4.41 of [WhiteheadRussell]
     p. 119.  (The proof was shortened by Andrew Salmon, 7-May-2011.)  (The
     proof was shortened by Wolf Lammen, 28-Nov-2013.) $)
  ordi $p |- ( ( ph \/ ( ps /\ ch ) ) <-> ( ( ph \/ ps ) /\ ( ph \/ ch ) ) ) $=
    ( wn wa wi wo jcab df-or anbi12i 3bitr4i ) ADZBCEZFLBFZLCFZEAMGABGZACGZELBC
    HAMIPNQOABIACIJK $.
    $( [28-Nov-2013] $) $( [5-Aug-1993] $)

  $( Distributive law for disjunction. $)
  ordir $p |- ( ( ( ph /\ ps ) \/ ch ) <->
              ( ( ph \/ ch ) /\ ( ps \/ ch ) ) ) $=
    ( wa wo ordi orcom anbi12i 3bitr4i ) CABDZECAEZCBEZDJCEACEZBCEZDCABFJCGMKNL
    ACGBCGHI $.
    $( [12-Aug-1994] $)

  $( Theorem *4.76 of [WhiteheadRussell] p. 121. $)
  pm4.76 $p |- ( ( ( ph -> ps ) /\ ( ph -> ch ) ) <->
                ( ph -> ( ps /\ ch ) ) ) $=
    ( wa wi jcab bicomi ) ABCDEABEACEDABCFG $.
    $( [3-Jan-2005] $)

  $( Distributive law for conjunction.  Theorem *4.4 of [WhiteheadRussell]
     p. 118.  (The proof was shortened by Wolf Lammen, 5-Jan-2013.) $)
  andi $p |- ( ( ph /\ ( ps \/ ch ) ) <-> ( ( ph /\ ps ) \/ ( ph /\ ch ) ) ) $=
    ( wo wa orc olc jaodan anim2i jaoi impbii ) ABCDZEZABEZACEZDZABPCNOFONGHNMO
    BLABCFICLACBGIJK $.
    $( [5-Jan-2013] $) $( [5-Aug-1993] $)

  $( Distributive law for conjunction. $)
  andir $p |- ( ( ( ph \/ ps ) /\ ch ) <->
              ( ( ph /\ ch ) \/ ( ps /\ ch ) ) ) $=
    ( wo wa andi ancom orbi12i 3bitr4i ) CABDZECAEZCBEZDJCEACEZBCEZDCABFJCGMKNL
    ACGBCGHI $.
    $( [12-Aug-1994] $)

  $( Double distributive law for disjunction. $)
  orddi $p |- ( ( ( ph /\ ps ) \/ ( ch /\ th ) ) <->
              ( ( ( ph \/ ch ) /\ ( ph \/ th ) ) /\
              ( ( ps \/ ch ) /\ ( ps \/ th ) ) ) ) $=
    ( wa wo ordir ordi anbi12i bitri ) ABECDEZFAKFZBKFZEACFADFEZBCFBDFEZEABKGLN
    MOACDHBCDHIJ $.
    $( [12-Aug-1994] $)

  $( Double distributive law for conjunction. $)
  anddi $p |- ( ( ( ph \/ ps ) /\ ( ch \/ th ) ) <->
              ( ( ( ph /\ ch ) \/ ( ph /\ th ) ) \/
              ( ( ps /\ ch ) \/ ( ps /\ th ) ) ) ) $=
    ( wo wa andir andi orbi12i bitri ) ABECDEZFAKFZBKFZEACFADFEZBCFBDFEZEABKGLN
    MOACDHBCDHIJ $.
    $( [12-Aug-1994] $)

  $( Prove formula-building rules for the biconditional connective. $)

  $( Theorem *4.39 of [WhiteheadRussell] p. 118. $)
  pm4.39 $p |- ( ( ( ph <-> ch ) /\ ( ps <-> th ) ) ->
                ( ( ph \/ ps ) <-> ( ch \/ th ) ) ) $=
    ( wb wa simpl simpr orbi12d ) ACEZBDEZFACBDJKGJKHI $.
    $( [3-Jan-2005] $)

  $( Theorem *4.38 of [WhiteheadRussell] p. 118. $)
  pm4.38 $p |- ( ( ( ph <-> ch ) /\ ( ps <-> th ) ) ->
                ( ( ph /\ ps ) <-> ( ch /\ th ) ) ) $=
    ( wb wa simpl simpr anbi12d ) ACEZBDEZFACBDJKGJKHI $.
    $( [3-Jan-2005] $)

  ${
    bi2an9.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bi2an9.2 $e |- ( th -> ( ta <-> et ) ) $.
    $( Deduction joining two equivalences to form equivalence of
       conjunctions. $)
    bi2anan9 $p |- ( ( ph /\ th ) -> ( ( ps /\ ta ) <-> ( ch /\ et ) ) ) $=
      ( wa anbi1d anbi2d sylan9bb ) ABEICEIDCFIABCEGJDEFCHKL $.
      $( [31-Jul-1995] $)

    $( Deduction joining two equivalences to form equivalence of
       conjunctions. $)
    bi2anan9r $p |- ( ( th /\ ph ) -> ( ( ps /\ ta ) <-> ( ch /\ et ) ) ) $=
      ( wa wb bi2anan9 ancoms ) ADBEICFIJABCDEFGHKL $.
      $( [19-Feb-1996] $)

    $( Deduction joining two biconditionals with different antecedents. $)
    bi2bian9 $p |- ( ( ph /\ th ) -> ( ( ps <-> ta ) <-> ( ch <-> et ) ) ) $=
      ( wa wb adantr adantl bibi12d ) ADIBCEFABCJDGKDEFJAHLM $.
      $( [12-May-2004] $)
  $}

  $( Implication in terms of biconditional and disjunction.  Theorem *4.72 of
     [WhiteheadRussell] p. 121.  (The proof was shortened by Wolf Lammen,
     30-Jan-2013.) $)
  pm4.72 $p |- ( ( ph -> ps ) <-> ( ps <-> ( ph \/ ps ) ) ) $=
    ( wi wo wb olc pm2.621 impbid2 orc bi2 syl5 impbii ) ABCZBABDZEZMBNBAFABGHA
    NOBABIBNJKL $.
    $( [30-Jan-2013] $) $( [30-Aug-1993] $)

  $( Simplify an implication between implications.  (Contributed by Paul
     Chapman, 17-Nov-2012.)  (The proof was shortened by Wolf Lammen,
     3-Apr-2013.) $)
  imimorb $p |- ( ( ( ps -> ch ) -> ( ph -> ch ) ) <->
                  ( ph -> ( ps \/ ch ) ) ) $=
    ( wi wo bi2.04 dfor2 imbi2i bitr4i ) BCDZACDDAJCDZDABCEZDJACFLKABCGHI $.
    $( [3-Apr-2013] $) $( [17-Nov-2012] $)

  $( Theorem *5.33 of [WhiteheadRussell] p. 125. $)
  pm5.33 $p |- ( ( ph /\ ( ps -> ch ) ) <->
                ( ph /\ ( ( ph /\ ps ) -> ch ) ) ) $=
    ( wi wa ibar imbi1d pm5.32i ) ABCDABEZCDABICABFGH $.
    $( [3-Jan-2005] $)

  $( Theorem *5.36 of [WhiteheadRussell] p. 125. $)
  pm5.36 $p |- ( ( ph /\ ( ph <-> ps ) ) <-> ( ps /\ ( ph <-> ps ) ) ) $=
    ( wb id pm5.32ri ) ABCZABFDE $.
    $( [3-Jan-2005] $)

  ${
    bianabs.1 $e |- ( ph -> ( ps <-> ( ph /\ ch ) ) ) $.
    $( Absorb a hypothesis into the second member of a biconditional.
       (Contributed by FL, 15-Feb-2007.) $)
    bianabs $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wa ibar bitr4d ) ABACECDACFG $.
      $( [22-May-2008] $) $( [15-Feb-2007] $)
  $}

  $( Absorption of disjunction into equivalence.  (The proof was shortened by
     Wolf Lammen, 3-Nov-2013.) $)
  oibabs $p |- ( ( ( ph \/ ps ) -> ( ph <-> ps ) ) <-> ( ph <-> ps ) ) $=
    ( wo wb wi wn wa ioran pm5.21 sylbi id ja ax-1 impbii ) ABCZABDZEPOPPOFAFBF
    GPABHABIJPKLPOMN $.
    $( [3-Nov-2013] $)  $( [6-Aug-1995] $)

  $( Law of noncontradiction.  Theorem *3.24 of [WhiteheadRussell] p. 111 (who
     call it the "law of contradiction").  (The proof was shortened by Wolf
     Lammen, 24-Nov-2012.) $)
  pm3.24 $p |- -. ( ph /\ -. ph ) $=
    ( wi wn wa id iman mpbi ) AABAACDCAEAAFG $.
    $( [24-Nov-2012] $) $( [16-Sep-1993] $)

  $( Theorem *2.26 of [WhiteheadRussell] p. 104.  (The proof was shortened by
     Wolf Lammen, 23-Nov-2012.) $)
  pm2.26 $p |- ( -. ph \/ ( ( ph -> ps ) -> ps ) ) $=
    ( wi pm2.27 imori ) AABCBCABDE $.
    $( [23-Nov-2012] $) $( [3-Jan-2005] $)

  $( Theorem *5.11 of [WhiteheadRussell] p. 123. $)
  pm5.11 $p |- ( ( ph -> ps ) \/ ( -. ph -> ps ) ) $=
    ( wi wn pm2.5 orri ) ABCADBCABEF $.
    $( [3-Jan-2005] $)

  $( Theorem *5.12 of [WhiteheadRussell] p. 123. $)
  pm5.12 $p |- ( ( ph -> ps ) \/ ( ph -> -. ps ) ) $=
    ( wi wn pm2.51 orri ) ABCABDCABEF $.
    $( [3-Jan-2005] $)

  $( Theorem *5.14 of [WhiteheadRussell] p. 123. $)
  pm5.14 $p |- ( ( ph -> ps ) \/ ( ps -> ch ) ) $=
    ( wi wn ax-1 con3i pm2.21d orri ) ABDZBCDJEBCBJBAFGHI $.
    $( [3-Jan-2005] $)

  $( Theorem *5.13 of [WhiteheadRussell] p. 123.  (The proof was shortened by
     Wolf Lammen, 14-Nov-2012.) $)
  pm5.13 $p |- ( ( ph -> ps ) \/ ( ps -> ph ) ) $=
    ( pm5.14 ) ABAC $.
    $( [14-Nov-2012] $) $( [3-Jan-2005] $)

  $( Theorem *5.17 of [WhiteheadRussell] p. 124.  (The proof was shortened by
     Wolf Lammen, 3-Jan-2013.) $)
  pm5.17 $p |- ( ( ( ph \/ ps ) /\ -. ( ph /\ ps ) ) <-> ( ph <-> -. ps ) ) $=
    ( wn wb wi wa wo bicom dfbi2 orcom df-or bitr2i imnan anbi12i 3bitrri ) ABC
    ZDPADPAEZAPEZFABGZABFCZFAPHPAIQSRTSBAGQABJBAKLABMNO $.
    $( [3-Jan-2013] $) $( [3-Jan-2005] $)

  $( Theorem *5.15 of [WhiteheadRussell] p. 124.  (The proof was shortened by
     Wolf Lammen, 15-Oct-2013.) $)
  pm5.15 $p |- ( ( ph <-> ps ) \/ ( ph <-> -. ps ) ) $=
    ( wb wn xor3 biimpi orri ) ABCZABDCZHDIABEFG $.
    $( [15-Oct-2013] $) $( [3-Jan-2005] $)

  $( Theorem *5.16 of [WhiteheadRussell] p. 124.  (The proof was shortened by
     Wolf Lammen, 17-Oct-2013.) $)
  pm5.16 $p |- -. ( ( ph <-> ps ) /\ ( ph <-> -. ps ) ) $=
    ( wb wn wi wa pm5.18 biimpi imnan mpbi ) ABCZABDCZDZEKLFDKMABGHKLIJ $.
    $( [17-Oct-2013] $) $( [3-Jan-2005] $)

  $( Two ways to express "exclusive or."  Theorem *5.22 of [WhiteheadRussell]
     p. 124.  (The proof was shortened by Wolf Lammen, 22-Jan-2013.) $)
  xor $p |- ( -. ( ph <-> ps ) <->
                ( ( ph /\ -. ps ) \/ ( ps /\ -. ph ) ) ) $=
    ( wn wa wo wb wi iman anbi12i dfbi2 ioran 3bitr4ri con1bii ) ABCDZBACDZEZAB
    FZABGZBAGZDNCZOCZDQPCRTSUAABHBAHIABJNOKLM $.
    $( [22-Jan-2013] $) $( [3-Jan-2005] $)

  $( Two ways to express "exclusive or."  (The proof was shortened by Wolf
     Lammen, 24-Jan-2013.) $)
  xor2 $p |- ( -. ( ph <-> ps ) <-> ( ( ph \/ ps ) /\ -. ( ph /\ ps ) ) ) $=
    ( wb wn wo wa xor3 pm5.17 bitr4i ) ABCDABDCABEABFDFABGABHI $.
    $( [24-Jan-2013] $) $( [3-Jan-2005] $)

  $( An alternate definition of the biconditional.  Theorem *5.23 of
     [WhiteheadRussell] p. 124.  (The proof was shortened by Wolf Lammen,
     3-Nov-2013.) $)
  dfbi3 $p |- ( ( ph <-> ps ) <-> ( ( ph /\ ps ) \/ ( -. ph /\ -. ps ) ) ) $=
    ( wn wb wa wo xor pm5.18 notnot anbi2i ancom orbi12i 3bitr4i ) ABCZDCANCZEZ
    NACZEZFABDABEZQNEZFANGABHSPTRBOABIJQNKLM $.
    $( [3-Nov-2013] $) $( [27-Jun-2002] $)

  $( Theorem *5.24 of [WhiteheadRussell] p. 124. $)
  pm5.24 $p |- ( -. ( ( ph /\ ps ) \/ ( -. ph /\ -. ps ) ) <->
                ( ( ph /\ -. ps ) \/ ( ps /\ -. ph ) ) ) $=
    ( wb wn wa wo xor dfbi3 xchnxbi ) ABCABDZEBADZEFABEKJEFABGABHI $.
    $( [3-Jan-2005] $)

  $( Conjunction distributes over exclusive-or, using ` -. ( ph <-> ps ) ` to
     express exclusive-or.  This is one way to interpret the distributive law
     of multiplication over addition in modulo 2 arithmetic. $)
  xordi $p |- ( ( ph /\ -. ( ps <-> ch ) ) <->
                -. ( ( ph /\ ps ) <-> ( ph /\ ch ) ) ) $=
    ( wb wn wa wi annim pm5.32 xchbinx ) ABCDZEFAKGABFACFDAKHABCIJ $.
    $( [3-Oct-2008] $)

  $( A wff is disjoined with truth is true. $)
  biort $p |- ( ph -> ( ph <-> ( ph \/ ps ) ) ) $=
    ( wo orc ax-1 impbid2 ) AAABCZABDAGEF $.
    $( [23-May-1999] $)

  $( Theorem *5.55 of [WhiteheadRussell] p. 125.  (The proof was shortened by
     Wolf Lammen, 20-Jan-2013.) $)
  pm5.55 $p |- ( ( ( ph \/ ps ) <-> ph ) \/ ( ( ph \/ ps ) <-> ps ) ) $=
    ( wo wb biort bicomd wn biorf nsyl4 con1i orri ) ABCZADZLBDZNMAMNAALABEFAGB
    LABHFIJK $.
    $( [20-Jan-2013] $) $( [3-Jan-2005] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Miscellaneous theorems of propositional calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    pm5.21nd.1 $e |- ( ( ph /\ ps ) -> th ) $.
    pm5.21nd.2 $e |- ( ( ph /\ ch ) -> th ) $.
    pm5.21nd.3 $e |- ( th -> ( ps <-> ch ) ) $.
    $( Eliminate an antecedent implied by each side of a biconditional.  (The
       proof was shortened by Wolf Lammen, 4-Nov-2013.) $)
    pm5.21nd $p |- ( ph -> ( ps <-> ch ) ) $=
      ( ex wb wi a1i pm5.21ndd ) ADBCABDEHACDFHDBCIJAGKL $.
      $( [4-Nov-2013] $) $( [20-Nov-2005] $)
  $}

  $( Theorem *5.35 of [WhiteheadRussell] p. 125. $)
  pm5.35 $p |- ( ( ( ph -> ps ) /\ ( ph -> ch ) ) ->
                ( ph -> ( ps <-> ch ) ) ) $=
    ( wi wa pm5.1 pm5.74rd ) ABDZACDZEABCHIFG $.
    $( [3-Jan-2005] $)

  $( Theorem *5.54 of [WhiteheadRussell] p. 125.  (The proof was shortened by
     Wolf Lammen, 7-Nov-2013.) $)
  pm5.54 $p |- ( ( ( ph /\ ps ) <-> ph ) \/ ( ( ph /\ ps ) <-> ps ) ) $=
    ( wa wb iba bicomd adantl pm5.21ni orri ) ABCZADZJBDJKBBKABAJBAEFZGLHI $.
    $( [7-Nov-2013] $) $( [3-Jan-2005] $)

  ${
    baib.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Move conjunction outside of biconditional. $)
    baib $p |- ( ps -> ( ph <-> ch ) ) $=
      ( wa ibar syl6rbbr ) BCBCEABCFDG $.
      $( [13-May-1999] $)
  $}

  ${
    baibr.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Move conjunction outside of biconditional. $)
    baibr $p |- ( ps -> ( ch <-> ph ) ) $=
      ( baib bicomd ) BACABCDEF $.
      $( [11-Jul-1994] $)
  $}

  $( Theorem *5.44 of [WhiteheadRussell] p. 125. $)
  pm5.44 $p |- ( ( ph -> ps ) -> ( ( ph -> ch ) <->
                ( ph -> ( ps /\ ch ) ) ) ) $=
    ( wa wi jcab baibr ) ABCDEABEACEABCFG $.
    $( [3-Jan-2005] $)

  $( Conjunction in antecedent versus disjunction in consequent.  Theorem *5.6
     of [WhiteheadRussell] p. 125. $)
  pm5.6 $p |- ( ( ( ph /\ -. ps ) -> ch ) <-> ( ph -> ( ps \/ ch ) ) ) $=
    ( wn wa wi wo impexp df-or imbi2i bitr4i ) ABDZECFALCFZFABCGZFALCHNMABCIJK
    $.
    $( [22-Mar-2005] $) $( [8-Jun-1994] $)

  ${
    orcanai.1 $e |- ( ph -> ( ps \/ ch ) ) $.
    $( Change disjunction in consequent to conjunction in antecedent. $)
    orcanai $p |- ( ( ph /\ -. ps ) -> ch ) $=
      ( wn ord imp ) ABECABCDFG $.
      $( [8-Jun-1994] $)
  $}


  ${
    intnan.1 $e |- -. ph $.
    $( Introduction of conjunct inside of a contradiction. $)
    intnan $p |- -. ( ps /\ ph ) $=
      ( wa simpr mto ) BADACBAEF $.
      $( [16-Sep-1993] $)

    $( Introduction of conjunct inside of a contradiction. $)
    intnanr $p |- -. ( ph /\ ps ) $=
      ( wa simpl mto ) ABDACABEF $.
      $( [3-Apr-1995] $)
  $}

  ${
    intnand.1 $e |- ( ph -> -. ps ) $.
    $( Introduction of conjunct inside of a contradiction. $)
    intnand $p |- ( ph -> -. ( ch /\ ps ) ) $=
      ( wa simpr nsyl ) ABCBEDCBFG $.
      $( [10-Jul-2005] $)

    $( Introduction of conjunct inside of a contradiction. $)
    intnanrd $p |- ( ph -> -. ( ps /\ ch ) ) $=
      ( wa simpl nsyl ) ABBCEDBCFG $.
      $( [10-Jul-2005] $)
  $}

  ${
    mpbiran.1 $e |- ps $.
    mpbiran.2 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Detach truth from conjunction in biconditional. $)
    mpbiran $p |- ( ph <-> ch ) $=
      ( wa biantrur bitr4i ) ABCFCEBCDGH $.
      $( [9-Jan-2015] $) $( [27-Feb-1996] $)
  $}

  ${
    mpbiran2.1 $e |- ch $.
    mpbiran2.2 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Detach truth from conjunction in biconditional. $)
    mpbiran2 $p |- ( ph <-> ps ) $=
      ( wa biantru bitr4i ) ABCFBECBDGH $.
      $( [9-Jan-2015] $) $( [22-Feb-1996] $)
  $}

  ${
    mpbir2an.1 $e |- ps $.
    mpbir2an.2 $e |- ch $.
    mpbiran2an.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Detach a conjunction of truths in a biconditional. $)
    mpbir2an $p |- ph $=
      ( mpbiran mpbir ) ACEABCDFGH $.
      $( [9-Jan-2015] $) $( [10-May-2005] $)
  $}

  ${
    mpbi2and.1 $e |- ( ph -> ps ) $.
    mpbi2and.2 $e |- ( ph -> ch ) $.
    mpbi2and.3 $e |- ( ph -> ( ( ps /\ ch ) <-> th ) ) $.
    $( Detach a conjunction of truths in a biconditional.  (The proof was
       shortened by Wolf Lammen, 24-Nov-2012.) $)
    mpbi2and $p |- ( ph -> th ) $=
      ( wa jca mpbid ) ABCHDABCEFIGJ $.
      $( [9-Jan-2015] $) $( [6-Nov-2011] $)
  $}

  ${
    mpbir2and.1 $e |- ( ph -> ch ) $.
    mpbir2and.2 $e |- ( ph -> th ) $.
    mpbir2and.3 $e |- ( ph -> ( ps <-> ( ch /\ th ) ) ) $.
    $( Detach a conjunction of truths in a biconditional.  (The proof was
       shortened by Wolf Lammen, 24-Nov-2012.) $)
    mpbir2and $p |- ( ph -> ps ) $=
      ( wa jca mpbird ) ABCDHACDEFIGJ $.
      $( [9-Jan-2015] $)  $( [6-Nov-2011] $)
  $}

  $( Theorem *5.62 of [WhiteheadRussell] p. 125.  (Contributed by Roy F.
     Longton, 21-Jun-2005.) $)
  pm5.62 $p |- ( ( ( ph /\ ps ) \/ -. ps ) <-> ( ph \/ -. ps ) ) $=
    ( wa wn wo exmid ordir mpbiran2 ) ABCBDZEAIEBIEBFABIGH $.
    $( [21-Jun-2005] $)

  $( Theorem *5.63 of [WhiteheadRussell] p. 125.  (The proof was shortened by
     Wolf Lammen, 25-Dec-2012.) $)
  pm5.63 $p |- ( ( ph \/ ps ) <-> ( ph \/ ( -. ph /\ ps ) ) ) $=
    ( wn wa wo exmid ordi mpbiran bicomi ) AACZBDEZABEZKAJELAFAJBGHI $.
    $( [25-Dec-2012] $) $( [3-Jan-2005] $)

  ${
    bianfi.1 $e |- -. ph $.
    $( A wff conjoined with falsehood is false.  (The proof was shortened by
       Wolf Lammen, 26-Nov-2012.) $)
    bianfi $p |- ( ph <-> ( ps /\ ph ) ) $=
      ( wa intnan 2false ) ABADCABCEF $.
      $( [26-Nov-2012] $) $( [5-Aug-1993] $)
  $}

  ${
    bianfd.1 $e |- ( ph -> -. ps ) $.
    $( A wff conjoined with falsehood is false.  (The proof was shortened by
       Wolf Lammen, 5-Nov-2013.) $)
    bianfd $p |- ( ph -> ( ps <-> ( ps /\ ch ) ) ) $=
      ( wa intnanrd 2falsed ) ABBCEDABCDFG $.
      $( [5-Nov-2013] $) $( [27-Mar-1995] $)
  $}

  $( Theorem *4.43 of [WhiteheadRussell] p. 119.  (The proof was shortened by
     Wolf Lammen, 26-Nov-2012.) $)
  pm4.43 $p |- ( ph <-> ( ( ph \/ ps ) /\ ( ph \/ -. ps ) ) ) $=
    ( wn wa wo pm3.24 biorfi ordi bitri ) AABBCZDZEABEAJEDKABFGABJHI $.
    $( [26-Nov-2012] $) $( [3-Jan-2005] $)

  $( Theorem *4.82 of [WhiteheadRussell] p. 122. $)
  pm4.82 $p |- ( ( ( ph -> ps ) /\ ( ph -> -. ps ) ) <-> -. ph ) $=
    ( wi wn wa pm2.65 imp pm2.21 jca impbii ) ABCZABDZCZEADZKMNABFGNKMABHALHIJ
    $.
    $( [3-Jan-2005] $)

  $( Theorem *4.83 of [WhiteheadRussell] p. 122. $)
  pm4.83 $p |- ( ( ( ph -> ps ) /\ ( -. ph -> ps ) ) <-> ps ) $=
    ( wn wo wi wa exmid a1bi jaob bitr2i ) BAACZDZBEABEKBEFLBAGHABKIJ $.
    $( [3-Jan-2005] $)

  $( Negation inferred from embedded conjunct.  (The proof was shortened by
     Wolf Lammen, 25-Nov-2012.) $)
  pclem6 $p |- ( ( ph <-> ( ps /\ -. ph ) ) -> -. ps ) $=
    ( wn wa wb ibar nbbn sylib con2i ) BABACZDZEZBJKELCBJFAKGHI $.
    $( [25-Nov-2012] $) $( [20-Aug-1993] $)

  $( A transitive law of equivalence.  Compare Theorem *4.22 of
     [WhiteheadRussell] p. 117. $)
  biantr $p |- ( ( ( ph <-> ps ) /\ ( ch <-> ps ) ) -> ( ph <-> ch ) ) $=
    ( wb id bibi2d biimparc ) CBDZACDABDHCBAHEFG $.
    $( [18-Aug-1993] $)

  $( Disjunction distributes over the biconditional.  An axiom of system DS in
     Vladimir Lifschitz, "On calculational proofs" (1998),
     ~ http://citeseerx.ist.psu.edu/viewdoc/summary?doi=10.1.1.25.3384 .  (The
     proof was shortened by Wolf Lammen, 4-Feb-2013.) $)
  orbidi $p |- ( ( ph \/ ( ps <-> ch ) ) <->
                ( ( ph \/ ps ) <-> ( ph \/ ch ) ) ) $=
    ( wn wb wi wo pm5.74 df-or bibi12i 3bitr4i ) ADZBCEZFLBFZLCFZEAMGABGZACGZEL
    BCHAMIPNQOABIACIJK $.
    $( [4-Feb-2013] $) $( [8-Jan-2005] $)

  $( Lukasiewicz's shortest axiom for equivalential calculus.  Storrs McCall,
     ed., _Polish Logic 1920-1939_ (Oxford, 1967), p. 96. $)
  biluk $p |- ( ( ph <-> ps ) <-> ( ( ch <-> ps ) <-> ( ph <-> ch ) ) ) $=
    ( wb bicom bibi1i biass bitri mpbi bitr4i ) ABDZCBACDZDZDZCBDLDKCDZMDKNDOBA
    DZCDMKPCABEFBACGHKCMGICBLGJ $.
    $( [10-Jan-2005] $)

  $( Disjunction distributes over the biconditional.  Theorem *5.7 of
     [WhiteheadRussell] p. 125.  This theorem is similar to ~ orbidi .
     (Contributed by Roy F. Longton, 21-Jun-2005.) $)
  pm5.7 $p |- ( ( ( ph \/ ch ) <-> ( ps \/ ch ) ) <->
               ( ch \/ ( ph <-> ps ) ) ) $=
    ( wb wo orbidi orcom bibi12i bitr2i ) CABDECAEZCBEZDACEZBCEZDCABFJLKMCAGCBG
    HI $.
    $( [21-Jun-2005] $)

  $( Dijkstra-Scholten's Golden Rule for calculational proofs. $)
  bigolden $p |- ( ( ( ph /\ ps ) <-> ph ) <-> ( ps <-> ( ph \/ ps ) ) ) $=
    ( wi wa wb wo pm4.71 pm4.72 bicom 3bitr3ri ) ABCAABDZEBABFEKAEABGABHAKIJ $.
    $( [10-Jan-2005] $)

  $( Theorem *5.71 of [WhiteheadRussell] p. 125.  (Contributed by Roy F.
     Longton, 23-Jun-2005.) $)
  pm5.71 $p |- ( ( ps -> -. ch ) -> ( ( ( ph \/ ps ) /\ ch ) <->
                ( ph /\ ch ) ) ) $=
    ( wn wo wa wb orel2 orc impbid1 anbi1d pm2.21 pm5.32rd ja ) BCDZABEZCFACFGB
    DZPACQPABAHABIJKOCPACPAGLMN $.
    $( [23-Jun-2005] $)

  $( Theorem *5.75 of [WhiteheadRussell] p. 126.  (The proof was shortened by
     Andrew Salmon, 7-May-2011.)  (The proof was shortened by Wolf Lammen,
     23-Dec-2012.) $)
  pm5.75 $p |- ( ( ( ch -> -. ps ) /\ ( ph <-> ( ps \/ ch ) ) ) ->
                ( ( ph /\ -. ps ) <-> ch ) ) $=
    ( wo wb wn wa wi anbi1 anbi1i pm5.61 syl6bb pm4.71 biimpi bicomd sylan9bbr
    orcom bitri ) ABCDZEZABFZGZCUAGZCUAHZCTUBSUAGZUCASUAIUECBDZUAGUCSUFUABCQJCB
    KRLUDCUCUDCUCECUAMNOP $.
    $( [23-Dec-2012] $) $( [3-Jan-2005] $)

  $( Removal of conjunct from one side of an equivalence. $)
  bimsc1 $p |- ( ( ( ph -> ps ) /\ ( ch <-> ( ps /\ ph ) ) )
               -> ( ch <-> ph ) ) $=
    ( wi wa wb simpr ancr impbid2 bibi2d biimpa ) ABDZCBAEZFCAFLMACLMABAGABHIJK
    $.
    $( [5-Aug-1993] $)

  $( The disjunction of the four possible combinations of two wffs and their
     negations is always true.  (Contributed by David Abernethy,
     28-Jan-2014.) $)
  4exmid $p |- ( ( ( ph /\ ps ) \/ ( -. ph /\ -. ps ) )
              \/ ( ( ph /\ -. ps ) \/ ( ps /\ -. ph ) ) ) $=
    ( wb wn wo wa exmid dfbi3 xor orbi12i mpbi ) ABCZLDZEABFADZBDZFEZAOFBNFEZEL
    GLPMQABHABIJK $.
    $( [1-Feb-2014] $)

  ${
    ecase2d.1 $e |- ( ph -> ps ) $.
    ecase2d.2 $e |- ( ph -> -. ( ps /\ ch ) ) $.
    ecase2d.3 $e |- ( ph -> -. ( ps /\ th ) ) $.
    ecase2d.4 $e |- ( ph -> ( ta \/ ( ch \/ th ) ) ) $.
    $( Deduction for elimination by cases.  (The proof was shortened by Wolf
       Lammen, 22-Dec-2012.) $)
    ecase2d $p |- ( ph -> ta ) $=
      ( wo wn wa wi imnan sylibr mpd ioran sylanbrc ord mt3d ) AECDJZACKZDKZUAK
      ABUBFABCLKBUBMGBCNOPABUCFABDLKBUCMHBDNOPCDQRAEUAIST $.
      $( [22-Dec-2012] $) $( [21-Apr-1994] $)
  $}

  ${
    ecase3.1 $e |- ( ph -> ch ) $.
    ecase3.2 $e |- ( ps -> ch ) $.
    ecase3.3 $e |- ( -. ( ph \/ ps ) -> ch ) $.
    $( Inference for elimination by cases.  (The proof was shortened by Wolf
       Lammen, 26-Nov-2012.) $)
    ecase3 $p |- ch $=
      ( wo jaoi pm2.61i ) ABGCACBDEHFI $.
      $( [26-Nov-2012] $) $( [23-Mar-1995] $)
  $}

  ${
    ecase.1 $e |- ( -. ph -> ch ) $.
    ecase.2 $e |- ( -. ps -> ch ) $.
    ecase.3 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Inference for elimination by cases. $)
    ecase $p |- ch $=
      ( ex pm2.61nii ) ABCABCFGDEH $.
      $( [13-Jul-2005] $)
  $}

  ${
    ecase3d.1 $e |- ( ph -> ( ps -> th ) ) $.
    ecase3d.2 $e |- ( ph -> ( ch -> th ) ) $.
    ecase3d.3 $e |- ( ph -> ( -. ( ps \/ ch ) -> th ) ) $.
    $( Deduction for elimination by cases.  (The proof was shortened by Andrew
       Salmon, 7-May-2011.) $)
    ecase3d $p |- ( ph -> th ) $=
      ( wo jaod pm2.61d ) ABCHDABDCEFIGJ $.
      $( [12-May-2011] $) $( [2-May-1996] $)
  $}

  ${
    ecased.1 $e |- ( ph -> ( -. ps -> th ) ) $.
    ecased.2 $e |- ( ph -> ( -. ch -> th ) ) $.
    ecased.3 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( Deduction for elimination by cases. $)
    ecased $p |- ( ph -> th ) $=
      ( wn wo wa pm3.11 syl5 ecase3d ) ABHZCHZDEFNOIHBCJADBCKGLM $.
      $( [8-Oct-2012] $)
  $}

  ${
    ecase3ad.1 $e |- ( ph -> ( ps -> th ) ) $.
    ecase3ad.2 $e |- ( ph -> ( ch -> th ) ) $.
    ecase3ad.3 $e |- ( ph -> ( ( -. ps /\ -. ch ) -> th ) ) $.
    $( Deduction for elimination by cases. $)
    ecase3ad $p |- ( ph -> th ) $=
      ( wn notnot2 syl5 ecased ) ABHZCHZDLHBADBIEJMHCADCIFJGK $.
      $( [24-May-2013] $)
  $}

  ${
    ccase.1 $e |- ( ( ph /\ ps ) -> ta ) $.
    ccase.2 $e |- ( ( ch /\ ps ) -> ta ) $.
    ccase.3 $e |- ( ( ph /\ th ) -> ta ) $.
    ccase.4 $e |- ( ( ch /\ th ) -> ta ) $.
    $( Inference for combining cases.  (The proof was shortened by Wolf Lammen,
       6-Jan-2013.) $)
    ccase $p |- ( ( ( ph \/ ch ) /\ ( ps \/ th ) ) -> ta ) $=
      ( wo jaoian jaodan ) ACJBEDABECFGKADECHIKL $.
      $( [6-Jan-2013] $) $( [29-Jul-1999] $)
  $}

  ${
    ccased.1 $e |- ( ph -> ( ( ps /\ ch ) -> et ) ) $.
    ccased.2 $e |- ( ph -> ( ( th /\ ch ) -> et ) ) $.
    ccased.3 $e |- ( ph -> ( ( ps /\ ta ) -> et ) ) $.
    ccased.4 $e |- ( ph -> ( ( th /\ ta ) -> et ) ) $.
    $( Deduction for combining cases. $)
    ccased $p |- ( ph -> ( ( ( ps \/ th ) /\ ( ch \/ ta ) ) -> et ) ) $=
      ( wo wa wi com12 ccase ) BDKCEKLAFBCDEAFMABCLFGNADCLFHNABELFINADELFJNON
      $.
      $( [9-May-2004] $)
  $}

  ${
    ccase2.1 $e |- ( ( ph /\ ps ) -> ta ) $.
    ccase2.2 $e |- ( ch -> ta ) $.
    ccase2.3 $e |- ( th -> ta ) $.
    $( Inference for combining cases. $)
    ccase2 $p |- ( ( ( ph \/ ch ) /\ ( ps \/ th ) ) -> ta ) $=
      ( adantr adantl ccase ) ABCDEFCEBGIDEAHJDECHJK $.
      $( [29-Jul-1999] $)
  $}

  ${
    4cases.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    4cases.2 $e |- ( ( ph /\ -. ps ) -> ch ) $.
    4cases.3 $e |- ( ( -. ph /\ ps ) -> ch ) $.
    4cases.4 $e |- ( ( -. ph /\ -. ps ) -> ch ) $.
    $( Inference eliminating two antecedents from the four possible cases that
       result from their true/false combinations. $)
    4cases $p |- ch $=
      ( pm2.61ian wn pm2.61i ) BCABCDFHABICEGHJ $.
      $( [25-Oct-2003] $)
  $}

  ${
    4casesdan.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    4casesdan.2 $e |- ( ( ph /\ ( ps /\ -. ch ) ) -> th ) $.
    4casesdan.3 $e |- ( ( ph /\ ( -. ps /\ ch ) ) -> th ) $.
    4casesdan.4 $e |- ( ( ph /\ ( -. ps /\ -. ch ) ) -> th ) $.
    $( Deduction eliminating two antecedents from the four possible cases that
       result from their true/false combinations. $)
    4casesdan $p |- ( ph -> th ) $=
      ( wi wa expcom wn 4cases ) BCADIABCJDEKABCLZJDFKABLZCJDGKAONJDHKM $.
      $( [19-Mar-2013] $)
  $}

  ${
    niabn.1 $e |- ph $.
    $( Miscellaneous inference relating falsehoods. $)
    niabn $p |- ( -. ps -> ( ( ch /\ ps ) <-> -. ph ) ) $=
      ( wa wn simpr pm2.24i pm5.21ni ) CBEBAFCBGABDHI $.
      $( [31-Mar-1994] $)
  $}

  $( Lemma for an alternate version of weak deduction theorem.  (The proof was
     shortened by Andrew Salmon, 7-May-2011.)  (The proof was shortened by Wolf
     Lammen, 4-Dec-2012.) $)
  dedlem0a $p |- ( ph -> ( ps <-> ( ( ch -> ph ) -> ( ps /\ ph ) ) ) ) $=
    ( wa wi iba wb ax-1 biimt syl bitrd ) ABBADZCAEZLEZABFAMLNGACHMLIJK $.
    $( [4-Dec-2012] $) $( [2-Apr-1994] $)

  $( Lemma for an alternate version of weak deduction theorem. $)
  dedlem0b $p |- ( -. ph -> ( ps <-> ( ( ps -> ph ) -> ( ch /\ ph ) ) ) ) $=
    ( wn wi wa pm2.21 imim2d com23 simpr imim12i con1d com12 impbid ) ADZBBAEZC
    AFZEZOPBQOAQBAQGHIROBRBABDPQABAGCAJKLMN $.
    $( [2-Apr-1994] $)

  $( Lemma for weak deduction theorem.  (The proof was shortened by Andrew
     Salmon, 7-May-2011.) $)
  dedlema $p |- ( ph -> ( ps <-> ( ( ps /\ ph ) \/ ( ch /\ -. ph ) ) ) ) $=
    ( wa wn wo orc expcom wi simpl a1i pm2.24 adantld jaod impbid ) ABBADZCAEZD
    ZFZBASPRGHAPBRPBIABAJKAQBCABLMNO $.
    $( [12-May-2011] $) $( [26-Jun-2002] $)

  $( Lemma for weak deduction theorem.  (The proof was shortened by Andrew
     Salmon, 7-May-2011.) $)
  dedlemb $p |- ( -. ph -> ( ch <-> ( ( ps /\ ph ) \/ ( ch /\ -. ph ) ) ) ) $=
    ( wn wa wo olc expcom pm2.21 adantld wi simpl a1i jaod impbid ) ADZCBAEZCPE
    ZFZCPSRQGHPQCRPACBACIJRCKPCPLMNO $.
    $( [12-May-2011] $) $( [15-May-1999] $)

  ${
    elimh.1 $e |- ( ( ph <-> ( ( ph /\ ch ) \/ ( ps /\ -. ch ) ) )
                     -> ( ch <-> ta ) ) $.
    elimh.2 $e |- ( ( ps <-> ( ( ph /\ ch ) \/ ( ps /\ -. ch ) ) )
                     -> ( th <-> ta ) ) $.
    elimh.3 $e |- th $.
    $( Hypothesis builder for weak deduction theorem.  For more information,
       see the Deduction Theorem link on the Metamath Proof Explorer home
       page. $)
    elimh $p |- ta $=
      ( wa wn wo wb dedlema syl ibi dedlemb mpbii pm2.61i ) CECECAACIBCJZIKZLCE
      LCABMFNOSDEHSBTLDELCABPGNQR $.
      $( [26-Jun-2002] $)
  $}

  ${
    dedt.1 $e |- ( ( ph <-> ( ( ph /\ ch ) \/ ( ps /\ -. ch ) ) )
                     -> ( th <-> ta ) ) $.
    dedt.2 $e |- ta $.
    $( The weak deduction theorem.  For more information, see the Deduction
       Theorem link on the Metamath Proof Explorer home page. $)
    dedt $p |- ( ch -> th ) $=
      ( wa wn wo wb dedlema mpbiri syl ) CAACHBCIHJKZDCABLODEGFMN $.
      $( [26-Jun-2002] $)
  $}

  $( Contraposition.  Theorem *2.16 of [WhiteheadRussell] p. 103.  This version
     of ~ con3 demonstrates the use of the weak deduction theorem to derive it
     from ~ con3i . $)
  con3th $p |- ( ( ph -> ps ) -> ( -. ps -> -. ph ) ) $=
    ( wi wn wa wo wb id notbid imbi1d imbi2d elimh con3i dedt ) BAABCZBDZADZCBO
    EAODEFZDZQCBRGZPSQTBRTHZIJARBAOAACARCTBRAUAKARGZARAUBHKAHLMN $.
    $( [27-Jun-2002] $)

  $( The consensus theorem.  This theorem and its dual (with ` \/ ` and ` /\ `
     interchanged) are commonly used in computer logic design to eliminate
     redundant terms from Boolean expressions.  Specifically, we prove that the
     term ` ( ps /\ ch ) ` on the left-hand side is redundant.  (The proof was
     shortened by Andrew Salmon, 13-May-2011.)  (The proof was shortened by
     Wolf Lammen, 20-Jan-2013.) $)
  consensus $p |- ( ( ( ( ph /\ ps ) \/ ( -. ph /\ ch ) ) \/ ( ps /\ ch ) ) <->
                      ( ( ph /\ ps ) \/ ( -. ph /\ ch ) ) ) $=
    ( wa wn wo id orc adantrr olc adantrl pm2.61ian jaoi impbii ) ABDZAEZCDZFZB
    CDZFRRRSRGASRABRCOQHIPCRBQOJKLMRSHN $.
    $( [20-Jan-2013] $) $( [16-May-2003] $)

  $( Theorem *4.42 of [WhiteheadRussell] p. 119.  (Contributed by Roy F.
     Longton, 21-Jun-2005.) $)
  pm4.42 $p |- ( ph <-> ( ( ph /\ ps ) \/ ( ph /\ -. ps ) ) ) $=
    ( wa wn wo wb dedlema dedlemb pm2.61i ) BAABCABDCEFBAAGBAAHI $.
    $( [21-Jun-2005] $)

  ${
    ninba.1 $e |- ph $.
    $( Miscellaneous inference relating falsehoods. $)
    ninba $p |- ( -. ps -> ( -. ph <-> ( ch /\ ps ) ) ) $=
      ( wn wa niabn bicomd ) BECBFAEABCDGH $.
      $( [31-Mar-1994] $)
  $}

  ${
    prlem1.1 $e |- ( ph -> ( et <-> ch ) ) $.
    prlem1.2 $e |- ( ps -> -. th ) $.
    $( A specialized lemma for set theory (to derive the Axiom of Pairing).
       (The proof was shortened by Andrew Salmon, 13-May-2011.)  (The proof was
       shortened by Wolf Lammen, 5-Jan-2013.) $)
    prlem1 $p |- ( ph -> ( ps ->
                  ( ( ( ps /\ ch ) \/ ( th /\ ta ) ) -> et ) ) ) $=
      ( wa wo wi biimprd adantld pm2.21d adantrd jaao ex ) ABBCIZDEIZJFKARFBSAC
      FBAFCGLMBDFEBDFHNOPQ $.
      $( [5-Jan-2013] $) $( [18-Oct-1995] $)
  $}

  $( A specialized lemma for set theory (to derive the Axiom of Pairing).  (The
     proof was shortened by Andrew Salmon, 13-May-2011.)  (The proof was
     shortened by Wolf Lammen, 9-Dec-2012.) $)
  prlem2 $p |- ( ( ( ph /\ ps ) \/ ( ch /\ th ) ) <->
              ( ( ph \/ ch ) /\ ( ( ph /\ ps ) \/ ( ch /\ th ) ) ) ) $=
    ( wa wo simpl orim12i pm4.71ri ) ABEZCDEZFACFJAKCABGCDGHI $.
    $( [9-Dec-2012] $) $( [5-Aug-1993] $)

  ${
    oplem1.1 $e |- ( ph -> ( ps \/ ch ) ) $.
    oplem1.2 $e |- ( ph -> ( th \/ ta ) ) $.
    oplem1.3 $e |- ( ps <-> th ) $.
    oplem1.4 $e |- ( ch -> ( th <-> ta ) ) $.
    $( A specialized lemma for set theory (ordered pair theorem).  (The proof
       was shortened by Wolf Lammen, 8-Dec-2012.) $)
    oplem1 $p |- ( ph -> ps ) $=
      ( wn wa notbii ord syl5bir jcad biimpar syl6 pm2.18d sylibr ) ADBADADJZCE
      KDATCETBJACBDHLABCFMNADEGMOCDEIPQRHS $.
      $( [8-Dec-2012] $) $( [18-Oct-1995] $)
  $}

  $( Lemma used in construction of real numbers.  (The proof was shortened by
     Andrew Salmon, 26-Jun-2011.) $)
  rnlem $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) <->
  ( ( ( ph /\ ch ) /\ ( ps /\ th ) ) /\ ( ( ph /\ th ) /\ ( ps /\ ch ) ) ) ) $=
    ( wa an4 biimpi an42 biimpri jca adantl impbii ) ABECDEEZACEBDEEZADEBCEEZEM
    NOMNABCDFGOMADBCHZIJOMNOMPGKL $.
    $( [26-Jun-2011] $) $( [4-Sep-1995] $)

  $( A single axiom for Boolean algebra known as DN_1.  See
     ~ http://www-unix.mcs.anl.gov/~~mccune/papers/basax/v12.pdf .
     (Contributed by Jeffrey Hankins, 3-Jul-2009.)  (The proof was shortened by
     Andrew Salmon, 13-May-2011.)  (The proof was shortened by Wolf Lammen,
     6-Jan-2013.) $)
  dn1 $p |- ( -. ( -. ( -. ( ph \/ ps ) \/ ch ) \/
            -. ( ph \/ -. ( -. ch \/ -. ( ch \/ th ) ) ) ) <-> ch ) $=
    ( wo wn wa wi pm2.45 imnan mpbi biorfi orcom ordir 3bitri pm4.45 anor bitri
    orbi2i anbi2i 3bitrri ) CABEFZCEZACEZGZUCACFCDEZFEFZEZGUCFUHFEFCCUBAGZEUICE
    UEUICUBAFHUIFABIUBAJKLCUIMUBACNOUDUHUCCUGACCUFGUGCDPCUFQRSTUCUHQUA $.
    $( [6-Jan-2013] $) $( [22-Jun-2005] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Abbreviated conjunction and disjunction of three wff's
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend wff definition to include 3-way disjunction ('or'). $)
  w3o $a wff ( ph \/ ps \/ ch ) $.
  $( Extend wff definition to include 3-way conjunction ('and'). $)
  w3a $a wff ( ph /\ ps /\ ch ) $.

  $( These abbreviations help eliminate parentheses to aid readability. $)

  $( Define disjunction ('or') of 3 wff's.  Definition *2.33 of
     [WhiteheadRussell] p. 105.  This abbreviation reduces the number of
     parentheses and emphasizes that the order of bracketing is not important
     by virtue of the associative law ~ orass . $)
  df-3or $a |- ( ( ph \/ ps \/ ch ) <-> ( ( ph \/ ps ) \/ ch ) ) $.

  $( Define conjunction ('and') of 3 wff.s.  Definition *4.34 of
     [WhiteheadRussell] p. 118.  This abbreviation reduces the number of
     parentheses and emphasizes that the order of bracketing is not important
     by virtue of the associative law ~ anass . $)
  df-3an $a |- ( ( ph /\ ps /\ ch ) <-> ( ( ph /\ ps ) /\ ch ) ) $.

  $( Associative law for triple disjunction. $)
  3orass $p |- ( ( ph \/ ps \/ ch ) <-> ( ph \/ ( ps \/ ch ) ) ) $=
    ( w3o wo df-3or orass bitri ) ABCDABECEABCEEABCFABCGH $.
    $( [8-Apr-1994] $)

  $( Associative law for triple conjunction. $)
  3anass $p |- ( ( ph /\ ps /\ ch ) <-> ( ph /\ ( ps /\ ch ) ) ) $=
    ( w3a wa df-3an anass bitri ) ABCDABECEABCEEABCFABCGH $.
    $( [8-Apr-1994] $)

  $( Rotation law for triple conjunction. $)
  3anrot $p |- ( ( ph /\ ps /\ ch ) <-> ( ps /\ ch /\ ph ) ) $=
    ( wa w3a ancom 3anass df-3an 3bitr4i ) ABCDZDJADABCEBCAEAJFABCGBCAHI $.
    $( [8-Apr-1994] $)

  $( Rotation law for triple disjunction. $)
  3orrot $p |- ( ( ph \/ ps \/ ch ) <-> ( ps \/ ch \/ ph ) ) $=
    ( wo w3o orcom 3orass df-3or 3bitr4i ) ABCDZDJADABCEBCAEAJFABCGBCAHI $.
    $( [4-Apr-1995] $)

  $( Commutation law for triple conjunction. $)
  3ancoma $p |- ( ( ph /\ ps /\ ch ) <-> ( ps /\ ph /\ ch ) ) $=
    ( wa w3a ancom anbi1i df-3an 3bitr4i ) ABDZCDBADZCDABCEBACEJKCABFGABCHBACHI
    $.
    $( [21-Apr-1994] $)

  $( Commutation law for triple conjunction. $)
  3ancomb $p |- ( ( ph /\ ps /\ ch ) <-> ( ph /\ ch /\ ps ) ) $=
    ( w3a 3ancoma 3anrot bitri ) ABCDBACDACBDABCEBACFG $.
    $( [21-Apr-1994] $)

  $( Commutation law for triple disjunction.  (Contributed by Scott Fenton,
     20-Apr-2011.) $)
  3orcomb $p |- ( ( ph \/ ps \/ ch ) <-> ( ph \/ ch \/ ps ) ) $=
    ( wo w3o orcom orbi2i 3orass 3bitr4i ) ABCDZDACBDZDABCEACBEJKABCFGABCHACBHI
    $.
    $( [20-Feb-2012] $) $( [20-Apr-2011] $)

  $( Reversal law for triple conjunction. $)
  3anrev $p |- ( ( ph /\ ps /\ ch ) <-> ( ch /\ ps /\ ph ) ) $=
    ( w3a 3ancoma 3anrot bitr4i ) ABCDBACDCBADABCECBAFG $.
    $( [21-Apr-1994] $)

  $( Triple conjunction expressed in terms of triple disjunction.  (Contributed
     by Jeff Hankins, 15-Aug-2009.) $)
  3anor $p |- ( ( ph /\ ps /\ ch ) <-> -. ( -. ph \/ -. ps \/ -. ch ) ) $=
    ( w3a wa wn w3o df-3an wo anor ianor orbi1i xchbinx df-3or xchbinxr bitri )
    ABCDABEZCEZAFZBFZCFZGZFABCHRSTIZUAIZUBRQFZUAIUDQCJUEUCUAABKLMSTUANOP $.
    $( [2-Mar-2011] $) $( [28-Jul-2009] $)

  $( Negated triple conjunction expressed in terms of triple disjunction.
     (Contributed by Jeff Hankins, 15-Aug-2009.)  (The proof was shortened by
     Andrew Salmon, 13-May-2011.) $)
  3ianor $p |- ( -. ( ph /\ ps /\ ch ) <-> ( -. ph \/ -. ps \/ -. ch ) ) $=
    ( wn w3o w3a 3anor con2bii bicomi ) ADBDCDEZABCFZDKJABCGHI $.
    $( [16-May-2011] $) $( [28-Jul-2009] $)

  $( Negated triple disjunction as triple conjunction.  (Contributed by Scott
     Fenton, 19-Apr-2011.) $)
  3ioran $p |- ( -. ( ph \/ ps \/ ch ) <-> ( -. ph /\ -. ps /\ -. ch ) ) $=
    ( wo wn wa w3o w3a ioran anbi1i df-3or xchnxbir df-3an 3bitr4i ) ABDZEZCEZF
    ZAEZBEZFZQFABCGZESTQHPUAQABIJOCDRUBOCIABCKLSTQMN $.
    $( [19-Apr-2011] $)

  $( Triple disjunction in terms of triple conjunction. $)
  3oran $p |- ( ( ph \/ ps \/ ch ) <-> -. ( -. ph /\ -. ps /\ -. ch ) ) $=
    ( wn w3a w3o 3ioran con1bii bicomi ) ADBDCDEZDABCFZKJABCGHI $.
    $( [8-Oct-2012] $)

  $( Simplification of triple conjunction. $)
  3simpa $p |- ( ( ph /\ ps /\ ch ) -> ( ph /\ ps ) ) $=
    ( w3a wa df-3an simplbi ) ABCDABECABCFG $.
    $( [21-Apr-1994] $)

  $( Simplification of triple conjunction. $)
  3simpb $p |- ( ( ph /\ ps /\ ch ) -> ( ph /\ ch ) ) $=
    ( w3a wa 3ancomb 3simpa sylbi ) ABCDACBDACEABCFACBGH $.
    $( [21-Apr-1994] $)

  $( Simplification of triple conjunction.  (The proof was shortened by Andrew
     Salmon, 13-May-2011.) $)
  3simpc $p |- ( ( ph /\ ps /\ ch ) -> ( ps /\ ch ) ) $=
    ( w3a wa 3anrot 3simpa sylbi ) ABCDBCADBCEABCFBCAGH $.
    $( [16-May-2011] $) $( [21-Apr-1994] $)

  $( Simplification of triple conjunction. $)
  simp1 $p |- ( ( ph /\ ps /\ ch ) -> ph ) $=
    ( w3a 3simpa simpld ) ABCDABABCEF $.
    $( [21-Apr-1994] $)

  $( Simplification of triple conjunction. $)
  simp2 $p |- ( ( ph /\ ps /\ ch ) -> ps ) $=
    ( w3a 3simpa simprd ) ABCDABABCEF $.
    $( [21-Apr-1994] $)

  $( Simplification of triple conjunction. $)
  simp3 $p |- ( ( ph /\ ps /\ ch ) -> ch ) $=
    ( w3a 3simpc simprd ) ABCDBCABCEF $.
    $( [21-Apr-1994] $)

  $( Simplification rule.  (Contributed by Jeff Hankins, 17-Nov-2009.) $)
  simpl1 $p |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ph ) $=
    ( w3a simp1 adantr ) ABCEADABCFG $.
    $( [17-Nov-2009] $)

  $( Simplification rule.  (Contributed by Jeff Hankins, 17-Nov-2009.) $)
  simpl2 $p |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ps ) $=
    ( w3a simp2 adantr ) ABCEBDABCFG $.
    $( [17-Nov-2009] $)

  $( Simplification rule.  (Contributed by Jeff Hankins, 17-Nov-2009.) $)
  simpl3 $p |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ch ) $=
    ( w3a simp3 adantr ) ABCECDABCFG $.
    $( [17-Nov-2009] $)

  $( Simplification rule.  (Contributed by Jeff Hankins, 17-Nov-2009.) $)
  simpr1 $p |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ps ) $=
    ( w3a simp1 adantl ) BCDEBABCDFG $.
    $( [17-Nov-2009] $)

  $( Simplification rule.  (Contributed by Jeff Hankins, 17-Nov-2009.) $)
  simpr2 $p |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ch ) $=
    ( w3a simp2 adantl ) BCDECABCDFG $.
    $( [17-Nov-2009] $)

  $( Simplification rule.  (Contributed by Jeff Hankins, 17-Nov-2009.) $)
  simpr3 $p |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> th ) $=
    ( w3a simp3 adantl ) BCDEDABCDFG $.
    $( [17-Nov-2009] $)

  ${
    3simp1i.1 $e |- ( ph /\ ps /\ ch ) $.
    $( Infer a conjunct from a triple conjunction. $)
    simp1i $p |- ph $=
      ( w3a simp1 ax-mp ) ABCEADABCFG $.
      $( [19-Apr-2005] $)

    $( Infer a conjunct from a triple conjunction. $)
    simp2i $p |- ps $=
      ( w3a simp2 ax-mp ) ABCEBDABCFG $.
      $( [19-Apr-2005] $)

    $( Infer a conjunct from a triple conjunction. $)
    simp3i $p |- ch $=
      ( w3a simp3 ax-mp ) ABCECDABCFG $.
      $( [19-Apr-2005] $)
  $}

  ${
    3simp1d.1 $e |- ( ph -> ( ps /\ ch /\ th ) ) $.
    $( Deduce a conjunct from a triple conjunction. $)
    simp1d $p |- ( ph -> ps ) $=
      ( w3a simp1 syl ) ABCDFBEBCDGH $.
      $( [4-Sep-2005] $)

    $( Deduce a conjunct from a triple conjunction. $)
    simp2d $p |- ( ph -> ch ) $=
      ( w3a simp2 syl ) ABCDFCEBCDGH $.
      $( [4-Sep-2005] $)

    $( Deduce a conjunct from a triple conjunction. $)
    simp3d $p |- ( ph -> th ) $=
      ( w3a simp3 syl ) ABCDFDEBCDGH $.
      $( [4-Sep-2005] $)
  $}

  ${
    3simp1bi.1 $e |- ( ph <-> ( ps /\ ch /\ th ) ) $.
    $( Deduce a conjunct from a triple conjunction.  (Contributed by Jonathan
       Ben-Naim, 3-Jun-2011.) $)
    simp1bi $p |- ( ph -> ps ) $=
      ( w3a biimpi simp1d ) ABCDABCDFEGH $.
      $( [9-Sep-2011] $) $( [3-Jun-2011] $)

    $( Deduce a conjunct from a triple conjunction.  (Contributed by Jonathan
       Ben-Naim, 3-Jun-2011.) $)
    simp2bi $p |- ( ph -> ch ) $=
      ( w3a biimpi simp2d ) ABCDABCDFEGH $.
      $( [9-Sep-2011] $) $( [3-Jun-2011] $)

    $( Deduce a conjunct from a triple conjunction.  (Contributed by Jonathan
       Ben-Naim, 3-Jun-2011.) $)
    simp3bi $p |- ( ph -> th ) $=
      ( w3a biimpi simp3d ) ABCDABCDFEGH $.
      $( [9-Sep-2011] $) $( [3-Jun-2011] $)
  $}

  ${
    3adant.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Deduction adding a conjunct to antecedent. $)
    3adant1 $p |- ( ( th /\ ph /\ ps ) -> ch ) $=
      ( w3a wa 3simpc syl ) DABFABGCDABHEI $.
      $( [16-Jul-1995] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant2 $p |- ( ( ph /\ th /\ ps ) -> ch ) $=
      ( w3a wa 3simpb syl ) ADBFABGCADBHEI $.
      $( [16-Jul-1995] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant3 $p |- ( ( ph /\ ps /\ th ) -> ch ) $=
      ( w3a wa 3simpa syl ) ABDFABGCABDHEI $.
      $( [16-Jul-1995] $)
  $}

  ${
    3ad2ant.1 $e |- ( ph -> ch ) $.
    $( Deduction adding conjuncts to an antecedent. $)
    3ad2ant1 $p |- ( ( ph /\ ps /\ th ) -> ch ) $=
      ( adantr 3adant2 ) ADCBACDEFG $.
      $( [21-Apr-2005] $)

    $( Deduction adding conjuncts to an antecedent. $)
    3ad2ant2 $p |- ( ( ps /\ ph /\ th ) -> ch ) $=
      ( adantr 3adant1 ) ADCBACDEFG $.
      $( [21-Apr-2005] $)

    $( Deduction adding conjuncts to an antecedent. $)
    3ad2ant3 $p |- ( ( ps /\ th /\ ph ) -> ch ) $=
      ( adantl 3adant1 ) DACBACDEFG $.
      $( [21-Apr-2005] $)
  $}

  $( Simplification of triple conjunction. $)
  simp1l $p |- ( ( ( ph /\ ps ) /\ ch /\ th ) -> ph ) $=
    ( wa simpl 3ad2ant1 ) ABECADABFG $.
    $( [9-Nov-2011] $)

  $( Simplification of triple conjunction. $)
  simp1r $p |- ( ( ( ph /\ ps ) /\ ch /\ th ) -> ps ) $=
    ( wa simpr 3ad2ant1 ) ABECBDABFG $.
    $( [9-Nov-2011] $)

  $( Simplification of triple conjunction. $)
  simp2l $p |- ( ( ph /\ ( ps /\ ch ) /\ th ) -> ps ) $=
    ( wa simpl 3ad2ant2 ) BCEABDBCFG $.
    $( [9-Nov-2011] $)

  $( Simplification of triple conjunction. $)
  simp2r $p |- ( ( ph /\ ( ps /\ ch ) /\ th ) -> ch ) $=
    ( wa simpr 3ad2ant2 ) BCEACDBCFG $.
    $( [9-Nov-2011] $)

  $( Simplification of triple conjunction. $)
  simp3l $p |- ( ( ph /\ ps /\ ( ch /\ th ) ) -> ch ) $=
    ( wa simpl 3ad2ant3 ) CDEACBCDFG $.
    $( [9-Nov-2011] $)

  $( Simplification of triple conjunction. $)
  simp3r $p |- ( ( ph /\ ps /\ ( ch /\ th ) ) -> th ) $=
    ( wa simpr 3ad2ant3 ) CDEADBCDFG $.
    $( [9-Nov-2011] $)

  $( Simplification of doubly triple conjunction. $)
  simp11 $p |- ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) -> ph ) $=
    ( w3a simp1 3ad2ant1 ) ABCFDAEABCGH $.
    $( [17-Nov-2011] $)

  $( Simplification of doubly triple conjunction. $)
  simp12 $p |- ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) -> ps ) $=
    ( w3a simp2 3ad2ant1 ) ABCFDBEABCGH $.
    $( [17-Nov-2011] $)

  $( Simplification of doubly triple conjunction. $)
  simp13 $p |- ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) -> ch ) $=
    ( w3a simp3 3ad2ant1 ) ABCFDCEABCGH $.
    $( [17-Nov-2011] $)

  $( Simplification of doubly triple conjunction. $)
  simp21 $p |- ( ( ph /\ ( ps /\ ch /\ th ) /\ ta ) -> ps ) $=
    ( w3a simp1 3ad2ant2 ) BCDFABEBCDGH $.
    $( [17-Nov-2011] $)

  $( Simplification of doubly triple conjunction. $)
  simp22 $p |- ( ( ph /\ ( ps /\ ch /\ th ) /\ ta ) -> ch ) $=
    ( w3a simp2 3ad2ant2 ) BCDFACEBCDGH $.
    $( [17-Nov-2011] $)

  $( Simplification of doubly triple conjunction. $)
  simp23 $p |- ( ( ph /\ ( ps /\ ch /\ th ) /\ ta ) -> th ) $=
    ( w3a simp3 3ad2ant2 ) BCDFADEBCDGH $.
    $( [17-Nov-2011] $)

  $( Simplification of doubly triple conjunction. $)
  simp31 $p |- ( ( ph /\ ps /\ ( ch /\ th /\ ta ) ) -> ch ) $=
    ( w3a simp1 3ad2ant3 ) CDEFACBCDEGH $.
    $( [17-Nov-2011] $)

  $( Simplification of doubly triple conjunction. $)
  simp32 $p |- ( ( ph /\ ps /\ ( ch /\ th /\ ta ) ) -> th ) $=
    ( w3a simp2 3ad2ant3 ) CDEFADBCDEGH $.
    $( [17-Nov-2011] $)

  $( Simplification of doubly triple conjunction. $)
  simp33 $p |- ( ( ph /\ ps /\ ( ch /\ th /\ ta ) ) -> ta ) $=
    ( w3a simp3 3ad2ant3 ) CDEFAEBCDEGH $.
    $( [17-Nov-2011] $)

  $( Simplification of conjunction. $)
  simpll1 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th ) /\ ta ) -> ph ) $=
    ( w3a wa simpl1 adantr ) ABCFDGAEABCDHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpll2 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th ) /\ ta ) -> ps ) $=
    ( w3a wa simpl2 adantr ) ABCFDGBEABCDHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpll3 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th ) /\ ta ) -> ch ) $=
    ( w3a wa simpl3 adantr ) ABCFDGCEABCDHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simplr1 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) ) /\ ta ) -> ph ) $=
    ( w3a wa simpr1 adantr ) DABCFGAEDABCHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simplr2 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) ) /\ ta ) -> ps ) $=
    ( w3a wa simpr2 adantr ) DABCFGBEDABCHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simplr3 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) ) /\ ta ) -> ch ) $=
    ( w3a wa simpr3 adantr ) DABCFGCEDABCHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simprl1 $p |- ( ( ta /\ ( ( ph /\ ps /\ ch ) /\ th ) ) -> ph ) $=
    ( w3a wa simpl1 adantl ) ABCFDGAEABCDHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simprl2 $p |- ( ( ta /\ ( ( ph /\ ps /\ ch ) /\ th ) ) -> ps ) $=
    ( w3a wa simpl2 adantl ) ABCFDGBEABCDHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simprl3 $p |- ( ( ta /\ ( ( ph /\ ps /\ ch ) /\ th ) ) -> ch ) $=
    ( w3a wa simpl3 adantl ) ABCFDGCEABCDHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simprr1 $p |- ( ( ta /\ ( th /\ ( ph /\ ps /\ ch ) ) ) -> ph ) $=
    ( w3a wa simpr1 adantl ) DABCFGAEDABCHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simprr2 $p |- ( ( ta /\ ( th /\ ( ph /\ ps /\ ch ) ) ) -> ps ) $=
    ( w3a wa simpr2 adantl ) DABCFGBEDABCHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simprr3 $p |- ( ( ta /\ ( th /\ ( ph /\ ps /\ ch ) ) ) -> ch ) $=
    ( w3a wa simpr3 adantl ) DABCFGCEDABCHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpl1l $p |- ( ( ( ( ph /\ ps ) /\ ch /\ th ) /\ ta ) -> ph ) $=
    ( wa w3a simp1l adantr ) ABFCDGAEABCDHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpl1r $p |- ( ( ( ( ph /\ ps ) /\ ch /\ th ) /\ ta ) -> ps ) $=
    ( wa w3a simp1r adantr ) ABFCDGBEABCDHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpl2l $p |- ( ( ( ch /\ ( ph /\ ps ) /\ th ) /\ ta ) -> ph ) $=
    ( wa w3a simp2l adantr ) CABFDGAECABDHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpl2r $p |- ( ( ( ch /\ ( ph /\ ps ) /\ th ) /\ ta ) -> ps ) $=
    ( wa w3a simp2r adantr ) CABFDGBECABDHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpl3l $p |- ( ( ( ch /\ th /\ ( ph /\ ps ) ) /\ ta ) -> ph ) $=
    ( wa w3a simp3l adantr ) CDABFGAECDABHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpl3r $p |- ( ( ( ch /\ th /\ ( ph /\ ps ) ) /\ ta ) -> ps ) $=
    ( wa w3a simp3r adantr ) CDABFGBECDABHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpr1l $p |- ( ( ta /\ ( ( ph /\ ps ) /\ ch /\ th ) ) -> ph ) $=
    ( wa w3a simp1l adantl ) ABFCDGAEABCDHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpr1r $p |- ( ( ta /\ ( ( ph /\ ps ) /\ ch /\ th ) ) -> ps ) $=
    ( wa w3a simp1r adantl ) ABFCDGBEABCDHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpr2l $p |- ( ( ta /\ ( ch /\ ( ph /\ ps ) /\ th ) ) -> ph ) $=
    ( wa w3a simp2l adantl ) CABFDGAECABDHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpr2r $p |- ( ( ta /\ ( ch /\ ( ph /\ ps ) /\ th ) ) -> ps ) $=
    ( wa w3a simp2r adantl ) CABFDGBECABDHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpr3l $p |- ( ( ta /\ ( ch /\ th /\ ( ph /\ ps ) ) ) -> ph ) $=
    ( wa w3a simp3l adantl ) CDABFGAECDABHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpr3r $p |- ( ( ta /\ ( ch /\ th /\ ( ph /\ ps ) ) ) -> ps ) $=
    ( wa w3a simp3r adantl ) CDABFGBECDABHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp1ll $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th /\ ta ) -> ph ) $=
    ( wa simpll 3ad2ant1 ) ABFCFDAEABCGH $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp1lr $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th /\ ta ) -> ps ) $=
    ( wa simplr 3ad2ant1 ) ABFCFDBEABCGH $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp1rl $p |- ( ( ( ch /\ ( ph /\ ps ) ) /\ th /\ ta ) -> ph ) $=
    ( wa simprl 3ad2ant1 ) CABFFDAECABGH $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp1rr $p |- ( ( ( ch /\ ( ph /\ ps ) ) /\ th /\ ta ) -> ps ) $=
    ( wa simprr 3ad2ant1 ) CABFFDBECABGH $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp2ll $p |- ( ( th /\ ( ( ph /\ ps ) /\ ch ) /\ ta ) -> ph ) $=
    ( wa simpll 3ad2ant2 ) ABFCFDAEABCGH $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp2lr $p |- ( ( th /\ ( ( ph /\ ps ) /\ ch ) /\ ta ) -> ps ) $=
    ( wa simplr 3ad2ant2 ) ABFCFDBEABCGH $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp2rl $p |- ( ( th /\ ( ch /\ ( ph /\ ps ) ) /\ ta ) -> ph ) $=
    ( wa simprl 3ad2ant2 ) CABFFDAECABGH $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp2rr $p |- ( ( th /\ ( ch /\ ( ph /\ ps ) ) /\ ta ) -> ps ) $=
    ( wa simprr 3ad2ant2 ) CABFFDBECABGH $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp3ll $p |- ( ( th /\ ta /\ ( ( ph /\ ps ) /\ ch ) ) -> ph ) $=
    ( wa simpll 3ad2ant3 ) ABFCFDAEABCGH $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp3lr $p |- ( ( th /\ ta /\ ( ( ph /\ ps ) /\ ch ) ) -> ps ) $=
    ( wa simplr 3ad2ant3 ) ABFCFDBEABCGH $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp3rl $p |- ( ( th /\ ta /\ ( ch /\ ( ph /\ ps ) ) ) -> ph ) $=
    ( wa simprl 3ad2ant3 ) CABFFDAECABGH $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp3rr $p |- ( ( th /\ ta /\ ( ch /\ ( ph /\ ps ) ) ) -> ps ) $=
    ( wa simprr 3ad2ant3 ) CABFFDBECABGH $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpl11 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ et ) -> ph ) $=
    ( w3a simp11 adantr ) ABCGDEGAFABCDEHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpl12 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ et ) -> ps ) $=
    ( w3a simp12 adantr ) ABCGDEGBFABCDEHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpl13 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ et ) -> ch ) $=
    ( w3a simp13 adantr ) ABCGDEGCFABCDEHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpl21 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ et ) -> ph ) $=
    ( w3a simp21 adantr ) DABCGEGAFDABCEHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpl22 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ et ) -> ps ) $=
    ( w3a simp22 adantr ) DABCGEGBFDABCEHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpl23 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ et ) -> ch ) $=
    ( w3a simp23 adantr ) DABCGEGCFDABCEHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpl31 $p |- ( ( ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ et ) -> ph ) $=
    ( w3a simp31 adantr ) DEABCGGAFDEABCHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpl32 $p |- ( ( ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ et ) -> ps ) $=
    ( w3a simp32 adantr ) DEABCGGBFDEABCHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpl33 $p |- ( ( ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ et ) -> ch ) $=
    ( w3a simp33 adantr ) DEABCGGCFDEABCHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpr11 $p |- ( ( et /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) ) -> ph ) $=
    ( w3a simp11 adantl ) ABCGDEGAFABCDEHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpr12 $p |- ( ( et /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) ) -> ps ) $=
    ( w3a simp12 adantl ) ABCGDEGBFABCDEHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpr13 $p |- ( ( et /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) ) -> ch ) $=
    ( w3a simp13 adantl ) ABCGDEGCFABCDEHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpr21 $p |- ( ( et /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) ) -> ph ) $=
    ( w3a simp21 adantl ) DABCGEGAFDABCEHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpr22 $p |- ( ( et /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) ) -> ps ) $=
    ( w3a simp22 adantl ) DABCGEGBFDABCEHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpr23 $p |- ( ( et /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) ) -> ch ) $=
    ( w3a simp23 adantl ) DABCGEGCFDABCEHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpr31 $p |- ( ( et /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) ) -> ph ) $=
    ( w3a simp31 adantl ) DEABCGGAFDEABCHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpr32 $p |- ( ( et /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) ) -> ps ) $=
    ( w3a simp32 adantl ) DEABCGGBFDEABCHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simpr33 $p |- ( ( et /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) ) -> ch ) $=
    ( w3a simp33 adantl ) DEABCGGCFDEABCHI $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp1l1 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th ) /\ ta /\ et ) -> ph ) $=
    ( w3a wa simpl1 3ad2ant1 ) ABCGDHEAFABCDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp1l2 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th ) /\ ta /\ et ) -> ps ) $=
    ( w3a wa simpl2 3ad2ant1 ) ABCGDHEBFABCDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp1l3 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th ) /\ ta /\ et ) -> ch ) $=
    ( w3a wa simpl3 3ad2ant1 ) ABCGDHECFABCDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp1r1 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) ) /\ ta /\ et ) -> ph ) $=
    ( w3a wa simpr1 3ad2ant1 ) DABCGHEAFDABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp1r2 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) ) /\ ta /\ et ) -> ps ) $=
    ( w3a wa simpr2 3ad2ant1 ) DABCGHEBFDABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp1r3 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) ) /\ ta /\ et ) -> ch ) $=
    ( w3a wa simpr3 3ad2ant1 ) DABCGHECFDABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp2l1 $p |- ( ( ta /\ ( ( ph /\ ps /\ ch ) /\ th ) /\ et ) -> ph ) $=
    ( w3a wa simpl1 3ad2ant2 ) ABCGDHEAFABCDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp2l2 $p |- ( ( ta /\ ( ( ph /\ ps /\ ch ) /\ th ) /\ et ) -> ps ) $=
    ( w3a wa simpl2 3ad2ant2 ) ABCGDHEBFABCDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp2l3 $p |- ( ( ta /\ ( ( ph /\ ps /\ ch ) /\ th ) /\ et ) -> ch ) $=
    ( w3a wa simpl3 3ad2ant2 ) ABCGDHECFABCDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp2r1 $p |- ( ( ta /\ ( th /\ ( ph /\ ps /\ ch ) ) /\ et ) -> ph ) $=
    ( w3a wa simpr1 3ad2ant2 ) DABCGHEAFDABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp2r2 $p |- ( ( ta /\ ( th /\ ( ph /\ ps /\ ch ) ) /\ et ) -> ps ) $=
    ( w3a wa simpr2 3ad2ant2 ) DABCGHEBFDABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp2r3 $p |- ( ( ta /\ ( th /\ ( ph /\ ps /\ ch ) ) /\ et ) -> ch ) $=
    ( w3a wa simpr3 3ad2ant2 ) DABCGHECFDABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp3l1 $p |- ( ( ta /\ et /\ ( ( ph /\ ps /\ ch ) /\ th ) ) -> ph ) $=
    ( w3a wa simpl1 3ad2ant3 ) ABCGDHEAFABCDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp3l2 $p |- ( ( ta /\ et /\ ( ( ph /\ ps /\ ch ) /\ th ) ) -> ps ) $=
    ( w3a wa simpl2 3ad2ant3 ) ABCGDHEBFABCDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp3l3 $p |- ( ( ta /\ et /\ ( ( ph /\ ps /\ ch ) /\ th ) ) -> ch ) $=
    ( w3a wa simpl3 3ad2ant3 ) ABCGDHECFABCDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp3r1 $p |- ( ( ta /\ et /\ ( th /\ ( ph /\ ps /\ ch ) ) ) -> ph ) $=
    ( w3a wa simpr1 3ad2ant3 ) DABCGHEAFDABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp3r2 $p |- ( ( ta /\ et /\ ( th /\ ( ph /\ ps /\ ch ) ) ) -> ps ) $=
    ( w3a wa simpr2 3ad2ant3 ) DABCGHEBFDABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp3r3 $p |- ( ( ta /\ et /\ ( th /\ ( ph /\ ps /\ ch ) ) ) -> ch ) $=
    ( w3a wa simpr3 3ad2ant3 ) DABCGHECFDABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp11l $p |- ( ( ( ( ph /\ ps ) /\ ch /\ th ) /\ ta /\ et ) -> ph ) $=
    ( wa w3a simp1l 3ad2ant1 ) ABGCDHEAFABCDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp11r $p |- ( ( ( ( ph /\ ps ) /\ ch /\ th ) /\ ta /\ et ) -> ps ) $=
    ( wa w3a simp1r 3ad2ant1 ) ABGCDHEBFABCDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp12l $p |- ( ( ( ch /\ ( ph /\ ps ) /\ th ) /\ ta /\ et ) -> ph ) $=
    ( wa w3a simp2l 3ad2ant1 ) CABGDHEAFCABDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp12r $p |- ( ( ( ch /\ ( ph /\ ps ) /\ th ) /\ ta /\ et ) -> ps ) $=
    ( wa w3a simp2r 3ad2ant1 ) CABGDHEBFCABDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp13l $p |- ( ( ( ch /\ th /\ ( ph /\ ps ) ) /\ ta /\ et ) -> ph ) $=
    ( wa w3a simp3l 3ad2ant1 ) CDABGHEAFCDABIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp13r $p |- ( ( ( ch /\ th /\ ( ph /\ ps ) ) /\ ta /\ et ) -> ps ) $=
    ( wa w3a simp3r 3ad2ant1 ) CDABGHEBFCDABIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp21l $p |- ( ( ta /\ ( ( ph /\ ps ) /\ ch /\ th ) /\ et ) -> ph ) $=
    ( wa w3a simp1l 3ad2ant2 ) ABGCDHEAFABCDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp21r $p |- ( ( ta /\ ( ( ph /\ ps ) /\ ch /\ th ) /\ et ) -> ps ) $=
    ( wa w3a simp1r 3ad2ant2 ) ABGCDHEBFABCDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp22l $p |- ( ( ta /\ ( ch /\ ( ph /\ ps ) /\ th ) /\ et ) -> ph ) $=
    ( wa w3a simp2l 3ad2ant2 ) CABGDHEAFCABDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp22r $p |- ( ( ta /\ ( ch /\ ( ph /\ ps ) /\ th ) /\ et ) -> ps ) $=
    ( wa w3a simp2r 3ad2ant2 ) CABGDHEBFCABDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp23l $p |- ( ( ta /\ ( ch /\ th /\ ( ph /\ ps ) ) /\ et ) -> ph ) $=
    ( wa w3a simp3l 3ad2ant2 ) CDABGHEAFCDABIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp23r $p |- ( ( ta /\ ( ch /\ th /\ ( ph /\ ps ) ) /\ et ) -> ps ) $=
    ( wa w3a simp3r 3ad2ant2 ) CDABGHEBFCDABIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp31l $p |- ( ( ta /\ et /\ ( ( ph /\ ps ) /\ ch /\ th ) ) -> ph ) $=
    ( wa w3a simp1l 3ad2ant3 ) ABGCDHEAFABCDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp31r $p |- ( ( ta /\ et /\ ( ( ph /\ ps ) /\ ch /\ th ) ) -> ps ) $=
    ( wa w3a simp1r 3ad2ant3 ) ABGCDHEBFABCDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp32l $p |- ( ( ta /\ et /\ ( ch /\ ( ph /\ ps ) /\ th ) ) -> ph ) $=
    ( wa w3a simp2l 3ad2ant3 ) CABGDHEAFCABDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp32r $p |- ( ( ta /\ et /\ ( ch /\ ( ph /\ ps ) /\ th ) ) -> ps ) $=
    ( wa w3a simp2r 3ad2ant3 ) CABGDHEBFCABDIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp33l $p |- ( ( ta /\ et /\ ( ch /\ th /\ ( ph /\ ps ) ) ) -> ph ) $=
    ( wa w3a simp3l 3ad2ant3 ) CDABGHEAFCDABIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp33r $p |- ( ( ta /\ et /\ ( ch /\ th /\ ( ph /\ ps ) ) ) -> ps ) $=
    ( wa w3a simp3r 3ad2ant3 ) CDABGHEBFCDABIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp111 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ et /\ ze ) -> ph ) $=
    ( w3a simp11 3ad2ant1 ) ABCHDEHFAGABCDEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp112 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ et /\ ze ) -> ps ) $=
    ( w3a simp12 3ad2ant1 ) ABCHDEHFBGABCDEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp113 $p |- ( ( ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ et /\ ze ) -> ch ) $=
    ( w3a simp13 3ad2ant1 ) ABCHDEHFCGABCDEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp121 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ et /\ ze ) -> ph ) $=
    ( w3a simp21 3ad2ant1 ) DABCHEHFAGDABCEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp122 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ et /\ ze ) -> ps ) $=
    ( w3a simp22 3ad2ant1 ) DABCHEHFBGDABCEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp123 $p |- ( ( ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ et /\ ze ) -> ch ) $=
    ( w3a simp23 3ad2ant1 ) DABCHEHFCGDABCEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp131 $p |- ( ( ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ et /\ ze ) -> ph ) $=
    ( w3a simp31 3ad2ant1 ) DEABCHHFAGDEABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp132 $p |- ( ( ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ et /\ ze ) -> ps ) $=
    ( w3a simp32 3ad2ant1 ) DEABCHHFBGDEABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp133 $p |- ( ( ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ et /\ ze ) -> ch ) $=
    ( w3a simp33 3ad2ant1 ) DEABCHHFCGDEABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp211 $p |- ( ( et /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ ze ) -> ph ) $=
    ( w3a simp11 3ad2ant2 ) ABCHDEHFAGABCDEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp212 $p |- ( ( et /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ ze ) -> ps ) $=
    ( w3a simp12 3ad2ant2 ) ABCHDEHFBGABCDEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp213 $p |- ( ( et /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) /\ ze ) -> ch ) $=
    ( w3a simp13 3ad2ant2 ) ABCHDEHFCGABCDEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp221 $p |- ( ( et /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ ze ) -> ph ) $=
    ( w3a simp21 3ad2ant2 ) DABCHEHFAGDABCEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp222 $p |- ( ( et /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ ze ) -> ps ) $=
    ( w3a simp22 3ad2ant2 ) DABCHEHFBGDABCEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp223 $p |- ( ( et /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) /\ ze ) -> ch ) $=
    ( w3a simp23 3ad2ant2 ) DABCHEHFCGDABCEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp231 $p |- ( ( et /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ ze ) -> ph ) $=
    ( w3a simp31 3ad2ant2 ) DEABCHHFAGDEABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp232 $p |- ( ( et /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ ze ) -> ps ) $=
    ( w3a simp32 3ad2ant2 ) DEABCHHFBGDEABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp233 $p |- ( ( et /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) /\ ze ) -> ch ) $=
    ( w3a simp33 3ad2ant2 ) DEABCHHFCGDEABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp311 $p |- ( ( et /\ ze /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) ) -> ph ) $=
    ( w3a simp11 3ad2ant3 ) ABCHDEHFAGABCDEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp312 $p |- ( ( et /\ ze /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) ) -> ps ) $=
    ( w3a simp12 3ad2ant3 ) ABCHDEHFBGABCDEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp313 $p |- ( ( et /\ ze /\ ( ( ph /\ ps /\ ch ) /\ th /\ ta ) ) -> ch ) $=
    ( w3a simp13 3ad2ant3 ) ABCHDEHFCGABCDEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp321 $p |- ( ( et /\ ze /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) ) -> ph ) $=
    ( w3a simp21 3ad2ant3 ) DABCHEHFAGDABCEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp322 $p |- ( ( et /\ ze /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) ) -> ps ) $=
    ( w3a simp22 3ad2ant3 ) DABCHEHFBGDABCEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp323 $p |- ( ( et /\ ze /\ ( th /\ ( ph /\ ps /\ ch ) /\ ta ) ) -> ch ) $=
    ( w3a simp23 3ad2ant3 ) DABCHEHFCGDABCEIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp331 $p |- ( ( et /\ ze /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) ) -> ph ) $=
    ( w3a simp31 3ad2ant3 ) DEABCHHFAGDEABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp332 $p |- ( ( et /\ ze /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) ) -> ps ) $=
    ( w3a simp32 3ad2ant3 ) DEABCHHFBGDEABCIJ $.
    $( [9-Mar-2012] $)

  $( Simplification of conjunction. $)
  simp333 $p |- ( ( et /\ ze /\ ( th /\ ta /\ ( ph /\ ps /\ ch ) ) ) -> ch ) $=
    ( w3a simp33 3ad2ant3 ) DEABCHHFCGDEABCIJ $.
    $( [9-Mar-2012] $)

  ${
    3adantl.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Deduction adding a conjunct to antecedent. $)
    3adantl1 $p |- ( ( ( ta /\ ph /\ ps ) /\ ch ) -> th ) $=
      ( w3a wa 3simpc sylan ) EABGABHCDEABIFJ $.
      $( [24-Feb-2005] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adantl2 $p |- ( ( ( ph /\ ta /\ ps ) /\ ch ) -> th ) $=
      ( w3a wa 3simpb sylan ) AEBGABHCDAEBIFJ $.
      $( [24-Feb-2005] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adantl3 $p |- ( ( ( ph /\ ps /\ ta ) /\ ch ) -> th ) $=
      ( w3a wa 3simpa sylan ) ABEGABHCDABEIFJ $.
      $( [24-Feb-2005] $)
  $}

  ${
    3adantr.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Deduction adding a conjunct to antecedent. $)
    3adantr1 $p |- ( ( ph /\ ( ta /\ ps /\ ch ) ) -> th ) $=
      ( w3a wa 3simpc sylan2 ) EBCGABCHDEBCIFJ $.
      $( [27-Apr-2005] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adantr2 $p |- ( ( ph /\ ( ps /\ ta /\ ch ) ) -> th ) $=
      ( w3a wa 3simpb sylan2 ) BECGABCHDBECIFJ $.
      $( [27-Apr-2005] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adantr3 $p |- ( ( ph /\ ( ps /\ ch /\ ta ) ) -> th ) $=
      ( w3a wa 3simpa sylan2 ) BCEGABCHDBCEIFJ $.
      $( [27-Apr-2005] $)
  $}

  ${
    3ad2antl.1 $e |- ( ( ph /\ ch ) -> th ) $.
    $( Deduction adding conjuncts to antecedent. $)
    3ad2antl1 $p |- ( ( ( ph /\ ps /\ ta ) /\ ch ) -> th ) $=
      ( adantlr 3adantl2 ) AECDBACDEFGH $.
      $( [4-Aug-2007] $)

    $( Deduction adding conjuncts to antecedent. $)
    3ad2antl2 $p |- ( ( ( ps /\ ph /\ ta ) /\ ch ) -> th ) $=
      ( adantlr 3adantl1 ) AECDBACDEFGH $.
      $( [4-Aug-2007] $)

    $( Deduction adding conjuncts to antecedent. $)
    3ad2antl3 $p |- ( ( ( ps /\ ta /\ ph ) /\ ch ) -> th ) $=
      ( adantll 3adantl1 ) EACDBACDEFGH $.
      $( [4-Aug-2007] $)

    $( Deduction adding a conjuncts to antecedent. $)
    3ad2antr1 $p |- ( ( ph /\ ( ch /\ ps /\ ta ) ) -> th ) $=
      ( adantrr 3adantr3 ) ACBDEACDBFGH $.
      $( [25-Dec-2007] $)

    $( Deduction adding a conjuncts to antecedent. $)
    3ad2antr2 $p |- ( ( ph /\ ( ps /\ ch /\ ta ) ) -> th ) $=
      ( adantrl 3adantr3 ) ABCDEACDBFGH $.
      $( [27-Dec-2007] $)

    $( Deduction adding a conjuncts to antecedent. $)
    3ad2antr3 $p |- ( ( ph /\ ( ps /\ ta /\ ch ) ) -> th ) $=
      ( adantrl 3adantr1 ) AECDBACDEFGH $.
      $( [30-Dec-2007] $)
  $}

  ${
    3anibar.1 $e |- ( ( ph /\ ps /\ ch ) -> ( th <-> ( ch /\ ta ) ) ) $.
    $( Remove a hypothesis from the second member of a biimplication.
       (Contributed by FL, 22-Jul-2008.) $)
    3anibar $p |- ( ( ph /\ ps /\ ch ) -> ( th <-> ta ) ) $=
      ( w3a wa simp3 biantrurd bitr4d ) ABCGZDCEHEFLCEABCIJK $.
      $( [2-Mar-2011] $) $( [14-Jul-2008] $)
  $}

  $( Introduction in triple disjunction. $)
  3mix1 $p |- ( ph -> ( ph \/ ps \/ ch ) ) $=
    ( wo w3o orc 3orass sylibr ) AABCDZDABCEAIFABCGH $.
    $( [4-Apr-1995] $)

  $( Introduction in triple disjunction. $)
  3mix2 $p |- ( ph -> ( ps \/ ph \/ ch ) ) $=
    ( w3o 3mix1 3orrot sylibr ) AACBDBACDACBEBACFG $.
    $( [4-Apr-1995] $)

  $( Introduction in triple disjunction. $)
  3mix3 $p |- ( ph -> ( ps \/ ch \/ ph ) ) $=
    ( w3o 3mix1 3orrot sylib ) AABCDBCADABCEABCFG $.
    $( [4-Apr-1995] $)

  ${
    3pm3.2i.1 $e |- ph $.
    3pm3.2i.2 $e |- ps $.
    3pm3.2i.3 $e |- ch $.
    $( Infer conjunction of premises. $)
    3pm3.2i $p |- ( ph /\ ps /\ ch ) $=
      ( w3a wa pm3.2i df-3an mpbir2an ) ABCGABHCABDEIFABCJK $.
      $( [10-Feb-1995] $)
  $}

  ${
    $( ~ pm3.2 for a triple conjunction.  (Contributed by Alan Sare,
       24-Oct-2011.) $)
    pm3.2an3 $p |- ( ph -> ( ps -> ( ch -> ( ph /\ ps /\ ch ) ) ) ) $=
      ( wa w3a wi pm3.2 ex df-3an bicomi syl8ib ) ABCABDZCDZABCEZABCMFLCGHNMABC
      IJK $.
      $( [24-Oct-2011] $)
  $}

  ${
    3jca.1 $e |- ( ph -> ps ) $.
    3jca.2 $e |- ( ph -> ch ) $.
    3jca.3 $e |- ( ph -> th ) $.
    $( Join consequents with conjunction. $)
    3jca $p |- ( ph -> ( ps /\ ch /\ th ) ) $=
      ( wa w3a jca31 df-3an sylibr ) ABCHDHBCDIABCDEFGJBCDKL $.
      $( [9-Apr-1994] $)
  $}

  ${
    3jcad.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3jcad.2 $e |- ( ph -> ( ps -> th ) ) $.
    3jcad.3 $e |- ( ph -> ( ps -> ta ) ) $.
    $( Deduction conjoining the consequents of three implications. $)
    3jcad $p |- ( ph -> ( ps -> ( ch /\ th /\ ta ) ) ) $=
      ( w3a wa imp 3jca ex ) ABCDEIABJCDEABCFKABDGKABEHKLM $.
      $( [25-Sep-2005] $)
  $}

  ${
    mpbir3an.1 $e |- ps $.
    mpbir3an.2 $e |- ch $.
    mpbir3an.3 $e |- th $.
    mpbir3an.4 $e |- ( ph <-> ( ps /\ ch /\ th ) ) $.
    $( Detach a conjunction of truths in a biconditional. $)
    mpbir3an $p |- ph $=
      ( w3a 3pm3.2i mpbir ) ABCDIBCDEFGJHK $.
      $( [9-Jan-2015] $) $( [16-Sep-2011] $)
  $}

  ${
    mpbir3and.1 $e |- ( ph -> ch ) $.
    mpbir3and.2 $e |- ( ph -> th ) $.
    mpbir3and.3 $e |- ( ph -> ta ) $.
    mpbir3and.4 $e |- ( ph -> ( ps <-> ( ch /\ th /\ ta ) ) ) $.
    $( Detach a conjunction of truths in a biconditional.  (Contributed by
       Mario Carneiro, 11-May-2014.) $)
    mpbir3and $p |- ( ph -> ps ) $=
      ( w3a 3jca mpbird ) ABCDEJACDEFGHKIL $.
      $( [9-Jan-2015] $) $( [11-May-2014] $)
  $}

  ${
    syl3anbrc.1 $e |- ( ph -> ps ) $.
    syl3anbrc.2 $e |- ( ph -> ch ) $.
    syl3anbrc.3 $e |- ( ph -> th ) $.
    syl3anbrc.4 $e |- ( ta <-> ( ps /\ ch /\ th ) ) $.
    $( Syllogism inference.  (Contributed by Mario Carneiro, 11-May-2014.) $)
    syl3anbrc $p |- ( ph -> ta ) $=
      ( w3a 3jca sylibr ) ABCDJEABCDFGHKIL $.
      $( [11-May-2014] $)
  $}

  ${
    3anim123i.1 $e |- ( ph -> ps ) $.
    3anim123i.2 $e |- ( ch -> th ) $.
    3anim123i.3 $e |- ( ta -> et ) $.
    $( Join antecedents and consequents with conjunction. $)
    3anim123i $p |- ( ( ph /\ ch /\ ta ) -> ( ps /\ th /\ et ) ) $=
      ( w3a 3ad2ant1 3ad2ant2 3ad2ant3 3jca ) ACEJBDFACBEGKCADEHLEAFCIMN $.
      $( [8-Apr-1994] $)
  $}

  ${
    3animi.1 $e |- ( ph -> ps ) $.
    $( Add two conjuncts to antecedent and consequent.  (Contributed by Jeff
       Hankins, 16-Aug-2009.) $)
    3anim1i $p |- ( ( ph /\ ch /\ th ) -> ( ps /\ ch /\ th ) ) $=
      ( id 3anim123i ) ABCCDDECFDFG $.
      $( [21-Feb-2011] $) $( [16-Aug-2009] $)

    $( Add two conjuncts to antecedent and consequent.  (Contributed by Jeff
       Hankins, 19-Aug-2009.) $)
    3anim3i $p |- ( ( ch /\ th /\ ph ) -> ( ch /\ th /\ ps ) ) $=
      ( id 3anim123i ) CCDDABCFDFEG $.
      $( [21-Feb-2011] $) $( [16-Aug-2009] $)
  $}

  ${
    bi3.1 $e |- ( ph <-> ps ) $.
    bi3.2 $e |- ( ch <-> th ) $.
    bi3.3 $e |- ( ta <-> et ) $.
    $( Join 3 biconditionals with conjunction. $)
    3anbi123i $p |- ( ( ph /\ ch /\ ta ) <-> ( ps /\ th /\ et ) ) $=
      ( wa w3a anbi12i df-3an 3bitr4i ) ACJZEJBDJZFJACEKBDFKOPEFABCDGHLILACEMBD
      FMN $.
      $( [21-Apr-1994] $)

    $( Join 3 biconditionals with disjunction. $)
    3orbi123i $p |- ( ( ph \/ ch \/ ta ) <-> ( ps \/ th \/ et ) ) $=
      ( wo w3o orbi12i df-3or 3bitr4i ) ACJZEJBDJZFJACEKBDFKOPEFABCDGHLILACEMBD
      FMN $.
      $( [17-May-1994] $)
  $}

  ${
    3anbi1i.1 $e |- ( ph <-> ps ) $.
    $( Inference adding two conjuncts to each side of a biconditional. $)
    3anbi1i $p |- ( ( ph /\ ch /\ th ) <-> ( ps /\ ch /\ th ) ) $=
      ( biid 3anbi123i ) ABCCDDECFDFG $.
      $( [8-Sep-2006] $)

    $( Inference adding two conjuncts to each side of a biconditional. $)
    3anbi2i $p |- ( ( ch /\ ph /\ th ) <-> ( ch /\ ps /\ th ) ) $=
      ( biid 3anbi123i ) CCABDDCFEDFG $.
      $( [8-Sep-2006] $)

    $( Inference adding two conjuncts to each side of a biconditional. $)
    3anbi3i $p |- ( ( ch /\ th /\ ph ) <-> ( ch /\ th /\ ps ) ) $=
      ( biid 3anbi123i ) CCDDABCFDFEG $.
      $( [8-Sep-2006] $)
  $}

  ${
    3imp.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( Importation inference. $)
    3imp $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( w3a wa df-3an imp31 sylbi ) ABCFABGCGDABCHABCDEIJ $.
      $( [8-Apr-1994] $)
  $}

  ${
    3impa.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Importation from double to triple conjunction. $)
    3impa $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( exp31 3imp ) ABCDABCDEFG $.
      $( [20-Aug-1995] $)
  $}

  ${
    3impb.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Importation from double to triple conjunction. $)
    3impb $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( exp32 3imp ) ABCDABCDEFG $.
      $( [20-Aug-1995] $)
  $}

  ${
    3impia.1 $e |- ( ( ph /\ ps ) -> ( ch -> th ) ) $.
    $( Importation to triple conjunction. $)
    3impia $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wi ex 3imp ) ABCDABCDFEGH $.
      $( [13-Jun-2006] $)
  $}

  ${
    3impib.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( Importation to triple conjunction. $)
    3impib $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( exp3a 3imp ) ABCDABCDEFG $.
      $( [13-Jun-2006] $)
  $}

  ${
    3exp.1 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( Exportation inference. $)
    3exp $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( w3a pm3.2an3 syl8 ) ABCABCFDABCGEH $.
      $( [30-May-1994] $)

    $( Exportation from triple to double conjunction. $)
    3expa $p |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $=
      ( 3exp imp31 ) ABCDABCDEFG $.
      $( [20-Aug-1995] $)

    $( Exportation from triple to double conjunction. $)
    3expb $p |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $=
      ( 3exp imp32 ) ABCDABCDEFG $.
      $( [20-Aug-1995] $)

    $( Exportation from triple conjunction. $)
    3expia $p |- ( ( ph /\ ps ) -> ( ch -> th ) ) $=
      ( wi 3exp imp ) ABCDFABCDEGH $.
      $( [19-May-2007] $)

    $( Exportation from triple conjunction. $)
    3expib $p |- ( ph -> ( ( ps /\ ch ) -> th ) ) $=
      ( 3exp imp3a ) ABCDABCDEFG $.
      $( [19-May-2007] $)

    $( Commutation in antecedent.  Swap 1st and 3rd.  (The proof was shortened
       by Andrew Salmon, 13-May-2011.) $)
    3com12 $p |- ( ( ps /\ ph /\ ch ) -> th ) $=
      ( w3a 3ancoma sylbi ) BACFABCFDBACGEH $.
      $( [16-May-2011] $) $( [28-Jan-1996] $)

    $( Commutation in antecedent.  Swap 1st and 3rd. $)
    3com13 $p |- ( ( ch /\ ps /\ ph ) -> th ) $=
      ( w3a 3anrev sylbi ) CBAFABCFDCBAGEH $.
      $( [28-Jan-1996] $)

    $( Commutation in antecedent.  Swap 2nd and 3rd. $)
    3com23 $p |- ( ( ph /\ ch /\ ps ) -> th ) $=
      ( 3exp com23 3imp ) ACBDABCDABCDEFGH $.
      $( [28-Jan-1996] $)

    $( Commutation in antecedent.  Rotate left. $)
    3coml $p |- ( ( ps /\ ch /\ ph ) -> th ) $=
      ( 3com23 3com13 ) ACBDABCDEFG $.
      $( [28-Jan-1996] $)

    $( Commutation in antecedent.  Rotate right. $)
    3comr $p |- ( ( ch /\ ph /\ ps ) -> th ) $=
      ( 3coml ) BCADABCDEFF $.
      $( [28-Jan-1996] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant3r1 $p |- ( ( ph /\ ( ta /\ ps /\ ch ) ) -> th ) $=
      ( 3expb 3adantr1 ) ABCDEABCDFGH $.
      $( [16-Feb-2008] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant3r2 $p |- ( ( ph /\ ( ps /\ ta /\ ch ) ) -> th ) $=
      ( 3expb 3adantr2 ) ABCDEABCDFGH $.
      $( [17-Feb-2008] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant3r3 $p |- ( ( ph /\ ( ps /\ ch /\ ta ) ) -> th ) $=
      ( 3expb 3adantr3 ) ABCDEABCDFGH $.
      $( [18-Feb-2008] $)
  $}

  ${
    3an1rs.1 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    $( Swap conjuncts. $)
    3an1rs $p |- ( ( ( ph /\ ps /\ th ) /\ ch ) -> ta ) $=
      ( w3a wi ex 3exp com34 3imp imp ) ABDGCEABDCEHABCDEABCDEHABCGDEFIJKLM $.
      $( [16-Dec-2007] $)
  $}

  ${
    3imp1.1 $e |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $.
    $( Importation to left triple conjunction. $)
    3imp1 $p |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $=
      ( w3a wi 3imp imp ) ABCGDEABCDEHFIJ $.
      $( [24-Feb-2005] $)

    $( Importation deduction for triple conjunction. $)
    3impd $p |- ( ph -> ( ( ps /\ ch /\ th ) -> ta ) ) $=
      ( w3a wi com4l 3imp com12 ) BCDGAEBCDAEHABCDEFIJK $.
      $( [26-Oct-2006] $)

    $( Importation to right triple conjunction. $)
    3imp2 $p |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $=
      ( w3a 3impd imp ) ABCDGEABCDEFHI $.
      $( [26-Oct-2006] $)
  $}

  ${
    3exp1.1 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    $( Exportation from left triple conjunction. $)
    3exp1 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi w3a ex 3exp ) ABCDEGABCHDEFIJ $.
      $( [24-Feb-2005] $)
  $}

  ${
    3expd.1 $e |- ( ph -> ( ( ps /\ ch /\ th ) -> ta ) ) $.
    $( Exportation deduction for triple conjunction. $)
    3expd $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi w3a com12 3exp com4r ) BCDAEBCDAEGABCDHEFIJK $.
      $( [26-Oct-2006] $)
  $}

  ${
    3exp2.1 $e |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $.
    $( Exportation from right triple conjunction. $)
    3exp2 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( w3a ex 3expd ) ABCDEABCDGEFHI $.
      $( [26-Oct-2006] $)
  $}

  ${
    exp5o.1 $e |- ( ( ph /\ ps /\ ch ) -> ( ( th /\ ta ) -> et ) ) $.
    $( A triple exportation inference.  (Contributed by Jeff Hankins,
       8-Jul-2009.) $)
    exp5o $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wi w3a exp3a 3exp ) ABCDEFHHABCIDEFGJK $.
      $( [8-Jul-2009] $)
  $}

  ${
    exp516.1 $e |- ( ( ( ph /\ ( ps /\ ch /\ th ) ) /\ ta ) -> et ) $.
    $( A triple exportation inference.  (Contributed by Jeff Hankins,
       8-Jul-2009.) $)
    exp516 $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( wi w3a exp31 3expd ) ABCDEFHABCDIEFGJK $.
      $( [8-Jul-2009] $)
  $}

  ${
    exp520.1 $e |- ( ( ( ph /\ ps /\ ch ) /\ ( th /\ ta ) ) -> et ) $.
    $( A triple exportation inference.  (Contributed by Jeff Hankins,
       8-Jul-2009.) $)
    exp520 $p |- ( ph -> ( ps -> ( ch -> ( th -> ( ta -> et ) ) ) ) ) $=
      ( w3a wa ex exp5o ) ABCDEFABCHDEIFGJK $.
      $( [8-Jul-2009] $)
  $}

  ${
    3adant1l.1 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( Deduction adding a conjunct to antecedent. $)
    3adant1l $p |- ( ( ( ta /\ ph ) /\ ps /\ ch ) -> th ) $=
      ( wa 3expb adantll 3impb ) EAGBCDABCGDEABCDFHIJ $.
      $( [8-Jan-2006] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant1r $p |- ( ( ( ph /\ ta ) /\ ps /\ ch ) -> th ) $=
      ( wa 3expb adantlr 3impb ) AEGBCDABCGDEABCDFHIJ $.
      $( [8-Jan-2006] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant2l $p |- ( ( ph /\ ( ta /\ ps ) /\ ch ) -> th ) $=
      ( wa 3com12 3adant1l ) EBGACDBACDEABCDFHIH $.
      $( [8-Jan-2006] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant2r $p |- ( ( ph /\ ( ps /\ ta ) /\ ch ) -> th ) $=
      ( wa 3com12 3adant1r ) BEGACDBACDEABCDFHIH $.
      $( [8-Jan-2006] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant3l $p |- ( ( ph /\ ps /\ ( ta /\ ch ) ) -> th ) $=
      ( wa 3com13 3adant1l ) ECGBADCBADEABCDFHIH $.
      $( [8-Jan-2006] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant3r $p |- ( ( ph /\ ps /\ ( ch /\ ta ) ) -> th ) $=
      ( wa 3com13 3adant1r ) CEGBADCBADEABCDFHIH $.
      $( [8-Jan-2006] $)
  $}

  ${
    sylXanc.1 $e |- ( ph -> ps ) $.
    sylXanc.2 $e |- ( ph -> ch ) $.
    sylXanc.3 $e |- ( ph -> th ) $.
    ${
      syl12anc.4 $e |- ( ( ps /\ ( ch /\ th ) ) -> ta ) $.
      $( Syllogism combined with contraction.  (Contributed by Jeff Hankins,
         1-Aug-2009.) $)
      syl12anc $p |- ( ph -> ta ) $=
        ( wa jca32 syl ) ABCDJJEABCDFGHKIL $.
        $( [1-Aug-2009] $)
    $}

    ${
      syl21anc.4 $e |- ( ( ( ps /\ ch ) /\ th ) -> ta ) $.
      $( Syllogism combined with contraction.  (Contributed by Jeff Hankins,
         1-Aug-2009.) $)
      syl21anc $p |- ( ph -> ta ) $=
        ( wa jca31 syl ) ABCJDJEABCDFGHKIL $.
        $( [1-Aug-2009] $)
    $}

    ${
      syl111anc.4 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
      $( Syllogism combined with contraction. $)
      syl3anc $p |- ( ph -> ta ) $=
        ( w3a 3jca syl ) ABCDJEABCDFGHKIL $.
        $( [11-Mar-2012] $)
    $}

    sylXanc.4 $e |- ( ph -> ta ) $.
    ${
      syl22anc.5 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta ) ) -> et ) $.
      $( Syllogism combined with contraction. $)
      syl22anc $p |- ( ph -> et ) $=
        ( wa jca syl12anc ) ABCLDEFABCGHMIJKN $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl13anc.5 $e |- ( ( ps /\ ( ch /\ th /\ ta ) ) -> et ) $.
      $( Syllogism combined with contraction. $)
      syl13anc $p |- ( ph -> et ) $=
        ( w3a 3jca syl2anc ) ABCDELFGACDEHIJMKN $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl31anc.5 $e |- ( ( ( ps /\ ch /\ th ) /\ ta ) -> et ) $.
      $( Syllogism combined with contraction. $)
      syl31anc $p |- ( ph -> et ) $=
        ( w3a 3jca syl2anc ) ABCDLEFABCDGHIMJKN $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl112anc.5 $e |- ( ( ps /\ ch /\ ( th /\ ta ) ) -> et ) $.
      $( Syllogism combined with contraction. $)
      syl112anc $p |- ( ph -> et ) $=
        ( wa jca syl3anc ) ABCDELFGHADEIJMKN $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl121anc.5 $e |- ( ( ps /\ ( ch /\ th ) /\ ta ) -> et ) $.
      $( Syllogism combined with contraction. $)
      syl121anc $p |- ( ph -> et ) $=
        ( wa jca syl3anc ) ABCDLEFGACDHIMJKN $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl211anc.5 $e |- ( ( ( ps /\ ch ) /\ th /\ ta ) -> et ) $.
      $( Syllogism combined with contraction. $)
      syl211anc $p |- ( ph -> et ) $=
        ( wa jca syl3anc ) ABCLDEFABCGHMIJKN $.
        $( [11-Mar-2012] $)
    $}

    sylXanc.5 $e |- ( ph -> et ) $.
    ${
      syl23anc.6 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta /\ et ) ) -> ze ) $.
      $( Syllogism combined with contraction. $)
      syl23anc $p |- ( ph -> ze ) $=
        ( wa jca syl13anc ) ABCNDEFGABCHIOJKLMP $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl32anc.6 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et ) ) -> ze ) $.
      $( Syllogism combined with contraction. $)
      syl32anc $p |- ( ph -> ze ) $=
        ( wa jca syl31anc ) ABCDEFNGHIJAEFKLOMP $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl122anc.6 $e |- ( ( ps /\ ( ch /\ th ) /\ ( ta /\ et ) ) -> ze ) $.
      $( Syllogism combined with contraction. $)
      syl122anc $p |- ( ph -> ze ) $=
        ( wa jca syl121anc ) ABCDEFNGHIJAEFKLOMP $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl212anc.6 $e |- ( ( ( ps /\ ch ) /\ th /\ ( ta /\ et ) ) -> ze ) $.
      $( Syllogism combined with contraction. $)
      syl212anc $p |- ( ph -> ze ) $=
        ( wa jca syl211anc ) ABCDEFNGHIJAEFKLOMP $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl221anc.6 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta ) /\ et ) -> ze ) $.
      $( Syllogism combined with contraction. $)
      syl221anc $p |- ( ph -> ze ) $=
        ( wa jca syl211anc ) ABCDENFGHIADEJKOLMP $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl113anc.6 $e |- ( ( ps /\ ch /\ ( th /\ ta /\ et ) ) -> ze ) $.
      $( Syllogism combined with contraction. $)
      syl113anc $p |- ( ph -> ze ) $=
        ( w3a 3jca syl3anc ) ABCDEFNGHIADEFJKLOMP $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl131anc.6 $e |- ( ( ps /\ ( ch /\ th /\ ta ) /\ et ) -> ze ) $.
      $( Syllogism combined with contraction. $)
      syl131anc $p |- ( ph -> ze ) $=
        ( w3a 3jca syl3anc ) ABCDENFGHACDEIJKOLMP $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl311anc.6 $e |- ( ( ( ps /\ ch /\ th ) /\ ta /\ et ) -> ze ) $.
      $( Syllogism combined with contraction. $)
      syl311anc $p |- ( ph -> ze ) $=
        ( w3a 3jca syl3anc ) ABCDNEFGABCDHIJOKLMP $.
        $( [11-Mar-2012] $)
    $}

    sylXanc.6 $e |- ( ph -> ze ) $.
    ${
      syl33anc.7 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et /\ ze ) )
           -> si ) $.
      $( Syllogism combined with contraction. $)
      syl33anc $p |- ( ph -> si ) $=
        ( w3a 3jca syl13anc ) ABCDPEFGHABCDIJKQLMNOR $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl222anc.7 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta ) /\ ( et /\ ze ) )
           -> si ) $.
      $( Syllogism combined with contraction. $)
      syl222anc $p |- ( ph -> si ) $=
        ( wa jca syl221anc ) ABCDEFGPHIJKLAFGMNQOR $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl123anc.7 $e |- ( ( ps /\ ( ch /\ th ) /\ ( ta /\ et /\ ze ) )
           -> si ) $.
      $( Syllogism combined with contraction. $)
      syl123anc $p |- ( ph -> si ) $=
        ( wa jca syl113anc ) ABCDPEFGHIACDJKQLMNOR $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl132anc.7 $e |- ( ( ps /\ ( ch /\ th /\ ta ) /\ ( et /\ ze ) )
           -> si ) $.
      $( Syllogism combined with contraction. $)
      syl132anc $p |- ( ph -> si ) $=
        ( wa jca syl131anc ) ABCDEFGPHIJKLAFGMNQOR $.
        $( [11-Jul-2012] $)
    $}

    ${
      syl213anc.7 $e |- ( ( ( ps /\ ch ) /\ th /\ ( ta /\ et /\ ze ) )
           -> si ) $.
      $( Syllogism combined with contraction. $)
      syl213anc $p |- ( ph -> si ) $=
        ( wa jca syl113anc ) ABCPDEFGHABCIJQKLMNOR $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl231anc.7 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta /\ et ) /\ ze )
           -> si ) $.
      $( Syllogism combined with contraction. $)
      syl231anc $p |- ( ph -> si ) $=
        ( wa jca syl131anc ) ABCPDEFGHABCIJQKLMNOR $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl312anc.7 $e |- ( ( ( ps /\ ch /\ th ) /\ ta /\ ( et /\ ze ) )
           -> si ) $.
      $( Syllogism combined with contraction. $)
      syl312anc $p |- ( ph -> si ) $=
        ( wa jca syl311anc ) ABCDEFGPHIJKLAFGMNQOR $.
        $( [11-Jul-2012] $)
    $}

    ${
      syl321anc.7 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et ) /\ ze )
           -> si ) $.
      $( Syllogism combined with contraction. $)
      syl321anc $p |- ( ph -> si ) $=
        ( wa jca syl311anc ) ABCDEFPGHIJKAEFLMQNOR $.
        $( [11-Jul-2012] $)
    $}

    sylXanc.7 $e |- ( ph -> si ) $.
    ${
      syl133anc.8 $e |- ( ( ps /\ ( ch /\ th /\ ta ) /\ ( et /\ ze /\ si ) )
           -> rh ) $.
      $( Syllogism combined with contraction. $)
      syl133anc $p |- ( ph -> rh ) $=
        ( w3a 3jca syl131anc ) ABCDEFGHRIJKLMAFGHNOPSQT $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl313anc.8 $e |- ( ( ( ps /\ ch /\ th ) /\ ta /\ ( et /\ ze /\ si ) )
           -> rh ) $.
      $( Syllogism combined with contraction. $)
      syl313anc $p |- ( ph -> rh ) $=
        ( w3a 3jca syl311anc ) ABCDEFGHRIJKLMAFGHNOPSQT $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl331anc.8 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et /\ ze ) /\ si )
           -> rh ) $.
      $( Syllogism combined with contraction. $)
      syl331anc $p |- ( ph -> rh ) $=
        ( w3a 3jca syl311anc ) ABCDEFGRHIJKLAEFGMNOSPQT $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl223anc.8 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta ) /\ ( et /\ ze /\ si )
          ) -> rh ) $.
      $( Syllogism combined with contraction. $)
      syl223anc $p |- ( ph -> rh ) $=
        ( wa jca syl213anc ) ABCDERFGHIJKADELMSNOPQT $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl232anc.8 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta /\ et ) /\ ( ze /\ si )
          ) -> rh ) $.
      $( Syllogism combined with contraction. $)
      syl232anc $p |- ( ph -> rh ) $=
        ( wa jca syl231anc ) ABCDEFGHRIJKLMNAGHOPSQT $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl322anc.8 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et ) /\ ( ze /\ si )
          ) -> rh ) $.
      $( Syllogism combined with contraction. $)
      syl322anc $p |- ( ph -> rh ) $=
        ( wa jca syl321anc ) ABCDEFGHRIJKLMNAGHOPSQT $.
        $( [11-Mar-2012] $)
    $}

    sylXanc.8 $e |- ( ph -> rh ) $.
    ${
      syl233anc.9 $e |- ( ( ( ps /\ ch ) /\ ( th /\ ta /\ et ) /\ ( ze /\ si /\
          rh ) ) -> mu ) $.
      $( Syllogism combined with contraction. $)
      syl233anc $p |- ( ph -> mu ) $=
        ( wa jca syl133anc ) ABCTDEFGHIJABCKLUAMNOPQRSUB $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl323anc.9 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et ) /\ ( ze /\ si /\
          rh ) ) -> mu ) $.
      $( Syllogism combined with contraction. $)
      syl323anc $p |- ( ph -> mu ) $=
        ( wa jca syl313anc ) ABCDEFTGHIJKLMAEFNOUAPQRSUB $.
        $( [11-Mar-2012] $)
    $}

    ${
      syl332anc.9 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et /\ ze ) /\ ( si /\
          rh ) ) -> mu ) $.
      $( Syllogism combined with contraction. $)
      syl332anc $p |- ( ph -> mu ) $=
        ( wa jca syl331anc ) ABCDEFGHITJKLMNOPAHIQRUASUB $.
        $( [11-Mar-2012] $)
    $}

    sylXanc.9 $e |- ( ph -> mu ) $.
    ${
      syl333anc.10 $e |- ( ( ( ps /\ ch /\ th ) /\ ( ta /\ et /\ ze )
          /\ ( si /\ rh /\ mu ) ) -> la ) $.
      $( A syllogism inference combined with contraction. $)
      syl333anc $p |- ( ph -> la ) $=
        ( w3a 3jca syl331anc ) ABCDEFGHIJUBKLMNOPQAHIJRSTUCUAUD $.
        $( [10-Mar-2012] $)
    $}
  $}

  ${
    syl3an1.1 $e |- ( ph -> ps ) $.
    syl3an1.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference. $)
    syl3an1 $p |- ( ( ph /\ ch /\ th ) -> ta ) $=
      ( w3a 3anim1i syl ) ACDHBCDHEABCDFIGJ $.
      $( [22-Aug-1995] $)
  $}

  ${
    syl3an2.1 $e |- ( ph -> ch ) $.
    syl3an2.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference. $)
    syl3an2 $p |- ( ( ps /\ ph /\ th ) -> ta ) $=
      ( wi 3exp syl5 3imp ) BADEACBDEHFBCDEGIJK $.
      $( [22-Aug-1995] $)
  $}

  ${
    syl3an3.1 $e |- ( ph -> th ) $.
    syl3an3.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference. $)
    syl3an3 $p |- ( ( ps /\ ch /\ ph ) -> ta ) $=
      ( 3exp syl7 3imp ) BCAEADBCEFBCDEGHIJ $.
      $( [22-Aug-1995] $)
  $}

  ${
    syl3an1b.1 $e |- ( ph <-> ps ) $.
    syl3an1b.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference. $)
    syl3an1b $p |- ( ( ph /\ ch /\ th ) -> ta ) $=
      ( biimpi syl3an1 ) ABCDEABFHGI $.
      $( [22-Aug-1995] $)
  $}

  ${
    syl3an2b.1 $e |- ( ph <-> ch ) $.
    syl3an2b.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference. $)
    syl3an2b $p |- ( ( ps /\ ph /\ th ) -> ta ) $=
      ( biimpi syl3an2 ) ABCDEACFHGI $.
      $( [22-Aug-1995] $)
  $}

  ${
    syl3an3b.1 $e |- ( ph <-> th ) $.
    syl3an3b.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference. $)
    syl3an3b $p |- ( ( ps /\ ch /\ ph ) -> ta ) $=
      ( biimpi syl3an3 ) ABCDEADFHGI $.
      $( [22-Aug-1995] $)
  $}

  ${
    syl3an1br.1 $e |- ( ps <-> ph ) $.
    syl3an1br.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference. $)
    syl3an1br $p |- ( ( ph /\ ch /\ th ) -> ta ) $=
      ( biimpri syl3an1 ) ABCDEBAFHGI $.
      $( [22-Aug-1995] $)
  $}

  ${
    syl3an2br.1 $e |- ( ch <-> ph ) $.
    syl3an2br.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference. $)
    syl3an2br $p |- ( ( ps /\ ph /\ th ) -> ta ) $=
      ( biimpri syl3an2 ) ABCDECAFHGI $.
      $( [22-Aug-1995] $)
  $}

  ${
    syl3an3br.1 $e |- ( th <-> ph ) $.
    syl3an3br.2 $e |- ( ( ps /\ ch /\ th ) -> ta ) $.
    $( A syllogism inference. $)
    syl3an3br $p |- ( ( ps /\ ch /\ ph ) -> ta ) $=
      ( biimpri syl3an3 ) ABCDEDAFHGI $.
      $( [22-Aug-1995] $)
  $}

  ${
    syl3an.1 $e |- ( ph -> ps ) $.
    syl3an.2 $e |- ( ch -> th ) $.
    syl3an.3 $e |- ( ta -> et ) $.
    syl3an.4 $e |- ( ( ps /\ th /\ et ) -> ze ) $.
    $( A triple syllogism inference. $)
    syl3an $p |- ( ( ph /\ ch /\ ta ) -> ze ) $=
      ( w3a 3anim123i syl ) ACELBDFLGABCDEFHIJMKN $.
      $( [13-May-2004] $)
  $}

  ${
    syl3anb.1 $e |- ( ph <-> ps ) $.
    syl3anb.2 $e |- ( ch <-> th ) $.
    syl3anb.3 $e |- ( ta <-> et ) $.
    syl3anb.4 $e |- ( ( ps /\ th /\ et ) -> ze ) $.
    $( A triple syllogism inference. $)
    syl3anb $p |- ( ( ph /\ ch /\ ta ) -> ze ) $=
      ( w3a 3anbi123i sylbi ) ACELBDFLGABCDEFHIJMKN $.
      $( [15-Oct-2005] $)
  $}

  ${
    syl3anbr.1 $e |- ( ps <-> ph ) $.
    syl3anbr.2 $e |- ( th <-> ch ) $.
    syl3anbr.3 $e |- ( et <-> ta ) $.
    syl3anbr.4 $e |- ( ( ps /\ th /\ et ) -> ze ) $.
    $( A triple syllogism inference. $)
    syl3anbr $p |- ( ( ph /\ ch /\ ta ) -> ze ) $=
      ( bicomi syl3anb ) ABCDEFGBAHLDCILFEJLKM $.
      $( [29-Dec-2011] $)
  $}

  ${
    syld3an3.1 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    syld3an3.2 $e |- ( ( ph /\ ps /\ th ) -> ta ) $.
    $( A syllogism inference. $)
    syld3an3 $p |- ( ( ph /\ ps /\ ch ) -> ta ) $=
      ( w3a simp1 simp2 syl3anc ) ABCHABDEABCIABCJFGK $.
      $( [20-May-2007] $)
  $}

  ${
    syld3an1.1 $e |- ( ( ch /\ ps /\ th ) -> ph ) $.
    syld3an1.2 $e |- ( ( ph /\ ps /\ th ) -> ta ) $.
    $( A syllogism inference. $)
    syld3an1 $p |- ( ( ch /\ ps /\ th ) -> ta ) $=
      ( 3com13 syld3an3 ) DBCEDBCAECBDAFHABDEGHIH $.
      $( [7-Jul-2008] $)
  $}

  ${
    syld3an2.1 $e |- ( ( ph /\ ch /\ th ) -> ps ) $.
    syld3an2.2 $e |- ( ( ph /\ ps /\ th ) -> ta ) $.
    $( A syllogism inference. $)
    syld3an2 $p |- ( ( ph /\ ch /\ th ) -> ta ) $=
      ( 3com23 syld3an3 ) ADCEADCBEACDBFHABDEGHIH $.
      $( [20-May-2007] $)
  $}

  ${
    syl3anl1.1 $e |- ( ph -> ps ) $.
    syl3anl1.2 $e |- ( ( ( ps /\ ch /\ th ) /\ ta ) -> et ) $.
    $( A syllogism inference. $)
    syl3anl1 $p |- ( ( ( ph /\ ch /\ th ) /\ ta ) -> et ) $=
      ( w3a 3anim1i sylan ) ACDIBCDIEFABCDGJHK $.
      $( [24-Feb-2005] $)
  $}

  ${
    syl3anl2.1 $e |- ( ph -> ch ) $.
    syl3anl2.2 $e |- ( ( ( ps /\ ch /\ th ) /\ ta ) -> et ) $.
    $( A syllogism inference. $)
    syl3anl2 $p |- ( ( ( ps /\ ph /\ th ) /\ ta ) -> et ) $=
      ( w3a wi ex syl3an2 imp ) BADIEFABCDEFJGBCDIEFHKLM $.
      $( [24-Feb-2005] $)
  $}

  ${
    syl3anl3.1 $e |- ( ph -> th ) $.
    syl3anl3.2 $e |- ( ( ( ps /\ ch /\ th ) /\ ta ) -> et ) $.
    $( A syllogism inference. $)
    syl3anl3 $p |- ( ( ( ps /\ ch /\ ph ) /\ ta ) -> et ) $=
      ( w3a 3anim3i sylan ) BCAIBCDIEFADBCGJHK $.
      $( [24-Feb-2005] $)
  $}

  ${
    syl3anl.1 $e |- ( ph -> ps ) $.
    syl3anl.2 $e |- ( ch -> th ) $.
    syl3anl.3 $e |- ( ta -> et ) $.
    syl3anl.4 $e |- ( ( ( ps /\ th /\ et ) /\ ze ) -> si ) $.
    $( A triple syllogism inference. $)
    syl3anl $p |- ( ( ( ph /\ ch /\ ta ) /\ ze ) -> si ) $=
      ( w3a 3anim123i sylan ) ACEMBDFMGHABCDEFIJKNLO $.
      $( [24-Dec-2006] $)
  $}

  ${
    syl3anr1.1 $e |- ( ph -> ps ) $.
    syl3anr1.2 $e |- ( ( ch /\ ( ps /\ th /\ ta ) ) -> et ) $.
    $( A syllogism inference. $)
    syl3anr1 $p |- ( ( ch /\ ( ph /\ th /\ ta ) ) -> et ) $=
      ( w3a 3anim1i sylan2 ) ADEICBDEIFABDEGJHK $.
      $( [31-Jul-2007] $)
  $}

  ${
    syl3anr2.1 $e |- ( ph -> th ) $.
    syl3anr2.2 $e |- ( ( ch /\ ( ps /\ th /\ ta ) ) -> et ) $.
    $( A syllogism inference. $)
    syl3anr2 $p |- ( ( ch /\ ( ps /\ ph /\ ta ) ) -> et ) $=
      ( w3a ancoms syl3anl2 ) BAEICFABDECFGCBDEIFHJKJ $.
      $( [1-Aug-2007] $)
  $}

  ${
    syl3anr3.1 $e |- ( ph -> ta ) $.
    syl3anr3.2 $e |- ( ( ch /\ ( ps /\ th /\ ta ) ) -> et ) $.
    $( A syllogism inference. $)
    syl3anr3 $p |- ( ( ch /\ ( ps /\ th /\ ph ) ) -> et ) $=
      ( w3a 3anim3i sylan2 ) BDAICBDEIFAEBDGJHK $.
      $( [23-Aug-2007] $)
  $}

  ${
    3impdi.1 $e |- ( ( ( ph /\ ps ) /\ ( ph /\ ch ) ) -> th ) $.
    $( Importation inference (undistribute conjunction). $)
    3impdi $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( anandis 3impb ) ABCDABCDEFG $.
      $( [14-Aug-1995] $)
  $}

  ${
    3impdir.1 $e |- ( ( ( ph /\ ps ) /\ ( ch /\ ps ) ) -> th ) $.
    $( Importation inference (undistribute conjunction). $)
    3impdir $p |- ( ( ph /\ ch /\ ps ) -> th ) $=
      ( anandirs 3impa ) ACBDACBDEFG $.
      $( [20-Aug-1995] $)
  $}

  ${
    3anidm12.1 $e |- ( ( ph /\ ph /\ ps ) -> ch ) $.
    $( Inference from idempotent law for conjunction. $)
    3anidm12 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( 3expib anabsi5 ) ABCAABCDEF $.
      $( [7-Mar-2008] $)
  $}

  ${
    3anidm13.1 $e |- ( ( ph /\ ps /\ ph ) -> ch ) $.
    $( Inference from idempotent law for conjunction. $)
    3anidm13 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( 3com23 3anidm12 ) ABCABACDEF $.
      $( [7-Mar-2008] $)
  $}

  ${
    3anidm23.1 $e |- ( ( ph /\ ps /\ ps ) -> ch ) $.
    $( Inference from idempotent law for conjunction. $)
    3anidm23 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( 3expa anabss3 ) ABCABBCDEF $.
      $( [1-Feb-2007] $)
  $}

  ${
    3ori.1 $e |- ( ph \/ ps \/ ch ) $.
    $( Infer implication from triple disjunction. $)
    3ori $p |- ( ( -. ph /\ -. ps ) -> ch ) $=
      ( wn wa wo ioran w3o df-3or mpbi ori sylbir ) AEBEFABGZECABHNCABCINCGDABC
      JKLM $.
      $( [26-Sep-2006] $)
  $}

  $( Disjunction of 3 antecedents. $)
  3jao $p |- ( ( ( ph -> ps ) /\ ( ch -> ps ) /\ ( th -> ps ) ) ->
              ( ( ph \/ ch \/ th ) -> ps ) ) $=
    ( w3o wo wi w3a df-3or jao syl6 3imp syl5bi ) ACDEACFZDFZABGZCBGZDBGZHBACDI
    PQROBGZPQNBGRSGABCJNBDJKLM $.
    $( [8-Apr-1994] $)

  $( Disjunction of 3 antecedents. $)
  3jaob $p |- ( ( ( ph \/ ch \/ th ) -> ps ) <->
              ( ( ph -> ps ) /\ ( ch -> ps ) /\ ( th -> ps ) ) ) $=
    ( w3o wi w3a 3mix1 imim1i 3mix2 3mix3 3jca 3jao impbii ) ACDEZBFZABFZCBFZDB
    FZGPQRSAOBACDHICOBCADJIDOBDACKILABCDMN $.
    $( [13-Sep-2011] $)

  ${
    3jaoi.1 $e |- ( ph -> ps ) $.
    3jaoi.2 $e |- ( ch -> ps ) $.
    3jaoi.3 $e |- ( th -> ps ) $.
    $( Disjunction of 3 antecedents (inference). $)
    3jaoi $p |- ( ( ph \/ ch \/ th ) -> ps ) $=
      ( wi w3a w3o 3pm3.2i 3jao ax-mp ) ABHZCBHZDBHZIACDJBHNOPEFGKABCDLM $.
      $( [12-Sep-1995] $)
  $}

  ${
    3jaod.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3jaod.2 $e |- ( ph -> ( th -> ch ) ) $.
    3jaod.3 $e |- ( ph -> ( ta -> ch ) ) $.
    $( Disjunction of 3 antecedents (deduction). $)
    3jaod $p |- ( ph -> ( ( ps \/ th \/ ta ) -> ch ) ) $=
      ( wi w3o 3jao syl3anc ) ABCIDCIECIBDEJCIFGHBCDEKL $.
      $( [14-Oct-2005] $)
  $}

  ${
    3jaoian.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    3jaoian.2 $e |- ( ( th /\ ps ) -> ch ) $.
    3jaoian.3 $e |- ( ( ta /\ ps ) -> ch ) $.
    $( Disjunction of 3 antecedents (inference). $)
    3jaoian $p |- ( ( ( ph \/ th \/ ta ) /\ ps ) -> ch ) $=
      ( w3o wi ex 3jaoi imp ) ADEIBCABCJDEABCFKDBCGKEBCHKLM $.
      $( [14-Oct-2005] $)
  $}

  ${
    3jaodan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    3jaodan.2 $e |- ( ( ph /\ th ) -> ch ) $.
    3jaodan.3 $e |- ( ( ph /\ ta ) -> ch ) $.
    $( Disjunction of 3 antecedents (deduction). $)
    3jaodan $p |- ( ( ph /\ ( ps \/ th \/ ta ) ) -> ch ) $=
      ( w3o ex 3jaod imp ) ABDEICABCDEABCFJADCGJAECHJKL $.
      $( [14-Oct-2005] $)
  $}

  ${
    3jaao.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3jaao.2 $e |- ( th -> ( ta -> ch ) ) $.
    3jaao.3 $e |- ( et -> ( ze -> ch ) ) $.
    $( Inference conjoining and disjoining the antecedents of three
       implications.  (Contributed by Jeff Hankins, 15-Aug-2009.)  (The proof
       was shortened by Andrew Salmon, 13-May-2011.) $)
    3jaao $p |- ( ( ph /\ th /\ et ) -> ( ( ps \/ ta \/ ze ) -> ch ) ) $=
      ( w3a wi 3ad2ant1 3ad2ant2 3ad2ant3 3jaod ) ADFKBCEGADBCLFHMDAECLFINFAGCL
      DJOP $.
      $( [16-May-2011] $) $( [3-Aug-2009] $)
  $}

  ${
    syl3an9b.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl3an9b.2 $e |- ( th -> ( ch <-> ta ) ) $.
    syl3an9b.3 $e |- ( et -> ( ta <-> ze ) ) $.
    $( Nested syllogism inference conjoining 3 dissimilar antecedents. $)
    syl3an9b $p |- ( ( ph /\ th /\ et ) -> ( ps <-> ze ) ) $=
      ( wb wa sylan9bb 3impa ) ADFBGKADLBEFGABCDEHIMJMN $.
      $( [1-May-1995] $)
  $}

  ${
    bi3d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bi3d.2 $e |- ( ph -> ( th <-> ta ) ) $.
    bi3d.3 $e |- ( ph -> ( et <-> ze ) ) $.
    $( Deduction joining 3 equivalences to form equivalence of disjunctions. $)
    3orbi123d $p |- ( ph -> ( ( ps \/ th \/ et ) <-> ( ch \/ ta \/ ze ) ) ) $=
      ( wo w3o orbi12d df-3or 3bitr4g ) ABDKZFKCEKZGKBDFLCEGLAPQFGABCDEHIMJMBDF
      NCEGNO $.
      $( [20-Apr-1994] $)

    $( Deduction joining 3 equivalences to form equivalence of conjunctions. $)
    3anbi123d $p |- ( ph -> ( ( ps /\ th /\ et ) <-> ( ch /\ ta /\ ze ) ) ) $=
      ( wa w3a anbi12d df-3an 3bitr4g ) ABDKZFKCEKZGKBDFLCEGLAPQFGABCDEHIMJMBDF
      NCEGNO $.
      $( [22-Apr-1994] $)
  $}

  ${
    3anbi12d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3anbi12d.2 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction conjoining and adding a conjunct to equivalences. $)
    3anbi12d $p |- ( ph -> ( ( ps /\ th /\ et ) <-> ( ch /\ ta /\ et ) ) ) $=
      ( biidd 3anbi123d ) ABCDEFFGHAFIJ $.
      $( [8-Sep-2006] $)

    $( Deduction conjoining and adding a conjunct to equivalences. $)
    3anbi13d $p |- ( ph -> ( ( ps /\ et /\ th ) <-> ( ch /\ et /\ ta ) ) ) $=
      ( biidd 3anbi123d ) ABCFFDEGAFIHJ $.
      $( [8-Sep-2006] $)

    $( Deduction conjoining and adding a conjunct to equivalences. $)
    3anbi23d $p |- ( ph -> ( ( et /\ ps /\ th ) <-> ( et /\ ch /\ ta ) ) ) $=
      ( biidd 3anbi123d ) AFFBCDEAFIGHJ $.
      $( [8-Sep-2006] $)
  $}

  ${
    3anbi1d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction adding conjuncts to an equivalence. $)
    3anbi1d $p |- ( ph -> ( ( ps /\ th /\ ta ) <-> ( ch /\ th /\ ta ) ) ) $=
      ( biidd 3anbi12d ) ABCDDEFADGH $.
      $( [8-Sep-2006] $)

    $( Deduction adding conjuncts to an equivalence. $)
    3anbi2d $p |- ( ph -> ( ( th /\ ps /\ ta ) <-> ( th /\ ch /\ ta ) ) ) $=
      ( biidd 3anbi12d ) ADDBCEADGFH $.
      $( [8-Sep-2006] $)

    $( Deduction adding conjuncts to an equivalence. $)
    3anbi3d $p |- ( ph -> ( ( th /\ ta /\ ps ) <-> ( th /\ ta /\ ch ) ) ) $=
      ( biidd 3anbi13d ) ADDBCEADGFH $.
      $( [8-Sep-2006] $)
  $}

  ${
    3anim123d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3anim123d.2 $e |- ( ph -> ( th -> ta ) ) $.
    3anim123d.3 $e |- ( ph -> ( et -> ze ) ) $.
    $( Deduction joining 3 implications to form implication of conjunctions. $)
    3anim123d $p |- ( ph -> ( ( ps /\ th /\ et ) -> ( ch /\ ta /\ ze ) ) ) $=
      ( wa w3a anim12d df-3an 3imtr4g ) ABDKZFKCEKZGKBDFLCEGLAPQFGABCDEHIMJMBDF
      NCEGNO $.
      $( [24-Feb-2005] $)

    $( Deduction joining 3 implications to form implication of disjunctions. $)
    3orim123d $p |- ( ph -> ( ( ps \/ th \/ et ) -> ( ch \/ ta \/ ze ) ) ) $=
      ( wo w3o orim12d df-3or 3imtr4g ) ABDKZFKCEKZGKBDFLCEGLAPQFGABCDEHIMJMBDF
      NCEGNO $.
      $( [4-Apr-1997] $)
  $}

  $( Rearrangement of 6 conjuncts. $)
  an6 $p |- ( ( ( ph /\ ps /\ ch ) /\ ( th /\ ta /\ et ) ) <->
              ( ( ph /\ th ) /\ ( ps /\ ta ) /\ ( ch /\ et ) ) ) $=
    ( w3a wa df-3an anbi12i an4 anbi1i 3bitri bitr4i ) ABCGZDEFGZHZADHZBEHZHZCF
    HZHZRSUAGQABHZCHZDEHZFHZHUCUEHZUAHUBOUDPUFABCIDEFIJUCCUEFKUGTUAABDEKLMRSUAI
    N $.
    $( [13-Mar-1995] $)

  $( Analog of ~ an4 for triple conjunction.  (Contributed by Scott Fenton,
     16-Mar-2011.)  (The proof was shortened by Andrew Salmon, 25-May-2011.) $)
  3an6 $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) /\ ( ta /\ et ) ) <->
                ( ( ph /\ ch /\ ta ) /\ ( ps /\ th /\ et ) ) ) $=
    ( w3a wa an6 bicomi ) ACEGBDFGHABHCDHEFHGACEBDFIJ $.
    $( [25-May-2011] $) $( [16-Mar-2011] $)

  $( Analog of ~ or4 for triple conjunction.  (Contributed by Scott Fenton,
     16-Mar-2011.) $)
  3or6 $p |- ( ( ( ph \/ ps ) \/ ( ch \/ th ) \/ ( ta \/ et ) ) <->
                ( ( ph \/ ch \/ ta ) \/ ( ps \/ th \/ et ) ) ) $=
    ( wo w3o or4 orbi1i bitr2i df-3or orbi12i 3bitr4i ) ABGZCDGZGZEFGZGZACGZEGZ
    BDGZFGZGZOPRHACEHZBDFHZGUDTUBGZRGSTEUBFIUGQRACBDIJKOPRLUEUAUFUCACELBDFLMN
    $.
    $( [20-Mar-2011] $)

  ${
    mp3an1.1 $e |- ph $.
    mp3an1.2 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mp3an1 $p |- ( ( ps /\ ch ) -> th ) $=
      ( wa 3expb mpan ) ABCGDEABCDFHI $.
      $( [21-Nov-1994] $)
  $}

  ${
    mp3an2.1 $e |- ps $.
    mp3an2.2 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mp3an2 $p |- ( ( ph /\ ch ) -> th ) $=
      ( 3expa mpanl2 ) ABCDEABCDFGH $.
      $( [21-Nov-1994] $)
  $}

  ${
    mp3an3.1 $e |- ch $.
    mp3an3.2 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mp3an3 $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa 3expia mpi ) ABGCDEABCDFHI $.
      $( [21-Nov-1994] $)
  $}

  ${
    mp3an12.1 $e |- ph $.
    mp3an12.2 $e |- ps $.
    mp3an12.3 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mp3an12 $p |- ( ch -> th ) $=
      ( mp3an1 mpan ) BCDFABCDEGHI $.
      $( [13-Jul-2005] $)
  $}

  ${
    mp3an13.1 $e |- ph $.
    mp3an13.2 $e |- ch $.
    mp3an13.3 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mp3an13 $p |- ( ps -> th ) $=
      ( mp3an3 mpan ) ABDEABCDFGHI $.
      $( [14-Jul-2005] $)
  $}

  ${
    mp3an23.1 $e |- ps $.
    mp3an23.2 $e |- ch $.
    mp3an23.3 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mp3an23 $p |- ( ph -> th ) $=
      ( mp3an3 mpan2 ) ABDEABCDFGHI $.
      $( [14-Jul-2005] $)
  $}

  ${
    mp3an1i.1 $e |- ps $.
    mp3an1i.2 $e |- ( ph -> ( ( ps /\ ch /\ th ) -> ta ) ) $.
    $( An inference based on modus ponens. $)
    mp3an1i $p |- ( ph -> ( ( ch /\ th ) -> ta ) ) $=
      ( wa wi w3a com12 mp3an1 ) CDHAEBCDAEIFABCDJEGKLK $.
      $( [5-Jul-2005] $)
  $}

  ${
    mp3anl1.1 $e |- ph $.
    mp3anl1.2 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    $( An inference based on modus ponens. $)
    mp3anl1 $p |- ( ( ( ps /\ ch ) /\ th ) -> ta ) $=
      ( wa wi w3a ex mp3an1 imp ) BCHDEABCDEIFABCJDEGKLM $.
      $( [24-Feb-2005] $)
  $}

  ${
    mp3anl2.1 $e |- ps $.
    mp3anl2.2 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    $( An inference based on modus ponens. $)
    mp3anl2 $p |- ( ( ( ph /\ ch ) /\ th ) -> ta ) $=
      ( wa wi w3a ex mp3an2 imp ) ACHDEABCDEIFABCJDEGKLM $.
      $( [24-Feb-2005] $)
  $}

  ${
    mp3anl3.1 $e |- ch $.
    mp3anl3.2 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    $( An inference based on modus ponens. $)
    mp3anl3 $p |- ( ( ( ph /\ ps ) /\ th ) -> ta ) $=
      ( wa wi w3a ex mp3an3 imp ) ABHDEABCDEIFABCJDEGKLM $.
      $( [24-Feb-2005] $)
  $}

  ${
    mp3anr1.1 $e |- ps $.
    mp3anr1.2 $e |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $.
    $( An inference based on modus ponens. $)
    mp3anr1 $p |- ( ( ph /\ ( ch /\ th ) ) -> ta ) $=
      ( wa w3a ancoms mp3anl1 ) CDHAEBCDAEFABCDIEGJKJ $.
      $( [4-Nov-2006] $)
  $}

  ${
    mp3anr2.1 $e |- ch $.
    mp3anr2.2 $e |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $.
    $( An inference based on modus ponens. $)
    mp3anr2 $p |- ( ( ph /\ ( ps /\ th ) ) -> ta ) $=
      ( wa w3a ancoms mp3anl2 ) BDHAEBCDAEFABCDIEGJKJ $.
      $( [24-Nov-2006] $)
  $}

  ${
    mp3anr3.1 $e |- th $.
    mp3anr3.2 $e |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $.
    $( An inference based on modus ponens. $)
    mp3anr3 $p |- ( ( ph /\ ( ps /\ ch ) ) -> ta ) $=
      ( wa w3a ancoms mp3anl3 ) BCHAEBCDAEFABCDIEGJKJ $.
      $( [19-Oct-2007] $)
  $}

  ${
    mp3an.1 $e |- ph $.
    mp3an.2 $e |- ps $.
    mp3an.3 $e |- ch $.
    mp3an.4 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mp3an $p |- th $=
      ( mp3an1 mp2an ) BCDFGABCDEHIJ $.
      $( [14-May-1999] $)
  $}

  ${
    mpd3an3.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    mpd3an3.3 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mpd3an3 $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa 3expa mpdan ) ABGCDEABCDFHI $.
      $( [8-Nov-2007] $)
  $}

  ${
    mpd3an23.1 $e |- ( ph -> ps ) $.
    mpd3an23.2 $e |- ( ph -> ch ) $.
    mpd3an23.3 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mpd3an23 $p |- ( ph -> th ) $=
      ( id syl3anc ) AABCDAHEFGI $.
      $( [4-Dec-2006] $)
  $}

  ${
    biimp3a.1 $e |- ( ( ph /\ ps ) -> ( ch <-> th ) ) $.
    $( Infer implication from a logical equivalence.  Similar to ~ biimpa . $)
    biimp3a $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wa biimpa 3impa ) ABCDABFCDEGH $.
      $( [4-Sep-2005] $)

    $( Infer implication from a logical equivalence.  Similar to ~ biimpar . $)
    biimp3ar $p |- ( ( ph /\ ps /\ th ) -> ch ) $=
      ( exbiri 3imp ) ABDCABCDEFG $.
      $( [2-Jan-2009] $)
  $}

  ${
    3anandis.1 $e |- ( ( ( ph /\ ps ) /\ ( ph /\ ch ) /\ ( ph /\ th ) )
                      -> ta ) $.
    $( Inference that undistributes a triple conjunction in the antecedent. $)
    3anandis $p |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $=
      ( w3a wa simpl simpr1 simpr2 simpr3 syl222anc ) ABCDGZHABACADEANIZABCDJOA
      BCDKOABCDLFM $.
      $( [18-Apr-2007] $)
  $}

  ${
    3anandirs.1 $e |- ( ( ( ph /\ th ) /\ ( ps /\ th ) /\ ( ch /\ th ) )
                      -> ta ) $.
    $( Inference that undistributes a triple conjunction in the antecedent. $)
    3anandirs $p |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $=
      ( w3a wa simpl1 simpr simpl2 simpl3 syl222anc ) ABCGZDHADBDCDEABCDINDJZAB
      CDKOABCDLOFM $.
      $( [18-Apr-2007] $) $( [25-Jul-2006] $)
  $}

  ${
    ecase23d.1 $e |- ( ph -> -. ch ) $.
    ecase23d.2 $e |- ( ph -> -. th ) $.
    ecase23d.3 $e |- ( ph -> ( ps \/ ch \/ th ) ) $.
    $( Deduction for elimination by cases. $)
    ecase23d $p |- ( ph -> ps ) $=
      ( wo wn ioran sylanbrc w3o 3orass sylib ord mt3d ) ABCDHZACIDIQIEFCDJKABQ
      ABCDLBQHGBCDMNOP $.
      $( [15-Jul-2005] $) $( [22-Apr-1994] $)
  $}

  ${
    3ecase.1 $e |- ( -. ph -> th ) $.
    3ecase.2 $e |- ( -. ps -> th ) $.
    3ecase.3 $e |- ( -. ch -> th ) $.
    3ecase.4 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( Inference for elimination by cases. $)
    3ecase $p |- th $=
      ( wi 3exp wn a1d pm2.61i pm2.61nii ) BCDABCDIZIABCDHJAKZOBPDCELLMFGN $.
      $( [13-Jul-2005] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
      Other axiomatizations of classical propositional calculus
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
      Derive the Lukasiewicz axioms from Meredith's sole axiom
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Carew Meredith's sole axiom for propositional calculus.  This amazing
     formula is thought to be the shortest possible single axiom for
     propositional calculus with inference rule ~ ax-mp , where negation and
     implication are primitive.  Here we prove Meredith's axiom from ~ ax-1 ,
     ~ ax-2 , and ~ ax-3 .  Then from it we derive the Lukasiewicz axioms
     ~ luk-1 , ~ luk-2 , and ~ luk-3 .  Using these we finally re-derive our
     axioms as ~ ax1 , ~ ax2 , and ~ ax3 , thus proving the equivalence of all
     three systems.  C. A. Meredith, "Single Axioms for the Systems (C,N),
     (C,O) and (A,N) of the Two-Valued Propositional Calculus," _The Journal of
     Computing Systems_ vol. 1 (1953), pp. 155-164.  Meredith claimed to be
     close to a proof that this axiom is the shortest possible, but the proof
     was apparently never completed.

     An obscure Irish lecturer, Meredith (1904-1976) became enamored with logic
     somewhat late in life after attending talks by Lukasiewicz and produced
     many remarkable results such as this axiom.  From his obituary:  "He did
     logic whenever time and opportunity presented themselves, and he did it on
     whatever materials came to hand: in a pub, his favored pint of porter
     within reach, he would use the inside of cigarette packs to write proofs
     for logical colleagues."  (The proof was shortened by Andrew Salmon,
     25-Jul-2011.)  (The proof was shortened by Wolf Lammen, 28-May-2013.) $)
  meredith $p |- ( ( ( ( ( ph -> ps ) -> ( -. ch -> -. th ) ) -> ch ) ->
       ta ) -> ( ( ta -> ph ) -> ( th -> ph ) ) ) $=
    ( wi wn pm2.21 ax-3 imim12i com13 con1d com12 a1d ax-1 imim1d ja ) ABFZCGDG
    FZFZCFZEEAFZDAFZFUAGZUCUBDUDADAUATAGZDCUERSDCFABHCDIJKLMNEDEAEDOPQ $.
    $( [28-May-2013] $) $( [14-Dec-2002] $)

  $( Theorem ~ meredith restated as an axiom.  This will allow us to ensure
     that the rederivation of ~ ax1 , ~ ax2 , and ~ ax3 below depend only on
     Meredith's sole axiom and not accidentally on a previous theorem above.
     Outside of this section, we will not make use of this axiom. $)
  ax-meredith $a |- ( ( ( ( ( ph -> ps ) -> ( -. ch -> -. th ) ) -> ch ) ->
       ta ) -> ( ( ta -> ph ) -> ( th -> ph ) ) ) $.

  $( Step 3 of Meredith's proof of Lukasiewicz axioms from his sole axiom.
     (The step numbers refer to Meredith's original paper.) $)
  merlem1 $p |- ( ( ( ch -> ( -. ph -> ps ) ) -> ta ) -> ( ph -> ta ) ) $=
    ( wn wi ax-meredith ax-mp ) DAEZFIBFZEZIFFZJFCJFZFZMDFADFFJDECEFZEKEFZFOFDF
    LFNIBOKDGJPDCLGHDIJAMGH $.
    $( [14-Dec-2002] $)

  $( Step 4 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem2 $p |- ( ( ( ph -> ph ) -> ch ) -> ( th -> ch ) ) $=
    ( wi wn merlem1 ax-meredith ax-mp ) BBDZAECEZDDADAADZDKBDCBDDAJIAFBBACKGH
    $.
    $( [14-Dec-2002] $)

  $( Step 7 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem3 $p |- ( ( ( ps -> ch ) -> ph ) -> ( ch -> ph ) ) $=
    ( wi wn merlem2 ax-mp ax-meredith ) AADZCEZJDZDZCDBCDZDZMADCADZDOBEZPDDBDZL
    DZNKKDLDRJKIFKLQFGCABBLHGAACCMHG $.
    $( [14-Dec-2002] $)

  $( Step 8 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem4 $p |- ( ta -> ( ( ta -> ph ) -> ( th -> ph ) ) ) $=
    ( wi wn ax-meredith merlem3 ax-mp ) AADBEZIDDBDZCDCADBADDZDCKDAABBCFKJCGH
    $.
    $( [14-Dec-2002] $)

  $( Step 11 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem5 $p |- ( ( ph -> ps ) -> ( -. -. ph -> ps ) ) $=
    ( wi wn ax-meredith merlem1 merlem4 ax-mp ) BBCZBDZJCCBCBCIICCZABCZADZDZBCC
    ZBBBBBEIJNDCCBCZACZOCZKOCZBBBNAEOKDZCMTCCZACQCZRSCUAUBMBLTFAPUAGHOTAKQEHHH
    $.
    $( [14-Dec-2002] $)

  $( Step 12 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem6 $p |- ( ch -> ( ( ( ps -> ch ) -> ph ) -> ( th -> ph ) ) ) $=
    ( wi merlem4 merlem3 ax-mp ) BCEZIAEDAEEZECJEADIFJBCGH $.
    $( [14-Dec-2002] $)

  $( Between steps 14 and 15 of Meredith's proof of Lukasiewicz axioms from his
     sole axiom. $)
  merlem7 $p |- ( ph -> ( ( ( ps -> ch ) -> th ) -> ( ( ( ch -> ta ) ->
                  ( -. th -> -. ps ) ) -> th ) ) ) $=
    ( wi wn merlem4 merlem6 ax-meredith ax-mp ) BCFZLDFZCEFDGBGFFZDFZFZFZAPFZDN
    LHPAGZFCGZSFFZCFLFZQRFOUAFUBSMOTICEDBUAJKPSCALJKK $.
    $( [22-Dec-2002] $)

  $( Step 15 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem8 $p |- ( ( ( ps -> ch ) -> th ) -> ( ( ( ch -> ta ) ->
                  ( -. th -> -. ps ) ) -> th ) ) $=
    ( wph wi wn ax-meredith merlem7 ax-mp ) EEFZEGZLFFEFEFKKFFZABFCFBDFCGAGFFCF
    FEEEEEHMABCDIJ $.
    $( [22-Dec-2002] $)

  $( Step 18 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem9 $p |- ( ( ( ph -> ps ) -> ( ch -> ( th -> ( ps -> ta ) ) ) ) ->
                    ( et -> ( ch -> ( th -> ( ps -> ta ) ) ) ) ) $=
    ( wi wn merlem6 merlem8 ax-mp ax-meredith ) CDBEGZGZGZFHZGBHZPGGZBGABGZGZSO
    GFOGGMRHDHGZHAHGZGUAGRGZTNRGUCPCNQIDMRUBJKBEUAARLKOPBFSLK $.
    $( [22-Dec-2002] $)

  $( Step 19 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem10 $p |- ( ( ph -> ( ph -> ps ) ) -> ( th -> ( ph -> ps ) ) ) $=
    ( wi wn ax-meredith merlem9 ax-mp ) AADZAEZJDDADADIIDDZAABDZDZCLDDZAAAAAFLA
    DJCEDDADZADNDKNDLAACAFOAMCBKGHH $.
    $( [14-Dec-2002] $)

  $( Step 20 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem11 $p |- ( ( ph -> ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wi wn ax-meredith merlem10 ax-mp ) AACZADZICCACACHHCCZAABCZCZKCZAAAAAELMC
    JMCABLFLKJFGG $.
    $( [14-Dec-2002] $)

  $( Step 28 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem12 $p |- ( ( ( th -> ( -. -. ch -> ch ) ) -> ph ) -> ph ) $=
    ( wn wi merlem5 merlem2 ax-mp merlem4 merlem11 ) CBDDBEZEZAEZMAEZEZNLOBBEKE
    LBBFBKCGHAMLIHMAJH $.
    $( [14-Dec-2002] $)

  $( Step 35 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem13 $p |- ( ( ph -> ps ) ->
              ( ( ( th -> ( -. -. ch -> ch ) ) -> -. -. ph ) -> ps ) ) $=
    ( wi wn merlem12 merlem5 ax-mp merlem6 ax-meredith merlem11 ) BBEZAFZDCFFCE
    EZNFZEZFZEZEAEZAEZABEQBEETUAEZUASUBOREZREZSRCDGRBEZRFPEZEREUCEZUDSEUFUGQPEU
    FPCDGQPHIRUEUFOJIRBRNUCKIIAMSTJITALIBBAQAKI $.
    $( [14-Dec-2002] $)

  $( 1 of 3 axioms for propositional calculus due to Lukasiewicz, derived from
     Meredith's sole axiom. $)
  luk-1 $p |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( wi wn ax-meredith merlem13 ax-mp ) CCDZAEZEZEJDDKDBDZBCDACDDZDZABDZMDZCCK
    ABFMADZOEZEZERDDSDLDZNPDOLDTABJIGOLRQGHMASOLFHH $.
    $( [14-Dec-2002] $)

  $( 2 of 3 axioms for propositional calculus due to Lukasiewicz, derived from
     Meredith's sole axiom. $)
  luk-2 $p |- ( ( -. ph -> ph ) -> ph ) $=
    ( wn wi merlem5 merlem4 ax-mp merlem11 ax-meredith ) ABZACZJACZCZKAJBZCIBMC
    CZICZICZLOPCZPNQAMDIONEFOIGFAMIJIHFJAGF $.
    $( [14-Dec-2002] $)

  $( 3 of 3 axioms for propositional calculus due to Lukasiewicz, derived from
     Meredith's sole axiom. $)
  luk-3 $p |- ( ph -> ( -. ph -> ps ) ) $=
    ( wn wi merlem11 merlem1 ax-mp ) ACZHBDZDIDAIDHBEABHIFG $.
    $( [14-Dec-2002] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
      Derive the standard axioms from the Lukasiewicz axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    luklem1.1 $e |- ( ph -> ps ) $.
    luklem1.2 $e |- ( ps -> ch ) $.
    $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
    luklem1 $p |- ( ph -> ch ) $=
      ( wi luk-1 ax-mp ) BCFZACFZEABFIJFDABCGHH $.
      $( [23-Dec-2002] $)
  $}

  $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
  luklem2 $p |- ( ( ph -> -. ps ) ->
                ( ( ( ph -> ch ) -> th ) -> ( ps -> th ) ) ) $=
    ( wn wi luk-1 luk-3 ax-mp luklem1 ) ABEZFZBACFZFZMDFBDFFLKCFZMFZNAKCGBOFPNF
    BCHBOMGIJBMDGJ $.
    $( [22-Dec-2002] $)

  $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
  luklem3 $p |- ( ph -> ( ( ( -. ph -> ps ) -> ch ) -> ( th -> ch ) ) ) $=
    ( wn wi luk-3 luklem2 luklem1 ) AAEZDEZFJBFCFDCFFAKGJDBCHI $.
    $( [22-Dec-2002] $)

  $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
  luklem4 $p |- ( ( ( ( -. ph -> ph ) -> ph ) -> ps ) -> ps ) $=
    ( wn wi luk-2 luklem3 ax-mp luk-1 luklem1 ) ACADADZBDZBCZBDZBLJDZKMDJCJDJDZ
    NJEJONDAEJJJLFGGLJBHGBEI $.
    $( [22-Dec-2002] $)

  $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
  luklem5 $p |- ( ph -> ( ps -> ph ) ) $=
    ( wn wi luklem3 luklem4 luklem1 ) AACADADBADZDHAAABEAHFG $.
    $( [22-Dec-2002] $)

  $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
  luklem6 $p |- ( ( ph -> ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wi luk-1 wn luklem5 luklem2 luklem4 luklem1 ax-mp ) AABCZCKBCZKCZKAKBDKEZ
    KCZKCMKCZCZPMOCZQNLCRNBEZNCZLNSFTSBCBCLCLSKBBGBLHIINLKDJMOKDJKPHJI $.
    $( [22-Dec-2002] $)

  $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
  luklem7 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ps -> ( ph -> ch ) ) ) $=
    ( wi luk-1 luklem5 luklem1 luklem6 ax-mp ) ABCDZDJCDZACDZDZBLDZAJCEBKDMNDBJ
    KDZKBJBDOBJFJBCEGJCHGBKLEIG $.
    $( [22-Dec-2002] $)

  $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
  luklem8 $p |- ( ( ph -> ps ) -> ( ( ch -> ph ) -> ( ch -> ps ) ) ) $=
    ( wi luk-1 luklem7 ax-mp ) CADZABDZCBDZDDIHJDDCABEHIJFG $.
    $( [22-Dec-2002] $)

  $( Standard propositional axiom derived from Lukasiewicz axioms. $)
  ax1 $p |- ( ph -> ( ps -> ph ) ) $=
    ( luklem5 ) ABC $.
    $( [22-Dec-2002] $)

  $( Standard propositional axiom derived from Lukasiewicz axioms. $)
  ax2 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ( ph -> ps ) -> ( ph -> ch ) ) ) $=
    ( wi luklem7 luklem8 luklem6 ax-mp luklem1 ) ABCDDBACDZDZABDZJDZABCEKLAJDZD
    ZMBJAFNJDOMDACGNJLFHII $.
    $( [22-Dec-2002] $)

  $( Standard propositional axiom derived from Lukasiewicz axioms. $)
  ax3 $p |- ( ( -. ph -> -. ps ) -> ( ps -> ph ) ) $=
    ( wn wi luklem2 luklem4 luklem1 ) ACZBCDHADADBADZDIHBAAEAIFG $.
    $( [22-Dec-2002] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Logical 'nand' (Sheffer stroke)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c -/\ $. $( 'nand' ) $)
  $( Extend wff definition to include 'nand'. $)
  wnand $a wff ( ph -/\ ps ) $.

  $( Define incompatibility ('not-and' or 'nand').  This is also called the
     Sheffer stroke, represented by a vertical bar, but we use a different
     symbol to avoid ambiguity with other uses of the vertical bar. $)
  df-nand $a |- ( ( ph -/\ ps ) <-> -. ( ph /\ ps ) ) $.

  $( Nand commutes. $)
  nandcom $p |- ( ( ph -/\ ps ) <-> ( ps -/\ ph ) ) $=
    ( wa wn wnand ancom notbii df-nand 3bitr4i ) ABCZDBACZDABEBAEJKABFGABHBAHI
    $.
    $( [10-Jan-2015] $)

  $( Introduce a right anti-conjunct to both sides of a logical equivalence. $)
  nandbi1 $p |- ( ( ph <-> ps ) -> ( ( ph -/\ ch ) <-> ( ps -/\ ch ) ) ) $=
    ( wb wa wn wnand anbi1 notbid df-nand 3bitr4g ) ABDZACEZFBCEZFACGBCGLMNABCH
    IACJBCJK $.
    $( [10-Jan-2015] $)

  $( Introduce a left anti-conjunct to both sides of a logical equivalence. $)
  nandbi2 $p |- ( ( ph <-> ps ) -> ( ( ch -/\ ph ) <-> ( ch -/\ ps ) ) ) $=
    ( wb wnand nandbi1 nandcom 3bitr3g ) ABDACEBCECAECBEABCFACGBCGH $.
    $( [10-Jan-2015] $)


  ${
    nandbi.1 $e |- ( ph <-> ps ) $.
    $( Introduce a left anti-conjunct to both sides of a logical
       equivalence. $)
    nandbi2i $p |- ( ( ch -/\ ph ) <-> ( ch -/\ ps ) ) $=
      ( wa wn wnand wb anbi2 ax-mp notbii df-nand 3bitr4i ) CAEZFCBEZFCAGCBGNOA
      BHNOHDABCIJKCALCBLM $.
      $( [10-Jan-2015] $)

    $( Introduce a right anti-conjunct to both sides of a logical
       equivalence. $)
    nandbi1i $p |- ( ( ph -/\ ch ) <-> ( ps -/\ ch ) ) $=
      ( wa wn wnand wb anbi1 ax-mp notbii df-nand 3bitr4i ) ACEZFBCEZFACGBCGNOA
      BHNOHDABCIJKACLBCLM $.
      $( [10-Jan-2015] $)
  $}

  ${
    nandbi12.1 $e |- ( ph <-> ps ) $.
    nandbi12.2 $e |- ( ch <-> th ) $.
    $( Anti-conjoin both sides of two equivalences. $)
    nandbi12i $p |- ( ( ph -/\ ch ) <-> ( ps -/\ th ) ) $=
      ( wnand nandbi1i nandbi2i bitri ) ACGBCGBDGABCEHCDBFIJ $.
      $( [10-Jan-2015] $)
  $}

  ${
    nandbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction adding a left anti-conjunct to both sides of a logical
       equivalence. $)
    nandbi2d $p |- ( ph -> ( ( th -/\ ps ) <-> ( th -/\ ch ) ) ) $=
      ( wa wn wnand wb anbi2 syl notbid df-nand 3bitr4g ) ADBFZGDCFZGDBHDCHAOPA
      BCIOPIEBCDJKLDBMDCMN $.
      $( [10-Jan-2015] $)

    $( Deduction adding a right anti-conjunct to both sides of a logical
       equivalence. $)
    nandbi1d $p |- ( ph -> ( ( ps -/\ th ) <-> ( ch -/\ th ) ) ) $=
      ( wa wn wnand wb anbi1 syl notbid df-nand 3bitr4g ) ABDFZGCDFZGBDHCDHAOPA
      BCIOPIEBCDJKLBDMCDMN $.
      $( [10-Jan-2015] $)

    nandbid.2 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction joining two equivalences to form equivalence of
       anti-conjunctions. $)
    nandbi12d $p |- ( ph -> ( ( ps -/\ th ) <-> ( ch -/\ ta ) ) ) $=
      ( wnand nandbi1d nandbi2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
      $( [10-Jan-2015] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
           Derive Nicod's axiom from the standard axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Lemma for handling nested 'nand's. $)
  nic-justlem $p |- ( ( ph -/\ ( ch -/\ ps ) ) <-> ( ph -> ( ch /\ ps ) ) ) $=
    ( wnand wa wn wi df-nand anbi2i xchbinx iman bitr4i ) ACBDZDZACBEZFZEZFAOGN
    AMEQAMHMPACBHIJAOKL $.
    $( [11-Dec-2008] $) $( [19-Nov-2007] $)

  $( Show equivalence between implication and the Nicod version.  To derive
     ~ nic-dfim , apply ~ nic-justbi . $)
  nic-justim $p |- ( ( ph -> ps ) <-> ( ph -/\ ( ps -/\ ps ) ) ) $=
    ( wnand wa wi nic-justlem anidmdbi bitr2i ) ABBCCABBDEABEABBFABGH $.
    $( [17-Dec-2008] $) $( [19-Nov-2007] $)

  $( Show equivalence between negation and the Nicod version.  To derive
     ~ nic-dfneg , apply ~ nic-justbi . $)
  nic-justneg $p |- ( -. ps <-> ( ps -/\ ps ) ) $=
    ( wnand wn wa df-nand anidm xchbinx bicomi ) AABZACIAADAAAEAFGH $.
    $( [16-Dec-2008] $) $( [19-Nov-2007] $)

  $( Show equivalence between the bidirectional and the Nicod version.
     (Contributed by Jeff Hoffman, 19-Nov-2007.) $)
  nic-justbi $p |- ( ( ph <-> ps ) <->
          ( ( ph -/\ ps ) -/\ ( ( ph -/\ ph ) -/\ ( ps -/\ ps ) ) ) ) $=
    ( wa wn wo wnand pm4.57 df-nand nic-justneg anbi12i xchbinxr dfbi3 3bitr4ri
    wb xchbinx ) ABCZDZADZBDZCZDZCZDPTEABFZAAFZBBFZFZFZABNPTGUGUCUFCUBUCUFHUCQU
    FUAABHUFUDUECTUDUEHRUDSUEAIBIJKJOABLM $.
    $( [11-Dec-2008] $) $( [19-Nov-2007] $)

$( [suppress from the Table of Contents by breaking whitespace before "=-=-"]
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
           Prove Nicod's axiom and implication and negation definitions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define implication in terms of 'nand'.  Analogous to
     ` ( ( ph -/\ ( ps -/\ ps ) ) <-> ( ph -> ps ) ) ` .  In a pure
     (standalone) treatment of Nicod's axiom, this theorem would be changed to
     a definition ($a statement). $)
  nic-dfim $p |- ( ( ( ph -/\ ( ps -/\ ps ) ) -/\ ( ph -> ps ) ) -/\
                   ( ( ( ph -/\ ( ps -/\ ps ) ) -/\ ( ph -/\ ( ps -/\ ps ) ) )
                          -/\
                     ( ( ph -> ps ) -/\ ( ph -> ps ) ) ) ) $=
    ( wnand wi wb nic-justim bicomi nic-justbi mpbi ) ABBCCZABDZEJKCJJCKKCCCKJA
    BFGJKHI $.
    $( [11-Dec-2008] $)

  $( Define negation in terms of 'nand'.  Analogous to
     ` ( ( ph -/\ ph ) <-> -. ph ) ` .  In a pure (standalone) treatment of
     Nicod's axiom, this theorem would be changed to a definition ($a
     statement). $)
  nic-dfneg $p |- ( ( ( ph -/\ ph ) -/\ -. ph ) -/\
                    ( ( ( ph -/\ ph ) -/\ ( ph -/\ ph ) ) -/\
                      ( -. ph -/\ -. ph ) ) ) $=
    ( wnand wn wb nic-justneg bicomi nic-justbi mpbi ) AABZACZDIJBIIBJJBBBJIAEF
    IJGH $.
    $( [11-Dec-2008] $)

  ${
    $( Minor premise. $)
    nic-jmin $e |- ph $.
    $( Major premise. $)
    nic-jmaj $e |- ( ph -/\ ( ch -/\ ps ) ) $.
    $( Derive Nicod's rule of modus ponens using 'nand', from the standard
       one.  Although the major and minor premise together also imply ` ch ` ,
       this form is necessary for useful derivations from ~ nic-ax .  In a pure
       (standalone) treatment of Nicod's axiom, this theorem would be changed
       to an axiom ($a statement).  (Contributed by Jeff Hoffman,
       19-Nov-2007.) $)
    nic-mp $p |- ps $=
      ( wnand wa wi nic-justlem mpbi simprd ax-mp ) ABDACBACBFFACBGHEABCIJKL $.
      $( [11-Dec-2008] $) $( [19-Nov-2007] $)

    $( A direct proof of ~ nic-mp . $)
    nic-mpALT $p |- ps $=
      ( wa wi wn wnand df-nand anbi2i xchbinx mpbi iman mpbir simprd ax-mp ) AB
      DACBACBFZGARHZFZHZACBIZIZUAEUCAUBFTAUBJUBSACBJKLMARNOPQ $.
      $( [30-Dec-2008] $)
  $}

  $( Nicod's axiom derived from the standard ones.  See _Intro. to Math.
     Phil._ by B. Russell, p. 152.  Like ~ meredith , the usual axioms can be
     derived from this and vice versa.  Unlike ~ meredith , Nicod uses a
     different connective ('nand'), so another form of modus ponens must be
     used in proofs, e.g. ` { ` ~ nic-ax , ~ nic-mp ` } ` is equivalent to
     ` { ` ~ luk-1 , ~ luk-2 , ~ luk-3 , ~ ax-mp ` } ` .  In a pure
     (standalone) treatment of Nicod's axiom, this theorem would be changed to
     an axiom ($a statement).  (Contributed by Jeff Hoffman, 19-Nov-2007.) $)
  nic-ax $p |- ( ( ph -/\ ( ch -/\ ps ) ) -/\
                   ( ( ta -/\ ( ta -/\ ta ) ) -/\
                     ( ( th -/\ ch ) -/\
                       ( ( ph -/\ th ) -/\ ( ph -/\ th ) ) ) ) ) $=
    ( wnand wa wi nic-justlem biimpi simpl imim2i wn df-nand bitr4i con3 imim2d
    imnan con2b mpbir 3bitr4ri syl6ibr syl5bir nic-justim sylib pm4.24 jctil
    3syl ) ACBFFZEEEFFZDCFZADFZULFFZFFUIUJUMGHUIUMUJUIACBGZHZACHZUMUIUOABCIJUNC
    ACBKLUPUKULHUMUKDCMZHZUPULURDCGMUKDCRDCNOUPURDAMZHZULUPUQUSDACPQADMHADGMUTU
    LADRDASADNUAUBUCUKULUDUEUHUJEEEGZHEVAEUFJEEEITUGUIUMUJIT $.
    $( [11-Dec-2008] $) $( [19-Nov-2007] $)

  $( A direct proof of ~ nic-ax . $)
  nic-axALT $p |- ( ( ph -/\ ( ch -/\ ps ) ) -/\ ( ( ta -/\ ( ta -/\ ta ) )
          -/\ ( ( th -/\ ch ) -/\ ( ( ph -/\ th ) -/\ ( ph -/\ th ) ) ) ) ) $=
    ( wnand wa wn anidm df-nand anbi2i notbii iman 3bitr4i imnan bitr4i xchbinx
    wi anbi12i mpbir simpl imim2i con3 imim2d biimpri jctil con2b bitr3i 3bitri
    syl ) ACBFZFZEEEFZFZDCFZADFZUPFZFZFZFULUSGZHZVAACBGZRZEEEGZRZDCHZRZDAHZRZRZ
    GZRZVCVJVEVCACRZVJVBCACBUAUBVMVFVHDACUCUDUJVDEEIUEUFVAVCVKHZGZHVLUTVOULVCUS
    VNAUKGZHAVBHZGZHULVCVPVRUKVQACBJKLAUKJAVBMNUSUNURGVKUNURJUNVEURVJEUMGZHEVDH
    ZGZHUNVEVSWAUMVTEEEJKLEUMJEVDMNUOUQGZHVGVIHZGZHURVJWBWDUOVGUQWCUODCGHVGDCJD
    COPUQUPUPGZVIUPUPJWEUPADGHZVIUPIADJWFADHRVIADOADUGUHUIQSLUOUQJVGVIMNSQSLVCV
    KMPTULUSJT $.
    $( [11-Dec-2008] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
          Derive the Lukasiewicz axioms from Nicod's axiom
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $( Minor premise. $)
    nic-imp.1 $e |- ( ph -/\ ( ch -/\ ps ) ) $.
    $( Inference for ~ nic-mp using ~ nic-ax as major premise.  (Contributed by
       Jeff Hoffman, 17-Nov-2007.) $)
    nic-imp $p |- ( ( th -/\ ch ) -/\ ( ( ph -/\ th ) -/\ ( ph -/\ th ) ) ) $=
      ( wta wnand nic-ax nic-mp ) ACBGGDCGADGZJGGFFFGGEABCDFHI $.
      $( [11-Dec-2008] $) $( [17-Nov-2007] $)
  $}

  $( Lemma for ~ nic-id . $)
  nic-idlem1 $p |- ( ( th -/\ ( ta -/\ ( ta -/\ ta ) ) ) -/\
                 ( ( ( ph -/\ ( ch -/\ ps ) ) -/\ th ) -/\
                   ( ( ph -/\ ( ch -/\ ps ) ) -/\ th ) ) ) $=
    ( wnand nic-ax nic-imp ) ACBFFACFAAFZIFFEEEFFDABCAEGH $.
    $( [11-Dec-2008] $) $( [17-Nov-2007] $)

  ${
    nic-idlem2.1 $e |- ( et -/\ ( ( ph -/\ ( ch -/\ ps ) ) -/\ th ) ) $.
    $( Lemma for ~ nic-id .  Inference used by ~ nic-id . $)
    nic-idlem2 $p |- ( ( th -/\ ( ta -/\ ( ta -/\ ta ) ) ) -/\ et ) $=
      ( wnand nic-ax nic-imp nic-mp ) FACBHHZDHZHDEEEHHZHZFHZPGOMMFLACHAAHZQHHN
      DABCAEIJJK $.
      $( [11-Dec-2008] $) $( [17-Nov-2007] $)
  $}

  $( Theorem ~ id expressed with ` -/\ ` .  (Contributed by Jeff Hoffman,
     17-Nov-2007.) $)
  nic-id $p |- ( ta -/\ ( ta -/\ ta ) ) $=
    ( wph wps wch wth wnand nic-ax nic-idlem2 nic-idlem1 nic-mp ) BCFZCBFZLFFZD
    DDFZFZFZCCCFFZFAAAFFZOEEEMDQCCCBEGHMNDPCORFKLLOAIHJ $.
    $( [11-Dec-2008] $) $( [17-Nov-2007] $)

  $( ` -/\ ` is symmetric.  (Contributed by Jeff Hoffman, 17-Nov-2007.) $)
  nic-swap $p |- ( ( th -/\ ph ) -/\ ( ( ph -/\ th ) -/\ ( ph -/\ th ) ) ) $=
    ( wta wnand nic-id nic-ax nic-mp ) AAADDBADABDZHDDCCCDDAEAAABCFG $.
    $( [11-Dec-2008] $) $( [17-Nov-2007] $)

  ${
    nic-isw1.1 $e |- ( th -/\ ph ) $.
    $( Inference version of ~ nic-swap .  (Contributed by Jeff Hoffman,
       17-Nov-2007.) $)
    nic-isw1 $p |- ( ph -/\ th ) $=
      ( wnand nic-swap nic-mp ) BADABDZGCABEF $.
      $( [11-Dec-2008] $) $( [17-Nov-2007] $)
  $}

  ${
    nic-isw2.1 $e |- ( ps -/\ ( th -/\ ph ) ) $.
    $( Inference for swapping nested terms.  (Contributed by Jeff Hoffman,
       17-Nov-2007.) $)
    nic-isw2 $p |- ( ps -/\ ( ph -/\ th ) ) $=
      ( wnand nic-swap nic-imp nic-mp nic-isw1 ) BACEZBCAEZEJBEZLDJKKBCAFGHI $.
      $( [11-Dec-2008] $) $( [17-Nov-2007] $)
  $}

  ${
    nic-iimp1.1 $e |- ( ph -/\ ( ch -/\ ps ) ) $.
    nic-iimp1.2 $e |- ( th -/\ ch ) $.
    $( Inference version of ~ nic-imp using right-handed term.  (Contributed by
       Jeff Hoffman, 17-Nov-2007.) $)
    nic-iimp1 $p |- ( th -/\ ph ) $=
      ( wnand nic-imp nic-mp nic-isw1 ) DADCGADGZKFABCDEHIJ $.
      $( [11-Dec-2008] $) $( [17-Nov-2007] $)
  $}

  ${
    nic-iimp2.1 $e |- ( ( ph -/\ ps ) -/\ ( ch -/\ ch ) ) $.
    nic-iimp2.2 $e |- ( th -/\ ph ) $.
    $( Inference version of ~ nic-imp using left-handed term.  (Contributed by
       Jeff Hoffman, 17-Nov-2007.) $)
    nic-iimp2 $p |- ( th -/\ ( ch -/\ ch ) ) $=
      ( wnand nic-isw1 nic-iimp1 ) CCGZBADJABGEHFI $.
      $( [11-Dec-2008] $) $( [17-Nov-2007] $)
  $}

  ${
    nic-idel.1 $e |- ( ph -/\ ( ch -/\ ps ) ) $.
    $( Inference to remove the trailing term.  (Contributed by Jeff Hoffman,
       17-Nov-2007.) $)
    nic-idel $p |- ( ph -/\ ( ch -/\ ch ) ) $=
      ( wnand nic-id nic-isw1 nic-imp nic-mp ) CCEZCEAJEZKJCCFGABCJDHI $.
      $( [11-Dec-2008] $) $( [17-Nov-2007] $)
  $}

  ${
    nic-ich.1 $e |- ( ph -/\ ( ps -/\ ps ) ) $.
    nic-ich.2 $e |- ( ps -/\ ( ch -/\ ch ) ) $.
    $( Chained inference.  (Contributed by Jeff Hoffman, 17-Nov-2007.) $)
    nic-ich $p |- ( ph -/\ ( ch -/\ ch ) ) $=
      ( wnand nic-isw1 nic-imp nic-mp ) CCFZBFAJFZKJBEGABBJDHI $.
      $( [11-Dec-2008] $) $( [17-Nov-2007] $)
  $}

  ${
    nic-idbl.1 $e |- ( ph -/\ ( ps -/\ ps ) ) $.
    $( Double the terms.  Since doubling is the same as negation, this can be
       viewed as a contraposition inference.  (Contributed by Jeff Hoffman,
       17-Nov-2007.) $)
    nic-idbl $p |- ( ( ps -/\ ps ) -/\ ( ( ph -/\ ph ) -/\ ( ph -/\ ph ) ) ) $=
      ( wnand nic-imp nic-ich ) BBDABDAADABBBCEABBACEF $.
      $( [11-Dec-2008] $) $( [17-Nov-2007] $)
  $}

$( (not in Table of Contents)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Biconditional justification from Nicod's axiom
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( For nic-* definitions, the biconditional connective is not used.  Instead,
     definitions are made based on this form. ~ nic-bi1 and ~ nic-bi2 are used
     to convert the definitions into usable theorems about one side of the
     implication.  (Contributed by Jeff Hoffman, 18-Nov-2007.) $)
  nic-bijust $p |- ( ( ta -/\ ta ) -/\ ( ( ta -/\ ta ) -/\ ( ta -/\ ta ) ) ) $=
    ( nic-swap ) AAB $.
    $( [11-Dec-2008] $) $( [18-Nov-2007] $)

  ${
    $( 'Biconditional' premise.  (Contributed by Jeff Hoffman, 18-Nov-2007.) $)
    nic-bi1.1 $e |- ( ( ph -/\ ps ) -/\ ( ( ph -/\ ph )
         -/\ ( ps -/\ ps ) ) ) $.
    $( Inference to extract one side of an implication from a definition. $)
    nic-bi1 $p |- ( ph -/\ ( ps -/\ ps ) ) $=
      ( wnand nic-id nic-iimp1 nic-isw2 nic-idel ) AABBAAABDBBDAADACAEFGH $.
      $( [11-Dec-2008] $) $( [18-Nov-2007] $)
  $}

  ${
    $( 'Biconditional' premise.  (Contributed by Jeff Hoffman, 18-Nov-2007.) $)
    nic-bi2.1 $e |- ( ( ph -/\ ps ) -/\ ( ( ph -/\ ph )
         -/\ ( ps -/\ ps ) ) ) $.
    $( Inference to extract the other side of an implication from a
       'biconditional' definition. $)
    nic-bi2 $p |- ( ps -/\ ( ph -/\ ph ) ) $=
      ( wnand nic-isw2 nic-id nic-iimp1 nic-idel ) BBAABDZAADZBBDZBKIJCEBFGH $.
      $( [11-Dec-2008] $) $( [18-Nov-2007] $)
  $}

$( (not in Table of Contents)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
             Prove the Lukasiewicz axioms from Nicod's axiom
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $( Minor premise. $)
    nic-smin $e |- ph $.
    $( Major premise. $)
    nic-smaj $e |- ( ph -> ps ) $.
    $( Derive the standard modus ponens from ~ nic-mp .  (Contributed by Jeff
       Hoffman, 18-Nov-2007.) $)
    nic-stdmp $p |- ps $=
      ( wi wnand nic-dfim nic-bi2 nic-mp ) ABBCABEZABBFFZKDKJABGHII $.
      $( [11-Dec-2008] $) $( [18-Nov-2007] $)
  $}

  $( Proof of ~ luk-1 from ~ nic-ax and ~ nic-mp (and definitions ~ nic-dfim
     and ~ nic-dfneg ).  Note that the standard axioms ~ ax-1 , ~ ax-2 , and
     ~ ax-3 are proved from the Lukasiewicz axioms by theorems ~ ax1 , ~ ax2 ,
     and ~ ax3 .  (Contributed by Jeff Hoffman, 18-Nov-2007.) $)
  nic-luk1 $p |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( wta wi nic-dfim nic-bi2 nic-ax nic-isw2 nic-idel nic-bi1 nic-idbl nic-imp
    wnand nic-swap nic-ich nic-mp ) ABEZBCEZACEZEZUANNZRUAEZUCRABBNNZUAUDRABFGU
    DSTTNZNZUAUDCCNZBNZAUGNZUINZNZUFUDDDDNNZUKUKUDULABBUGDHIJUKUEUHNUFUEUJUJUHU
    ITUITACFKLMSUHUHUESBUGNZUHUMSBCFGUGBOPMPPUFUASTFKPPUBUCRUAFKQ $.
    $( [11-Dec-2008] $) $( [18-Nov-2007] $)

  $( Proof of ~ luk-2 from ~ nic-ax and ~ nic-mp .  (Contributed by Jeff
     Hoffman, 18-Nov-2007.) $)
  nic-luk2 $p |- ( ( -. ph -> ph ) -> ph ) $=
    ( wn wi wnand nic-dfim nic-bi2 nic-dfneg nic-id nic-iimp1 nic-isw2 nic-isw1
    nic-bi1 nic-mp ) ABZACZAADZDZOACZROPONPDZSPSONAEFNPPPNDNNDPPDPAGPHIJIKQROAE
    LM $.
    $( [11-Dec-2008] $) $( [18-Nov-2007] $)

  $( Proof of ~ luk-3 from ~ nic-ax and ~ nic-mp .  (Contributed by Jeff
     Hoffman, 18-Nov-2007.) $)
  nic-luk3 $p |- ( ph -> ( -. ph -> ps ) ) $=
    ( wn wi wnand nic-dfim nic-bi1 nic-dfneg nic-bi2 nic-id nic-iimp1 nic-iimp2
    nic-mp ) AACZBDZOEEZAODZQNBBEZOANREONBFGNAAEZSASNAHIAJKLPQAOFGM $.
    $( [11-Dec-2008] $) $( [18-Nov-2007] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                True and false constants
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c T. $.
  $c F. $.

  $( ` T. ` is a wff. $)
  wtru $a wff T. $.

  $( ` F. ` is a wff. $)
  wfal $a wff F. $.

  $( Soundness justification theorem for ~ df-tru . $)
  trujust $p |- ( ( ph <-> ph ) <-> ( ps <-> ps ) ) $=
    ( wb biid 2th ) AACBBCADBDE $.
    $( [17-Nov-2013] $)

  $( Definition of ` T. ` , a tautology. ` T. ` is a constant true.  In this
     definition ~ biid is used as an antecedent, however, any true wff, such as
     an axiom, can be used in its place. $)
  df-tru $a |- ( T. <-> ( ph <-> ph ) ) $.

  $( Definition of ` F. ` , a contradiction. ` F. ` is a constant false. $)
  df-fal $a |- ( F. <-> -. T. ) $.

  $( ` T. ` is provable.  (Contributed by Anthony Hart, 13-Oct-2010.) $)
  tru $p |- T. $=
    ( wph wtru wb biid df-tru mpbir ) BAACADAEF $.
    $( [6-Sep-2010] $) $( [13-Oct-2010] $)

  $( ` F. ` is not provable.  (Contributed by Anthony Hart, 22-Oct-2010.)  (The
     proof was shortened by Mel L. O'Cat, 11-Mar-2012.) $)
  notfal $p |- -. F. $=
    ( wfal wtru wn tru notnoti df-fal mtbir ) ABCBDEFG $.
    $( [11-Mar-2012] $) $( [22-Oct-2010] $)
  ${
    trud.1 $e |- ( T. -> ph ) $.
    $( Eliminate ` T. ` as an antecedent.  (Contributed by Mario Carneiro,
       13-Mar-2014.) $)
    trud $p |- ph $=
      ( wtru tru ax-mp ) CADBE $.
      $( [13-Mar-2014] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
       Auxiliary theorems for Alan Sare's virtual deduction tool, part 1
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    ee22.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee22.2 $e |- ( ph -> ( ps -> th ) ) $.
    ee22.3 $e |- ( ch -> ( th -> ta ) ) $.
    $( Virtual deduction rule without virtual deduction connectives.  Special
       theorem needed for Alan Sare's virtual deduction translation tool.
       (Contributed by Alan Sare, 2-May-2011.) $)
    ee22 $p |- ( ph -> ( ps -> ta ) ) $=
      ( syl6c ) ABCDEFGHI $.
      $( [28-Oct-2011] $) $( [2-May-2011] $)
  $}

  ${
    ee12an.1 $e |- ( ph -> ps ) $.
    ee12an.2 $e |- ( ph -> ( ch -> th ) ) $.
    ee12an.3 $e |- ( ( ps /\ th ) -> ta ) $.
    $( Virtual deduction rule without virtual deduction connectives.  Special
       theorem needed for Alan Sare's virtual deduction translation tool.
       (Contributed by Alan Sare, 28-Oct-2011.) $)
    ee12an $p |- ( ph -> ( ch -> ta ) ) $=
      ( wa jctild syl6 ) ACBDIEACDBGFJHK $.
      $( [28-Oct-2011] $) $( [28-Oct-2011] $)
  $}

  ${
    ee23.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee23.2 $e |- ( ph -> ( ps -> ( th -> ta ) ) ) $.
    ee23.3 $e |- ( ch -> ( ta -> et ) ) $.
    $( Virtual deduction rule without virtual deductions.  (Contributed by Alan
       Sare, 17-Jul-2011.) $)
    ee23 $p |- ( ph -> ( ps -> ( th -> et ) ) ) $=
      ( wi syl6 syldd ) ABDEFHABCEFJGIKL $.
      $( [17-Jul-2011] $)
  $}

  $( Exportation implication also converting head from biconditional to
     conditional.  (Contributed by Alan Sare, 31-Dec-2011.) $)
  exbir $p |- ( ( ( ph /\ ps ) -> ( ch <-> th ) ) ->
              ( ph -> ( ps -> ( th -> ch ) ) ) ) $=
    ( wa wb wi bi2 imim2i exp3a ) ABEZCDFZGABDCGZLMKCDHIJ $.
    $( [31-Dec-2011] $)

  $( ~ impexp with a 3-conjunct antecedent.  (Contributed by Alan Sare,
     31-Dec-2011.) $)
  3impexp $p |- ( ( ( ph /\ ps /\ ch ) -> th ) <->
                ( ph -> ( ps -> ( ch -> th ) ) ) ) $=
    ( w3a wi id 3expd 3impd impbii ) ABCEDFZABCDFFFZKABCDKGHLABCDLGIJ $.
    $( [31-Dec-2011] $)

  $( ~ 3impexp with biconditional consequent of antecedent that is commuted in
     consequent.  (Contributed by Alan Sare, 31-Dec-2011.) $)
  3impexpbicom $p |- ( ( ( ph /\ ps /\ ch ) -> ( th <-> ta ) ) <->
                     ( ph -> ( ps -> ( ch -> ( ta <-> th ) ) ) ) ) $=
    ( w3a wb wi bicom imbi2 biimpcd mpi 3expd 3impexp biimpri syl6ibr impbii )
    ABCFZDEGZHZABCEDGZHHHZTABCUATSUAGZRUAHZDEIZUCTUDSUARJKLMUBRUASUDUBABCUANOUE
    PQ $.
    $( [31-Dec-2011] $)

  ${
    3impexpbicomi.1 $e |- ( ( ph /\ ps /\ ch ) -> ( th <-> ta ) ) $.
    $( Deduction form of ~ 3impexpbicom .  (Contributed by Alan Sare,
       31-Dec-2011.) $)
    3impexpbicomi $p |- ( ph -> ( ps -> ( ch -> ( ta <-> th ) ) ) ) $=
      ( wb w3a bicomd 3exp ) ABCEDGABCHDEFIJ $.
      $( [31-Dec-2011] $)
  $}

  $( Closed form of ~ ancoms .  (Contributed by Alan Sare, 31-Dec-2011.) $)
  ancomsimp $p |- ( ( ( ph /\ ps ) -> ch ) <-> ( ( ps /\ ph ) -> ch ) ) $=
    ( wa ancom imbi1i ) ABDBADCABEF $.
    $( [31-Dec-2011] $)

  ${
    exp3acom3r.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( Export and commute antecedents.  (Contributed by Alan Sare,
       18-Mar-2012.) $)
    exp3acom3r $p |- ( ps -> ( ch -> ( ph -> th ) ) ) $=
      ( exp3a com3l ) ABCDABCDEFG $.
      $( [18-Mar-2012] $)
  $}

  $( Implication form of ~ exp3acom23 .(Contributed by Alan Sare,
     22-Jul-2012.) $)
  exp3acom23g $p |- ( ( ph -> ( ( ps /\ ch ) -> th ) ) <->
                        ( ph -> ( ch -> ( ps -> th ) ) ) ) $=
    ( wa wi ancomsimp impexp bitri imbi2i ) BCEDFZCBDFFZAKCBEDFLBCDGCBDHIJ $.
    $( [22-Jul-2012] $)

  ${
    exp3acom23.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( The exportation deduction ~ exp3a with commutation of the conjoined
       wwfs.  (Contributed by Alan Sare, 22-Jul-2012.) $)
    exp3acom23 $p |- ( ph -> ( ch -> ( ps -> th ) ) ) $=
      ( exp3a com23 ) ABCDABCDEFG $.
      $( [22-Jul-2012] $)
  $}

  $( Implication form of ~ simplbi2com .  (Contributed by Alan Sare,
     22-Jul-2012.) $)
  simplbi2comg $p |- ( ( ph <-> ( ps /\ ch ) ) -> ( ch -> ( ps -> ph ) ) ) $=
    ( wa wb bi2 exp3acom23 ) ABCDZEBCAAHFG $.
    $( [22-Jul-2012] $)

  ${
    simplbi2com.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( A deduction eliminating a conjunct, similar to ~ simplbi2 .
       (Contributed by Alan Sare, 22-Jul-2012.)  (The proof was shortened by
       Wolf Lammen, 10-Nov-2012.) $)
    simplbi2com $p |- ( ch -> ( ps -> ph ) ) $=
      ( simplbi2 com12 ) BCAABCDEF $.
      $( [10-Nov-2012] $) $( [22-Jul-2012] $)
  $}

  ${
    ee21.1 $e |- ( ph -> ( ps -> ch ) ) $.
    ee21.2 $e |- ( ph -> th ) $.
    ee21.3 $e |- ( ch -> ( th -> ta ) ) $.
    $( Virtual deduction rule without virtual deductions. $)
    ee21 $p |- ( ph -> ( ps -> ta ) ) $=
      ( a1d ee22 ) ABCDEFADBGIHJ $.
      $( [18-Mar-2012] $)
  $}

  ${
    ee10.1 $e |- ( ph -> ps ) $.
    ee10.2 $e |- ch $.
    ee10.3 $e |- ( ps -> ( ch -> th ) ) $.
    $( Virtual deduction rule without virtual deductions. $)
    ee10 $p |- ( ph -> th ) $=
      ( mpi syl ) ABDEBCDFGHI $.
      $( [25-Jul-2011] $)
  $}

  ${
    ee02.1 $e |- ph $.
    ee02.2 $e |- ( ps -> ( ch -> th ) ) $.
    ee02.3 $e |- ( ph -> ( th -> ta ) ) $.
    $( Virtual deduction rule without virtual deductions. $)
    ee02 $p |- ( ps -> ( ch -> ta ) ) $=
      ( a1i sylsyld ) BACDEABFIGHJ $.
      $( [22-Jul-2012] $)
  $}

$( End of auxiliary theorems for Alan Sare's virtual deduction tool, part 1 $)

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
        Predicate calculus mostly without distinct variables
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  "Pure" (equality-free) predicate calculus axioms ax-5, ax-6, ax-7, ax-gen
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new symbols needed for pure predicate calculus. $)
  $c A. $. $( "inverted A" universal quantifier (read:  "for all") $)
  $c set $. $( Individual variable type (read:  "the following is an
             individual (set) variable" $)

  $( Declare some names for individual variables. $)
  $v x $.
  $v y $.
  $v z $.
  $v w $.
  $v v $.
  $v u $.
  $( Let ` x ` be an individual variable. $)
  vx $f set x $.
  $( Let ` y ` be an individual variable. $)
  vy $f set y $.
  $( Let ` z ` be an individual variable. $)
  vz $f set z $.
  $( Let ` w ` be an individual variable. $)
  vw $f set w $.
  $( Let ` v ` be an individual variable. $)
  vv $f set v $.
  $( Let ` u ` be an individual variable. $)
  vu $f set u $.

  $( Extend wff definition to include the universal quantifier ('for all').
     ` A. x ph ` is read " ` ph ` (phi) is true for all ` x ` ."  Typically, in
     its final application ` ph ` would be replaced with a wff containing a
     (free) occurrence of the variable ` x ` , for example ` x = y ` .  In a
     universe with a finite number of objects, "for all" is equivalent to a big
     conjunction (AND) with one wff for each possible case of ` x ` .  When the
     universe is infinite (as with set theory), such a propositional-calculus
     equivalent is not possible because an infinitely long formula has no
     meaning, but conceptually the idea is the same. $)
  wal $a wff A. x ph $.

  $( Axiom of Quantified Implication.  Axiom C4 of [Monk2] p. 105. $)
  ax-5 $a |- ( A. x ( ph -> ps ) -> ( A. x ph -> A. x ps ) ) $.

  $( Axiom of Quantified Negation.  Axiom C5-2 of [Monk2] p. 113. $)
  ax-6 $a |- ( -. A. x ph -> A. x -. A. x ph ) $.

  $( Axiom of Quantifier Commutation.  This axiom says universal quantifiers
     can be swapped.  One of the 4 axioms of pure predicate calculus.  Axiom
     scheme C6' in [Megill] p. 448 (p. 16 of the preprint).  Also appears as
     Lemma 12 of [Monk2] p. 109 and Axiom C5-3 of [Monk2] p. 113.  An alternate
     axiomatization could use ~ ax467 in place of ~ ax-4 , ~ ax-6o , and
     ~ ax-7 . $)
  ax-7 $a |- ( A. x A. y ph -> A. y A. x ph ) $.

  ${
    ax-g.1 $e |- ph $.
    $( Rule of Generalization.  The postulated inference rule of pure predicate
       calculus.  See e.g.  Rule 2 of [Hamilton] p. 74.  This rule says that if
       something is unconditionally true, then it is true for all values of a
       variable.  For example, if we have proved ` x = x ` , we can conclude
       ` A. x x = x ` or even ` A. y x = x ` .  Theorem ~ a4i shows we can go
       the other way also: in other words we can add or remove universal
       quantifiers from the beginning of any theorem as required. $)
    ax-gen $a |- A. x ph $.
  $}

  $( Declare the existential quantifier symbol. $)
  $c E. $.   $( Backwards E (read:  "there exists") $)

  $( Extend wff definition to include the existential quantifier ("there
     exists"). $)
  wex $a wff E. x ph $.

  $( Define existential quantification. ` E. x ph ` means "there exists at
     least one set ` x ` such that ` ph ` is true."  Definition of [Margaris]
     p. 49. $)
  df-ex $a |- ( E. x ph <-> -. A. x -. ph ) $.

  ${
    gen2.1 $e |- ph $.
    $( Generalization applied twice. $)
    gen2 $p |- A. x A. y ph $=
      ( wal ax-gen ) ACEBACDFF $.
      $( [30-Apr-1998] $)
  $}

  ${
    mpg.1 $e |- ( A. x ph -> ps ) $.
    mpg.2 $e |- ph $.
    $( Modus ponens combined with generalization. $)
    mpg $p |- ps $=
      ( wal ax-gen ax-mp ) ACFBACEGDH $.
      $( [24-May-1994] $)
  $}

  ${
    mpgbi.1 $e |- ( A. x ph <-> ps ) $.
    mpgbi.2 $e |- ph $.
    $( Modus ponens on biconditional combined with generalization.  (The proof
       was shortened by Stefan Allan, 28-Oct-2008.) $)
    mpgbi $p |- ps $=
      ( wal ax-gen mpbi ) ACFBACEGDH $.
      $( [31-Oct-2008] $) $( [24-May-1994] $)
  $}

  ${
    mpgbir.1 $e |- ( ph <-> A. x ps ) $.
    mpgbir.2 $e |- ps $.
    $( Modus ponens on biconditional combined with generalization.  (The proof
       was shortened by Stefan Allan, 28-Oct-2008.) $)
    mpgbir $p |- ph $=
      ( wal ax-gen mpbir ) ABCFBCEGDH $.
      $( [31-Oct-2008] $) $( [24-May-1994] $)
  $}

  ${
    a7s.1 $e |- ( A. x A. y ph -> ps ) $.
    $( Swap quantifiers in an antecedent. $)
    a7s $p |- ( A. y A. x ph -> ps ) $=
      ( wal ax-7 syl ) ACFDFADFCFBADCGEH $.
      $( [5-Aug-1993] $)
  $}

  ${
    alimi.1 $e |- ( ph -> ps ) $.
    $( Inference quantifying both antecedent and consequent. $)
    alimi $p |- ( A. x ph -> A. x ps ) $=
      ( wi wal ax-5 mpg ) ABEACFBCFECABCGDH $.
      $( [5-Aug-1993] $)

    $( Inference doubly quantifying both antecedent and consequent. $)
    2alimi $p |- ( A. x A. y ph -> A. x A. y ps ) $=
      ( wal alimi ) ADFBDFCABDEGG $.
      $( [3-Feb-2005] $)
  $}

  $( Theorem 19.20 of [Margaris] p. 90.  (The proof was shortened by O'Cat,
     30-Mar-2008.) $)
  alim $p |- ( A. x ( ph -> ps ) -> ( A. x ph -> A. x ps ) ) $=
    ( ax-5 ) ABCD $.
    $( [30-Mar-2008] $) $( [5-Aug-1993] $)

  ${
    al2imi.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference quantifying antecedent, nested antecedent, and consequent. $)
    al2imi $p |- ( A. x ph -> ( A. x ps -> A. x ch ) ) $=
      ( wal wi alimi alim syl ) ADFBCGZDFBDFCDFGAKDEHBCDIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    alanimi.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Variant of ~ al2imi with conjunctive antecedent.  (Contributed by Andrew
       Salmon, 8-Jun-2011.) $)
    alanimi $p |- ( ( A. x ph /\ A. x ps ) -> A. x ch ) $=
      ( wal ex al2imi imp ) ADFBDFCDFABCDABCEGHI $.
      $( [8-Jun-2011] $)
  $}

  ${
    alimd.1 $e |- ( ph -> A. x ph ) $.
    alimd.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.20 of [Margaris] p. 90. $)
    alimd $p |- ( ph -> ( A. x ps -> A. x ch ) ) $=
      ( wal wi al2imi syl ) AADGBDGCDGHEABCDFIJ $.
      $( [4-Jan-2002] $)
  $}

  $( Theorem 19.15 of [Margaris] p. 90. $)
  albi $p |- ( A. x ( ph <-> ps ) -> ( A. x ph <-> A. x ps ) ) $=
    ( wb wal bi1 al2imi bi2 impbid ) ABDZCEACEBCEJABCABFGJBACABHGI $.
    $( [5-Aug-1993] $)

  ${
    alrimi.1 $e |- ( ph -> A. x ph ) $.
    alrimi.2 $e |- ( ph -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90. $)
    alrimi $p |- ( ph -> A. x ps ) $=
      ( wal alimi syl ) AACFBCFDABCEGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    albii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding universal quantifier to both sides of an
       equivalence. $)
    albii $p |- ( A. x ph <-> A. x ps ) $=
      ( wb wal albi mpg ) ABEACFBCFECABCGDH $.
      $( [7-Aug-1994] $)

    $( Inference adding 2 universal quantifiers to both sides of an
       equivalence. $)
    2albii $p |- ( A. x A. y ph <-> A. x A. y ps ) $=
      ( wal albii ) ADFBDFCABDEGG $.
      $( [9-Mar-1997] $)
  $}

  ${
    hbth.1 $e |- ph $.
    $( No variable is (effectively) free in a theorem.

       This and later "hypothesis-building" lemmas, with labels starting
       "hb...", allow us to construct proofs of formulas of the form
       ` |- ( ph -> A. x ph ) ` from smaller formulas of this form.  These are
       useful for constructing hypotheses that state " ` x ` is (effectively)
       not free in ` ph ` ." $)
    hbth $p |- ( ph -> A. x ph ) $=
      ( wal ax-gen a1i ) ABDAABCEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    hbxfrbi.1 $e |- ( ph <-> ps ) $.
    hbxfrbi.2 $e |- ( ps -> A. x ps ) $.
    $( A utility lemma to transfer a bound-variable hypothesis builder into a
       definition.  See ~ hbxfreq for equality version.  (Contributed by
       Jonathan Ben-Naim, 3-Jun-2011.) $)
    hbxfrbi $p |- ( ph -> A. x ph ) $=
      ( wal albii 3imtr4i ) BBCFAACFEDABCDGH $.
      $( [3-Jun-2011] $)
  $}

  ${
    hbal.1 $e |- ( ph -> A. x ph ) $.
    $( If ` x ` is not free in ` ph ` , it is not free in ` A. y ph ` . $)
    hbal $p |- ( A. y ph -> A. x A. y ph ) $=
      ( wal alimi ax-7 syl ) ACEZABEZCEIBEAJCDFACBGH $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem 19.5 of [Margaris] p. 89. $)
  alcom $p |- ( A. x A. y ph <-> A. y A. x ph ) $=
    ( wal ax-7 impbii ) ACDBDABDCDABCEACBEF $.
    $( [5-Aug-1993] $)

  $( Theorem 19.7 of [Margaris] p. 89. $)
  alnex $p |- ( A. x -. ph <-> -. E. x ph ) $=
    ( wex wn wal df-ex con2bii ) ABCADBEABFG $.
    $( [5-Aug-1993] $)

  $( Theorem 19.6 of [Margaris] p. 89. $)
  alex $p |- ( A. x ph <-> -. E. x -. ph ) $=
    ( wal wn wex notnot albii alnex bitri ) ABCADZDZBCJBEDAKBAFGJBHI $.
    $( [5-Aug-1993] $)

  $( Part of theorem *11.5 in [WhiteheadRussell] p. 164.  (Contributed by
     Andrew Salmon, 24-May-2011.) $)
  2nalexn $p |- ( -. A. x A. y ph <-> E. x E. y -. ph ) $=
    ( wn wex wal df-ex alex albii xchbinxr bicomi ) ADCEZBEZACFZBFZDMLDZBFOLBGN
    PBACHIJK $.
    $( [24-May-2011] $)

  $( Theorem 19.14 of [Margaris] p. 90. $)
  exnal $p |- ( E. x -. ph <-> -. A. x ph ) $=
    ( wal wn wex alex con2bii ) ABCADBEABFG $.
    $( [5-Aug-1993] $)

  $( Theorem 19.22 of [Margaris] p. 90.  (The proof was shortened by Wolf
     Lammen, 4-Jul-2014.) $)
  exim $p |- ( A. x ( ph -> ps ) -> ( E. x ph -> E. x ps ) ) $=
    ( wi wal wex wn con3 al2imi alnex 3imtr3g con4d ) ABDZCEZBCFZACFZNBGZCEAGZC
    EOGPGMQRCABHIBCJACJKL $.
    $( [4-Jul-2014] $) $( [5-Aug-1993] $)

  ${
    eximi.1 $e |- ( ph -> ps ) $.
    $( Inference adding existential quantifier to antecedent and consequent. $)
    eximi $p |- ( E. x ph -> E. x ps ) $=
      ( wi wex exim mpg ) ABEACFBCFECABCGDH $.
      $( [5-Aug-1993] $)

    $( Inference adding 2 existential quantifiers to antecedent and
       consequent. $)
    2eximi $p |- ( E. x E. y ph -> E. x E. y ps ) $=
      ( wex eximi ) ADFBDFCABDEGG $.
      $( [3-Feb-2005] $)
  $}

  $( A transformation of quantifiers and logical connectives. $)
  alinexa $p |- ( A. x ( ph -> -. ps ) <-> -. E. x ( ph /\ ps ) ) $=
    ( wn wi wal wa wex imnan albii alnex bitri ) ABDEZCFABGZDZCFNCHDMOCABIJNCKL
    $.
    $( [19-Aug-1993] $)

  $( A relationship between two quantifiers and negation. $)
  alexn $p |- ( A. x E. y -. ph <-> -. E. x A. y ph ) $=
    ( wn wex wal exnal albii alnex bitri ) ADCEZBFACFZDZBFLBEDKMBACGHLBIJ $.
    $( [18-Aug-1993] $)

  $( Theorem *11.51 in [WhiteheadRussell] p. 164.  (Contributed by Andrew
     Salmon, 24-May-2011.)  (The proof was shortened by Wolf Lammen,
     25-Sep-2014.) $)
  2exnexn $p |- ( E. x A. y ph <-> -. A. x E. y -. ph ) $=
    ( wn wex wal alexn con2bii ) ADCEBFACFBEABCGH $.
    $( [25-Sep-2014] $) $( [24-May-2011] $)


  $( Theorem 19.18 of [Margaris] p. 90. $)
  exbi $p |- ( A. x ( ph <-> ps ) -> ( E. x ph <-> E. x ps ) ) $=
    ( wb wal wex wi bi1 alimi exim syl bi2 impbid ) ABDZCEZACFZBCFZOABGZCEPQGNR
    CABHIABCJKOBAGZCEQPGNSCABLIBACJKM $.
    $( [5-Aug-1993] $)

  ${
    exbii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding existential quantifier to both sides of an
       equivalence. $)
    exbii $p |- ( E. x ph <-> E. x ps ) $=
      ( wb wex exbi mpg ) ABEACFBCFECABCGDH $.
      $( [24-May-1994] $)
  $}

  ${
    2exbii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding 2 existential quantifiers to both sides of an
       equivalence. $)
    2exbii $p |- ( E. x E. y ph <-> E. x E. y ps ) $=
      ( wex exbii ) ADFBDFCABDEGG $.
      $( [16-Mar-1995] $)
  $}

  ${
    3exbii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding 3 existential quantifiers to both sides of an
       equivalence. $)
    3exbii $p |- ( E. x E. y E. z ph <-> E. x E. y E. z ps ) $=
      ( wex exbii 2exbii ) AEGBEGCDABEFHI $.
      $( [2-May-1995] $)
  $}

  $( A transformation of quantifiers and logical connectives.  (The proof was
     shortened by Wolf Lammen, 4-Sep-2014.) $)
  exanali $p |- ( E. x ( ph /\ -. ps ) <-> -. A. x ( ph -> ps ) ) $=
    ( wn wa wex wi wal annim exbii exnal bitri ) ABDEZCFABGZDZCFNCHDMOCABIJNCKL
    $.
    $( [4-Sep-2014] $) $( [25-Mar-1996] $)

  $( Commutation of conjunction inside an existential quantifier. $)
  exancom $p |- ( E. x ( ph /\ ps ) <-> E. x ( ps /\ ph ) ) $=
    ( wa ancom exbii ) ABDBADCABEF $.
    $( [18-Aug-1993] $)

  ${
    alrimd.1 $e |- ( ph -> A. x ph ) $.
    alrimd.2 $e |- ( ps -> A. x ps ) $.
    alrimd.3 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.21 of [Margaris] p. 90.  (The proof was
       shortened by Andrew Salmon, 13-May-2011.) $)
    alrimd $p |- ( ph -> ( ps -> A. x ch ) ) $=
      ( wal alimd syl5 ) BBDHACDHFABCDEGIJ $.
      $( [16-May-2011] $) $( [10-Feb-1997] $)
  $}

  ${
    eximd.1 $e |- ( ph -> A. x ph ) $.
    eximd.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.22 of [Margaris] p. 90. $)
    eximd $p |- ( ph -> ( E. x ps -> E. x ch ) ) $=
      ( wi wal wex alrimi exim syl ) ABCGZDHBDICDIGAMDEFJBCDKL $.
      $( [20-May-1996] $)
  $}

  ${
    nex.1 $e |- -. ph $.
    $( Generalization rule for negated wff. $)
    nex $p |- -. E. x ph $=
      ( wn wex alnex mpgbi ) ADABEDBABFCG $.
      $( [18-May-1994] $)
  $}

  ${
    nexd.1 $e |- ( ph -> A. x ph ) $.
    nexd.2 $e |- ( ph -> -. ps ) $.
    $( Deduction for generalization rule for negated wff. $)
    nexd $p |- ( ph -> -. E. x ps ) $=
      ( wn wal wex alrimi alnex sylib ) ABFZCGBCHFALCDEIBCJK $.
      $( [2-Jan-2002] $)
  $}

  ${
    albid.1 $e |- ( ph -> A. x ph ) $.
    albid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for universal quantifier (deduction rule). $)
    albid $p |- ( ph -> ( A. x ps <-> A. x ch ) ) $=
      ( wb wal alrimi albi syl ) ABCGZDHBDHCDHGALDEFIBCDJK $.
      $( [5-Aug-1993] $)
  $}

  ${
    exbid.1 $e |- ( ph -> A. x ph ) $.
    exbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for existential quantifier (deduction rule). $)
    exbid $p |- ( ph -> ( E. x ps <-> E. x ch ) ) $=
      ( wb wal wex alrimi exbi syl ) ABCGZDHBDICDIGAMDEFJBCDKL $.
      $( [5-Aug-1993] $)
  $}

  $( Simplification of an existentially quantified conjunction.  (Contributed
     by Rodolfo Medina, 25-Sep-2010.)  (The proof was shortened by Andrew
     Salmon, 29-Jun-2011.) $)
  exsimpl $p |- ( E. x ( ph /\ ps ) -> E. x ph ) $=
    ( wa simpl eximi ) ABDACABEF $.
    $( [29-Jun-2011] $) $( [25-Sep-2010] $)

  $( Theorem 19.26 of [Margaris] p. 90.  Also Theorem *10.22 of
     [WhiteheadRussell] p. 119.  (The proof was shortened by Wolf Lammen,
     4-Jul-2014.) $)
  19.26 $p |- ( A. x ( ph /\ ps ) <-> ( A. x ph /\ A. x ps ) ) $=
    ( wa wal simpl alimi simpr jca id alanimi impbii ) ABDZCEZACEZBCEZDNOPMACAB
    FGMBCABHGIABMCMJKL $.
    $( [4-Jul-2014] $) $( [5-Aug-1993] $)

  $( Theorem 19.26 of [Margaris] p. 90 with two quantifiers. $)
  19.26-2 $p |- ( A. x A. y ( ph /\ ps ) <->
                ( A. x A. y ph /\ A. x A. y ps ) ) $=
    ( wa wal 19.26 albii bitri ) ABEDFZCFADFZBDFZEZCFKCFLCFEJMCABDGHKLCGI $.
    $( [3-Feb-2005] $)

  $( Theorem 19.26 of [Margaris] p. 90 with triple conjunction. $)
  19.26-3an $p |- ( A. x ( ph /\ ps /\ ch )
                   <-> ( A. x ph /\ A. x ps /\ A. x ch ) ) $=
    ( wa wal w3a 19.26 anbi1i bitri df-3an albii 3bitr4i ) ABEZCEZDFZADFZBDFZEZ
    CDFZEZABCGZDFQRTGPNDFZTEUANCDHUCSTABDHIJUBODABCKLQRTKM $.
    $( [13-Sep-2011] $)

  $( Theorem 19.29 of [Margaris] p. 90.  (The proof was shortened by Andrew
     Salmon, 13-May-2011.) $)
  19.29 $p |- ( ( A. x ph /\ E. x ps ) -> E. x ( ph /\ ps ) ) $=
    ( wal wex wa wi pm3.2 alimi exim syl imp ) ACDZBCEZABFZCEZMBOGZCDNPGAQCABHI
    BOCJKL $.
    $( [16-May-2011] $) $( [5-Aug-1993] $)

  $( Variation of Theorem 19.29 of [Margaris] p. 90. $)
  19.29r $p |- ( ( E. x ph /\ A. x ps ) -> E. x ( ph /\ ps ) ) $=
    ( wal wex wa 19.29 ancom exancom 3imtr4i ) BCDZACEZFBAFCELKFABFCEBACGLKHABC
    IJ $.
    $( [18-Aug-1993] $)

  $( Variation of Theorem 19.29 of [Margaris] p. 90 with double
     quantification. $)
  19.29r2 $p |- ( ( E. x E. y ph /\ A. x A. y ps ) ->
             E. x E. y ( ph /\ ps ) ) $=
    ( wex wal wa 19.29r eximi syl ) ADEZCEBDFZCFGKLGZCEABGDEZCEKLCHMNCABDHIJ $.
    $( [3-Feb-2005] $)

  $( Variation of Theorem 19.29 of [Margaris] p. 90 with mixed
     quantification. $)
  19.29x $p |- ( ( E. x A. y ph /\ A. x E. y ps ) ->
             E. x E. y ( ph /\ ps ) ) $=
    ( wal wex wa 19.29r 19.29 eximi syl ) ADEZCFBDFZCEGLMGZCFABGDFZCFLMCHNOCABD
    IJK $.
    $( [11-Feb-2005] $)

  $( Theorem 19.35 of [Margaris] p. 90.  This theorem is useful for moving an
     implication (in the form of the right-hand side) into the scope of a
     single existential quantifier.  (The proof was shortened by Wolf Lammen,
     27-Jun-2014.) $)
  19.35 $p |- ( E. x ( ph -> ps ) <-> ( A. x ph -> E. x ps ) ) $=
    ( wi wex wal wn wa 19.26 annim albii alnex anbi2i 3bitr3i con4bii ) ABDZCEZ
    ACFZBCEZDZPGZCFZRSGZHZQGTGABGZHZCFRUECFZHUBUDAUECIUFUACABJKUGUCRBCLMNPCLRSJ
    NO $.
    $( [27-Jun-2014] $) $( [5-Aug-1993] $)

  ${
    19.35i.1 $e |- E. x ( ph -> ps ) $.
    $( Inference from Theorem 19.35 of [Margaris] p. 90. $)
    19.35i $p |- ( A. x ph -> E. x ps ) $=
      ( wi wex wal 19.35 mpbi ) ABECFACGBCFEDABCHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.35ri.1 $e |- ( A. x ph -> E. x ps ) $.
    $( Inference from Theorem 19.35 of [Margaris] p. 90. $)
    19.35ri $p |- E. x ( ph -> ps ) $=
      ( wi wex wal 19.35 mpbir ) ABECFACGBCFEDABCHI $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem 19.25 of [Margaris] p. 90. $)
  19.25 $p |- ( A. y E. x ( ph -> ps ) ->
              ( E. y A. x ph -> E. y E. x ps ) ) $=
    ( wi wex wal 19.35 biimpi alimi exim syl ) ABECFZDGACGZBCFZEZDGNDFODFEMPDMP
    ABCHIJNODKL $.
    $( [5-Aug-1993] $)

  $( Theorem 19.30 of [Margaris] p. 90.  (The proof was shortened by Andrew
     Salmon, 25-May-2011.) $)
  19.30 $p |- ( A. x ( ph \/ ps ) -> ( A. x ph \/ E. x ps ) ) $=
    ( wn wi wal wex wo exnal exim syl5bir df-or albii 3imtr4i ) ADZBEZCFZACFZDZ
    BCGZEABHZCFRTHSOCGQTACIOBCJKUAPCABLMRTLN $.
    $( [25-May-2011] $) $( [5-Aug-1993] $)

  $( Theorem 19.43 of [Margaris] p. 90.  (The proof was shortened by Wolf
     Lammen, 27-Jun-2014.) $)
  19.43 $p |- ( E. x ( ph \/ ps ) <-> ( E. x ph \/ E. x ps ) ) $=
    ( wo wex wn wi wal df-or exbii 19.35 alnex imbi1i 3bitri bitr4i ) ABDZCEZAC
    EZFZBCEZGZRTDQAFZBGZCEUBCHZTGUAPUCCABIJUBBCKUDSTACLMNRTIO $.
    $( [27-Jun-2014] $) $( [5-Aug-1993] $)

  $( Theorem 19.33 of [Margaris] p. 90. $)
  19.33 $p |- ( ( A. x ph \/ A. x ps ) -> A. x ( ph \/ ps ) ) $=
    ( wal wo orc alimi olc jaoi ) ACDABEZCDBCDAJCABFGBJCBAHGI $.
    $( [5-Aug-1993] $)

  $( The antecedent provides a condition implying the converse of ~ 19.33 .
     Compare Theorem 19.33 of [Margaris] p. 90.  (The proof was shortened by
     Andrew Salmon, 25-May-2011.)  (The proof was shortened by Wolf Lammen,
     5-Jul-2014.) $)
  19.33b $p |- ( -. ( E. x ph /\ E. x ps ) ->
               ( A. x ( ph \/ ps ) <-> ( A. x ph \/ A. x ps ) ) ) $=
    ( wex wa wn wo wal ianor alnex pm2.53 al2imi syl5bir olc syl6com orcomd ord
    wi 19.30 orc jaoi sylbi 19.33 impbid1 ) ACDZBCDZEFZABGZCHZACHZBCHZGZUGUEFZU
    FFZGUIULRZUEUFIUMUOUNUIUMUKULUMAFZCHUIUKACJUHUPBCABKLMUKUJNOUIUNUJULUIUFUJU
    IUJUFABCSPQUJUKTOUAUBABCUCUD $.
    $( [5-Jul-2014] $) $( [27-Mar-2004] $)

  $( Theorem 19.40 of [Margaris] p. 90. $)
  19.40 $p |- ( E. x ( ph /\ ps ) -> ( E. x ph /\ E. x ps ) ) $=
    ( wa wex exsimpl simpr eximi jca ) ABDZCEACEBCEABCFJBCABGHI $.
    $( [5-Aug-1993] $)

  $( Theorem *11.42 in [WhiteheadRussell] p. 163.  Theorem 19.40 of [Margaris]
     p. 90 with 2 quantifiers.  (Contributed by Andrew Salmon, 24-May-2011.) $)
  19.40-2 $p |- ( E. x E. y ( ph /\ ps ) ->
        ( E. x E. y ph /\ E. x E. y ps ) ) $=
    ( wa wex 19.40 eximi syl ) ABEDFZCFADFZBDFZEZCFKCFLCFEJMCABDGHKLCGI $.
    $( [24-May-2011] $)

  $( Theorem *11.21 in [WhiteheadRussell] p. 160.  (Contributed by Andrew
     Salmon, 24-May-2011.) $)
  alrot3 $p |- ( A. x A. y A. z ph <-> A. y A. z A. x ph ) $=
    ( wal alcom albii bitri ) ADEZCEBEIBEZCEABEDEZCEIBCFJKCABDFGH $.
    $( [24-May-2011] $)

  $( Rotate 4 universal quantifiers twice.  (The proof was shortened by Wolf
     Lammen, 28-Jun-2014.) $)
  alrot4 $p |- ( A. x A. y A. z A. w ph <-> A. z A. w A. x A. y ph ) $=
    ( wal alrot3 albii alcom 3bitri ) AEFDFCFZBFACFZEFZDFZBFMBFZDFLBFEFZDFKNBAC
    DEGHMBDIOPDLBEIHJ $.
    $( [28-Jun-2014] $) $( [2-Feb-2005] $)

  $( Split a biconditional and distribute quantifier. $)
  albiim $p |- ( A. x ( ph <-> ps ) <->
             ( A. x ( ph -> ps ) /\ A. x ( ps -> ph ) ) ) $=
    ( wb wal wi wa dfbi2 albii 19.26 bitri ) ABDZCEABFZBAFZGZCEMCENCEGLOCABHIMN
    CJK $.
    $( [18-Aug-1993] $)

  $( Split a biconditional and distribute 2 quantifiers. $)
  2albiim $p |- ( A. x A. y ( ph <-> ps ) <->
             ( A. x A. y ( ph -> ps ) /\ A. x A. y ( ps -> ph ) ) ) $=
    ( wb wal wi wa albiim albii 19.26 bitri ) ABEDFZCFABGDFZBAGDFZHZCFNCFOCFHMP
    CABDIJNOCKL $.
    $( [3-Feb-2005] $)

  ${
    hband.1 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    hband.2 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hban . $)
    hband $p |- ( ph -> ( ( ps /\ ch ) -> A. x ( ps /\ ch ) ) ) $=
      ( wa wal anim12d 19.26 syl6ibr ) ABCGZBDHZCDHZGLDHABMCNEFIBCDJK $.
      $( [2-Jan-2002] $)
  $}

  ${
    hb3and.1 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    hb3and.2 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    hb3and.3 $e |- ( ph -> ( th -> A. x th ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hb3an . $)
    hb3and $p |- ( ph -> ( ( ps /\ ch /\ th ) -> A. x ( ps /\ ch /\ th ) ) ) $=
      ( w3a wal 3anim123d 19.26-3an syl6ibr ) ABCDIZBEJZCEJZDEJZINEJABOCPDQFGHK
      BCDELM $.
      $( [17-Feb-2013] $)
  $}

  ${
    hbald.1 $e |- ( ph -> A. y ph ) $.
    hbald.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hbal . $)
    hbald $p |- ( ph -> ( A. y ps -> A. x A. y ps ) ) $=
      ( wal alimd ax-7 syl6 ) ABDGZBCGZDGKCGABLDEFHBDCIJ $.
      $( [2-Jan-2002] $)
  $}

  $( Add/remove a conjunct in the scope of an existential quantifier.
     (Contributed by Raph Levien, 3-Jul-2006.) $)
  exintrbi $p |- ( A. x ( ph -> ps ) -> ( E. x ph <-> E. x ( ph /\ ps ) ) ) $=
    ( wi wal wa wb wex pm4.71 albii exbi sylbi ) ABDZCEAABFZGZCEACHNCHGMOCABIJA
    NCKL $.
    $( [3-Jul-2006] $)

  $( Introduce a conjunct in the scope of an existential quantifier. $)
  exintr $p |- ( A. x ( ph -> ps ) -> ( E. x ph -> E. x ( ph /\ ps ) ) ) $=
    ( wi wal wex wa exintrbi biimpd ) ABDCEACFABGCFABCHI $.
    $( [11-Aug-1993] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
    Introduce equality axioms ax-8 through ax-14 except ax-9
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( --- Start of patch to prevent connective overloading $)
  $c class $.
  $( This syntax construction states that a variable ` x ` , which has been
     declared to be a set variable by $f statement vx, is also a class
     expression.  This can be justified informally as follows.  We know that
     the class builder ` { y | y e. x } ` is a class by ~ cab .  Since (when
     ` y ` is distinct from ` x ` ) we have ` x = { y | y e. x } ` by
     ~ cvjust , we can argue that that the syntax " ` class x ` " can be viewed
     as an abbreviation for " ` class { y | y e. x } ` ".  See the discussion
     under the definition of class in [Jech] p. 4 showing that "Every set can
     be considered to be a class."

     While it is tempting and perhaps occasionally useful to view ~ cv as a
     "type conversion" from a set variable to a class variable, keep in mind
     that ~ cv is intrinsically no different from any other class-building
     syntax such as ~ cab , ~ cun , or ~ c0 .

     (The description above applies to set theory, not predicate calculus.  The
     purpose of introducing ` class x ` here, and not in set theory where it
     belongs, is to allow us to express i.e.  "prove" the ~ weq of predicate
     calculus from the ~ wceq of set theory, so that we don't "overload" the
     ` = ` connective with two syntax definitions.  This is done to prevent
     ambiguity that would complicate some Metamath parsers.) $)
  cv $a class x $.
  $( --- End of patch to prevent connective overloading $)

  $( --- Start of old code before overloading prevention patch. $)
  $(          (None - the above patch had no old code.) $)
  $( --- End of old code before overloading prevention patch. $)

  $( Declare the equality predicate symbol. $)
  $c = $.  $( Equal sign (read:  'is equal to') $)

  $( --- Start of patch to prevent connective overloading $)
  ${
    $v A $.
    $v B $.
    wceq.cA $f class A $.
    wceq.cB $f class B $.
    $( Extend wff definition to include class equality.

       (The purpose of introducing ` wff A = B ` here, and not in set theory
       where it belongs, is to allow us to express i.e.  "prove" the ~ weq of
       predicate calculus in terms of the ~ wceq of set theory, so that we
       don't "overload" the ` = ` connective with two syntax definitions.  This
       is done to prevent ambiguity that would complicate some Metamath
       parsers.  For example, some parsers - although not the Metamath program
       - stumble on the fact that the ` = ` in ` x = y ` could be the ` = ` of
       either ~ weq or ~ wceq , although mathematically it makes no
       difference.  The class variables ` A ` and ` B ` are introduced
       temporarily for the purpose of this definition but otherwise not used in
       predicate calculus.  See ~ df-cleq for more information on the set
       theory usage of ~ wceq .) $)
    wceq $a wff A = B $.
  $}

  $( Extend wff definition to include atomic formulas using the equality
     predicate.

     (Instead of introducing ~ weq as an axiomatic statement, as was done in an
     older version of this database, we introduce it by "proving" a special
     case of set theory's more general ~ wceq .  This lets us avoid overloading
     the ` = ` connective, thus preventing ambiguity that would complicate
     certain Metamath parsers.  However, logically ~ weq is considered to be a
     primitive syntax, even though here it is artificially "derived" from
     ~ wceq .  Note:  To see the proof steps of this syntax proof, type "show
     proof weq /all" in the Metamath program.) $)
  weq $p wff x = y $=
    ( cv wceq ) ACBCD $.
    $( [24-Jan-2006] $)
  $( --- End of patch to prevent connective overloading $)

  $( --- Start of old code before overloading prevention patch. $)
  $(
  @( Extend wff definition to include atomic formulas using the equality
     predicate.

     After we introduce ~ cv and ~ wceq in set theory, this syntax construction
     becomes redundant, since it can be derived with the proof
     "vx cv vy cv wceq". @)
  weq @a wff x = y @.
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( Declare the membership predicate symbol. $)
  $c e. $. $( Stylized epsilon $)

  $( --- Start of patch to prevent connective overloading $)
  ${
    $v A $.
    $v B $.
    wcel.cA $f class A $.
    wcel.cB $f class B $.
    $( Extend wff definition to include the membership connective between
       classes.

       (The purpose of introducing ` wff A e. B ` here is to allow us to
       express i.e.  "prove" the ~ wel of predicate calculus in terms of the
       ~ wceq of set theory, so that we don't "overload" the ` e. ` connective
       with two syntax definitions.  This is done to prevent ambiguity that
       would complicate some Metamath parsers.  The class variables ` A ` and
       ` B ` are introduced temporarily for the purpose of this definition but
       otherwise not used in predicate calculus.  See ~ df-clab for more
       information on the set theory usage of ~ wcel .) $)
    wcel $a wff A e. B $.
  $}

  $( Extend wff definition to include atomic formulas with the epsilon
     (membership) predicate.  This is read " ` x ` is an element of
     ` y ` ," " ` x ` is a member of ` y ` ," " ` x ` belongs to ` y ` ,"
     or " ` y ` contains ` x ` ."  Note:  The phrase " ` y ` includes
     ` x ` " means " ` x ` is a subset of ` y ` ;" to use it also for
     ` x e. y ` , as some authors occasionally do, is poor form and causes
     confusion, according to George Boolos (1992 lecture at MIT).

     This syntactical construction introduces a binary non-logical predicate
     symbol ` e. ` (epsilon) into our predicate calculus.  We will eventually
     use it for the membership predicate of set theory, but that is irrelevant
     at this point: the predicate calculus axioms for ` e. ` apply to any
     arbitrary binary predicate symbol.  "Non-logical" means that the predicate
     is presumed to have additional properties beyond the realm of predicate
     calculus, although these additional properties are not specified by
     predicate calculus itself but rather by the axioms of a theory (in our
     case set theory) added to predicate calculus.  "Binary" means that the
     predicate has two arguments.

     (Instead of introducing ~ wel as an axiomatic statement, as was done in an
     older version of this database, we introduce it by "proving" a special
     case of set theory's more general ~ wcel .  This lets us avoid overloading
     the ` e. ` connective, thus preventing ambiguity that would complicate
     certain Metamath parsers.  However, logically ~ wel is considered to be a
     primitive syntax, even though here it is artificially "derived" from
     ~ wcel .  Note:  To see the proof steps of this syntax proof, type "show
     proof wel /all" in the Metamath program.) $)
  wel $p wff x e. y $=
    ( cv wcel ) ACBCD $.
    $( [24-Jan-2006] $)
  $( --- End of patch to prevent connective overloading $)

  $( --- Start of old code before overloading prevention patch. $)
  $(
  @( Extend wff definition to include atomic formulas with the epsilon
     (membership) predicate.  This is read " ` x ` is an element of ` y ` ,"
     " ` x ` is a member of ` y ` ," " ` x ` belongs to ` y ` ," or " ` y `
     contains ` x ` ."  Note:  The phrase " ` y ` includes ` x ` " means
     " ` x ` is a subset of ` y ` "; to use it also for ` x e. y ` (as some
     authors occasionally do) is poor form and causes confusion.

     After we introduce ~ cv and ~ wcel in set theory, this syntax construction
     becomes redundant, since it can be derived with the proof
     "vx cv vy cv wcel". @)
  wel @a wff x e. y @.
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( Axiom of Equality.  One of the equality and substitution axioms of
     predicate calculus with equality.  This is similar to, but not quite, a
     transitive law for equality (proved later as ~ equtr ).  Axiom scheme C8'
     in [Megill] p. 448 (p. 16 of the preprint).  Also appears as Axiom C7 of
     [Monk2] p. 105.

     Axioms ~ ax-8 through ~ ax-16 are the axioms having to do with equality,
     substitution, and logical properties of our binary predicate ` e. ` (which
     later in set theory will mean "is a member of").  Note that all axioms
     except ~ ax-16 and ~ ax-17 are still valid even when ` x ` , ` y ` , and
     ` z ` are replaced with the same variable because they do not have any
     distinct variable (Metamath's $d) restrictions.  Distinct variable
     restrictions are required for ~ ax-16 and ~ ax-17 only. $)
  ax-8 $a |- ( x = y -> ( x = z -> y = z ) ) $.

  $( Axiom of Quantifier Substitution.  One of the equality and substitution
     axioms of predicate calculus with equality.  Appears as Lemma L12 in
     [Megill] p. 445 (p. 12 of the preprint).

     The original version of this axiom was ~ ax-10o ("o" for "old") and was
     replaced with this shorter ~ ax-10 in May 2008.  The old axiom is proved
     from this one as theorem ~ ax10o .  Conversely, this axiom is proved from
     ~ ax-10o as theorem ~ ax10 . $)
  ax-10 $a |- ( A. x x = y -> A. y y = x ) $.

  $( Axiom of Variable Substitution.  One of the 5 equality axioms of predicate
     calculus.  The final consequent ` A. x ( x = y -> ph ) ` is a way of
     expressing " ` y ` substituted for ` x ` in wff ` ph ` " (cf. ~ sb6 ).  It
     is based on Lemma 16 of [Tarski] p. 70 and Axiom C8 of [Monk2] p. 105,
     from which it can be proved by cases.

     The original version of this axiom was ~ ax-11o ("o" for "old") and was
     replaced with this shorter ~ ax-11 in Jan. 2007.  The old axiom is proved
     from this one as theorem ~ ax11o .  Conversely, this axiom is proved from
     ~ ax-11o as theorem ~ ax11 .

     Juha Arpiainen proved the independence of this axiom (in the form of the
     older axiom ~ ax-11o ) from the others on 19-Jan-2006.  See item 9a at
     ~ http://us.metamath.org/award2003.html .

     Interestingly, if the wff expression substituted for ` ph ` contains no
     wff variables, the resulting statement _can_ be proved without invoking
     this axiom.  This means that even though this axiom is _metalogically_
     independent from the others, it is not _logically_ independent.
     Specifically, we can prove any wff-variable-free instance of axiom
     ~ ax-11o (from which the ~ ax-11 instance follows by theorem ~ ax11 .)
     The proof is by induction on formula length, using ~ ax11eq and ~ ax11el
     for the basis steps and ~ ax11indn , ~ ax11indi , and ~ ax11inda for the
     induction steps.

     See also ~ ax11v and ~ ax11v2 for other equivalents of this axiom that
     (unlike this axiom) have distinct variable restrictions. $)
  ax-11 $a |- ( x = y -> ( A. y ph -> A. x ( x = y -> ph ) ) ) $.

  $( Axiom of Quantifier Introduction.  One of the equality and substitution
     axioms of predicate calculus with equality.  Informally, it says that
     whenever ` z ` is distinct from ` x ` and ` y ` , and ` x = y ` is true,
     then ` x = y ` quantified with ` z ` is also true.  In other words, ` z `
     is irrelevant to the truth of ` x = y ` .  Axiom scheme C9' in [Megill]
     p. 448 (p. 16 of the preprint).  It apparently does not otherwise appear
     in the literature but is easily proved from textbook predicate calculus by
     cases.

     An open problem is whether this axiom is redundant.  Note that the
     analogous axiom for the membership connective, ~ ax-15 , has been shown to
     be redundant.  It is also unknown whether this axiom can be replaced by a
     shorter formula.  However, it can be derived from two slightly shorter
     formulas, as shown by ~ a12study . $)
  ax-12 $a |- ( -. A. z z = x -> ( -. A. z z = y ->
              ( x = y -> A. z x = y ) ) ) $.

  $( Axiom of Equality.  One of the equality and substitution axioms for a
     non-logical predicate in our predicate calculus with equality.  It
     substitutes equal variables into the left-hand side of the ` e. ` binary
     predicate.  Axiom scheme C12' in [Megill] p. 448 (p. 16 of the preprint).
     It is a special case of Axiom B8 (p. 75) of system S2 of [Tarski] p. 77.
     "Non-logical" means that the predicate is not a primitive of predicate
     calculus proper but instead is an extension to it.  "Binary" means that
     the predicate has two arguments.  In a system of predicate calculus with
     equality, like ours, equality is not usually considered to be a
     non-logical predicate.  In systems of predicate calculus without equality,
     it typically would be. $)
  ax-13 $a |- ( x = y -> ( x e. z -> y e. z ) ) $.

  $( Axiom of Equality.  One of the equality and substitution axioms for a
     non-logical predicate in our predicate calculus with equality.  It
     substitutes equal variables into the right-hand side of the ` e. ` binary
     predicate.  Axiom scheme C13' in [Megill] p. 448 (p. 16 of the preprint).
     It is a special case of Axiom B8 (p. 75) of system S2 of [Tarski]
     p. 77. $)
  ax-14 $a |- ( x = y -> ( z e. x -> z e. y ) ) $.

  $( Bound-variable hypothesis builder for ` x = x ` .  This theorem tells us
     that any variable, including ` x ` , is effectively not free in
     ` x = x ` , even though ` x ` is technically free according to the
     traditional definition of free variable.  (The proof uses only ~ ax-5 ,
     ~ ax-8 , ~ ax-12 , and ~ ax-gen .  This shows that this can be proved
     without ~ ax-9 , even though the theorem ~ equid cannot be.  A shorter
     proof using ~ ax-9 is obtainable from ~ equid and ~ hbth .)  (The proof
     was shortened by Wolf Lammen, 23-Mar-2014.) $)
  hbequid $p |- ( x = x -> A. y x = x ) $=
    ( weq wal wi ax-12 ax-8 pm2.43i alimi a1d pm2.61ii ) BACZBDZMAACZNBDZEAABFM
    ONLNBLNBAAGHIJZPK $.
    $( [23-Mar-2014] $) $( [13-Jan-2011] $)

  $( Commutation law for identical variable specifiers.  The antecedent and
     consequent are true when ` x ` and ` y ` are substituted with the same
     variable.  Lemma L12 in [Megill] p. 445 (p. 12 of the preprint). $)
  alequcom $p |- ( A. x x = y -> A. y y = x ) $=
    ( ax-10 ) ABC $.
    $( [5-Aug-1993] $)

  ${
    alequcoms.1 $e |- ( A. x x = y -> ph ) $.
    $( A commutation rule for identical variable specifiers. $)
    alequcoms $p |- ( A. y y = x -> ph ) $=
      ( weq wal alequcom syl ) CBECFBCEBFACBGDH $.
      $( [5-Aug-1993] $)
  $}

  ${
    nalequcoms.1 $e |- ( -. A. x x = y -> ph ) $.
    $( A commutation rule for distinct variable specifiers. $)
    nalequcoms $p |- ( -. A. y y = x -> ph ) $=
      ( weq wal alequcom nsyl4 con1i ) ACBECFZBCEBFJABCGDHI $.
      $( [2-Jan-2002] $)
  $}

  $( Lemma used in proofs of substitution properties. $)
  equs3 $p |- ( E. x ( x = y /\ ph ) <-> -. A. x ( x = y -> -. ph ) ) $=
    ( weq wn wi wal wa wex alinexa con2bii ) BCDZAEFBGLAHBILABJK $.
    $( [5-Aug-1993] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Axiom ax-17 - first use of the $d distinct variable statement
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x ph $.
    $( Axiom to quantify a variable over a formula in which it does not occur.
       Axiom C5 in [Megill] p. 444 (p. 11 of the preprint).  Also appears as
       Axiom B6 (p. 75) of system S2 of [Tarski] p. 77 and Axiom C5-1 of
       [Monk2] p. 113.

       This axiom is _logically_ redundant in the (logically complete)
       predicate calculus axiom system consisting of ~ ax-gen , ~ ax-4 through
       ~ ax-9 , ~ ax-10o , and ~ ax-12 through ~ ax-16 : in that system, we can
       derive any instance of ~ ax-17 not containing wff variables by induction
       on formula length, using ~ ax17eq and ~ ax17el for the basis together
       ~ hbn , ~ hbal , and ~ hbim .  However, if we omit this axiom, our
       development would be quite inconvenient since we could work only with
       specific instances of wffs containing no wff variables - this axiom
       introduces the concept of a set variable not occurring in a wff (as
       opposed to just two set variables being distinct). $)
    ax-17 $a |- ( ph -> A. x ph ) $.
  $}

  ${
    $d x ps $.
    $( ~ ax-17 with antecedent.  Useful in proofs of deduction versions of
       bound-variable hypothesis builders such as ~ hbeleqd . $)
    a17d $p |- ( ph -> ( ps -> A. x ps ) ) $=
      ( wal wi ax-17 a1i ) BBCDEABCFG $.
      $( [1-Mar-2013] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Derive ax-9 from a weaker version
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


  ${
    $d x w $.  $d w z $.
    a9wa9lem1.1 $e |- -. A. w -. w = x $.
    $( Lemma for ~ a9wa9 .  Similar to ~ equcomi , without using ~ ax-9 or
       ~ ax-4 . $)
    a9wa9lem1 $p |- ( x = y -> y = x ) $=
      ( weq wn wal ax-8 pm2.43i con3i alimi mto ax-17 mt3 mpi ) ABEAAEZBAEPPFZC
      GZRCAEZFZCGDQTCSPSPCAAHIJKLQCMNABAHO $.
      $( [12-Nov-2013] $)

    a9wa9lem2.2 $e |- -. A. w -. w = z $.
    $( Lemma for ~ a9wa9 .  Similar to ~ equequ2 , without using ~ ax-9 or
       ~ ax-4 . $)
    a9wa9lem2 $p |- ( x = y -> ( z = x <-> z = y ) ) $=
      ( weq a9wa9lem1 ax-8 com12 syl5 syl2im impbid ) ABGZCAGZCBGZOACGZNPCADFHQ
      NPACBIJKNBAGZPBCGZOABDEHCBDFHSROBCAIJLM $.
      $( [3-Apr-2014] $) $( [12-Nov-2013] $)
  $}

  ${
    $d x w $.  $d w ph $.
    a9wa9lem3.1 $e |- -. A. w -. w = x $.
    a9wa9lem3.2 $e |- -. A. x -. x = w $.
    $( Lemma for ~ a9wa9 .  Similar to ~ ax4 , without using ~ ax-9 or
       ~ ax-4 . $)
    a9wa9lem3 $p |- ( A. x ph -> ph ) $=
      ( wal wi weq wn ax-17 a9wa9lem1 ax-11 syl2im con2 al2imi mtoi con4d con3i
      syl6 alrimi mt3 ) ABFZAGZCBHZIZCFDUCIZUECUFCJUDUCUDAUBUDAIZBCHZUGGZBFZUBI
      UDUHUGUGCFUJCBBEKUGCJUGBCLMUJUBUHIZBFEUIAUKBUHANOPSQRTUA $.
      $( [12-Nov-2013] $)

    $( Lemma for ~ a9wa9 .  Similar to ~ hba1 , without using ~ ax-9 or
       ~ ax-4 . $)
    a9wa9lem4 $p |- ( A. x ph -> A. x A. x ph ) $=
      ( wal wn a9wa9lem3 con2i ax-6 con1i alimi 3syl ) ABFZNGZBFZGZQBFNBFPNOBCD
      EHIOBJQNBNPABJKLM $.
      $( [12-Nov-2013] $)

    a9wa9lem5.3 $e |- ( ph -> A. x ph ) $.
    $( Lemma for ~ a9wa9 .  Similar to ~ hbn , without using ~ ax-9 or
       ~ ax-4 . $)
    a9wa9lem5 $p |- ( -. ph -> A. x -. ph ) $=
      ( wn wal a9wa9lem3 con3i ax-6 alrimi syl ) AGZABHZGZNBHOAABCDEIJPNBABKAOF
      JLM $.
      $( [12-Nov-2013] $)
  $}

  ${
    $d x w $.  $d w ph $.  $d w ps $.
    a9wa9lem6.1 $e |- -. A. w -. w = x $.
    a9wa9lem6.2 $e |- -. A. x -. x = w $.
    a9wa9lem6.3 $e |- ( ph -> A. x ph ) $.
    a9wa9lem6.4 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    a9wa9lem6.5 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    $( Lemma for ~ a9wa9 .  Similar to ~ hbimd , without using ~ ax-9 or
       ~ ax-4 .  (The proof was shortened by Wolf Lammen, 3-Apr-2014.) $)
    a9wa9lem6 $p |- ( ph -> ( ( ps -> ch ) -> A. x ( ps -> ch ) ) ) $=
      ( wi wal wn alrimi a9wa9lem3 ax-6 nsyl4 con1i alimi syl6 con3 al2imi ax-1
      syl2im pm2.21 jad ) ABCBCKZDLZABMZUIDLZUHABBDLZKZDLUIUKMZDLZUJAULDHINUNBU
      KBUNBDEFGOBDPQRULUMUIDBUKUAUBUDUIUGDBCUESTACCDLUHJCUGDCBUCSTUF $.
      $( [3-Apr-2014] $) $( [12-Nov-2013] $)
  $}

  ${
    $d x w $.  $d w ph $.  $d w ps $.
    a9wa9lem7.1 $e |- -. A. w -. w = x $.
    a9wa9lem7.2 $e |- -. A. x -. x = w $.
    a9wa9lem7.3 $e |- ( ph -> A. x ph ) $.
    a9wa9lem7.4 $e |- ( ps -> A. x ps ) $.
    $( Lemma for ~ a9wa9 .  Similar to ~ hban , without using ~ ax-9 or
       ~ ax-4 . $)
    a9wa9lem7 $p |- ( ( ph /\ ps ) -> A. x ( ph /\ ps ) ) $=
      ( wa wn wi df-an wal a9wa9lem5 pm2.21 alrimi ax-1 ja hbxfrbi ) ABIABJZKZJ
      CABLUACDEFATUACMAJUACACDEFGNATOPTUACBCDEFHNTAQPRNS $.
      $( [12-Nov-2013] $)
  $}

  ${
    $d x v w z $.  $d y v w z $.  $d w x ph $.  $d w z ps $.
    a9wa9.1 $e |- -. A. w -. w = x $.
    a9wa9.2 $e |- -. A. x -. x = w $.
    a9wa9.3 $e |- -. A. z -. z = y $.
    a9wa9.4 $e |- -. A. w -. w = z $.
    a9wa9.5 $e |- -. A. z -. z = w $.

    ${
      a9wa9lem8.6 $e |- ( z = y -> ( ph <-> ps ) ) $.
      $( Lemma for ~ a9wa9 .  Similar to ~ dvelimfALT , without using ~ ax-9 or
         ~ ax-4 .  (The proof was shortened by Wolf Lammen, 18-Jul-2014.) $)
      a9wa9lem8 $p |- ( -. A. x x = y -> ( ps -> A. x ps ) ) $=
        ( weq wal wn wi ax-17 alrimi alimi ax-6 a1d a9wa9lem3 syl5ibr a2i ax-10
        wa syl con3i nalequcoms a9wa9lem7 ax-12 imp a17d a9wa9lem6 hbald biimpd
        con3 al2imi mtoi con1i 3syl syl56 expcom ax-11 syl2im pm2.27 pm2.61d2
        syld ) CDMZCNOZCEMZCNZBBCNZPZVLOZVJVNBEDMZAPZENZVOVJUFZVRCNVMBVPBENZPZE
        NVRBWAEBEQZBVTVPWBUARWAVQEVPVTAVTAVPBBEFJKUBLUCUDSUGVSVQCEVOVJEFJKVOENE
        CECMZENZOVOEWCETVLWDCEUEUHRUIVJEQUJVSVPACFGHVOVJCFGHVKCTVICTUJVOVJVPVPC
        NPEDCUKULVSACUMUNUOVRBCVRVPBPZENZBOZENZOBVQWEEVPABVPABLUPUDSWFWHVPOZENI
        WEWGWIEVPBUQURUSBWHWGEQUTVASVBVCVLBVKBPZCNZVMVLVKBVTWKVKCFGHUBWBBCEVDVE
        VKWJBCVKBVFURVHVG $.
        $( [18-Jul-2014] $) $( [12-Nov-2013] $)
    $}

    a9wa9.6 $e |- -. A. v -. v = y $.
    a9wa9.7 $e |- -. A. w -. w = v $.
    a9wa9.8 $e |- -. A. x -. x = v $.
    $( Derive ~ ax-9 (which has no distinct variable requirement) from a weaker
       version that requires that its two variables be distinct.  The
       hypotheses are the instances of the weaker version that we need.
       Neither ~ ax-9 nor ~ ax-4 (which can be derived from ~ ax-9 ) is used by
       the proof.  Note that every other predicate calculus axiom (except
       ~ ax-13 and ~ ax-14 ) is used by the proof.  (The proof was shortened by
       Wolf Lammen, 28-Mar-2014.) $)
    a9wa9 $p |- -. A. x -. x = y $=
      ( weq wal wn a9wa9lem3 nsyl3 wi a9wa9lem2 ax-17 a9wa9lem8 a9wa9lem4 albid
      wb syl notbid mtbii syl6com con3i alrimi mt3 pm2.61i ) ABNZAOZUNPZAOZPZUQ
      UNUOUPADFGQUNADFGQRUOPZURSZEBNZPZEOKUTPZVBEVCEUAVAUTUSVAVAAOZURECNVAABCDF
      GHIJCBEDILTUBVDAENZPZAOUQMVDVFUPAVAADFGUCVDVEUNVDVAVEUNUEVAADFGQEBADLFTUF
      UGUDUHUIUJUKULUM $.
      $( [28-Mar-2014] $) $( [12-Nov-2013] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Introduce Axiom of Existence ax-9
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Axiom of Existence.  One of the equality and substitution axioms of
     predicate calculus with equality.  One thing this axiom tells us is that
     at least one thing exists (although ~ ax-4 and possibly others also tell
     us that, i.e. they are not valid in the empty domain of a "free logic").
     In this form (not requiring that ` x ` and ` y ` be distinct) it was used
     in an axiom system of Tarski (see Axiom B7' in footnote 1 of
     [KalishMontague] p. 81.)  It is equivalent to axiom scheme C10' in
     [Megill] p. 448 (p. 16 of the preprint); the equivalence is established by
     ~ ax9o and ~ ax9 .  A more convenient form of this axiom is ~ a9e , which
     has additional remarks.

     Raph Levien proved the independence of this axiom from the other logical
     axioms on 12-Apr-2005.  See item 16 at
     ~ http://us.metamath.org/award2003.html .

     ~ ax-9 can be proved from a weaker version requiring that the variables be
     distinct; see theorem ~ a9wa9 . $)
  ax-9 $a |- -. A. x -. x = y $.

  $( ~ equid with existential quantifier without using ~ ax-4 or ~ ax-17 .
     (The proof was shortened by Wolf Lammen, 27-Feb-2014.) $)
  equidqe $p |- -. A. y -. x = x $=
    ( weq wn wal ax-9 ax-8 pm2.43i con3i alimi mto ) AACZDZBEBACZDZBEBAFMOBNLNL
    BAAGHIJK $.
    $( [27-Feb-2014] $) $( [13-Jan-2011] $)

  $( ~ equid with universal quantifier without using ~ ax-4 or ~ ax-17 . $)
  equidq $p |- A. y x = x $=
    ( weq wal wn equidqe ax-6 hbequid con3i alrimi mt3 ) AACZBDZLEZBDABFMENBLBG
    LMABHIJK $.
    $( [13-Jan-2011] $)

  $( A special case of ~ ax-4 without using ~ ax-4 or ~ ax-17 . $)
  ax4sp1 $p |- ( A. y -. x = x -> -. x = x ) $=
    ( weq wn wal equidqe pm2.21i ) AACDZBEHABFG $.
    $( [13-Jan-2011] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Derive ax-4, ax-5o, and ax-6o
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.  $d y ph $.
    $( Theorem showing that ~ ax-4 can be derived from ~ ax-5 , ~ ax-gen ,
       ~ ax-8 , ~ ax-9 , ~ ax-11 , and ~ ax-17 and is therefore redundant in a
       system including these axioms.  The proof uses ideas from the proof of
       Lemma 21 of [Monk2] p. 114.

       This theorem should not be referenced in any proof.  Instead, we will
       use ~ ax-4 below so that explicit uses of ~ ax-4 can be more easily
       identified.  In particular, this will more cleanly separate out the
       theorems of "pure" predicate calculus that don't involve equality or
       distinct variables.  A beginner may wish to accept ~ ax-4 a priori, so
       that the proof of this theorem ( ~ ax4 ), which involves equality as
       well as the distinct variable requirements of ~ ax-17 , can be put off
       until those axioms are studied.

       Note:  All predicate calculus axioms introduced from this point forward
       are redundant.  Immediately before their introduction, we prove them
       from earlier axioms to demonstrate their redundancy.  Specifically,
       redundant axioms ~ ax-4 , ~ ax-5o , ~ ax-6o , ~ ax-9o , ~ ax-10o ,
       ~ ax-11o , ~ ax-15 , and ~ ax-16 are proved by theorems ~ ax4 , ~ ax5o ,
       ~ ax6o , ~ ax9o , ~ ax10o , ~ ax11o , ~ ax15 , and ~ ax16 .  Except for
       the ones suffixed with o ( ~ ax-5o etc.), we never reference those
       theorems directly.  Instead, we use the axiom version that immediately
       follows it.  This allow us to better isolate the uses of the redundant
       axioms for easier study of subsystems containing them.

       (The proof was shortened by Scott Fenton, 24-Jan-2011.) $)
    ax4 $p |- ( A. x ph -> ph ) $=
      ( vy wal wi weq ax-9 ax-8 pm2.43i con3i ax-gen ax-17 ax-5 mpsyl mt3 ax-11
      wn mpi syl2im con2 ax-mp syl mtoi syl6 con4d ) ABDZAEZCBFZQZCDZCBGUGQZUIE
      ZCDUKUKCDUJULCUHUGUHAUFUHAQZBCFZUMEZBDZUFQUHUNUMUMCDUPUHCCFZUNUQUNQZBDZBC
      GZUQQZUREZBDVAVABDUSVBBUNUQUNUQBCCHIJKVABLVAURBMNOCBCHRUMCLUMBCPSUPUFUSUT
      UPAUREZBDZUFUSEUOVCEZBDUPVDEVEBUNATKUOVCBMUAAURBMUBUCUDUEJKUKCLUKUICMNO
      $.
      $( [24-Jan-2011] $) $( [21-May-2008] $)
  $}

  $( Axiom of Specialization.  A quantified wff implies the wff without a
     quantifier (i.e. an instance, or special case, of the generalized wff).
     In other words if something is true for all ` x ` , it is true for any
     specific ` x ` (that would typically occur as a free variable in the wff
     substituted for ` ph ` ).  (A free variable is one that does not occur in
     the scope of a quantifier: ` x ` and ` y ` are both free in ` x = y ` ,
     but only ` x ` is free in ` A. y x = y ` .)  This is one of the axioms of
     what we call "pure" predicate calculus ( ~ ax-4 through ~ ax-7 plus rule
     ~ ax-gen ).  Axiom scheme C5' in [Megill] p. 448 (p. 16 of the preprint).
     Also appears as Axiom B5 of [Tarski] p. 67 (under his system S2, defined
     in the last paragraph on p. 77).

     Note that the converse of this axiom does not hold in general, but a
     weaker inference form of the converse holds and is expressed as rule
     ~ ax-gen .  Conditional forms of the converse are given by ~ ax-12 ,
     ~ ax-15 , ~ ax-16 , and ~ ax-17 .

     Unlike the more general textbook Axiom of Specialization, we cannot choose
     a variable different from ` x ` for the special case.  For use, that
     requires the assistance of equality axioms, and we deal with it later
     after we introduce the definition of proper substitution - see ~ stdpc4 .

     An nice alternate axiomatization uses ~ ax467 and ~ ax-5o in place of
     ~ ax-4 , ~ ax-5 , ~ ax-6 , and ~ ax-7 .

     This axiom is redundant in the presence of certain other axioms, as shown
     by theorem ~ ax4 .  (We replaced the older ~ ax-5o and ~ ax-6o with newer
     versions ~ ax-5 and ~ ax-6 in order to prove this redundancy.) $)
  ax-4 $a |- ( A. x ph -> ph ) $.

  $( Show that the original axiom ~ ax-5o can be derived from ~ ax-5 and
     others.  See ~ ax5 for the rederivation of ~ ax-5 from ~ ax-5o .

     Part of the proof is based on the proof of Lemma 22 of [Monk2] p. 114.

     Normally, ~ ax5o should be used rather than ~ ax-5o , except by theorems
     specifically studying the latter's properties. $)
  ax5o $p |- ( A. x ( A. x ph -> ps ) -> ( A. x ph -> A. x ps ) ) $=
    ( wal wi wn ax-4 con2i ax-6 con1i ax-gen ax-5 ax-mp 3syl syl5 ) ACDZPCDZPBE
    CDBCDPPFZCDZFZTCDZQSPRCGHRCITPEZCDUAQEUBCPSACIJKTPCLMNPBCLO $.
    $( [21-May-2008] $)

  $( Axiom of Quantified Implication.  This axiom moves a quantifier from
     outside to inside an implication, quantifying ` ps ` .  Notice that ` x `
     must not be a free variable in the antecedent of the quantified
     implication, and we express this by binding ` ph ` to "protect" the axiom
     from a ` ph ` containing a free ` x ` .  One of the 4 axioms of "pure"
     predicate calculus.  Axiom scheme C4' in [Megill] p. 448 (p. 16 of the
     preprint).  It is a special case of Lemma 5 of [Monk2] p. 108 and Axiom 5
     of [Mendelson] p. 69.

     This axiom is redundant, as shown by theorem ~ ax5o .

     Normally, ~ ax5o should be used rather than ~ ax-5o , except by theorems
     specifically studying the latter's properties. $)
  ax-5o $a |- ( A. x ( A. x ph -> ps ) -> ( A. x ph -> A. x ps ) ) $.

  $( Rederivation of axiom ~ ax-5 from the orginal version, ~ ax-5o .  See
     ~ ax5o for the derivation of ~ ax-5o from ~ ax-5 .

     This theorem should not be referenced in any proof.  Instead, use ~ ax-5
     above so that uses of ~ ax-5 can be more easily identified.

     Note:  This is the same as theorem ~ alim below.  It is proved separately
     here so that it won't be dependent on the axioms used for ~ alim . $)
  ax5 $p |- ( A. x ( ph -> ps ) -> ( A. x ph -> A. x ps ) ) $=
    ( wi wal ax-4 syl5 ax-gen ax-5o ax-mp syl ) ABDZCEZACEZBDZCEZNBCEDMODZCEMPD
    QCNAMBACFLCFGHLOCIJABCIK $.
    $( [5-Dec-2010] $) $( [23-May-2008] $)

  $( Show that the original axiom ~ ax-6o can be derived from ~ ax-6 and
     others.  See ~ ax6 for the rederivation of ~ ax-6 from ~ ax-6o .

     Normally, ~ ax6o should be used rather than ~ ax-6o , except by theorems
     specifically studying the latter's properties. $)
  ax6o $p |- ( -. A. x -. A. x ph -> ph ) $=
    ( wal wn ax-4 ax-6 nsyl4 ) ABCZAHDBCABEABFG $.
    $( [21-May-2008] $)

  $( Axiom of Quantified Negation.  This axiom is used to manipulate negated
     quantifiers.  One of the 4 axioms of pure predicate calculus.  Equivalent
     to axiom scheme C7' in [Megill] p. 448 (p. 16 of the preprint).  An
     alternate axiomatization could use ~ ax467 in place of ~ ax-4 , ~ ax-6o ,
     and ~ ax-7 .

     This axiom is redundant, as shown by theorem ~ ax6o .

     Normally, ~ ax6o should be used rather than ~ ax-6o , except by theorems
     specifically studying the latter's properties. $)
  ax-6o $a |- ( -. A. x -. A. x ph -> ph ) $.

  $( Rederivation of axiom ~ ax-6 from the orginal version, ~ ax-6o .  See
     ~ ax6o for the derivation of ~ ax-6o from ~ ax-6 .

     This theorem should not be referenced in any proof.  Instead, use ~ ax-6
     above so that uses of ~ ax-6 can be more easily identified. $)
  ax6 $p |- ( -. A. x ph -> A. x -. A. x ph ) $=
    ( wal wn wi ax-4 id ax-gen ax-5o ax-mp nsyl ax-6o nsyl4 ) ABCZBCZDZBCZNDZBC
    ZNQREZBCQSETBQONPBFNNEZBCNOEUABNGHANBIJKHPRBIJNBLM $.
    $( [23-May-2008] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
    "Pure" predicate calculus including ax-4, without distinct variables
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


  ${
    a4i.1 $e |- A. x ph $.
    $( Inference rule reversing generalization. $)
    a4i $p |- ph $=
      ( wal ax-4 ax-mp ) ABDACABEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    a4s.1 $e |- ( ph -> ps ) $.
    $( Generalization of antecedent. $)
    a4s $p |- ( A. x ph -> ps ) $=
      ( wal ax-4 syl ) ACEABACFDG $.
      $( [5-Aug-1993] $)
  $}

  ${
    a4sd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction generalizing antecedent. $)
    a4sd $p |- ( ph -> ( A. x ps -> ch ) ) $=
      ( wal ax-4 syl5 ) BDFBACBDGEH $.
      $( [17-Aug-1994] $)
  $}

  $( Abbreviated version of ~ ax-6o . $)
  a6e $p |- ( E. x A. x ph -> ph ) $=
    ( wal wex wn df-ex ax6o sylbi ) ABCZBDIEBCEAIBFABGH $.
    $( [5-Aug-1993] $)

  $( Closed theorem version of bound-variable hypothesis builder ~ hbn . $)
  hbnt $p |- ( A. x ( ph -> A. x ph ) -> ( -. ph -> A. x -. ph ) ) $=
    ( wn wal wi ax6o con1i con3 al2imi syl5 ) ACZABDZCZBDZALEZBDKBDNAABFGOMKBAL
    HIJ $.
    $( [5-Aug-1993] $)

  $( ` x ` is not free in ` A. x ph ` .  Example in Appendix in [Megill] p. 450
     (p. 19 of the preprint).  Also Lemma 22 of [Monk2] p. 114. $)
  hba1 $p |- ( A. x ph -> A. x A. x ph ) $=
    ( wal wn ax-4 con2i ax-6 con1i alimi 3syl ) ABCZKDZBCZDZNBCKBCMKLBEFLBGNKBK
    MABGHIJ $.
    $( [5-Aug-1993] $)

  ${
    a5i.1 $e |- ( A. x ph -> ps ) $.
    $( Inference version of ~ ax-5o . $)
    a5i $p |- ( A. x ph -> A. x ps ) $=
      ( wal wi hba1 ax-5 syl5 mpg ) ACEZBFZKBCEZFCKKCELCEMACGKBCHIDJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    hb.1 $e |- ( ph -> A. x ph ) $.
    $( If ` x ` is not free in ` ph ` , it is not free in ` -. ph ` . $)
    hbn $p |- ( -. ph -> A. x -. ph ) $=
      ( wal wi wn hbnt mpg ) AABDEAFZIBDEBABGCH $.
      $( [5-Aug-1993] $)

    $( If ` x ` is not free in ` ph ` , it is not free in ` E. y ph ` . $)
    hbex $p |- ( E. y ph -> A. x E. y ph ) $=
      ( wex wn wal df-ex hbn hbal hbxfrbi ) ACEAFZCGZFBACHMBLBCABDIJIK $.
      $( [5-Aug-1993] $)

    ${
      hb.2 $e |- ( ps -> A. x ps ) $.
      $( If ` x ` is not free in ` ph ` and ` ps ` , it is not free in
         ` ( ph -> ps ) ` .  (The proof was shortened by O'Cat, 3-Mar-2008.) $)
      hbim $p |- ( ( ph -> ps ) -> A. x ( ph -> ps ) ) $=
        ( wi wal wn hbn pm2.21 alrimi ax-1 ja ) ABABFZCGAHNCACDIABJKBNCEBALKM
        $.
        $( [4-Mar-2008] $)  $( [5-Aug-1993] $)

      $( If ` x ` is not free in ` ph ` and ` ps ` , it is not free in
         ` ( ph \/ ps ) ` . $)
      hbor $p |- ( ( ph \/ ps ) -> A. x ( ph \/ ps ) ) $=
        ( wo wn wi df-or hbn hbim hbxfrbi ) ABFAGZBHCABIMBCACDJEKL $.
        $( [5-Aug-1993] $)

      $( If ` x ` is not free in ` ph ` and ` ps ` , it is not free in
         ` ( ph /\ ps ) ` . $)
      hban $p |- ( ( ph /\ ps ) -> A. x ( ph /\ ps ) ) $=
        ( wa wn wi df-an hbn hbim hbxfrbi ) ABFABGZHZGCABINCAMCDBCEJKJL $.
        $( [5-Aug-1993] $)

      $( If ` x ` is not free in ` ph ` and ` ps ` , it is not free in
         ` ( ph <-> ps ) ` . $)
      hbbi $p |- ( ( ph <-> ps ) -> A. x ( ph <-> ps ) ) $=
        ( wb wi wa dfbi2 hbim hban hbxfrbi ) ABFABGZBAGZHCABIMNCABCDEJBACEDJKL
        $.
        $( [5-Aug-1993] $)

      ${
        hb.3 $e |- ( ch -> A. x ch ) $.
        $( If ` x ` is not free in ` ph ` , ` ps ` , and ` ch ` , it is not
           free in ` ( ph \/ ps \/ ch ) ` . $)
        hb3or $p |- ( ( ph \/ ps \/ ch ) -> A. x ( ph \/ ps \/ ch ) ) $=
          ( w3o wo df-3or hbor hbxfrbi ) ABCHABIZCIDABCJMCDABDEFKGKL $.
          $( [14-Sep-2003] $)

        $( If ` x ` is not free in ` ph ` , ` ps ` , and ` ch ` , it is not
           free in ` ( ph /\ ps /\ ch ) ` . $)
        hb3an $p |- ( ( ph /\ ps /\ ch ) -> A. x ( ph /\ ps /\ ch ) ) $=
          ( w3a wa df-3an hban hbxfrbi ) ABCHABIZCIDABCJMCDABDEFKGKL $.
          $( [14-Sep-2003] $)
      $}
    $}
  $}

  $( Lemma 24 of [Monk2] p. 114. $)
  hba2 $p |- ( A. y A. x ph -> A. x A. y A. x ph ) $=
    ( wal hba1 hbal ) ABDBCABEF $.
    $( [29-May-2008] $)

  $( Lemma 23 of [Monk2] p. 114. $)
  hbia1 $p |- ( ( A. x ph -> A. x ps ) -> A. x ( A. x ph -> A. x ps ) ) $=
    ( wal hba1 hbim ) ACDBCDCACEBCEF $.
    $( [29-May-2008] $)

  $( ` x ` is not free in ` -. A. x ph ` .  (The proof was shortened by Wolf
     Lammen, 18-Aug-2014.) $)
  hbn1 $p |- ( -. A. x ph -> A. x -. A. x ph ) $=
    ( ax-6 ) ABC $.
    $( [18-Aug-2014] $) $( [5-Aug-1993] $)

  $( ` x ` is not free in ` E. x ph ` . $)
  hbe1 $p |- ( E. x ph -> A. x E. x ph ) $=
    ( wex wn wal df-ex hbn1 hbxfrbi ) ABCADZBEDBABFIBGH $.
    $( [5-Aug-1993] $)

  $( Proof of a single axiom that can replace ~ ax-4 and ~ ax-6o .  See
     ~ ax46to4 and ~ ax46to6 for the re-derivation of those axioms.
     (Contributed by Scott Fenton, 12-Sep-2005.) $)
  ax46 $p |- ( ( A. x -. A. x ph -> A. x ph ) -> ph ) $=
    ( wal wn ax-6o ax-4 ja ) ABCZDBCHAABEABFG $.
    $( [12-Sep-2005] $)

  $( Re-derivation of ~ ax-4 from ~ ax46 .  Only propositional calculus is used
     for the re-derivation.  (Contributed by Scott Fenton, 12-Sep-2005.) $)
  ax46to4 $p |- ( A. x ph -> ph ) $=
    ( wal wn wi ax-1 ax46 syl ) ABCZIDBCZIEAIJFABGH $.
    $( [12-Sep-2005] $)

  $( Re-derivation of ~ ax-6o from ~ ax46 .  Only propositional calculus is
     used for the re-derivation.  (Contributed by Scott Fenton,
     12-Sep-2005.) $)
  ax46to6 $p |- ( -. A. x -. A. x ph -> ph ) $=
    ( wal wn wi pm2.21 ax46 syl ) ABCZDBCZDJIEAJIFABGH $.
    $( [12-Sep-2005] $)

  $( Proof of a single axiom that can replace both ~ ax-6o and ~ ax-7 .  See
     ~ ax67to6 and ~ ax67to7 for the re-derivation of those axioms. $)
  ax67 $p |- ( -. A. x -. A. y A. x ph -> A. y ph ) $=
    ( wal wn ax-7 con3i alimi ax-6o syl ) ABDCDZEZBDZEACDZBDZEZBDZENQMPLBKOACBF
    GHGNBIJ $.
    $( [18-Nov-2006] $)

  $( Re-derivation of ~ ax-6o from ~ ax67 .  Note that ~ ax-6o and ~ ax-7 are
     not used by the re-derivation. $)
  ax67to6 $p |- ( -. A. x -. A. x ph -> ph ) $=
    ( wal wn hba1 con3i alimi ax67 ax-4 3syl ) ABCZDZBCZDKBCZDZBCZDKAPMOLBKNABE
    FGFABBHABIJ $.
    $( [18-Nov-2006] $)

  $( Re-derivation of ~ ax-7 from ~ ax67 .  Note that ~ ax-6o and ~ ax-7 are
     not used by the re-derivation. $)
  ax67to7 $p |- ( A. x A. y ph -> A. y A. x ph ) $=
    ( wal wn ax67to6 con4i ax67 alimi syl ) ACDBDZKEZCDEZCDZABDZCDNKLCFGMOCACBH
    IJ $.
    $( [18-Nov-2006] $)

  $( Proof of a single axiom that can replace ~ ax-4 , ~ ax-6o , and ~ ax-7 in
     a subsystem that includes these axioms plus ~ ax-5o and ~ ax-gen (and
     propositional calculus).  See ~ ax467to4 , ~ ax467to6 , and ~ ax467to7 for
     the re-derivation of those axioms.  This theorem extends the idea in Scott
     Fenton's ~ ax46 . $)
  ax467 $p |- ( ( A. x A. y -. A. x A. y ph -> A. x ph ) -> ph ) $=
    ( wal wn ax-4 hbn1 ax-6o con1i alimi ax-7 3syl nsyl4 ja ) ACDZBDEZCDBDZABDA
    OAQACFOEZRCDPBDZCDQACGRSCSOOBHIJPCBKLMABFN $.
    $( [18-Nov-2006] $)

  $( Re-derivation of ~ ax-4 from ~ ax467 .  Only propositional calculus is
     used by the re-derivation. $)
  ax467to4 $p |- ( A. x ph -> ph ) $=
    ( wal wn wi ax-1 ax467 syl ) ABCZIBCDBCBCZIEAIJFABBGH $.
    $( [19-Nov-2006] $)

  $( Re-derivation of ~ ax-6o from ~ ax467 .  Note that ~ ax-6o and ~ ax-7 are
     not used by the re-derivation.  The use of ~ alimi (which uses ~ ax-4 ) is
     allowed since we have already proved ~ ax467to4 . $)
  ax467to6 $p |- ( -. A. x -. A. x ph -> ph ) $=
    ( wal wn wi ax467to4 hba1 con3i alimi syl pm2.21 ax467 3syl ) ABCZDZBCZDNBC
    ZDZBCZBCZDTNEATPTSPSBFROBNQABGHIJHTNKABBLM $.
    $( [19-Nov-2006] $)

  $( Re-derivation of ~ ax-7 from ~ ax467 .  Note that ~ ax-6o and ~ ax-7 are
     not used by the re-derivation.  The use of ~ alimi (which uses ~ ax-4 ) is
     allowed since we have already proved ~ ax467to4 . $)
  ax467to7 $p |- ( A. x A. y ph -> A. y A. x ph ) $=
    ( wal wn ax467to6 con4i wi pm2.21 ax467 syl alimi nsyl4 ) ACDBDZNEZCDZEZCDZ
    ABDZCDRNOCFGQSCPBDZEZBDSPUAABUATSHATSIABCJKLPBFMLK $.
    $( [19-Nov-2006] $)

  $( The analog in our "pure" predicate calculus of axiom 5 of modal logic
     S5. $)
  modal-5 $p |- ( -. A. x -. ph -> A. x -. A. x -. ph ) $=
    ( wn hbn1 ) ACBD $.
    $( [5-Oct-2005] $)

  $( The analog in our "pure" predicate calculus of the Brouwer axiom (B) of
     modal logic S5. $)
  modal-b $p |- ( ph -> A. x -. A. x -. ph ) $=
    ( wn wal ax6o con4i ) ACZBDCBDAGBEF $.
    $( [5-Oct-2005] $)

  $( If a wff is true, it is true for at least one instance.  Special case of
     Theorem 19.8 of [Margaris] p. 89. $)
  19.8a $p |- ( ph -> E. x ph ) $=
    ( wn wal wex ax-4 con2i df-ex sylibr ) AACZBDZCABEKAJBFGABHI $.
    $( [5-Aug-1993] $)

  $( Theorem 19.2 of [Margaris] p. 89, generalized to use two set variables.
     (Contributed by O'Cat, 31-Mar-2008.) $)
  19.2 $p |- ( A. x ph -> E. y ph ) $=
    ( wex 19.8a a4s ) AACDBACEF $.
    $( [31-Mar-2008] $)

  ${
    19.3.1 $e |- ( ph -> A. x ph ) $.
    $( A wff may be quantified with a variable not free in it.  Theorem 19.3 of
       [Margaris] p. 89. $)
    19.3 $p |- ( A. x ph <-> ph ) $=
      ( wal ax-4 impbii ) ABDAABECF $.
      $( [21-May-2007] $) $( [5-Aug-1993] $)
  $}

  $( A closed version of one direction of ~ 19.9 . $)
  19.9t $p |- ( A. x ( ph -> A. x ph ) -> ( E. x ph -> ph ) ) $=
    ( wex wn wal wi df-ex hbnt con1d syl5bi ) ABCADBEZDAABEFBEZAABGLAKABHIJ $.
    $( [5-Aug-1993] $)

  ${
    19.9.1 $e |- ( ph -> A. x ph ) $.
    $( A wff may be existentially quantified with a variable not free in it.
       Theorem 19.9 of [Margaris] p. 89.  (Contributed by FL, 24-Mar-2007.) $)
    19.9 $p |- ( E. x ph <-> ph ) $=
      ( wex wal wi 19.9t mpg 19.8a impbii ) ABDZAAABEFKAFBABGCHABIJ $.
      $( [24-Mar-2007] $)
  $}

  ${
    19.9d.1 $e |- ( ps -> A. x ps ) $.
    19.9d.2 $e |- ( ps -> ( ph -> A. x ph ) ) $.
    $( A deduction version of one direction of ~ 19.9 . $)
    19.9d $p |- ( ps -> ( E. x ph -> ph ) ) $=
      ( wal wi wex alimi 19.9t 3syl ) BBCFAACFGZCFACHAGDBLCEIACJK $.
      $( [5-Aug-1993] $)
  $}

  $( One direction of Theorem 19.11 of [Margaris] p. 89. $)
  excomim $p |- ( E. x E. y ph -> E. y E. x ph ) $=
    ( wex 19.8a 2eximi hbe1 hbex 19.9 sylib ) ACDBDABDZCDZBDLAKBCABEFLBKBCABGHI
    J $.
    $( [5-Aug-1993] $)

  $( Theorem 19.11 of [Margaris] p. 89. $)
  excom $p |- ( E. x E. y ph <-> E. y E. x ph ) $=
    ( wex excomim impbii ) ACDBDABDCDABCEACBEF $.
    $( [5-Aug-1993] $)

  $( Theorem 19.12 of [Margaris] p. 89.  Assuming the converse is a mistake
     sometimes made by beginners!  But sometimes the converse does hold, as in
     ~ 19.12vv . $)
  19.12 $p |- ( E. x A. y ph -> A. y E. x ph ) $=
    ( wal wex hba1 hbex ax-4 eximi alrimi ) ACDZBEABECKCBACFGKABACHIJ $.
    $( [5-Aug-1993] $)

  ${
    19.16.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.16 of [Margaris] p. 90. $)
    19.16 $p |- ( A. x ( ph <-> ps ) -> ( ph <-> A. x ps ) ) $=
      ( wal wb 19.3 albi syl5bbr ) AACEABFCEBCEACDGABCHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.17.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.17 of [Margaris] p. 90. $)
    19.17 $p |- ( A. x ( ph <-> ps ) -> ( A. x ph <-> ps ) ) $=
      ( wb wal albi 19.3 syl6bb ) ABECFACFBCFBABCGBCDHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.19.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.19 of [Margaris] p. 90. $)
    19.19 $p |- ( A. x ( ph <-> ps ) -> ( ph <-> E. x ps ) ) $=
      ( wex wb wal 19.9 exbi syl5bbr ) AACEABFCGBCEACDHABCIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.21.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.21 of [Margaris] p. 90.  The hypothesis can be thought of
       as " ` x ` is not free in ` ph ` ." $)
    19.21 $p |- ( A. x ( ph -> ps ) <-> ( ph -> A. x ps ) ) $=
      ( wi wal alim syl5 hba1 hbim ax-4 imim2i alrimi impbii ) ABEZCFZABCFZEZAA
      CFPQDABCGHROCAQCDBCIJQBABCKLMN $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.21-2.1 $e |- ( ph -> A. x ph ) $.
    19.21-2.2 $e |- ( ph -> A. y ph ) $.
    $( Theorem 19.21 of [Margaris] p. 90 but with 2 quantifiers. $)
    19.21-2 $p |- ( A. x A. y ( ph -> ps ) <-> ( ph -> A. x A. y ps ) ) $=
      ( wi wal 19.21 albii bitri ) ABGDHZCHABDHZGZCHAMCHGLNCABDFIJAMCEIK $.
      $( [4-Feb-2005] $)
  $}

  ${
    stdpc5.1 $e |- ( ph -> A. x ph ) $.
    $( An axiom scheme of standard predicate calculus that emulates Axiom 5 of
       [Mendelson] p. 69.  The hypothesis ` ( ph -> A. x ph ) ` can be thought
       of as emulating " ` x ` is not free in ` ph ` ."  With this convention,
       the meaning of "not free" is less restrictive than the usual textbook
       definition; for example ` x ` would not (for us) be free in ` x = x ` by
       ~ hbequid .  This theorem scheme can be proved as a metatheorem of
       Mendelson's axiom system, even though it is slightly stronger than his
       Axiom 5. $)
    stdpc5 $p |- ( A. x ( ph -> ps ) -> ( ph -> A. x ps ) ) $=
      ( wi wal 19.21 biimpi ) ABECFABCFEABCDGH $.
      $( [22-Sep-1993] $)
  $}

  ${
    19.21bi.1 $e |- ( ph -> A. x ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90. $)
    19.21bi $p |- ( ph -> ps ) $=
      ( wal ax-4 syl ) ABCEBDBCFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.21bbi.1 $e |- ( ph -> A. x A. y ps ) $.
    $( Inference removing double quantifier. $)
    19.21bbi $p |- ( ph -> ps ) $=
      ( wal 19.21bi ) ABDABDFCEGG $.
      $( [20-Apr-1994] $)
  $}

  ${
    19.23.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.23 of [Margaris] p. 90. $)
    19.23 $p |- ( A. x ( ph -> ps ) <-> ( E. x ph -> ps ) ) $=
      ( wi wal wex exim 19.9 syl6ib hbe1 hbim 19.8a imim1i alrimi impbii ) ABEZ
      CFZACGZBEZRSBCGBABCHBCDIJTQCSBCACKDLASBACMNOP $.
      $( [5-Aug-1993] $)
  $}

  ${
    exlimi.1 $e |- ( ps -> A. x ps ) $.
    exlimi.2 $e |- ( ph -> ps ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90.  (The proof was
       shortened by Andrew Salmon, 13-May-2011.) $)
    exlimi $p |- ( E. x ph -> ps ) $=
      ( wi wex 19.23 mpgbi ) ABFACGBFCABCDHEI $.
      $( [16-May-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    19.23bi.1 $e |- ( E. x ph -> ps ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90. $)
    19.23bi $p |- ( ph -> ps ) $=
      ( wex 19.8a syl ) AACEBACFDG $.
      $( [5-Aug-1993] $)
  $}

  ${
    exlimd.1 $e |- ( ph -> A. x ph ) $.
    exlimd.2 $e |- ( ch -> A. x ch ) $.
    exlimd.3 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.23 of [Margaris] p. 90. $)
    exlimd $p |- ( ph -> ( E. x ps -> ch ) ) $=
      ( wi wal wex alrimi 19.23 sylib ) ABCHZDIBDJCHANDEGKBCDFLM $.
      $( [28-Jan-1997] $)
  $}

  ${
    19.27.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.27 of [Margaris] p. 90. $)
    19.27 $p |- ( A. x ( ph /\ ps ) <-> ( A. x ph /\ ps ) ) $=
      ( wa wal 19.26 19.3 anbi2i bitri ) ABECFACFZBCFZEKBEABCGLBKBCDHIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.28.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.28 of [Margaris] p. 90. $)
    19.28 $p |- ( A. x ( ph /\ ps ) <-> ( ph /\ A. x ps ) ) $=
      ( wa wal 19.26 19.3 anbi1i bitri ) ABECFACFZBCFZEALEABCGKALACDHIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.36.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.36 of [Margaris] p. 90. $)
    19.36 $p |- ( E. x ( ph -> ps ) <-> ( A. x ph -> ps ) ) $=
      ( wi wex wal 19.35 19.9 imbi2i bitri ) ABECFACGZBCFZELBEABCHMBLBCDIJK $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.36i.1 $e |- ( ps -> A. x ps ) $.
    19.36i.2 $e |- E. x ( ph -> ps ) $.
    $( Inference from Theorem 19.36 of [Margaris] p. 90. $)
    19.36i $p |- ( A. x ph -> ps ) $=
      ( wi wex wal 19.36 mpbi ) ABFCGACHBFEABCDIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.37.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.37 of [Margaris] p. 90. $)
    19.37 $p |- ( E. x ( ph -> ps ) <-> ( ph -> E. x ps ) ) $=
      ( wi wex wal 19.35 19.3 imbi1i bitri ) ABECFACGZBCFZEAMEABCHLAMACDIJK $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem 19.38 of [Margaris] p. 90. $)
  19.38 $p |- ( ( E. x ph -> A. x ps ) -> A. x ( ph -> ps ) ) $=
    ( wex wal wi hbe1 hba1 hbim 19.8a ax-4 imim12i alrimi ) ACDZBCEZFABFCNOCACG
    BCHIANOBACJBCKLM $.
    $( [5-Aug-1993] $)

  $( Theorem 19.39 of [Margaris] p. 90. $)
  19.39 $p |- ( ( E. x ph -> E. x ps ) -> E. x ( ph -> ps ) ) $=
    ( wex wi wal 19.2 imim1i 19.35 sylibr ) ACDZBCDZEACFZLEABECDMKLACCGHABCIJ
    $.
    $( [5-Aug-1993] $)

  $( Theorem 19.24 of [Margaris] p. 90. $)
  19.24 $p |- ( ( A. x ph -> A. x ps ) -> E. x ( ph -> ps ) ) $=
    ( wal wi wex 19.2 imim2i 19.35 sylibr ) ACDZBCDZEKBCFZEABECFLMKBCCGHABCIJ
    $.
    $( [5-Aug-1993] $)

  ${
    19.32.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.32 of [Margaris] p. 90. $)
    19.32 $p |- ( A. x ( ph \/ ps ) <-> ( ph \/ A. x ps ) ) $=
      ( wn wi wal wo hbn 19.21 df-or albii 3bitr4i ) AEZBFZCGNBCGZFABHZCGAPHNBC
      ACDIJQOCABKLAPKM $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.31.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.31 of [Margaris] p. 90. $)
    19.31 $p |- ( A. x ( ph \/ ps ) <-> ( A. x ph \/ ps ) ) $=
      ( wo wal 19.32 orcom albii 3bitr4i ) BAEZCFBACFZEABEZCFLBEBACDGMKCABHILBH
      J $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.44.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.44 of [Margaris] p. 90. $)
    19.44 $p |- ( E. x ( ph \/ ps ) <-> ( E. x ph \/ ps ) ) $=
      ( wo wex 19.43 19.9 orbi2i bitri ) ABECFACFZBCFZEKBEABCGLBKBCDHIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.45.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.45 of [Margaris] p. 90. $)
    19.45 $p |- ( E. x ( ph \/ ps ) <-> ( ph \/ E. x ps ) ) $=
      ( wo wex 19.43 19.9 orbi1i bitri ) ABECFACFZBCFZEALEABCGKALACDHIJ $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem 19.34 of [Margaris] p. 90. $)
  19.34 $p |- ( ( A. x ph \/ E. x ps ) -> E. x ( ph \/ ps ) ) $=
    ( wal wex wo 19.2 orim1i 19.43 sylibr ) ACDZBCEZFACEZLFABFCEKMLACCGHABCIJ
    $.
    $( [5-Aug-1993] $)

  ${
    19.41.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.41 of [Margaris] p. 90.  (The proof was shortened by Andrew
       Salmon, 25-May-2011.) $)
    19.41 $p |- ( E. x ( ph /\ ps ) <-> ( E. x ph /\ ps ) ) $=
      ( wa wex 19.40 id exlimi anim2i syl pm3.21 eximd impcom impbii ) ABEZCFZA
      CFZBEZQRBCFZESABCGTBRBBCDBHIJKBRQBAPCDBALMNO $.
      $( [25-May-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    19.42.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.42 of [Margaris] p. 90. $)
    19.42 $p |- ( E. x ( ph /\ ps ) <-> ( ph /\ E. x ps ) ) $=
      ( wa wex 19.41 exancom ancom 3bitr4i ) BAECFBCFZAEABECFAKEBACDGABCHAKIJ
      $.
      $( [18-Aug-1993] $)
  $}

  $( Swap 1st and 3rd existential quantifiers. $)
  excom13 $p |- ( E. x E. y E. z ph <-> E. z E. y E. x ph ) $=
    ( wex excom exbii 3bitri ) ADEZCEBEIBEZCEABEZDEZCEKCEDEIBCFJLCABDFGKCDFH $.
    $( [9-Mar-1995] $)

  $( Rotate existential quantifiers. $)
  exrot3 $p |- ( E. x E. y E. z ph <-> E. y E. z E. x ph ) $=
    ( wex excom13 excom bitri ) ADECEBEABEZCEDEIDECEABCDFIDCGH $.
    $( [17-Mar-1995] $)

  $( Rotate existential quantifiers twice. $)
  exrot4 $p |- ( E. x E. y E. z E. w ph <-> E. z E. w E. x E. y ph ) $=
    ( wex excom13 exbii bitri ) AEFDFCFZBFACFZDFEFZBFKBFEFDFJLBACDEGHKBEDGI $.
    $( [9-Mar-1995] $)

  ${
    nexr.1 $e |- -. E. x ph $.
    $( Inference from ~ 19.8a .  (Contributed by Jeff Hankins, 26-Jul-2009.) $)
    nexr $p |- -. ph $=
      ( wex 19.8a mto ) AABDCABEF $.
      $( [26-Jul-2009] $)
  $}

  ${
    hbim1.1 $e |- ( ph -> A. x ph ) $.
    hbim1.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( A closed form of ~ hbim . $)
    hbim1 $p |- ( ( ph -> ps ) -> A. x ( ph -> ps ) ) $=
      ( wi wal a2i 19.21 sylibr ) ABFZABCGZFKCGABLEHABCDIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    exan.1 $e |- ( E. x ph /\ ps ) $.
    $( Place a conjunct in the scope of an existential quantifier.  (The proof
       was shortened by Andrew Salmon, 25-May-2011.) $)
    exan $p |- E. x ( ph /\ ps ) $=
      ( wex wal wa hbe1 19.28 mpgbi 19.29r ax-mp ) ACEZBCFGZABGCEMBGNCMBCACHIDJ
      ABCKL $.
      $( [25-May-2011] $) $( [18-Aug-1993] $)
  $}

  ${
    hbnd.1 $e |- ( ph -> A. x ph ) $.
    hbnd.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hbn . $)
    hbnd $p |- ( ph -> ( -. ps -> A. x -. ps ) ) $=
      ( wal wi wn alrimi hbnt syl ) ABBCFGZCFBHZMCFGALCDEIBCJK $.
      $( [3-Jan-2002] $)
  $}

  ${
    hbimd.1 $e |- ( ph -> A. x ph ) $.
    hbimd.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    hbimd.3 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hbim . $)
    hbimd $p |- ( ph -> ( ( ps -> ch ) -> A. x ( ps -> ch ) ) ) $=
      ( wi wal wn hbnd pm2.21 alimi syl6com ax-1 ja com12 ) BCHZARDIZBCASHABJZT
      DISABDEFKTRDBCLMNACCDISGCRDCBOMNPQ $.
      $( [1-Jan-2002] $)
  $}

  ${
    hbbid.1 $e |- ( ph -> A. x ph ) $.
    hbbid.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    hbbid.3 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hbbi . $)
    hbbid $p |- ( ph -> ( ( ps <-> ch ) -> A. x ( ps <-> ch ) ) ) $=
      ( wi wa wal wb hbimd anim12d dfbi2 albiim 3imtr4g ) ABCHZCBHZIQDJZRDJZIBC
      KZUADJAQSRTABCDEFGLACBDEGFLMBCNBCDOP $.
      $( [1-Jan-2002] $)
  $}

  ${
    hbexd.1 $e |- ( ph -> A. y ph ) $.
    hbexd.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hbex . $)
    hbexd $p |- ( ph -> ( E. y ps -> A. x E. y ps ) ) $=
      ( wex wal eximd 19.12 syl6 ) ABDGZBCHZDGLCHABMDEFIBDCJK $.
      $( [2-Jan-2002] $)
  $}

  $( Closed form of Theorem 19.21 of [Margaris] p. 90. $)
  19.21t $p |- ( A. x ( ph -> A. x ph ) ->
               ( A. x ( ph -> ps ) <-> ( ph -> A. x ps ) ) ) $=
    ( wal wi alim imim2d com12 a4s hba1 ax-4 a1i hbimd imim2i alimi syl6 impbid
    ) AACDZEZCDZABEZCDZABCDZEZSUBUDECUBSUDUBRUCAABCFGHITUDUDCDUBTAUCCSCJSCKUCUC
    CDETBCJLMUDUACUCBABCKNOPQ $.
    $( [27-May-1997] $)

  $( Closed form of Theorem 19.23 of [Margaris] p. 90. $)
  19.23t $p |- ( A. x ( ps -> A. x ps ) ->
               ( A. x ( ph -> ps ) <-> ( E. x ph -> ps ) ) ) $=
    ( wal wi wex hba1 ax-4 impbid2 imbi2d albid 19.23 syl5bb bitr3d ) BBCDZEZCD
    ZAOEZCDZABEZCDACFZBEZQRTCPCGQOBAQOBBCHPCHIZJKSUAOEQUBAOCBCGLQOBUAUCJMN $.
    $( [7-Nov-2005] $)

  ${
    aaan.1 $e |- ( ph -> A. y ph ) $.
    aaan.2 $e |- ( ps -> A. x ps ) $.
    $( Rearrange universal quantifiers. $)
    aaan $p |- ( A. x A. y ( ph /\ ps ) <-> ( A. x ph /\ A. y ps ) ) $=
      ( wa wal 19.28 albii hbal 19.27 bitri ) ABGDHZCHABDHZGZCHACHOGNPCABDEIJAO
      CBCDFKLM $.
      $( [12-Aug-1993] $)
  $}

  ${
    eeor.1 $e |- ( ph -> A. y ph ) $.
    eeor.2 $e |- ( ps -> A. x ps ) $.
    $( Rearrange existential quantifiers. $)
    eeor $p |- ( E. x E. y ( ph \/ ps ) <-> ( E. x ph \/ E. y ps ) ) $=
      ( wo wex 19.45 exbii hbex 19.44 bitri ) ABGDHZCHABDHZGZCHACHOGNPCABDEIJAO
      CBCDFKLM $.
      $( [8-Aug-1994] $)
  $}

  $( Quantified "excluded middle."  Exercise 9.2a of Boolos, p. 111,
     _Computability and Logic_. $)
  qexmid $p |- E. x ( ph -> A. x ph ) $=
    ( wal 19.8a 19.35ri ) AABCZBFBDE $.
    $( [10-Dec-2000] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Equality theorems without distinct variables
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Show that the original axiom ~ ax-9o can be derived from ~ ax-9 and
     others.  See ~ ax9 for the rederivation of ~ ax-9 from ~ ax-9o .

     Normally, ~ ax9o should be used rather than ~ ax-9o , except by theorems
     specifically studying the latter's properties. $)
  ax9o $p |- ( A. x ( x = y -> A. x ph ) -> ph ) $=
    ( weq wal wi wn ax-9 con3 al2imi mtoi ax-4 ax-6 nsyl4 syl ) BCDZABEZFZBEZQG
    ZBEZGASUAPGZBEBCHRTUBBPQIJKQAUAABLABMNO $.
    $( [5-Aug-1993] $)

  $( A variant of ~ ax-9 .  Axiom scheme C10' in [Megill] p. 448 (p. 16 of the
     preprint).

     This axiom is redundant, as shown by theorem ~ ax9o .

     Normally, ~ ax9o should be used rather than ~ ax-9o , except by theorems
     specifically studying the latter's properties. $)
  ax-9o $a |- ( A. x ( x = y -> A. x ph ) -> ph ) $.

  $( Rederivation of axiom ~ ax-9 from the orginal version, ~ ax-9o .  See
     ~ ax9o for the derivation of ~ ax-9o from ~ ax-9 .  Lemma L18 in [Megill]
     p. 446 (p. 14 of the preprint).

     This theorem should not be referenced in any proof.  Instead, use ~ ax-9
     above so that uses of ~ ax-9 can be more easily identified. $)
  ax9 $p |- -. A. x -. x = y $=
    ( weq wn wal wi ax-9o modal-b mpg ) ABCZJDAEDZAEFKAKABGJAHI $.
    $( [5-Aug-1993] $)

  $( At least one individual exists.  This is not a theorem of free logic,
     which is sound in empty domains.  For such a logic, we would add this
     theorem as an axiom of set theory (Axiom 0 of [Kunen] p. 10).  In the
     system consisting of ~ ax-5 through ~ ax-14 and ~ ax-17 , all axioms other
     than ~ ax-9 are believed to be theorems of free logic, although the system
     without ~ ax-9 is probably not complete in free logic. $)
  a9e $p |- E. x x = y $=
    ( weq wex wn wal ax-9 df-ex mpbir ) ABCZADJEAFEABGJAHI $.
    $( [5-Aug-1993] $)

  $( Identity law for equality (reflexivity).  Lemma 6 of [Tarski] p. 68.  This
     is often an axiom of equality in textbook systems, but we don't need it as
     an axiom since it can be proved from our other axioms (although the proof,
     as you can see below, is not as obvious as you might think).  This proof
     uses only axioms without distinct variable conditions and thus requires no
     dummy variables.  A simpler proof, similar to Tarki's, is possible if we
     make use of ~ ax-17 ; see the proof of ~ equid1 .  See ~ equidALT for an
     alternate proof. $)
  equid $p |- x = x $=
    ( weq wal wn ax-9 hbn1 wi ax-12 pm2.43i con3d alrimi mt3 a4i ) AABZANACZNDZ
    ACAAEODZPANAFQPQNOQNOGAAAHIJIKLM $.
    $( [30-Nov-2008] $)

  $( Identity law for equality (reflexivity).  Lemma 6 of [Tarski] p. 68.
     Alternate proof of ~ equid from older axioms ~ ax-6o and ~ ax-9o . $)
  equidALT $p |- x = x $=
    ( weq wal wn wi ax-12 pm2.43i alimi ax-9o syl ax-6o pm2.61i ) AABZACZDZACZM
    PMNEZACMOQAOQAAAFGHMAAIJMAKL $.
    $( [5-Aug-1993] $)

  ${
    $d x y $.
    $( Identity law for equality (reflexivity).  Lemma 6 of [Tarski] p. 68.
       This proof is similar to Tarski's and makes use of a dummy variable
       ` y ` .  See ~ equid for a proof that avoids dummy variables (but is
       less intuitive). $)
    equid1 $p |- x = x $=
      ( vy weq wex a9e ax-17 ax-8 pm2.43i exlimi ax-mp ) BACZBDAACZBAEKLBLBFKLB
      AAGHIJ $.
      $( [1-Apr-2005] $)
  $}

  $( One of the two equality axioms of standard predicate calculus, called
     reflexivity of equality.  (The other one is ~ stdpc7 .)  Axiom 6 of
     [Mendelson] p. 95.  Mendelson doesn't say why he prepended the redundant
     quantifier, but it was probably to be compatible with free logic (which is
     valid in the empty domain). $)
  stdpc6 $p |- A. x x = x $=
    ( weq equid ax-gen ) AABAACD $.
    $( [16-Feb-2005] $)

  $( Commutative law for equality.  Lemma 7 of [Tarski] p. 69. $)
  equcomi $p |- ( x = y -> y = x ) $=
    ( weq equid1 ax-8 mpi ) ABCAACBACADABAEF $.
    $( [5-Aug-1993] $)

  $( Commutative law for equality. $)
  equcom $p |- ( x = y <-> y = x ) $=
    ( weq equcomi impbii ) ABCBACABDBADE $.
    $( [20-Aug-1993] $)

  ${
    equcoms.1 $e |- ( x = y -> ph ) $.
    $( An inference commuting equality in antecedent.  Used to eliminate the
       need for a syllogism. $)
    equcoms $p |- ( y = x -> ph ) $=
      ( weq equcomi syl ) CBEBCEACBFDG $.
      $( [5-Aug-1993] $)
  $}

  $( A transitive law for equality. $)
  equtr $p |- ( x = y -> ( y = z -> x = z ) ) $=
    ( weq wi ax-8 equcoms ) BCDACDEBABACFG $.
    $( [23-Aug-1993] $)

  $( A transitive law for equality.  Lemma L17 in [Megill] p. 446 (p. 14 of the
     preprint). $)
  equtrr $p |- ( x = y -> ( z = x -> z = y ) ) $=
    ( weq equtr com12 ) CADABDCBDCABEF $.
    $( [23-Aug-1993] $)

  $( A transitive law for equality.  (The proof was shortened by Andrew Salmon,
     25-May-2011.) $)
  equtr2 $p |- ( ( x = z /\ y = z ) -> x = y ) $=
    ( weq wi equtrr equcoms impcom ) BCDACDZABDZIJECBCBAFGH $.
    $( [25-May-2011] $) $( [12-Aug-1993] $)

  $( An equivalence law for equality. $)
  equequ1 $p |- ( x = y -> ( x = z <-> y = z ) ) $=
    ( weq ax-8 equtr impbid ) ABDACDBCDABCEABCFG $.
    $( [5-Aug-1993] $)

  $( An equivalence law for equality. $)
  equequ2 $p |- ( x = y -> ( z = x <-> z = y ) ) $=
    ( weq equtrr wi equcoms impbid ) ABDCADZCBDZABCEJIFBABACEGH $.
    $( [5-Aug-1993] $)

  $( An identity law for the non-logical predicate. $)
  elequ1 $p |- ( x = y -> ( x e. z <-> y e. z ) ) $=
    ( weq wel ax-13 wi equcoms impbid ) ABDACEZBCEZABCFKJGBABACFHI $.
    $( [5-Aug-1993] $)

  $( An identity law for the non-logical predicate. $)
  elequ2 $p |- ( x = y -> ( z e. x <-> z e. y ) ) $=
    ( weq wel ax-14 wi equcoms impbid ) ABDCAEZCBEZABCFKJGBABACFHI $.
    $( [5-Aug-1993] $)

  ${
    ax11i.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    ax11i.2 $e |- ( ps -> A. x ps ) $.
    $( Inference that has ~ ax-11 (without ` A. y ` ) as its conclusion and
       doesn't require ~ ax-10 , ~ ax-11 , or ~ ax-12 for its proof.  The
       hypotheses may be eliminable without one or more of these axioms in
       special cases.  Proof similar to Lemma 16 of [Tarski] p. 70. $)
    ax11i $p |- ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) $=
      ( weq wi wal biimprcd alrimi syl6bi ) CDGZABMAHZCIEBNCFMABEJKL $.
      $( [20-May-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                  Axioms ax-10 and ax-11
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Show that ~ ax-10o can be derived from ~ ax-10 .  An open problem is
     whether this theorem can be derived from ~ ax-10 and the others when
     ~ ax-11 is replaced with ~ ax-11o .  See theorem ~ ax10 for the
     rederivation of ~ ax-10 from ~ ax10o .

     Normally, ~ ax10o should be used rather than ~ ax-10o , except by theorems
     specifically studying the latter's properties. $)
  ax10o $p |- ( A. x x = y -> ( A. x ph -> A. y ph ) ) $=
    ( weq wal wi ax-10 ax-11 equcoms a4s pm2.27 al2imi sylsyld ) BCDZBECBDZCEAB
    EZOAFZCEZACEBCGNPRFZBSCBACBHIJOQACOAKLM $.
    $( [16-May-2008] $)

  $( Axiom ~ ax-10o ("o" for "old") was the original version of ~ ax-10 ,
     before it was discovered (in May 2008) that the shorter ~ ax-10 could
     replace it.  It appears as Axiom scheme C11' in [Megill] p. 448 (p. 16 of
     the preprint).

     This axiom is redundant, as shown by theorem ~ ax10o .

     Normally, ~ ax10o should be used rather than ~ ax-10o , except by theorems
     specifically studying the latter's properties. $)
  ax-10o $a |- ( A. x x = y -> ( A. x ph -> A. y ph ) ) $.

  $( Rederivation of ~ ax-10 from original version ~ ax-10o .  See theorem
     ~ ax10o for the derivation of ~ ax-10o from ~ ax-10 .

     This theorem should not be referenced in any proof.  Instead, use ~ ax-10
     above so that uses of ~ ax-10 can be more easily identified. $)
  ax10 $p |- ( A. x x = y -> A. y y = x ) $=
    ( weq wal ax-10o pm2.43i equcomi alimi syl ) ABCZADZJBDZBACZBDKLJABEFJMBABG
    HI $.
    $( [16-May-2008] $)

  $( All variables are effectively bound in an identical variable specifier. $)
  hbae $p |- ( A. x x = y -> A. z A. x x = y ) $=
    ( weq wal wi ax-4 ax-12 syl7 ax10o alequcoms pm2.43i syl5 pm2.61ii a5i ax-7
    wn syl ) ABDZAEZSCEZAETCESUAACADCEZCBDCEZTUAFZTSUBQUCQUASAGABCHIUDACSACJKUD
    BCTSBEZBCDBEUATUESABJLSBCJMKNOSACPR $.
    $( [5-Aug-1993] $)

  ${
    hbalequs.1 $e |- ( A. z A. x x = y -> ph ) $.
    $( Rule that applies ~ hbae to antecedent. $)
    hbaes $p |- ( A. x x = y -> ph ) $=
      ( weq wal hbae syl ) BCFBGZJDGABCDHEI $.
      $( [5-Aug-1993] $)
  $}

  $( All variables are effectively bound in a distinct variable specifier.
     Lemma L19 in [Megill] p. 446 (p. 14 of the preprint). $)
  hbnae $p |- ( -. A. x x = y -> A. z -. A. x x = y ) $=
    ( weq wal hbae hbn ) ABDAECABCFG $.
    $( [5-Aug-1993] $)

  ${
    hbnalequs.1 $e |- ( A. z -. A. x x = y -> ph ) $.
    $( Rule that applies ~ hbnae to antecedent. $)
    hbnaes $p |- ( -. A. x x = y -> ph ) $=
      ( weq wal wn hbnae syl ) BCFBGHZKDGABCDIEJ $.
      $( [5-Aug-1993] $)
  $}

  $( Lemma used in proofs of substitution properties.  (The proof was shortened
     by Mario Carneiro, 20-May-2014.) $)
  equs4 $p |- ( A. x ( x = y -> ph ) -> E. x ( x = y /\ ph ) ) $=
    ( cv wceq wi wal wa wex a9e 19.29 mpan2 ancl imp eximi syl ) BDCDEZAFZBGZRQ
    HZBIZQAHZBISQBIUABCJRQBKLTUBBRQUBQAMNOP $.
    $( [20-May-2014] $) $( [5-Aug-1993] $)

  ${
    equsal.1 $e |- ( ps -> A. x ps ) $.
    equsal.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( A useful equivalence related to substitution.  (The proof was shortened
       by Andrew Salmon, 12-Aug-2011.) $)
    equsal $p |- ( A. x ( x = y -> ph ) <-> ps ) $=
      ( weq wi wal 19.3 syl6bbr pm5.74i albii a1d alrimi ax9o impbii bitr4i ) C
      DGZAHZCISBCIZHZCIZBTUBCSAUASABUAFBCEJKLMBUCBUBCEBUASENOBCDPQR $.
      $( [12-Aug-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    equsex.1 $e |- ( ps -> A. x ps ) $.
    equsex.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( A useful equivalence related to substitution. $)
    equsex $p |- ( E. x ( x = y /\ ph ) <-> ps ) $=
      ( weq wn wi wex wal exnal df-an exbii hbn notbid equsal con2bii 3bitr4i
      wa ) CDGZAHZIZHZCJUCCKZHUAATZCJBUCCLUFUDCUAAMNUEBUBBHCDBCEOUAABFPQRS $.
      $( [5-Aug-1993] $)
  $}

  ${
    dvelimfALT.1 $e |- ( ph -> A. x ph ) $.
    dvelimfALT.2 $e |- ( ps -> A. z ps ) $.
    dvelimfALT.3 $e |- ( z = y -> ( ph <-> ps ) ) $.
    $( Proof of ~ dvelimf that uses ~ ax-10o (in the form of ~ ax10o ) but not
       ~ ax-11o , ~ ax-10 , or ~ ax-11 (if we replace uses of ~ ax10o by
       ~ ax-10o in the proofs of referenced theorems).  See ~ dvelimALT for a
       proof (of the distinct variable version ~ dvelim ) that doesn't require
       ~ ax-10 .  It is not clear whether a proof is possible that uses ~ ax-10
       but avoids ~ ax-11 , ~ ax-11o , and ~ ax-10o . $)
    dvelimfALT $p |- ( -. A. x x = y -> ( ps -> A. x ps ) ) $=
      ( weq wal wn wi hba1 ax10o alequcoms syl5 a1d wa hbnae hban ax-12 imp a1i
      hbimd hbald ex pm2.61i equsal albii 3imtr3g ) CDICJKZEDIZALZEJZUNCJZBBCJC
      EICJZUKUNUOLZLUPUQUKUNUNEJZUPUOUMEMURUOLECUNECNOPQUPKZUKUQUSUKRZUMCEUSUKE
      CEESCDESTUTULACUSUKCCECSCDCSTUSUKULULCJLEDCUAUBAACJLUTFUCUDUEUFUGABEDGHUH
      ZUNBCVAUIUJ $.
      $( [12-Nov-2002] $)
  $}

  ${
    dral1.1 $e |- ( A. x x = y -> ( ph <-> ps ) ) $.
    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint). $)
    dral1 $p |- ( A. x x = y -> ( A. x ph <-> A. y ps ) ) $=
      ( weq wal hbae biimpd alimd ax10o syld biimprd wi alequcoms impbid ) CDFC
      GZACGZBDGZQRBCGSQABCCDCHQABEIJBCDKLQSADGZRQBADCDDHQABEMJTRNDCADCKOLP $.
      $( [24-Nov-1994] $)
  $}

  ${
    dral2.1 $e |- ( A. x x = y -> ( ph <-> ps ) ) $.
    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint). $)
    dral2 $p |- ( A. x x = y -> ( A. z ph <-> A. z ps ) ) $=
      ( weq wal hbae albid ) CDGCHABECDEIFJ $.
      $( [27-Feb-2005] $)
  $}

  ${
    drex1.1 $e |- ( A. x x = y -> ( ph <-> ps ) ) $.
    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint). $)
    drex1 $p |- ( A. x x = y -> ( E. x ph <-> E. y ps ) ) $=
      ( weq wal wn wex notbid dral1 df-ex 3bitr4g ) CDFCGZAHZCGZHBHZDGZHACIBDIN
      PROQCDNABEJKJACLBDLM $.
      $( [27-Feb-2005] $)
  $}

  ${
    drex2.1 $e |- ( A. x x = y -> ( ph <-> ps ) ) $.
    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint). $)
    drex2 $p |- ( A. x x = y -> ( E. z ph <-> E. z ps ) ) $=
      ( weq wal hbae exbid ) CDGCHABECDEIFJ $.
      $( [27-Feb-2005] $)
  $}

  ${
    exdistrf.1 $e |- ( -. A. x x = y -> ( ph -> A. y ph ) ) $.
    $( Distribution of existential quantifiers, with a bound-variable
       hypothesis saying that ` y ` is not free in ` ph ` , but ` x ` can be
       free in ` ph ` (and there is no distinct variable condition on ` x ` and
       ` y ` ).  (Contributed by Mario Carneiro, 20-Mar-2013.) $)
    exdistrf $p |- ( E. x E. y ( ph /\ ps ) -> E. x ( ph /\ E. y ps ) ) $=
      ( weq wal wa wex wi biidd drex1 drex2 hbe1 19.8a anim2i eximi sylbi hbnae
      19.9 syl6bir wn 19.40 19.9d anim1d syl5 eximd pm2.61i ) CDFCGZABHZDIZCIZA
      BDIZHZCIZJUIULUJCIZCIZUOUPUKCDCUJUJCDUIUJKLMUQUPUOUPCUJCNTUJUNCBUMABDOPQR
      UAUIUBZUKUNCCDCSUKADIZUMHURUNABDUCURUSAUMAURDCDDSEUDUEUFUGUH $.
      $( [20-Mar-2013] $)
  $}

  $( Closed theorem form of ~ a4im . $)
  a4imt $p |- ( A. x ( ( ps -> A. x ps ) /\ ( x = y -> ( ph -> ps ) ) ) ->
              ( A. x ph -> ps ) ) $=
    ( wal wi weq wa imim2 imim2d imp com23 al2imi ax9o syl6 ) BBCEZFZCDGZABFZFZ
    HZCEACERPFZCEBUAAUBCUARAPQTRAPFZFQSUCRBPAIJKLMBCDNO $.
    $( [15-Jan-2008] $)

  ${
    a4im.1 $e |- ( ps -> A. x ps ) $.
    a4im.2 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Specialization, using implicit substitition.  Compare Lemma 14 of
       [Tarski] p. 70.  The ~ a4im series of theorems requires that only one
       direction of the substitution hypothesis hold. $)
    a4im $p |- ( A. x ph -> ps ) $=
      ( wal weq wi syl6com alimi ax9o syl ) ACGCDHZBCGZIZCGBAPCNABOFEJKBCDLM $.
      $( [8-May-2008] $) $( [5-Aug-1993] $)
  $}

  ${
    a4ime.1 $e |- ( ph -> A. x ph ) $.
    a4ime.2 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Existential introduction, using implicit substitition.  Compare Lemma 14
       of [Tarski] p. 70. $)
    a4ime $p |- ( ph -> E. x ps ) $=
      ( wn wal wex hbn weq con3d a4im con2i df-ex sylibr ) ABGZCHZGBCIRAQAGCDAC
      EJCDKABFLMNBCOP $.
      $( [7-Aug-1994] $)
  $}

  ${
    a4imed.1 $e |- ( ch -> A. x ch ) $.
    a4imed.2 $e |- ( ch -> ( ph -> A. x ph ) ) $.
    a4imed.3 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Deduction version of ~ a4ime . $)
    a4imed $p |- ( ch -> ( ph -> E. x ps ) ) $=
      ( wex wa wal adantr imp 19.26 sylanbrc weq adantld a4ime ex ) CABDICAJZBD
      ETCDKZADKZTDKCUAAFLCAUBGMCADNODEPABCHQRS $.
      $( [5-Aug-1993] $)
  $}

  ${
    cbv1.1 $e |- ( ph -> ( ps -> A. y ps ) ) $.
    cbv1.2 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    cbv1.3 $e |- ( ph -> ( x = y -> ( ps -> ch ) ) ) $.
    $( Rule used to change bound variables, using implicit substitition. $)
    cbv1 $p |- ( A. x A. y ph -> ( A. x ps -> A. y ch ) ) $=
      ( wal wi a4s al2imi ax-7 syl6 weq com23 syl6d ax9o a7s syld ) AEIZDIZBDIZ
      UCEIZCEIZUBUCBEIZDIUDUABUFDABUFJEFKLBDEMNAUDUEJEDADIZUCCEUGUCDEOZCDIZJZDI
      CABUJDABUHCUIAUHBCHPGQLCDERNLST $.
      $( [5-Aug-1993] $)
  $}


  ${
    cbv2.1 $e |- ( ph -> ( ps -> A. y ps ) ) $.
    cbv2.2 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    cbv2.3 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Rule used to change bound variables, using implicit substitition. $)
    cbv2 $p |- ( A. x A. y ph -> ( A. x ps <-> A. y ch ) ) $=
      ( wal weq wb wi bi1 syl6 cbv1 equcomi bi2 syl56 a7s impbid ) AEIDIBDIZCEI
      ZABCDEFGADEJZBCKZBCLHBCMNOAUBUALEDACBEDGFEDJUCAUDCBLEDPHBCQROST $.
      $( [5-Aug-1993] $)
  $}

  ${
    cbv3.1 $e |- ( ph -> A. y ph ) $.
    cbv3.2 $e |- ( ps -> A. x ps ) $.
    cbv3.3 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitition, that
       does not use ~ ax-12 . $)
    cbv3 $p |- ( A. x ph -> A. y ps ) $=
      ( wi wal imim2i a1i weq cbv1 id ax-gen mpg ) AAHZDIACIBDIHCQABCDAADIAEJBB
      CIHQFKCDLABHHQGKMQDANOP $.
      $( [5-Aug-1993] $)

    $( Rule used to change bound variables, using implicit substitition.  (The
       proof was shortened by Andrew Salmon, 25-May-2011.) $)
    cbv3ALT $p |- ( A. x ph -> A. y ps ) $=
      ( weq wal wi a1i cbv1 stdpc6 mpg ) DDHZDIACIBDIJCOABCDAADIJOEKBBCIJOFKCDH
      ABJJOGKLDMN $.
      $( [25-May-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    cbval.1 $e |- ( ph -> A. y ph ) $.
    cbval.2 $e |- ( ps -> A. x ps ) $.
    cbval.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitition.  (The
       proof was shortened by Andrew Salmon, 25-May-2011.) $)
    cbval $p |- ( A. x ph <-> A. y ps ) $=
      ( wal weq biimpd cbv3 wb equcoms biimprd impbii ) ACHBDHABCDEFCDIABGJKBAD
      CFEDCIABABLCDGMNKO $.
      $( [25-May-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    cbvex.1 $e |- ( ph -> A. y ph ) $.
    cbvex.2 $e |- ( ps -> A. x ps ) $.
    cbvex.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitition. $)
    cbvex $p |- ( E. x ph <-> E. y ps ) $=
      ( wex wn wal df-ex hbn weq notbid cbval xchbinx bitr4i ) ACHZBIZDJZIBDHRA
      IZCJTACKUASCDADELBCFLCDMABGNOPBDKQ $.
      $( [5-Aug-1993] $)
  $}

  ${
    chv2.1 $e |- ( ps -> A. x ps ) $.
    chv2.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    chv2.3 $e |- ph $.
    $( Implicit substitution of ` y ` for ` x ` into a theorem.  (Contributed
       by Raph Levien, 9-Jul-2003.) $)
    chvar $p |- ps $=
      ( weq biimpd a4im mpg ) ABCABCDECDHABFIJGK $.
      $( [9-Jul-2003] $)
  $}

  $( A variable introduction law for equality.  Lemma 15 of [Monk2] p. 109,
     however we do not require ` z ` to be distinct from ` x ` and ` y `
     (making the proof longer).  (The proof was shortened by Andrew Salmon,
     25-May-2011.) $)
  equvini $p |- ( x = y -> E. z ( x = z /\ z = y ) ) $=
    ( weq wal wa wex wi equcomi alimi a9e jctir a1d 19.29 syl6 eximi ax-mp a1ii
    wn hbnae anc2ri 19.29r wo ioran hban ax-12 ax-8 anc2li equcoms a4imed sylbi
    imp ecase3 ) CADZCEZCBDZCEZABDZACDZUPFZCGZHZUOURUSCEZUPCGZFZVAUOVEURUOVCVDU
    NUSCCAIZJCBKLMUSUPCNOUQURUSCGZUQFVAUQURVGUQURVGUNCGVGCAKUNUSCVFPQRUAUSUPCUB
    OUOUQUCSUOSZUQSZFZVBUOUQUDURUTVJCAVHVICCACTCBCTUEVHVIURURCEHABCUFULURUTHACU
    SURUPACBUGUHUIUJUKUM $.
    $( [25-May-2011] $) $( [5-Aug-1993] $)

  $( A variable elimination law for equality with no distinct variable
     requirements.  (Compare ~ equvini .) $)
  equveli $p |- ( A. z ( z = x <-> z = y ) -> x = y ) $=
    ( weq wb wal wi wa albiim equequ1 imbi12d a4s dral1 equid ax-4 syl6bi hbnae
    mpi wn pm2.61i equcomi syl adantld dral2 a1bi biimpri a1d hbequid a1i ax-12
    hban hbimd alrimi equtr ax-8 imim12d ax-gen 19.26 a4imt sylbir sylancl mpii
    imp ex adantrd sylbi ) CADZCBDZECFVGVHGZCFZVHVGGZCFZHZABDZVGVHCIVHCFZVMVNGV
    OVLVNVJVOVLBBDZBADZGZBFZVNVKVRCBVHVKVRECVHVHVPVGVQCBBJCBAJKLMVSVQVNVSVPVQBN
    VRBORBAUAUBPUCVOSZVJVNVLVGCFZVTVJVNGZGWAWBVTWAVJAADZVNGZCFZVNVIWDCACVGVIWDE
    CVGVGWCVHVNCAAJCABJKLUDWDVNCVNWDWCVNANZUEUFLPUGWASZVTWBWGVTHZVJWCVNWFWHWDWE
    GZCFZVGVIWDGGZCFZVJWDGZWHWICWGVTCCACQCBCQUKZWHWCVNCWNWCWCCFGWHACUHUIWGVTVNV
    NCFGABCUJVCULUMWKCVGWCVGVHVNCAAUNCABUOUPUQWJWLHWIWKHCFWMWIWKCURVIWDCAUSUTVA
    VBVDTVETVF $.
    $( [1-Mar-2013] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Substitution (without distinct variables)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c [ $. $( Left bracket $)
  $c / $. $( Division. $)
  $c ] $.  $( Right bracket $)

  $( --- Start of patch to prevent connective overloading $)
  ${
    $v A $.
    wsbc.cA $f class A $.
    $( Extend wff notation to include the proper substitution of a class for a
       set.  Read this notation as "the proper substitution of class ` A ` for
       set variable ` x ` in wff ` ph ` ."

       (The purpose of introducing ` wff [ A / x ] ph ` here is to allow us to
       express i.e.  "prove" the ~ wsb of predicate calculus in terms of the
       ~ wsbc of set theory, so that we don't "overload" its connectives with
       two syntax definitions.  This is done to prevent ambiguity that would
       complicate some Metamath parsers.  The class variable ` A ` is
       introduced temporarily for the purpose of this definition but otherwise
       not used in predicate calculus.  See ~ df-sbc for more information on
       the set theory usage of ~ wsbc .) $)
    wsbc $a wff [ A / x ] ph $.
  $}

  $( Extend wff definition to include proper substitution (read "the wff that
     results when ` y ` is properly substituted for ` x ` in wff ` ph ` ").

     (Instead of introducing ~ wsb as an axiomatic statement, as was done in an
     older version of this database, we introduce it by "proving" a special
     case of set theory's more general ~ wsbc .  This lets us avoid overloading
     its connectives, thus preventing ambiguity that would complicate some
     Metamath parsers.  Note:  To see the proof steps of this syntax proof,
     type "show proof wsb /all" in the Metamath program.) $)
  wsb $p wff [ y / x ] ph $=
    ( cv wsbc ) ABCDE $.
    $( [24-Jan-2006] $)
  $( --- End of patch to prevent connective overloading $)

  $( --- Start of old code before overloading prevention patch. $)
  $(
  @( Extend wff definition to include proper substitution (read "the wff that
     results when ` y ` is properly substituted for ` x ` in wff ` ph ` ").

     After we introduce ~ cv and ~ wsbc in set theory, this syntax construction
     becomes redundant, since it can be derived with the proof
     "wph vx vy cv wsbc". @)
  wsb @a wff [ y / x ] ph @.
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( Define proper substitution.  Remark 9.1 in [Megill] p. 447 (p. 15 of the
     preprint).  For our notation, we use ` [ y / x ] ph ` to mean "the wff
     that results when ` y ` is properly substituted for ` x ` in the wff
     ` ph ` ."  We can also use ` [ y / x ] ph ` in place of the "free for"
     side condition used in traditional predicate calculus; see, for example,
     ~ stdpc4 .

     Our notation was introduced in Haskell B. Curry's _Foundations of
     Mathematical Logic_ (1977), p. 316 and is frequently used in textbooks of
     lambda calculus and combinatory logic.  This notation improves the common
     but ambiguous notation, " ` ph ( y ) ` is the wff that results when ` y `
     is properly substituted for ` x ` in ` ph ( x ) ` ."  For example, if the
     original ` ph ( x ) ` is ` x = y ` , then ` ph ( y ) ` is ` y = y ` , from
     which we obtain that ` ph ( x ) ` is ` x = x ` .  So what exactly does
     ` ph ( x ) ` mean?  Curry's notation solves this problem.

     In most books, proper substitution has a somewhat complicated recursive
     definition with multiple cases based on the occurrences of free and bound
     variables in the wff.  Instead, we use a single formula that is exactly
     equivalent and gives us a direct definition.  We later prove that our
     definition has the properties we expect of proper substitution (see
     theorems ~ sbequ , ~ sbcom2 and ~ sbid2v ).

     Note that our definition is valid even when ` x ` and ` y ` are replaced
     with the same variable, as ~ sbid shows.  We achieve this by having ` x `
     free in the first conjunct and bound in the second.  We can also achieve
     this by using a dummy variable, as the alternate definition ~ dfsb7 shows
     (which some logicians may prefer because it doesn't mix free and bound
     variables).  Another version that mixes free and bound variables is
     ~ dfsb3 .  When ` x ` and ` y ` are distinct, we can express proper
     substitution with the simpler expressions of ~ sb5 and ~ sb6 .

     There are no restrictions on any of the variables, including what
     variables may occur in wff ` ph ` . $)
  df-sb $a |- ( [ y / x ] ph <->
              ( ( x = y -> ph ) /\ E. x ( x = y /\ ph ) ) ) $.

  ${
    sbimi.1 $e |- ( ph -> ps ) $.
    $( Infer substitution into antecedent and consequent of an implication. $)
    sbimi $p |- ( [ y / x ] ph -> [ y / x ] ps ) $=
      ( weq wi wa wex wsb imim2i anim2i eximi anim12i df-sb 3imtr4i ) CDFZAGZQA
      HZCIZHQBGZQBHZCIZHACDJBCDJRUATUCABQEKSUBCABQELMNACDOBCDOP $.
      $( [25-Jun-1998] $)
  $}

  ${
    sbbii.1 $e |- ( ph <-> ps ) $.
    $( Infer substitution into both sides of a logical equivalence. $)
    sbbii $p |- ( [ y / x ] ph <-> [ y / x ] ps ) $=
      ( wsb biimpi sbimi biimpri impbii ) ACDFBCDFABCDABEGHBACDABEIHJ $.
      $( [5-Aug-1993] $)
  $}

  $( Formula-building lemma for use with the Distinctor Reduction Theorem.
     Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint). $)
  drsb1 $p |- ( A. x x = y -> ( [ z / x ] ph <-> [ z / y ] ph ) ) $=
    ( weq wal wi wa wex wsb wb equequ1 a4s imbi1d anbi1d drex1 anbi12d 3bitr4g
    df-sb ) BCEZBFZBDEZAGZUBAHZBIZHCDEZAGZUFAHZCIZHABDJACDJUAUCUGUEUIUAUBUFATUB
    UFKBBCDLMZNUDUHBCUAUBUFAUJOPQABDSACDSR $.
    $( [5-Aug-1993] $)

  $( One direction of a simplified definition of substitution. $)
  sb1 $p |- ( [ y / x ] ph -> E. x ( x = y /\ ph ) ) $=
    ( wsb weq wi wa wex df-sb simprbi ) ABCDBCEZAFKAGBHABCIJ $.
    $( [5-Aug-1993] $)

  $( One direction of a simplified definition of substitution. $)
  sb2 $p |- ( A. x ( x = y -> ph ) -> [ y / x ] ph ) $=
    ( weq wi wal wa wex wsb ax-4 equs4 df-sb sylanbrc ) BCDZAEZBFONAGBHABCIOBJA
    BCKABCLM $.
    $( [5-Aug-1993] $)

  $( An equality theorem for substitution. $)
  sbequ1 $p |- ( x = y -> ( ph -> [ y / x ] ph ) ) $=
    ( weq wsb wa wi wex pm3.4 19.8a df-sb sylanbrc ex ) BCDZAABCEZNAFZNAGPBHONA
    IPBJABCKLM $.
    $( [5-Aug-1993] $)

  $( An equality theorem for substitution. $)
  sbequ2 $p |- ( x = y -> ( [ y / x ] ph -> ph ) ) $=
    ( wsb weq wi wa wex df-sb simpl com12 syl5bi ) ABCDBCEZAFZMAGBHZGZMAABCIPMA
    NOJKL $.
    $( [5-Aug-1993] $)

  $( One of the two equality axioms of standard predicate calculus, called
     substitutivity of equality.  (The other one is ~ stdpc6 .)  Translated to
     traditional notation, it can be
     read:  " ` x = y -> ( ph ( x , x ) -> ph ( x , y ) ) ` , provided that
     ` y ` is free for ` x ` in ` ph ( x , y ) ` ."  Axiom 7 of [Mendelson]
     p. 95. $)
  stdpc7 $p |- ( x = y -> ( [ x / y ] ph -> ph ) ) $=
    ( wsb wi sbequ2 equcoms ) ACBDAECBACBFG $.
    $( [15-Feb-2005] $)

  $( An equality theorem for substitution. $)
  sbequ12 $p |- ( x = y -> ( ph <-> [ y / x ] ph ) ) $=
    ( weq wsb sbequ1 sbequ2 impbid ) BCDAABCEABCFABCGH $.
    $( [5-Aug-1993] $)

  $( An equality theorem for substitution.  (The proof was shortened by Andrew
     Salmon, 21-Jun-2011.) $)
  sbequ12r $p |- ( x = y -> ( [ x / y ] ph <-> ph ) ) $=
    ( wsb wb weq sbequ12 bicomd equcoms ) ACBDZAECBCBFAJACBGHI $.
    $( [26-Jun-2011] $) $( [6-Oct-2004] $)

  $( An equality theorem for substitution. $)
  sbequ12a $p |- ( x = y -> ( [ y / x ] ph <-> [ x / y ] ph ) ) $=
    ( weq wsb sbequ12 wb equcoms bitr3d ) BCDAABCEACBEZABCFAJGCBACBFHI $.
    $( [5-Aug-1993] $)

  $( An identity theorem for substitution.  Remark 9.1 in [Megill] p. 447 (p.
     15 of the preprint). $)
  sbid $p |- ( [ x / x ] ph <-> ph ) $=
    ( wsb weq wb equid sbequ12 ax-mp bicomi ) AABBCZBBDAJEBFABBGHI $.
    $( [5-Aug-1993] $)

  $( The specialization axiom of standard predicate calculus.  It states that
     if a statement ` ph ` holds for all ` x ` , then it also holds for the
     specific case of ` y ` (properly) substituted for ` x ` .  Translated to
     traditional notation, it can be read:  " ` A. x ph ( x ) -> ph ( y ) ` ,
     provided that ` y ` is free for ` x ` in ` ph ( x ) ` ."  Axiom 4 of
     [Mendelson] p. 69.  See also ~ a4sbc and ~ ra4sbc . $)
  stdpc4 $p |- ( A. x ph -> [ y / x ] ph ) $=
    ( wal weq wi wsb ax-1 alimi sb2 syl ) ABDBCEZAFZBDABCGAMBALHIABCJK $.
    $( [5-Aug-1993] $)

  ${
    sbf.1 $e |- ( ph -> A. x ph ) $.
    $( Substitution for a variable not free in a wff does not affect it. $)
    sbf $p |- ( [ y / x ] ph <-> ph ) $=
      ( wsb weq wex wa sb1 19.41 sylib simprd wal stdpc4 syl impbii ) ABCEZAQBC
      FZBGZAQRAHBGSAHABCIRABDJKLAABMQDABCNOP $.
      $( [17-Oct-2004] $) $( [5-Aug-1993] $)
  $}

  $( Substitution has no effect on a bound variable. $)
  sbf2 $p |- ( [ y / x ] A. x ph <-> A. x ph ) $=
    ( wal hba1 sbf ) ABDBCABEF $.
    $( [1-Jul-2005] $)

  ${
    sb6x.1 $e |- ( ph -> A. x ph ) $.
    $( Equivalence involving substitution for a variable not free.  (The proof
       was shortened by Andrew Salmon, 12-Aug-2011.) $)
    sb6x $p |- ( [ y / x ] ph <-> A. x ( x = y -> ph ) ) $=
      ( cv wsbc wceq wi wal sbf biidd equsal bitr4i ) ABCEZFABENGZAHBIABCDJAABC
      DOAKLM $.
      $( [12-Aug-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    hbs1f.1 $e |- ( ph -> A. x ph ) $.
    $( If ` x ` is not free in ` ph ` , it is not free in ` [ y / x ] ph ` .
       (The proof was shortened by Andrew Salmon, 25-May-2011.) $)
    hbs1f $p |- ( [ y / x ] ph -> A. x [ y / x ] ph ) $=
      ( wsb sbf hbxfrbi ) ABCEABABCDFDG $.
      $( [25-May-2011] $) $( [5-Aug-1993] $)
  $}

  $( Substitution does not change an identical variable specifier. $)
  sbequ5 $p |- ( [ w / z ] A. x x = y <-> A. x x = y ) $=
    ( weq wal hbae sbf ) ABEAFCDABCGH $.
    $( [21-Dec-2004] $) $( [5-Aug-1993] $)

  $( Substitution does not change a distinctor. $)
  sbequ6 $p |- ( [ w / z ] -. A. x x = y <-> -. A. x x = y ) $=
    ( weq wal wn hbnae sbf ) ABEAFGCDABCHI $.
    $( [14-May-2005] $) $( [5-Aug-1993] $)

  ${
    sbt.1 $e |- ph $.
    $( A substitution into a theorem remains true.  (See ~ chvar and ~ chvarv
       for versions using implicit substitition.)  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    sbt $p |- [ y / x ] ph $=
      ( wsb hbth sbf mpbir ) ABCEADABCABDFGH $.
      $( [25-May-2011] $) $( [21-Jan-2004] $)
  $}

  $( Substitution applied to an atomic wff. $)
  equsb1 $p |- [ y / x ] x = y $=
    ( weq wi wsb sb2 id mpg ) ABCZIDIABEAIABFIGH $.
    $( [5-Aug-1993] $)

  $( Substitution applied to an atomic wff. $)
  equsb2 $p |- [ y / x ] y = x $=
    ( weq wi wsb sb2 equcomi mpg ) ABCBACZDIABEAIABFABGH $.
    $( [5-Aug-1993] $)

  ${
    sbied.1 $e |- ( ph -> A. x ph ) $.
    sbied.2 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    sbied.3 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Conversion of implicit substitution to explicit substitution (deduction
       version of ~ sbie ).  (The proof was shortened by Andrew Salmon,
       25-May-2011.) $)
    sbied $p |- ( ph -> ( [ y / x ] ps <-> ch ) ) $=
      ( wsb wex weq wa sb1 wb wi bi1 syl6 imp3a syld wal eximd syl5 19.9d com23
      bi2 alimd sb2 impbid ) ABDEIZCAUICDJZCUIDEKZBLZDJAUJBDEMAULCDFAUKBCAUKBCN
      ZBCOHBCPQRUAUBCADFGUCSACCDTZUIGAUNUKBOZDTUIACUODFAUKCBAUKUMCBOHBCUEQUDUFB
      DEUGQSUH $.
      $( [25-May-2011] $) $( [30-Jun-1994] $)
  $}

  ${
    sbie.1 $e |- ( ps -> A. x ps ) $.
    sbie.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit substitution. $)
    sbie $p |- ( [ y / x ] ph <-> ps ) $=
      ( wi wsb wb id hbth wal a1i weq sbied ax-mp ) AAGZACDHBIAJZQABCDQCRKBBCLG
      QEMCDNABIGQFMOP $.
      $( [30-Jun-1994] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                  Theorems using axiom ax-11
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A property related to substitution that unlike ~ equs5 doesn't require a
     distinctor antecedent. $)
  equs5a $p |- ( E. x ( x = y /\ A. y ph ) -> A. x ( x = y -> ph ) ) $=
    ( weq wal wa wi hba1 ax-11 imp exlimi ) BCDZACEZFLAGZBEZBNBHLMOABCIJK $.
    $( [2-Feb-2007] $)

  $( A property related to substitution that unlike ~ equs5 doesn't require a
     distinctor antecedent. $)
  equs5e $p |- ( E. x ( x = y /\ ph ) -> A. x ( x = y -> E. y ph ) ) $=
    ( weq wa wex wn wi wal equs3 hbn1 ax-11 con3rr3 df-ex syl6ibr alrimi sylbi
    ) BCDZAEBFRAGZHZBIZGZRACFZHZBIABCJUBUDBTBKUBRSCIZGUCRUEUASBCLMACNOPQ $.
    $( [2-Feb-2007] $)

  $( A version of ~ sb4 that doesn't require a distinctor antecedent. $)
  sb4a $p |- ( [ y / x ] A. y ph -> A. x ( x = y -> ph ) ) $=
    ( wal wsb weq wa wex wi sb1 equs5a syl ) ACDZBCEBCFZMGBHNAIBDMBCJABCKL $.
    $( [2-Feb-2007] $)

  ${
    equs45f.1 $e |- ( ph -> A. y ph ) $.
    $( Two ways of expressing substitution when ` y ` is not free in
       ` ph ` . $)
    equs45f $p |- ( E. x ( x = y /\ ph ) <-> A. x ( x = y -> ph ) ) $=
      ( weq wa wex wi wal anim2i eximi equs5a syl equs4 impbii ) BCEZAFZBGZPAHB
      IZRPACIZFZBGSQUABATPDJKABCLMABCNO $.
      $( [25-Apr-2008] $)

    $( Equivalence for substitution when ` y ` is not free in ` ph ` . $)
    sb6f $p |- ( [ y / x ] ph <-> A. x ( x = y -> ph ) ) $=
      ( wsb weq wi wal sbimi sb4a syl sb2 impbii ) ABCEZBCFAGBHZNACHZBCEOAPBCDI
      ABCJKABCLM $.
      $( [30-Apr-2008] $)  $( [5-Aug-1993] $)

    $( Equivalence for substitution when ` y ` is not free in ` ph ` . $)
    sb5f $p |- ( [ y / x ] ph <-> E. x ( x = y /\ ph ) ) $=
      ( wsb weq wi wal wa wex sb6f equs45f bitr4i ) ABCEBCFZAGBHNAIBJABCDKABCDL
      M $.
      $( [18-May-2008] $)  $( [5-Aug-1993] $)
  $}

  $( One direction of a simplified definition of substitution that unlike ~ sb4
     doesn't require a distinctor antecedent. $)
  sb4e $p |- ( [ y / x ] ph -> A. x ( x = y -> E. y ph ) ) $=
    ( wsb weq wa wex wi wal sb1 equs5e syl ) ABCDBCEZAFBGMACGHBIABCJABCKL $.
    $( [2-Feb-2007] $)

  $( Special case of a bound-variable hypothesis builder for substitution. $)
  hbsb2a $p |- ( [ y / x ] A. y ph -> A. x [ y / x ] ph ) $=
    ( wal wsb weq wi sb4a sb2 a5i syl ) ACDBCEBCFAGZBDABCEZBDABCHLMBABCIJK $.
    $( [2-Feb-2007] $)

  $( Special case of a bound-variable hypothesis builder for substitution. $)
  hbsb2e $p |- ( [ y / x ] ph -> A. x [ y / x ] E. y ph ) $=
    ( wsb weq wex wi wal sb4e sb2 a5i syl ) ABCDBCEACFZGZBHMBCDZBHABCINOBMBCJKL
    $.
    $( [2-Feb-2007] $)

  ${
    hbsb3.1 $e |- ( ph -> A. y ph ) $.
    $( If ` y ` is not free in ` ph ` , ` x ` is not free in
       ` [ y / x ] ph ` . $)
    hbsb3 $p |- ( [ y / x ] ph -> A. x [ y / x ] ph ) $=
      ( wsb wal sbimi hbsb2a syl ) ABCEZACFZBCEJBFAKBCDGABCHI $.
      $( [5-Aug-1993] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                  Predicate calculus with distinct variables
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Derive the axiom of distinct variables ax-16
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x ps $.
    a4imv.1 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( A version of ~ a4im with a distinct variable requirement instead of a
       bound variable hypothesis. $)
    a4imv $p |- ( A. x ph -> ps ) $=
      ( ax-17 a4im ) ABCDBCFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    $v f $.
    $( Define a temporary individual variable. $)
    aev.vf $f set f $.
    $d f u v $.  $d f u x y $.  $d u w $.
    $( A "distinctor elimination" lemma with no restrictions on variables in
       the consequent, proved without using ~ ax-16 .  (The proof was shortened
       by Andrew Salmon, 21-Jun-2011.) $)
    aev $p |- ( A. x x = y -> A. z w = v ) $=
      ( aev.vf vu weq wal hbae ax-8 a4imv alrimi equcomi alequcoms a5i alequcom
      syl6 3syl ) ABHZAIZDEHZCABCJUAFBHZFIZGEHZGIZUBUAUCFABFJTUCAFAFBKLMUDFGHZF
      IZEGHZEIUFUCUGFUGBFBFHZUGBGBGHUJGFHUGBGFKGFNRLOPUHUIEFGEJUGUIFEFEGKLMEGQS
      UEUBGDGDEKLSM $.
      $( [26-Jun-2011] $) $( [8-Nov-2006] $)
  $}

  ${
    $d x y $.  $d z ph $.
    $( Theorem showing that ~ ax-16 is redundant if ~ ax-17 is included in the
       axiom system.  The important part of the proof is provided by ~ aev .

       See ~ ax16ALT for an alternate proof that does not require ~ ax-10 or
       ~ ax-12 .

       This theorem should not be referenced in any proof.  Instead, use
       ~ ax-16 below so that theorems needing ~ ax-16 can be more easily
       identified. $)
    ax16 $p |- ( A. x x = y -> ( ph -> A. x ph ) ) $=
      ( vz weq wal wi aev ax-17 sbequ12 biimpcd alimd hbsb3 stdpc7 cbv3 syl6com
      wsb syl ) BCEBFBDEZDFZAABFZGBCDBDHATABDQZDFUAASUBDADIZSAUBABDJKLUBADBABDU
      CMUCADBNOPR $.
      $( [8-Nov-2006] $)
  $}

  ${
    $d x y $.
    $( Axiom of Distinct Variables.  The only axiom of predicate calculus
       requiring that variables be distinct (if we consider ~ ax-17 to be a
       metatheorem and not an axiom).  Axiom scheme C16' in [Megill] p. 448 (p.
       16 of the preprint).  It apparently does not otherwise appear in the
       literature but is easily proved from textbook predicate calculus by
       cases.  It is a somewhat bizarre axiom since the antecedent is always
       false in set theory, but nonetheless it is technically necessary as you
       can see from its uses.

       This axiom is redundant if we include ~ ax-17 ; see theorem ~ ax16 .
       Alternately, ~ ax-17 becomes logically redundant in the presence of this
       axiom, but without ~ ax-17 we lose the more powerful metalogic that
       results from being able to express the concept of a set variable not
       occurring in a wff (as opposed to just two set variables being
       distinct).  We retain ~ ax-16 here to provide logical completeness for
       systems with the simpler metalogic that results from omitting ~ ax-17 ,
       which might be easier to study for some theoretical purposes. $)
    ax-16 $a |- ( A. x x = y -> ( ph -> A. x ph ) ) $.
  $}

  ${
    $d x z $.  $d y z $.
    $( Theorem to add distinct quantifier to atomic formula.  (This theorem
       demonstrates the induction basis for ~ ax-17 considered as a
       metatheorem.  Do not use it for later proofs - use ~ ax-17 instead, to
       avoid reference to the redundant axiom ~ ax-16 .) $)
    ax17eq $p |- ( x = y -> A. z x = y ) $=
      ( weq wal wi ax-12 ax-16 pm2.61ii ) CADCECBDCEABDZJCEFABCGJCAHJCBHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d w z x $.  $d w y $.
    $( Quantifier introduction when one pair of variables is distinct. $)
    dveeq2 $p |- ( -. A. x x = y -> ( z = y -> A. x z = y ) ) $=
      ( vw weq ax-17 equequ2 dvelimfALT ) CDEZCBEZABDIAFJDFDBCGH $.
      $( [2-Jan-2002] $)

    $( Version of ~ dveeq2 using ~ ax-16 instead of ~ ax-17 . $)
    dveeq2ALT $p |- ( -. A. x x = y -> ( z = y -> A. x z = y ) ) $=
      ( vw weq ax17eq equequ2 dvelimfALT ) CDECBEABDCDAFCBDFDBCGH $.
      $( [29-Apr-2008] $)
  $}


  ${
    $d x z $.  $d y z $.
    dvelimfALT2.1 $e |- ( ph -> A. x ph ) $.
    dvelimfALT2.2 $e |- ( ps -> A. z ps ) $.
    dvelimfALT2.3 $e |- ( z = y -> ( ph <-> ps ) ) $.
    dvelimfALT2.4 $e |- ( -. A. x x = y -> ( z = y -> A. x z = y ) ) $.
    $( Proof of ~ dvelimf using ~ dveeq2 (shown as the last hypothesis) instead
       of ~ ax-12 .  This shows that ~ ax-12 could be replaced by ~ dveeq2 (the
       last hypothesis).  (Contributed by Andrew Salmon, 21-Jul-2011.) $)
    dvelimfALT2 $p |- ( -. A. x x = y -> ( ps -> A. x ps ) ) $=
      ( cv wceq wal wn wi ax-17 hbn1 a1i hbimd hbald equsal albii 3imtr3g ) CJD
      JZKZCLMZEJUCKZANZELZUHCLBBCLUEUGCEUEEOUEUFACUDCPIAACLNUEFQRSABEDGHTZUHBCU
      IUAUB $.
      $( [21-Jul-2011] $)
  $}

  ${
    $d z x $.
    $( A lemma for proving conditionless ZFC axioms. $)
    nd5 $p |- ( -. A. y y = x -> ( z = y -> A. x z = y ) ) $=
      ( cv wceq wal wi dveeq2 nalequcoms ) CDBDEZJAFGABABCHI $.
      $( [8-Jan-2002] $)
  $}

  ${
    $d x ch $.  $d x ph $.
    exlimdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.23 of [Margaris] p. 90. $)
    exlimdv $p |- ( ph -> ( E. x ps -> ch ) ) $=
      ( ax-17 exlimd ) ABCDADFCDFEG $.
      $( [27-Apr-1994] $)
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.
    ax11v2.1 $e |- ( x = z -> ( ph -> A. x ( x = z -> ph ) ) ) $.
    $( Recovery of ~ ax11o from ~ ax11v without using ~ ax-11 .  The hypothesis
       is even weaker than ~ ax11v , with ` z ` both distinct from ` x ` _and_
       not occurring in ` ph ` .  Thus the hypothesis provides an alternate
       axiom that can be used in place of ~ ax11o . $)
    ax11v2 $p |- ( -. A. x x = y ->
                 ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $=
      ( weq wal wn wex wi a9e wa wb equequ2 adantl dveeq2 imp hba1 imbi1d a4s
      albid syl imbi2d imbi12d mpbii ex exlimdv mpi ) BCFZBGHZDCFZDIUIAUIAJZBGZ
      JZJZDCKUJUKUODUJUKUOUJUKLZBDFZAUQAJZBGZJZJUOEUPUQUIUTUNUKUQUIMUJDCBNZOUPU
      SUMAUPUKBGZUSUMMUJUKVBBCDPQVBURULBUKBRUKURULMBUKUQUIAVASTUAUBUCUDUEUFUGUH
      $.
      $( [2-Feb-2007] $)
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.
    ax11a2.1 $e |- ( x = z -> ( A. z ph -> A. x ( x = z -> ph ) ) ) $.
    $( Derive ~ ax-11o from a hypothesis in the form of ~ ax-11 .  The
       hypothesis is even weaker than ~ ax-11 , with ` z ` both distinct from
       ` x ` and not occurring in ` ph ` .  Thus the hypothesis provides an
       alternate axiom that can be used in place of ~ ax11o .  As theorem
       ~ ax11 shows, the distinct variable conditions are optional.  An open
       problem is whether ~ ax11o can be derived from ~ ax-11 without relying
       on ~ ax-17 . $)
    ax11a2 $p |- ( -. A. x x = y ->
                 ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $=
      ( wal weq wi ax-17 syl5 ax11v2 ) ABCDAADFBDGZLAHBFADIEJK $.
      $( [2-Feb-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Derive the obsolete axiom of variable substitution ax-11o
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x z $.  $d y z $.  $d z ph $.
    $( Derivation of set.mm's original ~ ax-11o from the shorter ~ ax-11 that
       has replaced it.

       An open problem is whether this theorem can be proved without relying on
       ~ ax-16 or ~ ax-17 .

       Another open problem is whether this theorem can be proved without
       relying on ~ ax-12 (see note in ~ a12study ).

       Theorem ~ ax11 shows the reverse derivation of ~ ax-11 from ~ ax-11o .

       Normally, ~ ax11o should be used rather than ~ ax-11o , except by
       theorems specifically studying the latter's properties. $)
    ax11o $p |- ( -. A. x x = y ->
               ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $=
      ( vz ax-11 ax11a2 ) ABCDABDEF $.
      $( [3-Feb-2007] $)
  $}

  $( Axiom ~ ax-11o ("o" for "old") was the original version of ~ ax-11 ,
     before it was discovered (in Jan. 2007) that the shorter ~ ax-11 could
     replace it.  It appears as Axiom scheme C15' in [Megill] p. 448 (p. 16 of
     the preprint).  It is based on Lemma 16 of [Tarski] p. 70 and Axiom C8 of
     [Monk2] p. 105, from which it can be proved by cases.  To understand this
     theorem more easily, think of " ` -. A. x x = y -> ` ..." as informally
     meaning "if ` x ` and ` y ` are distinct variables then..."  The
     antecedent becomes false if the same variable is substituted for ` x ` and
     ` y ` , ensuring the theorem is sound whenever this is the case.  In some
     later theorems, we call an antecedent of the form ` -. A. x x = y ` a
     "distinctor."

     This axiom is redundant, as shown by theorem ~ ax11o .

     Normally, ~ ax11o should be used rather than ~ ax-11o , except by theorems
     specifically studying the latter's properties. $)
  ax-11o $a |- ( -. A. x x = y ->
             ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $.

  $( Rederivation of axiom ~ ax-11 from the orginal version, ~ ax-11o .  See
     theorem ~ ax11o for the derivation of ~ ax-11o from ~ ax-11 .

     This theorem should not be referenced in any proof.  Instead, use ~ ax-11
     above so that uses of ~ ax-11 can be more easily identified. $)
  ax11 $p |- ( x = y -> ( A. y ph -> A. x ( x = y -> ph ) ) ) $=
    ( weq wal wi biidd dral1 ax-1 alimi syl6bir a1d wn ax-4 ax-11o syl7 pm2.61i
    ) BCDZBEZRACEZRAFZBEZFZFSUCRSTABEUBAABCSAGHAUABARIJKLTASMRUBACNABCOPQ $.
    $( [22-Jan-2007] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
     Theorems without distinct variables that use axiom ax-11o
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A bidirectional version of ~ ax-11o . $)
  ax11b $p |- ( ( -. A. x x = y /\ x = y ) ->
              ( ph <-> A. x ( x = y -> ph ) ) ) $=
    ( weq wal wn wa wi ax-11o imp ax-4 com12 adantl impbid ) BCDZBEFZOGAOAHZBEZ
    POARHABCIJORAHPROAQBKLMN $.
    $( [30-Jun-2006] $)

  $( Lemma used in proofs of substitution properties. $)
  equs5 $p |- ( -. A. x x = y ->
             ( E. x ( x = y /\ ph ) -> A. x ( x = y -> ph ) ) ) $=
    ( weq wal wn wa wi hbnae hba1 ax11o imp3a exlimd ) BCDZBEFZNAGNAHZBEZBBCBIP
    BJONAQABCKLM $.
    $( [5-Aug-1993] $)

  $( One direction of a simplified definition of substitution when variables
     are distinct. $)
  sb3 $p |- ( -. A. x x = y -> ( E. x ( x = y /\ ph ) -> [ y / x ] ph ) ) $=
    ( weq wal wn wa wex wi wsb equs5 sb2 syl6 ) BCDZBEFNAGBHNAIBEABCJABCKABCLM
    $.
    $( [5-Aug-1993] $)

  $( One direction of a simplified definition of substitution when variables
     are distinct. $)
  sb4 $p |- ( -. A. x x = y -> ( [ y / x ] ph -> A. x ( x = y -> ph ) ) ) $=
    ( wsb weq wa wex wal wn wi sb1 equs5 syl5 ) ABCDBCEZAFBGNBHINAJBHABCKABCLM
    $.
    $( [5-Aug-1993] $)

  $( Simplified definition of substitution when variables are distinct. $)
  sb4b $p |- ( -. A. x x = y -> ( [ y / x ] ph <-> A. x ( x = y -> ph ) ) ) $=
    ( weq wal wn wsb wi sb4 sb2 impbid1 ) BCDZBEFABCGLAHBEABCIABCJK $.
    $( [27-May-1997] $)

  $( An alternate definition of proper substitution that, like ~ df-sb , mixes
     free and bound variables to avoid distinct variable requirements. $)
  dfsb2 $p |- ( [ y / x ] ph <->
              ( ( x = y /\ ph ) \/ A. x ( x = y -> ph ) ) ) $=
    ( wsb weq wa wi wal wo sbequ2 a4s ax-4 jctild orc wn sb4 olc pm2.61i sbequ1
    syl6 imp sb2 jaoi impbii ) ABCDZBCEZAFZUFAGBHZIZUFBHZUEUIGUJUEUGUIUJUEAUFUF
    UEAGBABCJKUFBLMUGUHNTUJOUEUHUIABCPUHUGQTRUGUEUHUFAUEABCSUAABCUBUCUD $.
    $( [17-Feb-2005] $)

  $( An alternate definition of proper substitution ~ df-sb that uses only
     primitive connectives (no defined terms) on the right-hand side. $)
  dfsb3 $p |- ( [ y / x ] ph <->
              ( ( x = y -> -. ph ) -> A. x ( x = y -> ph ) ) ) $=
    ( weq wa wi wal wo wn wsb df-or dfsb2 imnan imbi1i 3bitr4i ) BCDZAEZPAFBGZH
    QIZRFABCJPAIFZRFQRKABCLTSRPAMNO $.
    $( [6-Mar-2007] $)

  $( Bound-variable hypothesis builder for substitution. $)
  hbsb2 $p |- ( -. A. x x = y -> ( [ y / x ] ph -> A. x [ y / x ] ph ) ) $=
    ( weq wal wn wsb wi sb4 sb2 a5i syl6 ) BCDZBEFABCGZMAHZBENBEABCIONBABCJKL
    $.
    $( [5-Aug-1993] $)

  $( An equality theorem for substitution. $)
  sbequi $p |- ( x = y -> ( [ x / z ] ph -> [ y / z ] ph ) ) $=
    ( weq wal wsb wi wn wa wex hbsb2 stdpc7 sbequ1 sylan9 ex a4s adantr biimpd
    drsb1 equvini eximi syl 19.35 sylib hbnae 19.9d syl9 com23 sbequ2 alequcoms
    sylan9r syld pm2.61ii ) DBEZDFZDCEZDFZBCEZADBGZADCGZHZHUPIZUSURIZVBVCUSVDVB
    HVCUSJUTVADKZVDVAVCUTUTDFZUSVEADBLUSVBDKZVFVEHUSBDEZUQJZDKVGBCDUAVIVBDVHUTA
    UQVAABDMADCNZOUBUCUTVADUDUEOVAVDDDCDUFADCLUGUHPUIUPUSVBUPUSJUTAVAUPUTAHZUSU
    OVKDADBUJQRUSAABCGZUPVAABCNVLVAHBDVHBFVLVAABDCTSUKULUMPURUSVBURUSJUTAVAURUT
    ACBGZUSAURUTVMADCBTSABCMOURAVAHZUSUQVNDVJQRUMPUN $.
    $( [5-Aug-1993] $)

  $( An equality theorem for substitution.  Used in proof of Theorem 9.7 in
     [Megill] p. 449 (p. 16 of the preprint). $)
  sbequ $p |- ( x = y -> ( [ x / z ] ph <-> [ y / z ] ph ) ) $=
    ( weq wsb sbequi wi equcoms impbid ) BCEADBFZADCFZABCDGLKHCBACBDGIJ $.
    $( [5-Aug-1993] $)

  $( Formula-building lemma for use with the Distinctor Reduction Theorem.
     Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint). $)
  drsb2 $p |- ( A. x x = y -> ( [ x / z ] ph <-> [ y / z ] ph ) ) $=
    ( cv wceq wsbc wb sbequ a4s ) BEZCEZFADKGADLGHBABCDIJ $.
    $( [27-Feb-2005] $)

  $( Negation inside and outside of substitution are equivalent. $)
  sbn $p |- ( [ y / x ] -. ph <-> -. [ y / x ] ph ) $=
    ( wn wsb weq wal wi sbequ2 nsyld a4s sb4 wa wex sb1 equs3 sylib syl6 sylibr
    con2i pm2.61i sbequ1 con3rr3 sb2 notnot sbbii con3i df-sb sylanbrc impbii )
    ADZBCEZABCEZDZBCFZBGZULUNHZUOUQBUOULAUMUKBCIABCIJKUPDULUOUKHZBGZUNUKBCLUMUS
    UMUOAMBNUSDABCOABCPQTRUAUNURUOUKMBNZULUOAUMABCUBUCUNUOUKDZHBGZDUTVBUMVBVABC
    EUMVABCUDAVABCAUEUFSUGUKBCPSUKBCUHUIUJ $.
    $( [5-Aug-1993] $)

  $( Removal of implication from substitution. $)
  sbi1 $p |- ( [ y / x ] ( ph -> ps ) -> ( [ y / x ] ph -> [ y / x ] ps ) ) $=
    ( weq wal wi wsb sbequ2 syl5d sbequ1 syl6d a4s sb4 ax-2 al2imi syl6 pm2.61i
    wn sb2 ) CDEZCFZABGZCDHZACDHZBCDHZGGZUAUGCUAUDUEBUFUAUEAUDBACDIUCCDIJBCDKLM
    UBSZUEUAAGZCFZUDUFACDNUHUDUAUCGZCFZUJUFGUCCDNULUJUABGZCFUFUKUIUMCUAABOPBCDT
    QQJR $.
    $( [5-Aug-1993] $)

  $( Introduction of implication into substitution. $)
  sbi2 $p |- ( ( [ y / x ] ph -> [ y / x ] ps ) -> [ y / x ] ( ph -> ps ) ) $=
    ( wsb wi wn sbn pm2.21 sbimi sylbir ax-1 ja ) ACDEZBCDEABFZCDEZNGAGZCDEPACD
    HQOCDABIJKBOCDBALJM $.
    $( [5-Aug-1993] $)

  $( Implication inside and outside of substitution are equivalent. $)
  sbim $p |- ( [ y / x ] ( ph -> ps ) <-> ( [ y / x ] ph -> [ y / x ] ps ) ) $=
    ( wi wsb sbi1 sbi2 impbii ) ABECDFACDFBCDFEABCDGABCDHI $.
    $( [5-Aug-1993] $)

  $( Logical OR inside and outside of substitution are equivalent. $)
  sbor $p |- ( [ y / x ] ( ph \/ ps ) <-> ( [ y / x ] ph \/ [ y / x ] ps ) ) $=
    ( wn wi wsb wo sbim sbn imbi1i bitri df-or sbbii 3bitr4i ) AEZBFZCDGZACDGZE
    ZBCDGZFZABHZCDGSUAHRPCDGZUAFUBPBCDIUDTUAACDJKLUCQCDABMNSUAMO $.
    $( [29-Sep-2002] $)

  ${
    sbrim.1 $e |- ( ph -> A. x ph ) $.
    $( Substitution with a variable not free in antecedent affects only the
       consequent. $)
    sbrim $p |- ( [ y / x ] ( ph -> ps ) <-> ( ph -> [ y / x ] ps ) ) $=
      ( wi wsb sbim sbf imbi1i bitri ) ABFCDGACDGZBCDGZFAMFABCDHLAMACDEIJK $.
      $( [5-Aug-1993] $)
  $}

  ${
    sblim.1 $e |- ( ps -> A. x ps ) $.
    $( Substitution with a variable not free in consequent affects only the
       antecedent. $)
    sblim $p |- ( [ y / x ] ( ph -> ps ) <-> ( [ y / x ] ph -> ps ) ) $=
      ( wi wsb sbim sbf imbi2i bitri ) ABFCDGACDGZBCDGZFLBFABCDHMBLBCDEIJK $.
      $( [14-Nov-2013] $)
  $}

  $( Conjunction inside and outside of a substitution are equivalent. $)
  sban $p |- ( [ y / x ] ( ph /\ ps ) <-> ( [ y / x ] ph /\ [ y / x ] ps ) ) $=
    ( wn wi wsb wa sbn sbim imbi2i bitri xchbinx df-an sbbii 3bitr4i ) ABEZFZEZ
    CDGZACDGZBCDGZEZFZEABHZCDGUAUBHTRCDGZUDRCDIUFUAQCDGZFUDAQCDJUGUCUABCDIKLMUE
    SCDABNOUAUBNP $.
    $( [5-Aug-1993] $)

  $( Conjunction inside and outside of a substitution are equivalent. $)
  sb3an $p |- ( [ y / x ] ( ph /\ ps /\ ch ) <->
              ( [ y / x ] ph /\ [ y / x ] ps /\ [ y / x ] ch ) ) $=
    ( w3a wsb wa df-3an sbbii sban anbi1i bitr4i 3bitri ) ABCFZDEGABHZCHZDEGPDE
    GZCDEGZHZADEGZBDEGZSFZOQDEABCIJPCDEKTUAUBHZSHUCRUDSABDEKLUAUBSIMN $.
    $( [14-Dec-2006] $)

  $( Equivalence inside and outside of a substitution are equivalent. $)
  sbbi $p |- ( [ y / x ] ( ph <-> ps )
     <-> ( [ y / x ] ph <-> [ y / x ] ps ) ) $=
    ( wb wsb wi wa dfbi2 sbbii sbim anbi12i sban 3bitr4i bitri ) ABEZCDFABGZBAG
    ZHZCDFZACDFZBCDFZEZPSCDABIJQCDFZRCDFZHUAUBGZUBUAGZHTUCUDUFUEUGABCDKBACDKLQR
    CDMUAUBINO $.
    $( [5-Aug-1993] $)

  ${
    sblbis.1 $e |- ( [ y / x ] ph <-> ps ) $.
    $( Introduce left biconditional inside of a substitution. $)
    sblbis $p |- ( [ y / x ] ( ch <-> ph ) <-> ( [ y / x ] ch <-> ps ) ) $=
      ( wb wsb sbbi bibi2i bitri ) CAGDEHCDEHZADEHZGLBGCADEIMBLFJK $.
      $( [19-Aug-1993] $)
  $}

  ${
    sbrbis.1 $e |- ( [ y / x ] ph <-> ps ) $.
    $( Introduce right biconditional inside of a substitution. $)
    sbrbis $p |- ( [ y / x ] ( ph <-> ch ) <-> ( ps <-> [ y / x ] ch ) ) $=
      ( wb wsb sbbi bibi1i bitri ) ACGDEHADEHZCDEHZGBMGACDEILBMFJK $.
      $( [18-Aug-1993] $)
  $}

  ${
    sbrbif.1 $e |- ( ch -> A. x ch ) $.
    sbrbif.2 $e |- ( [ y / x ] ph <-> ps ) $.
    $( Introduce right biconditional inside of a substitution. $)
    sbrbif $p |- ( [ y / x ] ( ph <-> ch ) <-> ( ps <-> ch ) ) $=
      ( wb wsb sbrbis sbf bibi2i bitri ) ACHDEIBCDEIZHBCHABCDEGJNCBCDEFKLM $.
      $( [18-Aug-1993] $)
  $}

  $( A specialization theorem. $)
  a4sbe $p |- ( [ y / x ] ph -> E. x ph ) $=
    ( wsb wn wal wex stdpc4 sbn sylib con2i df-ex sylibr ) ABCDZAEZBFZEABGPNPOB
    CDNEOBCHABCIJKABLM $.
    $( [5-Aug-1993] $)

  $( Specialization of implication.  (The proof was shortened by Andrew Salmon,
     25-May-2011.) $)
  a4sbim $p |- ( A. x ( ph -> ps ) -> ( [ y / x ] ph -> [ y / x ] ps ) ) $=
    ( wi wal wsb stdpc4 sbi1 syl ) ABEZCFKCDGACDGBCDGEKCDHABCDIJ $.
    $( [25-May-2011] $) $( [5-Aug-1993] $)

  $( Specialization of biconditional. $)
  a4sbbi $p |- ( A. x ( ph <-> ps ) -> ( [ y / x ] ph <-> [ y / x ] ps ) ) $=
    ( wb wal wsb stdpc4 sbbi sylib ) ABEZCFKCDGACDGBCDGEKCDHABCDIJ $.
    $( [5-Aug-1993] $)

  ${
    sbbid.1 $e |- ( ph -> A. x ph ) $.
    sbbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction substituting both sides of a biconditional. $)
    sbbid $p |- ( ph -> ( [ y / x ] ps <-> [ y / x ] ch ) ) $=
      ( wb wal wsb alrimi a4sbbi syl ) ABCHZDIBDEJCDEJHANDFGKBCDELM $.
      $( [5-Aug-1993] $)
  $}

  $( Elimination of equality from antecedent after substitution. $)
  sbequ8 $p |- ( [ y / x ] ph <-> [ y / x ] ( x = y -> ph ) ) $=
    ( wsb weq wi equsb1 a1bi sbim bitr4i ) ABCDZBCEZBCDZKFLAFBCDMKBCGHLABCIJ $.
    $( [5-Aug-1993] $)

  $( Substitution has no effect on a non-free variable. $)
  sbf3t $p |- ( A. x ( ph -> A. x ph ) -> ( [ y / x ] ph <-> ph ) ) $=
    ( wal wi wsb a4sbim sbf2 ax-4 sylbi syl6 stdpc4 imim2i a4s impbid ) AABDZEZ
    BDZABCFZARSPBCFZAAPBCGTPAABCHABIJKQASEBPSAABCLMNO $.
    $( [30-May-2009] $)

  ${
    hbsb4.1 $e |- ( ph -> A. z ph ) $.
    $( A variable not free remains so after substitution with a distinct
       variable. $)
    hbsb4 $p |- ( -. A. z z = y -> ( [ y / x ] ph -> A. z [ y / x ] ph ) ) $=
      ( weq wal wn wsb wi wb equequ1 a4s dral1 notbid hbsb2 alimi hbnae pm2.61i
      hban ax10o alequcoms sylbid hbae ax-4 sbequ2 sbequ1 al2imi syl5 syld 3syl
      syl9r wa a1d sb4 ax-12 imp a1i hbimd alimd sb2 a7s syl6 syl9 ex ) DBFZDGZ
      DCFZDGZHZABCIZVKDGZJZJVGVJBCFZBGZHZVMVGVIVOVHVNDBVFVHVNKDDBCLMNOVPVKVKBGZ
      VGVLABCPVQVLJBDVKBDUAUBULUCVGHZVJVMVOVRVJUMZVMJVOVMVSVOVODGVNDGZVMBCDUDVO
      VNDVNBUEQVTVKAVLVNVKAJDABCUFMAADGZVTVLEVNAVKDABCUGUHUIUJUKUNVPVKVNAJZBGZV
      SVLABCUOVSWCWBDGZBGVLVSWBWDBVRVJBDBBRDCBRTVSVNADVRVJDDBDRDCDRTVRVJVNVTJBC
      DUPUQAWAJVSEURUSUTWBVLDBWCVKDABCVAQVBVCVDSVES $.
      $( [5-Aug-1993] $)
  $}

  $( A variable not free remains so after substitution with a distinct variable
     (closed form of ~ hbsb4 ).  (The proof was shortened by Andrew Salmon,
     25-May-2011.) $)
  hbsb4t $p |- ( A. x A. z ( ph -> A. z ph ) ->
               ( -. A. z z = y -> ( [ y / x ] ph -> A. z [ y / x ] ph ) ) ) $=
    ( weq wal wn wsb wi hba1 hbsb4 a4sbim a4s ax-4 sbimi alimi a1i imim12d syl5
    a7s ) DCEDFGADFZBCHZUBDFZIZAUAIZDFBFABCHZUFDFZIZUABCDADJKUEUDUHIDBUEBFZDFZU
    FUBUCUGUIUFUBIDAUABCLMUCUGIUJUBUFDUAABCADNOPQRTS $.
    $( [25-May-2011] $) $( [7-Apr-2004] $)

  ${
    dvelimf.1 $e |- ( ph -> A. x ph ) $.
    dvelimf.2 $e |- ( ps -> A. z ps ) $.
    dvelimf.3 $e |- ( z = y -> ( ph <-> ps ) ) $.
    $( Version of ~ dvelim without any variable restrictions. $)
    dvelimf $p |- ( -. A. x x = y -> ( ps -> A. x ps ) ) $=
      ( weq wal wn wsb hbsb4 sbie albii 3imtr3g ) CDICJKAEDLZQCJBBCJAEDCFMABEDG
      HNZQBCROP $.
      $( [1-Oct-2002] $)
  $}

  ${
    dvelimdf.1 $e |- ( ph -> A. x ph ) $.
    dvelimdf.2 $e |- ( ph -> A. z ph ) $.
    dvelimdf.3 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    dvelimdf.4 $e |- ( ph -> ( ch -> A. z ch ) ) $.
    dvelimdf.5 $e |- ( ph -> ( z = y -> ( ps <-> ch ) ) ) $.
    $( Deduction form of ~ dvelimf .  This version may be useful if we want to
       avoid ~ ax-17 and use ~ ax-16 instead. $)
    dvelimdf $p |- ( ph -> ( -. A. x x = y -> ( ch -> A. x ch ) ) ) $=
      ( weq wal wn wi wa wsb alrimi wb adantr 2alimi hbsb4t sbied albid 3imtr3d
      3syl imp ex ) ADELDMNZCCDMZOAUIPBFEQZUKDMZCUJAUIUKULOZAADMZFMBBDMOZDMFMUI
      UMOAUNFHGRAUOFDIUABFEDUBUFUGAUKCSUIABCFEHJKUCZTAULUJSUIAUKCDGUPUDTUEUH $.
      $( [7-Apr-2004] $)
  $}

  $( A composition law for substitution. $)
  sbco $p |- ( [ y / x ] [ x / y ] ph <-> [ y / x ] ph ) $=
    ( wsb wb weq equsb2 sbequ12 bicomd sbimi ax-mp sbbi mpbi ) ACBDZAEZBCDZNBCD
    ABCDECBFZBCDPBCGQOBCQANACBHIJKNABCLM $.
    $( [5-Aug-1993] $)

  ${
    sbid2.1 $e |- ( ph -> A. x ph ) $.
    $( An identity law for substitution. $)
    sbid2 $p |- ( [ y / x ] [ x / y ] ph <-> ph ) $=
      ( wsb sbco sbf bitri ) ACBEBCEABCEAABCFABCDGH $.
      $( [5-Aug-1993] $)
  $}

  $( An idempotent law for substitution.  (The proof was shortened by Andrew
     Salmon, 25-May-2011.) $)
  sbidm $p |- ( [ y / x ] [ y / x ] ph <-> [ y / x ] ph ) $=
    ( wsb wb weq equsb2 sbequ12r sbimi ax-mp sbbi mpbi ) ABCDZAEZBCDZMBCDMECBFZ
    BCDOBCGPNBCACBHIJMABCKL $.
    $( [25-May-2011] $) $( [30-Jun-1994] $)

  ${
    sbco2.1 $e |- ( ph -> A. z ph ) $.
    $( A composition law for substitution. $)
    sbco2 $p |- ( [ y / z ] [ z / x ] ph <-> [ y / x ] ph ) $=
      ( weq wal wsb wb sbid2 sbequ syl5bbr sbequ12 bitr3d a4s hbnae hbsb3 hbsb4
      wn wi a1i sbied bicomd pm2.61i ) BCFZBGZABDHZDCHZABCHZIZUEUJBUEAUHUIAUGDB
      HUEUHADBEJUGBCDKLZABCMNOUFSZUIUHULAUHBCBCBPUGDCBABDEQRUEAUHITULUKUAUBUCUD
      $.
      $( [30-Jun-1994] $)
  $}

  ${
    sbco2d.1 $e |- ( ph -> A. x ph ) $.
    sbco2d.2 $e |- ( ph -> A. z ph ) $.
    sbco2d.3 $e |- ( ph -> ( ps -> A. z ps ) ) $.
    $( A composition law for substitution. $)
    sbco2d $p |- ( ph -> ( [ y / z ] [ z / x ] ps <-> [ y / x ] ps ) ) $=
      ( wsb wi hbim1 sbco2 sbrim sbbii bitri 3bitr3i pm5.74ri ) ABCEIZEDIZBCDIZ
      ABJZCEIZEDIZUACDIASJZATJUACDEABEGHKLUCARJZEDIUDUBUEEDABCEFMNAREDGMOABCDFM
      PQ $.
      $( [5-Aug-1993] $)
  $}

  $( A composition law for substitution. $)
  sbco3 $p |- ( [ z / y ] [ y / x ] ph <-> [ z / x ] [ x / y ] ph ) $=
    ( weq wal wsb wb drsb1 sbequ12a alimi a4sbbi syl bitr3d wn sbco sbbii hbnae
    hbsb2 sbco2d syl5rbbr pm2.61i ) BCEZBFZABCGZCDGZACBGZBDGZHUDUEBDGZUFUHUEBCD
    IUDUEUGHZBFUIUHHUCUJBABCJKUEUGBDLMNUHUECBGZBDGUDOZUFUKUGBDACBPQULUECDBBCCRB
    CBRABCSTUAUB $.
    $( [5-Aug-1993] $)

  $( A commutativity law for substitution. $)
  sbcom $p |- ( [ y / z ] [ y / x ] ph <-> [ y / x ] [ y / z ] ph ) $=
    ( weq wal wsb wb wn wa hbae sbbid bitr3d hbnae hban albid sb4b sbequ12 a4s
    wi drsb1 adantr ax-12 imp alimi 19.21t 3syl adantrr alcom bi2.04 nalequcoms
    albii syl5bb adantrl imbi2d sylan9bbr adantl sylan9bb pm2.61ian ex pm2.61ii
    3bitr4d ) BCEZBFZDCEZDFZABCGZDCGZADCGZBCGZHZVDIZVFIZVKBDEBFZVLVMJZVKVNVKVOV
    NVGBCGVHVJVGBDCUAVNVGVIBCBDBKABDCUALMUBVNIZVOJZVEVCATZBFZTZDFZVCVEATZDFZTZB
    FZVHVJVQVEVRTZBFZDFZWAWEVPVLWHWAHVMVPVLJZWGVTDVPVLDBDDNZBCDNZOWIWIBFVEVEBFT
    ZBFWGVTHVPVLBBDBNZBCBNOWIWLBVPVLWLDCBUCUDUEVEVRBUFUGPUHVPVMWHWEHVLWHWFDFZBF
    VPVMJZWEWFDBUIWOWNWDBVPVMBWMDCBNZOWNVCWBTZDFZWOWDWFWQDVEVCAUJULWOWODFVCVCDF
    TZDFWRWDHVPVMDWJDCDNOWOWSDVPVMWSVMWSTDBBCDUCUKUDUEVCWBDUFUGUMPUMUNMVOVHWAHV
    PVMVHVEVGTZDFVLWAVGDCQVLWTVTDWKVLVGVSVEABCQUOPUPUQVOVJWEHVPVLVJVCVITZBFVMWE
    VIBCQVMXAWDBWPVMVIWCVCADCQUOPURUQVBUSUTVDVIVHVJVDAVGDCBCDKVCAVGHBABCRSLVCVI
    VJHBVIBCRSMVFVGVHVJVEVGVHHDVGDCRSVFAVIBCDCBKVEAVIHDADCRSLMVA $.
    $( [27-May-1997] $)

  ${
    sb5rf.1 $e |- ( ph -> A. y ph ) $.
    $( Reversed substitution.  (The proof was shortened by Andrew Salmon,
       25-May-2011.) $)
    sb5rf $p |- ( ph <-> E. y ( y = x /\ [ y / x ] ph ) ) $=
      ( weq wsb wa wex sbid2 sb1 sylbir stdpc7 imp exlimi impbii ) ACBEZABCFZGZ
      CHZAQCBFSACBDIQCBJKRACDPQAACBLMNO $.
      $( [25-May-2011] $) $( [3-Feb-2005] $)

    $( Reversed substitution.  (The proof was shortened by Andrew Salmon,
       25-May-2011.) $)
    sb6rf $p |- ( ph <-> A. y ( y = x -> [ y / x ] ph ) ) $=
      ( weq wsb wi wal sbequ1 equcoms com12 alrimi sb2 sbid2 sylib impbii ) ACB
      EZABCFZGZCHZASCDQARARGBCABCIJKLTRCBFARCBMACBDNOP $.
      $( [25-May-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    sb8.1 $e |- ( ph -> A. y ph ) $.
    $( Substitution of variable in universal quantifier.  (The proof was
       shortened by Andrew Salmon, 25-May-2011.) $)
    sb8 $p |- ( A. x ph <-> A. y [ y / x ] ph ) $=
      ( wal wsb hbal stdpc4 alrimi hbsb3 stdpc7 cbv3 impbii ) ABEZABCFZCENOCACB
      DGABCHIOACBABCDJDACBKLM $.
      $( [25-May-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    sb8e.1 $e |- ( ph -> A. y ph ) $.
    $( Substitution of variable in existential quantifier. $)
    sb8e $p |- ( E. x ph <-> E. y [ y / x ] ph ) $=
      ( wn wal wsb wex hbn sb8 sbn albii bitri notbii df-ex 3bitr4i ) AEZBFZEAB
      CGZEZCFZEABHSCHRUARQBCGZCFUAQBCACDIJUBTCABCKLMNABOSCOP $.
      $( [12-Aug-1993] $)
  $}

  $( Commutation of quantification and substitution variables. $)
  sb9i $p |- ( A. x [ x / y ] ph -> A. y [ y / x ] ph ) $=
    ( weq wal wi drsb1 drsb2 bitr3d dral1 biimprd wn hbsb2 al2imi hbnaes stdpc4
    wsb sbco sylib alimi a7s syl6 pm2.61i ) CBDCEZACBQZBEZABCQZCEZFUDUHUFUGUECB
    UDACCQUGUEACBCGACBCHIJKUDLZUFUECEZBEZUHUFUKFCBBUIUEUJBACBMNOUEUHCBUFUGCUFUE
    BCQUGUEBCPABCRSTUAUBUC $.
    $( [5-Aug-1993] $)

  $( Commutation of quantification and substitution variables. $)
  sb9 $p |- ( A. x [ x / y ] ph <-> A. y [ y / x ] ph ) $=
    ( wsb wal sb9i impbii ) ACBDBEABCDCEABCFACBFG $.
    $( [5-Aug-1993] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Predicate calculus with distinct variables (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( This is a version of ~ ax-11o when the variables are distinct.  Axiom
       (C8) of [Monk2] p. 105.  See theorem ~ ax11v2 for the rederivation of
       ~ ax-11o from this theorem. $)
    ax11v $p |- ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) $=
      ( weq wal wi ax-1 ax-16 syl5 a1d ax11o pm2.61i ) BCDZBEZMAMAFZBEZFZFNQMAO
      NPAMGOBCHIJABCKL $.
      $( [5-Aug-1993] $)

    $( Two equivalent ways of expressing the proper substitution of ` y ` for
       ` x ` in ` ph ` , when ` x ` and ` y ` are distinct.  Theorem 6.2 of
       [Quine] p. 40.  The proof does not involve ~ df-sb . $)
    sb56 $p |- ( E. x ( x = y /\ ph ) <-> A. x ( x = y -> ph ) ) $=
      ( weq wi wal hba1 ax11v ax-4 com12 impbid equsex ) ABCDZAEZBFZBCNBGMAOABC
      HOMANBIJKL $.
      $( [14-Apr-2008] $)

    $( Equivalence for substitution.  Compare Theorem 6.2 of [Quine] p. 40.
       Also proved as Lemmas 16 and 17 of [Tarski] p. 70. $)
    sb6 $p |- ( [ y / x ] ph <-> A. x ( x = y -> ph ) ) $=
      ( weq wi wa wex wal wsb sb56 anbi2i df-sb ax-4 pm4.71ri 3bitr4i ) BCDZAEZ
      PAFBGZFQQBHZFABCISRSQABCJKABCLSQQBMNO $.
      $( [14-Apr-2008] $) $( [18-Aug-1993] $)

    $( Equivalence for substitution.  Similar to Theorem 6.1 of [Quine]
       p. 40. $)
    sb5 $p |- ( [ y / x ] ph <-> E. x ( x = y /\ ph ) ) $=
      ( wsb weq wi wal wa wex sb6 sb56 bitr4i ) ABCDBCEZAFBGMAHBIABCJABCKL $.
      $( [14-Apr-2008] $) $( [18-Aug-1993] $)
  $}

  ${
    $d x y z $.  $d z ph $.
    ax16i.1 $e |- ( x = z -> ( ph <-> ps ) ) $.
    ax16i.2 $e |- ( ps -> A. x ps ) $.
    $( Inference with ~ ax-16 as its conclusion, that doesn't require ~ ax-10 ,
       ~ ax-11 , or ~ ax-12 for its proof.  The hypotheses may be eliminable
       without one or more of these axioms in special cases. $)
    ax16i $p |- ( A. x x = y -> ( ph -> A. x ph ) ) $=
      ( weq wal wi ax-17 ax-8 cbv3 a4imv equid1 mpi syl syl5com alimd mpcom
      alimi biimpcd biimprd syl6com ) CDHZCIZCEHZEIZAACIZJUFEDHZEIZUHUEUJCEUEEK
      ZUJCKCEDLMUKECHZEIZUHUEUKUNUJUEECECDLNUEUJUMEULUEDCHZUJUMUECCHUOCOCDCLPUJ
      DEHZUOUMJUJEEHZUPEOZEDELPDECLQRSTUMUGEUMUQUGURECELPZUAQQAUHBEIUIAUGBEAEKZ
      UGABFUBSBAECGUTUMUGBAJUSUGABFUCQMUDQ $.
      $( [20-May-2008] $)
  $}

  ${
    $d x y z $.  $d z ph $.
    $( Version of ~ ax16 that doesn't require ~ ax-10 or ~ ax-12 for its
       proof. $)
    ax16ALT $p |- ( A. x x = y -> ( ph -> A. x ph ) ) $=
      ( vz wsb sbequ12 ax-17 hbsb3 ax16i ) AABDEBCDABDFABDADGHI $.
      $( [17-May-2008] $)
  $}

  ${
    $d x ps $.
    a4v.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Specialization, using implicit substitition. $)
    a4v $p |- ( A. x ph -> ps ) $=
      ( weq biimpd a4imv ) ABCDCDFABEGH $.
      $( [30-Aug-1993] $)
  $}

  ${
    $d x ph $.
    a4imev.1 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Distinct-variable version of ~ a4ime . $)
    a4imev $p |- ( ph -> E. x ps ) $=
      ( ax-17 a4ime ) ABCDACFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ps $.
    a4eiv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    a4eiv.2 $e |- ps $.
    $( Inference from existential specialization, using implicit
       substitition. $)
    a4eiv $p |- E. x ph $=
      ( wex weq biimprd a4imev ax-mp ) BACGFBACDCDHABEIJK $.
      $( [19-Aug-1993] $)
  $}

  ${
    $d x z $.  $d y z $.
    $( A variable introduction law for equality.  Lemma 15 of [Monk2]
       p. 109. $)
    equvin $p |- ( x = y <-> E. z ( x = z /\ z = y ) ) $=
      ( weq wa wex equvini ax-17 equtr imp exlimi impbii ) ABDZACDZCBDZEZCFABCG
      PMCMCHNOMACBIJKL $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.
    $( A generalization of axiom ~ ax-16 .  (The proof was shortened by Andrew
       Salmon, 25-May-2011.) $)
    a16g $p |- ( A. x x = y -> ( ph -> A. z ph ) ) $=
      ( weq wal aev ax-16 biidd dral1 biimprd sylsyld ) BCEBFDBEDFZAABFZADFZBCD
      DBGABCHMONAADBMAIJKL $.
      $( [25-May-2011] $) $( [5-Aug-1993] $)

    $( A generalization of axiom ~ ax-16 . $)
    a16gb $p |- ( A. x x = y -> ( ph <-> A. z ph ) ) $=
      ( weq wal a16g ax-4 impbid1 ) BCEBFAADFABCDGADHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ph $.
    albidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for universal quantifier (deduction rule). $)
    albidv $p |- ( ph -> ( A. x ps <-> A. x ch ) ) $=
      ( ax-17 albid ) ABCDADFEG $.
      $( [5-Aug-1993] $)

    $( Formula-building rule for existential quantifier (deduction rule). $)
    exbidv $p |- ( ph -> ( E. x ps <-> E. x ch ) ) $=
      ( ax-17 exbid ) ABCDADFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ph $.  $d y ph $.
    2albidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for 2 existential quantifiers (deduction rule). $)
    2albidv $p |- ( ph -> ( A. x A. y ps <-> A. x A. y ch ) ) $=
      ( wal albidv ) ABEGCEGDABCEFHH $.
      $( [4-Mar-1997] $)

    $( Formula-building rule for 2 existential quantifiers (deduction rule). $)
    2exbidv $p |- ( ph -> ( E. x E. y ps <-> E. x E. y ch ) ) $=
      ( wex exbidv ) ABEGCEGDABCEFHH $.
      $( [1-May-1995] $)
  $}

  ${
    $d x ph $.  $d y ph $.  $d z ph $.
    3exbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for 3 existential quantifiers (deduction rule). $)
    3exbidv $p |- ( ph -> ( E. x E. y E. z ps <-> E. x E. y E. z ch ) ) $=
      ( wex exbidv 2exbidv ) ABFHCFHDEABCFGIJ $.
      $( [1-May-1995] $)
  $}

  ${
    $d x ph $.  $d y ph $.  $d z ph $.  $d w ph $.
    4exbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for 4 existential quantifiers (deduction rule). $)
    4exbidv $p |- ( ph ->
                     ( E. x E. y E. z E. w ps <-> E. x E. y E. z E. w ch ) ) $=
      ( wex 2exbidv ) ABGIFICGIFIDEABCFGHJJ $.
      $( [3-Aug-1995] $)
  $}

  ${
    $d x ph $.
    $( Special case of Theorem 19.9 of [Margaris] p. 89. $)
    19.9v $p |- ( E. x ph <-> ph ) $=
      ( ax-17 19.9 ) ABABCD $.
      $( [21-May-2007] $) $( [28-May-1995] $)
  $}

  ${
    $d x ph $.
    $( Special case of Theorem 19.21 of [Margaris] p. 90. _Notational
       convention_:  We sometimes suffix with "v" the label of a theorem
       eliminating a hypothesis such as ` ( ph -> A. x ph ) ` in ~ 19.21 via
       the use of distinct variable conditions combined with ~ ax-17 .
       Conversely, we sometimes suffix with "f" the label of a theorem
       introducing such a hypothesis to eliminate the need for the distinct
       variable condition; e.g. ~ euf derived from ~ df-eu .  The "f" stands
       for "not free in" which is less restrictive than "does not occur in." $)
    19.21v $p |- ( A. x ( ph -> ps ) <-> ( ph -> A. x ps ) ) $=
      ( ax-17 19.21 ) ABCACDE $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ph $.
    alrimiv.1 $e |- ( ph -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90. $)
    alrimiv $p |- ( ph -> A. x ps ) $=
      ( ax-17 alrimi ) ABCACEDF $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ph $.  $d y ph $.
    alrimivv.1 $e |- ( ph -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90. $)
    alrimivv $p |- ( ph -> A. x A. y ps ) $=
      ( wal alrimiv ) ABDFCABDEGG $.
      $( [31-Jul-1995] $)
  $}

  ${
    $d x ph $.  $d x ps $.
    alrimdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.21 of [Margaris] p. 90. $)
    alrimdv $p |- ( ph -> ( ps -> A. x ch ) ) $=
      ( ax-17 alrimd ) ABCDADFBDFEG $.
      $( [10-Feb-1997] $)
  $}

  ${
    $d x ph $.  $d y ph $.
    $( Quantification of two variables over a formula in which they do not
       occur.  (Contributed by Alan Sare, 12-Apr-2011.) $)
    2ax17 $p |- ( ph -> A. x A. y ph ) $=
      ( id alrimivv ) AABCADE $.
      $( [12-Apr-2011] $)
  $}

  ${
    $d x ph $.
    alimdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.20 of [Margaris] p. 90. $)
    alimdv $p |- ( ph -> ( A. x ps -> A. x ch ) ) $=
      ( ax-17 alimd ) ABCDADFEG $.
      $( [3-Apr-1994] $)

    $( Deduction from Theorem 19.22 of [Margaris] p. 90. $)
    eximdv $p |- ( ph -> ( E. x ps -> E. x ch ) ) $=
      ( ax-17 eximd ) ABCDADFEG $.
      $( [27-Apr-1994] $)
  $}

  ${
    $d x ph $.  $d y ph $.
    2alimdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.22 of [Margaris] p. 90. $)
    2alimdv $p |- ( ph -> ( A. x A. y ps -> A. x A. y ch ) ) $=
      ( wal alimdv ) ABEGCEGDABCEFHH $.
      $( [27-Apr-2004] $)

    $( Deduction from Theorem 19.22 of [Margaris] p. 90. $)
    2eximdv $p |- ( ph -> ( E. x E. y ps -> E. x E. y ch ) ) $=
      ( wex eximdv ) ABEGCEGDABCEFHH $.
      $( [3-Aug-1995] $)
  $}

  ${
    $d x ps $.
    $( Special case of Theorem 19.23 of [Margaris] p. 90. $)
    19.23v $p |- ( A. x ( ph -> ps ) <-> ( E. x ph -> ps ) ) $=
      ( ax-17 19.23 ) ABCBCDE $.
      $( [28-Jun-1998] $)
  $}

  ${
    $d x ps $.  $d y ps $.
    $( Theorem 19.23 of [Margaris] p. 90 extended to two variables. $)
    19.23vv $p |- ( A. x A. y ( ph -> ps ) <-> ( E. x E. y ph -> ps ) ) $=
      ( wi wal wex 19.23v albii bitri ) ABEDFZCFADGZBEZCFLCGBEKMCABDHILBCHJ $.
      $( [10-Aug-2004] $)
  $}

  ${
    $d x ps $.
    exlimiv.1 $e |- ( ph -> ps ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90.

       This inference, along with our many variants such as ~ rexlimdv , is
       used to implement a metatheorem called "Rule C" that is given in many
       logic textbooks.  See, for example, Rule C in [Mendelson] p. 81, Rule C
       in [Margaris] p. 40, or Rule C in Hirst and Hirst's _A Primer for Logic
       and Proof_ p. 59 (PDF p. 65) at
       ~ http://www.mathsci.appstate.edu/~~jlh/primer/hirst.pdf .

       In informal proofs, the statement "Let ` C ` be an element such that..."
       almost always means an implicit application of Rule C.

       In essence, Rule C states that if we can prove that some element ` x `
       exists satisfying a wff, i.e. ` E. x ph ( x ) ` where ` ph ( x ) ` has
       ` x ` free, then we can use ` ph ( C ) ` as a hypothesis for the proof
       where ` C ` is a new (ficticious) constant not appearing previously in
       the proof, nor in any axioms used, nor in the theorem to be proved.  The
       purpose of Rule C is to get rid of the existential quantifier.

       We cannot do this in Metamath directly.  Instead, we use the original
       ` ph ` (containing ` x ` ) as an antecedent for the main part of the
       proof.  We eventually arrive at ` ( ph -> ps ) ` where ` ps ` is the
       theorem to be proved and does not contain ` x ` .  Then we apply
       ~ exlimiv to arrive at ` ( E. x ph -> ps ) ` .  Finally, we separately
       prove ` E. x ph ` and detach it with modus ponens ~ ax-mp to arrive at
       the final theorem ` ps ` . $)
    exlimiv $p |- ( E. x ph -> ps ) $=
      ( ax-17 exlimi ) ABCBCEDF $.
      $( [25-Jul-2012] $) $( [5-Aug-1993] $)
  $}

  ${
    $d ph y $.  $d ps x $.
    $( Theorem *11.53 in [WhiteheadRussell] p. 164.  (Contributed by Andrew
       Salmon, 24-May-2011.) $)
    pm11.53 $p |- ( A. x A. y ( ph -> ps ) <-> ( E. x ph -> A. y ps ) ) $=
      ( wi wal wex 19.21v albii ax-17 hbal 19.23 bitri ) ABEDFZCFABDFZEZCFACGOE
      NPCABDHIAOCBCDBCJKLM $.
      $( [24-May-2011] $)
  $}

  ${
    $d x ps $.  $d y ps $.
    exlimivv.1 $e |- ( ph -> ps ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90. $)
    exlimivv $p |- ( E. x E. y ph -> ps ) $=
      ( wex exlimiv ) ADFBCABDEGG $.
      $( [1-Aug-1995] $)
  $}

  ${
    $d x ch $.  $d x ph $.  $d y ch $.  $d y ph $.
    exlimdvv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.23 of [Margaris] p. 90. $)
    exlimdvv $p |- ( ph -> ( E. x E. y ps -> ch ) ) $=
      ( wex exlimdv ) ABEGCDABCEFHH $.
      $( [31-Jul-1995] $)
  $}

  ${
    $d x ps $.
    $( Theorem 19.27 of [Margaris] p. 90. $)
    19.27v $p |- ( A. x ( ph /\ ps ) <-> ( A. x ph /\ ps ) ) $=
      ( ax-17 19.27 ) ABCBCDE $.
      $( [3-Jun-2004] $)
  $}

  ${
    $d x ph $.
    $( Theorem 19.28 of [Margaris] p. 90. $)
    19.28v $p |- ( A. x ( ph /\ ps ) <-> ( ph /\ A. x ps ) ) $=
      ( ax-17 19.28 ) ABCACDE $.
      $( [25-Mar-2004] $)
  $}

  ${
    $d x ps $.
    $( Special case of Theorem 19.36 of [Margaris] p. 90. $)
    19.36v $p |- ( E. x ( ph -> ps ) <-> ( A. x ph -> ps ) ) $=
      ( ax-17 19.36 ) ABCBCDE $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x ps $.
    19.36aiv.1 $e |- E. x ( ph -> ps ) $.
    $( Inference from Theorem 19.36 of [Margaris] p. 90. $)
    19.36aiv $p |- ( A. x ph -> ps ) $=
      ( ax-17 19.36i ) ABCBCEDF $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ps $.  $d y ph $.
    $( Special case of ~ 19.12 where its converse holds.  (Unnecessary distinct
       variable restrictions were removed by Andrew Salmon, 11-Jul-2011.) $)
    19.12vv $p |- ( E. x A. y ( ph -> ps ) <-> A. y E. x ( ph -> ps ) ) $=
      ( wal wex 19.21v exbii ax-17 hbal 19.36 19.36v albii 19.21 bitr2i 3bitri
      wi ) ABQZDEZCFABDEZQZCFACEZTQZRCFZDEZSUACABDGHATCBCDBCIJKUEUBBQZDEUCUDUFD
      ABCLMUBBDADCADIJNOP $.
      $( [11-Jul-2011] $) $( [18-Jul-2001] $)
  $}

  ${
    $d x ph $.
    $( Special case of Theorem 19.37 of [Margaris] p. 90. $)
    19.37v $p |- ( E. x ( ph -> ps ) <-> ( ph -> E. x ps ) ) $=
      ( ax-17 19.37 ) ABCACDE $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ph $.
    19.37aiv.1 $e |- E. x ( ph -> ps ) $.
    $( Inference from Theorem 19.37 of [Margaris] p. 90. $)
    19.37aiv $p |- ( ph -> E. x ps ) $=
      ( wi wex 19.37v mpbi ) ABECFABCFEDABCGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ps $.
    $( Special case of Theorem 19.41 of [Margaris] p. 90. $)
    19.41v $p |- ( E. x ( ph /\ ps ) <-> ( E. x ph /\ ps ) ) $=
      ( ax-17 19.41 ) ABCBCDE $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ps $.  $d y ps $.
    $( Theorem 19.41 of [Margaris] p. 90 with 2 quantifiers. $)
    19.41vv $p |- ( E. x E. y ( ph /\ ps ) <-> ( E. x E. y ph /\ ps ) ) $=
      ( wa wex 19.41v exbii bitri ) ABEDFZCFADFZBEZCFKCFBEJLCABDGHKBCGI $.
      $( [30-Apr-1995] $)
  $}

  ${
    $d x ps $.  $d y ps $.  $d z ps $.
    $( Theorem 19.41 of [Margaris] p. 90 with 3 quantifiers. $)
    19.41vvv $p |- ( E. x E. y E. z ( ph /\ ps ) <->
                     ( E. x E. y E. z ph /\ ps ) ) $=
      ( wa wex 19.41vv exbii 19.41v bitri ) ABFEGDGZCGAEGDGZBFZCGMCGBFLNCABDEHI
      MBCJK $.
      $( [30-Apr-1995] $)
  $}

  ${
    $d w ps $.  $d x ps $.  $d y ps $.  $d z ps $.
    $( Theorem 19.41 of [Margaris] p. 90 with 4 quantifiers.  (Contributed by
       FL, 14-Jul-2007.) $)
    19.41vvvv $p |- ( E. w E. x E. y E. z ( ph /\ ps ) <->
                     ( E. w E. x E. y E. z ph /\ ps ) ) $=
      ( wa wex 19.41vvv exbii 19.41v bitri ) ABGEHDHCHZFHAEHDHCHZBGZFHNFHBGMOFA
      BCDEIJNBFKL $.
      $( [14-Jul-2007] $)
  $}

  ${
    $d x ph $.
    $( Special case of Theorem 19.42 of [Margaris] p. 90. $)
    19.42v $p |- ( E. x ( ph /\ ps ) <-> ( ph /\ E. x ps ) ) $=
      ( ax-17 19.42 ) ABCACDE $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d y ph $.
    $( Distribution of existential quantifiers. $)
    exdistr $p |- ( E. x E. y ( ph /\ ps ) <-> E. x ( ph /\ E. y ps ) ) $=
      ( wa wex 19.42v exbii ) ABEDFABDFECABDGH $.
      $( [9-Mar-1995] $)
  $}

  ${
    $d x ph $.  $d y ph $.
    $( Theorem 19.42 of [Margaris] p. 90 with 2 quantifiers. $)
    19.42vv $p |- ( E. x E. y ( ph /\ ps ) <-> ( ph /\ E. x E. y ps ) ) $=
      ( wa wex exdistr 19.42v bitri ) ABEDFCFABDFZECFAJCFEABCDGAJCHI $.
      $( [16-Mar-1995] $)
  $}

  ${
    $d x ph $.  $d y ph $.  $d z ph $.
    $( Theorem 19.42 of [Margaris] p. 90 with 3 quantifiers. $)
    19.42vvv $p |- ( E. x E. y E. z ( ph /\ ps )
                       <-> ( ph /\ E. x E. y E. z ps ) ) $=
      ( wa wex 19.42vv exbii 19.42v bitri ) ABFEGDGZCGABEGDGZFZCGAMCGFLNCABDEHI
      AMCJK $.
      $( [21-Sep-2011] $)
  $}

  ${
    $d y ph $.  $d z ph $.
    $( Distribution of existential quantifiers. $)
    exdistr2 $p |- ( E. x E. y E. z ( ph /\ ps ) <->
                   E. x ( ph /\ E. y E. z ps ) ) $=
      ( wa wex 19.42vv exbii ) ABFEGDGABEGDGFCABDEHI $.
      $( [17-Mar-1995] $)
  $}

  ${
    $d y ph $.  $d z ph $.  $d z ps $.
    $( Distribution of existential quantifiers.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    3exdistr $p |- ( E. x E. y E. z ( ph /\ ps /\ ch ) <->
                E. x ( ph /\ E. y ( ps /\ E. z ch ) ) ) $=
      ( w3a wex wa 3anass 2exbii 19.42vv exdistr anbi2i 3bitri exbii ) ABCGZFHE
      HZABCFHIEHZIZDRABCIZIZFHEHAUAFHEHZITQUBEFABCJKAUAEFLUCSABCEFMNOP $.
      $( [25-May-2011] $) $( [9-Mar-1995] $)
  $}

  ${
    $d y ph $.  $d z ph $.  $d w ph $.  $d z ps $.  $d w ps $.  $d w ch $.
    $( Distribution of existential quantifiers. $)
    4exdistr $p |- ( E. x E. y E. z E. w ( ( ph /\ ps ) /\ ( ch /\ th ) ) <->
                E. x ( ph /\ E. y ( ps /\ E. z ( ch /\ E. w th ) ) ) ) $=
      ( wa wex anass exbii 19.42v anbi2i 3bitri bitri ) ABICDIZIZHJZGJZFJZABCDH
      JIZGJIZFJIZEUAAUCIZFJUDTUEFTABUBIZIZGJAUFGJZIUESUGGSABQIZIZHJZUGRUJHABQKL
      UKAUIHJZIABQHJZIZIUGAUIHMULUNABQHMNUNUFAUMUBBCDHMNNOPLAUFGMUHUCABUBGMNOLA
      UCFMPL $.
      $( [9-Mar-1995] $)
  $}

  ${
    $d y ph $.  $d x ps $.
    cbvalv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitition. $)
    cbvalv $p |- ( A. x ph <-> A. y ps ) $=
      ( ax-17 cbval ) ABCDADFBCFEG $.
      $( [5-Aug-1993] $)

    $( Rule used to change bound variables, using implicit substitition. $)
    cbvexv $p |- ( E. x ph <-> E. y ps ) $=
      ( ax-17 cbvex ) ABCDADFBCFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d y x $.  $d y z $.  $d w x $.  $d w z $.
    cbval2.1 $e |- ( ph -> A. z ph ) $.
    cbval2.2 $e |- ( ph -> A. w ph ) $.
    cbval2.3 $e |- ( ps -> A. x ps ) $.
    cbval2.4 $e |- ( ps -> A. y ps ) $.
    cbval2.5 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitition. $)
    cbval2 $p |- ( A. x A. y ph <-> A. z A. w ps ) $=
      ( wal hbal weq wb wa ax-17 hban cbval 19.28v expcom pm5.32d 3bitr3i mpbir
      wi pm5.32 ) ADLZBFLZCEAEDGMBCFIMCENZUGUHOUEUIUGPZUIUHPZOUIAPZDLUIBPZFLUJU
      KULUMDFUIAFUIFQHRUIBDUIDQJRDFNZUIABUIUNABOKUAUBSUIADTUIBFTUCUIUGUHUFUDS
      $.
      $( [22-Dec-2003] $)

    $( Rule used to change bound variables, using implicit substitition. $)
    cbvex2 $p |- ( E. x E. y ph <-> E. z E. w ps ) $=
      ( wex hbex weq wb wa ax-17 hban cbvex 19.42v expcom pm5.32d 3bitr3i mpbir
      wi pm5.32 ) ADLZBFLZCEAEDGMBCFIMCENZUGUHOUEUIUGPZUIUHPZOUIAPZDLUIBPZFLUJU
      KULUMDFUIAFUIFQHRUIBDUIDQJRDFNZUIABUIUNABOKUAUBSUIADTUIBFTUCUIUGUHUFUDS
      $.
      $( [14-Sep-2003] $)
  $}

  ${
    $d z w ph $.  $d x y ps $.  $d x w $.  $d z y $.
    cbval2v.1 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitition. $)
    cbval2v $p |- ( A. x A. y ph <-> A. z A. w ps ) $=
      ( ax-17 cbval2 ) ABCDEFAEHAFHBCHBDHGI $.
      $( [4-Feb-2005] $)

    $( Rule used to change bound variables, using implicit substitition. $)
    cbvex2v $p |- ( E. x E. y ph <-> E. z E. w ps ) $=
      ( ax-17 cbvex2 ) ABCDEFAEHAFHBCHBDHGI $.
      $( [26-Jul-1995] $)
  $}

  ${
    $d x ph $.  $d x ch $.
    cbvald.1 $e |- ( ph -> A. y ph ) $.
    cbvald.2 $e |- ( ph -> ( ps -> A. y ps ) ) $.
    cbvald.3 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Deduction used to change bound variables, using implicit substitition,
       particularly useful in conjunction with ~ dvelim .  (The proof was
       shortened by Andrew Salmon, 25-May-2011.) $)
    cbvald $p |- ( ph -> ( A. x ps <-> A. y ch ) ) $=
      ( wal wb ax-17 hbal a17d cbv2 3syl ) AAEIZPDIBDICEIJFADEADKLABCDEGACDMHNO
      $.
      $( [25-May-2011] $) $( [2-Jan-2002] $)

    $( Deduction used to change bound variables, using implicit substitition,
       particularly useful in conjunction with ~ dvelim . $)
    cbvexd $p |- ( ph -> ( E. x ps <-> E. y ch ) ) $=
      ( wn wal wex hbnd weq wb notbi syl6ib cbvald notbid df-ex 3bitr4g ) ABIZD
      JZICIZEJZIBDKCEKAUBUDAUAUCDEFABEFGLADEMBCNUAUCNHBCOPQRBDSCEST $.
      $( [2-Jan-2002] $)
  $}

  ${
    $v f $.
    $v g $.
    $( Define temporary individual variables. $)
    cbvex4v.vf $f set f $.
    cbvex4v.vg $f set g $.
    $d w z ch $.  $d u v ph $.  $d x y ps $.  $d f g ps $.  $d f w $.
    $d g z $.  $d u v w x y z $.
    cbvex4v.1 $e |- ( ( x = v /\ y = u ) -> ( ph <-> ps ) ) $.
    cbvex4v.2 $e |- ( ( z = f /\ w = g ) -> ( ps <-> ch ) ) $.
    $( Rule used to change bound variables, using implicit substitition. $)
    cbvex4v $p |- ( E. x E. y E. z E. w ph <-> E. v E. u E. f E. g ch ) $=
      ( wex weq wa 2exbidv cbvex2v 2exbii bitri ) AGNFNZENDNBGNFNZINHNCKNJNZINH
      NUAUBDEHIDHOEIOPABFGLQRUBUCHIBCFGJKMRST $.
      $( [26-Jul-1995] $)
  $}

  ${
    eean.1 $e |- ( ph -> A. y ph ) $.
    eean.2 $e |- ( ps -> A. x ps ) $.
    $( Rearrange existential quantifiers. $)
    eean $p |- ( E. x E. y ( ph /\ ps ) <-> ( E. x ph /\ E. y ps ) ) $=
      ( wa wex 19.42 exbii hbex 19.41 bitri ) ABGDHZCHABDHZGZCHACHOGNPCABDEIJAO
      CBCDFKLM $.
      $( [27-Oct-2010] $)
  $}

  ${
    $d y ph $.  $d x ps $.
    $( Rearrange existential quantifiers. $)
    eeanv $p |- ( E. x E. y ( ph /\ ps ) <-> ( E. x ph /\ E. y ps ) ) $=
      ( ax-17 eean ) ABCDADEBCEF $.
      $( [26-Jul-1995] $)
  $}

  ${
    $d y ph $.  $d z ph $.  $d x z ps $.  $d x y ch $.
    $( Rearrange existential quantifiers.  (The proof was shortened by Andrew
       Salmon, 25-May-2011.) $)
    eeeanv $p |- ( E. x E. y E. z ( ph /\ ps /\ ch ) <->
                 ( E. x ph /\ E. y ps /\ E. z ch ) ) $=
      ( w3a wex wa df-3an 3exbii eeanv exbii anbi1i 19.41v 3bitr4i 3bitri ) ABC
      GZFHEHDHABIZCIZFHEHZDHSEHZCFHZIZDHZADHZBEHZUCGZRTDEFABCJKUAUDDSCEFLMUBDHZ
      UCIUFUGIZUCIUEUHUIUJUCABDELNUBUCDOUFUGUCJPQ $.
      $( [25-May-2011] $) $( [26-Jul-1995] $)
  $}

  ${
    $d z ph $.  $d w ph $.  $d x ps $.  $d y ps $.  $d y z $.  $d w x $.
    $( Rearrange existential quantifiers. $)
    ee4anv $p |- ( E. x E. y E. z E. w ( ph /\ ps ) <->
                  ( E. x E. y ph /\ E. z E. w ps ) ) $=
      ( wa wex excom exbii eeanv 2exbii 3bitri ) ABGFHZEHDHZCHNDHZEHZCHADHZBFHZ
      GZEHCHRCHSEHGOQCNDEIJPTCEABDFKLRSCEKM $.
      $( [31-Jul-1995] $)
  $}

  ${
    $d x ph $.
    nexdv.1 $e |- ( ph -> -. ps ) $.
    $( Deduction for generalization rule for negated wff. $)
    nexdv $p |- ( ph -> -. E. x ps ) $=
      ( ax-17 nexd ) ABCACEDF $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ps $.
    chv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    chv.2 $e |- ph $.
    $( Implicit substitution of ` y ` for ` x ` into a theorem. $)
    chvarv $p |- ps $=
      ( a4v mpg ) ABCABCDEGFH $.
      $( [20-Apr-1994] $)
  $}

  ${
    $d x z $.  $d y z $.
    $( When the class variables in definition ~ df-clel are replaced with set
       variables, this theorem of predicate calculus is the result.  This
       theorem provides part of the justification for the consistency of that
       definition, which "overloads" the set variables in ~ wel with the class
       variables in ~ wcel . $)
    cleljust $p |- ( x e. y <-> E. z ( z = x /\ z e. y ) ) $=
      ( weq wel wa wex ax-17 elequ1 equsex bicomi ) CADCBEZFCGABEZLMCAMCHCABIJK
      $.
      $( [28-Jan-2004] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        More substitution theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$( The theorems in this section make use of the $d statement. $)

  ${
    $d y z $.  $d x y $.
    $( Lemma for ~ equsb3 .  (The proof was shortened by Andrew Salmon,
       14-Jun-2011.) $)
    equsb3lem $p |- ( [ x / y ] y = z <-> x = z ) $=
      ( cv wceq ax-17 equequ1 sbie ) BDCDZEADIEZBAJBFBACGH $.
      $( [14-Jun-2011] $) $( [4-Dec-2005] $)
  $}

  ${
    $d w y z $.  $d w x $.
    $( Substitution applied to an atomic wff.  (Contributed by Raph Levien and
       FL, 4-Dec-2005.) $)
    equsb3 $p |- ( [ x / y ] y = z <-> x = z ) $=
      ( vw weq wsb equsb3lem sbbii ax-17 sbco2 3bitr3i ) BCEZBDFZDAFDCEZDAFLBAF
      ACEMNDADBCGHLBADLDIJADCGK $.
      $( [4-Dec-2005] $)
  $}

  ${
    $d w y z $.  $d w x $.
    $( Substitution applied to an atomic membership wff.  (The proof was
       shortened by Andrew Salmon, 14-Jun-2011.) $)
    elsb3 $p |- ( [ x / y ] y e. z <-> x e. z ) $=
      ( vw wel wsb ax-17 elequ1 sbie sbbii sbco2 bitr3i wb weq sbimi ax-mp sbbi
      equsb1 mpbi sbf 3bitri ) BCEZBAFZDCEZDAFZACEZDAFZUFUCUDDBFZBAFUEUHUBBAUDU
      BDBUBDGDBCHIJUDDABUDBGKLUDUFMZDAFZUEUGMDANZDAFUJDARUKUIDADACHOPUDUFDAQSUF
      DAUFDGTUA $.
      $( [14-Jun-2011] $) $( [7-Nov-2006] $)
  $}

  ${
    $d w y z $.  $d w x $.
    $( Substitution applied to an atomic membership wff.  (Contributed by
       Rodolfo Medina, 3-Apr-2010.)  (The proof was shortened by Andrew Salmon,
       14-Jun-2011.) $)
    elsb4 $p |- ( [ x / y ] z e. y <-> z e. x ) $=
      ( vw wel wsb ax-17 elequ2 sbie sbbii sbco2 bitr3i wb weq sbimi ax-mp sbbi
      equsb1 mpbi sbf 3bitri ) CBEZBAFZCDEZDAFZCAEZDAFZUFUCUDDBFZBAFUEUHUBBAUDU
      BDBUBDGDBCHIJUDDABUDBGKLUDUFMZDAFZUEUGMDANZDAFUJDARUKUIDADACHOPUDUFDAQSUF
      DAUFDGTUA $.
      $( [14-Jun-2011] $) $( [3-Apr-2010] $)
  $}

  ${
    $d x y $.
    $( ` x ` is not free in ` [ y / x ] ph ` when ` x ` and ` y ` are
       distinct. $)
    hbs1 $p |- ( [ y / x ] ph -> A. x [ y / x ] ph ) $=
      ( weq wal wsb wi ax-16 hbsb2 pm2.61i ) BCDBEABCFZKBEGKBCHABCIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d y ph $.
    $( Two ways of expressing " ` x ` is (effectively) not free in ` ph ` ." $)
    sbhb $p |- ( ( ph -> A. x ph ) <-> A. y ( ph -> [ y / x ] ph ) ) $=
      ( wal wi wsb ax-17 sb8 imbi2i 19.21v bitr4i ) AABDZEAABCFZCDZEAMECDLNAABC
      ACGHIAMCJK $.
      $( [29-May-2009] $)
  $}

  ${
    $d x y z $.  $d y z ph $.
    $( Two ways of expressing " ` x ` is (effectively) not free in ` ph ` ."
       (Contributed by G&eacute;rard Lang, 14-Nov-2013.) $)
    sbhb2 $p |- ( A. x ( ph -> A. x ph )
           <-> A. y A. z ( [ y / x ] ph <-> [ z / x ] ph ) ) $=
      ( cv wsbc wb wal wi 2albiim sbhb albii alcom bitri ax-17 sb8 sblim 3bitri
      wa hbs1 anbi12i anidm 3bitr2ri ) ABCEZFZABDEZFZGDHCHUEUGIZDHCHZUGUEIZDHZC
      HZSAABHIZBHZUNSUNUEUGCDJUNUIUNULUNAUGIZBHZDHZUHCHZDHUIUNUODHZBHUQUMUSBABD
      KLUOBDMNUPURDUPUOBUDFZCHURUOBCUOCOPUTUHCAUGBCABDTQLNLUHDCMRUNAUEIZCHZBHVA
      BHZCHULUMVBBABCKLVABCMVCUKCVCVABUFFZDHUKVABDVADOPVDUJDAUEBDABCTQLNLRUAUNU
      BUC $.
      $( [14-Nov-2013] $)
  $}

  ${
    $d y z $.
    hbsb.1 $e |- ( ph -> A. z ph ) $.
    $( If ` z ` is not free in ` ph ` , it is not free in ` [ y / x ] ph ` when
       ` y ` and ` z ` are distinct. $)
    hbsb $p |- ( [ y / x ] ph -> A. z [ y / x ] ph ) $=
      ( weq wal wsb wi ax-16 hbsb4 pm2.61i ) DCFDGABCHZMDGIMDCJABCDEKL $.
      $( [12-Aug-1993] $)
  $}

  ${
    $d y z $.
    hbsbd.1 $e |- ( ph -> A. x ph ) $.
    hbsbd.2 $e |- ( ph -> A. z ph ) $.
    hbsbd.3 $e |- ( ph -> ( ps -> A. z ps ) ) $.
    $( Deduction version of ~ hbsb . $)
    hbsbd $p |- ( ph -> ( [ y / x ] ps -> A. z [ y / x ] ps ) ) $=
      ( cv wceq wal wsbc wi wn alrimi 2alimi hbsb4t 3syl ax-16 pm2.61d2 ) AEIDI
      ZJEKZBCUALZUCEKMZAAEKZCKBBEKMZEKCKUBNUDMAUECFGOAUFCEHPBCDEQRUCEDST $.
      $( [15-Feb-2013] $)
  $}

  ${
    $d x y z $.  $d w y $.
    $( Equivalence for double substitution. $)
    2sb5 $p |- ( [ z / x ] [ w / y ] ph <->
               E. x E. y ( ( x = z /\ y = w ) /\ ph ) ) $=
      ( wsb weq wa wex sb5 19.42v anass exbii anbi2i 3bitr4ri bitri ) ACEFZBDFB
      DGZQHZBIRCEGZHAHZCIZBIQBDJSUBBRTAHZHZCIRUCCIZHUBSRUCCKUAUDCRTALMQUERACEJN
      OMP $.
      $( [3-Feb-2005] $)

    $( Equivalence for double substitution. $)
    2sb6 $p |- ( [ z / x ] [ w / y ] ph <->
               A. x A. y ( ( x = z /\ y = w ) -> ph ) ) $=
      ( wsb weq wi wal wa sb6 19.21v impexp albii imbi2i 3bitr4ri bitri ) ACEFZ
      BDFBDGZRHZBISCEGZJAHZCIZBIRBDKTUCBSUAAHZHZCISUDCIZHUCTSUDCLUBUECSUAAMNRUF
      SACEKOPNQ $.
      $( [3-Feb-2005] $)
  $}

  ${
    $d x z $.  $d x w $.  $d y z $.
    $( Commutativity law for substitution.  Used in proof of Theorem 9.7 of
       [Megill] p. 449 (p. 16 of the preprint). $)
    sbcom2 $p |- ( [ w / z ] [ y / x ] ph <-> [ y / x ] [ w / z ] ph ) $=
      ( weq wal wsb wb wn wi albii 19.21v sb4b imbi2d albidv hbae sbequ12 sbbid
      a4s wa alcom bi2.04 bitri 3bitr3i a1i sylan9bbr sylan9bb 3bitr4d pm2.61ii
      ex bitr3d ) BCFZBGZDEFZDGZABCHZDEHZADEHZBCHZIZUNJZUPJZVAVBVCUAZUOUMAKZBGZ
      KZDGZUMUOAKZDGZKZBGZURUTVHVLIVDUMVIKZBGZDGVMDGZBGVHVLVMDBUBVNVGDVNUOVEKZB
      GVGVMVPBUMUOAUCLUOVEBMUDLVOVKBUMVIDMLUEUFVCURUOUQKZDGVBVHUQDENVBVQVGDVBUQ
      VFUOABCNOPUGVBUTUMUSKZBGVCVLUSBCNVCVRVKBVCUSVJUMADENOPUHUIUKUNUSURUTUNAUQ
      DEBCDQUMAUQIBABCRTSUMUSUTIBUSBCRTULUPUQURUTUOUQURIDUQDERTUPAUSBCDEBQUOAUS
      IDADERTSULUJ $.
      $( [27-May-1997] $)
  $}

  ${
    $d ph x y z $.  $d w x z $.
    $( Theorem *11.07 in [WhiteheadRussell] p. 159.  (Contributed by Andrew
       Salmon, 17-Jun-2011.) $)
    pm11.07 $p |- ( [ w / x ] [ y / z ] ph <-> [ y / x ] [ w / z ] ph ) $=
      ( cv wceq wa wex wsbc a9e pm3.2i 2th eeanv 3bitr4i anbi1i 19.41vv 2sb5 )
      BFZEFZGZDFZCFZGZHZAHDIBIZSUCGZUBTGZHZAHDIBIZADUCJBTJADTJBUCJUEDIBIZAHUIDI
      BIZAHUFUJUKULAUABIZUDDIZHZUGBIZUHDIZHZUKULUOURUMUNBEKDCKLUPUQBCKDEKLMUAUD
      BDNUGUHBDNOPUEABDQUIABDQOABDECRABDCERO $.
      $( [17-Jun-2011] $)
  $}

  ${
    $d x y $.
    $( Equivalence for substitution. $)
    sb6a $p |- ( [ y / x ] ph <-> A. x ( x = y -> [ x / y ] ph ) ) $=
      ( wsb weq wi wal sb6 wb sbequ12 equcoms pm5.74i albii bitri ) ABCDBCEZAFZ
      BGOACBDZFZBGABCHPRBOAQAQICBACBJKLMN $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.  $d x w $.  $d y z $.  $d z w $.
    2sb5rf.1 $e |- ( ph -> A. z ph ) $.
    2sb5rf.2 $e |- ( ph -> A. w ph ) $.
    $( Reversed double substitution. $)
    2sb5rf $p |- ( ph <->
                E. z E. w ( ( z = x /\ w = y ) /\ [ z / x ] [ w / y ] ph ) ) $=
      ( weq wsb wex sb5rf 19.42v sbcom2 anbi2i anass bitri exbii hbsb 3bitr4ri
      wa ) ADBHZABDIZTZDJUAECHZTZACEIBDIZTZEJZDJABDFKUCUHDUAUDUBCEIZTZTZEJUAUJE
      JZTUHUCUAUJELUGUKEUGUEUITUKUFUIUEACEBDMNUAUDUIOPQUBULUAUBCEABDEGRKNSQP $.
      $( [3-Feb-2005] $)

    $( Reversed double substitution. $)
    2sb6rf $p |- ( ph <->
                A. z A. w ( ( z = x /\ w = y ) -> [ z / x ] [ w / y ] ph ) ) $=
      ( weq wsb wi wal wa sb6rf 19.21v sbcom2 imbi2i impexp bitri albii hbsb
      3bitr4ri ) ADBHZABDIZJZDKUBECHZLZACEIBDIZJZEKZDKABDFMUDUIDUBUEUCCEIZJZJZE
      KUBUKEKZJUIUDUBUKENUHULEUHUFUJJULUGUJUFACEBDOPUBUEUJQRSUCUMUBUCCEABDEGTMP
      UASR $.
      $( [3-Feb-2005] $)
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.
    $( An alternate definition of proper substitution ~ df-sb .  By introducing
       a dummy variable ` z ` in the definiens, we are able to eliminate any
       distinct variable restrictions among the variables ` x ` , ` y ` , and
       ` ph ` of the definiendum.  No distinct variable conflicts arise because
       ` z ` effectively insulates ` x ` from ` y ` .  To achieve this, we use
       a chain of two substitutions in the form of ~ sb5 , first ` z ` for
       ` x ` then ` y ` for ` z ` .  Compare Definition 2.1'' of [Quine] p. 17,
       which is obtained from this theorem by applying ~ df-clab .  Theorem
       ~ sb7f provides a version where ` ph ` and ` z ` don't have to be
       distinct. $)
    dfsb7 $p |- ( [ y / x ] ph <-> E. z ( z = y /\ E. x ( x = z /\ ph ) ) ) $=
      ( wsb weq wa wex sb5 sbbii ax-17 sbco2 3bitr3i ) ABDEZDCEBDFAGBHZDCEABCED
      CFOGDHNODCABDIJABCDADKLODCIM $.
      $( [28-Jan-2004] $)
  $}

  ${
    $d w x z $.  $d w y z $.  $d w ph $.
    sb7f.1 $e |- ( ph -> A. z ph ) $.
    $( This version of ~ dfsb7 does not require that ` ph ` and ` z ` be
       distinct.  This permits it to be used as a definition for substitution
       in a formalization that omits the logically redundant axiom ~ ax-17 i.e.
       that doesn't have the concept of a variable not occurring in a wff.
       ( ~ df-sb is also suitable, but its mixing of free and bound variables
       is distasteful to some logicians.)  (The proof was shortened by Andrew
       Salmon, 25-May-2011.) $)
    sb7f $p |- ( [ y / x ] ph <->
               E. z ( z = y /\ E. x ( x = z /\ ph ) ) ) $=
      ( wsb weq wa wex sb5 sbbii sbco2 3bitr3i ) ABDFZDCFBDGAHBIZDCFABCFDCGOHDI
      NODCABDJKABCDELODCJM $.
      $( [25-May-2011] $) $( [26-Jul-2006] $)
  $}

  ${
    $d x y $.
    sb10f.1 $e |- ( ph -> A. x ph ) $.
    $( Hao Wang's identity axiom P6 in Irving Copi, _Symbolic Logic_ (5th ed.,
       1979), p. 328.  In traditional predicate calculus, this is a sole axiom
       for identity from which the usual ones can be derived. $)
    sb10f $p |- ( [ y / z ] ph <-> E. x ( x = y /\ [ x / z ] ph ) ) $=
      ( weq wsb wa wex hbsb sbequ equsex bicomi ) BCFADBGZHBIADCGZNOBCADCBEJABC
      DKLM $.
      $( [9-May-2005] $)
  $}

  ${
    $d x ph $.
    $( An identity law for substitution.  Used in proof of Theorem 9.7 of
       [Megill] p. 449 (p. 16 of the preprint). $)
    sbid2v $p |- ( [ y / x ] [ x / y ] ph <-> ph ) $=
      ( ax-17 sbid2 ) ABCABDE $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.  $d x ph $.
    $( Elimination of substitution. $)
    sbelx $p |- ( ph <-> E. x ( x = y /\ [ x / y ] ph ) ) $=
      ( wsb weq wa wex sbid2v sb5 bitr3i ) AACBDZBCDBCEKFBGABCHKBCIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $( Note:  A more general case could also be proved with
       "$d x z $.  $d y w $.  $d x ph $.  $d y ph $.", but with more
       difficulty. $)
    $d x y z $.  $d w y $.  $d x y ph $.
    $( Elimination of double substitution. $)
    sbel2x $p |- ( ph <-> E. x E. y ( ( x = z /\ y = w ) /\
                     [ y / w ] [ x / z ] ph ) ) $=
      ( weq wsb wa wex sbelx anbi2i exbii exdistr 3bitr4i anass 2exbii bitr4i )
      ABDFZCEFZADBGZECGZHZHZCIBIZRSHUAHZCIBIRTHZBIRUBCIZHZBIAUDUFUHBTUGRTCEJKLA
      BDJRUBBCMNUEUCBCRSUAOPQ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.
    $( A theorem used in elimination of disjoint variable restriction on ` x `
       and ` y ` by replacing it with a distinctor ` -. A. x x = z ` . $)
    sbal1 $p |- ( -. A. x x = z ->
             ( [ z / y ] A. x ph <-> A. x [ z / y ] ph ) ) $=
      ( weq wal wn wsb wb wi sbequ12 a4s dral2 bitr3d a1d wa hba1 al2imi hbnaes
      syl6 hbsb4 ax-4 sbimi alimi adantl sb4 ax-7 dveeq2 alim sb2 sylan9 impbid
      syl9 ex pm2.61i ) CDEZCFZBDEBFGZABFZCDHZACDHZBFZIZJUQVCURUQUSUTVBUPUSUTIC
      USCDKLAVACDBUPAVAICACDKLMNOUQGZURVCVDURPUTVBURUTVBJVDURUTUTBFVBUSCDBABQUA
      UTVABUSACDABUBUCUDTUEVDVBUPAJZBFZCFZURUTVDVBVECFZBFZVGVBVIJCDBVDVAVHBACDU
      FRSVEBCUGTVGUTJBDCURCFVGUPUSJZCFUTURVFVJCURUPUPBFVFUSBDCUHUPABUIUMRUSCDUJ
      TSUKULUNUO $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.  $d x z $.
    $( Move universal quantifier in and out of substitution. $)
    sbal $p |- ( [ z / y ] A. x ph <-> A. x [ z / y ] ph ) $=
      ( weq wal wsb wb a16gb sbimi sbequ5 sbbi 3imtr3i bitr3d sbal1 pm2.61i ) B
      DEBFZABFZCDGZACDGZBFZHQTSUAQCDGARHZCDGQTSHQUBCDABDBIJBDCDKARCDLMTBDBINABC
      DOP $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.  $d x z $.
    $( Move existential quantifier in and out of substitution. $)
    sbex $p |- ( [ z / y ] E. x ph <-> E. x [ z / y ] ph ) $=
      ( wn wal wsb wex sbn sbal albii bitri xchbinx df-ex sbbii 3bitr4i ) AEZBF
      ZEZCDGZACDGZEZBFZEABHZCDGUABHTRCDGZUCRCDIUEQCDGZBFUCQBCDJUFUBBACDIKLMUDSC
      DABNOUABNP $.
      $( [27-Sep-2003] $)
  $}

  ${
    $d x z $.  $d y z $.
    sbalv.1 $e |- ( [ y / x ] ph <-> ps ) $.
    $( Quantify with new variable inside substitution. $)
    sbalv $p |- ( [ y / x ] A. z ph <-> A. z ps ) $=
      ( wal wsb sbal albii bitri ) AEGCDHACDHZEGBEGAECDILBEFJK $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x y $.  $d y ph $.
    $( An equivalent expression for existence. $)
    exsb $p |- ( E. x ph <-> E. y A. x ( x = y -> ph ) ) $=
      ( wex wsb weq wi wal ax-17 sb8e sb6 exbii bitri ) ABDABCEZCDBCFAGBHZCDABC
      ACIJNOCABCKLM $.
      $( [2-Feb-2005] $)
  $}

  ${
    $d x y z $.  $d y w $.  $d z w ph $.
    $( An equivalent expression for double existence. $)
    2exsb $p |- ( E. x E. y ph <->
                  E. z E. w A. x A. y ( ( x = z /\ y = w ) -> ph ) ) $=
      ( wex weq wi wal exsb exbii excom bitri impexp albii 19.21v bitr2i 3bitri
      wa ) ACFZBFZCEGZAHZCIZBFZEFZBDGZUBSAHZCIZBIZDFZEFUJEFDFUAUDEFZBFUFTULBACE
      JKUDBELMUEUKEUEUGUDHZBIZDFUKUDBDJUNUJDUMUIBUIUGUCHZCIUMUHUOCUGUBANOUGUCCP
      QOKMKUJEDLR $.
      $( [2-Feb-2005] $)
  $}

  ${
    $d z ps $.
    dvelim.1 $e |- ( ph -> A. x ph ) $.
    dvelim.2 $e |- ( z = y -> ( ph <-> ps ) ) $.
    $( This theorem can be used to eliminate a distinct variable restriction on
       ` x ` and ` z ` and replace it with the "distinctor" ` -. A. x x = y `
       as an antecedent. ` ph ` normally has ` z ` free and can be read
       ` ph ( z ) ` , and ` ps ` substitutes ` y ` for ` z ` and can be read
       ` ph ( y ) ` .  We don't require that ` x ` and ` y ` be distinct: if
       they aren't, the distinctor will become false (in multiple-element
       domains of discourse) and "protect" the consequent.

       To obtain a closed-theorem form of this inference, prefix the hypotheses
       with ` A. x A. z ` , conjoin them, and apply ~ dvelimdf .

       Other variants of this theorem are ~ dvelimf (with no distinct variable
       restrictions), ~ dvelimfALT (that avoids ~ ax-11 ), and ~ dvelimALT
       (that avoids ~ ax-10 ). $)
    dvelim $p |- ( -. A. x x = y -> ( ps -> A. x ps ) ) $=
      ( ax-17 dvelimf ) ABCDEFBEHGI $.
      $( [23-Nov-1994] $)
  $}

  ${
    $d z ps $.  $d x z $.  $d y z $.
    dvelimALT.1 $e |- ( ph -> A. x ph ) $.
    dvelimALT.2 $e |- ( z = y -> ( ph <-> ps ) ) $.
    $( Version of ~ dvelim that doesn't use ~ ax-10 .  (See ~ dvelimfALT for a
       version that doesn't use ~ ax-11 .) $)
    dvelimALT $p |- ( -. A. x x = y -> ( ps -> A. x ps ) ) $=
      ( weq wal wn wi ax-17 hba1 ax16ALT a1i hbimd a1d wa hbn hban ax-12 imp ex
      pm2.61i hbald equsal albii 3imtr3g ) CDHZCIZJZEDHZAKZEIZUNCIBBCIUKUMCEUKE
      LCEHZCIZUKUMUMCIKZKUPUQUKUPULACUOCMZULCENAACIKZUPFOPQUPJZUKUQUTUKRZULACUT
      UKCUPCURSUJCUICMSTUTUKULULCIKEDCUAUBUSVAFOPUCUDUEABEDBELGUFZUNBCVBUGUH $.
      $( [17-May-2008] $)
  $}

  ${
    $d w z x $.  $d w y $.
    $( Quantifier introduction when one pair of variables is distinct. $)
    dveeq1 $p |- ( -. A. x x = y -> ( y = z -> A. x y = z ) ) $=
      ( vw weq ax-17 equequ1 dvelim ) DCEZBCEABDIAFDBCGH $.
      $( [2-Jan-2002] $)

    $( Version of ~ dveeq1 using ~ ax-16 instead of ~ ax-17 . $)
    dveeq1ALT $p |- ( -. A. x x = y -> ( y = z -> A. x y = z ) ) $=
      ( vw weq ax17eq equequ1 dvelimfALT ) DCEBCEABDDCAFBCDFDBCGH $.
      $( [29-Apr-2008] $)
  $}

  ${
    $d w z x $.  $d w y $.
    $( Quantifier introduction when one pair of variables is distinct. $)
    dveel1 $p |- ( -. A. x x = y -> ( y e. z -> A. x y e. z ) ) $=
      ( vw wel ax-17 elequ1 dvelimfALT ) DCEZBCEZABDIAFJDFDBCGH $.
      $( [2-Jan-2002] $)
  $}

  ${
    $d w z x $.  $d w y $.
    $( Quantifier introduction when one pair of variables is distinct. $)
    dveel2 $p |- ( -. A. x x = y -> ( z e. y -> A. x z e. y ) ) $=
      ( vw wel ax-17 elequ2 dvelimfALT ) CDEZCBEZABDIAFJDFDBCGH $.
      $( [2-Jan-2002] $)
  $}

  ${
    $d z y $.  $d z x $.
    $( Move quantifier in and out of substitution. $)
    sbal2 $p |- ( -. A. x x = y ->
             ( [ z / y ] A. x ph <-> A. x [ z / y ] ph ) ) $=
      ( weq wal wn wi wsb alcom hbnae dveeq1 alimi hbnaes 19.21t albid syl5rbbr
      wb syl sb6 albii 3bitr4g ) BCEBFGZCDEZABFZHZCFZUDAHZCFZBFZUECDIACDIZBFUJU
      HBFZCFUCUGUHCBJUCULUFCBCCKUCUDUDBFHZBFZULUFRUNBCBUCUMBBCDLMNUDABOSPQUECDT
      UKUIBACDTUAUB $.
      $( [2-Jan-2002] $)
  $}

  ${
    $d w y $.  $d w z $.  $d w x $.  $( ` w ` is dummy. $)
    $( Axiom ~ ax-15 is redundant if we assume ~ ax-17 .  Remark 9.6 in
       [Megill] p. 448 (p. 16 of the preprint), regarding axiom scheme C14'.

       Note that ` w ` is a dummy variable introduced in the proof.  On the web
       page, it is implicitly assumed to be distinct from all other variables.
       (This is made explicit in the database file set.mm).  Its purpose is to
       satisfy the distinct variable requirements of ~ dveel2 and ~ ax-17 .  By
       the end of the proof it has vanished, and the final theorem has no
       distinct variable requirements.

       This theorem should not be referenced in any proof.  Instead, use
       ~ ax-15 below so that theorems needing ~ ax-15 can be more easily
       identified. $)
    ax15 $p |- ( -. A. z z = x -> ( -. A. z z = y ->
              ( x e. y -> A. z x e. y ) ) ) $=
      ( vw weq wal wn wi hbn1 dveel2 hbim1 ax-17 elequ1 imbi2d dvelimfALT 19.21
      wel syl6ib pm2.86d ) CAECFGZCBEZCFGZABQZUCCFZTUBUCHZUECFUBUDHUBDBQZHUECAD
      UBUFCUACIZCBDJKUEDLDAEUFUCUBDABMNOUBUCCUGPRS $.
      $( [29-Jun-1995] $)
  $}

  $( Axiom of Quantifier Introduction.  One of the equality and substitution
     axioms for a non-logical predicate in our predicate calculus with
     equality.  Axiom scheme C14' in [Megill] p. 448 (p. 16 of the preprint).
     It is redundant if we include ~ ax-17 ; see theorem ~ ax15 .  Alternately,
     ~ ax-17 becomes unnecessary in principle with this axiom, but we lose the
     more powerful metalogic afforded by ~ ax-17 .  We retain ~ ax-15 here to
     provide completeness for systems with the simpler metalogic that results
     from omitting ~ ax-17 , which might be easier to study for some
     theoretical purposes. $)
  ax-15 $a |- ( -. A. z z = x -> ( -. A. z z = y ->
              ( x e. y -> A. z x e. y ) ) ) $.

  ${
    $d x z $.  $d y z $.
    $( Theorem to add distinct quantifier to atomic formula.  This theorem
       demonstrates the induction basis for ~ ax-17 considered as a
       metatheorem.) $)
    ax17el $p |- ( x e. y -> A. z x e. y ) $=
      ( weq wal wel wi ax-15 ax-16 pm2.61ii ) CADCECBDCEABFZKCEGABCHKCAIKCBIJ
      $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d w z x $.  $d w y $.
    $( Version of ~ dveel2 using ~ ax-16 instead of ~ ax-17 . $)
    dveel2ALT $p |- ( -. A. x x = y -> ( z e. y -> A. x z e. y ) ) $=
      ( vw wel ax17el elequ2 dvelimfALT ) CDECBEABDCDAFCBDFDBCGH $.
      $( [10-May-2008] $)
  $}

  ${
    $d x u v $.  $d y u v $.  $d z u v $.  $d w u v $.
    $( Basis step for constructing a substitution instance of ~ ax-11o without
       using ~ ax-11o .  Atomic formula for equality predicate. $)
    ax11eq $p |- ( -. A. x x = y ->
               ( x = y -> ( z = w -> A. x ( x = y -> z = w ) ) ) ) $=
      ( vu vv weq wal wn wi wa 19.26 a1i wb equequ1 equequ2 a4s imbi2d imbi12d
      exp32 equid ax-gen sylan9bb hba1 albid adantr mpbii sylbir ad2antll ax-12
      impcom adantrr equtrr alimi syl6 sylbid dral2 ad2antrr mpbid imp biimprcd
      adantll adantlr ad2antlr wex a9e ax-1 alrimiv adantl im2anan9 syl exlimdv
      dveeq2 sylibr mpi a1d 4cases ) ACGZAHZADGZAHZABGZAHIZWBCDGZWBWDJZAHZJZJZJ
      ZVSWAKVRVTKZAHZWIVRVTALWKWCWBWGWKWCWBKZKAAGZWBWMJZAHZJZWGWOWMWNAWMWBAUAMU
      BMWKWPWGNWLWKWMWDWOWFWJWMWDNAVRWMCAGZVTWDACAOADCPZUCQZWKWNWEAWJAUDWKWMWDW
      BWSRUESUFUGTUHVSWAIZKZWCWBWGXAWLKVTWBVTJZAHZJZWGWTWLXDVSWTWLKZVTBDGZXCWBV
      TXFNWTWCABDOUIXEXFXFAHZXCWTWCXFXGJZWBWCWTXHBDAUJUKULXFXBABDAUMUNUOUPVBVSX
      DWGNWTWLVSVTWDXCWFVRVTWDNAACDOQZXBWEACAVSVTWDWBXIRUQSURUSTVSIZWAKZWCWBWGX
      KWLKWQWBWQJZAHZJZWGXJWLXNWAXJWLKZWQCBGZXMWBWQXPNXJWCABCPZUIXOXPXPAHZXMXJW
      CXPXRJZWBXJWCXSCBAUJUTULXPXLAWBWQXPXQVAUNUOUPVCWAXNWGNXJWLWAWQWDXMWFVTWQW
      DNAWRQZXLWEADAWAWQWDWBXTRUQSVDUSTXJWTKZWHWCYAWGWBYAEDGZEVEWGEDVFYAYBWGEYA
      FCGZFVEYBWGJZFCVFYAYCYDFYAYCYBWGYAYCYBKZKZFEGZWBYGJZAHZJWGYGYHAYGWBVGVHYF
      YGWDYIWFYEYGWDNZYAYCYGCEGYBWDFCEOEDCPUCZVIYFYEAHZYIWFNYFYCAHZYBAHZKZYLYAY
      EYOXJYCYMWTYBYNACFVMADEVMVJUTYCYBALVNYLYHWEAYEAUDYLYGWDWBYEYJAYKQRUEVKSUG
      TVLVOVLVOVPVPVQ $.
      $( [22-Jan-2007] $)
  $}

  ${
    $d x u v $.  $d y u v $.  $d z u v $.  $d w u v $.
    $( Basis step for constructing a substitution instance of ~ ax-11o without
       using ~ ax-11o .  Atomic formula for membership predicate. $)
    ax11el $p |- ( -. A. x x = y ->
               ( x = y -> ( z e. w -> A. x ( x = y -> z e. w ) ) ) ) $=
      ( vv vu weq wal wn wel wi wa wb elequ1 elequ2 adantl imbi2d imbi12d exp32
      a4s 19.26 bitrd ax-17 dvelimfALT biimprcd alimi syl6 adantr sylan9bb hba1
      sylbid albid mpbid sylbir ad2antll ax-15 impcom adantrr adantll dral2 imp
      ad2antrr adantlr ad2antlr wex a9e ax-1 alrimiv dveeq2 im2anan9 sylibr syl
      mpbii exlimdv mpi a1d 4cases ) ACGZAHZADGZAHZABGZAHIZWBCDJZWBWDKZAHZKZKZK
      ZVSWALVRVTLZAHZWIVRVTAUAWKWCWBWGWKWCWBLZLAAJZWBWMKZAHZKZWGWLWPWKWLWMBBJZW
      OWBWMWQMWCWBWMBAJWQABANABBOUBZPWCWQWOKWBWCWQWQAHWOEEJZWQABEWSAUCWQEUCEBGW
      SBEJWQEBENEBBOUBUDWQWNAWBWMWQWRUEUFUGUHUKPWKWPWGMWLWKWMWDWOWFWJWMWDMAVRWM
      CAJZVTWDACANADCOZUITZWKWNWEAWJAUJWKWMWDWBXBQULRUHUMSUNVSWAIZLZWCWBWGXDWLL
      ADJZWBXEKZAHZKZWGXCWLXHVSXCWLLZXEBDJZXGWBXEXJMXCWCABDNZUOXIXJXJAHZXGXCWCX
      JXLKZWBWCXCXMBDAUPUQURXJXFAWBXEXJXKUEUFUGUKUSVSXHWGMXCWLVSXEWDXGWFVRXEWDM
      AACDNTZXFWEACAVSXEWDWBXNQUTRVBUMSVSIZWALZWCWBWGXPWLLWTWBWTKZAHZKZWGXOWLXS
      WAXOWLLZWTCBJZXRWBWTYAMXOWCABCOZUOXTYAYAAHZXRXOWCYAYCKZWBXOWCYDCBAUPVAURY
      AXQAWBWTYAYBUEUFUGUKVCWAXSWGMXOWLWAWTWDXRWFVTWTWDMAXATZXQWEADAWAWTWDWBYEQ
      UTRVDUMSXOXCLZWHWCYFWGWBYFFDGZFVEWGFDVFYFYGWGFYFECGZEVEYGWGKZECVFYFYHYIEY
      FYHYGWGYFYHYGLZLZEFJZWBYLKZAHZKWGYLYMAYLWBVGVHYKYLWDYNWFYJYLWDMZYFYHYLCFJ
      YGWDECFNFDCOUIZPYKYJAHZYNWFMYKYHAHZYGAHZLZYQYFYJYTXOYHYRXCYGYSACEVIADFVIV
      JVAYHYGAUAVKYQYMWEAYJAUJYQYLWDWBYJYOAYPTQULVLRVMSVNVOVNVOVPVPVQ $.
      $( [22-Jan-2007] $)
  $}

  ${
    ax11f.1 $e |- ( ph -> A. x ph ) $.
    $( Basis step for constructing a substitution instance of ~ ax-11o without
       using ~ ax-11o .  We can start with any formula ` ph ` in which ` x ` is
       not free. $)
    ax11f $p |- ( -. A. x x = y ->
               ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $=
      ( weq wal wn wi ax-1 alrimi a1ii ) BCEZBFGLALAHZBFHAMBDALIJK $.
      $( [21-Jan-2007] $)
  $}

  ${
    ax11indn.1 $e |- ( -. A. x x = y ->
               ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $.
    $( Induction step for constructing a substitution instance of ~ ax-11o
       without using ~ ax-11o .  Negation case. $)
    ax11indn $p |- ( -. A. x x = y ->
               ( x = y -> ( -. ph -> A. x ( x = y -> -. ph ) ) ) ) $=
      ( weq wal wn wi wex 19.8a exanali hbn1 con3 syl6 com23 alrimd syl5bi syl5
      wa exp3a ) BCEZBFGZUAAGZUAUCHZBFZUAUCSZUFBIZUBUEUFBJUGUAAHZBFZGZUBUEUAABK
      UBUJUDBUABLUHBLUBUAUJUCUBUAAUIHUJUCHDAUIMNOPQRT $.
      $( [21-Jan-2007] $)

    ${
      ax11indi.2 $e |- ( -. A. x x = y ->
                 ( x = y -> ( ps -> A. x ( x = y -> ps ) ) ) ) $.
      $( Induction step for constructing a substitution instance of ~ ax-11o
         without using ~ ax-11o .  Implication case. $)
      ax11indi $p |- ( -. A. x x = y ->
           ( x = y -> ( ( ph -> ps ) -> A. x ( x = y -> ( ph -> ps ) ) ) ) ) $=
        ( weq wal wn wi wa ax11indn imp pm2.21 imim2i alimi syl6 ax-1 jad ex )
        CDGZCHIZUAABJZUAUCJZCHZJUBUAKZABUEUFAIZUAUGJZCHZUEUBUAUGUIJACDELMUHUDCU
        GUCUAABNOPQUFBUABJZCHZUEUBUABUKJFMUJUDCBUCUABAROPQST $.
        $( [21-Jan-2007] $)
    $}
  $}

  ${
    ax11indalem.1 $e |- ( -. A. x x = y ->
               ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $.
    $( Lemma for ~ ax11inda2 and ~ ax11inda . $)
    ax11indalem $p |- ( -. A. y y = z -> ( -. A. x x = y ->
               ( x = y -> ( A. z ph -> A. x ( x = y -> A. z ph ) ) ) ) ) $=
      ( weq wal wn wi ax-1 a5i a1i biidd a1d wa alequcom con3i imp hbnae hban
      dral1 imbi2d dral2 3imtr4d alequcoms adantr simplr ax-12 syl2an hba1 ax-4
      adantlr sylan2 alimd syl2anc ax-7 alrimi 19.21t syl albid syl5ib ad2antrr
      wb syld exp31 pm2.61ian ) BDFBGZCDFCGZHZBCFZBGHZVJADGZVJVLIZBGZIZIZIZVGVQ
      VIVGVPVKVGVOVJVODBDBFDGZABGZVJVSIZBGZVLVNVSWAIVRAVTBVSVJJKLAADBVRAMUAZVMV
      TDBBVRVLVSVJWBUBUCUDUENNUFVGHZVIOZVKVJVOWDVKOVJOZVLVJAIZBGZDGZVNWEVKVJDGZ
      VLWHIWDVKVJUGWDVJWIVKWDVJWIWCVRHZDCFDGZHZVJWIIZVIVRVGDBPQWKVHDCPQWJWLWMBC
      DUHRUIZRULVKWIOAWGDVKWIDBCDSVJDUJTWIVKVJAWGIZVJDUKVKVJWOERUMUNUOWDWHVNIVK
      VJWHWFDGZBGWDVNWFDBUPWDWPVMBWCVIBBDBSCDBSTWDWMDGWPVMVCWDWMDWCVIDBDDSCDDST
      WNUQVJADURUSUTVAVBVDVEVF $.
      $( [24-Jan-2007] $)
  $}

  ${
    $d z y $.
    ax11inda2.1 $e |- ( -. A. x x = y ->
               ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $.
    $( A proof of ~ ax11inda2 that is slightly more direct. $)
    ax11inda2ALT $p |- ( -. A. x x = y ->
               ( x = y -> ( A. z ph -> A. x ( x = y -> A. z ph ) ) ) ) $=
      ( weq wal wn wi ax-1 a5i a1i biidd dral1 imbi2d dral2 a1d wa imp hbnae wb
      3imtr4d alequcoms simplr dveeq1 nalequcoms adantlr hba1 hban sylan2 alimd
      ax-4 syl2anc ax-7 alrimi 19.21t albid syl5ib ad2antrr syld exp31 pm2.61i
      syl ) BDFBGZBCFZBGHZVEADGZVEVGIZBGZIZIZIVDVKVFVDVJVEVJDBDBFDGZABGZVEVMIZB
      GZVGVIVMVOIVLAVNBVMVEJKLAADBVLAMNZVHVNDBBVLVGVMVEVPOPUBUCQQVDHZVFVEVJVQVF
      RVERZVGVEAIZBGZDGZVIVRVFVEDGZVGWAIVQVFVEUDVQVEWBVFVQVEWBVEWBIZDBDBCUEUFZS
      UGVFWBRAVTDVFWBDBCDTVEDUHUIWBVFVEAVTIZVEDULVFVEWEESUJUKUMVQWAVIIVFVEWAVSD
      GZBGVQVIVSDBUNVQWFVHBBDBTVQWCDGWFVHUAVQWCDBDDTWDUOVEADUPVCUQURUSUTVAVB $.
      $( [4-May-2007] $)

    $( Induction step for constructing a substitution instance of ~ ax-11o
       without using ~ ax-11o .  Quantification case.  When ` z ` and ` y ` are
       distinct, this theorem avoids the dummy variables needed by the more
       general ~ ax11inda . $)
    ax11inda2 $p |- ( -. A. x x = y ->
               ( x = y -> ( A. z ph -> A. x ( x = y -> A. z ph ) ) ) ) $=
      ( weq wal wn wi ax-1 a16g syl5 a1d ax11indalem pm2.61i ) CDFCGZBCFZBGHZQA
      DGZQSIZBGZIZIZIPUCRPUBQSTPUASQJTCDBKLMMABCDENO $.
      $( [24-Jan-2007] $)
  $}

  ${
    $d w ph $.  $d w x $.  $d w y $.  $d w z $.
    ax11inda.1 $e |- ( -. A. x x = w ->
               ( x = w -> ( ph -> A. x ( x = w -> ph ) ) ) ) $.
    $( Induction step for constructing a substitution instance of ~ ax-11o
       without using ~ ax-11o .  Quantification case.  (When ` z ` and ` y `
       are distinct, ~ ax11inda2 may be used instead to avoid the dummy
       variable ` w ` in the proof.) $)
    ax11inda $p |- ( -. A. x x = y ->
               ( x = y -> ( A. z ph -> A. x ( x = y -> A. z ph ) ) ) ) $=
      ( weq wal wn wi wex a9e wa ax11inda2 wb dveeq2 imp albid syl imbi12d hba1
      equequ2 a4s notbid adantl imbi1d imbi2d mpbii ex exlimdv mpi pm2.43i ) BC
      GZBHZIZUMADHZUMUPJZBHZJZJZUOECGZEKUOUTJZECLUOVAVBEUOVAVBUOVAMZBEGZBHZIZVD
      UPVDUPJZBHZJZJZJVBABEDFNVCVFUOVJUTVCVABHZVFUOOUOVAVKBCEPQZVKVEUNVKVDUMBVA
      BUAZVAVDUMOZBECBUBZUCZRUDSVCVDUMVIUSVAVNUOVOUEVCVHURUPVCVKVHUROVLVKVGUQBV
      MVKVDUMUPVPUFRSUGTTUHUIUJUKUL $.
      $( [24-Jan-2007] $)
  $}

  $( Part of a study related to ~ ax-12 .  The consequent introduces a new
     variable ` z ` .  There are no distinct variable restrictions. $)
  a12stdy1 $p |- ( A. x x = y -> E. x y = z ) $=
    ( weq wal wex a9e wn ax-10o con3d df-ex 3imtr4g mpi ) ABDAEZBCDZBFZOAFZBCGN
    OHZBEZHRAEZHPQNTSRABIJOBKOAKLM $.
    $( [14-Jan-2008] $)

  $( Part of a study related to ~ ax-12 .  The consequent is quantified with a
     different variable.  There are no distinct variable restrictions. $)
  a12stdy2 $p |- ( A. z ( z = x /\ x = y ) -> A. y y = x ) $=
    ( weq wa wal 19.26 ax-10o alequcom syl6 imp sylbi ) CADZABDZECFMCFZNCFZEBAD
    BFZMNCGOPQOPNAFQNCAHABIJKL $.
    $( [14-Jan-2008] $)

  $( Part of a study related to ~ ax-12 .  The consequent introduces two new
     variables.  There are no distinct variable restrictions. $)
  a12stdy3 $p |- ( A. z ( z = x /\ x = y ) -> A. v E. y x = w ) $=
    ( weq wa wal wex a12stdy2 hbae a12stdy1 alimi 3syl ) CAFABFGCHBAFBHZOEHADFB
    IZEHABCJBAEKOPEBADLMN $.
    $( [14-Jan-2008] $)

  $( Part of a study related to ~ ax-12 .  The second antecedent of ~ ax-12 is
     replaced.  There are no distinct variable restrictions. $)
  a12stdy4 $p |- ( -. A. z z = x -> ( A. y z = x ->
           ( x = y -> A. z x = y ) ) ) $=
    ( weq wal wn wi wa ax-10o alequcoms con3d impcom pm2.21d ax-12 a1dd pm2.61d
    ex ) CADZCEZFZCBDCEZRBEZABDZUCCEGZGZTUAUETUAHUBUDUATUBFUAUBSUBSGBCRBCIJKLMQ
    TUAFUDUBABCNOP $.
    $( [14-Jan-2008] $)

  $( Proof of first hypothesis of ~ a12study . $)
  a12lem1 $p |- ( -. A. z z = y ->
                  ( A. z ( z = x -> z = y ) -> x = y ) ) $=
    ( weq wal wn wi wb equequ1 imbi12d a4s dral2 equid a1bi biimpri syl6bi hbn1
    a1d wa hban hbth a1i ax-12 imp hbimd alrimi equtr ax-8 imim12d ax-gen 19.26
    a4imt sylbir sylancl mpii ex pm2.61i ) CADZCEZCBDZCEFZURUTGZCEZABDZGZGUSVEV
    AUSVCAADZVDGZCEZVDVBVGCACURVBVGHCURURVFUTVDCAAICABIJKLVGVDCVDVGVFVDAMZNOKPR
    USFZVAVEVJVASZVCVFVDVIVKVGVHGZCEZURVBVGGGZCEZVCVGGZVKVLCVJVACURCQUTCQTZVKVF
    VDCVQVFVFCEGVKVFCVIUAUBVJVAVDVDCEGABCUCUDUEUFVNCURVFURUTVDCAAUGCABUHUIUJVMV
    OSVLVNSCEVPVLVNCUKVBVGCAULUMUNUOUPUQ $.
    $( [15-Jan-2008] $)

  $( Proof of second hypothesis of ~ a12study . $)
  a12lem2 $p |- ( A. z ( z = x -> -. z = y ) -> -. x = y ) $=
    ( weq wn wi wal wa wex equcom imbi1i imnan bitri albii alnex equvini con3i
    sylbi ) CADZCBDZEZFZCGZACDZTHZCIZEZABDZEUCUEEZCGUGUBUICUBUDUAFUISUDUACAJKUD
    TLMNUECOMUHUFABCPQR $.
    $( [15-Jan-2008] $)

  ${
    a12study.1 $e |- ( -. A. z z = y
         -> ( A. z ( z = x -> z = y ) -> x = y ) ) $.
    a12study.2 $e |- ( A. z ( z = x -> -. z = y ) -> -. x = y ) $.
    $( Rederivation of axiom ~ ax-12 from two shorter formulas, without using
       ~ ax-12 .  See ~ a12lem1 and ~ a12lem2 for the proofs of the hypotheses
       (using ~ ax-12 ).  This is the only known breakdown of ~ ax-12 into
       shorter formulas.  See ~ a12studyALT for an alternate proof.  Note that
       the proof depends on ~ ax-11o , whose proof ~ ax11o depends on ~ ax-12 ,
       meaning that we would have to replace ~ ax-11 with ~ ax-11o in an
       axiomatization that uses the hypotheses in place of ~ ax-12 .  Whether
       this can be avoided is an open problem. $)
    a12study $p |- ( -. A. z z = x -> ( -. A. z z = y
                     -> ( x = y -> A. z x = y ) ) ) $=
      ( weq wa wex wal wn imnan equid1 ax-8 mpi imim1i sylbir alimi hbn1 hba1
      wi con2i df-ex sylibr hban ax-11o syl5 imp3a alrimd sylan9 exlimd ex syl7
      syl ) ABFZACFZCBFZGZCHZCAFZCIJZUPCIJZUNCIZUNUQJZCIZJURVDUNVDUSUPJZTZCIUNJ
      VCVFCVCUOVETVFUOUPKUSUOVEUSCCFUOCLCACMNOPQEUMUAUQCUBUCUTVAURVBTUTVAGUQVBC
      UTVACUSCRUPCRZUDUNCSUTUQUSUPTZCIZVAVBUTUOUPVIUOUSUTUPVITUOAAFUSALACAMNUPC
      AUEUFUGVAVIUNCVGVHCSDUHUIUJUKUL $.
      $( [15-Jan-2008] $)

    $( Alternate proof of ~ a12study , also without using ~ ax-12 . $)
    a12studyALT $p |- ( -. A. z z = x -> ( -. A. z z = y
             -> ( x = y -> A. z x = y ) ) ) $=
      ( weq wal wn wi wa hbn1 hban con3d wex exnal hba1 ax-11o ax11indn syl5bir
      annim a5i syl8 imp3a exlimd sylan9r hbnd notnot albii 3imtr4g ex ) CAFZCG
      HZCBFZCGHZABFZUOCGZIULUNJZUOHZHZUSCGUOUPUQURCULUNCUKCKZUMCKLUNURUKUMIZCGZ
      HZULURCGZUNVBUODMVCVAHZCNULVDVACOULVEVDCUTURCPVEUKUMHZJULVDUKUMTULUKVFVDU
      LUKVFUKVFIZCGVDUMCAUMCAQRVGURCEUAUBUCSUDSUEUFUOUGZUOUSCVHUHUIUJ $.
      $( [17-Jan-2008] $)
  $}

  ${
    $d w x $.  $d w y $.  $d w z $.
    a12study2.1 $e |- ( -. A. x x = z -> ( w = z -> A. x w = z ) ) $.
    a12study2.2 $e |- ( -. A. x x = y -> ( w = y -> A. x w = y ) ) $.
    $( Reprove ~ ax-12 using ~ dvelimfALT2 , showing that ~ ax-12 can be
       replaced by ~ dveeq2 (whose needed instances are the hypotheses here) if
       we allow distinct variables in axioms other than ~ ax-17 .  (Contributed
       by Andrew Salmon, 21-Jul-2011.) $)
    a12study2 $p |- ( -. A. x x = y
      -> ( -. A. x x = z -> ( y = z -> A. x y = z ) ) ) $=
      ( cv wceq wal wn hbn1 hbim1 ax-17 equequ1 imbi2d dvelimfALT2 19.21 syl6ib
      wi pm2.86d ) AGZBGZHAIJZUACGZHZAIJZUBUDHZUGAIZUCUFUGSZUIAIUFUHSUFDGZUDHZS
      UIABDUFUKAUEAKZELUIDMUJUBHUKUGUFDBCNOFPUFUGAULQRT $.
      $( [21-Jul-2011] $)
  $}

  ${
    a12study3.1 $e |- ( x = y -> E. z ( x = z /\ z = y ) ) $.
    a12study3.2 $e |- ( A. z ( z = x <-> z = y ) -> x = y ) $.
    $( Rederivation of axiom ~ ax-12 from two other formulas, without using
       ~ ax-12 .  See ~ equvini and ~ equveli for the proofs of the hypotheses
       (using ~ ax-12 ).  Although the second hypothesis (when expanded to
       primitives) is longer than ~ ax-12 , an open problem is whether it can
       be derived without ~ ax-12 or from a simpler axiom.

       Note also that the proof depends on ~ ax-11o , whose proof ~ ax11o
       depends on ~ ax-12 , meaning that we would have to replace ~ ax-11 with
       ~ ax-11o in an axiomatization that uses the hypotheses in place of
       ~ ax-12 .  Whether this can be avoided is an open problem. $)
    a12study3 $p |- ( -. A. z z = x -> ( -. A. z z = y
       -> ( x = y -> A. z x = y ) ) ) $=
      ( weq wal wn wi wa wb wex hbn1 hba1 equid1 ax-8 ax-11o syl5 imp3a exlimd
      mpi syl7 ancomsd anim12ii albiim syl6ibr a5i syl6 ex ) CAFZCGHZCBFZCGHZAB
      FZUNCGZIUKUMJZUNUJULKZCGZUOUPUNUJULIZCGZULUJIZCGZJZURUNACFZULJZCLZUPVCDUK
      VFUTUMVBUKVEUTCUJCMUSCNUKVDULUTVDUJUKULUTIVDAAFUJAOACAPUAZULCAQRSTUMVEVBC
      ULCMVACNUMULVDVBUMULVDVBVDUJUMULVBVGUJCBQUBSUCTUDRUJULCUEUFUQUNCEUGUHUI
      $.
      $( [1-Mar-2013] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Existential uniqueness
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new symbols needed for uniqueness notation. $)
  $c E! $.  $( Backwards E exclamation point. $)
  $c E* $.  $( Backwards E superscript *. $)

  $( Extend wff definition to include existential uniqueness ("there exists a
     unique ` x ` such that ` ph ` "). $)
  weu $a wff E! x ph $.

  $( Extend wff definition to include uniqueness ("there exists at most one
     ` x ` such that ` ph ` "). $)
  wmo $a wff E* x ph $.

  ${
    $d w x y $.  $d x z $.  $d y ph $.  $d w z ph $.
    $( A soundness justification theorem for ~ df-eu , showing that the
       definition is equivalent to itself with its dummy variable renamed.
       Note that ` y ` and ` z ` needn't be distinct variables.  See
       ~ eujustALT for a proof that provides an example of how it can be
       achieved through the use of ~ dvelim .  (The proof was shortened by
       Andrew Salmon, 9-Jul-2011.) $)
    eujust $p |- ( E. y A. x ( ph <-> x = y )
        <-> E. z A. x ( ph <-> x = z ) ) $=
      ( vw cv wceq wb wal wex equequ2 bibi2d albidv cbvexv bitri ) ABFZCFZGZHZB
      IZCJAPEFZGZHZBIZEJAPDFZGZHZBIZDJTUDCEQUAGZSUCBUIRUBACEBKLMNUDUHEDUAUEGZUC
      UGBUJUBUFAEDBKLMNO $.
      $( [9-Jul-2011] $) $( [11-Mar-2010] $)

    $( A soundness justification theorem for ~ df-eu , showing that the
       definition is equivalent to itself with its dummy variable renamed.
       Note that ` y ` and ` z ` needn't be distinct variables.  While this
       isn't strictly necessary for soundness, the proof provides an example of
       how it can be achieved through the use of ~ dvelim . $)
    eujustALT $p |- ( E. y A. x ( ph <-> x = y )
        <-> E. z A. x ( ph <-> x = z ) ) $=
      ( vw weq wal wb wex equequ2 bibi2d albidv wn hbnae wi ax-17 notbid dvelim
      a4s df-ex drex1 alrimi nalequcoms a1i cbv2 syl 3bitr4g pm2.61i ) CDFZCGZA
      BCFZHZBGZCIZABDFZHZBGZDIZHUMUQCDUIUMUQHCUIULUPBUIUKUOACDBJKLZSUAUJMZUMMZC
      GZMUQMZDGZMUNURUTVBVDUTUTDGZCGVBVDHUTVECCDCNCDDNUBUTVAVCCDVAVADGODCABEFZH
      ZBGZMZVADCEVIDPECFZVHUMVJVGULBVJVFUKAECBJKLQRUCVIVCCDEVICPEDFZVHUQVKVGUPB
      VKVFUOAEDBJKLQRUIVAVCHOUTUIUMUQUSQUDUEUFQUMCTUQDTUGUH $.
      $( [11-Mar-2010] $)
  $}

  ${
    $d x y $.  $d y ph $.
    $( Define existential uniqueness, i.e.  "there exists exactly one ` x `
       such that ` ph ` ."  Definition 10.1 of [BellMachover] p. 97; also
       Definition *14.02 of [WhiteheadRussell] p. 175.  Other possible
       definitions are given by ~ eu1 , ~ eu2 , ~ eu3 , and ~ eu5 (which in
       some cases we show with a hypothesis ` ph -> A. y ph ` in place of a
       distinct variable condition on ` y ` and ` ph ` ).  Double uniqueness is
       tricky: ` E! x E! y ph ` does not mean "exactly one ` x ` and one
       ` y ` " (see ~ 2eu4 ). $)
    df-eu $a |- ( E! x ph <-> E. y A. x ( ph <-> x = y ) ) $.
  $}

  $( Define "there exists at most one ` x ` such that ` ph ` ."  Here we define
     it in terms of existential uniqueness.  Notation of [BellMachover] p. 460,
     whose definition we show as ~ mo3 .  For other possible definitions see
     ~ mo2 and ~ mo4 . $)
  df-mo $a |- ( E* x ph <-> ( E. x ph -> E! x ph ) ) $.

  ${
    $d x y z $.  $d ph z $.
    euf.1 $e |- ( ph -> A. y ph ) $.
    $( A version of the existential uniqueness definition with a hypothesis
       instead of a distinct variable condition. $)
    euf $p |- ( E! x ph <-> E. y A. x ( ph <-> x = y ) ) $=
      ( vz weu weq wb wal wex df-eu ax-17 hbbi hbal equequ2 bibi2d albidv cbvex
      bitri ) ABFABEGZHZBIZEJABCGZHZBIZCJABEKUBUEECUACBATCDTCLMNUEELECGZUAUDBUF
      TUCAECBOPQRS $.
      $( [12-Aug-1993] $)
  $}

  ${
    $d x y $.  $d y ph $.  $d y ps $.  $d y ch $.
    eubid.1 $e |- ( ph -> A. x ph ) $.
    eubid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for uniqueness quantifier (deduction rule). $)
    eubid $p |- ( ph -> ( E! x ps <-> E! x ch ) ) $=
      ( vy weq wb wal wex weu bibi1d albid exbidv df-eu 3bitr4g ) ABDGHZIZDJZGK
      CRIZDJZGKBDLCDLATUBGASUADEABCRFMNOBDGPCDGPQ $.
      $( [9-Jul-1994] $)
  $}

  ${
    $d x ph $.
    eubidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for uniqueness quantifier (deduction rule). $)
    eubidv $p |- ( ph -> ( E! x ps <-> E! x ch ) ) $=
      ( ax-17 eubid ) ABCDADFEG $.
      $( [9-Jul-1994] $)
  $}

  ${
    eubii.1 $e |- ( ph <-> ps ) $.
    $( Introduce uniqueness quantifier to both sides of an equivalence. $)
    eubii $p |- ( E! x ph <-> E! x ps ) $=
      ( weq weu wb equid hbequid a1i eubid ax-mp ) CCEZACFBCFGCHMABCCCIABGMDJKL
      $.
      $( [9-Jul-1994] $)
  $}

  ${
    $d x y $.  $d y ph $.
    $( Bound-variable hypothesis builder for uniqueness. $)
    hbeu1 $p |- ( E! x ph -> A. x E! x ph ) $=
      ( vy weu weq wb wal wex df-eu hba1 hbex hbxfrbi ) ABDABCEFZBGZCHBABCINBCM
      BJKL $.
      $( [9-Jul-1994] $)
  $}

  ${
    $d y z $.  $d x z $.  $d z ph $.
    hbeu.1 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for "at most one."  Note that ` x `
       and ` y ` needn't be distinct (this makes the proof more difficult). $)
    hbeu $p |- ( E! y ph -> A. x E! y ph ) $=
      ( vz weu weq wb wal wex df-eu wi hba1 ax10o alequcoms wn hbnae a1i dveeq1
      syl5 hbbid hbald pm2.61i hbex hbxfrbi ) ACFACEGZHZCIZEJBACEKUHBEBCGBIZUHU
      HBIZLUHUHCIZUIUJUGCMUKUJLCBUHCBNOTUIPZUGBCBCCQULAUFBBCBQAABILULDRBCESUAUB
      UCUDUE $.
      $( [8-Mar-1995] $)
  $}

  ${
    $d y z $.  $d x z $.  $d z ph $.  $d z ps $.
    hbeud.1 $e |- ( ph -> A. x ph ) $.
    hbeud.2 $e |- ( ph -> A. y ph ) $.
    hbeud.3 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction version of ~ hbeu . $)
    hbeud $p |- ( ph -> ( E! y ps -> A. x E! y ps ) ) $=
      ( vz cv wceq wb wal wex weu ax-17 wi wn wa hbnae hban adantr dveeq1 hbbid
      adantl hbald hba1 ax10o alequcoms syl5 pm2.61d2 hbexd df-eu albii 3imtr4g
      ex ) ABDIZHIJZKZDLZHMZUTCLBDNZVACLAUSCHAHOACIUPJCLZUSUSCLZPZAVBQZVDAVERZU
      RCDAVEDFCDDSTVFBUQCAVECECDCSTABBCLPVEGUAVEUQUQCLPACDHUBUDUCUEUOUSUSDLZVBV
      CURDUFVGVCPDCUSDCUGUHUIUJUKBDHULZVAUTCVHUMUN $.
      $( [15-Feb-2013] $)
  $}

  ${
    $d w y z $.  $d ph z w $.  $d w x z $.
    sb8eu.1 $e |- ( ph -> A. y ph ) $.
    $( Variable substitution in uniqueness quantifier.  (Unnecessary distinct
       variable restrictions were removed by Andrew Salmon, 9-Jul-2011.) $)
    sb8eu $p |- ( E! x ph <-> E! y [ y / x ] ph ) $=
      ( vz vw cv wceq wal wex wsbc weu ax-17 sb8 sbbi hbsb equsb3 hbxfrbi df-eu
      wb hbbi sbequ cbval sblbis albii 3bitri exbii 3bitr4i ) ABGEGZHZTZBIZEJAB
      CGZKZUMUIHZTZCIZEJABLUNCLULUQEULUKBFGZKZFIUKBUMKZCIUQUKBFUKFMNUSUTFCUSABU
      RKZUJBURKZTCAUJBFOVAVBCABFCDPVBURUIHZCFBEQVCCMRUARUTFMUKFCBUBUCUTUPCUJUOA
      BCCBEQUDUEUFUGABESUNCESUH $.
      $( [9-Jul-2011] $) $( [7-Aug-1994] $)
  $}

  ${
    cbveu.1 $e |- ( ph -> A. y ph ) $.
    cbveu.2 $e |- ( ps -> A. x ps ) $.
    cbveu.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitition.
       (Unnecessary distinct variable restrictions were removed by Andrew
       Salmon, 8-Jun-2011.) $)
    cbveu $p |- ( E! x ph <-> E! y ps ) $=
      ( weu wsb sb8eu sbie eubii bitri ) ACHACDIZDHBDHACDEJNBDABCDFGKLM $.
      $( [9-Jul-2011] $) $( [25-Nov-1994] $)
  $}

  ${
    $d x y $.
    eu1.1 $e |- ( ph -> A. y ph ) $.
    $( An alternate way to express uniqueness used by some authors.  Exercise
       2(b) of [Margaris] p. 110. $)
    eu1 $p |- ( E! x ph <->
                E. x ( ph /\ A. y ( [ y / x ] ph -> x = y ) ) ) $=
      ( wsb weu weq wb wal wex wi wa hbs1 euf sb8eu equcom imbi2i albii 3bitr4i
      sb6rf anbi12i ancom albiim exbii ) ABCEZCFUECBGZHCIZBJABFAUEBCGZKZCIZLZBJ
      UECBABCMNABCDOUKUGBUJALUEUFKZCIZUFUEKCIZLUKUGUJUMAUNUIULCUHUFUEBCPQRABCDT
      UAAUJUBUEUFCUCSUDS $.
      $( [20-Aug-1993] $)
  $}

  ${
    $d x y z $.  $d ph z $.
    mo.1 $e |- ( ph -> A. y ph ) $.
    $( Equivalent definitions of "there exists at most one." $)
    mo $p |- ( E. y A. x ( ph -> x = y ) <->
               A. x A. y ( ( ph /\ [ y / x ] ph ) -> x = y ) ) $=
      ( vz weq wi wal wex wsb wa ax-17 hbim hbal cbv3 syl sylbir alimi wn hbn
      equequ2 imbi2d albidv cbvex hbs1 sbequ2 ax-8 imim12d ancli aaan prth syl6
      sylibr equtr2 2alimi exlimiv impexp bi2.04 bitri 2albii eximi a7s syl5com
      alim exim syl5bi alnex sbequ1 equcoms con3d pm2.21 19.8a 3syl a1d pm2.61i
      impbii ) ABCFZGZBHZCIZAABCJZKZVQGZCHBHZVTABEFZGZBHZEIWDWGVSECWFCBAWECDWEC
      LMZNVSELECFZWFVRBWIWEVQAECBUAUBUCUDWGWDEWGWFWACEFZGZKZCHBHZWDWGWGWKCHZKWM
      WGWNWFWKBCWHWAWJBABCUEZWJBLMZVQWAAWEWJABCUFBCEUGUHOUIWFWKBCWHWPUJUMWLWCBC
      WLWBWEWJKVQAWEWAWJUKBCEUNULUOPUPQWACIZWDVTGWDWAVRGZCHBHZWQVTWCWRBCWCAWAVQ
      GGWRAWAVQUQAWAVQURUSUTWQWABHZCIZWSVTWAWTCWOVAWSWTVSGZCHZXAVTGWRXCCBWRBHXB
      CWAVRBVDRVBWTVSCVEPVCVFWQSZVTWDXDWASZCHZVTWACVGXFASZBHVSVTXEXGCBWABWOTACD
      TCBFAWAAWAGBCABCVHVIVJOXGVRBAVQVKRVSCVLVMQVNVOVP $.
      $( [7-Aug-1994] $)
  $}

  ${
    $d x y $.  $d ph y $.
    $( Existential uniqueness implies existence.  (The proof was shortened by
       Andrew Salmon, 9-Jul-2011.) $)
    euex $p |- ( E! x ph -> E. x ph ) $=
      ( vy weu wsb weq wi wal wa wex ax-17 eu1 exsimpl sylbi ) ABDAABCEBCFGCHZI
      BJABJABCACKLAOBMN $.
      $( [9-Jul-2011] $) $( [15-Sep-1993] $)
  $}

  ${
    $d x y $.
    eumo0.1 $e |- ( ph -> A. y ph ) $.
    $( Existential uniqueness implies "at most one." $)
    eumo0 $p |- ( E! x ph -> E. y A. x ( ph -> x = y ) ) $=
      ( weu weq wb wal wex wi euf bi1 alimi eximi sylbi ) ABEABCFZGZBHZCIAPJZBH
      ZCIABCDKRTCQSBAPLMNO $.
      $( [8-Jul-1994] $)
  $}

  ${
    $d x y $.
    eu2.1 $e |- ( ph -> A. y ph ) $.
    $( An alternate way of defining existential uniqueness.  Definition 6.10 of
       [TakeutiZaring] p. 26. $)
    eu2 $p |- ( E! x ph <->
    ( E. x ph /\ A. x A. y ( ( ph /\ [ y / x ] ph ) -> x = y ) ) ) $=
      ( weu wex wsb wa weq wi wal euex eumo0 mo sylib 19.29r impexp albii 19.21
      jca bitri anbi2i abai bitr4i exbii eu1 sylibr impbii ) ABEZABFZAABCGZHBCI
      ZJZCKZBKZHZUIUJUOABLUIAULJBKCFUOABCDMABCDNOTUPAUKULJZCKZHZBFZUIUPAUNHZBFU
      TAUNBPVAUSBVAAAURJZHUSUNVBAUNAUQJZCKVBUMVCCAUKULQRAUQCDSUAUBAURUCUDUEOABC
      DUFUGUH $.
      $( [8-Jul-1994] $)
  $}

  ${
    $d x y $.
    eu3.1 $e |- ( ph -> A. y ph ) $.
    $( An alternate way to express existential uniqueness. $)
    eu3 $p |- ( E! x ph <->
                ( E. x ph /\ E. y A. x ( ph -> x = y ) ) ) $=
      ( weu wex wsb wa weq wi wal eu2 mo anbi2i bitr4i ) ABEABFZAABCGHBCIZJCKBK
      ZHPAQJBKCFZHABCDLSRPABCDMNO $.
      $( [8-Jul-1994] $)
  $}

  ${
    euor.1 $e |- ( ph -> A. x ph ) $.
    $( Introduce a disjunct into a uniqueness quantifier. $)
    euor $p |- ( ( -. ph /\ E! x ps ) -> E! x ( ph \/ ps ) ) $=
      ( wn weu wo hbn biorf eubid biimpa ) AEZBCFABGZCFLBMCACDHABIJK $.
      $( [21-Oct-2005] $)
  $}

  ${
    $d x ph $.
    $( Introduce a disjunct into a uniqueness quantifier. $)
    euorv $p |- ( ( -. ph /\ E! x ps ) -> E! x ( ph \/ ps ) ) $=
      ( ax-17 euor ) ABCACDE $.
      $( [23-Mar-1995] $)
  $}

  ${
    $d x y $.
    mo2.1 $e |- ( ph -> A. y ph ) $.
    $( Alternate definition of "at most one." $)
    mo2 $p |- ( E* x ph <-> E. y A. x ( ph -> x = y ) ) $=
      ( wmo wex weu wi weq wal df-mo alnex pm2.21 alimi 19.8a syl sylbir eumo0
      wn ja eu3 simplbi2com impbii bitri ) ABEABFZABGZHZABCIZHZBJZCFZABKUGUKUEU
      FUKUESASZBJZUKABLUMUJUKULUIBAUHMNUJCOPQABCDRTUFUEUKABCDUAUBUCUD $.
      $( [8-Mar-1995] $)
  $}

  ${
    $d w x z $.  $d w y z $.  $d w ph $.
    $( Substitution into "at most one".  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    sbmo $p |- ( [ y / x ] E* z ph <-> E* z [ y / x ] ph ) $=
      ( vw cv wceq wi wal wex wsbc wmo sbex ax-17 sblim sbalv exbii bitri sbbii
      mo2 3bitr4i ) ADFEFGZHZDIZEJZBCFZKZABUFKZUBHZDIZEJZADLZBUFKUHDLUGUDBUFKZE
      JUKUDEBCMUMUJEUCUIBCDAUBBCUBBNOPQRULUEBCADEAENTSUHDEUHENTUA $.
      $( [2-Sep-2009] $)
  $}

  ${
    $d x y $.
    mo3.1 $e |- ( ph -> A. y ph ) $.
    $( Alternate definition of "at most one."  Definition of [BellMachover]
       p. 460, except that definition has the side condition that ` y ` not
       occur in ` ph ` in place of our hypothesis. $)
    mo3 $p |- ( E* x ph <->
               A. x A. y ( ( ph /\ [ y / x ] ph ) -> x = y ) ) $=
      ( wmo weq wi wal wex wsb wa mo2 mo bitri ) ABEABCFZGBHCIAABCJKOGCHBHABCDL
      ABCDMN $.
      $( [8-Mar-1995] $)
  $}

  ${
    $d x y $.  $d y ph $.
    mo4f.1 $e |- ( ps -> A. x ps ) $.
    mo4f.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( "At most one" expressed using implicit substitution. $)
    mo4f $p |- ( E* x ph <-> A. x A. y ( ( ph /\ ps ) -> x = y ) ) $=
      ( wmo wsb wa weq wi wal ax-17 mo3 sbie anbi2i imbi1i 2albii bitri ) ACGAA
      CDHZIZCDJZKZDLCLABIZUBKZDLCLACDADMNUCUECDUAUDUBTBAABCDEFOPQRS $.
      $( [10-Apr-2004] $)
  $}

  ${
    $d x y $.  $d y ph $.  $d x ps $.
    mo4.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( "At most one" expressed using implicit substitution. $)
    mo4 $p |- ( E* x ph <-> A. x A. y ( ( ph /\ ps ) -> x = y ) ) $=
      ( ax-17 mo4f ) ABCDBCFEG $.
      $( [26-Jul-1995] $)
  $}

  ${
    mobid.1 $e |- ( ph -> A. x ph ) $.
    mobid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for "at most one" quantifier (deduction rule). $)
    mobid $p |- ( ph -> ( E* x ps <-> E* x ch ) ) $=
      ( wex weu wi wmo exbid eubid imbi12d df-mo 3bitr4g ) ABDGZBDHZICDGZCDHZIB
      DJCDJAPRQSABCDEFKABCDEFLMBDNCDNO $.
      $( [8-Mar-1995] $)
  $}

  ${
    mobii.1 $e |- ( ps <-> ch ) $.
    $( Formula-building rule for "at most one" quantifier (inference rule). $)
    mobii $p |- ( E* x ps <-> E* x ch ) $=
      ( weq wmo wb equid hbequid a1i mobid ax-mp ) CCEZACFBCFGCHMABCCCIABGMDJKL
      $.
      $( [9-Mar-1995] $)
  $}

  $( Bound-variable hypothesis builder for "at most one." $)
  hbmo1 $p |- ( E* x ph -> A. x E* x ph ) $=
    ( wmo wex weu wi df-mo hbe1 hbeu1 hbim hbxfrbi ) ABCABDZABEZFBABGLMBABHABIJ
    K $.
    $( [8-Mar-1995] $)

  ${
    hbmo.1 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for "at most one." $)
    hbmo $p |- ( E* y ph -> A. x E* y ph ) $=
      ( wmo wex weu wi df-mo hbex hbeu hbim hbxfrbi ) ACEACFZACGZHBACINOBABCDJA
      BCDKLM $.
      $( [9-Mar-1995] $)
  $}

  ${
    cbvmo.1 $e |- ( ph -> A. y ph ) $.
    cbvmo.2 $e |- ( ps -> A. x ps ) $.
    cbvmo.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitition.
       (Unnecessary distinct variable restrictions were removed by Andrew
       Salmon, 8-Jun-2011.) $)
    cbvmo $p |- ( E* x ph <-> E* y ps ) $=
      ( wex weu wi wmo cbvex cbveu imbi12i df-mo 3bitr4i ) ACHZACIZJBDHZBDIZJAC
      KBDKQSRTABCDEFGLABCDEFGMNACOBDOP $.
      $( [9-Jul-2011] $) $( [9-Mar-1995] $)
  $}

  ${
    $d x y $.  $d y ph $.
    $( Uniqueness in terms of "at most one." $)
    eu5 $p |- ( E! x ph <-> ( E. x ph /\ E* x ph ) ) $=
      ( vy weu wex weq wi wal wa wmo ax-17 eu3 mo2 anbi2i bitr4i ) ABDABEZABCFG
      BHCEZIPABJZIABCACKZLRQPABCSMNO $.
      $( [23-Mar-1995] $)
  $}

  ${
    $d x y $.  $d y ph $.  $d x ps $.
    eu4.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Uniqueness using implicit substitution. $)
    eu4 $p |- ( E! x ph <-> ( E. x ph /\
             A. x A. y ( ( ph /\ ps ) -> x = y ) ) ) $=
      ( weu wex wmo wa weq wi wal eu5 mo4 anbi2i bitri ) ACFACGZACHZIQABICDJKDL
      CLZIACMRSQABCDENOP $.
      $( [26-Jul-1995] $)
  $}

  $( Existential uniqueness implies "at most one." $)
  eumo $p |- ( E! x ph -> E* x ph ) $=
    ( weu wex wmo eu5 simprbi ) ABCABDABEABFG $.
    $( [23-Mar-1995] $)

  ${
    eumoi.1 $e |- E! x ph $.
    $( "At most one" inferred from existential uniqueness. $)
    eumoi $p |- E* x ph $=
      ( weu wmo eumo ax-mp ) ABDABECABFG $.
      $( [5-Apr-1995] $)
  $}

  $( Existence in terms of "at most one" and uniqueness. $)
  exmoeu $p |- ( E. x ph <-> ( E* x ph -> E! x ph ) ) $=
    ( wex wmo weu wi df-mo biimpi com12 biimpri euex imim12i peirce syl impbii
    ) ABCZABDZABEZFZQPRQPRFZABGZHISTPFPTQRPQTUAJABKLPRMNO $.
    $( [5-Apr-2004] $)

  $( Existence implies "at most one" is equivalent to uniqueness. $)
  exmoeu2 $p |- ( E. x ph -> ( E* x ph <-> E! x ph ) ) $=
    ( weu wex wmo eu5 baibr ) ABCABDABEABFG $.
    $( [5-Apr-2004] $)

  $( Absorption of existence condition by "at most one." $)
  moabs $p |- ( E* x ph <-> ( E. x ph -> E* x ph ) ) $=
    ( wex weu wi wmo pm5.4 df-mo imbi2i 3bitr4ri ) ABCZKABDZEZEMKABFZENKLGNMKAB
    HZIOJ $.
    $( [4-Nov-2002] $)

  $( Something exists or at most one exists. $)
  exmo $p |- ( E. x ph \/ E* x ph ) $=
    ( wex wmo wn weu wi pm2.21 df-mo sylibr orri ) ABCZABDZLELABFZGMLNHABIJK $.
    $( [8-Mar-1995] $)

  ${
    $d x y $.  $d y ph $.  $d y ps $.
    $( "At most one" is preserved through implication (notice wff reversal). $)
    immo $p |- ( A. x ( ph -> ps ) -> ( E* x ps -> E* x ph ) ) $=
      ( vy wi wal weq wex wmo imim1 al2imi eximdv ax-17 mo2 3imtr4g ) ABEZCFZBC
      DGZEZCFZDHAREZCFZDHBCIACIQTUBDPSUACABRJKLBCDBDMNACDADMNO $.
      $( [22-Apr-1995] $)
  $}

  ${
    immoi.1 $e |- ( ph -> ps ) $.
    $( "At most one" is preserved through implication (notice wff reversal). $)
    immoi $p |- ( E* x ps -> E* x ph ) $=
      ( wi wmo immo mpg ) ABEBCFACFECABCGDH $.
      $( [15-Feb-2006] $)
  $}

  ${
    $d x y $.  $d x y ph $.  $d y ps $.
    $( Move antecedent outside of "at most one." $)
    moimv $p |- ( E* x ( ph -> ps ) -> ( ph -> E* x ps ) ) $=
      ( vy wi wmo weq wal wex ax-1 a1i imim1d alimdv eximdv ax-17 3imtr4g com12
      mo2 ) AABEZCFZBCFZASCDGZEZCHZDIBUBEZCHZDITUAAUDUFDAUCUECABSUBBSEABAJKLMNS
      CDSDORBCDBDORPQ $.
      $( [28-Jul-1995] $)
  $}

  $( Uniqueness implies "at most one" through implication. $)
  euimmo $p |- ( A. x ( ph -> ps ) -> ( E! x ps -> E* x ph ) ) $=
    ( weu wmo wi wal eumo immo syl5 ) BCDBCEABFCGACEBCHABCIJ $.
    $( [22-Apr-1995] $)

  $( Add existential uniqueness quantifiers to an implication.  Note the
     reversed implication in the antecedent.  (The proof was shortened by
     Andrew Salmon, 14-Jun-2011.) $)
  euim $p |- ( ( E. x ph /\ A. x ( ph -> ps ) ) -> ( E! x ps -> E! x ph ) ) $=
    ( wex wi wal wa weu wmo ax-1 euimmo anim12ii eu5 syl6ibr ) ACDZABECFZGBCHZO
    ACIZGACHOQOPROQJABCKLACMN $.
    $( [14-Jun-2011] $) $( [19-Oct-2005] $)

  $( "At most one" is still the case when a conjunct is added. $)
  moan $p |- ( E* x ph -> E* x ( ps /\ ph ) ) $=
    ( wa simpr immoi ) BADACBAEF $.
    $( [22-Apr-1995] $)

  ${
    moani.1 $e |- E* x ph $.
    $( "At most one" is still true when a conjunct is added. $)
    moani $p |- E* x ( ps /\ ph ) $=
      ( wmo wa moan ax-mp ) ACEBAFCEDABCGH $.
      $( [9-Mar-1995] $)
  $}

  $( "At most one" is still the case when a disjunct is removed. $)
  moor $p |- ( E* x ( ph \/ ps ) -> E* x ph ) $=
    ( wo orc immoi ) AABDCABEF $.
    $( [5-Apr-2004] $)

  $( "At most one" imports disjunction to conjunction.  (The proof was
     shortened by Andrew Salmon, 9-Jul-2011.) $)
  mooran1 $p |- ( ( E* x ph \/ E* x ps ) -> E* x ( ph /\ ps ) ) $=
    ( wmo wa simpl immoi moan jaoi ) ACDABEZCDBCDJACABFGBACHI $.
    $( [9-Jul-2011] $) $( [5-Apr-2004] $)

  $( "At most one" exports disjunction to conjunction.  (The proof was
     shortened by Andrew Salmon, 9-Jul-2011.) $)
  mooran2 $p |- ( E* x ( ph \/ ps ) -> ( E* x ph /\ E* x ps ) ) $=
    ( wo wmo moor olc immoi jca ) ABDZCEACEBCEABCFBJCBAGHI $.
    $( [9-Jul-2011] $) $( [5-Apr-2004] $)

  ${
    $d x y $.  $d y ph $.  $d y ps $.
    moanim.1 $e |- ( ph -> A. x ph ) $.
    $( Introduction of a conjunct into "at most one" quantifier. $)
    moanim $p |- ( E* x ( ph /\ ps ) <-> ( ph -> E* x ps ) ) $=
      ( vy wa weq wi wal wex impexp albii 19.21 bitri exbii ax-17 imbi2i 19.37v
      wmo mo2 bitr4i 3bitr4i ) ABFZCEGZHZCIZEJABUDHZCIZHZEJZUCCSABCSZHZUFUIEUFA
      UGHZCIUIUEUMCABUDKLAUGCDMNOUCCEUCEPTULAUHEJZHUJUKUNABCEBEPTQAUHERUAUB $.
      $( [3-Dec-2001] $)

    $( Introduction of a conjunct into uniqueness quantifier.  (The proof was
       shortened by Andrew Salmon, 9-Jul-2011.) $)
    euan $p |- ( E! x ( ph /\ ps ) <-> ( ph /\ E! x ps ) ) $=
      ( wa weu wex wmo simpl exlimi adantr simpr eximi hbe1 ancrd impbid2 mobid
      a1d biimpa eu5 jca32 anbi2i 3imtr4i ibar eubid impbii ) ABEZCFZABCFZEZUGC
      GZUGCHZEZABCGZBCHZEZEUHUJUMAUNUOUKAULUGACDABIJZKUKUNULUGBCABLZMKUKULUOUKU
      GBCUGCNUKUGBURUKBAUKABUQROPQSUAUGCTUIUPABCTUBUCAUIUHABUGCDABUDUESUF $.
      $( [9-Jul-2011] $) $( [19-Feb-2005] $)
  $}

  ${
    $d x y ph $.  $d y ps $.
    $( Introduction of a conjunct into "at most one" quantifier. $)
    moanimv $p |- ( E* x ( ph /\ ps ) <-> ( ph -> E* x ps ) ) $=
      ( ax-17 moanim ) ABCACDE $.
      $( [23-Mar-1995] $)
  $}

  $( Nested "at most one" and uniqueness quantifiers. $)
  moaneu $p |- E* x ( ph /\ E! x ph ) $=
    ( weu wa wmo wi eumo hbeu1 moanim mpbir ancom mobii ) AABCZDZBEMADZBEZPMABE
    FABGMABABHIJNOBAMKLJ $.
    $( [25-Jan-2006] $)

  $( Nested "at most one" quantifiers. $)
  moanmo $p |- E* x ( ph /\ E* x ph ) $=
    ( wmo wa wi id hbmo1 moanim mpbir ancom mobii ) AABCZDZBCLADZBCZOLLELFLABAB
    GHIMNBALJKI $.
    $( [25-Jan-2006] $)

  ${
    $d x ph $.
    $( Introduction of a conjunct into uniqueness quantifier. $)
    euanv $p |- ( E! x ( ph /\ ps ) <-> ( ph /\ E! x ps ) ) $=
      ( ax-17 euan ) ABCACDE $.
      $( [23-Mar-1995] $)
  $}

  ${
    $d x y $.  $d y ph $.  $d y ps $.
    $( "At most one" picks a variable value, eliminating an existential
       quantifier. $)
    mopick $p |- ( ( E* x ph /\ E. x ( ph /\ ps ) ) -> ( ph -> ps ) ) $=
      ( vy wa wex wmo wi wsb ax-17 hbs1 hban weq sbequ12 anbi12d cbvex wal ax-4
      mo3 sylbi a4s sbequ2 imim2i exp3a com4t imp syl5 exlimiv impcom ) ABEZCFZ
      ACGZABHZUKACDIZBCDIZEZDFULUMHZUJUPCDUJDJUNUOCACDKBCDKLCDMZAUNBUOACDNBCDNO
      PUPUQDULAUNEZURHZUPUMULUTDQZCQUTACDADJSVAUTCUTDRUATUNUOUTUMHUTAUNUOBUTAUN
      UOBHZURVBUSBCDUBUCUDUEUFUGUHTUI $.
      $( [27-Jan-1997] $)
  $}

  $( Existential uniqueness "picks" a variable value for which another wff is
     true.  If there is only one thing ` x ` such that ` ph ` is true, and
     there is also an ` x ` (actually the same one) such that ` ph ` and ` ps `
     are both true, then ` ph ` implies ` ps ` regardless of ` x ` .  This
     theorem can be useful for eliminating existential quantifiers in a
     hypothesis.  Compare Theorem *14.26 in [WhiteheadRussell] p. 192. $)
  eupick $p |- ( ( E! x ph /\ E. x ( ph /\ ps ) ) -> ( ph -> ps ) ) $=
    ( weu wmo wa wex wi eumo mopick sylan ) ACDACEABFCGABHACIABCJK $.
    $( [10-Jul-1994] $)

  $( Version of ~ eupick with closed formulas. $)
  eupicka $p |- ( ( E! x ph /\ E. x ( ph /\ ps ) ) -> A. x ( ph -> ps ) ) $=
    ( weu wa wex wi hbeu1 hbe1 hban eupick alrimi ) ACDZABEZCFZEABGCMOCACHNCIJA
    BCKL $.
    $( [6-Sep-2008] $)

  $( Existential uniqueness "pick" showing wff equivalence. $)
  eupickb $p |- ( ( E! x ph /\ E! x ps /\ E. x ( ph /\ ps ) ) ->
               ( ph <-> ps ) ) $=
    ( weu wa wex w3a wi eupick 3adant2 3simpc pm3.22 eximi anim2i 3syl impbid )
    ACDZBCDZABEZCFZGZABQTABHRABCIJUARTERBAEZCFZEBAHQRTKTUCRSUBCABLMNBACIOP $.
    $( [25-Nov-1994] $)

  $( Theorem *14.26 in [WhiteheadRussell] p. 192.  (Contributed by Andrew
     Salmon, 11-Jul-2011.) $)
  eupickbi $p |- ( E! x ph -> ( E. x ( ph /\ ps ) <-> A. x ( ph -> ps ) ) ) $=
    ( weu wa wex wi wal eupicka ex hba1 wb ancl simpl impbid1 eubid euex syl6bi
    a4s com12 impbid ) ACDZABEZCFZABGZCHZUBUDUFABCIJUFUBUDUFUBUCCDUDUFAUCCUECKU
    EAUCLCUEAUCABMABNOSPUCCQRTUA $.
    $( [11-Jul-2011] $)

  $( "At most one" can show the existence of a common value.  In this case we
     can infer existence of conjunction from a conjunction of existence, and it
     is one way to achieve the converse of ~ 19.40 .  (The proof was shortened
     by Andrew Salmon, 9-Jul-2011.) $)
  mopick2 $p |- ( ( E* x ph /\ E. x ( ph /\ ps ) /\ E. x ( ph /\ ch ) ) ->
                E. x ( ph /\ ps /\ ch ) ) $=
    ( wmo wa wex w3a hbmo1 hbe1 mopick ancld anim1d df-3an syl6ibr eximd 3impia
    hban ) ADEZABFZDGZACFZDGABCHZDGSUAFZUBUCDSUADADITDJRUDUBTCFUCUDATCUDABABDKL
    MABCNOPQ $.
    $( [9-Jul-2011] $) $( [5-Apr-2004] $)

  $( Introduce or eliminate a disjunct in a uniqueness quantifier.  (The proof
     was shortened by Andrew Salmon, 9-Jul-2011.) $)
  euor2 $p |- ( -. E. x ph -> ( E! x ( ph \/ ps ) <-> E! x ps ) ) $=
    ( wex wn wo hbe1 hbn wb 19.8a con3i orel1 olc impbid1 syl eubid ) ACDZEZABF
    ZBCQCACGHRAEZSBIAQACJKTSBABLBAMNOP $.
    $( [9-Jul-2011] $) $( [21-Oct-2005] $)

  ${
    moexex.1 $e |- ( ph -> A. y ph ) $.
    $( "At most one" double quantification. $)
    moexex $p |- ( ( E* x ph /\ A. x E* y ps ) -> E* y E. x ( ph /\ ps ) ) $=
      ( wmo wal wa wex wi hbmo1 hba1 hbe1 hbmo hbim mopick ex exlimi wn a1d ori
      com3r alrimd immo a4sd syl6 hbex exsimpl con3i exmo syl pm2.61i imp ) ACF
      ZBDFZCGZABHZCIZDFZACIZUNUPUSJZJZAVBCUNVACACKUPUSCUOCLURCDUQCMNOOAUNURBJZD
      GZVAAUNVCDEADCENUNURABUNURABJABCPQUBUCVDUOUSCURBDUDUEUFRUTSZVAUNVEUSUPVEU
      RDIZSUSVFUTURUTDADCEUGABCUHRUIVFUSURDUJUAUKTTULUM $.
      $( [3-Dec-2001] $)
  $}

  ${
    $d y ph $.
    $( "At most one" double quantification. $)
    moexexv $p |- ( ( E* x ph /\ A. x E* y ps ) -> E* y E. x ( ph /\ ps ) ) $=
      ( ax-17 moexex ) ABCDADEF $.
      $( [26-Jan-1997] $)
  $}

  $( Double quantification with "at most one." $)
  2moex $p |- ( E* x E. y ph -> A. y E* x ph ) $=
    ( wex wmo hbe1 hbmo 19.8a immoi alrimi ) ACDZBEABECKCBACFGAKBACHIJ $.
    $( [3-Dec-2001] $)

  $( Double quantification with existential uniqueness.  (The proof was
     shortened by Andrew Salmon, 9-Jul-2011.) $)
  2euex $p |- ( E! x E. y ph -> E. y E! x ph ) $=
    ( wex weu wmo wa eu5 excom hbe1 19.8a immoi df-mo sylib eximd syl5bi impcom
    hbmo wi sylbi ) ACDZBEUABDZUABFZGABEZCDZUABHUCUBUEUBABDZCDUCUEABCIUCUFUDCUA
    CBACJRUCABFUFUDSAUABACKLABMNOPQT $.
    $( [9-Jul-2011] $) $( [3-Dec-2001] $)

  $( Double quantification with existential uniqueness and "at most one." $)
  2eumo $p |- ( E! x E* y ph -> E* x E! y ph ) $=
    ( weu wmo wi euimmo eumo mpg ) ACDZACEZFKBDJBEFBJKBGACHI $.
    $( [3-Dec-2001] $)

  $( Double existential uniqueness. $)
  2eu2ex $p |- ( E! x E! y ph -> E. x E. y ph ) $=
    ( weu wex euex eximi syl ) ACDZBDIBEACEZBEIBFIJBACFGH $.
    $( [3-Dec-2001] $)

  $( A condition allowing swap of "at most one" and existential quantifiers. $)
  2moswap $p |- ( A. x E* y ph -> ( E* x E. y ph -> E* y E. x ph ) ) $=
    ( wmo wal wex wa hbe1 moexex expcom 19.8a pm4.71ri exbii mobii syl6ibr ) AC
    DBEZACFZBDZQAGZBFZCDZABFZCDRPUAQABCACHIJUBTCASBAQACKLMNO $.
    $( [10-Apr-2004] $)

  $( A condition allowing swap of uniqueness and existential quantifiers. $)
  2euswap $p |- ( A. x E* y ph -> ( E! x E. y ph -> E! y E. x ph ) ) $=
    ( wmo wal wex wa weu wi excomim a1i 2moswap anim12d eu5 3imtr4g ) ACDBEZACF
    ZBFZQBDZGABFZCFZTCDZGQBHTCHPRUASUBRUAIPABCJKABCLMQBNTCNO $.
    $( [10-Apr-2004] $)

  $( Double existential uniqueness implies double uniqueness quantification. $)
  2exeu $p |- ( ( E! x E. y ph /\ E! y E. x ph ) -> E! x E! y ph ) $=
    ( wex wmo weu excom hbe1 19.41 19.8a immoi anim2i eximi sylbir sylanb simpl
    wa hbmo eu5 anbi12i adantl anim12i ancoms exbii mobii bitri 3imtr4i ) ACDZB
    DZUHBEZQZABDZCDZULCEZQZQUHACEZQZBDZUQBEZQZUHBFZULCFZQACFZBFZUOUKUTUOURUKUSU
    MUIUNURACBGUIUNQUHUNQZBDURUHUNBULBCABHRIVEUQBUNUPUHAULCABJKLMNOUJUSUIUQUHBU
    HUPPKUAUBUCVAUKVBUOUHBSULCSTVDVCBDZVCBEZQUTVCBSVFURVGUSVCUQBACSZUDVCUQBVHUE
    TUFUG $.
    $( [3-Dec-2001] $)

  ${
    $d x y z w v u $.  $d z w v u ph $.
    $( Two equivalent expressions for double "at most one." $)
    2mo $p |- ( E. z E. w A. x A. y ( ph -> ( x = z /\ y = w ) ) <->
              A. x A. y A. z A. w ( ( ph /\ [ z / x ] [ w / y ] ph ) ->
                   ( x = z /\ y = w ) ) ) $=
      ( vv vu weq wa wi wal wex wsb equequ2 bi2anan9 ax-17 albii bitri 2alimi
      wn imbi2d 2albidv cbvex2v hbs1 hbim hbsb sbequ12 sylan9bbr equequ1 cbval2
      imbi12d biimpi ancli alcom aaan hbal sylibr prth equtr2 anim12i an4s syl6
      syl exlimivv sylbir impexp bi2.04 2albii alrimi 2eximi alrot4 alim al2imi
      sylbi exim alimi syl5com syl5bi alnex notbid biimpri pm2.21 19.8a 19.23bi
      3syl hbn a1d pm2.61i impbii ) ABDHZCEHZIZJZCKZBKZELZDLZAACEMZBDMZIZWLJZEK
      DKZCKBKZWQABFHZCGHZIZJZCKZBKZGLFLXCXIWOFGDEFDHZGEHZIZXGWMBCXLXFWLAXJXDWJX
      KXEWKFDBNGECNOUAUBUCXIXCFGXIXGWSDFHZEGHZIZJZIZEKZDKZCKZBKZXCXIXIXPEKZDKZI
      ZYAXIYCXIYCXGXPBCDEXGDPXGEPZWSXOBWRBDUDZXOBPUEZWSXOCWRBDCACEUDUFZXOCPUEZW
      LAWSXFXOWKAWRWJWSACEUGWRBDUGUHZWJXDXMWKXEXNBDFUICEGUIOUKUJULUMYAXHYBIZDKZ
      BKYDXTYLBXTXRCKZDKYLXRCDUNYMYKDXGXPCEYEYIUOQRQXHYBBDXHDPXPBEYGUPUORUQXSXB
      BCXQXADEXQWTXFXOIWLAXFWSXOURXDXMXEXNWLXDXMIWJXEXNIWKBDFUSCEGUSUTVAVBSSVCV
      DVEWSELZDLZXCWQJXCWSWMJZEKDKZCKBKZYOWQXBYQBCXAYPDEXAAWSWLJJYPAWSWLVFAWSWL
      VGRVHVHYOWSCKZBKZELZDLZYRWQWSYTDEWSYSBYFYHVIVJYRYTWOJZEKZDKZUUAWPJZDKUUBW
      QJYRYPCKZBKZEKDKUUEYPBCDEVKUUHUUCDEUUGYSWNBWSWMCVLVMSVNUUDUUFDYTWOEVOVPUU
      AWPDVOWEVQVRYOTZWQXCUUIWSTZEKZDKZWQUULYNTZDKUUIUUKUUMDWSEVSQYNDVSRUULATZC
      KBKZWOWQUUOUULUUNUUJBCDEUUNDPUUNEPWSBYFWFWSCYHWFWLAWSYJVTUJWAUUNWMBCAWLWB
      SWOWQEWPDWCWDWEVEWGWHWI $.
      $( [2-Feb-2005] $)
  $}

  ${
    $d z w ph $.  $d x y ps $.  $d x y z w $.
    2mos.1 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Double "exists at most one", using implicit substitition. $)
    2mos $p |- ( E. z E. w A. x A. y ( ph -> ( x = z /\ y = w ) ) <->
             A. x A. y A. z A. w ( ( ph /\ ps ) -> ( x = z /\ y = w ) ) ) $=
      ( weq wa wi wal wex wsb 2mo ax-17 sbrim wb expcom sbie 2albii pm5.74ri
      pm5.74d bitr3i anbi2i imbi1i bitri ) ACEHZDFHZIZJDKCKFLELAADFMZCEMZIZUIJZ
      FKEKZDKCKABIZUIJZFKEKZDKCKACDEFNUNUQCDUMUPEFULUOUIUKBAUJBCEBCOUGUJBUGUJJU
      GAJZDFMUGBJZUGADFUGDOPURUSDFUSDOUHUGABUGUHABQGRUBSUCUASUDUETTUF $.
      $( [10-Feb-2005] $)
  $}

  $( Double existential uniqueness.  This theorem shows a condition under which
     a "naive" definition matches the correct one. $)
  2eu1 $p |- ( A. x E* y ph ->
        ( E! x E! y ph <-> ( E! x E. y ph /\ E! y E. x ph ) ) ) $=
    ( wmo wal weu wex wa wi eu5 exbii mobii anbi12i bitri simprbi anim2i ancoms
    ax-4 sylib com12 immoi hba1 moanim ancrd 2moswap imdistani syl 2eu2ex excom
    syl6 jca jctild an4 syl6ibr 2exeu impbid1 ) ACDZBEZACFZBFZACGZBFZABGZCFZHZU
    TURVEUTURVABGZVCCGZHZVABDZVCCDZHZHZVEUTURVKVHUTVAUQHZBDZURVKIUTVMBGZVNUTUSB
    GZUSBDZHVOVNHUSBJVPVOVQVNUSVMBACJZKUSVMBVRLMNOVNURVIURHVKVNURVIVNURVAHZBDUR
    VIIVSVMBVAURVMURUQVAUQBRPQUAURVABUQBUBUCSUDVIURVJURVIVJABCUETUFUJUGUTVFVGAB
    CUHZUTVFVGVTABCUISUKULVEVFVIHZVGVJHZHVLVBWAVDWBVABJVCCJMVFVIVGVJUMNUNTABCUO
    UP $.
    $( [3-Dec-2001] $)

  $( Double existential uniqueness. $)
  2eu2 $p |- ( E! y E. x ph -> ( E! x E! y ph <-> E! x E. y ph ) ) $=
    ( wex weu wmo wal wi eumo 2moex 2eu1 simpl syl6bi 3syl 2exeu expcom impbid
    wa ) ABDZCEZACEBEZACDBEZTSCFACFBGZUAUBHSCIACBJUCUAUBTRUBABCKUBTLMNUBTUAABCO
    PQ $.
    $( [3-Dec-2001] $)


  $( Double existential uniqueness. $)
  2eu3 $p |- ( A. x A. y ( E* x ph \/ E* y ph ) ->
 ( ( E! x E! y ph /\ E! y E! x ph ) <-> ( E! x E. y ph /\ E! y E. x ph ) ) ) $=
    ( wmo wo wal weu wa wex wb hbmo1 19.31 albii hbal 19.32 bitri wi 2eu1 2exeu
    biimpd ancom syl6ib adantld adantrd jaoi ancoms jca impbid1 sylbi ) ABDZACD
    ZECFZBFZUJCFZUKBFZEZACGBGZABGCGZHZACIBGZABICGZHZJUMUNUKEZBFUPULVCBUJUKCACKL
    MUNUKBUJBCABKNOPUPUSVBUNUSVBQUOUNURVBUQUNURVAUTHZVBUNURVDACBRTVAUTUAUBUCUOU
    QVBURUOUQVBABCRTUDUEVBUQURABCSVAUTURACBSUFUGUHUI $.
    $( [3-Dec-2001] $)

  ${
    $d x y z w $.  $d z w ph $.
    $( This theorem provides us with a definition of double existential
       uniqueness ("exactly one ` x ` and exactly one ` y ` ").  Naively one
       might think (incorrectly) that it could be defined by
       ` E! x E! y ph ` .  See ~ 2eu1 for a condition under which the naive
       definition holds and ~ 2exeu for a one-way implication.  See ~ 2eu5 and
       ~ 2eu8 for alternate definitions. $)
    2eu4 $p |- ( ( E! x E. y ph /\ E! y E. x ph ) <->
      ( E. x E. y ph /\ E. z E. w A. x A. y ( ph -> ( x = z /\ y = w ) ) ) ) $=
      ( wex weu wa weq wal ax-17 eu3 anbi12i anbi2i bitri hba1 19.3 19.26 albii
      wi an4 excom anidm jcab 3bitr4ri alcom bitr4i 19.23v 2albii 3bitri 2exbii
      hbe1 hbim aaan eeanv bitr2i ) ACFZBGZABFZCGZHUQBFZUQBDIZTZBJZDFZHZUSCFZUS
      CEIZTZCJZEFZHZHVAVGHZVEVKHZHVAAVBVHHTZCJZBJZEFDFZHURVFUTVLUQBDUQDKLUSCEUS
      EKLMVAVEVGVKUAVMVAVNVRVMVAVAHVAVGVAVAACBUBNVAUCOVRVDVJHZEFDFVNVQVSDEVQAVB
      TZCJZAVHTZBJZHZCJZBJZVCVIHZCJBJVSVQWAWBCJZBJZHZBJZWFWABJZWIBJZHWLWIHZWKVQ
      WMWIWLWIBWHBPQNWAWIBRVQWAWHHZBJWNVPWOBVPVTWBHZCJWOVOWPCAVBVHUDSVTWBCROSWA
      WHBROUEWEWJBWEWACJZWCCJZHWJWAWCCRWQWAWRWIWACVTCPQWBCBUFMOSUGWDWGBCWAVCWCV
      IAVBCUHAVHBUHMUIVCVIBCUQVBCACULVBCKUMUSVHBABULVHBKUMUNUJUKVDVJDEUOUPMUJ
      $.
      $( [3-Dec-2001] $)

    $( An alternate definition of double existential uniqueness (see ~ 2eu4 ).
       A mistake sometimes made in the literature is to use ` E! x E! y ` to
       mean "exactly one ` x ` and exactly one ` y ` ."  (For example, see
       Proposition 7.53 of [TakeutiZaring] p. 53.)  It turns out that this is
       actually a weaker assertion, as can be seen by expanding out the formal
       definitions.  This theorem shows that the erroneous definition can be
       repaired by conjoining ` A. x E* y ph ` as an additional condition.  The
       correct definition apparently has never been published.  ( ` E* ` means
       "exists at most one.") $)
    2eu5 $p |- ( ( E! x E! y ph /\ A. x E* y ph ) <->
      ( E. x E. y ph /\ E. z E. w A. x A. y ( ph -> ( x = z /\ y = w ) ) ) ) $=
      ( weu wmo wal wa wex weq 2eu1 pm5.32ri eumo adantl 2moex syl pm4.71i 2eu4
      wi 3bitr2i ) ACFBFZACGBHZIACJZBFZABJZCFZIZUCIUHUDBJABDKCEKITCHBHEJDJIUCUB
      UHABCLMUHUCUHUFCGZUCUGUIUEUFCNOACBPQRABCDESUA $.
      $( [26-Oct-2003] $)
  $}

  ${
    $d x y z w v u $.  $d z w v u ph $.
    $( Two equivalent expressions for double existential uniqueness. $)
    2eu6 $p |- ( ( E! x E. y ph /\ E! y E. x ph ) <->
               E. z E. w A. x A. y ( ph <-> ( x = z /\ y = w ) ) ) $=
      ( vu vv wex wa weq wi wal ax-17 hbsb sbequ12 equequ2 bi2anan9 hbim 2exbii
      wsb weu 2eu4 19.29r2 hbs1 sylan9bbr cbvex2 imbi2d 2albidv cbvex2v equequ1
      wb imbi12d cbval2 3bitri anbi12i 2albiim ancom bitri equcom imbi2i impexp
      2mo 2albii hban sbco2 sbcom2 sbbii 3bitr3ri syl6bb anbi2d 19.21-2 3bitr3i
      anbi2i abai 2sb6 anbi1i 3bitr2i bitr4i 3imtr4i 2alimi 2eximi 2exsb sylibr
      bi2 bi1 jca impbii ) ACHZBUAABHCUAIWHBHZABDJZCEJZIZKZCLBLZEHDHZIZAWLUKZCL
      BLZEHDHZABCDEUBWPWSACETZBDTZEHDHZXAXAEFTZDGTZIZDGJZEFJZIZKZFLGLZELDLZIXAX
      JIZEHDHZWPWSXAXJDEUCWIXBWOXKAXABCDEADMAEMZWTBDUDZWTBDCACEUDNZWKAWTWJXAACE
      OWTBDOUEZUFWOABGJZCFJZIZKZCLBLZFHGHXAXHKZELDLZFHGHXKWNYBDEGFXHWMYABCXHWLX
      TAXFWJXRXGWKXSDGBPEFCPQUGUHUIYBYDGFYAYCBCDEYADMYAEMXAXHBXOXHBMZRXAXHCXPXH
      CMZRWLAXAXTXHXQWJXRXFWKXSXGBDGUJCEFUJQULUMSXADEGFVBUNUOWSWLAKZCLBLZWNIZEH
      DHXMWRYIDEWRWNYHIYIAWLBCUPWNYHUQURSXLYIDEXLXAXAWNKZIXAWNIYIXJYJXAXAAIZDBJ
      ZECJZIZKZCLBLXAWMKZCLBLXJYJYOYPBCYOYKWLKYPYNWLYKYLWJYMWKDBUSECUSUOUTXAAWL
      VAURVCYOXIBCGFYOGMYOFMXEXHBXAXDBXOXCDGBXAEFBXONNVDYERXEXHCXAXDCXPXCDGCXAE
      FCXPNNVDYFRXTYKXEYNXHXTAXDXAXTAACFTZBGTZXDXSAYQXRYRACFOYQBGOUEWTEFTZBDTZD
      GTYSBGTXDYRYSBGDYSDMVEYTXCDGWTEFBDVFVGYSYQBGACFEXNVEVGVHVIVJXRYLXFXSYMXGB
      GDPCFEPQULUMXAWMBCXOXPVKVLVMXAWNVNXAYHWNABCDEVOVPVQSVRVSWSWIWOWSYHEHDHWIW
      RYHDEWQYGBCAWLWDVTWAABCDEWBWCWRWNDEWQWMBCAWLWEVTWAWFWGUR $.
      $( [2-Feb-2005] $)
  $}

  $( Two equivalent expressions for double existential uniqueness. $)
  2eu7 $p |- ( ( E! x E. y ph /\ E! y E. x ph ) <->
             E! x E! y ( E. x ph /\ E. y ph ) ) $=
    ( wex weu wa hbe1 hbeu euan ancom eubii 3bitri 3bitr4ri ) ABDZCEZACDZFZBEOP
    BEZFNPFZCEZBEROFOPBNBCABGHITQBTPNFZCEPOFQSUACNPJKPNCACGIPOJLKROJM $.
    $( [19-Feb-2005] $)

  $( Two equivalent expressions for double existential uniqueness.  Curiously,
     we can put ` E! ` on either of the internal conjuncts but not both.  We
     can also commute ` E! x E! y ` using ~ 2eu7 . $)
  2eu8 $p |- ( E! x E! y ( E. x ph /\ E. y ph ) <->
                E! x E! y ( E! x ph /\ E. y ph ) ) $=
    ( wex wa 2eu2 pm5.32i hbeu1 hbeu euan ancom eubii hbe1 3bitri 3bitr4ri 2eu7
    weu 3bitr3ri ) ACDZBQZABQZCQZEZTABDZCQZEUASEZCQZBQZUDSECQBQTUBUEACBFGUBSEZB
    QUBTEUHUCUBSBUABCABHIJUGUIBUGSUAEZCQSUBEUIUFUJCUASKLSUACACMJSUBKNLTUBKOABCP
    R $.
    $( [20-Feb-2005] $)

  ${
    $d x y z $.
    $( Equality has existential uniqueness.  Special case of ~ eueq1 proved
       using only predicate calculus.  (Contributed by Stefan Allan,
       4-Dec-2008.) $)
    euequ1 $p |- E! x x = y $=
      ( vz weq weu wex wa wi wal a9e equtr2 gen2 equequ1 eu4 mpbir2an ) ABDZAEP
      AFPCBDZGACDHZCIAIABJRACACBKLPQACACBMNO $.
      $( [4-Dec-2008] $)
  $}

  ${
    $d x y $.
    $( Two ways to express "only one thing exists."  The left-hand side
       requires only one variable to express this.  Both sides are false in set
       theory. $)
    exists1 $p |- ( E! x x = x <-> A. x x = y ) $=
      ( weq weu wb wal wex df-eu equid tbt bicom bitri albii exbii hbae 3bitr2i
      19.9 ) AACZADRABCZEZAFZBGSAFZBGUBRABHUBUABSTASSRETRSAIJSRKLMNUBBABBOQP $.
      $( [5-Apr-2004] $)

    $( A condition implying that at least two things exist.  (The proof was
       shortened by Andrew Salmon, 9-Jul-2011.) $)
    exists2 $p |- ( ( E. x ph /\ E. x -. ph ) -> -. E! x x = x ) $=
      ( vy wex wn cv wceq weu wal hbeu1 hba1 wi exists1 ax-16 sylbi exlimd alex
      com12 syl6ib con2d imp ) ABDZAEBDZBFZUDGZBHZEUBUFUCUBUFABIZUCEUFUBUGUFAUG
      BUEBJABKUFUDCFGBIAUGLBCMABCNOPRABQSTUA $.
      $( [9-Jul-2011] $) $( [10-Apr-2004] $)
  $}

$(
###############################################################################
                NEW FOUNDATIONS (NF) SET THEORY
###############################################################################

Here we introduce New Foundations set theory.
We first introduce the axiom of extensionality in ~ ax-ext .
We later add set construction axioms from
{{Hailperin}}, such as ~ ax-nin ,
that are designed to implement the
Stratification Axiom from {{Quine2}}.

We then introduce ordered pairs, relationships, and functions.
Note that the definition of an ordered pair (in ~ df-op ) is different
than the Kuratowski ordered pair definition (in ~ df-opk )
typically used in ZFC, because the Kuratowski definition is not type-level.

We conclude with orderings.
$)

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
             NF Set Theory - start with the Axiom of Extensionality
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Introduce the Axiom of Extensionality
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $v t $.
  $( Let ` t ` be an individual variable. $)
  vt $f set t $.

$(
$)

  ${
    $d x y z $.
    $( Axiom of Extensionality.  An axiom of New Foundations set theory.  It
       states that two sets are identical if they contain the same elements.
       Axiom Ext of [BellMachover] p. 461.

       Set theory can also be formulated with a _single_ primitive predicate
       ` e. ` on top of traditional predicate calculus _without_ equality.  In
       that case the Axiom of Extensionality becomes
       ` ( A. w ( w e. x <-> w e. y ) -> ( x e. z -> y e. z ) ) ` , and
       equality ` x = y ` is _defined_ as ` A. w ( w e. x <-> w e. y ) ` .  All
       of the usual axioms of equality then become theorems of set theory.
       See, for example, Axiom 1 of [TakeutiZaring] p. 8.

       To use the above "equality-free" version of Extensionality with
       Metamath's logical axioms, we would rewrite ~ ax-8 through ~ ax-16 with
       equality expanded according to the above definition.  Some of those
       axioms could be proved from set theory and would be redundant.  Not all
       of them are redundant, since our axioms of predicate calculus make
       essential use of equality for the proper substitution that is a
       primitive notion in traditional predicate calculus.  A study of such an
       axiomatization would be an interesting project for someone exploring the
       foundations of logic.

       _General remarks_:  Our set theory axioms are presented using defined
       connectives ( ` <-> ` , ` E. ` , etc.) for convenience.  However, it is
       implicitly understood that the actual axioms use only the primitive
       connectives ` -> ` , ` -. ` , ` A. ` , ` = ` , and ` e. ` .  It is
       straightforward to establish the equivalence between the actual axioms
       and the ones we display, and we will not do so.

       It is important to understand that strictly speaking, all of our set
       theory axioms are really schemes that represent an infinite number of
       actual axioms.  This is inherent in the design of Metamath
       ("metavariable math"), which manipulates only metavariables.  For
       example, the metavariable ` x ` in ~ ax-ext can represent any actual
       variable _v1_, _v2_, _v3_,... .  Distinct variable restrictions ($d)
       prevent us from substituting say _v1_ for both ` x ` and ` z ` .  This
       is in contrast to typical textbook presentations that present actual
       axioms.  In practice, though, the theorems and proofs are essentially
       the same.  The $d restrictions make each of the the infinite axioms
       generated by the ~ ax-ext scheme exactly logically equivalent to each
       other and in particular to the actual axiom of the textbook version. $)
    ax-ext $a |- ( A. z ( z e. x <-> z e. y ) -> x = y ) $.

    $( The Axiom of Extensionality ( ~ ax-ext ) restated so that it postulates
       the existence of a set ` z ` given two arbitrary sets ` x ` and ` y ` .
       This way to express it follows the general idea of the other ZFC axioms,
       which is to postulate the existence of sets given other sets. $)
    axext2 $p |- E. z ( ( z e. x <-> z e. y ) -> x = y ) $=
      ( cv wcel wb wceq wi wex wal ax-ext 19.36v mpbir ) CDZADZENBDZEFZOPGZHCIQ
      CJRHABCKQRCLM $.
      $( [28-Sep-2003] $)
  $}

  ${
    $d z x w $.  $d z y w $.
    $( A generalization of the Axiom of Extensionality in which ` x ` and ` y `
       need not be distinct.  (The proof was shortened by Andrew Salmon,
       12-Aug-2011.) $)
    axext3 $p |- ( A. z ( z e. x <-> z e. y ) -> x = y ) $=
      ( vw cv wcel wb wal wi elequ2 bibi1d albidv equequ1 imbi12d ax-ext chvarv
      wceq ) CEZDEZFZRBEZFZGZCHZSUAQZIRAEZFZUBGZCHZUFUAQZIDASUFQZUDUIUEUJUKUCUH
      CUKTUGUBDACJKLDABMNDBCOP $.
      $( [12-Aug-2011] $) $( [15-Sep-1993] $)

    $( A bidirectional version of Extensionality.  Although this theorem
       "looks" like it is just a definition of equality, it requires the Axiom
       of Extensionality for its proof under our axiomatization.  See the
       comments for ~ ax-ext and ~ df-cleq . $)
    axext4 $p |- ( x = y <-> A. z ( z e. x <-> z e. y ) ) $=
      ( cv wceq wcel wb wal elequ2 alrimiv axext3 impbii ) ADZBDZEZCDZMFPNFGZCH
      OQCABCIJABCKL $.
      $( [14-Nov-2008] $)
  $}

  ${
    $d x y z $.  $d ph z $.
    bm1.1.1 $e |- ( ph -> A. x ph ) $.
    $( Any set defined by a property is the only set defined by that property.
       Theorem 1.1 of [BellMachover] p. 462. $)
    bm1.1 $p |- ( E. x A. y ( y e. x <-> ph ) ->
                  E! x A. y ( y e. x <-> ph ) ) $=
      ( vz cv wcel wb wal wex wsbc wa wceq wi weu ax-17 hbbi hbal elequ2 bibi1d
      albidv sbie 19.26 biantr alimi ax-ext syl sylbir sylan2b gen2 jctr sylibr
      eu2 ) CFZBFZGZAHZCIZBJZUSURURBEFZKZLUOUTMZNZEIBIZLURBOUSVDVCBEVAURUNUTGZA
      HZCIZVBURVGBEVFBCVEABVEBPDQRVBUQVFCVBUPVEABECSTUAUBURVGLUQVFLZCIZVBUQVFCU
      CVIUPVEHZCIVBVHVJCUPAVEUDUEBECUFUGUHUIUJUKURBEUREPUMUL $.
      $( [30-Jun-1994] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                   Class abstractions (a.k.a. class builders)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constants use in class definition. $)
  $c { $. $( Left brace $)
  $c | $.  $( Vertical bar $)
  $c } $. $( Right brace $)
  $( --- Start of old code before overloading prevention patch. $)
  $(
  @c class @. @( Class variable type @)
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( Declare variable symbols that will be used to represent classes.  Note
     that later on ` R ` , ` S ` , ` F ` and ` G ` denote relations and
     functions, but these letters serve as mnemonics only and in fact behave
     no differently from the variables ` A ` through ` D ` . $)
  $v A $.
  $v B $.
  $v C $.
  $v D $.
  $v P $.
$( $v .+ $. $)
  $v Q $.
  $v R $.
  $v S $.
  $v T $.
$( $v .x $. $)
  $v U $.
$( $v .1 $. $)

  $( Introduce the class builder or class abstraction notation ("the class of
     sets ` x ` such that ` ph ` is true").  Our class variables ` A ` ,
     ` B ` , etc. range over class builders (implicitly in the case of defined
     class terms such as ~ df-nul ).  Note that a set variable can be expressed
     as a class builder per theorem ~ cvjust , justifying the assignment of set
     variables to class variables via the use of ~ cv . $)
  cab $a class { x | ph } $.

  $( --- Start of old code before overloading prevention patch. $)
  $(
  @( A set variable is a class expression.  The syntax " ` class x ` " can be
     viewed as an abbreviation for " ` class { y | y e. x } ` " (a special case
     of ~ cab ), where ` y ` is distinct from ` x ` .  See the discussion under
     the definition of class in [Jech] p. 4.  Note that ` { y | y e. x } = x `
     by ~ cvjust . @)
  cv @a class x @.
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( Let ` A ` be a class variable. $)
  cA $f class A $.
  $( Let ` B ` be a class variable. $)
  cB $f class B $.
  $( Let ` C ` be a class variable. $)
  cC $f class C $.
  $( Let ` D ` be a class variable. $)
  cD $f class D $.
  $( Let ` P ` be a class variable. $)
  cP $f class P $.
  $( Let ` Q ` be a class variable. $)

  $( Define a connective symbol for use as a class variable.
     It is placed here so that it can be interchanged with ` P ` without
     affecting proofs. $)
  $v .+ $.
  .pl $f class .+ $.

  cQ $f class Q $.
  $( Let ` R ` be a class variable. $)
  cR $f class R $.
  $( Let ` S ` be a class variable. $)
  cS $f class S $.
  $( Let ` T ` be a class variable. $)
  cT $f class T $.
  $( Let ` U ` be a class variable. $)
  cU $f class U $.

  $v e $.
  $v f $.
  $v g $.
  $v h $.
  $v i $.
  $v j $.
  $v k $.
  $v m $.
  $v n $.
  $v o $.
  $v E $.
  $v F $.
  $v G $.
  $v H $.
  $v I $.
  $v J $.
  $v K $.
  $v L $.
  $v M $.
  $v N $.
$( $v .- $. $)
  $v V $.
  $v W $.
  $v X $.
  $v Y $.
  $v Z $.
$( $v .0 $. $)
  $v O $.
$( $v ._|_ $. $)
  $v s $.
  $v r $.
  $v q $.
  $v p $.
  $v a $.
  $v b $.
  $v c $.
  $v d $.
  $v l $.


  $( Let ` e ` be an individual variable. $)
  ve $f set e $.
  $( Let ` f ` be an individual variable. $)
  vf $f set f $.
  $( Let ` g ` be an individual variable. $)
  vg $f set g $.
  $( Let ` h ` be an individual variable. $)
  vh $f set h $.
  $( Let ` i ` be an individual variable. $)
  vi $f set i $.
  $( Let ` j ` be an individual variable. $)
  vj $f set j $.
  $( Let ` k ` be an individual variable. $)
  vk $f set k $.
  $( Let ` m ` be an individual variable. $)
  vm $f set m $.
  $( Let ` n ` be an individual variable. $)
  vn $f set n $.
  $( Let ` o ` be an individual variable. $)
  vo $f set o $.
  $( Let ` E ` be a class variable. $)
  cE $f class E $.
  $( Let ` F ` be a class variable. $)
  cF $f class F $.
  $( Let ` G ` be a class variable. $)
  cG $f class G $.
  $( Let ` H ` be a class variable. $)
  cH $f class H $.
  $( Let ` I ` be a class variable. $)
  cI $f class I $.
  $( Let ` J ` be a class variable. $)
  cJ $f class J $.

  $( Define a connective symbol for use as a class variable.
     It is placed here so that it can be interchanged with ` J ` without
     affecting proofs. $)
  $v .\/ $.
  .or $f class .\/ $.

  $( Let ` K ` be a class variable. $)
  cK $f class K $.
  $( Let ` L ` be a class variable. $)
  cL $f class L $.

  $( Define a connective symbol for use as a class variable.
     It is placed here so that it can be interchanged with ` L ` without
     affecting proofs. $)
  $v .<_ $.
  .le $f class .<_ $.

  $( Let ` M ` be a class variable. $)
  cM $f class M $.

  $( Define a connective symbol for use as a class variable.
     It is placed here so that it can be interchanged with ` M ` without
     affecting proofs. $)
  $v ./\ $.
  .an $f class ./\ $.

  $( Let ` N ` be a class variable. $)
  cN $f class N $.
  $( Let ` O ` be a class variable. $)
  cO $f class O $.
  $( Let ` V ` be a class variable. $)
  cV $f class V $.
  $( Let ` W ` be a class variable. $)
  cW $f class W $.
  $( Let ` X ` be a class variable. $)
  cX $f class X $.
  $( Let ` Y ` be a class variable. $)
  cY $f class Y $.
  $( Let ` Z ` be a class variable. $)
  cZ $f class Z $.
  $( Let ` s ` be an individual variable. $)
  vs $f set s $.
  $( Let ` r ` be an individual variable. $)
  vr $f set r $.
  $( Let ` q ` be an individual variable. $)
  vq $f set q $.
  $( Let ` p ` be an individual variable. $)
  vp $f set p $.
  $( Let ` a ` be an individual variable. $)
  va $f set a $.
  $( Let ` b ` be an individual variable. $)
  vb $f set b $.
  $( Let ` c ` be an individual variable. $)
  vc $f set c $.
  $( Let ` d ` be an individual variable. $)
  vd $f set d $.
  $( Let ` l ` be an individual variable. $)
  vl $f set l $.

  $( --- Start of old code before overloading prevention patch. $)
  $(
  @( Extend wff definition to include class equality. @)
  wceq @a wff A = B @.
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( --- Start of old code before overloading prevention patch. $)
  $(
  @( Extend wff definition to include the membership connective between
     classes. @)
  wcel @a wff A e. B @.
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( Define class abstraction notation (so-called by Quine), also called a
     "class builder" in the literature. ` x ` and ` y ` need not be distinct.
     Definition 2.1 of [Quine] p. 16.  Typically, ` ph ` will have ` y ` as a
     free variable, and " ` { y | ph } ` " is read "the class of all sets ` y `
     such that ` ph ( y ) ` is true."  We do not define ` { y | ph } ` in
     isolation but only as part of an expression that extends or "overloads"
     the ` e. ` relationship.

     This is our first use of the ` e. ` symbol to connect classes instead of
     sets.  The syntax definition ~ wcel , which extends or "overloads" the
     ~ wel definition connecting set variables, requires that both sides of
     ` e. ` be a class.  In ~ df-cleq and ~ df-clel , we introduce a new kind
     of variable (class variable) that can substituted with expressions such as
     ` { y | ph } ` .  In the present definition, the ` x ` on the left-hand
     side is a set variable.  Syntax definition ~ cv allows us to substitute a
     set variable ` x ` for a class variable: all sets are classes by ~ cvjust
     (but not necessarily vice-versa).  For a full description of how classes
     are introduced and how to recover the primitive language, see the
     discussion in Quine (and under ~ abeq2 for a quick overview).

     Because class variables can be substituted with compound expressions and
     set variables cannot, it is often useful to convert a theorem containing a
     free set variable to a more general version with a class variable.  This
     is done with theorems such as ~ vtoclg . $)
  df-clab $a |- ( x e. { y | ph } <-> [ x / y ] ph ) $.

  $( Simplification of class abstraction notation when the free and bound
     variables are identical. $)
  abid $p |- ( x e. { x | ph } <-> ph ) $=
    ( cv cab wcel wsbc df-clab sbid bitri ) BCZABDEABJFAABBGABHI $.
    $( [5-Aug-1993] $)

  ${
    $d x y $.
    $( Bound-variable hypothesis builder for a class abstraction. $)
    hbab1 $p |- ( y e. { x | ph } -> A. x y e. { x | ph } ) $=
      ( cv cab wcel wsbc df-clab hbs1 hbxfrbi ) CDZABEFABKGBACBHABCIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x z $.
    hbab.1 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for a class abstraction. $)
    hbab $p |- ( z e. { y | ph } -> A. x z e. { y | ph } ) $=
      ( cv cab wcel wsbc df-clab hbsb hbxfrbi ) DFZACGHACMIBADCJACDBEKL $.
      $( [1-Mar-1995] $)
  $}

  ${
    $d x z $.
    hbabd.1 $e |- ( ph -> A. x A. y ph ) $.
    hbabd.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hbab . $)
    hbabd $p |- ( ph -> ( z e. { y | ps } -> A. x z e. { y | ps } ) ) $=
      ( cv wsbc wal cab wcel wceq wi wn ax-7 syl 2alimi hbsb4t 3syl ax-16 albii
      pm2.61d2 df-clab 3imtr4g ) ABDEHZIZUGCJZUFBDKLZUICJACHUFMCJZUGUHNZAACJDJZ
      BBCJNZCJDJUJOUKNAADJCJULFACDPQAUMDCGRBDECSTUGCEUAUCBEDUDZUIUGCUNUBUE $.
      $( [10-Nov-2005] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x y z $.
    df-cleq.1 $e |- ( A. x ( x e. y <-> x e. z ) -> y = z ) $.
    $( Define the equality connective between classes.  Definition 2.7 of
       [Quine] p. 18.  Also Definition 4.5 of [TakeutiZaring] p. 13; Chapter 4
       provides its justification and methods for eliminating it.  Note that
       its elimination will not necessarily result in a single wff in the
       original language but possibly a "scheme" of wffs.

       This is an example of a somewhat "risky" definition, meaning that it has
       a more complex than usual soundness justification (outside of Metamath),
       because it "overloads" or reuses the existing equality symbol rather
       than introducing a new symbol.  This allows us to make statements that
       may not hold for the original symbol.  For example, it permits us to
       deduce ` y = z <-> A. x ( x e. y <-> x e. z ) ` , which is not a theorem
       of logic but rather presupposes the Axiom of Extensionality (see theorem
       ~ axext4 ).  We therefore include this axiom as a hypothesis, so that
       the use of Extensionality is properly indicated.

       We could avoid this complication by introducing a new symbol, say =_2,
       in place of ` = ` .  This would also have the advantage of making
       elimination of the definition straightforward, so that we could
       eliminate Extensionality as a hypothesis.  We would then also have the
       advantage of being able to identify in various proofs exactly where
       Extensionality truly comes into play rather than just being an artifact
       of a definition..  One of our theorems would then be ` x ` =_2
       ` y <-> x = y ` by invoking Extensionality.

       However, to conform to literature usage, we retain this overloaded
       definition.  This also makes some proofs shorter and probably easier to
       read, without the constant switching between two kinds of equality.

       See also comments under ~ df-clab , ~ df-clel , and ~ abeq2 . $)
    df-cleq $a |- ( A = B <-> A. x ( x e. A <-> x e. B ) ) $.
  $}

  ${
    $d x A $.  $d x B $.  $d x y z $.
    $( The same as ~ df-cleq with the hypothesis removed using the Axiom of
       Extensionality ~ ax-ext . $)
    dfcleq $p |- ( A = B <-> A. x ( x e. A <-> x e. B ) ) $=
      ( vy vz ax-ext df-cleq ) ADEBCDEAFG $.
      $( [15-Sep-1993] $)
  $}

  ${
    $d x y z $.
    $( Every set is a class.  Proposition 4.9 of [TakeutiZaring] p. 13.  This
       theorem shows that a set variable can be expressed as a class
       abstraction.  This provides a motivation for the class syntax
       construction ~ cv , which allows us to substitute a set variable for a
       class variable.  See also ~ cab and ~ df-clab .  Note that this is not a
       rigorous justification, because ~ cv is used as part of the proof of
       this theorem, but a careful argument can be made outside of the
       formalism of Metamath, for example as is done in Chapter 4 of Takeuti
       and Zaring.  See also the discussion under the definition of class in
       [Jech] p. 4 showing that "Every set can be considered to be a class." $)
    cvjust $p |- x = { y | y e. x } $=
      ( vz cv wcel cab wceq wb dfcleq wsbc df-clab elsb3 bitr2i mpgbir ) ADZBDO
      EZBFZGCDZOEZRQEZHCCOQITPBRJSPCBKCBALMN $.
      $( [7-Nov-2006] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Define the membership connective between classes.  Theorem 6.3 of
       [Quine] p. 41, or Proposition 4.6 of [TakeutiZaring] p. 13, which we
       adopt as a definition.  See these references for its metalogical
       justification.  Note that like ~ df-cleq it extends or "overloads" the
       use of the existing membership symbol, but unlike ~ df-cleq it does not
       strengthen the set of valid wffs of logic when the class variables are
       replaced with set variables (see ~ cleljust ), so we don't include any
       set theory axiom as a hypothesis.  See also comments about the syntax
       under ~ df-clab .  Alternate definitions of ` A e. B ` (but that require
       either ` A ` or ` B ` to be a set) are shown by ~ clel2 , ~ clel3 , and
       ~ clel4 . $)
    df-clel $a |- ( A e. B <-> E. x ( x = A /\ x e. B ) ) $.
  $}

  ${
    $d x A $.  $d x B $.
    eqriv.1 $e |- ( x e. A <-> x e. B ) $.
    $( Infer equality of classes from equivalence of membership. $)
    eqriv $p |- A = B $=
      ( wceq cv wcel wb dfcleq mpgbir ) BCEAFZBGKCGHAABCIDJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    eqrdv.1 $e |- ( ph -> ( x e. A <-> x e. B ) ) $.
    $( Deduce equality of classes from equivalence of membership. $)
    eqrdv $p |- ( ph -> A = B ) $=
      ( cv wcel wb wal wceq alrimiv dfcleq sylibr ) ABFZCGNDGHZBICDJAOBEKBCDLM
      $.
      $( [17-Mar-1996] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    eqrdav.1 $e |- ( ( ph /\ x e. A ) -> x e. C ) $.
    eqrdav.2 $e |- ( ( ph /\ x e. B ) -> x e. C ) $.
    eqrdav.3 $e |- ( ( ph /\ x e. C ) -> ( x e. A <-> x e. B ) ) $.
    $( MAY BE REVISED - delete this if it is unused / not useful $)
    $( Deduce equality of classes from an equivalence of membership that
       depends on the membership variable. $)
    eqrdav $p |- ( ph -> A = B ) $=
      ( cv wcel wa biimpd impancom mpd wi exbiri com23 imp impbida eqrdv ) ABCD
      ABIZCJZUADJZAUBKUAEJZUCFAUDUBUCAUDKUBUCHLMNAUCKUDUBGAUCUDUBOAUDUCUBAUDUBU
      CHPQRNST $.
      $( [7-Nov-2008] $)
  $}

  ${
    $d x A $.
    $( Law of identity (reflexivity of class equality).  Theorem 6.4 of [Quine]
       p. 41.

       This law is thought to have originated with Aristotle (_Metaphysics_,
       Book VII, Part 17).  (Thanks to Stefan Allan for this information.) $)
    eqid $p |- A = A $=
      ( vx cv wcel biid eqriv ) BAABCADEF $.
      $( [5-Aug-1993] $)
  $}

  $( Class identity law with antecedent. $)
  eqidd $p |- ( ph -> A = A ) $=
    ( wceq eqid a1i ) BBCABDE $.
    $( [21-Aug-2008] $)

  ${
    $d x A $.  $d x B $.
    $( Commutative law for class equality.  Theorem 6.5 of [Quine] p. 41. $)
    eqcom $p |- ( A = B <-> B = A ) $=
      ( vx cv wcel wb wal wceq bicom albii dfcleq 3bitr4i ) CDZAEZMBEZFZCGONFZC
      GABHBAHPQCNOIJCABKCBAKL $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqcoms.1 $e |- ( A = B -> ph ) $.
    $( Inference applying commutative law for class equality to an
       antecedent. $)
    eqcoms $p |- ( B = A -> ph ) $=
      ( wceq eqcom sylbi ) CBEBCEACBFDG $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqcomi.1 $e |- A = B $.
    $( Inference from commutative law for class equality. $)
    eqcomi $p |- B = A $=
      ( wceq eqcom mpbi ) ABDBADCABEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqcomd.1 $e |- ( ph -> A = B ) $.
    $( Deduction from commutative law for class equality. $)
    eqcomd $p |- ( ph -> B = A ) $=
      ( wceq eqcom sylib ) ABCECBEDBCFG $.
      $( [15-Aug-1994] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Equality implies equivalence of equalities. $)
    eqeq1 $p |- ( A = B -> ( A = C <-> B = C ) ) $=
      ( vx wceq cv wcel wb wal dfcleq biimpi 19.21bi bibi1d albidv 3bitr4g ) AB
      EZDFZAGZQCGZHZDIQBGZSHZDIACEBCEPTUBDPRUASPRUAHZDPUCDIDABJKLMNDACJDBCJO $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqeq1i.1 $e |- A = B $.
    $( Inference from equality to equivalence of equalities. $)
    eqeq1i $p |- ( A = C <-> B = C ) $=
      ( wceq wb eqeq1 ax-mp ) ABEACEBCEFDABCGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqeq1d.1 $e |- ( ph -> A = B ) $.
    $( Deduction from equality to equivalence of equalities. $)
    eqeq1d $p |- ( ph -> ( A = C <-> B = C ) ) $=
      ( wceq wb eqeq1 syl ) ABCFBDFCDFGEBCDHI $.
      $( [27-Dec-1993] $)
  $}

  $( Equality implies equivalence of equalities. $)
  eqeq2 $p |- ( A = B -> ( C = A <-> C = B ) ) $=
    ( wceq eqeq1 eqcom 3bitr4g ) ABDACDBCDCADCBDABCECAFCBFG $.
    $( [5-Aug-1993] $)

  ${
    eqeq2i.1 $e |- A = B $.
    $( Inference from equality to equivalence of equalities. $)
    eqeq2i $p |- ( C = A <-> C = B ) $=
      ( wceq wb eqeq2 ax-mp ) ABECAECBEFDABCGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqeq2d.1 $e |- ( ph -> A = B ) $.
    $( Deduction from equality to equivalence of equalities. $)
    eqeq2d $p |- ( ph -> ( C = A <-> C = B ) ) $=
      ( wceq wb eqeq2 syl ) ABCFDBFDCFGEBCDHI $.
      $( [27-Dec-1993] $)
  $}

  $( Equality relationship among 4 classes. $)
  eqeq12 $p |- ( ( A = B /\ C = D ) -> ( A = C <-> B = D ) ) $=
    ( wceq eqeq1 eqeq2 sylan9bb ) ABEACEBCECDEBDEABCFCDBGH $.
    $( [3-Aug-1994] $)

  ${
    eqeq12i.1 $e |- A = B $.
    eqeq12i.2 $e |- C = D $.
    $( A useful inference for substituting definitions into an equality.  (The
       proof was shortened by Andrew Salmon, 25-May-2011.) $)
    eqeq12i $p |- ( A = C <-> B = D ) $=
      ( wceq wb eqeq12 mp2an ) ABGCDGACGBDGHEFABCDIJ $.
      $( [25-May-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    eqeq12d.1 $e |- ( ph -> A = B ) $.
    eqeq12d.2 $e |- ( ph -> C = D ) $.
    $( A useful inference for substituting definitions into an equality.  (The
       proof was shortened by Andrew Salmon, 25-May-2011.) $)
    eqeq12d $p |- ( ph -> ( A = C <-> B = D ) ) $=
      ( wceq wb eqeq12 syl2anc ) ABCHDEHBDHCEHIFGBCDEJK $.
      $( [14-Jun-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    eqeqan12d.1 $e |- ( ph -> A = B ) $.
    eqeqan12d.2 $e |- ( ps -> C = D ) $.
    $( A useful inference for substituting definitions into an equality.  (The
       proof was shortened by Andrew Salmon, 25-May-2011.) $)
    eqeqan12d $p |- ( ( ph /\ ps ) -> ( A = C <-> B = D ) ) $=
      ( wceq wb eqeq12 syl2an ) ACDIEFICEIDFIJBGHCDEFKL $.
      $( [25-May-2011] $) $( [9-Aug-1994] $)
  $}

  ${
    eqeqan12rd.1 $e |- ( ph -> A = B ) $.
    eqeqan12rd.2 $e |- ( ps -> C = D ) $.
    $( A useful inference for substituting definitions into an equality. $)
    eqeqan12rd $p |- ( ( ps /\ ph ) -> ( A = C <-> B = D ) ) $=
      ( wceq wb eqeqan12d ancoms ) ABCEIDFIJABCDEFGHKL $.
      $( [9-Aug-1994] $)
  $}

  $( Transitive law for class equality.  Proposition 4.7(3) of [TakeutiZaring]
     p. 13. $)
  eqtr $p |- ( ( A = B /\ B = C ) -> A = C ) $=
    ( wceq eqeq1 biimpar ) ABDACDBCDABCEF $.
    $( [25-Jan-2004] $)

  $( A transitive law for class equality.  (The proof was shortened by Andrew
     Salmon, 25-May-2011.) $)
  eqtr2 $p |- ( ( A = B /\ A = C ) -> B = C ) $=
    ( wceq eqcom eqtr sylanb ) ABDBADACDBCDABEBACFG $.
    $( [25-May-2011] $) $( [20-May-2005] $)

  $( A transitive law for class equality. $)
  eqtr3 $p |- ( ( A = C /\ B = C ) -> A = B ) $=
    ( wceq eqcom eqtr sylan2b ) BCDACDCBDABDBCEACBFG $.
    $( [20-May-2005] $)

  ${
    eqtri.1 $e |- A = B $.
    eqtri.2 $e |- B = C $.
    $( An equality transitivity inference. $)
    eqtri $p |- A = C $=
      ( wceq eqeq2i mpbi ) ABFACFDBCAEGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqtr2i.1 $e |- A = B $.
    eqtr2i.2 $e |- B = C $.
    $( An equality transitivity inference. $)
    eqtr2i $p |- C = A $=
      ( eqtri eqcomi ) ACABCDEFG $.
      $( [21-Feb-1995] $)
  $}

  ${
    eqtr3i.1 $e |- A = B $.
    eqtr3i.2 $e |- A = C $.
    $( An equality transitivity inference. $)
    eqtr3i $p |- B = C $=
      ( eqcomi eqtri ) BACABDFEG $.
      $( [6-May-1994] $)
  $}

  ${
    eqtr4i.1 $e |- A = B $.
    eqtr4i.2 $e |- C = B $.
    $( An equality transitivity inference. $)
    eqtr4i $p |- A = C $=
      ( eqcomi eqtri ) ABCDCBEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    3eqtri.1 $e |- A = B $.
    3eqtri.2 $e |- B = C $.
    3eqtri.3 $e |- C = D $.
    $( An inference from three chained equalities. $)
    3eqtri $p |- A = D $=
      ( eqtri ) ABDEBCDFGHH $.
      $( [29-Aug-1993] $)

    $( An inference from three chained equalities.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    3eqtrri $p |- D = A $=
      ( eqtri eqtr2i ) ACDABCEFHGI $.
      $( [25-May-2011] $) $( [3-Aug-2006] $)
  $}

  ${
    3eqtr2i.1 $e |- A = B $.
    3eqtr2i.2 $e |- C = B $.
    3eqtr2i.3 $e |- C = D $.
    $( An inference from three chained equalities. $)
    3eqtr2i $p |- A = D $=
      ( eqtr4i eqtri ) ACDABCEFHGI $.
      $( [3-Aug-2006] $)

    $( An inference from three chained equalities.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    3eqtr2ri $p |- D = A $=
      ( eqtr4i eqtr2i ) ACDABCEFHGI $.
      $( [3-Aug-2006] $)
  $}

  ${
    3eqtr3i.1 $e |- A = B $.
    3eqtr3i.2 $e |- A = C $.
    3eqtr3i.3 $e |- B = D $.
    $( An inference from three chained equalities.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    3eqtr3i $p |- C = D $=
      ( eqtr3i ) BCDABCEFHGH $.
      $( [25-May-2011] $) $( [6-May-1994] $)

    $( An inference from three chained equalities. $)
    3eqtr3ri $p |- D = C $=
      ( eqtr3i ) BDCGABCEFHH $.
      $( [15-Aug-2004] $)
  $}

  ${
    3eqtr4i.1 $e |- A = B $.
    3eqtr4i.2 $e |- C = A $.
    3eqtr4i.3 $e |- D = B $.
    $( An inference from three chained equalities.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    3eqtr4i $p |- C = D $=
      ( eqtr4i ) CADFDBAGEHH $.
      $( [25-May-2011] $) $( [5-Aug-1993] $)

    $( An inference from three chained equalities.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    3eqtr4ri $p |- D = C $=
      ( eqtr4i ) DACDBAGEHFH $.
      $( [25-May-2011] $) $( [2-Sep-1995] $)
  $}

  ${
    eqtrd.1 $e |- ( ph -> A = B ) $.
    eqtrd.2 $e |- ( ph -> B = C ) $.
    $( An equality transitivity deduction. $)
    eqtrd $p |- ( ph -> A = C ) $=
      ( wceq eqeq2d mpbid ) ABCGBDGEACDBFHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqtr2d.1 $e |- ( ph -> A = B ) $.
    eqtr2d.2 $e |- ( ph -> B = C ) $.
    $( An equality transitivity deduction. $)
    eqtr2d $p |- ( ph -> C = A ) $=
      ( eqtrd eqcomd ) ABDABCDEFGH $.
      $( [18-Oct-1999] $)
  $}

  ${
    eqtr3d.1 $e |- ( ph -> A = B ) $.
    eqtr3d.2 $e |- ( ph -> A = C ) $.
    $( An equality transitivity equality deduction. $)
    eqtr3d $p |- ( ph -> B = C ) $=
      ( eqcomd eqtrd ) ACBDABCEGFH $.
      $( [18-Jul-1995] $)
  $}

  ${
    eqtr4d.1 $e |- ( ph -> A = B ) $.
    eqtr4d.2 $e |- ( ph -> C = B ) $.
    $( An equality transitivity equality deduction. $)
    eqtr4d $p |- ( ph -> A = C ) $=
      ( eqcomd eqtrd ) ABCDEADCFGH $.
      $( [18-Jul-1995] $)
  $}

  ${
    3eqtrd.1 $e |- ( ph -> A = B ) $.
    3eqtrd.2 $e |- ( ph -> B = C ) $.
    3eqtrd.3 $e |- ( ph -> C = D ) $.
    $( A deduction from three chained equalities. $)
    3eqtrd $p |- ( ph -> A = D ) $=
      ( eqtrd ) ABCEFACDEGHII $.
      $( [29-Oct-1995] $)

    $( A deduction from three chained equalities.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    3eqtrrd $p |- ( ph -> D = A ) $=
      ( eqtrd eqtr2d ) ABDEABCDFGIHJ $.
      $( [25-May-2011] $) $( [4-Aug-2006] $)
  $}

  ${
    3eqtr2d.1 $e |- ( ph -> A = B ) $.
    3eqtr2d.2 $e |- ( ph -> C = B ) $.
    3eqtr2d.3 $e |- ( ph -> C = D ) $.
    $( A deduction from three chained equalities. $)
    3eqtr2d $p |- ( ph -> A = D ) $=
      ( eqtr4d eqtrd ) ABDEABCDFGIHJ $.
      $( [4-Aug-2006] $)

    $( A deduction from three chained equalities. $)
    3eqtr2rd $p |- ( ph -> D = A ) $=
      ( eqtr4d eqtr2d ) ABDEABCDFGIHJ $.
      $( [4-Aug-2006] $)
  $}

  ${
    3eqtr3d.1 $e |- ( ph -> A = B ) $.
    3eqtr3d.2 $e |- ( ph -> A = C ) $.
    3eqtr3d.3 $e |- ( ph -> B = D ) $.
    $( A deduction from three chained equalities.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    3eqtr3d $p |- ( ph -> C = D ) $=
      ( eqtr3d ) ACDEABCDFGIHI $.
      $( [25-May-2011] $) $( [4-Aug-1995] $)

    $( A deduction from three chained equalities. $)
    3eqtr3rd $p |- ( ph -> D = C ) $=
      ( eqtr3d ) ACEDHABCDFGII $.
      $( [14-Jan-2006] $)
  $}

  ${
    3eqtr4d.1 $e |- ( ph -> A = B ) $.
    3eqtr4d.2 $e |- ( ph -> C = A ) $.
    3eqtr4d.3 $e |- ( ph -> D = B ) $.
    $( A deduction from three chained equalities.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    3eqtr4d $p |- ( ph -> C = D ) $=
      ( eqtr4d ) ADBEGAECBHFII $.
      $( [25-May-2011] $) $( [4-Aug-1995] $)

    $( A deduction from three chained equalities. $)
    3eqtr4rd $p |- ( ph -> D = C ) $=
      ( eqtr4d ) AEBDAECBHFIGI $.
      $( [21-Sep-1995] $)
  $}

  ${
    syl5eq.1 $e |- A = B $.
    syl5eq.2 $e |- ( ph -> B = C ) $.
    $( An equality transitivity deduction. $)
    syl5eq $p |- ( ph -> A = C ) $=
      ( wceq a1i eqtrd ) ABCDBCGAEHFI $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5req.1 $e |- A = B $.
    syl5req.2 $e |- ( ph -> B = C ) $.
    $( An equality transitivity deduction. $)
    syl5req $p |- ( ph -> C = A ) $=
      ( syl5eq eqcomd ) ABDABCDEFGH $.
      $( [29-Mar-1998] $)
  $}

  ${
    syl5eqr.1 $e |- B = A $.
    syl5eqr.2 $e |- ( ph -> B = C ) $.
    $( An equality transitivity deduction. $)
    syl5eqr $p |- ( ph -> A = C ) $=
      ( eqcomi syl5eq ) ABCDCBEGFH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5reqr.1 $e |- B = A $.
    syl5reqr.2 $e |- ( ph -> B = C ) $.
    $( An equality transitivity deduction. $)
    syl5reqr $p |- ( ph -> C = A ) $=
      ( eqcomi syl5req ) ABCDCBEGFH $.
      $( [29-Mar-1998] $)
  $}

  ${
    syl6eq.1 $e |- ( ph -> A = B ) $.
    syl6eq.2 $e |- B = C $.
    $( An equality transitivity deduction. $)
    syl6eq $p |- ( ph -> A = C ) $=
      ( wceq a1i eqtrd ) ABCDECDGAFHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl6req.1 $e |- ( ph -> A = B ) $.
    syl6req.2 $e |- B = C $.
    $( An equality transitivity deduction. $)
    syl6req $p |- ( ph -> C = A ) $=
      ( syl6eq eqcomd ) ABDABCDEFGH $.
      $( [29-Mar-1998] $)
  $}

  ${
    syl6eqr.1 $e |- ( ph -> A = B ) $.
    syl6eqr.2 $e |- C = B $.
    $( An equality transitivity deduction. $)
    syl6eqr $p |- ( ph -> A = C ) $=
      ( eqcomi syl6eq ) ABCDEDCFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl6reqr.1 $e |- ( ph -> A = B ) $.
    syl6reqr.2 $e |- C = B $.
    $( An equality transitivity deduction. $)
    syl6reqr $p |- ( ph -> C = A ) $=
      ( eqcomi syl6req ) ABCDEDCFGH $.
      $( [29-Mar-1998] $)
  $}

  ${
    sylan9eq.1 $e |- ( ph -> A = B ) $.
    sylan9eq.2 $e |- ( ps -> B = C ) $.
    $( An equality transitivity deduction.  (The proof was shortened by Andrew
       Salmon, 25-May-2011.) $)
    sylan9eq $p |- ( ( ph /\ ps ) -> A = C ) $=
      ( wceq eqtr syl2an ) ACDHDEHCEHBFGCDEIJ $.
      $( [25-May-2011] $) $( [8-May-1994] $)
  $}

  ${
    sylan9req.1 $e |- ( ph -> B = A ) $.
    sylan9req.2 $e |- ( ps -> B = C ) $.
    $( An equality transitivity deduction. $)
    sylan9req $p |- ( ( ph /\ ps ) -> A = C ) $=
      ( eqcomd sylan9eq ) ABCDEADCFHGI $.
      $( [23-Jun-2007] $)
  $}

  ${
    sylan9eqr.1 $e |- ( ph -> A = B ) $.
    sylan9eqr.2 $e |- ( ps -> B = C ) $.
    $( An equality transitivity deduction. $)
    sylan9eqr $p |- ( ( ps /\ ph ) -> A = C ) $=
      ( wceq sylan9eq ancoms ) ABCEHABCDEFGIJ $.
      $( [8-May-1994] $)
  $}

  ${
    3eqtr3g.1 $e |- ( ph -> A = B ) $.
    3eqtr3g.2 $e |- A = C $.
    3eqtr3g.3 $e |- B = D $.
    $( A chained equality inference, useful for converting from definitions. $)
    3eqtr3g $p |- ( ph -> C = D ) $=
      ( syl5eqr syl6eq ) ADCEADBCGFIHJ $.
      $( [15-Nov-1994] $)
  $}

  ${
    3eqtr4g.1 $e |- ( ph -> A = B ) $.
    3eqtr4g.2 $e |- C = A $.
    3eqtr4g.3 $e |- D = B $.
    $( A chained equality inference, useful for converting to definitions. $)
    3eqtr4g $p |- ( ph -> C = D ) $=
      ( syl5eq syl6eqr ) ADCEADBCGFIHJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    3eqtr4a.1 $e |- A = B $.
    3eqtr4a.2 $e |- ( ph -> C = A ) $.
    3eqtr4a.3 $e |- ( ph -> D = B ) $.
    $( A chained equality inference, useful for converting to definitions.
       (The proof was shortened by Andrew Salmon, 25-May-2011.) $)
    3eqtr4a $p |- ( ph -> C = D ) $=
      ( syl6eq eqtr4d ) ADCEADBCGFIHJ $.
      $( [25-May-2011] $) $( [2-Feb-2007] $)
  $}

  ${
    eq2tr.1 $e |- ( A = C -> D = F ) $.
    eq2tr.2 $e |- ( B = D -> C = G ) $.
    $( A compound transitive inference for class equality. $)
    eq2tri $p |- ( ( A = C /\ B = F ) <-> ( B = D /\ A = G ) ) $=
      ( wceq wa ancom eqeq2d pm5.32i 3bitr3i ) ACIZBDIZJPOJOBEIZJPAFIZJOPKOPQOD
      EBGLMPORPCFAHLMN $.
      $( [22-Jan-2004] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Equality implies equivalence of membership. $)
    eleq1 $p |- ( A = B -> ( A e. C <-> B e. C ) ) $=
      ( vx wceq cv wcel wa wex eqeq2 anbi1d exbidv df-clel 3bitr4g ) ABEZDFZAEZ
      PCGZHZDIPBEZRHZDIACGBCGOSUADOQTRABPJKLDACMDBCMN $.
      $( [5-Aug-1993] $)

    $( Equality implies equivalence of membership. $)
    eleq2 $p |- ( A = B -> ( C e. A <-> C e. B ) ) $=
      ( vx wceq cv wcel wa wex wal dfcleq biimpi 19.21bi anbi2d df-clel 3bitr4g
      wb exbidv ) ABEZDFZCEZTAGZHZDIUATBGZHZDICAGCBGSUCUEDSUBUDUASUBUDQZDSUFDJD
      ABKLMNRDCAODCBOP $.
      $( [5-Aug-1993] $)
  $}

  $( Equality implies equivalence of membership. $)
  eleq12 $p |- ( ( A = B /\ C = D ) -> ( A e. C <-> B e. D ) ) $=
    ( wceq wcel eleq1 eleq2 sylan9bb ) ABEACFBCFCDEBDFABCGCDBHI $.
    $( [31-May-1999] $)

  ${
    eleq1i.1 $e |- A = B $.
    $( Inference from equality to equivalence of membership. $)
    eleq1i $p |- ( A e. C <-> B e. C ) $=
      ( wceq wcel wb eleq1 ax-mp ) ABEACFBCFGDABCHI $.
      $( [5-Aug-1993] $)

    $( Inference from equality to equivalence of membership. $)
    eleq2i $p |- ( C e. A <-> C e. B ) $=
      ( wceq wcel wb eleq2 ax-mp ) ABECAFCBFGDABCHI $.
      $( [5-Aug-1993] $)

    ${
      eleq12i.2 $e |- C = D $.
      $( Inference from equality to equivalence of membership. $)
      eleq12i $p |- ( A e. C <-> B e. D ) $=
        ( wcel eleq2i eleq1i bitri ) ACGADGBDGCDAFHABDEIJ $.
        $( [31-May-1994] $)
    $}
  $}

  ${
    eleq1d.1 $e |- ( ph -> A = B ) $.
    $( Deduction from equality to equivalence of membership. $)
    eleq1d $p |- ( ph -> ( A e. C <-> B e. C ) ) $=
      ( wceq wcel wb eleq1 syl ) ABCFBDGCDGHEBCDIJ $.
      $( [5-Aug-1993] $)

    $( Deduction from equality to equivalence of membership. $)
    eleq2d $p |- ( ph -> ( C e. A <-> C e. B ) ) $=
      ( wceq wcel wb eleq2 syl ) ABCFDBGDCGHEBCDIJ $.
      $( [27-Dec-1993] $)

    ${
      eleq12d.2 $e |- ( ph -> C = D ) $.
      $( Deduction from equality to equivalence of membership. $)
      eleq12d $p |- ( ph -> ( A e. C <-> B e. D ) ) $=
        ( wcel eleq2d eleq1d bitrd ) ABDHBEHCEHADEBGIABCEFJK $.
        $( [31-May-1994] $)
    $}
  $}

  $( A transitive-type law relating membership and equality. $)
  eleq1a $p |- ( A e. B -> ( C = A -> C e. B ) ) $=
    ( wceq wcel eleq1 biimprcd ) CADCBEABECABFG $.
    $( [9-Apr-1994] $)

  ${
    eqeltr.1 $e |- A = B $.
    eqeltr.2 $e |- B e. C $.
    $( Substitution of equal classes into membership relation. $)
    eqeltri $p |- A e. C $=
      ( wcel eleq1i mpbir ) ACFBCFEABCDGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqeltrr.1 $e |- A = B $.
    eqeltrr.2 $e |- A e. C $.
    $( Substitution of equal classes into membership relation. $)
    eqeltrri $p |- B e. C $=
      ( eqcomi eqeltri ) BACABDFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    eleqtr.1 $e |- A e. B $.
    eleqtr.2 $e |- B = C $.
    $( Substitution of equal classes into membership relation. $)
    eleqtri $p |- A e. C $=
      ( wcel eleq2i mpbi ) ABFACFDBCAEGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    eleqtrr.1 $e |- A e. B $.
    eleqtrr.2 $e |- C = B $.
    $( Substitution of equal classes into membership relation. $)
    eleqtrri $p |- A e. C $=
      ( eqcomi eleqtri ) ABCDCBEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqeltrd.1 $e |- ( ph -> A = B ) $.
    eqeltrd.2 $e |- ( ph -> B e. C ) $.
    $( Substitution of equal classes into membership relation, deduction form.
       (Contributed by Raph Levien, 10-Dec-2002.) $)
    eqeltrd $p |- ( ph -> A e. C ) $=
      ( wcel eleq1d mpbird ) ABDGCDGFABCDEHI $.
      $( [10-Dec-2002] $)
  $}

  ${
    eqeltrrd.1 $e |- ( ph -> A = B ) $.
    eqeltrrd.2 $e |- ( ph -> A e. C ) $.
    $( Deduction that substitutes equal classes into membership. $)
    eqeltrrd $p |- ( ph -> B e. C ) $=
      ( eqcomd eqeltrd ) ACBDABCEGFH $.
      $( [14-Dec-2004] $)
  $}

  ${
    eleqtrd.1 $e |- ( ph -> A e. B ) $.
    eleqtrd.2 $e |- ( ph -> B = C ) $.
    $( Deduction that substitutes equal classes into membership. $)
    eleqtrd $p |- ( ph -> A e. C ) $=
      ( wcel eleq2d mpbid ) ABCGBDGEACDBFHI $.
      $( [14-Dec-2004] $)
  $}

  ${
    eleqtrrd.1 $e |- ( ph -> A e. B ) $.
    eleqtrrd.2 $e |- ( ph -> C = B ) $.
    $( Deduction that substitutes equal classes into membership. $)
    eleqtrrd $p |- ( ph -> A e. C ) $=
      ( eqcomd eleqtrd ) ABCDEADCFGH $.
      $( [14-Dec-2004] $)
  $}

  ${
    syl5eqel.1 $e |- A = B $.
    syl5eqel.2 $e |- ( ph -> B e. C ) $.
    $( B membership and equality inference. $)
    syl5eqel $p |- ( ph -> A e. C ) $=
      ( wceq a1i eqeltrd ) ABCDBCGAEHFI $.
      $( [4-Jan-2006] $)
  $}

  ${
    syl5eqelr.1 $e |- B = A $.
    syl5eqelr.2 $e |- ( ph -> B e. C ) $.
    $( B membership and equality inference. $)
    syl5eqelr $p |- ( ph -> A e. C ) $=
      ( eqcomi syl5eqel ) ABCDCBEGFH $.
      $( [4-Jan-2006] $)
  $}

  ${
    syl5eleq.1 $e |- A e. B $.
    syl5eleq.2 $e |- ( ph -> B = C ) $.
    $( B membership and equality inference. $)
    syl5eleq $p |- ( ph -> A e. C ) $=
      ( wcel a1i eleqtrd ) ABCDBCGAEHFI $.
      $( [4-Jan-2006] $)
  $}

  ${
    syl5eleqr.1 $e |- A e. B $.
    syl5eleqr.2 $e |- ( ph -> C = B ) $.
    $( B membership and equality inference. $)
    syl5eleqr $p |- ( ph -> A e. C ) $=
      ( eqcomd syl5eleq ) ABCDEADCFGH $.
      $( [4-Jan-2006] $)
  $}

  ${
    syl6eqel.1 $e |- ( ph -> A = B ) $.
    syl6eqel.2 $e |- B e. C $.
    $( A membership and equality inference. $)
    syl6eqel $p |- ( ph -> A e. C ) $=
      ( wcel a1i eqeltrd ) ABCDECDGAFHI $.
      $( [4-Jan-2006] $)
  $}

  ${
    syl6eqelr.1 $e |- ( ph -> B = A ) $.
    syl6eqelr.2 $e |- B e. C $.
    $( A membership and equality inference. $)
    syl6eqelr $p |- ( ph -> A e. C ) $=
      ( eqcomd syl6eqel ) ABCDACBEGFH $.
      $( [4-Jan-2006] $)
  $}

  ${
    syl6eleq.1 $e |- ( ph -> A e. B ) $.
    syl6eleq.2 $e |- B = C $.
    $( A membership and equality inference. $)
    syl6eleq $p |- ( ph -> A e. C ) $=
      ( wceq a1i eleqtrd ) ABCDECDGAFHI $.
      $( [4-Jan-2006] $)
  $}

  ${
    syl6eleqr.1 $e |- ( ph -> A e. B ) $.
    syl6eleqr.2 $e |- C = B $.
    $( A membership and equality inference. $)
    syl6eleqr $p |- ( ph -> A e. C ) $=
      ( eqcomi syl6eleq ) ABCDEDCFGH $.
      $( [24-Apr-2005] $)
  $}

  ${
    eleq2s.1 $e |- ( A e. B -> ph ) $.
    eleq2s.2 $e |- C = B $.
    $( Substitution of equal classes into a membership antecedent.
       (Contributed by Jonathan Ben-Naim, 3-Jun-2011.) $)
    eleq2s $p |- ( A e. C -> ph ) $=
      ( wcel eleq2i sylbi ) BDGBCGADCBFHEI $.
      $( [12-Jun-2011] $) $( [3-Jun-2011] $)
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    cleqf.1 $e |- ( y e. A -> A. x y e. A ) $.
    cleqf.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Establish equality between classes, using bound-variable hypotheses
       instead of distinct variable conditions. $)
    cleqf $p |- ( A = B <-> A. x ( x e. A <-> x e. B ) ) $=
      ( wceq cv wcel wb wal dfcleq ax-17 hbbi eleq1 bibi12d cbval bitr4i ) CDGB
      HZCIZSDIZJZBKAHZCIZUCDIZJZAKBCDLUFUBABUFBMTUAAEFNUCSGUDTUEUAUCSCOUCSDOPQR
      $.
      $( [5-Aug-1993] $)
  $}

  $( A way of showing two classes are not equal. $)
  nelneq $p |- ( ( A e. C /\ -. B e. C ) -> -. A = B ) $=
    ( wcel wn wceq eleq1 biimpcd con3d imp ) ACDZBCDZEABFZEKMLMKLABCGHIJ $.
    $( [1-Apr-1997] $)

  $( A way of showing two classes are not equal. $)
  nelneq2 $p |- ( ( A e. B /\ -. A e. C ) -> -. B = C ) $=
    ( wcel wn wceq eleq2 biimpcd con3d imp ) ABDZACDZEBCFZEKMLMKLBCAGHIJ $.
    $( [12-Jan-2002] $)

  ${
    $d x y $.  $d y A $.
    $( Lemma for ~ eqsb3 .  (The proof was shortened by Andrew Salmon,
       14-Jun-2011.) $)
    eqsb3lem $p |- ( [ x / y ] y = A <-> x = A ) $=
      ( cv wceq ax-17 eqeq1 sbie ) BDZCEADZCEZBAKBFIJCGH $.
      $( [14-Jun-2011] $) $( [28-Apr-2010] $)
  $}

  ${
    $d y A $.  $d w y $.  $d w A $.  $d x w $.
    $( Substitution applied to an atomic wff (class version of ~ equsb3 ).
       (Contributed by Rodolfo Medina, 28-Apr-2010.) $)
    eqsb3 $p |- ( [ x / y ] y = A <-> x = A ) $=
      ( vw cv wceq wsbc eqsb3lem sbbii ax-17 sbco2 3bitr3i ) BECFZBDEZGZDAEZGNC
      FZDPGMBPGPCFOQDADBCHIMBADMDJKADCHL $.
      $( [28-Apr-2010] $)
  $}

  ${
    $d y A $.  $d w y $.  $d w A $.  $d w x $.
    $( Substitution applied to an atomic wff (class version of ~ elsb3 ).
       (Contributed by Rodolfo Medina, 28-Apr-2010.)  (The proof was shortened
       by Andrew Salmon, 14-Jun-2011.) $)
    clelsb3 $p |- ( [ x / y ] y e. A <-> x e. A ) $=
      ( vw cv wcel wsbc ax-17 eleq1 sbie sbbii sbco2 bitr3i wb wceq sbimi ax-mp
      equsb1 sbbi mpbi sbf 3bitri ) BEZCFZBAEZGZDEZCFZDUEGZUECFZDUEGZUJUFUHDUCG
      ZBUEGUIULUDBAUHUDDBUDDHUGUCCIJKUHDABUHBHLMUHUJNZDUEGZUIUKNUGUEOZDUEGUNDAR
      UOUMDAUGUECIPQUHUJDASTUJDAUJDHUAUB $.
      $( [14-Jun-2011] $) $( [28-Apr-2010] $)
  $}

  ${
    $d y A $.  $d w ph $.  $d w x z $.
    hblemd.1 $e |- ( ph -> A. x ph ) $.
    hblemd.2 $e |- ( ph -> A. y ph ) $.
    hblemd.3 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    $( Deduction version of ~ hblem . $)
    hblemd $p |- ( ph -> ( z e. A -> A. x z e. A ) ) $=
      ( cv wcel wsbc wal hbsbd clelsb3 albii 3imtr3g ) ACIEJZCDIZKZSBLREJZTBLAQ
      CDBGFHMDCENZSTBUAOP $.
      $( [17-Feb-2013] $)
  $}

  ${
    hbxfr.1 $e |- A = B $.
    hbxfr.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( A utility lemma to transfer a bound-variable hypothesis builder into a
       definition.  See ~ hbxfrbi for equivalence version. $)
    hbxfreq $p |- ( y e. A -> A. x y e. A ) $=
      ( cv wcel eleq2i hbxfrbi ) BGZCHKDHACDKEIFJ $.
      $( [21-Aug-2007] $)
  $}

  ${
    hbxfrd.1 $e |- ( ph -> A. x ph ) $.
    hbxfrd.2 $e |- ( ph -> A = B ) $.
    hbxfrd.3 $e |- ( ph -> ( y e. B -> A. x y e. B ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbxfreq . $)
    hbxfrd $p |- ( ph -> ( y e. A -> A. x y e. A ) ) $=
      ( cv wcel wal eleq2d albid 3imtr4d ) ACIZEJZPBKODJZQBKHADEOGLZAQPBFRMN $.
      $( [17-Feb-2013] $)
  $}

  ${
    $d w y A $.  $d w x z $.
    hblem.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Lemma for ~ hbeq and ~ hbel .  (Unnecessary distinct variable
       restrictions were removed by Andrew Salmon, 11-Jul-2011.) $)
    hblem $p |- ( z e. A -> A. x z e. A ) $=
      ( cv wcel wsbc wal hbsb clelsb3 albii 3imtr3i ) BFDGZBCFZHZPAIODGZQAINBCA
      EJCBDKZPQARLM $.
      $( [11-Jul-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    $d y A w $.  $d z B w $.  $d w x $.
    hbeq.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbeq.2 $e |- ( z e. B -> A. x z e. B ) $.
    $( If ` x ` is effectively bound in ` A ` and ` B ` , it is effectively
       bound in ` A = B ` .  (Unnecessary distinct variable restrictions were
       removed by Andrew Salmon, 11-Jul-2011.) $)
    hbeq $p |- ( A = B -> A. x A = B ) $=
      ( vw wceq cv wcel wb wal dfcleq hblem hbbi hbal hbxfrbi ) DEIHJZDKZSEKZLZ
      HMAHDENUBAHTUAAABHDFOACHEGOPQR $.
      $( [11-Jul-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    $d y A w $.  $d z B w $.  $d w x v $.
    hbel.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbel.2 $e |- ( z e. B -> A. x z e. B ) $.
    $( If ` x ` is effectively bound in ` A ` and ` B ` , it is effectively
       bound in ` A e. B ` .  (Unnecessary distinct variable restrictions were
       removed by Andrew Salmon, 11-Jul-2011.) $)
    hbel $p |- ( A e. B -> A. x A e. B ) $=
      ( vw vv wcel cv wceq wa wex df-clel ax-17 hbeq hblem hban hbex hbxfrbi )
      DEJHKZDLZUBEJZMZHNAHDEOUEAHUCUDAAIBUBDIKUBJAPFQACHEGRSTUA $.
      $( [11-Jul-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    $d x y z $.  $d y A $.
    hbeleq.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( If ` x ` is effectively bound in ` y e. A ` , then it is effectively
       bound in ` y = A ` .  (The proof was shortened by Andrew Salmon,
       12-Aug-2011.) $)
    hbeleq $p |- ( y = A -> A. x y = A ) $=
      ( vz cv wcel ax-17 hbeq ) AEBBFZCEFJGAHDI $.
      $( [12-Aug-2011] $) $( [21-Feb-2004] $)
  $}

  ${
    $d x A y $.  $d ph y $.
    $( Equality of a class variable and a class abstraction (also called a
       class builder).  Theorem 5.1 of [Quine] p. 34.  This theorem shows the
       relationship between expressions with class abstractions and expressions
       with class variables.  Note that ~ abbi and its relatives are among
       those useful for converting theorems with class variables to equivalent
       theorems with wff variables, by first substituting a class abstraction
       for each class variable.

       Class variables can always be eliminated from a theorem to result in an
       equivalent theorem with wff variables, and vice-versa.  The idea is
       roughly as follows.  To convert a theorem with a wff variable ` ph `
       (that has a free variable ` x ` ) to a theorem with a class variable
       ` A ` , we substitute ` x e. A ` for ` ph ` throughout and simplify,
       where ` A ` is a new class variable not already in the wff.  For more
       information on class variables, see Quine pp. 15-21 and/or TakeutiZaring
       pp. 10-13. $)
    abeq2 $p |- ( A = { x | ph } <-> A. x ( x e. A <-> ph ) ) $=
      ( vy cab wceq cv wcel wb wal ax-17 hbab1 cleqf abid bibi2i albii bitri )
      CABEZFBGZCHZSRHZIZBJTAIZBJBDCRDGCHBKABDLMUBUCBUAATABNOPQ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A y $.  $d ph y $.
    $( Equality of a class variable and a class abstraction. $)
    abeq1 $p |- ( { x | ph } = A <-> A. x ( ph <-> x e. A ) ) $=
      ( cab wceq cv wcel wb wal abeq2 eqcom bicom albii 3bitr4i ) CABDZEBFCGZAH
      ZBIOCEAPHZBIABCJOCKRQBAPLMN $.
      $( [20-Aug-1993] $)
  $}

  ${
    abeqi.1 $e |- A = { x | ph } $.
    $( Equality of a class variable and a class abstraction (inference
       rule). $)
    abeq2i $p |- ( x e. A <-> ph ) $=
      ( cv wcel cab eleq2i abid bitri ) BEZCFKABGZFACLKDHABIJ $.
      $( [3-Apr-1996] $)
  $}

  ${
    abeqri.1 $e |- { x | ph } = A $.
    $( Equality of a class variable and a class abstraction (inference
       rule). $)
    abeq1i $p |- ( ph <-> x e. A ) $=
      ( cv cab wcel abid eleq2i bitr3i ) ABEZABFZGKCGABHLCKDIJ $.
      $( [31-Jul-1994] $)
  $}

  ${
    abeqd.1 $e |- ( ph -> A = { x | ps } ) $.
    $( Equality of a class variable and a class abstraction (deduction). $)
    abeq2d $p |- ( ph -> ( x e. A <-> ps ) ) $=
      ( cv wcel cab eleq2d abid syl6bb ) ACFZDGLBCHZGBADMLEIBCJK $.
      $( [16-Nov-1995] $)
  $}

  ${
    $d ph y $.  $d ps y $.  $d x y $.
    $( Equivalent wff's correspond to equal class abstractions. $)
    abbi $p |- ( A. x ( ph <-> ps ) <-> { x | ph } = { x | ps } ) $=
      ( vy cab wceq cv wcel wb wal hbab1 cleqf abid bibi12i albii bitr2i ) ACEZ
      BCEZFCGZQHZSRHZIZCJABIZCJCDQRACDKBCDKLUBUCCTAUABACMBCMNOP $.
      $( [25-Nov-2013] $)
  $}

  ${
    $d x A $.
    abbiri.1 $e |- ( x e. A <-> ph ) $.
    $( Equality of a class variable and a class abstraction (inference
       rule). $)
    abbi2i $p |- A = { x | ph } $=
      ( cab wceq cv wcel wb abeq2 mpgbir ) CABEFBGCHAIBABCJDK $.
      $( [5-Aug-1993] $)
  $}

  ${
    abbii.1 $e |- ( ph <-> ps ) $.
    $( Equivalent wff's yield equal class abstractions (inference rule). $)
    abbii $p |- { x | ph } = { x | ps } $=
      ( wb cab wceq abbi mpgbi ) ABEACFBCFGCABCHDI $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.  $d ph y $.  $d ps y $.  $d ch y $.  $( ` y ` is a dummy var. $)
    abbid.1 $e |- ( ph -> A. x ph ) $.
    abbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal class abstractions (deduction rule). $)
    abbid $p |- ( ph -> { x | ps } = { x | ch } ) $=
      ( wb wal cab wceq alrimi abbi sylib ) ABCGZDHBDICDIJANDEFKBCDLM $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ph $.
    abbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal class abstractions (deduction rule). $)
    abbidv $p |- ( ph -> { x | ps } = { x | ch } ) $=
      ( ax-17 abbid ) ABCDADFEG $.
      $( [10-Aug-1993] $)
  $}

  ${
    $d x y A $.  $d ph x y $.  $d ps y $.  $( ` y ` is a dummy var. $)
    abbirdv.1 $e |- ( ph -> ( x e. A <-> ps ) ) $.
    $( Deduction from a wff to a class abstraction. $)
    abbi2dv $p |- ( ph -> A = { x | ps } ) $=
      ( cv wcel wb wal cab wceq alrimiv abeq2 sylibr ) ACFDGBHZCIDBCJKAOCELBCDM
      N $.
      $( [9-Jul-1994] $)
  $}

  ${
    $d x y A $.  $d ph x y $.  $d ps y $.  $( ` y ` is a dummy var. $)
    abbildv.1 $e |- ( ph -> ( ps <-> x e. A ) ) $.
    $( Deduction from a wff to a class abstraction. $)
    abbi1dv $p |- ( ph -> { x | ps } = A ) $=
      ( cv wcel wb wal cab wceq alrimiv abeq1 sylibr ) ABCFDGHZCIBCJDKAOCELBCDM
      N $.
      $( [9-Jul-1994] $)
  $}

  ${
    $d x A $.
    $( A simplification of class abstraction.  Theorem 5.2 of [Quine] p. 35. $)
    abid2 $p |- { x | x e. A } = A $=
      ( cv wcel cab biid abbi2i eqcomi ) BACBDZAEIABIFGH $.
      $( [26-Dec-1993] $)
  $}

  ${
    $d y A $.  $d x y $.
    abid2f.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( A simplification of class abstraction.  Theorem 5.2 of [Quine] p. 35. $)
    abid2f $p |- { x | x e. A } = A $=
      ( cv wcel cab wceq wb wal hbab1 cleqf abid bibi2i albii bitri biid mpgbir
      eqcomi ) CAEZCFZAGZCUBHZUAUAIZAUCUATUBFZIZAJUDAJABCUBDUAABKLUFUDAUEUAUAUA
      AMNOPUAQRS $.
      $( [5-Sep-2011] $)
  $}

  ${
    $d x A y $.  $d ph y $.
    $( Membership of a class variable in a class abstraction. $)
    clelab $p |- ( A e. { x | ph } <-> E. x ( x = A /\ ph ) ) $=
      ( vy cv wceq cab wcel wa wex wsbc df-clab anbi2i exbii df-clel ax-17 hbs1
      hban eqeq1 sbequ12 anbi12d cbvex 3bitr4i ) DEZCFZUDABGZHZIZDJUEABUDKZIZDJ
      CUFHBEZCFZAIZBJUHUJDUGUIUEADBLMNDCUFOUMUJBDUMDPUEUIBUEBPABDQRUKUDFULUEAUI
      UKUDCSABDTUAUBUC $.
      $( [23-Dec-1993] $)
  $}

  ${
    $d y A $.  $d y ph $.  $d x y $.
    $( Membership of a class abstraction in another class. $)
    clabel $p |- ( { x | ph } e. A <->
                 E. y ( y e. A /\ A. x ( x e. y <-> ph ) ) ) $=
      ( cab wcel cv wceq wa wex wb wal df-clel abeq2 anbi1i ancom bitri exbii )
      ABEZDFCGZSHZTDFZIZCJUBBGTFAKBLZIZCJCSDMUCUECUCUDUBIUEUAUDUBABTNOUDUBPQRQ
      $.
      $( [17-Jan-2006] $)
  $}

  ${
    $d z A $.  $d z x $.  $d z y $.
    $( The right-hand side of the second equality is a way of representing
       proper substitution of ` y ` for ` x ` into a class variable. $)
    sbab $p |- ( x = y -> A = { z | [ y / x ] z e. A } ) $=
      ( cv wceq wcel wsbc sbequ12 abbi2dv ) AEBEZFCEDGZAKHCDLABIJ $.
      $( [14-Sep-2003] $)
  $}

  ${
    $d v A w $.  $d x z v u $.  $d y z v u $.  $d v ph $.
    sbabel.1 $e |- ( w e. A -> A. x w e. A ) $.
    $( Theorem to move a substitution in and out of a class abstraction.
       (Unnecessary distinct variable restrictions were removed by Andrew
       Salmon, 11-Jul-2011.) $)
    sbabel $p |- ( [ y / x ] { z | ph } e. A <-> { z | [ y / x ] ph } e. A ) $=
      ( vv cv cab wceq wcel wa wex wsbc wb wal sbf abeq2 sbbii sbex sban sbrbis
      ax-17 sbalv 3bitr4i hblem anbi12i bitri exbii df-clel ) HIZADJZKZULFLZMZH
      NZBCIZOZULABUROZDJZKZUOMZHNZUMFLZBUROVAFLUSUPBUROZHNVDUPHBCUAVFVCHVFUNBUR
      OZUOBUROZMVCUNUOBCUBVGVBVHUODIULLZAPZDQZBUROVIUTPZDQVGVBVJVLBCDVIVIABCVIB
      CVIBUDRUCUEUNVKBCADULSTUTDULSUFUOBCBEHFGUGRUHUIUJUIVEUQBCHUMFUKTHVAFUKUF
      $.
      $( [11-Jul-2011] $) $( [27-Sep-2003] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Negated equality and membership
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new connectives. $)
  $c =/= $. $( Not equal to (equal sign with slash through it). $)
  $c e/ $. $( Not an element of (epsilon with slash through it). $)

  $( Extend wff notation to include inequality. $)
  wne $a wff A =/= B $.

  $( Extend wff notation to include negated membership. $)
  wnel $a wff A e/ B $.

  $( Define inequality. $)
  df-ne $a |- ( A =/= B <-> -. A = B ) $.

  $( Define negated membership. $)
  df-nel $a |- ( A e/ B <-> -. A e. B ) $.

  $( Negation of inequality. $)
  nne $p |- ( -. A =/= B <-> A = B ) $=
    ( wceq wne wn df-ne con2bii bicomi ) ABCZABDZEJIABFGH $.
    $( [9-Jun-2006] $)

  $( Excluded middle with equality and inequality. $)
  exmidne $p |- ( A = B \/ A =/= B ) $=
    ( wceq wne wo wn exmid df-ne orbi2i mpbir ) ABCZABDZEKKFZEKGLMKABHIJ $.
    $( [3-Feb-2012] $)

  $( Law of noncontradiction with equality and inequality. $)
  nonconne $p |- -. ( A = B /\ A =/= B ) $=
    ( wceq wne wa wn pm3.24 df-ne anbi2i mtbir ) ABCZABDZEKKFZEKGLMKABHIJ $.
    $( [3-Feb-2012] $)

  $( Equality theorem for inequality. $)
  neeq1 $p |- ( A = B -> ( A =/= C <-> B =/= C ) ) $=
    ( wceq wn wne eqeq1 notbid df-ne 3bitr4g ) ABDZACDZEBCDZEACFBCFKLMABCGHACIB
    CIJ $.
    $( [19-Nov-1994] $)

  $( Equality theorem for inequality. $)
  neeq2 $p |- ( A = B -> ( C =/= A <-> C =/= B ) ) $=
    ( wceq wn wne eqeq2 notbid df-ne 3bitr4g ) ABDZCADZECBDZECAFCBFKLMABCGHCAIC
    BIJ $.
    $( [19-Nov-1994] $)

  ${
    neeq1i.1 $e |- A = B $.
    $( Inference for inequality. $)
    neeq1i $p |- ( A =/= C <-> B =/= C ) $=
      ( wceq wne wb neeq1 ax-mp ) ABEACFBCFGDABCHI $.
      $( [29-Apr-2005] $)

    $( Inference for inequality. $)
    neeq2i $p |- ( C =/= A <-> C =/= B ) $=
      ( wceq wne wb neeq2 ax-mp ) ABECAFCBFGDABCHI $.
      $( [29-Apr-2005] $)

    neeq12i.2 $e |- C = D $.
    $( Inference for inequality. $)
    neeq12i $p |- ( A =/= C <-> B =/= D ) $=
      ( wne neeq2i neeq1i bitri ) ACGADGBDGCDAFHABDEIJ $.
      $( [24-Jul-2012] $)
  $}

  ${
    neeq1d.1 $e |- ( ph -> A = B ) $.
    $( Deduction for inequality. $)
    neeq1d $p |- ( ph -> ( A =/= C <-> B =/= C ) ) $=
      ( wceq wne wb neeq1 syl ) ABCFBDGCDGHEBCDIJ $.
      $( [25-Oct-1999] $)

    $( Deduction for inequality. $)
    neeq2d $p |- ( ph -> ( C =/= A <-> C =/= B ) ) $=
      ( wceq wne wb neeq2 syl ) ABCFDBGDCGHEBCDIJ $.
      $( [25-Oct-1999] $)

    neeq12d.2 $e |- ( ph -> C = D ) $.
    $( Deduction for inequality. $)
    neeq12d $p |- ( ph -> ( A =/= C <-> B =/= D ) ) $=
      ( wne neeq1d neeq2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
      $( [24-Jul-2012] $)
  $}

  ${
    eqnetr.1 $e |- A = B $.
    eqnetr.2 $e |- B =/= C $.
    $( Substitution of equal classes into an inequality. $)
    eqnetri $p |- A =/= C $=
      ( wne neeq1i mpbir ) ACFBCFEABCDGH $.
      $( [4-Jul-2012] $)
  $}

  ${
    eqnetrd.1 $e |- ( ph -> A = B ) $.
    eqnetrd.2 $e |- ( ph -> B =/= C ) $.
    $( Substitution of equal classes into an inequality. $)
    eqnetrd $p |- ( ph -> A =/= C ) $=
      ( wne neeq1d mpbird ) ABDGCDGFABCDEHI $.
      $( [4-Jul-2012] $)
  $}

  ${
    eqnetrr.1 $e |- A = B $.
    eqnetrr.2 $e |- A =/= C $.
    $( Substitution of equal classes into an inequality. $)
    eqnetrri $p |- B =/= C $=
      ( eqcomi eqnetri ) BACABDFEG $.
      $( [4-Jul-2012] $)
  $}

  ${
    eqnetrrd.1 $e |- ( ph -> A = B ) $.
    eqnetrrd.2 $e |- ( ph -> A =/= C ) $.
    $( Substitution of equal classes into an inequality. $)
    eqnetrrd $p |- ( ph -> B =/= C ) $=
      ( eqcomd eqnetrd ) ACBDABCEGFH $.
      $( [4-Jul-2012] $)
  $}

  ${
    neeqtr.1 $e |- A =/= B $.
    neeqtr.2 $e |- B = C $.
    $( Substitution of equal classes into an inequality. $)
    neeqtri $p |- A =/= C $=
      ( wne neeq2i mpbi ) ABFACFDBCAEGH $.
      $( [4-Jul-2012] $)
  $}

  ${
    neeqtrd.1 $e |- ( ph -> A =/= B ) $.
    neeqtrd.2 $e |- ( ph -> B = C ) $.
    $( Substitution of equal classes into an inequality. $)
    neeqtrd $p |- ( ph -> A =/= C ) $=
      ( wne neeq2d mpbid ) ABCGBDGEACDBFHI $.
      $( [4-Jul-2012] $)
  $}

  ${
    neeqtrr.1 $e |- A =/= B $.
    neeqtrr.2 $e |- C = B $.
    $( Substitution of equal classes into an inequality. $)
    neeqtrri $p |- A =/= C $=
      ( eqcomi neeqtri ) ABCDCBEFG $.
      $( [4-Jul-2012] $)
  $}

  ${
    neeqtrrd.1 $e |- ( ph -> A =/= B ) $.
    neeqtrrd.2 $e |- ( ph -> C = B ) $.
    $( Substitution of equal classes into an inequality. $)
    neeqtrrd $p |- ( ph -> A =/= C ) $=
      ( eqcomd neeqtrd ) ABCDEADCFGH $.
      $( [4-Jul-2012] $)
  $}

  ${
    syl5eqner.1 $e |- B = A $.
    syl5eqner.2 $e |- ( ph -> B =/= C ) $.
    $( B chained equality inference for inequality. $)
    syl5eqner $p |- ( ph -> A =/= C ) $=
      ( wne neeq1i sylib ) ACDGBDGFCBDEHI $.
      $( [6-Jun-2012] $)
  $}

  ${
    3netr3d.1 $e |- ( ph -> A =/= B ) $.
    3netr3d.2 $e |- ( ph -> A = C ) $.
    3netr3d.3 $e |- ( ph -> B = D ) $.
    $( Substitution of equality into both sides of an inequality. $)
    3netr3d $p |- ( ph -> C =/= D ) $=
      ( wne neeq12d mpbid ) ABCIDEIFABDCEGHJK $.
      $( [24-Jul-2012] $)
  $}

  ${
    3netr4d.1 $e |- ( ph -> A =/= B ) $.
    3netr4d.2 $e |- ( ph -> C = A ) $.
    3netr4d.3 $e |- ( ph -> D = B ) $.
    $( Substitution of equality into both sides of an inequality. $)
    3netr4d $p |- ( ph -> C =/= D ) $=
      ( wne neeq12d mpbird ) ADEIBCIFADBECGHJK $.
      $( [24-Jul-2012] $)
  $}

  ${
    3netr3g.1 $e |- ( ph -> A =/= B ) $.
    3netr3g.2 $e |- A = C $.
    3netr3g.3 $e |- B = D $.
    $( Substitution of equality into both sides of an inequality. $)
    3netr3g $p |- ( ph -> C =/= D ) $=
      ( wne neeq12i sylib ) ABCIDEIFBDCEGHJK $.
      $( [24-Jul-2012] $)
  $}

  ${
    3netr4g.1 $e |- ( ph -> A =/= B ) $.
    3netr4g.2 $e |- C = A $.
    3netr4g.3 $e |- D = B $.
    $( Substitution of equality into both sides of an inequality. $)
    3netr4g $p |- ( ph -> C =/= D ) $=
      ( wne neeq12i sylibr ) ABCIDEIFDBECGHJK $.
      $( [14-Jun-2012] $)
  $}

  ${
    necon3abii.1 $e |- ( A = B <-> ph ) $.
    $( Deduction from equality to inequality. $)
    necon3abii $p |- ( A =/= B <-> -. ph ) $=
      ( wne wceq df-ne xchbinx ) BCEBCFABCGDH $.
      $( [9-Nov-2007] $)
  $}

  ${
    necon3bbii.1 $e |- ( ph <-> A = B ) $.
    $( Deduction from equality to inequality. $)
    necon3bbii $p |- ( -. ph <-> A =/= B ) $=
      ( wne wn wceq bicomi necon3abii ) BCEAFABCABCGDHIH $.
      $( [13-Apr-2007] $)
  $}

  ${
    necon3bii.1 $e |- ( A = B <-> C = D ) $.
    $( Inference from equality to inequality. $)
    necon3bii $p |- ( A =/= B <-> C =/= D ) $=
      ( wne wceq wn necon3abii df-ne bitr4i ) ABFCDGZHCDFLABEICDJK $.
      $( [23-Feb-2005] $)
  $}

  ${
    necon3abid.1 $e |- ( ph -> ( A = B <-> ps ) ) $.
    $( Deduction from equality to inequality. $)
    necon3abid $p |- ( ph -> ( A =/= B <-> -. ps ) ) $=
      ( wne wceq wn df-ne notbid syl5bb ) CDFCDGZHABHCDIALBEJK $.
      $( [21-Mar-2007] $)
  $}

  ${
    necon3bbid.1 $e |- ( ph -> ( ps <-> A = B ) ) $.
    $( Deduction from equality to inequality. $)
    necon3bbid $p |- ( ph -> ( -. ps <-> A =/= B ) ) $=
      ( wne wn wceq bicomd necon3abid ) ACDFBGABCDABCDHEIJI $.
      $( [2-Jun-2007] $)
  $}

  ${
    necon3bid.1 $e |- ( ph -> ( A = B <-> C = D ) ) $.
    $( Deduction from equality to inequality.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    necon3bid $p |- ( ph -> ( A =/= B <-> C =/= D ) ) $=
      ( wne wceq wn df-ne necon3bbid syl5bb ) BCGBCHZIADEGBCJAMDEFKL $.
      $( [25-May-2011] $) $( [23-Feb-2005] $)
  $}

  ${
    necon3ad.1 $e |- ( ph -> ( ps -> A = B ) ) $.
    $( Contrapositive law deduction for inequality.  (The proof was shortened
       by Andrew Salmon, 25-May-2011.) $)
    necon3ad $p |- ( ph -> ( A =/= B -> -. ps ) ) $=
      ( wne wceq wn nne syl6ibr con2d ) ABCDFZABCDGLHECDIJK $.
      $( [25-May-2011] $) $( [2-Apr-2007] $)
  $}

  ${
    necon3bd.1 $e |- ( ph -> ( A = B -> ps ) ) $.
    $( Contrapositive law deduction for inequality.  (The proof was shortened
       by Andrew Salmon, 25-May-2011.) $)
    necon3bd $p |- ( ph -> ( -. ps -> A =/= B ) ) $=
      ( wne wn wceq nne syl5bi con1d ) ACDFZBLGCDHABCDIEJK $.
      $( [25-May-2011] $) $( [2-Apr-2007] $)
  $}

  ${
    necon3d.1 $e |- ( ph -> ( A = B -> C = D ) ) $.
    $( Contrapositive law deduction for inequality. $)
    necon3d $p |- ( ph -> ( C =/= D -> A =/= B ) ) $=
      ( wne wceq wn necon3ad df-ne syl6ibr ) ADEGBCHZIBCGAMDEFJBCKL $.
      $( [10-Jun-2006] $)
  $}

  ${
    necon3i.1 $e |- ( A = B -> C = D ) $.
    $( Contrapositive inference for inequality. $)
    necon3i $p |- ( C =/= D -> A =/= B ) $=
      ( wceq wi wne id necon3d ax-mp ) ABFCDFGZCDHABHGELABCDLIJK $.
      $( [9-Aug-2006] $)
  $}

  ${
    necon3ai.1 $e |- ( ph -> A = B ) $.
    $( Contrapositive inference for inequality.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    necon3ai $p |- ( A =/= B -> -. ph ) $=
      ( wne wceq wn nne sylibr con2i ) ABCEZABCFKGDBCHIJ $.
      $( [25-May-2011] $) $( [23-May-2007] $)
  $}

  ${
    necon3bi.1 $e |- ( A = B -> ph ) $.
    $( Contrapositive inference for inequality.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    necon3bi $p |- ( -. ph -> A =/= B ) $=
      ( wne wn wceq nne sylbi con1i ) BCEZAKFBCGABCHDIJ $.
      $( [25-May-2011] $) $( [1-Jun-2007] $)
  $}

  ${
    necon1ai.1 $e |- ( -. ph -> A = B ) $.
    $( Contrapositive inference for inequality. $)
    necon1ai $p |- ( A =/= B -> ph ) $=
      ( wne wceq wn df-ne con1i sylbi ) BCEBCFZGABCHAKDIJ $.
      $( [12-Feb-2007] $)
  $}

  ${
    necon1bi.1 $e |- ( A =/= B -> ph ) $.
    $( Contrapositive inference for inequality.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    necon1bi $p |- ( -. ph -> A = B ) $=
      ( wn wne wceq con3i nne sylib ) AEBCFZEBCGKADHBCIJ $.
      $( [25-May-2011] $) $( [18-Mar-2007] $)
  $}

  ${
    necon1i.1 $e |- ( A =/= B -> C = D ) $.
    $( Contrapositive inference for inequality. $)
    necon1i $p |- ( C =/= D -> A = B ) $=
      ( wceq wn wne df-ne sylbir necon1ai ) ABFZCDLGABHCDFABIEJK $.
      $( [18-Mar-2007] $)
  $}

  ${
    necon2ai.1 $e |- ( A = B -> -. ph ) $.
    $( Contrapositive inference for inequality.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    necon2ai $p |- ( ph -> A =/= B ) $=
      ( wne wn wceq nne sylbi con4i ) BCEZAKFBCGAFBCHDIJ $.
      $( [25-May-2011] $) $( [16-Jan-2007] $)
  $}

  ${
    necon2bi.1 $e |- ( ph -> A =/= B ) $.
    $( Contrapositive inference for inequality. $)
    necon2bi $p |- ( A = B -> -. ph ) $=
      ( wceq wne wn df-ne sylib con2i ) ABCEZABCFKGDBCHIJ $.
      $( [1-Apr-2007] $)
  $}

  ${
    necon2i.1 $e |- ( A = B -> C =/= D ) $.
    $( Contrapositive inference for inequality. $)
    necon2i $p |- ( C = D -> A =/= B ) $=
      ( wceq wne wn df-ne sylib necon2ai ) CDFZABABFCDGLHECDIJK $.
      $( [18-Mar-2007] $)
  $}

  ${
    necon2ad.1 $e |- ( ph -> ( A = B -> -. ps ) ) $.
    $( Contrapositive inference for inequality.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    necon2ad $p |- ( ph -> ( ps -> A =/= B ) ) $=
      ( wne wn wceq nne syl5bi con4d ) ACDFZBLGCDHABGCDIEJK $.
      $( [25-May-2011] $) $( [19-Apr-2007] $)
  $}

  ${
    necon2bd.1 $e |- ( ph -> ( ps -> A =/= B ) ) $.
    $( Contrapositive inference for inequality. $)
    necon2bd $p |- ( ph -> ( A = B -> -. ps ) ) $=
      ( wceq wne wn df-ne syl6ib con2d ) ABCDFZABCDGLHECDIJK $.
      $( [13-Apr-2007] $)
  $}

  ${
    necon2d.1 $e |- ( ph -> ( A = B -> C =/= D ) ) $.
    $( Contrapositive inference for inequality. $)
    necon2d $p |- ( ph -> ( C = D -> A =/= B ) ) $=
      ( wceq wne wn df-ne syl6ib necon2ad ) ADEGZBCABCGDEHMIFDEJKL $.
      $( [28-Dec-2008] $)
  $}

  ${
    necon1abii.1 $e |- ( -. ph <-> A = B ) $.
    $( Contrapositive inference for inequality. $)
    necon1abii $p |- ( A =/= B <-> ph ) $=
      ( wne wceq wn df-ne con1bii bitri ) BCEBCFZGABCHAKDIJ $.
      $( [17-Mar-2007] $)
  $}

  ${
    necon1bbii.1 $e |- ( A =/= B <-> ph ) $.
    $( Contrapositive inference for inequality. $)
    necon1bbii $p |- ( -. ph <-> A = B ) $=
      ( wceq wn wne df-ne bitr3i con1bii ) BCEZAKFBCGABCHDIJ $.
      $( [17-Mar-2007] $)
  $}

  ${
    necon1abid.1 $e |- ( ph -> ( -. ps <-> A = B ) ) $.
    $( Contrapositive deduction for inequality. $)
    necon1abid $p |- ( ph -> ( A =/= B <-> ps ) ) $=
      ( wne wceq wn df-ne con1bid syl5bb ) CDFCDGZHABCDIABLEJK $.
      $( [21-Aug-2007] $)
  $}

  ${
    necon1bbid.1 $e |- ( ph -> ( A =/= B <-> ps ) ) $.
    $( Contrapositive inference for inequality. $)
    necon1bbid $p |- ( ph -> ( -. ps <-> A = B ) ) $=
      ( wceq wn wne df-ne syl5bbr con1bid ) ACDFZBLGCDHABCDIEJK $.
      $( [31-Jan-2008] $)
  $}

  ${
    necon2abii.1 $e |- ( A = B <-> -. ph ) $.
    $( Contrapositive inference for inequality. $)
    necon2abii $p |- ( ph <-> A =/= B ) $=
      ( wne wceq wn bicomi necon1abii ) BCEAABCBCFAGDHIH $.
      $( [2-Mar-2007] $)
  $}

  ${
    necon2bbii.1 $e |- ( ph <-> A =/= B ) $.
    $( Contrapositive inference for inequality. $)
    necon2bbii $p |- ( A = B <-> -. ph ) $=
      ( wn wceq wne bicomi necon1bbii ) AEBCFABCABCGDHIH $.
      $( [13-Apr-2007] $)
  $}

  ${
    necon2abid.1 $e |- ( ph -> ( A = B <-> -. ps ) ) $.
    $( Contrapositive deduction for inequality. $)
    necon2abid $p |- ( ph -> ( ps <-> A =/= B ) ) $=
      ( wceq wn wne con2bid df-ne syl6bbr ) ABCDFZGCDHALBEICDJK $.
      $( [18-Jul-2007] $)
  $}

  ${
    necon2bbid.1 $e |- ( ph -> ( ps <-> A =/= B ) ) $.
    $( Contrapositive deduction for inequality. $)
    necon2bbid $p |- ( ph -> ( A = B <-> -. ps ) ) $=
      ( wceq wne wn df-ne syl6bb con2bid ) ABCDFZABCDGLHECDIJK $.
      $( [13-Apr-2007] $)
  $}

  ${
    necon4ai.1 $e |- ( A =/= B -> -. ph ) $.
    $( Contrapositive inference for inequality.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    necon4ai $p |- ( ph -> A = B ) $=
      ( wne wn wceq con2i nne sylib ) ABCEZFBCGKADHBCIJ $.
      $( [25-May-2011] $) $( [16-Jan-2007] $)
  $}

  ${
    necon4i.1 $e |- ( A =/= B -> C =/= D ) $.
    $( Contrapositive inference for inequality.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    necon4i $p |- ( C = D -> A = B ) $=
      ( wceq wne wn necon2bi nne sylib ) CDFABGZHABFLCDEIABJK $.
      $( [25-May-2011] $) $( [17-Mar-2007] $)
  $}

  ${
    necon4ad.1 $e |- ( ph -> ( A =/= B -> -. ps ) ) $.
    $( Contrapositive inference for inequality.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    necon4ad $p |- ( ph -> ( ps -> A = B ) ) $=
      ( wne wn wceq con2d nne syl6ib ) ABCDFZGCDHALBEICDJK $.
      $( [25-May-2011] $) $( [2-Apr-2007] $)
  $}

  ${
    necon4bd.1 $e |- ( ph -> ( -. ps -> A =/= B ) ) $.
    $( Contrapositive inference for inequality.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    necon4bd $p |- ( ph -> ( A = B -> ps ) ) $=
      ( wceq wne wn nne con1d syl5bir ) CDFCDGZHABCDIABLEJK $.
      $( [25-May-2011] $) $( [1-Jun-2007] $)
  $}

  ${
    necon4d.1 $e |- ( ph -> ( A =/= B -> C =/= D ) ) $.
    $( Contrapositive inference for inequality.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    necon4d $p |- ( ph -> ( C = D -> A = B ) ) $=
      ( wceq wne wn necon2bd nne syl6ib ) ADEGBCHZIBCGAMDEFJBCKL $.
      $( [25-May-2011] $) $( [2-Apr-2007] $)
  $}

  ${
    necon4abid.1 $e |- ( ph -> ( A =/= B <-> -. ps ) ) $.
    $( Contrapositive law deduction for inequality. $)
    necon4abid $p |- ( ph -> ( A = B <-> ps ) ) $=
      ( wceq wn wne df-ne syl5bbr con4bid ) ACDFZBLGCDHABGCDIEJK $.
      $( [11-Jan-2008] $)
  $}

  ${
    necon4bbid.1 $e |- ( ph -> ( -. ps <-> A =/= B ) ) $.
    $( Contrapositive law deduction for inequality. $)
    necon4bbid $p |- ( ph -> ( ps <-> A = B ) ) $=
      ( wceq wn wne bicomd necon4abid ) ACDFBABCDABGCDHEIJI $.
      $( [9-May-2012] $)
  $}

  ${
    necon4bid.1 $e |- ( ph -> ( A =/= B <-> C =/= D ) ) $.
    $( Contrapositive law deduction for inequality. $)
    necon4bid $p |- ( ph -> ( A = B <-> C = D ) ) $=
      ( wceq wne wn necon2bbid nne syl6rbb ) ADEGBCHZIBCGAMDEFJBCKL $.
      $( [29-Jun-2007] $)
  $}

  ${
    necon1ad.1 $e |- ( ph -> ( -. ps -> A = B ) ) $.
    $( Contrapositive deduction for inequality. $)
    necon1ad $p |- ( ph -> ( A =/= B -> ps ) ) $=
      ( wne wceq wn df-ne con1d syl5bi ) CDFCDGZHABCDIABLEJK $.
      $( [2-Apr-2007] $)
  $}

  ${
    necon1bd.1 $e |- ( ph -> ( A =/= B -> ps ) ) $.
    $( Contrapositive deduction for inequality.  (The proof was shortened by
       Andrew Salmon, 25-May-2011.) $)
    necon1bd $p |- ( ph -> ( -. ps -> A = B ) ) $=
      ( wn wne wceq con3d nne syl6ib ) ABFCDGZFCDHALBEICDJK $.
      $( [25-May-2011] $) $( [21-Mar-2007] $)
  $}

  ${
    necon1d.1 $e |- ( ph -> ( A =/= B -> C = D ) ) $.
    $( Contrapositive law deduction for inequality.  (The proof was shortened
       by Andrew Salmon, 25-May-2011.) $)
    necon1d $p |- ( ph -> ( C =/= D -> A = B ) ) $=
      ( wne wceq wn nne syl6ibr necon4ad ) ADEGZBCABCGDEHMIFDEJKL $.
      $( [25-May-2011] $) $( [28-Dec-2008] $)
  $}

  $( Contraposition law for inequality. $)
  nebi $p |- ( ( A = B <-> C = D ) <-> ( A =/= B <-> C =/= D ) ) $=
    ( wceq wb wne id necon3bid necon4bid impbii ) ABECDEFZABGCDGFZLABCDLHIMABCD
    MHJK $.
    $( [28-Dec-2008] $)

  $( Theorem *13.18 in [WhiteheadRussell] p. 178.  (Contributed by Andrew
     Salmon, 3-Jun-2011.) $)
  pm13.18 $p |- ( ( A = B /\ A =/= C ) -> B =/= C ) $=
    ( wceq wne eqeq1 biimprd necon3d imp ) ABDZACEBCEJBCACJACDBCDABCFGHI $.
    $( [3-Jun-2011] $)

  $( Theorem *13.181 in [WhiteheadRussell] p. 178.  (Contributed by Andrew
     Salmon, 3-Jun-2011.) $)
  pm13.181 $p |- ( ( A = B /\ B =/= C ) -> A =/= C ) $=
    ( wceq wne eqcom pm13.18 sylanb ) ABDBADBCEACEABFBACGH $.
    $( [3-Jun-2011] $)

  ${
    pm2.61ne.1 $e |- ( A = B -> ( ps <-> ch ) ) $.
    pm2.61ne.2 $e |- ( ( ph /\ A =/= B ) -> ps ) $.
    pm2.61ne.3 $e |- ( ph -> ch ) $.
    $( Deduction eliminating an inequality in an antecedent.  (The proof was
       shortened by Andrew Salmon, 25-May-2011.) $)
    pm2.61ne $p |- ( ph -> ps ) $=
      ( wne wi expcom wn wceq nne syl5ibr sylbi pm2.61i ) DEIZABJZARBGKRLDEMZSD
      ENABTCHFOPQ $.
      $( [25-May-2011] $) $( [24-May-2006] $)
  $}

  ${
    pm2.61ine.1 $e |- ( A = B -> ph ) $.
    pm2.61ine.2 $e |- ( A =/= B -> ph ) $.
    $( Inference eliminating an inequality in an antecedent.  (The proof was
       shortened by Andrew Salmon, 25-May-2011.) $)
    pm2.61ine $p |- ph $=
      ( wne wn wceq nne sylbi pm2.61i ) BCFZAELGBCHABCIDJK $.
      $( [25-May-2011] $) $( [16-Jan-2007] $)
  $}

  ${
    pm2.61dne.1 $e |- ( ph -> ( A = B -> ps ) ) $.
    pm2.61dne.2 $e |- ( ph -> ( A =/= B -> ps ) ) $.
    $( Deduction eliminating an inequality in an antecedent.  (The proof was
       shortened by Andrew Salmon, 25-May-2011.) $)
    pm2.61dne $p |- ( ph -> ps ) $=
      ( wne wn wceq nne syl5bi pm2.61d ) ACDGZBFMHCDIABCDJEKL $.
      $( [25-May-2011] $) $( [1-Jun-2007] $)
  $}

  ${
    pm2.61dane.1 $e |- ( ( ph /\ A = B ) -> ps ) $.
    pm2.61dane.2 $e |- ( ( ph /\ A =/= B ) -> ps ) $.
    $( Deduction eliminating an inequality in an antecedent. $)
    pm2.61dane $p |- ( ph -> ps ) $=
      ( wceq ex wne pm2.61dne ) ABCDACDGBEHACDIBFHJ $.
      $( [30-Nov-2011] $)
  $}

  ${
    pm2.61da2ne.1 $e |- ( ( ph /\ A = B ) -> ps ) $.
    pm2.61da2ne.2 $e |- ( ( ph /\ C = D ) -> ps ) $.
    pm2.61da2ne.3 $e |- ( ( ph /\ ( A =/= B /\ C =/= D ) ) -> ps ) $.
    $( Deduction eliminating two inequalities in an antecedent. $)
    pm2.61da2ne $p |- ( ph -> ps ) $=
      ( wne wa wceq adantlr anassrs pm2.61dane ) ABCDGACDJZKBEFAEFLBPHMAPEFJBIN
      OO $.
      $( [29-May-2013] $)
  $}

  ${
    pm2.61da3ne.1 $e |- ( ( ph /\ A = B ) -> ps ) $.
    pm2.61da3ne.2 $e |- ( ( ph /\ C = D ) -> ps ) $.
    pm2.61da3ne.3 $e |- ( ( ph /\ E = F ) -> ps ) $.
    pm2.61da3ne.4 $e |- ( ( ph /\ ( A =/= B /\ C =/= D /\ E =/= F ) )
          -> ps ) $.
    $( Deduction eliminating three inequalities in an antecedent. $)
    pm2.61da3ne $p |- ( ph -> ps ) $=
      ( wne wa wceq adantlr simpll simplrl simplrr simpr pm2.61dane pm2.61da2ne
      syl13anc ) ABCDEFIJACDMZEFMZNZNZBGHAGHOBUFKPUGGHMZNAUDUEUHBAUFUHQAUDUEUHR
      AUDUEUHSUGUHTLUCUAUB $.
      $( [15-Jun-2013] $)
  $}

  $( Commutation of inequality. $)
  necom $p |- ( A =/= B <-> B =/= A ) $=
    ( eqcom necon3bii ) ABBAABCD $.
    $( [14-May-1999] $)

  ${
    necomi.1 $e |- A =/= B $.
    $( Inference from commutative law for inequality. $)
    necomi $p |- B =/= A $=
      ( wne necom mpbi ) ABDBADCABEF $.
      $( [17-Oct-2012] $)
  $}

  ${
    necomd.1 $e |- ( ph -> A =/= B ) $.
    $( Deduction from commutative law for inequality. $)
    necomd $p |- ( ph -> B =/= A ) $=
      ( wne necom sylib ) ABCECBEDBCFG $.
      $( [12-Feb-2008] $)
  $}

  $( Logical OR with an equality. $)
  neor $p |- ( ( A = B \/ ps ) <-> ( A =/= B -> ps ) ) $=
    ( wceq wo wn wi wne df-or df-ne imbi1i bitr4i ) BCDZAEMFZAGBCHZAGMAIONABCJK
    L $.
    $( [29-Apr-2007] $)

  $( A DeMorgan's law for inequality. $)
  neanior $p |- ( ( A =/= B /\ C =/= D ) <-> -. ( A = B \/ C = D ) ) $=
    ( wne wa wceq wn wo df-ne anbi12i pm4.56 bitri ) ABEZCDEZFABGZHZCDGZHZFPRIH
    NQOSABJCDJKPRLM $.
    $( [18-May-2007] $)

  $( A DeMorgan's law for inequality. $)
  ne3anior $p |- ( ( A =/= B /\ C =/= D /\ E =/= F )
        <-> -. ( A = B \/ C = D \/ E = F ) ) $=
    ( wne w3a wn w3o wceq 3anor nne 3orbi123i xchbinx ) ABGZCDGZEFGZHPIZQIZRIZJ
    ABKZCDKZEFKZJPQRLSUBTUCUAUDABMCDMEFMNO $.
    $( [30-Sep-2013] $)

  $( A DeMorgan's law for inequality. $)
  neorian $p |- ( ( A =/= B \/ C =/= D ) <-> -. ( A = B /\ C = D ) ) $=
    ( wne wo wceq wn wa df-ne orbi12i ianor bitr4i ) ABEZCDEZFABGZHZCDGZHZFPRIH
    NQOSABJCDJKPRLM $.
    $( [18-May-2007] $)

  ${
    nemtbir.1 $e |- A =/= B $.
    nemtbir.2 $e |- ( ph <-> A = B ) $.
    $( An inference from an inequality, related to modus tollens. $)
    nemtbir $p |- -. ph $=
      ( wceq wne wn df-ne mpbi mtbir ) ABCFZBCGLHDBCIJEK $.
      $( [13-Apr-2007] $)
  $}

  $( Two classes are different if they don't contain the same element. $)
  nelne1 $p |- ( ( A e. B /\ -. A e. C ) -> B =/= C ) $=
    ( wcel wn wne wceq eleq2 biimpcd necon3bd imp ) ABDZACDZEBCFLMBCBCGLMBCAHIJ
    K $.
    $( [3-Feb-2012] $)

  $( Two classes are different if they don't belong to the same class. $)
  nelne2 $p |- ( ( A e. C /\ -. B e. C ) -> A =/= B ) $=
    ( wcel wn wne wceq eleq1 biimpcd necon3bd imp ) ACDZBCDZEABFLMABABGLMABCHIJ
    K $.
    $( [25-Jun-2012] $)

  $( Equality theorem for negated membership. $)
  neleq1 $p |- ( A = B -> ( A e/ C <-> B e/ C ) ) $=
    ( wceq wcel wn wnel eleq1 notbid df-nel 3bitr4g ) ABDZACEZFBCEZFACGBCGLMNAB
    CHIACJBCJK $.
    $( [20-Nov-1994] $)

  $( Equality theorem for negated membership. $)
  neleq2 $p |- ( A = B -> ( C e/ A <-> C e/ B ) ) $=
    ( wceq wcel wn wnel eleq2 notbid df-nel 3bitr4g ) ABDZCAEZFCBEZFCAGCBGLMNAB
    CHICAJCBJK $.
    $( [20-Nov-1994] $)

  ${
    $d y A $.  $d y B $.
    hbne.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbne.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for inequality.  (Unnecessary distinct
       variable restrictions were removed by Andrew Salmon, 11-Jul-2011.) $)
    hbne $p |- ( A =/= B -> A. x A =/= B ) $=
      ( wne wceq wn df-ne hbeq hbn hbxfrbi ) CDGCDHZIACDJNAABBCDEFKLM $.
      $( [11-Jul-2011] $) $( [10-Nov-2007] $)
  $}

  ${
    $d y A $.  $d z B $.
    hbnel.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbnel.2 $e |- ( z e. B -> A. x z e. B ) $.
    $( Bound-variable hypothesis builder for inequality.  (Contributed by by
       David Abernethy, 26-Jun-2011.)  (Unnecessary distinct variable
       restrictions were removed by Andrew Salmon, 11-Jul-2011.) $)
    hbnel $p |- ( A e/ B -> A. x A e/ B ) $=
      ( wnel wcel wn df-nel hbel hbn hbxfrbi ) DEHDEIZJADEKOAABCDEFGLMN $.
      $( [11-Jul-2011] $) $( [26-Jun-2011] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Restricted quantification
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend wff notation to include restricted universal quantification. $)
  wral $a wff A. x e. A ph $.

  $( Extend wff notation to include restricted existential quantification. $)
  wrex $a wff E. x e. A ph $.

  $( Extend wff notation to include restricted existential uniqueness. $)
  wreu $a wff E! x e. A ph $.

  $( Extend class notation to include the restricted class abstraction (class
     builder). $)
  crab $a class { x e. A | ph } $.

  $( Define restricted universal quantification.  Special case of Definition
     4.15(3) of [TakeutiZaring] p. 22. $)
  df-ral $a |- ( A. x e. A ph <-> A. x ( x e. A -> ph ) ) $.

  $( Define restricted existential quantification.  Special case of Definition
     4.15(4) of [TakeutiZaring] p. 22. $)
  df-rex $a |- ( E. x e. A ph <-> E. x ( x e. A /\ ph ) ) $.

  $( Define restricted existential uniqueness. $)
  df-reu $a |- ( E! x e. A ph <-> E! x ( x e. A /\ ph ) ) $.

  $( Define a restricted class abstraction (class builder), which is the class
     of all ` x ` in ` A ` such that ` ph ` is true.  Definition of
     [TakeutiZaring] p. 20. $)
  df-rab $a |- { x e. A | ph } = { x | ( x e. A /\ ph ) } $.

  $( Relationship between restricted universal and existential quantifiers. $)
  ralnex $p |- ( A. x e. A -. ph <-> -. E. x e. A ph ) $=
    ( wn wral cv wcel wi wal wrex df-ral wa wex alinexa df-rex xchbinxr bitri )
    ADZBCEBFCGZRHBIZABCJZDRBCKTSALBMUASABNABCOPQ $.
    $( [21-Jan-1997] $)

  $( Relationship between restricted universal and existential quantifiers. $)
  rexnal $p |- ( E. x e. A -. ph <-> -. A. x e. A ph ) $=
    ( wn wrex cv wcel wa wex wral df-rex wi wal exanali df-ral xchbinxr bitri )
    ADZBCEBFCGZRHBIZABCJZDRBCKTSALBMUASABNABCOPQ $.
    $( [21-Jan-1997] $)

  $( Relationship between restricted universal and existential quantifiers. $)
  dfral2 $p |- ( A. x e. A ph <-> -. E. x e. A -. ph ) $=
    ( wn wrex wral rexnal con2bii ) ADBCEABCFABCGH $.
    $( [21-Jan-1997] $)

  $( Relationship between restricted universal and existential quantifiers. $)
  dfrex2 $p |- ( E. x e. A ph <-> -. A. x e. A -. ph ) $=
    ( wn wral wrex ralnex con2bii ) ADBCEABCFABCGH $.
    $( [21-Jan-1997] $)

  ${
    ralbida.1 $e |- ( ph -> A. x ph ) $.
    ralbida.2 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       rule). $)
    ralbida $p |- ( ph -> ( A. x e. A ps <-> A. x e. A ch ) ) $=
      ( cv wcel wi wal wral pm5.74da albid df-ral 3bitr4g ) ADHEIZBJZDKQCJZDKBD
      ELCDELARSDFAQBCGMNBDEOCDEOP $.
      $( [6-Oct-2003] $)

    $( Formula-building rule for restricted existential quantifier (deduction
       rule). $)
    rexbida $p |- ( ph -> ( E. x e. A ps <-> E. x e. A ch ) ) $=
      ( cv wcel wa wex wrex pm5.32da exbid df-rex 3bitr4g ) ADHEIZBJZDKQCJZDKBD
      ELCDELARSDFAQBCGMNBDEOCDEOP $.
      $( [6-Oct-2003] $)
  $}

  ${
    $d x ph $.
    ralbidva.1 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       rule). $)
    ralbidva $p |- ( ph -> ( A. x e. A ps <-> A. x e. A ch ) ) $=
      ( ax-17 ralbida ) ABCDEADGFH $.
      $( [4-Mar-1997] $)

    $( Formula-building rule for restricted existential quantifier (deduction
       rule). $)
    rexbidva $p |- ( ph -> ( E. x e. A ps <-> E. x e. A ch ) ) $=
      ( ax-17 rexbida ) ABCDEADGFH $.
      $( [9-Mar-1997] $)
  $}

  ${
    ralbid.1 $e |- ( ph -> A. x ph ) $.
    ralbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       rule). $)
    ralbid $p |- ( ph -> ( A. x e. A ps <-> A. x e. A ch ) ) $=
      ( wb cv wcel adantr ralbida ) ABCDEFABCHDIEJGKL $.
      $( [27-Jun-1998] $)

    $( Formula-building rule for restricted existential quantifier (deduction
       rule). $)
    rexbid $p |- ( ph -> ( E. x e. A ps <-> E. x e. A ch ) ) $=
      ( wb cv wcel adantr rexbida ) ABCDEFABCHDIEJGKL $.
      $( [27-Jun-1998] $)
  $}

  ${
    $d x ph $.
    ralbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       rule). $)
    ralbidv $p |- ( ph -> ( A. x e. A ps <-> A. x e. A ch ) ) $=
      ( ax-17 ralbid ) ABCDEADGFH $.
      $( [20-Nov-1994] $)

    $( Formula-building rule for restricted existential quantifier (deduction
       rule). $)
    rexbidv $p |- ( ph -> ( E. x e. A ps <-> E. x e. A ch ) ) $=
      ( ax-17 rexbid ) ABCDEADGFH $.
      $( [20-Nov-1994] $)
  $}

  ${
    $d x ph $.
    ralbidv2.1 $e |- ( ph -> ( ( x e. A -> ps ) <-> ( x e. B -> ch ) ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       rule). $)
    ralbidv2 $p |- ( ph -> ( A. x e. A ps <-> A. x e. B ch ) ) $=
      ( cv wcel wi wal wral albidv df-ral 3bitr4g ) ADHZEIBJZDKPFICJZDKBDELCDFL
      AQRDGMBDENCDFNO $.
      $( [6-Apr-1997] $)
  $}

  ${
    $d x ph $.
    rexbidv2.1 $e |- ( ph -> ( ( x e. A /\ ps ) <-> ( x e. B /\ ch ) ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       rule). $)
    rexbidv2 $p |- ( ph -> ( E. x e. A ps <-> E. x e. B ch ) ) $=
      ( cv wcel wa wex wrex exbidv df-rex 3bitr4g ) ADHZEIBJZDKPFICJZDKBDELCDFL
      AQRDGMBDENCDFNO $.
      $( [22-May-1999] $)
  $}

  ${
    ralbii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding restricted universal quantifier to both sides of an
       equivalence. $)
    ralbii $p |- ( A. x e. A ph <-> A. x e. A ps ) $=
      ( wb wral biid hbth a1i ralbid ax-mp ) AAFZACDGBCDGFAHZMABCDMCNIABFMEJKL
      $.
      $( [23-Nov-1994] $)

    $( Inference adding restricted existential quantifier to both sides of an
       equivalence. $)
    rexbii $p |- ( E. x e. A ph <-> E. x e. A ps ) $=
      ( wb wrex biid hbth a1i rexbid ax-mp ) AAFZACDGBCDGFAHZMABCDMCNIABFMEJKL
      $.
      $( [23-Nov-1994] $)

    $( Inference adding 2 restricted universal quantifiers to both sides of an
       equivalence. $)
    2ralbii $p |- ( A. x e. A A. y e. B ph <-> A. x e. A A. y e. B ps ) $=
      ( wral ralbii ) ADFHBDFHCEABDFGII $.
      $( [1-Aug-2004] $)

    $( Inference adding 2 restricted existential quantifiers to both sides of
       an equivalence. $)
    2rexbii $p |- ( E. x e. A E. y e. B ph <-> E. x e. A E. y e. B ps ) $=
      ( wrex rexbii ) ADFHBDFHCEABDFGII $.
      $( [11-Nov-1995] $)
  $}

  ${
    ralbii2.1 $e |- ( ( x e. A -> ph ) <-> ( x e. B -> ps ) ) $.
    $( Inference adding different restricted universal quantifiers to each side
       of an equivalence. $)
    ralbii2 $p |- ( A. x e. A ph <-> A. x e. B ps ) $=
      ( cv wcel wi wal wral albii df-ral 3bitr4i ) CGZDHAIZCJOEHBIZCJACDKBCEKPQ
      CFLACDMBCEMN $.
      $( [15-Aug-2005] $)
  $}

  ${
    rexbii2.1 $e |- ( ( x e. A /\ ph ) <-> ( x e. B /\ ps ) ) $.
    $( Inference adding different restricted existential quantifiers to each
       side of an equivalence. $)
    rexbii2 $p |- ( E. x e. A ph <-> E. x e. B ps ) $=
      ( cv wcel wa wex wrex exbii df-rex 3bitr4i ) CGZDHAIZCJOEHBIZCJACDKBCEKPQ
      CFLACDMBCEMN $.
      $( [4-Feb-2004] $)
  $}

  ${
    ralbiia.1 $e |- ( x e. A -> ( ph <-> ps ) ) $.
    $( Inference adding restricted universal quantifier to both sides of an
       equivalence. $)
    ralbiia $p |- ( A. x e. A ph <-> A. x e. A ps ) $=
      ( cv wcel pm5.74i ralbii2 ) ABCDDCFDGABEHI $.
      $( [26-Nov-2000] $)

    $( Inference adding restricted existential quantifier to both sides of an
       equivalence. $)
    rexbiia $p |- ( E. x e. A ph <-> E. x e. A ps ) $=
      ( cv wcel pm5.32i rexbii2 ) ABCDDCFDGABEHI $.
      $( [26-Oct-1999] $)
  $}

  ${
    $d x y $.  $d y A $.
    2rexbiia.1 $e |- ( ( x e. A /\ y e. B ) -> ( ph <-> ps ) ) $.
    $( Inference adding 2 restricted existential quantifiers to both sides of
       an equivalence. $)
    2rexbiia $p |- ( E. x e. A E. y e. B ph <-> E. x e. A E. y e. B ps ) $=
      ( wrex cv wcel rexbidva rexbiia ) ADFHBDFHCECIEJABDFGKL $.
      $( [1-Aug-2004] $)
  $}

  ${
    $d x y $.  $d y A $.
    $( Double restricted universal quantification. $)
    r2al $p |- ( A. x e. A A. y e. B ph <->
               A. x A. y ( ( x e. A /\ y e. B ) -> ph ) ) $=
      ( wral cv wcel wi wal wa df-ral 19.21v impexp albii imbi2i 3bitr4i bitr4i
      ) ACEFZBDFBGDHZSIZBJTCGEHZKAIZCJZBJSBDLUDUABTUBAIZIZCJTUECJZIUDUATUECMUCU
      FCTUBANOSUGTACELPQOR $.
      $( [19-Nov-1995] $)
  $}

  ${
    $d x y $.  $d y A $.
    2ralbida.1 $e |- ( ph -> A. x ph ) $.
    2ralbida.2 $e |- ( ph -> A. y ph ) $.
    2ralbida.3 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       rule). $)
    2ralbida $p |- ( ph ->
                     ( A. x e. A A. y e. B ps <-> A. x e. A A. y e. B ch ) ) $=
      ( wral cv wcel wa ax-17 hban wb anassrs ralbida ) ABEGKCEGKDFHADLFMZNBCEG
      ATEITEOPATELGMBCQJRSS $.
      $( [24-Feb-2004] $)
  $}

  ${
    $d x y ph $.  $d y A $.
    2ralbidva.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifiers (deduction
       rule). $)
    2ralbidva $p |- ( ph ->
                     ( A. x e. A A. y e. B ps <-> A. x e. A A. y e. B ch ) ) $=
      ( ax-17 2ralbida ) ABCDEFGADIAEIHJ $.
      $( [4-Mar-1997] $)

    $( Formula-building rule for restricted existential quantifiers (deduction
       rule). $)
    2rexbidva $p |- ( ph ->
                    ( E. x e. A E. y e. B ps <-> E. x e. A E. y e. B ch ) ) $=
      ( wrex cv wcel wa wb anassrs rexbidva ) ABEGICEGIDFADJFKZLBCEGAPEJGKBCMHN
      OO $.
      $( [15-Dec-2004] $)
  $}

  ${
    $d x ph $.  $d y ph $.
    2ralbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifiers (deduction
       rule).  (Unnecessary distinct variable restrictions were removed by
       Szymon Jaroszewicz, 16-Mar-2006.) $)
    2ralbidv $p |- ( ph ->
                     ( A. x e. A A. y e. B ps <-> A. x e. A A. y e. B ch ) ) $=
      ( wral ralbidv ) ABEGICEGIDFABCEGHJJ $.
      $( [16-Mar-2007] $) $( [28-Jan-2006] $)

    $( Formula-building rule for restricted existential quantifiers (deduction
       rule). $)
    2rexbidv $p |- ( ph ->
                    ( E. x e. A E. y e. B ps <-> E. x e. A E. y e. B ch ) ) $=
      ( wrex rexbidv ) ABEGICEGIDFABCEGHJJ $.
      $( [28-Jan-2006] $)

    $( Formula-building rule for restricted quantifiers (deduction rule). $)
    rexralbidv $p |- ( ph ->
                    ( E. x e. A A. y e. B ps <-> E. x e. A A. y e. B ch ) ) $=
      ( wral ralbidv rexbidv ) ABEGICEGIDFABCEGHJK $.
      $( [28-Jan-2006] $)
  $}

  $( A transformation of restricted quantifiers and logical connectives. $)
  ralinexa $p |- ( A. x e. A ( ph -> -. ps ) <-> -. E. x e. A ( ph /\ ps ) ) $=
    ( wn wi wral wa wrex imnan ralbii ralnex bitri ) ABEFZCDGABHZEZCDGOCDIENPCD
    ABJKOCDLM $.
    $( [4-Sep-2005] $)

  $( A transformation of restricted quantifiers and logical connectives. $)
  rexanali $p |- ( E. x e. A ( ph /\ -. ps ) <-> -. A. x e. A ( ph -> ps ) ) $=
    ( wn wa wrex wi wral annim rexbii rexnal bitri ) ABEFZCDGABHZEZCDGOCDIENPCD
    ABJKOCDLM $.
    $( [4-Sep-2005] $)

  ${
    $d x A $.  $d x B $.
    $( Two ways to say " ` A ` belongs to ` B ` ." $)
    risset $p |- ( A e. B <-> E. x e. B x = A ) $=
      ( cv wcel wceq wa wex wrex exancom df-rex df-clel 3bitr4ri ) ADZCEZNBFZGA
      HPOGAHPACIBCEOPAJPACKABCLM $.
      $( [22-Nov-1994] $)
  $}

  ${
    hbral.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbral.2 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for restricted quantification.
       (Unnecessary distinct variable restrictions were removed by David
       Abernethy, 13-Dec-2009.) $)
    hbral $p |- ( A. y e. A ph -> A. x A. y e. A ph ) $=
      ( wral cv wcel wi wal df-ral hbim hbal hbxfrbi ) ACDGCHDIZAJZCKBACDLQBCPA
      BEFMNO $.
      $( [13-Dec-2009] $) $( [1-Sep-1999] $)
  $}

  ${
    hbrald.1 $e |- ( ph -> A. x ph ) $.
    hbrald.2 $e |- ( ph -> A. y ph ) $.
    hbrald.3 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hbrald.4 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction version of ~ hbral . $)
    hbrald $p |- ( ph -> ( A. y e. A ps -> A. x A. y e. A ps ) ) $=
      ( cv wcel wi wal wral hbimd hbald df-ral albii 3imtr4g ) ADJEKZBLZDMZUBCM
      BDENZUCCMAUACDGATBCFHIOPBDEQZUCUBCUDRS $.
      $( [15-Feb-2013] $)
  $}

  $( ` x ` is not free in ` A. x e. A ph ` . $)
  hbra1 $p |- ( A. x e. A ph -> A. x A. x e. A ph ) $=
    ( wral cv wcel wi wal df-ral hba1 hbxfrbi ) ABCDBECFAGZBHBABCILBJK $.
    $( [18-Oct-1996] $)

  ${
    $d A y $.  $d x y $.
    $( Similar to Lemma 24 of [Monk2] p. 114, except the quantification of the
       antecedent is restricted.  Contributed by Alan Sare 31-Dec-2011. $)
    hbra2 $p |- ( A. x e. A A. y e. B ph -> A. y A. x e. A A. y e. B ph ) $=
      ( wral cv wcel wi wal df-ral ralbii ax-17 hba1 hbral hbxfrbi ) ACEFZBDFCG
      EHAIZCJZBDFCQSBDACEKLSCBDBGDHCMRCNOP $.
      $( [31-Dec-2011] $)
  $}

  ${
    hbrex.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbrex.2 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for restricted quantification.
       (Unnecessary distinct variable restrictions were removed by David
       Abernethy, 13-Dec-2009.) $)
    hbrex $p |- ( E. y e. A ph -> A. x E. y e. A ph ) $=
      ( wrex cv wcel wa wex df-rex hban hbex hbxfrbi ) ACDGCHDIZAJZCKBACDLQBCPA
      BEFMNO $.
      $( [13-Dec-2009] $) $( [1-Sep-1999] $)
  $}

  $( ` x ` is not free in ` E. x e. A ph ` . $)
  hbre1 $p |- ( E. x e. A ph -> A. x E. x e. A ph ) $=
    ( wrex cv wcel wa wex df-rex hbe1 hbxfrbi ) ABCDBECFAGZBHBABCILBJK $.
    $( [19-Mar-1997] $)

  ${
    $d x y z $.  $d y z A $.  $d z B $.
    $( Triple restricted universal quantification. $)
    r3al $p |- ( A. x e. A A. y e. B A. z e. C ph <->
               A. x A. y A. z ( ( x e. A /\ y e. B /\ z e. C ) -> ph ) ) $=
      ( cv wcel wa wi wal wral w3a df-ral r2al ralbii bitri albii 19.21v 3anass
      imbi1i impexp 3bitr4i ) CHFIZDHGIZJZAKZDLZCLZBEMBHEIZUJKZBLADGMCFMZBEMUKU
      EUFNZAKZDLZCLZBLUJBEOUMUJBEACDFGPQUQULBUQUKUIKZCLULUPURCUPUKUHKZDLURUOUSD
      UOUKUGJZAKUSUNUTAUKUEUFUAUBUKUGAUCRSUKUHDTRSUKUICTRSUD $.
      $( [19-Nov-1995] $)
  $}

  ${
    $d x y $.  $d y A $.
    $( Double restricted existential quantification. $)
    r2ex $p |- ( E. x e. A E. y e. B ph <->
               E. x E. y ( ( x e. A /\ y e. B ) /\ ph ) ) $=
      ( wrex cv wcel wa wex df-rex 19.42v anass exbii anbi2i 3bitr4i bitr4i ) A
      CEFZBDFBGDHZRIZBJSCGEHZIAIZCJZBJRBDKUCTBSUAAIZIZCJSUDCJZIUCTSUDCLUBUECSUA
      AMNRUFSACEKOPNQ $.
      $( [11-Nov-1995] $)
  $}

  $( Universal quantification implies restricted quantification. $)
  alral $p |- ( A. x ph -> A. x e. A ph ) $=
    ( wal cv wcel wi wral ax-1 alimi df-ral sylibr ) ABDBECFZAGZBDABCHANBAMIJAB
    CKL $.
    $( [20-Oct-2006] $)

  $( Restricted existence implies existence. $)
  rexex $p |- ( E. x e. A ph -> E. x ph ) $=
    ( wrex cv wcel wa wex df-rex simpr eximi sylbi ) ABCDBECFZAGZBHABHABCINABMA
    JKL $.
    $( [11-Nov-1995] $)

  $( Restricted specialization. $)
  ra4 $p |- ( A. x e. A ph -> ( x e. A -> ph ) ) $=
    ( wral cv wcel wi wal df-ral ax-4 sylbi ) ABCDBECFAGZBHLABCILBJK $.
    $( [17-Oct-1996] $)

  $( Restricted specialization. $)
  ra4e $p |- ( ( x e. A /\ ph ) -> E. x e. A ph ) $=
    ( cv wcel wa wex wrex 19.8a df-rex sylibr ) BDCEAFZLBGABCHLBIABCJK $.
    $( [12-Oct-1999] $)

  $( Restricted specialization. $)
  ra42 $p |- ( A. x e. A A. y e. B ph -> ( ( x e. A /\ y e. B ) -> ph ) ) $=
    ( wral cv wcel wi ra4 syl6 imp3a ) ACEFZBDFZBGDHZCGEHZANOMPAIMBDJACEJKL $.
    $( [11-Feb-1997] $)

  $( Restricted specialization.  (Contributed by FL, 4-Jun-2012.) $)
  ra42e $p |- ( ( x e. A /\ y e. B /\ ph ) -> E. x e. A E. y e. B ph ) $=
    ( cv wcel w3a wrex wa wex simp1 ra4e 3adant1 19.8a syl2anc df-rex sylibr )
    BFDGZCFEGZAHZSACEIZJZBKZUBBDIUASUBUDSTALTAUBSACEMNUCBOPUBBDQR $.
    $( [4-Jun-2012] $)

  ${
    rspec.1 $e |- A. x e. A ph $.
    $( Specialization rule for restricted quantification. $)
    rspec $p |- ( x e. A -> ph ) $=
      ( wral cv wcel wi ra4 ax-mp ) ABCEBFCGAHDABCIJ $.
      $( [19-Nov-1994] $)
  $}

  ${
    rgen.1 $e |- ( x e. A -> ph ) $.
    $( Generalization rule for restricted quantification. $)
    rgen $p |- A. x e. A ph $=
      ( wral cv wcel wi df-ral mpgbir ) ABCEBFCGAHBABCIDJ $.
      $( [19-Nov-1994] $)
  $}

  ${
    $d y z A $.  $d x z $.
    rgen2a.1 $e |- ( ( x e. A /\ y e. A ) -> ph ) $.
    $( Generalization rule for restricted quantification.  Note that ` x ` and
       ` y ` needn't be distinct.  (The proof was shortened by Andrew Salmon,
       25-May-2011.) $)
    rgen2a $p |- A. x e. A A. y e. A ph $=
      ( vz wral cv wcel wi wal wceq eleq1 ex syl6bi pm2.43d alimi a1d wn ax-17
      dvelim syl6 pm2.61i df-ral sylibr rgen ) ACDGZBDBHZDIZCHZDIZAJZCKZUGUJUHL
      ZCKZUIUMJUOUMUIUNULCUNUKAUNUKUIULUJUHDMUIUKAENZOPQRUOSUIUICKUMFHZDIZUICBF
      URCTUQUHDMUAUIULCUPQUBUCACDUDUEUF $.
      $( [25-May-2011] $) $( [23-Nov-1994] $)
  $}

  ${
    rgenw.1 $e |- ph $.
    $( Generalization rule for restricted quantification. $)
    rgenw $p |- A. x e. A ph $=
      ( cv wcel a1i rgen ) ABCABECFDGH $.
      $( [18-Jun-2014] $)

    $( Generalization rule for restricted quantification.  Note that ` x ` and
       ` y ` needn't be distinct. $)
    rgen2w $p |- A. x e. A A. y e. B ph $=
      ( wral rgenw ) ACEGBDACEFHH $.
      $( [18-Jun-2014] $)
  $}

  ${
    mprg.1 $e |- ( A. x e. A ph -> ps ) $.
    mprg.2 $e |- ( x e. A -> ph ) $.
    $( Modus ponens combined with restricted generalization. $)
    mprg $p |- ps $=
      ( wral rgen ax-mp ) ACDGBACDFHEI $.
      $( [10-Aug-2004] $)
  $}

  ${
    mprgbir.1 $e |- ( ph <-> A. x e. A ps ) $.
    mprgbir.2 $e |- ( x e. A -> ps ) $.
    $( Modus ponens on biconditional combined with restricted
       generalization. $)
    mprgbir $p |- ph $=
      ( wral rgen mpbir ) ABCDGBCDFHEI $.
      $( [21-Mar-2004] $)
  $}

  $( Distribution of restricted quantification over implication. $)
  ralim $p |- ( A. x e. A ( ph -> ps ) ->
               ( A. x e. A ph -> A. x e. A ps ) ) $=
    ( wi wral cv wcel wal df-ral ax-2 al2imi sylbi 3imtr4g ) ABEZCDFZCGDHZAEZCI
    ZQBEZCIZACDFBCDFPQOEZCISUAEOCDJUBRTCQABKLMACDJBCDJN $.
    $( [9-Feb-1997] $)

  ${
    ralimi2.1 $e |- ( ( x e. A -> ph ) -> ( x e. B -> ps ) ) $.
    $( Inference quantifying both antecedent and consequent. $)
    ralimi2 $p |- ( A. x e. A ph -> A. x e. B ps ) $=
      ( cv wcel wi wal wral alimi df-ral 3imtr4i ) CGZDHAIZCJOEHBIZCJACDKBCEKPQ
      CFLACDMBCEMN $.
      $( [22-Feb-2004] $)
  $}

  ${
    ralimia.1 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Inference quantifying both antecedent and consequent. $)
    ralimia $p |- ( A. x e. A ph -> A. x e. A ps ) $=
      ( cv wcel a2i ralimi2 ) ABCDDCFDGABEHI $.
      $( [19-Jul-1996] $)
  $}

  ${
    ralimiaa.1 $e |- ( ( x e. A /\ ph ) -> ps ) $.
    $( Inference quantifying both antecedent and consequent. $)
    ralimiaa $p |- ( A. x e. A ph -> A. x e. A ps ) $=
      ( cv wcel ex ralimia ) ABCDCFDGABEHI $.
      $( [4-Aug-2007] $)
  $}

  ${
    ralimi.1 $e |- ( ph -> ps ) $.
    $( Inference quantifying both antecedent and consequent, with strong
       hypothesis. $)
    ralimi $p |- ( A. x e. A ph -> A. x e. A ps ) $=
      ( wi cv wcel a1i ralimia ) ABCDABFCGDHEIJ $.
      $( [4-Mar-1997] $)
  $}

  ${
    ral2imi.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference quantifying antecedent, nested antecedent, and consequent,
       with a strong hypothesis. $)
    ral2imi $p |- ( A. x e. A ph -> ( A. x e. A ps -> A. x e. A ch ) ) $=
      ( wral wi ralimi ralim syl ) ADEGBCHZDEGBDEGCDEGHALDEFIBCDEJK $.
      $( [19-Dec-2006] $)
  $}

  ${
    ralimdaa.1 $e |- ( ph -> A. x ph ) $.
    ralimdaa.2 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.20 of [Margaris] p. 90. $)
    ralimdaa $p |- ( ph -> ( A. x e. A ps -> A. x e. A ch ) ) $=
      ( cv wcel wi wal wral ex a2d alimd df-ral 3imtr4g ) ADHEIZBJZDKRCJZDKBDEL
      CDELASTDFARBCARBCJGMNOBDEPCDEPQ $.
      $( [22-Sep-2003] $)
  $}

  ${
    $d x ph $.
    ralimdva.1 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.20 of [Margaris] p. 90. $)
    ralimdva $p |- ( ph -> ( A. x e. A ps -> A. x e. A ch ) ) $=
      ( ax-17 ralimdaa ) ABCDEADGFH $.
      $( [22-May-1999] $)
  $}

  ${
    $d x ph $.
    ralimdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.20 of [Margaris] p. 90. $)
    ralimdv $p |- ( ph -> ( A. x e. A ps -> A. x e. A ch ) ) $=
      ( wi cv wcel adantr ralimdva ) ABCDEABCGDHEIFJK $.
      $( [8-Oct-2003] $)
  $}

  ${
    $d x ph $.
    ralimdv2.1 $e |- ( ph -> ( ( x e. A -> ps ) -> ( x e. B -> ch ) ) ) $.
    $( Inference quantifying both antecedent and consequent. $)
    ralimdv2 $p |- ( ph -> ( A. x e. A ps -> A. x e. B ch ) ) $=
      ( cv wcel wi wal wral alimdv df-ral 3imtr4g ) ADHZEIBJZDKPFICJZDKBDELCDFL
      AQRDGMBDENCDFNO $.
      $( [1-Feb-2005] $)
  $}

  ${
    ralrimi.1 $e |- ( ph -> A. x ph ) $.
    ralrimi.2 $e |- ( ph -> ( x e. A -> ps ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90 (restricted quantifier
       version). $)
    ralrimi $p |- ( ph -> A. x e. A ps ) $=
      ( cv wcel wi wal wral alrimi df-ral sylibr ) ACGDHBIZCJBCDKAOCEFLBCDMN $.
      $( [10-Oct-1999] $)
  $}

  ${
    $d x ph $.
    ralrimiv.1 $e |- ( ph -> ( x e. A -> ps ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    ralrimiv $p |- ( ph -> A. x e. A ps ) $=
      ( ax-17 ralrimi ) ABCDACFEG $.
      $( [22-Nov-1994] $)
  $}

  ${
    $d x ph $.
    ralrimiva.1 $e |- ( ( ph /\ x e. A ) -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    ralrimiva $p |- ( ph -> A. x e. A ps ) $=
      ( cv wcel ex ralrimiv ) ABCDACFDGBEHI $.
      $( [2-Jan-2006] $)
  $}

  ${
    $d x ph $.
    ralrimivw.1 $e |- ( ph -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    ralrimivw $p |- ( ph -> A. x e. A ps ) $=
      ( cv wcel a1d ralrimiv ) ABCDABCFDGEHI $.
      $( [18-Jun-2014] $)
  $}

  ${
    $( Theorem 19.21 of [Margaris] p. 90 with restricted quantifiers (closed
       theorem version). $)
    r19.21t $p |- ( A. x ( ph -> A. x ph ) ->
             ( A. x e. A ( ph -> ps ) <-> ( ph -> A. x e. A ps ) ) ) $=
      ( wal wi cv wcel wral bi2.04 albii 19.21t syl5bb df-ral imbi2i 3bitr4g )
      AACEFCEZCGDHZABFZFZCEZARBFZCEZFZSCDIABCDIZFUAAUBFZCEQUDTUFCRABJKAUBCLMSCD
      NUEUCABCDNOP $.
      $( [1-Mar-2008] $)
  $}

  ${
    r19.21.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.21 of [Margaris] p. 90 with restricted quantifiers.
       (Contributed by Scott Fenton, 30-Mar-2011.) $)
    r19.21 $p |- ( A. x e. A ( ph -> ps ) <-> ( ph -> A. x e. A ps ) ) $=
      ( wal wi wral wb r19.21t mpg ) AACFGABGCDHABCDHGICABCDJEK $.
      $( [30-Mar-2011] $)
  $}

  ${
    $d x ph $.
    $( Theorem 19.21 of [Margaris] p. 90 with restricted quantifiers.  (The
       proof was shortened by Andrew Salmon, 30-May-2011.) $)
    r19.21v $p |- ( A. x e. A ( ph -> ps ) <-> ( ph -> A. x e. A ps ) ) $=
      ( ax-17 r19.21 ) ABCDACEF $.
      $( [30-May-2011] $) $( [15-Oct-2003] $)
  $}

  ${
    ralrimd.1 $e |- ( ph -> A. x ph ) $.
    ralrimd.2 $e |- ( ps -> A. x ps ) $.
    ralrimd.3 $e |- ( ph -> ( ps -> ( x e. A -> ch ) ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    ralrimd $p |- ( ph -> ( ps -> A. x e. A ch ) ) $=
      ( cv wcel wi wal wral alrimd df-ral syl6ibr ) ABDIEJCKZDLCDEMABQDFGHNCDEO
      P $.
      $( [16-Feb-2004] $)
  $}

  ${
    $d x ph $.  $d x ps $.
    ralrimdv.1 $e |- ( ph -> ( ps -> ( x e. A -> ch ) ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    ralrimdv $p |- ( ph -> ( ps -> A. x e. A ch ) ) $=
      ( ax-17 ralrimd ) ABCDEADGBDGFH $.
      $( [27-May-1998] $)
  $}

  ${
    $d x ph $.  $d x ps $.
    ralrimdva.1 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    ralrimdva $p |- ( ph -> ( ps -> A. x e. A ch ) ) $=
      ( cv wcel wi ex com23 ralrimdv ) ABCDEADGEHZBCAMBCIFJKL $.
      $( [2-Feb-2008] $)
  $}

  ${
    $d x y ph $.  $d y A $.
    ralrimivv.1 $e |- ( ph -> ( ( x e. A /\ y e. B ) -> ps ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version with double quantification.) $)
    ralrimivv $p |- ( ph -> A. x e. A A. y e. B ps ) $=
      ( wral cv wcel exp3a ralrimdv ralrimiv ) ABDFHCEACIEJZBDFANDIFJBGKLM $.
      $( [24-Jul-2004] $)
  $}

  ${
    $d ph x y $.  $d A y $.
    ralrimivva.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version with double quantification.)  (Contributed by Jeff
       Madsen, 19-Jun-2011.) $)
    ralrimivva $p |- ( ph -> A. x e. A A. y e. B ps ) $=
      ( cv wcel wa ex ralrimivv ) ABCDEFACHEIDHFIJBGKL $.
      $( [19-Jun-2011] $)
  $}

  ${
    $d ph x y z $.  $d A y z $.  $d B z $.
    ralrimivvva.1 $e |- ( ( ph /\ ( x e. A /\ y e. B /\ z e. C ) ) -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version with triple quantification.)  (Contributed by Mario
       Carneiro, 9-Jul-2014.) $)
    ralrimivvva $p |- ( ph -> A. x e. A A. y e. B A. z e. C ps ) $=
      ( wral cv wcel wa 3exp2 imp41 ralrimiva ) ABEHJZDGJCFACKFLZMZQDGSDKGLZMBE
      HARTEKHLZBARTUABINOPPP $.
      $( [19-Jun-2011] $)
  $}

  ${
    $d x y ph $.  $d x y ps $.  $d y A $.
    ralrimdvv.1 $e |- ( ph -> ( ps -> ( ( x e. A /\ y e. B ) -> ch ) ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version with double quantification.) $)
    ralrimdvv $p |- ( ph -> ( ps -> A. x e. A A. y e. B ch ) ) $=
      ( wral wa cv wcel wi imp ralrimivv ex ) ABCEGIDFIABJCDEFGABDKFLEKGLJCMHNO
      P $.
      $( [1-Jun-2005] $)
  $}

  ${
    $d x y ph $.  $d x y ps $.  $d y A $.
    ralrimdvva.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ( ps -> ch ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version with double quantification.) $)
    ralrimdvva $p |- ( ph -> ( ps -> A. x e. A A. y e. B ch ) ) $=
      ( cv wcel wa wi ex com23 ralrimdvv ) ABCDEFGADIFJEIGJKZBCAPBCLHMNO $.
      $( [2-Feb-2008] $)
  $}

  ${
    $d x y $.  $d y A $.
    rgen2.1 $e |- ( ( x e. A /\ y e. B ) -> ph ) $.
    $( Generalization rule for restricted quantification. $)
    rgen2 $p |- A. x e. A A. y e. B ph $=
      ( wral cv wcel ralrimiva rgen ) ACEGBDBHDIACEFJK $.
      $( [30-May-1999] $)
  $}

  ${
    $d y z A $.  $d z B $.  $d x y z $.
    rgen3.1 $e |- ( ( x e. A /\ y e. B /\ z e. C ) -> ph ) $.
    $( Generalization rule for restricted quantification. $)
    rgen3 $p |- A. x e. A A. y e. B A. z e. C ph $=
      ( wral cv wcel wa 3expa ralrimiva rgen2 ) ADGIBCEFBJEKZCJFKZLADGPQDJGKAHM
      NO $.
      $( [12-Jan-2008] $)
  $}

  ${
    r19.21bi.1 $e |- ( ph -> A. x e. A ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    r19.21bi $p |- ( ( ph /\ x e. A ) -> ps ) $=
      ( cv wcel wi wral wal df-ral sylib 19.21bi imp ) ACFDGZBAOBHZCABCDIPCJEBC
      DKLMN $.
      $( [20-Nov-1994] $)
  $}

  ${
    rspec2.1 $e |- A. x e. A A. y e. B ph $.
    $( Specialization rule for restricted quantification. $)
    rspec2 $p |- ( ( x e. A /\ y e. B ) -> ph ) $=
      ( cv wcel wral rspec r19.21bi ) BGDHACEACEIBDFJK $.
      $( [20-Nov-1994] $)
  $}

  ${
    rspec3.1 $e |- A. x e. A A. y e. B A. z e. C ph $.
    $( Specialization rule for restricted quantification. $)
    rspec3 $p |- ( ( x e. A /\ y e. B /\ z e. C ) -> ph ) $=
      ( cv wcel wa wral rspec2 r19.21bi 3impa ) BIEJZCIFJZDIGJAPQKADGADGLBCEFHM
      NO $.
      $( [20-Nov-1994] $)
  $}

  ${
    r19.21be.1 $e |- ( ph -> A. x e. A ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    r19.21be $p |- A. x e. A ( ph -> ps ) $=
      ( wi cv wcel r19.21bi expcom rgen ) ABFCDACGDHBABCDEIJK $.
      $( [21-Nov-1994] $)
  $}

  ${
    nrex.1 $e |- ( x e. A -> -. ps ) $.
    $( Inference adding restricted existential quantifier to negated wff. $)
    nrex $p |- -. E. x e. A ps $=
      ( wn wral wrex rgen ralnex mpbi ) AEZBCFABCGEKBCDHABCIJ $.
      $( [16-Oct-2003] $)
  $}

  ${
    $d x ph $.
    nrexdv.1 $e |- ( ( ph /\ x e. A ) -> -. ps ) $.
    $( Deduction adding restricted existential quantifier to negated wff. $)
    nrexdv $p |- ( ph -> -. E. x e. A ps ) $=
      ( wn wral wrex ralrimiva ralnex sylib ) ABFZCDGBCDHFALCDEIBCDJK $.
      $( [16-Oct-2003] $)
  $}

  $( Theorem 19.22 of [Margaris] p. 90.  (Restricted quantifier version.)  (The
     proof was shortened by Andrew Salmon, 30-May-2011.) $)
  rexim $p |- ( A. x e. A ( ph -> ps ) ->
               ( E. x e. A ph -> E. x e. A ps ) ) $=
    ( wi wral wn wrex con3 ral2imi con3d dfrex2 3imtr4g ) ABEZCDFZAGZCDFZGBGZCD
    FZGACDHBCDHOSQNRPCDABIJKACDLBCDLM $.
    $( [30-May-2011] $) $( [22-Nov-1994] $)

  ${
    reximia.1 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Inference quantifying both antecedent and consequent. $)
    reximia $p |- ( E. x e. A ph -> E. x e. A ps ) $=
      ( wi wrex rexim mprg ) ABFACDGBCDGFCDABCDHEI $.
      $( [10-Feb-1997] $)
  $}

  ${
    reximi2.1 $e |- ( ( x e. A /\ ph ) -> ( x e. B /\ ps ) ) $.
    $( Inference quantifying both antecedent and consequent, based on Theorem
       19.22 of [Margaris] p. 90. $)
    reximi2 $p |- ( E. x e. A ph -> E. x e. B ps ) $=
      ( cv wcel wa wex wrex eximi df-rex 3imtr4i ) CGZDHAIZCJOEHBIZCJACDKBCEKPQ
      CFLACDMBCEMN $.
      $( [8-Nov-2004] $)
  $}

  ${
    reximi.1 $e |- ( ph -> ps ) $.
    $( Inference quantifying both antecedent and consequent. $)
    reximi $p |- ( E. x e. A ph -> E. x e. A ps ) $=
      ( wi cv wcel a1i reximia ) ABCDABFCGDHEIJ $.
      $( [18-Oct-1996] $)
  $}

  ${
    reximdai.1 $e |- ( ph -> A. x ph ) $.
    reximdai.2 $e |- ( ph -> ( x e. A -> ( ps -> ch ) ) ) $.
    $( Deduction from Theorem 19.22 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    reximdai $p |- ( ph -> ( E. x e. A ps -> E. x e. A ch ) ) $=
      ( wi wral wrex ralrimi rexim syl ) ABCHZDEIBDEJCDEJHANDEFGKBCDELM $.
      $( [31-Aug-1999] $)
  $}

  ${
    $d x ph $.
    reximdv2.1 $e |- ( ph -> ( ( x e. A /\ ps ) -> ( x e. B /\ ch ) ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.22 of [Margaris] p. 90. $)
    reximdv2 $p |- ( ph -> ( E. x e. A ps -> E. x e. B ch ) ) $=
      ( cv wcel wa wex wrex eximdv df-rex 3imtr4g ) ADHZEIBJZDKPFICJZDKBDELCDFL
      AQRDGMBDENCDFNO $.
      $( [17-Sep-2003] $)
  $}

  ${
    $d x ph $.
    reximdvai.1 $e |- ( ph -> ( x e. A -> ( ps -> ch ) ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.22 of [Margaris] p. 90. $)
    reximdvai $p |- ( ph -> ( E. x e. A ps -> E. x e. A ch ) ) $=
      ( ax-17 reximdai ) ABCDEADGFH $.
      $( [14-Nov-2002] $)
  $}

  ${
    $d x ph $.
    reximdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.22 of [Margaris] p. 90.  (Restricted
       quantifier version with strong hypothesis.) $)
    reximdv $p |- ( ph -> ( E. x e. A ps -> E. x e. A ch ) ) $=
      ( wi cv wcel a1d reximdvai ) ABCDEABCGDHEIFJK $.
      $( [24-Jun-1998] $)
  $}

  ${
    $d x ph $.
    reximdva.1 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.22 of [Margaris] p. 90. $)
    reximdva $p |- ( ph -> ( E. x e. A ps -> E. x e. A ch ) ) $=
      ( cv wcel wi ex reximdvai ) ABCDEADGEHBCIFJK $.
      $( [22-May-1999] $)
  $}

  ${
    $d x y $.  $d y A $.  $d x B $.
    $( Theorem 19.12 of [Margaris] p. 89 with restricted quantifiers.  (The
       proof was shortened by Andrew Salmon, 30-May-2011.) $)
    r19.12 $p |- ( E. x e. A A. y e. B ph -> A. y e. B E. x e. A ph ) $=
      ( wral wrex wcel ax-17 hbra1 hbrex ax-1 ralrimi ra4 com12 reximdv ralimia
      cv syl ) ACEFZBDGZUACEFABDGZCEFUAUACETCBDBRDHCIACEJKUACREHZLMUAUBCEUCTABD
      TUCAACENOPQS $.
      $( [30-May-2011] $) $( [15-Oct-2003] $)
  $}

  ${
    $( Closed theorem form of ~ r19.23 . $)
    r19.23t $p |- ( A. x ( ps -> A. x ps )
          -> ( A. x e. A ( ph -> ps ) <-> ( E. x e. A ph -> ps ) ) ) $=
      ( wal wi cv wcel wex wral 19.23t df-ral impexp albii bitr4i df-rex imbi1i
      wa wrex 3bitr4g ) BBCEFCECGDHZARZBFZCEZUBCIZBFABFZCDJZACDSZBFUBBCKUGUAUFF
      ZCEUDUFCDLUCUICUAABMNOUHUEBACDPQT $.
      $( [4-Mar-2013] $)
  $}

  ${
    r19.23.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.23 of [Margaris] p. 90 with restricted quantifiers. $)
    r19.23 $p |- ( A. x e. A ( ph -> ps ) <-> ( E. x e. A ph -> ps ) ) $=
      ( cv wcel wi wal wa wex wral wrex impexp albii 19.23 bitr3i df-ral df-rex
      imbi1i 3bitr4i ) CFDGZABHZHZCIZUBAJZCKZBHZUCCDLACDMZBHUEUFBHZCIUHUJUDCUBA
      BNOUFBCEPQUCCDRUIUGBACDSTUA $.
      $( [25-May-2011] $) $( [22-Oct-2010] $)
  $}

  ${
    $d x ps $.
    $( Theorem 19.23 of [Margaris] p. 90 with restricted quantifiers. $)
    r19.23v $p |- ( A. x e. A ( ph -> ps ) <-> ( E. x e. A ph -> ps ) ) $=
      ( ax-17 r19.23 ) ABCDBCEF $.
      $( [31-Aug-1999] $)
  $}

  ${
    rexlimi.1 $e |- ( ps -> A. x ps ) $.
    rexlimi.2 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.)  (The proof was shortened by Andrew Salmon,
       30-May-2011.) $)
    rexlimi $p |- ( E. x e. A ph -> ps ) $=
      ( wi wral wrex rgen r19.23 mpbi ) ABGZCDHACDIBGMCDFJABCDEKL $.
      $( [30-May-2011] $) $( [30-Nov-2003] $)
  $}

  ${
    $d x ps $.
    rexlimiv.1 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    rexlimiv $p |- ( E. x e. A ph -> ps ) $=
      ( ax-17 rexlimi ) ABCDBCFEG $.
      $( [20-Nov-1994] $)
  $}

  ${
    $d x ps $.
    rexlimiva.1 $e |- ( ( x e. A /\ ph ) -> ps ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version). $)
    rexlimiva $p |- ( E. x e. A ph -> ps ) $=
      ( cv wcel ex rexlimiv ) ABCDCFDGABEHI $.
      $( [18-Dec-2006] $)
  $}

  ${
    $d ps x $.
    rexlimivw.1 $e |- ( ph -> ps ) $.
    $( Weaker version of ~ rexlimiv .  (Contributed by FL, 19-Sep-2011.) $)
    rexlimivw $p |- ( E. x e. A ph -> ps ) $=
      ( wi cv wcel a1i rexlimiv ) ABCDABFCGDHEIJ $.
      $( [19-Sep-2011] $)
  $}

  ${
    rexlimd.1 $e |- ( ph -> A. x ph ) $.
    rexlimd.2 $e |- ( ch -> A. x ch ) $.
    rexlimd.3 $e |- ( ph -> ( x e. A -> ( ps -> ch ) ) ) $.
    $( Deduction from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version).  (The proof was shortened by Andrew Salmon, 30-May-2011.) $)
    rexlimd $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( wi wral wrex ralrimi r19.23 sylib ) ABCIZDEJBDEKCIAODEFHLBCDEGMN $.
      $( [30-May-2011] $) $( [27-May-1998] $)
  $}

  ${
    rexlimd2.1 $e |- ( ph -> A. x ph ) $.
    rexlimd2.2 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    rexlimd2.3 $e |- ( ph -> ( x e. A -> ( ps -> ch ) ) ) $.
    $( Version of ~ rexlimd with deduction version of second hypothesis. $)
    rexlimd2 $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( wi wral wrex ralrimi wal wb alrimi r19.23t syl mpbid ) ABCIZDEJZBDEKCIZ
      ASDEFHLACCDMIZDMTUANAUBDFGOBCDEPQR $.
      $( [21-Jul-2013] $)
  $}

  ${
    $d x ph $.  $d x ch $.
    rexlimdv.1 $e |- ( ph -> ( x e. A -> ( ps -> ch ) ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version).  (The proof was shortened by Eric Schmidt, 22-Dec-2006.) $)
    rexlimdv $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( ax-17 rexlimd ) ABCDEADGCDGFH $.
      $( [22-Dec-2006] $) $( [14-Nov-2002] $)
  $}

  ${
    $d x ph $.  $d x ch $.
    rexlimdva.1 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version). $)
    rexlimdva $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( cv wcel wi ex rexlimdv ) ABCDEADGEHBCIFJK $.
      $( [20-Jan-2007] $)
  $}

  ${
    $d x ph $.  $d x ch $.
    rexlimdvw.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version). $)
    rexlimdvw $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( wi cv wcel a1d rexlimdv ) ABCDEABCGDHEIFJK $.
      $( [18-Jun-2014] $)
  $}

  ${
    $d x y ps $.  $d y A $.
    rexlimivv.1 $e |- ( ( x e. A /\ y e. B ) -> ( ph -> ps ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version). $)
    rexlimivv $p |- ( E. x e. A E. y e. B ph -> ps ) $=
      ( wrex cv wcel rexlimdva rexlimiv ) ADFHBCECIEJABDFGKL $.
      $( [17-Feb-2004] $)
  $}

  ${
    $d x y ph $.  $d x y ch $.  $d y A $.
    rexlimdvv.1 $e |- ( ph -> ( ( x e. A /\ y e. B ) -> ( ps -> ch ) ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    rexlimdvv $p |- ( ph -> ( E. x e. A E. y e. B ps -> ch ) ) $=
      ( wrex cv wcel wa wi expdimp rexlimdv rexlimdva ) ABEGICDFADJFKZLBCEGAQEJ
      GKBCMHNOP $.
      $( [22-Jul-2004] $)
  $}

  ${
    $d x y ph $.  $d x y ch $.  $d y A $.
    rexlimdvva.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ( ps -> ch ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    rexlimdvva $p |- ( ph -> ( E. x e. A E. y e. B ps -> ch ) ) $=
      ( cv wcel wa wi ex rexlimdvv ) ABCDEFGADIFJEIGJKBCLHMN $.
      $( [18-Jun-2014] $)
  $}

  $( Theorem 19.26 of [Margaris] p. 90 with restricted quantifiers.  (The proof
     was shortened by Andrew Salmon, 30-May-2011.) $)
  r19.26 $p |- ( A. x e. A ( ph /\ ps ) <->
               ( A. x e. A ph /\ A. x e. A ps ) ) $=
    ( wa wral simpl ralimi simpr jca pm3.2 ral2imi imp impbii ) ABEZCDFZACDFZBC
    DFZEPQROACDABGHOBCDABIHJQRPABOCDABKLMN $.
    $( [30-May-2011] $) $( [28-Jan-1997] $)

  $( Theorem 19.26 of [Margaris] p. 90 with 2 restricted quantifiers. $)
  r19.26-2 $p |- ( A. x e. A A. y e. B ( ph /\ ps ) <->
               ( A. x e. A A. y e. B ph /\ A. x e. A A. y e. B ps ) ) $=
    ( wa wral r19.26 ralbii bitri ) ABGDFHZCEHADFHZBDFHZGZCEHMCEHNCEHGLOCEABDFI
    JMNCEIK $.
    $( [10-Aug-2004] $)

  $( Theorem 19.26 of [Margaris] p. 90 with 3 restricted quantifiers.
     (Contributed by FL, 22-Nov-2010.) $)
  r19.26-3 $p |- ( A. x e. A ( ph /\ ps /\ ch ) <->
               ( A. x e. A ph /\ A. x e. A ps /\ A. x e. A ch ) ) $=
    ( w3a wral wa df-3an ralbii r19.26 anbi1i bitr4i 3bitri ) ABCFZDEGABHZCHZDE
    GPDEGZCDEGZHZADEGZBDEGZSFZOQDEABCIJPCDEKTUAUBHZSHUCRUDSABDEKLUAUBSIMN $.
    $( [22-Nov-2010] $)

  $( Theorem 19.26 of [Margaris] p. 90 with mixed quantifiers. $)
  r19.26m $p |- ( A. x ( ( x e. A -> ph ) /\ ( x e. B -> ps ) ) <->
               ( A. x e. A ph /\ A. x e. B ps ) ) $=
    ( cv wcel wi wa wal wral 19.26 df-ral anbi12i bitr4i ) CFZDGAHZPEGBHZICJQCJ
    ZRCJZIACDKZBCEKZIQRCLUASUBTACDMBCEMNO $.
    $( [22-Feb-2004] $)

  $( Distribute a restricted universal quantifier over a biconditional.
     Theorem 19.15 of [Margaris] p. 90 with restricted quantification. $)
  ralbi $p |- ( A. x e. A ( ph <-> ps ) ->
               ( A. x e. A ph <-> A. x e. A ps ) ) $=
    ( wb wral hbra1 cv wcel ra4 imp ralbida ) ABEZCDFZABCDMCDGNCHDIMMCDJKL $.
    $( [6-Oct-2003] $)

  $( Split a biconditional and distribute quantifier. $)
  ralbiim $p |- ( A. x e. A ( ph <-> ps ) <->
             ( A. x e. A ( ph -> ps ) /\ A. x e. A ( ps -> ph ) ) ) $=
    ( wb wral wi wa dfbi2 ralbii r19.26 bitri ) ABEZCDFABGZBAGZHZCDFNCDFOCDFHMP
    CDABIJNOCDKL $.
    $( [3-Jun-2012] $)

  ${
    $d x ps $.
    $( Restricted version of one direction of Theorem 19.27 of [Margaris]
       p. 90.  (The other direction doesn't hold when ` A ` is empty.)  (The
       proof was shortened by Andrew Salmon, 30-May-2011.) $)
    r19.27av $p |- ( ( A. x e. A ph /\ ps ) -> A. x e. A ( ph /\ ps ) ) $=
      ( wral wa cv wcel ax-1 ralrimiv anim2i r19.26 sylibr ) ACDEZBFNBCDEZFABFC
      DEBONBBCDBCGDHIJKABCDLM $.
      $( [30-May-2011] $) $( [3-Jun-2004] $)
  $}

  ${
    $d x ph $.
    $( Restricted version of one direction of Theorem 19.28 of [Margaris]
       p. 90.  (The other direction doesn't hold when ` A ` is empty.) $)
    r19.28av $p |- ( ( ph /\ A. x e. A ps ) -> A. x e. A ( ph /\ ps ) ) $=
      ( wral wa r19.27av ancom ralbii 3imtr4i ) BCDEZAFBAFZCDEAKFABFZCDEBACDGAK
      HMLCDABHIJ $.
      $( [2-Apr-2004] $)
  $}

  $( Theorem 19.29 of [Margaris] p. 90 with restricted quantifiers.  (The proof
     was shortened by Andrew Salmon, 30-May-2011.) $)
  r19.29 $p |- ( ( A. x e. A ph /\ E. x e. A ps ) ->
               E. x e. A ( ph /\ ps ) ) $=
    ( wral wrex wa wi pm3.2 ralimi rexim syl imp ) ACDEZBCDFZABGZCDFZNBPHZCDEOQ
    HARCDABIJBPCDKLM $.
    $( [30-May-2011] $) $( [31-Aug-1999] $)

  $( Variation of Theorem 19.29 of [Margaris] p. 90 with restricted
     quantifiers. $)
  r19.29r $p |- ( ( E. x e. A ph /\ A. x e. A ps ) ->
                E. x e. A ( ph /\ ps ) ) $=
    ( wral wrex wa r19.29 ancom rexbii 3imtr4i ) BCDEZACDFZGBAGZCDFMLGABGZCDFBA
    CDHMLIONCDABIJK $.
    $( [31-Aug-1999] $)

  $( Theorem 19.30 of [Margaris] p. 90 with restricted quantifiers.
     (Contributed by Scott Fenton, 25-Feb-2011.) $)
  r19.30 $p |- ( A. x e. A ( ph \/ ps ) ->
                 ( A. x e. A ph \/ E. x e. A ps ) ) $=
    ( wn wi wral wrex ralim orcom df-or bitri ralbii dfrex2 orbi2i imor 3bitr4i
    wo 3imtr4i ) BEZAFZCDGTCDGZACDGZFZABRZCDGUCBCDHZRZTACDIUEUACDUEBARUAABJBAKL
    MUCUBEZRUHUCRUGUDUCUHJUFUHUCBCDNOUBUCPQS $.
    $( [25-Feb-2011] $)

  ${
    $d x ph $.
    $( Theorem 19.32 of [Margaris] p. 90 with restricted quantifiers. $)
    r19.32v $p |- ( A. x e. A ( ph \/ ps ) <-> ( ph \/ A. x e. A ps ) ) $=
      ( wn wi wral wo r19.21v df-or ralbii 3bitr4i ) AEZBFZCDGMBCDGZFABHZCDGAOH
      MBCDIPNCDABJKAOJL $.
      $( [25-Nov-2003] $)
  $}

  $( Restricted quantifier version of Theorem 19.35 of [Margaris] p. 90. $)
  r19.35 $p |- ( E. x e. A ( ph -> ps ) <->
               ( A. x e. A ph -> E. x e. A ps ) ) $=
    ( wral wn wi wrex r19.26 annim ralbii df-an 3bitr3i con2bii dfrex2 3bitr4ri
    wa imbi2i ) ACDEZBFZCDEZFZGZABGZFZCDEZFSBCDHZGUDCDHUFUCATQZCDESUAQUFUCFATCD
    IUHUECDABJKSUALMNUGUBSBCDORUDCDOP $.
    $( [20-Sep-2003] $)

  ${
    $d x ps $.
    $( One direction of a restricted quantifier version of Theorem 19.36 of
       [Margaris] p. 90.  The other direction doesn't hold when ` A ` is
       empty. $)
    r19.36av $p |- ( E. x e. A ( ph -> ps ) -> ( A. x e. A ph -> ps ) ) $=
      ( wi wrex wral r19.35 cv wcel idd rexlimiv imim2i sylbi ) ABECDFACDGZBCDF
      ZEOBEABCDHPBOBBCDCIDJBKLMN $.
      $( [22-Oct-2003] $)
  $}

  ${
    $d x ph $.
    $( Restricted version of one direction of Theorem 19.37 of [Margaris]
       p. 90.  (The other direction doesn't hold when ` A ` is empty.) $)
    r19.37av $p |- ( E. x e. A ( ph -> ps ) -> ( ph -> E. x e. A ps ) ) $=
      ( wi wrex wral r19.35 cv wcel ax-1 ralrimiv imim1i sylbi ) ABECDFACDGZBCD
      FZEAPEABCDHAOPAACDACIDJKLMN $.
      $( [2-Apr-2004] $)
  $}

  $( Restricted quantifier version of Theorem 19.40 of [Margaris] p. 90. $)
  r19.40 $p |- ( E. x e. A ( ph /\ ps ) ->
               ( E. x e. A ph /\ E. x e. A ps ) ) $=
    ( wa wrex simpl reximi simpr jca ) ABEZCDFACDFBCDFKACDABGHKBCDABIHJ $.
    $( [2-Apr-2004] $)

  ${
    r19.41.1 $e |- ( ps -> A. x ps ) $.
    $( Restricted quantifier version of Theorem 19.41 of [Margaris] p. 90. $)
    r19.41 $p |- ( E. x e. A ( ph /\ ps ) <-> ( E. x e. A ph /\ ps ) ) $=
      ( cv wcel wa wex wrex anass exbii 19.41 bitr3i df-rex anbi1i 3bitr4i ) CF
      DGZABHZHZCIZRAHZCIZBHZSCDJACDJZBHUAUBBHZCIUDUFTCRABKLUBBCEMNSCDOUEUCBACDO
      PQ $.
      $( [1-Nov-2010] $)
  $}

  ${
    $d x ps $.
    $( Restricted quantifier version of Theorem 19.41 of [Margaris] p. 90. $)
    r19.41v $p |- ( E. x e. A ( ph /\ ps ) <-> ( E. x e. A ph /\ ps ) ) $=
      ( ax-17 r19.41 ) ABCDBCEF $.
      $( [17-Dec-2003] $)
  $}

  ${
    $d x ph $.
    $( Restricted version of Theorem 19.42 of [Margaris] p. 90. $)
    r19.42v $p |- ( E. x e. A ( ph /\ ps ) <-> ( ph /\ E. x e. A ps ) ) $=
      ( wa wrex r19.41v ancom rexbii 3bitr4i ) BAEZCDFBCDFZAEABEZCDFALEBACDGMKC
      DABHIALHJ $.
      $( [27-May-1998] $)
  $}

  $( Restricted version of Theorem 19.43 of [Margaris] p. 90.  (The proof was
     shortened by Andrew Salmon, 30-May-2011.) $)
  r19.43 $p |- ( E. x e. A ( ph \/ ps ) <->
               ( E. x e. A ph \/ E. x e. A ps ) ) $=
    ( wn wi wrex wral wo r19.35 df-or rexbii ralnex imbi1i bitr4i 3bitr4i ) AEZ
    BFZCDGQCDHZBCDGZFZABIZCDGACDGZTIZQBCDJUBRCDABKLUDUCEZTFUAUCTKSUETACDMNOP $.
    $( [30-May-2011] $) $( [27-May-1998] $)

  ${
    $d x ps $.
    $( One direction of a restricted quantifier version of Theorem 19.44 of
       [Margaris] p. 90.  The other direction doesn't hold when ` A ` is
       empty. $)
    r19.44av $p |- ( E. x e. A ( ph \/ ps ) -> ( E. x e. A ph \/ ps ) ) $=
      ( wo wrex r19.43 cv wcel idd rexlimiv orim2i sylbi ) ABECDFACDFZBCDFZENBE
      ABCDGOBNBBCDCHDIBJKLM $.
      $( [2-Apr-2004] $)
  $}

  ${
    $d x ph $.
    $( Restricted version of one direction of Theorem 19.45 of [Margaris]
       p. 90.  (The other direction doesn't hold when ` A ` is empty.) $)
    r19.45av $p |- ( E. x e. A ( ph \/ ps ) -> ( ph \/ E. x e. A ps ) ) $=
      ( wo wrex r19.43 cv wcel idd rexlimiv orim1i sylbi ) ABECDFACDFZBCDFZEAOE
      ABCDGNAOAACDCHDIAJKLM $.
      $( [2-Apr-2004] $)
  $}

  ${
    $d x y $.  $d x B $.  $d y A $.
    $( Commutation of restricted quantifiers. $)
    ralcom $p |- ( A. x e. A A. y e. B ph <-> A. y e. B A. x e. A ph ) $=
      ( cv wcel wa wi wal wral ancomsimp 2albii alcom bitri r2al 3bitr4i ) BFDG
      ZCFEGZHAIZCJBJZSRHAIZBJCJZACEKBDKABDKCEKUAUBCJBJUCTUBBCRSALMUBBCNOABCDEPA
      CBEDPQ $.
      $( [13-Oct-1999] $)
  $}

  ${
    $d x y $.  $d x B $.  $d y A $.
    $( Commutation of restricted quantifiers. $)
    rexcom $p |- ( E. x e. A E. y e. B ph <-> E. y e. B E. x e. A ph ) $=
      ( cv wcel wa wex wrex ancom anbi1i 2exbii excom bitri r2ex 3bitr4i ) BFDG
      ZCFEGZHZAHZCIBIZSRHZAHZBICIZACEJBDJABDJCEJUBUDCIBIUEUAUDBCTUCARSKLMUDBCNO
      ABCDEPACBEDPQ $.
      $( [19-Nov-1995] $)
  $}

  ${
    $d y z A $.  $d x z A $.
    $( Commutation of restricted quantifiers.  Note that ` x ` and ` y `
       needn't be distinct (this makes the proof longer but illustrates the use
       of ~ dvelim ).  (The proof was shortened by Andrew Salmon,
       30-May-2011.) $)
    ralcom2 $p |- ( A. x e. A A. y e. A ph -> A. y e. A A. x e. A ph ) $=
      ( vz cv wcel wal wral eleq1 dral1 hbnae ax-17 dvelim al2imi df-ral imbi2i
      wi albii bitri wceq wb a4s imbi1d bicomd imbi12d biimpd wn nalequcoms a1i
      hba1 hbimd hbald ax-4 imim2i com23 syl9 sylsyld pm2.61i 3imtr4i ) BFZDGZC
      FZDGZARZCHZRZBHZVDVBARZBHZRZCHZACDIZBDIZABDIZCDIZVAVCUAZBHZVHVLRVRVHVLVGV
      KBCVRVBVDVFVJVQVBVDUBBVAVCDJUCZVRVJVFVIVEBCVRVBVDAVSUDKUEUFKUGVRUHZVTCHVH
      VHCHVLBCCLZVTVGCBBCBLVTVBVFCWAVBVBCHRCBEFZDGZVBCBEWCCMWBVADJNUIVFVFCHRVTV
      ECUKUJULUMVTVHVKCVTVDVDBHVHVJWCVDBCEWCBMWBVCDJNVGVDVIBVGVBVDAVFVEVBVECUNU
      OUPOUQOURUSVNVBVMRZBHVHVMBDPWDVGBVMVFVBACDPQSTVPVDVORZCHVLVOCDPWEVKCVOVJV
      DABDPQSTUT $.
      $( [8-Jun-2011] $) $( [24-Nov-1994] $)
  $}

  ${
    $( A commutative law for restricted quantifiers that swaps the domain of
       the restriction. $)
    ralcom3 $p |- ( A. x e. A ( x e. B -> ph ) <->
                    A. x e. B ( x e. A -> ph ) ) $=
      ( cv wcel wi wral pm2.04 ralimi2 impbii ) BEZDFZAGZBCHLCFZAGZBDHNPBCDOMAI
      JPNBDCMOAIJK $.
      $( [22-Feb-2004] $)
  $}

  ${
    $d y A $.  $d x B $.  $d x y $.
    reean.1 $e |- ( ph -> A. y ph ) $.
    reean.2 $e |- ( ps -> A. x ps ) $.
    $( Rearrange existential quantifiers.  (The proof was shortened by Andrew
       Salmon, 30-May-2011.) $)
    reean $p |- ( E. x e. A E. y e. B ( ph /\ ps ) <->
                 ( E. x e. A ph /\ E. y e. B ps ) ) $=
      ( cv wcel wa wex wrex an4 2exbii ax-17 hban eean bitri df-rex anbi12i
      r2ex 3bitr4i ) CIEJZDIFJZKABKZKZDLCLZUDAKZCLZUEBKZDLZKZUFDFMCEMACEMZBDFMZ
      KUHUIUKKZDLCLUMUGUPCDUDUEABNOUIUKCDUDADUDDPGQUEBCUECPHQRSUFCDEFUBUNUJUOUL
      ACETBDFTUAUC $.
      $( [30-May-2011] $) $( [27-Oct-2010] $)
  $}

  ${
    $d y ph $.  $d x ps $.  $d x y $.  $d y A $.  $d x B $.
    $( Rearrange existential quantifiers. $)
    reeanv $p |- ( E. x e. A E. y e. B ( ph /\ ps ) <->
                 ( E. x e. A ph /\ E. y e. B ps ) ) $=
      ( ax-17 reean ) ABCDEFADGBCGH $.
      $( [9-May-1999] $)
  $}

  ${
    $d ph y z $.  $d ps x z $.  $d ch x y $.  $d A y $.  $d B x z $.
    $d C x y $.
    $( Rearrange three existential quantifiers.  (Contributed by Jeff Madsen,
       11-Jun-2010.) $)
    3reeanv $p |- ( E. x e. A E. y e. B E. z e. C ( ph /\ ps /\ ch )
                      <-> ( E. x e. A ph /\ E. y e. B ps /\ E. z e. C ch ) ) $=
      ( wa wrex w3a r19.41v reeanv anbi1i bitri df-3an 2rexbii rexbii 3bitr4i )
      ABJZEHKZCFIKZJZDGKZADGKZBEHKZJZUCJZABCLZFIKEHKZDGKUFUGUCLUEUBDGKZUCJUIUBU
      CDGMULUHUCABDEGHNOPUKUDDGUKUACJZFIKEHKUDUJUMEFHIABCQRUACEFHINPSUFUGUCQT
      $.
      $( [11-Jun-2010] $)
  $}

  ${
    $d ph y $.  $d ps x $.  $d A y $.  $d B x $.  $d x y $.
    $( Distribute quantification over "or".  (Contributed by Jeff Madsen,
       19-Jun-2010.) $)
    2ralor $p |- ( A. x e. A A. y e. B ( ph \/ ps ) <->
                  ( A. x e. A ph \/ A. y e. B ps ) ) $=
      ( wo wral wn wrex reeanv ioran rexbii rexnal bitr3i bitri anbi12i 3bitr3i
      wa bitr4i con4bii ) ABGZDFHZCEHZACEHZBDFHZGZAIZBIZSZDFJZCEJZUHCEJZUIDFJZS
      ZUDIZUGIZUHUICDEFKULUCIZCEJUPUKURCEUKUBIZDFJURUSUJDFABLMUBDFNOMUCCENPUOUE
      IZUFIZSUQUMUTUNVAACENBDFNQUEUFLTRUA $.
      $( [19-Jun-2010] $)
  $}

  ${
    hbreu.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbreu.2 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for restricted uniqueness. $)
    hbreu $p |- ( E! y e. A ph -> A. x E! y e. A ph ) $=
      ( wreu cv wcel wa weu df-reu hban hbeu hbxfrbi ) ACDGCHDIZAJZCKBACDLQBCPA
      BEFMNO $.
      $( [11-Jun-2011] $) $( [30-Oct-2010] $)
  $}

  ${
    hbreud.1 $e |- ( ph -> A. x ph ) $.
    hbreud.2 $e |- ( ph -> A. y ph ) $.
    hbreud.3 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hbreud.4 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction version of ~ hbreu . $)
    hbreud $p |- ( ph -> ( E! y e. A ps -> A. x E! y e. A ps ) ) $=
      ( cv wcel wa weu wal wreu hband hbeud df-reu albii 3imtr4g ) ADJEKZBLZDMZ
      UCCNBDEOZUDCNAUBCDFGAUABCHIPQBDERZUDUCCUEST $.
      $( [15-Feb-2013] $)
  $}

  $( ` x ` is not free in ` E! x e. A ph ` . $)
  hbreu1 $p |- ( E! x e. A ph -> A. x E! x e. A ph ) $=
    ( wreu cv wcel wa weu df-reu hbeu1 hbxfrbi ) ABCDBECFAGZBHBABCILBJK $.
    $( [19-Mar-1997] $)

  $( An "identity" law of concretion for restricted abstraction.  Special case
     of Definition 2.1 of [Quine] p. 16. $)
  rabid $p |- ( x e. { x e. A | ph } <-> ( x e. A /\ ph ) ) $=
    ( cv wcel wa crab df-rab abeq2i ) BDCEAFBABCGABCHI $.
    $( [9-Oct-2003] $)

  ${
    $d x A $.
    $( An "identity" law for restricted class abstraction.  (The proof was
       shortened by Andrew Salmon, 30-May-2011.) $)
    rabid2 $p |- ( A = { x e. A | ph } <-> A. x e. A ph ) $=
      ( cv wcel wa cab wceq wi wal crab abeq2 pm4.71 albii bitr4i df-rab eqeq2i
      wral wb df-ral 3bitr4i ) CBDCEZAFZBGZHZUBAIZBJZCABCKZHABCRUEUBUCSZBJUGUCB
      CLUFUIBUBAMNOUHUDCABCPQABCTUA $.
      $( [30-May-2011] $) $( [9-Oct-2003] $)
  $}

  ${
    $( Equivalent wff's correspond to equal restricted class abstractions.
       Closed theorem form of ~ rabbidva . $)
    rabbi $p |- ( A. x e. A ( ps <-> ch )
         <-> { x e. A | ps } = { x e. A | ch } ) $=
      ( cv wcel wa wb wal cab wceq wral crab abbi wi df-ral pm5.32 albii df-rab
      bitri eqeq12i 3bitr4i ) CEDFZAGZUCBGZHZCIZUDCJZUECJZKABHZCDLZACDMZBCDMZKU
      DUECNUKUCUJOZCIUGUJCDPUNUFCUCABQRTULUHUMUIACDSBCDSUAUB $.
      $( [25-Nov-2013] $)
  $}

  $( Swap with a membership relation in a restricted class abstraction. $)
  rabswap $p |- { x e. A | x e. B } = { x e. B | x e. A } $=
    ( cv wcel wa cab crab ancom abbii df-rab 3eqtr4i ) ADZBEZMCEZFZAGONFZAGOABH
    NACHPQANOIJOABKNACKL $.
    $( [4-Jul-2005] $)

  ${
    $d x y $.
    $( The abstraction variable in a restricted class abstraction isn't
       free. $)
    hbrab1 $p |- ( y e. { x e. A | ph } -> A. x y e. { x e. A | ph } ) $=
      ( crab cv wcel wa cab df-rab hbab1 hbxfreq ) BCABDEBFDGAHZBIABDJMBCKL $.
      $( [19-Mar-1997] $)
  $}

  ${
    $d x y $.  $d x z $.  $d z A $.
    hbrab.1 $e |- ( ph -> A. x ph ) $.
    hbrab.2 $e |- ( z e. A -> A. x z e. A ) $.
    $( A variable not free in a wff remains so in a restricted class
       abstraction.  (Unnecessary distinct variable restrictions were removed
       by Andrew Salmon, 11-Jul-2011.) $)
    hbrab $p |- ( z e. { y e. A | ph } -> A. x z e. { y e. A | ph } ) $=
      ( crab cv wcel wa cab df-rab hblem hban hbab hbxfreq ) BDACEHCIEJZAKZCLAC
      EMSBCDRABBDCEGNFOPQ $.
      $( [11-Jul-2011] $) $( [13-Oct-2003] $)
  $}

  ${
    $d x ph $.
    reubidva.1 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       rule). $)
    reubidva $p |- ( ph -> ( E! x e. A ps <-> E! x e. A ch ) ) $=
      ( cv wcel wa weu wreu pm5.32da eubidv df-reu 3bitr4g ) ADGEHZBIZDJPCIZDJB
      DEKCDEKAQRDAPBCFLMBDENCDENO $.
      $( [13-Nov-2004] $)
  $}

  ${
    $d x ph $.
    reubidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       rule). $)
    reubidv $p |- ( ph -> ( E! x e. A ps <-> E! x e. A ch ) ) $=
      ( wb cv wcel adantr reubidva ) ABCDEABCGDHEIFJK $.
      $( [17-Oct-1996] $)
  $}

  ${
    reubiia.1 $e |- ( x e. A -> ( ph <-> ps ) ) $.
    $( Formula-building rule for restricted existential quantifier (inference
       rule). $)
    reubiia $p |- ( E! x e. A ph <-> E! x e. A ps ) $=
      ( cv wcel wa weu wreu pm5.32i eubii df-reu 3bitr4i ) CFDGZAHZCIOBHZCIACDJ
      BCDJPQCOABEKLACDMBCDMN $.
      $( [14-Nov-2004] $)
  $}

  ${
    reubii.1 $e |- ( ph <-> ps ) $.
    $( Formula-building rule for restricted existential quantifier (inference
       rule). $)
    reubii $p |- ( E! x e. A ph <-> E! x e. A ps ) $=
      ( wb cv wcel a1i reubiia ) ABCDABFCGDHEIJ $.
      $( [22-Oct-1999] $)
  $}

  ${
    $d y A $.  $d y B $.
    raleq1f.1 $e |- ( y e. A -> A. x y e. A ) $.
    raleq1f.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Equality theorem for restricted universal quantifier, with
       bound-variable hypotheses instead of distinct variable restrictions.
       (Unnecessary distinct variable restrictions were removed by Andrew
       Salmon, 11-Jul-2011.) $)
    raleqf $p |- ( A = B -> ( A. x e. A ph <-> A. x e. B ph ) ) $=
      ( wceq cv wcel wi wal wral hbeq eleq2 imbi1d albid df-ral 3bitr4g ) DEHZB
      IZDJZAKZBLUAEJZAKZBLABDMABEMTUCUEBBCCDEFGNTUBUDADEUAOPQABDRABERS $.
      $( [11-Jul-2011] $) $( [7-Mar-2004] $)

    $( Equality theorem for restricted existential quantifier, with
       bound-variable hypotheses instead of distinct variable restrictions.
       (Unnecessary distinct variable restrictions were removed by Andrew
       Salmon, 11-Jul-2011.) $)
    rexeqf $p |- ( A = B -> ( E. x e. A ph <-> E. x e. B ph ) ) $=
      ( wceq cv wcel wa wex wrex hbeq eleq2 anbi1d exbid df-rex 3bitr4g ) DEHZB
      IZDJZAKZBLUAEJZAKZBLABDMABEMTUCUEBBCCDEFGNTUBUDADEUAOPQABDRABERS $.
      $( [11-Jul-2011] $) $( [9-Oct-2003] $)

    $( Equality theorem for restricted uniqueness quantifier, with
       bound-variable hypotheses instead of distinct variable restrictions.
       (Unnecessary distinct variable restrictions were removed by Andrew
       Salmon, 11-Jul-2011.) $)
    reueq1f $p |- ( A = B -> ( E! x e. A ph <-> E! x e. B ph ) ) $=
      ( wceq cv wcel wa weu wreu hbeq eleq2 anbi1d eubid df-reu 3bitr4g ) DEHZB
      IZDJZAKZBLUAEJZAKZBLABDMABEMTUCUEBBCCDEFGNTUBUDADEUAOPQABDRABERS $.
      $( [11-Jul-2011] $) $( [5-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Equality theorem for restricted universal quantifier. $)
    raleq $p |- ( A = B -> ( A. x e. A ph <-> A. x e. B ph ) ) $=
      ( vy cv wcel ax-17 raleqf ) ABECDEFZCGBHJDGBHI $.
      $( [16-Nov-1995] $)

    $( Equality theorem for restricted existential quantifier. $)
    rexeq $p |- ( A = B -> ( E. x e. A ph <-> E. x e. B ph ) ) $=
      ( vy cv wcel ax-17 rexeqf ) ABECDEFZCGBHJDGBHI $.
      $( [29-Oct-1995] $)

    $( Equality theorem for restricted uniqueness quantifier. $)
    reueq1 $p |- ( A = B -> ( E! x e. A ph <-> E! x e. B ph ) ) $=
      ( vy cv wcel ax-17 reueq1f ) ABECDEFZCGBHJDGBHI $.
      $( [5-Apr-2004] $)
  $}

  ${
    $d A x $.  $d B x $.
    raleq1i.1 $e |- A = B $.
    $( Equality inference for restricted universal qualifier.  (Contributed by
       Paul Chapman, 22-Jun-2011.) $)
    raleqi $p |- ( A. x e. A ph <-> A. x e. B ph ) $=
      ( wceq wral wb raleq ax-mp ) CDFABCGABDGHEABCDIJ $.
      $( [22-Jun-2011] $)
  $}

  ${
    $d x A $.  $d x B $.
    raleq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for restricted universal quantifier. $)
    raleqdv $p |- ( ph -> ( A. x e. A ps <-> A. x e. B ps ) ) $=
      ( wceq wral wb raleq syl ) ADEGBCDHBCEHIFBCDEJK $.
      $( [13-Nov-2005] $)

    $( Equality deduction for restricted existential quantifier. $)
    rexeqdv $p |- ( ph -> ( E. x e. A ps <-> E. x e. B ps ) ) $=
      ( wceq wrex wb rexeq syl ) ADEGBCDHBCEHIFBCDEJK $.
      $( [14-Jan-2007] $)
  $}

  ${
    $d x A $.  $d x B $.
    raleqd.1 $e |- ( A = B -> ( ph <-> ps ) ) $.
    $( Equality deduction for restricted universal quantifier. $)
    raleqbi1dv $p |- ( A = B -> ( A. x e. A ph <-> A. x e. B ps ) ) $=
      ( wceq wral raleq ralbidv bitrd ) DEGZACDHACEHBCEHACDEILABCEFJK $.
      $( [16-Nov-1995] $)

    $( Equality deduction for restricted existential quantifier. $)
    rexeqbi1dv $p |- ( A = B -> ( E. x e. A ph <-> E. x e. B ps ) ) $=
      ( wceq wrex rexeq rexbidv bitrd ) DEGZACDHACEHBCEHACDEILABCEFJK $.
      $( [18-Mar-1997] $)

    $( Equality deduction for restricted uniqueness quantifier. $)
    reueqd $p |- ( A = B -> ( E! x e. A ph <-> E! x e. B ps ) ) $=
      ( wceq wreu reueq1 reubidv bitrd ) DEGZACDHACEHBCEHACDEILABCEFJK $.
      $( [5-Apr-2004] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    raleqbidv.1 $e |- ( ph -> A = B ) $.
    raleqbidv.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equality deduction for restricted universal quantifier. $)
    raleqbidv $p |- ( ph -> ( A. x e. A ps <-> A. x e. B ch ) ) $=
      ( wral raleqdv ralbidv bitrd ) ABDEIBDFICDFIABDEFGJABCDFHKL $.
      $( [22-Jun-2011] $) $( [6-Nov-2007] $)

    $( Equality deduction for restricted universal quantifier. $)
    rexeqbidv $p |- ( ph -> ( E. x e. A ps <-> E. x e. B ch ) ) $=
      ( wrex rexeqdv rexbidv bitrd ) ABDEIBDFICDFIABDEFGJABCDFHKL $.
      $( [22-Jun-2011] $) $( [6-Nov-2007] $)
  $}

  ${
    $d z A w $.  $d w x $.  $d w y $.  $d w z $.  $d w ps $.  $d w ph $.
    cbvralf.1 $e |- ( z e. A -> A. x z e. A ) $.
    cbvralf.2 $e |- ( z e. A -> A. y z e. A ) $.
    cbvralf.3 $e |- ( ph -> A. y ph ) $.
    cbvralf.4 $e |- ( ps -> A. x ps ) $.
    cbvralf.5 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitition.
       (Unnecessary distinct variable restrictions were removed by Andrew
       Salmon, 11-Jul-2011.) $)
    cbvralf $p |- ( A. x e. A ph <-> A. y e. A ps ) $=
      ( vw cv wcel wi wal wral wsbc ax-17 hblem hbs1 hbim eleq1 sbequ12 imbi12d
      wceq cbval hbsb sbequ sbie syl6bb bitri df-ral 3bitr4i ) CMZFNZAOZCPZDMZF
      NZBOZDPZACFQBDFQURLMZFNZACVCRZOZLPVBUQVFCLUQLSVDVECCELFGTACLUAUBUOVCUFUPV
      DAVEUOVCFUCACLUDUEUGVFVALDVDVEDDELFHTACLDIUHUBVALSVCUSUFZVDUTVEBVCUSFUCVG
      VEACUSRBALDCUIABCDJKUJUKUEUGULACFUMBDFUMUN $.
      $( [11-Jul-2011] $) $( [7-Mar-2004] $)

    $( Rule used to change bound variables, using implicit substitition.
       (Contributed by FL, 11-Jul-2011.)  (Unnecessary distinct variable
       restrictions were removed by Andrew Salmon, 11-Jul-2011.) $)
    cbvrexf $p |- ( E. x e. A ph <-> E. y e. A ps ) $=
      ( vw cv wcel wa wex wrex wsbc ax-17 hblem hbs1 hban eleq1 sbequ12 anbi12d
      wceq cbvex hbsb sbequ sbie syl6bb bitri df-rex 3bitr4i ) CMZFNZAOZCPZDMZF
      NZBOZDPZACFQBDFQURLMZFNZACVCRZOZLPVBUQVFCLUQLSVDVECCELFGTACLUAUBUOVCUFUPV
      DAVEUOVCFUCACLUDUEUGVFVALDVDVEDDELFHTACLDIUHUBVALSVCUSUFZVDUTVEBVCUSFUCVG
      VEACUSRBALDCUIABCDJKUJUKUEUGULACFUMBDFUMUN $.
      $( [11-Jul-2011] $) $( [27-Apr-2008] $)
  $}

  ${
    $d x z A $.  $d y z A $.
    cbvral.1 $e |- ( ph -> A. y ph ) $.
    cbvral.2 $e |- ( ps -> A. x ps ) $.
    cbvral.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitition. $)
    cbvral $p |- ( A. x e. A ph <-> A. y e. A ps ) $=
      ( vz cv wcel ax-17 cbvralf ) ABCDIEIJEKZCLNDLFGHM $.
      $( [11-Jul-2011] $) $( [31-Jul-2003] $)

    $( Rule used to change bound variables, using implicit substitition.  (The
       proof was shortened by Andrew Salmon, 8-Jun-2011.) $)
    cbvrex $p |- ( E. x e. A ph <-> E. y e. A ps ) $=
      ( vz cv wcel ax-17 cbvrexf ) ABCDIEIJEKZCLNDLFGHM $.
      $( [11-Jul-2011] $) $( [31-Jul-2003] $)
  $}

  ${
    $d z x A $.  $d y A $.  $d z y ph $.  $d z x ps $.
    cbvralv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change the bound variable of a restricted universal quantifier using
       implicit substitution. $)
    cbvralv $p |- ( A. x e. A ph <-> A. y e. A ps ) $=
      ( ax-17 cbvral ) ABCDEADGBCGFH $.
      $( [11-Jul-2011] $) $( [28-Jan-1997] $)

    $( Change the bound variable of a restricted existential quantifier using
       implicit substitution. $)
    cbvrexv $p |- ( E. x e. A ph <-> E. y e. A ps ) $=
      ( ax-17 cbvrex ) ABCDEADGBCGFH $.
      $( [11-Jul-2011] $) $( [2-Jun-1998] $)

    $( Change the bound variable of a restricted uniqueness quantifier using
       implicit substitution.  (Unnecessary distinct variable restrictions were
       removed by Andrew Salmon, 11-Jul-2011.) $)
    cbvreuv $p |- ( E! x e. A ph <-> E! y e. A ps ) $=
      ( vz cv wcel weu wreu wsbc ax-17 sb8eu sban eubii clelsb3 anbi1i df-reu
      wa hbsb hban wceq eleq1 sbequ syl6bb anbi12d cbveu bitri 3bitri 3bitr4i
      sbie ) CHEIZATZCJZDHZEIZBTZDJZACEKBDEKUOUNCGHZLZGJUMCUTLZACUTLZTZGJZUSUNC
      GUNGMNVAVDGUMACGOPVEUTEIZVCTZGJUSVDVGGVBVFVCGCEQRPVGURGDVFVCDVFDMACGDADMU
      AUBURGMUTUPUCZVFUQVCBUTUPEUDVHVCACUPLBAGDCUEABCDBCMFULUFUGUHUIUJACESBDESU
      K $.
      $( [11-Jul-2011] $) $( [5-Apr-2004] $)
  $}

  ${
    $d x A $.  $d z A $.  $d x y B $.  $d z y B $.  $d w B $.  $d z ph $.
    $d y ps $.  $d x ch $.  $d w ch $.
    cbvral2v.1 $e |- ( x = z -> ( ph <-> ch ) ) $.
    cbvral2v.2 $e |- ( y = w -> ( ch <-> ps ) ) $.
    $( Change bound variables of double restricted universal quantification,
       using implicit substitution. $)
    cbvral2v $p |- ( A. x e. A A. y e. B ph <-> A. z e. A A. w e. B ps ) $=
      ( wral cv wceq ralbidv cbvralv ralbii bitri ) AEILZDHLCEILZFHLBGILZFHLSTD
      FHDMFMNACEIJOPTUAFHCBEGIKPQR $.
      $( [11-Jul-2011] $) $( [10-Aug-2004] $)
  $}

  ${
    $d A x $.  $d A z $.  $d B w $.  $d B x y $.  $d B z y $.  $d ch w $.
    $d ch x $.  $d ph z $.  $d ps y $.
    cbvrex2v.1 $e |- ( x = z -> ( ph <-> ch ) ) $.
    cbvrex2v.2 $e |- ( y = w -> ( ch <-> ps ) ) $.
    $( Change bound variables of double restricted universal quantification,
       using implicit substitution.  (Contributed by FL, 2-Jul-2012.) $)
    cbvrex2v $p |- ( E. x e. A E. y e. B ph <-> E. z e. A E. w e. B ps ) $=
      ( wrex weq rexbidv cbvrexv rexbii bitri ) AEILZDHLCEILZFHLBGILZFHLRSDFHDF
      MACEIJNOSTFHCBEGIKOPQ $.
      $( [2-Jul-2012] $)
  $}

  ${
    $d w ph $.  $d z ps $.  $d x ch $.  $d v ch $.  $d y u th $.  $d x A $.
    $d w A $.  $d x y B $.  $d w y B $.  $d v B $.  $d x y z C $.
    $d w y z C $.  $d v z C $.  $d z y C $.  $d z C $.  $d u C $.
    cbvral3v.1 $e |- ( x = w -> ( ph <-> ch ) ) $.
    cbvral3v.2 $e |- ( y = v -> ( ch <-> th ) ) $.
    cbvral3v.3 $e |- ( z = u -> ( th <-> ps ) ) $.
    $( Change bound variables of triple restricted universal quantification,
       using implicit substitution. $)
    cbvral3v $p |- ( A. x e. A A. y e. B A. z e. C ph <->
                     A. w e. A A. v e. B A. u e. C ps ) $=
      ( wral cv wceq 2ralbidv cbvralv cbvral2v ralbii bitri ) AGMQFLQZEKQCGMQFL
      QZHKQBJMQILQZHKQUEUFEHKERHRSACFGLMNTUAUFUGHKCBDFGIJLMOPUBUCUD $.
      $( [11-Jul-2011] $) $( [10-May-2005] $)
  $}

  ${
    $d z x A $.  $d y A $.  $d z y ph $.
    $( Change bound variable by using a substitution.  (Unnecessary distinct
       variable restrictions were removed by Andrew Salmon, 11-Jul-2011.) $)
    cbvralsv $p |- ( A. x e. A ph <-> A. y e. A [ y / x ] ph ) $=
      ( vz wral cv wsbc ax-17 hbs1 sbequ12 cbvral hbsb sbequ bitri ) ABDFABEGHZ
      EDFABCGHZCDFAPBEDAEIZABEJABEKLPQECDABECACIMABCERMAECBNLO $.
      $( [11-Jul-2011] $) $( [20-Nov-2005] $)
  $}

  ${
    $d z x A $.  $d y z ph $.  $d y A $.
    $( Change bound variable by using a substitution.  (Unnecessary distinct
       variable restrictions were removed by Andrew Salmon, 11-Jul-2011.) $)
    cbvrexsv $p |- ( E. x e. A ph <-> E. y e. A [ y / x ] ph ) $=
      ( vz wrex cv wsbc ax-17 hbs1 sbequ12 cbvrex hbsb sbequ bitri ) ABDFABEGHZ
      EDFABCGHZCDFAPBEDAEIZABEJABEKLPQECDABECACIMABCERMAECBNLO $.
      $( [11-Jul-2011] $) $( [2-Mar-2008] $)
  $}

  ${
    $d x y z $.  $d y z ph $.  $d x z ps $.
    sbralie.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Implicit to explicit substitution that swaps variables in a quantified
       expression. $)
    sbralie $p |- ( [ x / y ] A. x e. y ph <-> A. y e. x ps ) $=
      ( vz wral wsbc cbvralsv sbbii ax-17 raleq sbie bitri sbco2 ralbii 3bitri
      cv ) ACDRZGZDCRZHZACFRHZFUAGZUCFSHZDUAGBDUAGUBUCFSGZDUAHUDTUFDCACFSIJUFUD
      DCUDDKUCFSUALMNUCFDUAIUEBDUAUEACSHBACDFAFKOABCDBCKEMNPQ $.
      $( [5-Sep-2004] $)
  $}

  ${
    rabbiia.1 $e |- ( x e. A -> ( ph <-> ps ) ) $.
    $( Equivalent wff's yield equal restricted class abstractions (inference
       rule). $)
    rabbiia $p |- { x e. A | ph } = { x e. A | ps } $=
      ( cv wcel wa cab crab pm5.32i abbii df-rab 3eqtr4i ) CFDGZAHZCIOBHZCIACDJ
      BCDJPQCOABEKLACDMBCDMN $.
      $( [22-May-1999] $)
  $}

  ${
    $d x ph $.
    rabbidva.1 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal restricted class abstractions (deduction
       rule). $)
    rabbidva $p |- ( ph -> { x e. A | ps } = { x e. A | ch } ) $=
      ( wb wral crab wceq ralrimiva rabbi sylib ) ABCGZDEHBDEICDEIJANDEFKBCDELM
      $.
      $( [28-Nov-2003] $)
  $}

  ${
    $d x ph $.
    rabbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal restricted class abstractions (deduction
       rule). $)
    rabbidv $p |- ( ph -> { x e. A | ps } = { x e. A | ch } ) $=
      ( wb cv wcel adantr rabbidva ) ABCDEABCGDHEIFJK $.
      $( [10-Feb-1995] $)
  $}

  ${
    $d y A $.  $d y B $.
    rabeqf.1 $e |- ( y e. A -> A. x y e. A ) $.
    rabeqf.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Equality theorem for restricted class abstractions, with bound-variable
       hypotheses instead of distinct variable restrictions. $)
    rabeqf $p |- ( A = B -> { x e. A | ph } = { x e. B | ph } ) $=
      ( wceq cv wcel wa cab crab hbeq eleq2 anbi1d abbid df-rab 3eqtr4g ) DEHZB
      IZDJZAKZBLUAEJZAKZBLABDMABEMTUCUEBBCCDEFGNTUBUDADEUAOPQABDRABERS $.
      $( [11-Jul-2011] $) $( [7-Mar-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Equality theorem for restricted class abstractions. $)
    rabeq $p |- ( A = B -> { x e. A | ph } = { x e. B | ph } ) $=
      ( vy cv wcel ax-17 rabeqf ) ABECDEFZCGBHJDGBHI $.
      $( [15-Oct-2003] $)
  $}

  ${
    $d A x $.  $d B x $.  $d ph x $.
    rabeqbidv.1 $e |- ( ph -> A = B ) $.
    rabeqbidv.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equality of restricted class abstractions.  (Contributed by Jeff Madsen,
       1-Dec-2009.) $)
    rabeqbidv $p |- ( ph -> { x e. A | ps } = { x e. B | ch } ) $=
      ( crab wceq rabeq syl rabbidv eqtrd ) ABDEIZBDFIZCDFIAEFJOPJGBDEFKLABCDFH
      MN $.
      $( [15-Sep-2011] $) $( [1-Dec-2009] $)
  $}

  ${
    rabeqi.1 $e |- A = { x e. B | ph } $.
    $( Inference rule from equality of a class variable and a restricted class
       abstraction. $)
    rabeq2i $p |- ( x e. A <-> ( x e. B /\ ph ) ) $=
      ( cv wcel crab wa eleq2i rabid bitri ) BFZCGMABDHZGMDGAICNMEJABDKL $.
      $( [16-Feb-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The universal class
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the symbol for the universal class. $)
  $c _V $. $( Letter V (for the universal class) $)

  $( Extend class notation to include the universal class symbol. $)
  cvv $a class _V $.

  ${
    $d z x $.  $d z y $.
    $( Soundness justification theorem for ~ df-v .  (Contributed by Rodolfo
       Medina, 27-Apr-2010.) $)
    vjust $p |- { x | x = x } = { y | y = y } $=
      ( vz cv wceq cab wsbc wcel equid sbt 2th df-clab 3bitr4i eqriv ) CADZOEZA
      FZBDZREZBFZPACDZGZSBUAGZUAQHUATHUBUCPACAIJSBCBIJKPCALSCBLMN $.
      $( [27-Apr-2010] $)
  $}

  $( Define the universal class.  Definition 5.20 of [TakeutiZaring] p. 21. $)
  df-v $a |- _V = { x | x = x } $.

  $( All set variables are sets (see ~ isset ).  Theorem 6.8 of [Quine]
     p. 43. $)
  vex $p |- x e. _V $=
    ( cv cvv wcel wceq eqid df-v abeq2i mpbir ) ABZCDJJEZJFKACAGHI $.
    $( [5-Aug-1993] $)

  ${
    $d x A $.
    $( Two ways to say " ` A ` is a set":  A class ` A ` is a member of the
       universal class ` _V ` (see ~ df-v ) if and only if the class ` A `
       exists (i.e. there exists some set ` x ` equal to class ` A ` ).
       Theorem 6.9 of [Quine] p. 43. _Notational convention_:  We will use the
       notational device " ` A e. _V ` " to mean " ` A ` is a set" very
       frequently, for example in ~ uniex .  Note the when ` A ` is not a set,
       it is called a proper class.  In some theorems, such as ~ uniexg , in
       order to shorten certain proofs we use the more general antecedent
       ` A e. V ` instead of ` A e. _V ` to mean " ` A ` is a set."

       Note that a constant is implicitly considered distinct from all
       variables.  This is why ` _V ` is not included in the distinct variable
       list, even though ~ df-clel requires that the expression substituted for
       ` B ` not contain ` x ` .  (Also, the Metamath spec does not allow
       constants in the distinct variable list.) $)
    isset $p |- ( A e. _V <-> E. x x = A ) $=
      ( cvv wcel cv wceq wa wex df-clel vex biantru exbii bitr4i ) BCDAEZBFZNCD
      ZGZAHOAHABCIOQAPOAJKLM $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d A y $.  $d x y $.
    issetf.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( A version of isset that does not require x and A to be distinct.
       (Contributed by Andrew Salmon, 6-Jun-2011.) $)
    issetf $p |- ( A e. _V <-> E. x x = A ) $=
      ( cvv wcel cv wceq wex isset hbeleq ax-17 eqeq1 cbvex bitri ) CEFBGZCHZBI
      AGZCHZAIBCJQSBAABCDKSBLPRCMNO $.
      $( [6-Jun-2011] $)
  $}

  ${
    $d x A $.
    isseti.1 $e |- A e. _V $.
    $( A way to say " ` A ` is a set" (inference rule). $)
    isseti $p |- E. x x = A $=
      ( cvv wcel cv wceq wex isset mpbi ) BDEAFBGAHCABIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.
    issetri.1 $e |- E. x x = A $.
    $( A way to say " ` A ` is a set" (inference rule). $)
    issetri $p |- A e. _V $=
      ( cvv wcel cv wceq wex isset mpbir ) BDEAFBGAHCABIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( If a class is a member of another class, it is a set.  Theorem 6.12 of
       [Quine] p. 44.  (The proof was shortened by Andrew Salmon,
       8-Jun-2011.) $)
    elex $p |- ( A e. B -> A e. _V ) $=
      ( vx cv wceq wcel wa wex cvv exsimpl df-clel isset 3imtr4i ) CDZAEZNBFZGC
      HOCHABFAIFOPCJCABKCALM $.
      $( [8-Jun-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    elisseti.1 $e |- A e. B $.
    $( If a class is a member of another class, it is a set. $)
    elexi $p |- A e. _V $=
      ( wcel cvv elex ax-mp ) ABDAEDCABFG $.
      $( [11-Jun-1994] $)
  $}

  ${
    $d x A $.
    $( An element of a class exists. $)
    elisset $p |- ( A e. V -> E. x x = A ) $=
      ( wcel cvv cv wceq wex elex isset sylib ) BCDBEDAFBGAHBCIABJK $.
      $( [1-May-1995] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( If two classes each contain another class, then both contain some set.
       (Contributed by Alan Sare, 24-Oct-2011.) $)
    elex22 $p |- ( ( A e. B /\ A e. C ) -> E. x ( x e. B /\ x e. C ) ) $=
      ( wcel wa cv wceq wi wal eleq1a anim12ii alrimiv elisset adantr exim sylc
      wex ) BCEZBDEZFZAGZBHZUBCEZUBDEZFZIZAJUCARZUFARUAUGASUCUDTUEBCUBKBDUBKLMS
      UHTABCNOUCUFAPQ $.
      $( [24-Oct-2011] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( If a class contains another class, then it contains some set.
       (Contributed by Alan Sare, 25-Sep-2011.) $)
    elex2 $p |- ( A e. B -> E. x x e. B ) $=
      ( wcel cv wceq wi wal wex eleq1a alrimiv elisset exim sylc ) BCDZAEZBFZPC
      DZGZAHQAIRAIOSABCPJKABCLQRAMN $.
      $( [24-Oct-2011] $) $( [25-Sep-2011] $)
  $}

  $( A universal quantifier restricted to the universe is unrestricted. $)
  ralv $p |- ( A. x e. _V ph <-> A. x ph ) $=
    ( cvv wral cv wcel wi wal df-ral vex a1bi albii bitr4i ) ABCDBECFZAGZBHABHA
    BCIAOBNABJKLM $.
    $( [26-Mar-2004] $)

  $( An existential quantifier restricted to the universe is unrestricted. $)
  rexv $p |- ( E. x e. _V ph <-> E. x ph ) $=
    ( cvv wrex cv wcel wa wex df-rex vex biantrur exbii bitr4i ) ABCDBECFZAGZBH
    ABHABCIAOBNABJKLM $.
    $( [26-Mar-2004] $)

  $( A uniqueness quantifier restricted to the universe is unrestricted. $)
  reuv $p |- ( E! x e. _V ph <-> E! x ph ) $=
    ( cvv wreu cv wcel wa weu df-reu vex biantrur eubii bitr4i ) ABCDBECFZAGZBH
    ABHABCIAOBNABJKLM $.
    $( [7-Jun-2011] $) $( [1-Nov-2010] $)

  $( A class abstraction restricted to the universe is unrestricted.  (The
     proof was shortened by Andrew Salmon, 8-Jun-2011.) $)
  rabab $p |- { x e. _V | ph } = { x | ph } $=
    ( cvv crab cv wcel wa cab df-rab vex biantrur abbii eqtr4i ) ABCDBECFZAGZBH
    ABHABCIAOBNABJKLM $.
    $( [8-Jun-2011] $) $( [27-Dec-2004] $)

  ${
    $d x y $.  $d y A $.
    $( Commutation of restricted and unrestricted universal quantifiers.  (The
       proof was shortened by Andrew Salmon, 8-Jun-2011.) $)
    ralcom4 $p |- ( A. x e. A A. y ph <-> A. y A. x e. A ph ) $=
      ( cvv wral wal ralcom ralv ralbii 3bitr3i ) ACEFZBDFABDFZCEFACGZBDFMCGABC
      DEHLNBDACIJMCIK $.
      $( [8-Jun-2011] $) $( [26-Mar-2004] $)

    $( Commutation of restricted and unrestricted existential quantifiers.
       (The proof was shortened by Andrew Salmon, 8-Jun-2011.) $)
    rexcom4 $p |- ( E. x e. A E. y ph <-> E. y E. x e. A ph ) $=
      ( cvv wrex wex rexcom rexv rexbii 3bitr3i ) ACEFZBDFABDFZCEFACGZBDFMCGABC
      DEHLNBDACIJMCIK $.
      $( [8-Jun-2011] $) $( [12-Apr-2004] $)
  $}

  ${
    $d A x $.  $d x y $.  $d ph x $.
    $( Specialized existential commutation lemma.  (Contributed by Jeff Madsen,
       1-Jun-2011.) $)
    rexcom4a $p |- ( E. x E. y e. A ( ph /\ ps )
                          <-> E. y e. A ( ph /\ E. x ps ) ) $=
      ( wa wrex wex rexcom4 19.42v rexbii bitr3i ) ABFZDEGCHMCHZDEGABCHFZDEGMDC
      EINODEABCJKL $.
      $( [1-Jun-2011] $)

    $d B x $.
    rexcom4b.1 $e |- B e. _V $.
    $( Specialized existential commutation lemma.  (Contributed by Jeff Madsen,
       1-Jun-2011.) $)
    rexcom4b $p |- ( E. x E. y e. A ( ph /\ x = B ) <-> E. y e. A ph ) $=
      ( cv wceq wa wrex wex rexcom4a isseti biantru rexbii bitr4i ) ABGEHZICDJB
      KAQBKZIZCDJACDJAQBCDLASCDRABEFMNOP $.
      $( [1-Jun-2011] $)
  $}

  ${
    $d x A $.
    $( Closed theorem version of ~ ceqsalg . $)
    ceqsalt $p |- ( ( A. x ( ps -> A. x ps )
              /\ A. x ( x = A -> ( ph <-> ps ) ) /\ A e. V )
         -> ( A. x ( x = A -> ph ) <-> ps ) ) $=
      ( wal wi cv wceq wcel w3a wex elisset 3ad2ant3 bi1 imim3i al2imi 3ad2ant2
      wb 3ad2ant1 19.23t sylibd mpid bi2 imim2i com23 alimi 19.21t mpbid impbid
      ) BBCFGCFZCHDIZABSZGZCFZDEJZKZULAGZCFZBUQUSULCLZBUPUKUTUOCDEMNUQUSULBGZCF
      ZUTBGZUOUKUSVBGUPUNURVACUMABULABOPQRUKUOVBVCSUPULBCUATUBUCUQBURGZCFZBUSGZ
      UOUKVEUPUNVDCUNULBAUMBAGULABUDUEUFUGRUKUOVEVFSUPBURCUHTUIUJ $.
      $( [28-Feb-2013] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Restricted quantifier version of ~ ceqsalt . $)
    ceqsralt $p |- ( ( A. x ( ps -> A. x ps )
              /\ A. x ( x = A -> ( ph <-> ps ) ) /\ A e. B )
         -> ( A. x e. B ( x = A -> ph ) <-> ps ) ) $=
      ( wal wi cv wceq wb wcel w3a wral df-ral wa eleq1 pm5.32ri imbi1i 3bitr3i
      impexp albii a1i syl5bb 19.21v syl6bb biimt 3ad2ant3 ceqsalt 3bitr2d ) BB
      CFGCFZCHZDIZABJGCFZDEKZLZULAGZCEMZUNUPCFZGZURBUOUQUNUPGZCFZUSUQUKEKZUPGZC
      FZUOVAUPCENVDVAJUOVCUTCVBULOZAGUNULOZAGVCUTVEVFAULVBUNUKDEPQRVBULATUNULAT
      SUAUBUCUNUPCUDUEUNUJURUSJUMUNURUFUGABCDEUHUI $.
      $( [28-Feb-2013] $)
  $}

  ${
    $d x A $.
    ceqsalg.1 $e |- ( ps -> A. x ps ) $.
    ceqsalg.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A representation of explicit substitution of a class for a variable,
       inferred from an implicit substitution hypothesis.  (The proof was
       shortened by Andrew Salmon, 8-Jun-2011.) $)
    ceqsalg $p |- ( A e. V -> ( A. x ( x = A -> ph ) <-> ps ) ) $=
      ( wcel cv wceq wi wal wex elisset hba1 biimpd a2i a4s exlimd syl5com
      biimprcd alrimi impbid1 ) DEHZCIDJZAKZCLZBUDUECMUGBCDENUGUEBCUFCOFUFUEBKC
      UEABUEABGPQRSTBUFCFUEABGUAUBUC $.
      $( [8-Jun-2011] $) $( [29-Oct-2003] $)
  $}

  ${
    $d x A $.
    ceqsal.1 $e |- ( ps -> A. x ps ) $.
    ceqsal.2 $e |- A e. _V $.
    ceqsal.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A representation of explicit substitution of a class for a variable,
       inferred from an implicit substitution hypothesis. $)
    ceqsal $p |- ( A. x ( x = A -> ph ) <-> ps ) $=
      ( cvv wcel cv wceq wi wal wb ceqsalg ax-mp ) DHICJDKALCMBNFABCDHEGOP $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x ps $.
    ceqsalv.1 $e |- A e. _V $.
    ceqsalv.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A representation of explicit substitution of a class for a variable,
       inferred from an implicit substitution hypothesis. $)
    ceqsalv $p |- ( A. x ( x = A -> ph ) <-> ps ) $=
      ( ax-17 ceqsal ) ABCDBCGEFH $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    ceqsralv.1 $e |- A e. _V $.
    ceqsralv.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Restricted quantifier version of ~ ceqsalv . $)
    ceqsralv $p |- ( A e. B -> ( A. x e. B ( x = A -> ph ) <-> ps ) ) $=
      ( wal wi cv wceq wb wcel wral ax-17 ax-gen ceqsralt mp3an12 ) BBCHIZCHCJD
      KZABLIZCHDEMTAICENBLSCBCOPUACGPABCDEQR $.
      $( [21-Jun-2013] $)
  $}

  ${
    $d x ps $.
    gencl.1 $e |- ( th <-> E. x ( ch /\ A = B ) ) $.
    gencl.2 $e |- ( A = B -> ( ph <-> ps ) ) $.
    gencl.3 $e |- ( ch -> ph ) $.
    $( Implicit substitution for class with embedded variable. $)
    gencl $p |- ( th -> ps ) $=
      ( wceq wa wex syl5ib impcom exlimiv sylbi ) DCFGKZLZEMBHSBERCBCARBJINOPQ
      $.
      $( [17-May-1996] $)
  $}

  ${
    $d x y $.  $d x R $.  $d x ps $.  $d y C $.  $d y S $.  $d y ch $.
    2gencl.1 $e |- ( C e. S <-> E. x e. R A = C ) $.
    2gencl.2 $e |- ( D e. S <-> E. y e. R B = D ) $.
    2gencl.3 $e |- ( A = C -> ( ph <-> ps ) ) $.
    2gencl.4 $e |- ( B = D -> ( ps <-> ch ) ) $.
    2gencl.5 $e |- ( ( x e. R /\ y e. R ) -> ph ) $.
    $( Implicit substitution for class with embedded variable. $)
    2gencl $p |- ( ( C e. S /\ D e. S ) -> ch ) $=
      ( wcel wi cv wceq wrex wa wex df-rex bitri imbi2d ex gencl com12 impcom )
      IKQZHKQZCULBRULCRESJQZUKEGIUKGITZEJUAUMUNUBEUCMUNEJUDUEUNBCULOUFULUMBUMAR
      UMBRDSJQZULDFHULFHTZDJUAUOUPUBDUCLUPDJUDUEUPABUMNUFUOUMAPUGUHUIUHUJ $.
      $( [17-May-1996] $)
  $}

  ${
    $d x y z $.  $d y z D $.  $d z F $.  $d x y R $.  $d y z S $.  $d x ps $.
    $d y ch $.  $d z th $.
    3gencl.1 $e |- ( D e. S <-> E. x e. R A = D ) $.
    3gencl.2 $e |- ( F e. S <-> E. y e. R B = F ) $.
    3gencl.3 $e |- ( G e. S <-> E. z e. R C = G ) $.
    3gencl.4 $e |- ( A = D -> ( ph <-> ps ) ) $.
    3gencl.5 $e |- ( B = F -> ( ps <-> ch ) ) $.
    3gencl.6 $e |- ( C = G -> ( ch <-> th ) ) $.
    3gencl.7 $e |- ( ( x e. R /\ y e. R /\ z e. R ) -> ph ) $.
    $( Implicit substitution for class with embedded variable. $)
    3gencl $p |- ( ( D e. S /\ F e. S /\ G e. S ) -> th ) $=
      ( wcel wa wi wceq wrex wex df-rex bitri imbi2d 3expia 2gencl com12 3impia
      cv gencl ) KMUCZNMUCZOMUCZDUTURUSUDZDVACUEVADUEGUPLUCZUTGJOUTJOUFZGLUGVBV
      CUDGUHRVCGLUIUJVCCDVAUAUKVAVBCVBAUEVBBUEVBCUEEFHIKNLMPQHKUFABVBSUKINUFBCV
      BTUKEUPLUCFUPLUCVBAUBULUMUNUQUNUO $.
      $( [17-May-1996] $)
  $}

  ${
    $d x A $.  $d x ps $.
    cgsexg.1 $e |- ( x = A -> ch ) $.
    cgsexg.2 $e |- ( ch -> ( ph <-> ps ) ) $.
    $( Implicit substitution inference for general classes. $)
    cgsexg $p |- ( A e. V ->
                     ( E. x ( ch /\ ph ) <-> ps ) ) $=
      ( wcel wa wex biimpa exlimiv cv wceq elisset eximi syl biimprcd ancld
      eximdv syl5com impbid2 ) EFIZCAJZDKZBUEBDCABHLMUDCDKZBUFUDDNEOZDKUGDEFPUH
      CDGQRBCUEDBCACABHSTUAUBUC $.
      $( [21-Apr-2008] $) $( [26-Aug-2007] $)
  $}

  ${
    $d x y ps $.  $d x y A $.  $d x y B $.
    cgsex2g.1 $e |- ( ( x = A /\ y = B ) -> ch ) $.
    cgsex2g.2 $e |- ( ch -> ( ph <-> ps ) ) $.
    $( Implicit substitution inference for general classes. $)
    cgsex2g $p |- ( ( A e. V /\ B e. W ) ->
                     ( E. x E. y ( ch /\ ph ) <-> ps ) ) $=
      ( wcel wa wex biimpa exlimivv cv wceq elisset anim12i eeanv sylibr 2eximi
      syl biimprcd ancld 2eximdv syl5com impbid2 ) FHLZGILZMZCAMZENDNZBUMBDECAB
      KOPULCENDNZBUNULDQFRZEQGRZMZENDNZUOULUPDNZUQENZMUSUJUTUKVADFHSEGISTUPUQDE
      UAUBURCDEJUCUDBCUMDEBCACABKUEUFUGUHUI $.
      $( [26-Jul-1995] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.  $d x y z w D $.
    $d x y z w ps $.
    cgsex4g.1 $e |- ( ( ( x = A /\ y = B ) /\ ( z = C /\ w = D ) ) -> ch ) $.
    cgsex4g.2 $e |- ( ch -> ( ph <-> ps ) ) $.
    $( An implicit substitution inference for 4 general classes. $)
    cgsex4g $p |- ( ( ( A e. R /\ B e. S ) /\ ( C e. R /\ D e. S ) ) ->
                    ( E. x E. y E. z E. w ( ch /\ ph ) <-> ps ) ) $=
      ( wcel wa wex cv wceq biimpa exlimivv elisset anim12i eeanv sylibr ee4anv
      2eximi syl biimprcd ancld 2eximdv syl5com impbid2 ) HLPZIMPZQZJLPZKMPZQZQ
      ZCAQZGRFRZERDRZBVCBDEVBBFGCABOUAUBUBVACGRFRZERDRZBVDVADSHTZESITZQZFSJTZGS
      KTZQZQZGRFRZERDRZVFVAVIERDRZVLGRFRZQVOUQVPUTVQUQVGDRZVHERZQVPUOVRUPVSDHLU
      CEIMUCUDVGVHDEUEUFUTVJFRZVKGRZQVQURVTUSWAFJLUCGKMUCUDVJVKFGUEUFUDVIVLDEFG
      UGUFVNVEDEVMCFGNUHUHUIBVEVCDEBCVBFGBCACABOUJUKULULUMUN $.
      $( [5-Aug-1995] $)
  $}

  ${
    $d x A $.
    ceqsex.1 $e |- ( ps -> A. x ps ) $.
    ceqsex.2 $e |- A e. _V $.
    ceqsex.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Elimination of an existential quantifier, using implicit
       substitution. $)
    ceqsex $p |- ( E. x ( x = A /\ ph ) <-> ps ) $=
      ( cv wceq wa wex biimpa exlimi isseti wi wal biimprcd alrimi exintr syl
      mpi impbii ) CHDIZAJZCKZBUDBCEUCABGLMBUCCKZUECDFNBUCAOZCPUFUEOBUGCEUCABGQ
      RUCACSTUAUB $.
      $( [2-Mar-1995] $)
  $}

  ${
    $d x A $.  $d x ps $.
    ceqsexv.1 $e |- A e. _V $.
    ceqsexv.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Elimination of an existential quantifier, using implicit
       substitution. $)
    ceqsexv $p |- ( E. x ( x = A /\ ph ) <-> ps ) $=
      ( ax-17 ceqsex ) ABCDBCGEFH $.
      $( [2-Mar-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    ceqsex2.1 $e |- ( ps -> A. x ps ) $.
    ceqsex2.2 $e |- ( ch -> A. y ch ) $.
    ceqsex2.3 $e |- A e. _V $.
    ceqsex2.4 $e |- B e. _V $.
    ceqsex2.5 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsex2.6 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( Elimination of two existential quantifiers, using implicit
       substitution.  (Contributed by Scott Fenton, 7-Jun-2006.) $)
    ceqsex2 $p |- ( E. x E. y ( x = A /\ y = B /\ ph ) <-> ch ) $=
      ( cv wceq w3a wex wa exbii ceqsex 3anass 19.42v bitri ax-17 anbi2d exbidv
      hban hbex 3bitri ) DNFOZENGOZAPZEQZDQUJUKARZEQZRZDQUKBRZEQZCUMUPDUMUJUNRZ
      EQUPULUSEUJUKAUASUJUNEUBUCSUOURDFUQDEUKBDUKDUDHUGUHJUJUNUQEUJABUKLUEUFTBC
      EGIKMTUI $.
      $( [13-Aug-2011] $) $( [7-Jun-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x ps $.  $d y ch $.
    ceqsex2v.1 $e |- A e. _V $.
    ceqsex2v.2 $e |- B e. _V $.
    ceqsex2v.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsex2v.4 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( Elimination of two existential quantifiers, using implicit
       substitution.  (Contributed by Scott Fenton, 7-Jun-2006.) $)
    ceqsex2v $p |- ( E. x E. y ( x = A /\ y = B /\ ph ) <-> ch ) $=
      ( ax-17 ceqsex2 ) ABCDEFGBDLCELHIJKM $.
      $( [13-Aug-2011] $) $( [7-Jun-2006] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x ps $.  $d y ch $.
    $d z th $.
    ceqsex3v.1 $e |- A e. _V $.
    ceqsex3v.2 $e |- B e. _V $.
    ceqsex3v.3 $e |- C e. _V $.
    ceqsex3v.4 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsex3v.5 $e |- ( y = B -> ( ps <-> ch ) ) $.
    ceqsex3v.6 $e |- ( z = C -> ( ch <-> th ) ) $.
    $( Elimination of three existential quantifiers, using implicit
       substitution. $)
    ceqsex3v $p |- ( E. x E. y E. z ( ( x = A /\ y = B /\ z = C ) /\ ph )
                 <-> th ) $=
      ( cv wceq wa wex anass 3anass anbi1i df-3an anbi2i 3bitr4i 2exbii 19.42vv
      w3a bitri exbii 3anbi3d 2exbidv ceqsexv ceqsex2v 3bitri ) EQHRZFQIRZGQJRZ
      UIZASZGTFTZETUQURUSAUIZGTFTZSZETURUSBUIZGTFTZDVBVEEVBUQVCSZGTFTVEVAVHFGUQ
      URUSSZSZASUQVIASZSVAVHUQVIAUAUTVJAUQURUSUBUCVCVKUQURUSAUDUEUFUGUQVCFGUHUJ
      UKVDVGEHKUQVCVFFGUQABURUSNULUMUNBCDFGIJLMOPUOUP $.
      $( [16-Aug-2011] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.  $d x y z w D $.
    $d x ps $.  $d y ch $.  $d z th $.  $d w ta $.
    ceqsex4v.1 $e |- A e. _V $.
    ceqsex4v.2 $e |- B e. _V $.
    ceqsex4v.3 $e |- C e. _V $.
    ceqsex4v.4 $e |- D e. _V $.
    ceqsex4v.7 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsex4v.8 $e |- ( y = B -> ( ps <-> ch ) ) $.
    ceqsex4v.9 $e |- ( z = C -> ( ch <-> th ) ) $.
    ceqsex4v.10 $e |- ( w = D -> ( th <-> ta ) ) $.
    $( Elimination of four existential quantifiers, using implicit
       substitution. $)
    ceqsex4v $p |- ( E. x E. y E. z E. w
          ( ( x = A /\ y = B ) /\ ( z = C /\ w = D ) /\ ph ) <-> ta ) $=
      ( wceq w3a wex 19.42vv 3anass df-3an anbi2i bitr4i 2exbii 3bitr4i 3anbi3d
      cv wa 2exbidv ceqsex2v 3bitri ) FUMJUBZGUMKUBZUNZHUMLUBZIUMMUBZUNZAUCZIUD
      HUDZGUDFUDURUSVAVBAUCZIUDHUDZUCZGUDFUDVAVBCUCZIUDHUDZEVEVHFGUTVFUNZIUDHUD
      UTVGUNVEVHUTVFHIUEVDVKHIVDUTVCAUNZUNVKUTVCAUFVFVLUTVAVBAUGUHUIUJURUSVGUGU
      KUJVGVAVBBUCZIUDHUDVJFGJKNOURVFVMHIURABVAVBRULUOUSVMVIHIUSBCVAVBSULUOUPCD
      EHILMPQTUAUPUQ $.
      $( [23-Sep-2011] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u D $.  $d x y z w v u E $.  $d x y z w v u F $.  $d x ps $.
    $d y ch $.  $d z th $.  $d w ta $.  $d v et $.  $d u ze $.
    ceqsex6v.1 $e |- A e. _V $.
    ceqsex6v.2 $e |- B e. _V $.
    ceqsex6v.3 $e |- C e. _V $.
    ceqsex6v.4 $e |- D e. _V $.
    ceqsex6v.5 $e |- E e. _V $.
    ceqsex6v.6 $e |- F e. _V $.
    ceqsex6v.7 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsex6v.8 $e |- ( y = B -> ( ps <-> ch ) ) $.
    ceqsex6v.9 $e |- ( z = C -> ( ch <-> th ) ) $.
    ceqsex6v.10 $e |- ( w = D -> ( th <-> ta ) ) $.
    ceqsex6v.11 $e |- ( v = E -> ( ta <-> et ) ) $.
    ceqsex6v.12 $e |- ( u = F -> ( et <-> ze ) ) $.
    $( Elimination of six existential quantifiers, using implicit
       substitution. $)
    ceqsex6v $p |- ( E. x E. y E. z E. w E. v E. u
          ( ( x = A /\ y = B /\ z = C ) /\ ( w = D /\ v = E /\ u = F ) /\ ph )
                 <-> ze ) $=
      ( cv wceq w3a wex wa 3anass 3exbii 19.42vvv bitri anbi2d 3exbidv ceqsex3v
      3bitri ) HULNUMZIULOUMZJULPUMZUNZKULQUMLULRUMMULSUMUNZAUNZMUOLUOKUOZJUOIU
      OHUOVHVIAUPZMUOLUOKUOZUPZJUOIUOHUOVIDUPZMUOLUOKUOZGVKVNHIJVKVHVLUPZMUOLUO
      KUOVNVJVQKLMVHVIAUQURVHVLKLMUSUTURVMVIBUPZMUOLUOKUOVICUPZMUOLUOKUOVPHIJNO
      PTUAUBVEVLVRKLMVEABVIUFVAVBVFVRVSKLMVFBCVIUGVAVBVGVSVOKLMVGCDVIUHVAVBVCDE
      FGKLMQRSUCUDUEUIUJUKVCVD $.
      $( [21-Sep-2011] $)
  $}

  ${
    $d x y z w v u t s A $.  $d x y z w v u t s B $.  $d x y z w v u t s C $.
    $d x y z w v u t s D $.  $d x y z w v u t s E $.  $d x y z w v u t s F $.
    $d x y z w v u t s G $.  $d x y z w v u t s H $.  $d x ps $.  $d y ch $.
    $d z th $.  $d w ta $.  $d v et $.  $d u ze $.  $d t si $.  $d s rh $.
    ceqsex8v.1 $e |- A e. _V $.
    ceqsex8v.2 $e |- B e. _V $.
    ceqsex8v.3 $e |- C e. _V $.
    ceqsex8v.4 $e |- D e. _V $.
    ceqsex8v.5 $e |- E e. _V $.
    ceqsex8v.6 $e |- F e. _V $.
    ceqsex8v.7 $e |- G e. _V $.
    ceqsex8v.8 $e |- H e. _V $.
    ceqsex8v.9 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsex8v.10 $e |- ( y = B -> ( ps <-> ch ) ) $.
    ceqsex8v.11 $e |- ( z = C -> ( ch <-> th ) ) $.
    ceqsex8v.12 $e |- ( w = D -> ( th <-> ta ) ) $.
    ceqsex8v.13 $e |- ( v = E -> ( ta <-> et ) ) $.
    ceqsex8v.14 $e |- ( u = F -> ( et <-> ze ) ) $.
    ceqsex8v.15 $e |- ( t = G -> ( ze <-> si ) ) $.
    ceqsex8v.16 $e |- ( s = H -> ( si <-> rh ) ) $.
    $( Elimination of eight existential quantifiers, using implicit
       substitution. $)
    ceqsex8v $p |- ( E. x E. y E. z E. w E. v E. u E. t E. s
              ( ( ( x = A /\ y = B ) /\ ( z = C /\ w = D ) )
         /\ ( ( v = E /\ u = F ) /\ ( t = G /\ s = H ) ) /\ ph ) <-> rh ) $=
      ( cv wceq wa w3a 19.42vv 2exbii bitri 3anass df-3an anbi2i bitr4i 3bitr4i
      wex 3anbi3d 4exbidv ceqsex4v 3bitri ) JVBQVCZKVBRVCZVDZLVBSVCZMVBTVCZVDZV
      DZNVBUAVCOVBUBVCVDZPVBUCVCUEVBUDVCVDZVDZAVEZUEVNPVNZOVNNVNZMVNLVNZKVNJVNW
      AWDWFWGAVEZUEVNPVNZOVNNVNZVEZMVNLVNZKVNJVNWFWGEVEZUEVNPVNOVNNVNZIWLWQJKWK
      WPLMWEWMVDZUEVNPVNZOVNNVNZWEWOVDZWKWPXBWEWNVDZOVNNVNXCXAXDNOWEWMPUEVFVGWE
      WNNOVFVHWJXANOWIWTPUEWIWEWHAVDZVDWTWEWHAVIWMXEWEWFWGAVJVKVLVGVGWAWDWOVJVM
      VGVGWOWFWGBVEZUEVNPVNOVNNVNWFWGCVEZUEVNPVNOVNNVNWFWGDVEZUEVNPVNOVNNVNWSJK
      LMQRSTUFUGUHUIVSWMXFNOPUEVSABWFWGUNVOVPVTXFXGNOPUEVTBCWFWGUOVOVPWBXGXHNOP
      UEWBCDWFWGUPVOVPWCXHWRNOPUEWCDEWFWGUQVOVPVQEFGHINOPUEUAUBUCUDUJUKULUMURUS
      UTVAVQVR $.
      $( [23-Sep-2011] $)
  $}

  ${
    $d x ps $.  $d y ph $.  $d x th $.  $d y ch $.  $d y A $.
    gencbvex.1 $e |- A e. _V $.
    gencbvex.2 $e |- ( A = y -> ( ph <-> ps ) ) $.
    gencbvex.3 $e |- ( A = y -> ( ch <-> th ) ) $.
    gencbvex.4 $e |- ( th <-> E. x ( ch /\ A = y ) ) $.
    $( Change of bound variable using implicit substitution.  (The proof was
       shortened by Andrew Salmon, 8-Jun-2011.) $)
    gencbvex $p |- ( E. x ( ch /\ ph ) <-> E. y ( th /\ ps ) ) $=
      ( cv wceq wa wex excom wb anbi12d bicomd exbii eqcoms ceqsexv simpr eqcom
      19.41v biimpi adantl eximi sylbi adantr ancri impbii bitri 3bitr3i ) FLZG
      MZDBNZNZFOZEOUREOZFOCANZEOUQFOUREFPUSVAEUQVAFGHUQVAQGUOGUOMZVAUQVBCDABJIR
      SUAUBTUTUQFUTUPEOZUQNZUQUPUQEUEVDUQVCUQUCUQVCDVCBDCVBNZEOVCKVEUPEVBUPCVBU
      PGUOUDUFUGUHUIUJUKULUMTUN $.
      $( [8-Jun-2011] $) $( [17-May-1996] $)
  $}

  ${
    $d x ps $.  $d y ph $.  $d x th $.  $d y ch $.  $d y A $.
    gencbvex2.1 $e |- A e. _V $.
    gencbvex2.2 $e |- ( A = y -> ( ph <-> ps ) ) $.
    gencbvex2.3 $e |- ( A = y -> ( ch <-> th ) ) $.
    gencbvex2.4 $e |- ( th -> E. x ( ch /\ A = y ) ) $.
    $( Restatement of ~ gencbvex with weaker hypotheses.  (Contributed by
       Jeffrey Hankins, 6-Dec-2006.) $)
    gencbvex2 $p |- ( E. x ( ch /\ ph ) <-> E. y ( th /\ ps ) ) $=
      ( cv wceq wa wex biimpac exlimiv impbii gencbvex ) ABCDEFGHIJDCGFLMZNZEOK
      UADETCDJPQRS $.
      $( [6-Dec-2006] $)
  $}

  ${
    $d x ps $.  $d y ph $.  $d x th $.  $d y ch $.  $d y A $.
    gencbval.1 $e |- A e. _V $.
    gencbval.2 $e |- ( A = y -> ( ph <-> ps ) ) $.
    gencbval.3 $e |- ( A = y -> ( ch <-> th ) ) $.
    gencbval.4 $e |- ( th <-> E. x ( ch /\ A = y ) ) $.
    $( Change of bound variable using implicit substitution. $)
    gencbval $p |- ( A. x ( ch -> ph ) <-> A. y ( th -> ps ) ) $=
      ( wi wal wn wa wex cv wceq notbid exanali gencbvex 3bitr3i con4bii ) CALE
      MZDBLFMZCANZOEPDBNZOFPUDNUENUFUGCDEFGHGFQRABISJKUACAETDBFTUBUC $.
      $( [17-May-1996] $)
  $}

  ${
    $d A x $.  $d x y $.
    sbhypf.1 $e |- ( ps -> A. x ps ) $.
    sbhypf.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Introduce an explicit substitution into an implicit substitution
       hypothesis.  See also ~ csbhypf .  (Contributed by Raph Levien,
       10-Apr-2004.) $)
    sbhypf $p |- ( y = A -> ( [ y / x ] ph <-> ps ) ) $=
      ( cv wceq wa wex wsbc wb vex eqeq1 ceqsexv hbs1 hbbi sbequ12 bicomd
      sylan9bb exlimi sylbir ) DHZEIZCHZUDIZUFEIZJZCKACUDLZBMZUHUECUDDNUFUDEOPU
      IUKCUJBCACDQFRUGUJAUHBUGAUJACDSTGUAUBUC $.
      $( [5-Mar-2008] $) $( 2-Mar-2008] $)
  $}

  ${
    $d x A $.
    vtoclf.1 $e |- ( ps -> A. x ps ) $.
    vtoclf.2 $e |- A e. _V $.
    vtoclf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclf.4 $e |- ph $.
    $( Implicit substitution of a class for a set variable.  This is a
       generalization of ~ chvar . $)
    vtoclf $p |- ps $=
      ( cv wceq wex wi isseti biimpd eximi ax-mp 19.36i mpg ) ABCABCECIDJZCKABL
      ZCKCDFMSTCSABGNOPQHR $.
      $( [30-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x ps $.
    vtocl.1 $e |- A e. _V $.
    vtocl.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl.3 $e |- ph $.
    $( Implicit substitution of a class for a set variable. $)
    vtocl $p |- ps $=
      ( ax-17 vtoclf ) ABCDBCHEFGI $.
      $( [30-Aug-1993] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ps $.
    vtocl2.1 $e |- A e. _V $.
    vtocl2.2 $e |- B e. _V $.
    vtocl2.3 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    vtocl2.4 $e |- ph $.
    $( Implicit substitution of classes for set variables.  (The proof was
       shortened by Andrew Salmon, 8-Jun-2011.) $)
    vtocl2 $p |- ps $=
      ( wal wi wex cv wceq isseti wa eeanv biimpd 2eximi sylbir 19.36v 19.36aiv
      mp2an exbii mpbi ax-gen mpg ) ADKZBCUIBCABLZDMZCMZUIBLZCMCNEOZCMZDNFOZDMZ
      ULCEGPDFHPUOUQQUNUPQZDMCMULUNUPCDRURUJCDURABISTUAUDUKUMCABDUBUEUFUCADJUGU
      H $.
      $( [8-Jun-2011] $) $( [26-Jul-1995] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z ps $.
    vtocl3.1 $e |- A e. _V $.
    vtocl3.2 $e |- B e. _V $.
    vtocl3.3 $e |- C e. _V $.
    vtocl3.4 $e |- ( ( x = A /\ y = B /\ z = C ) -> ( ph <-> ps ) ) $.
    vtocl3.5 $e |- ph $.
    $( Implicit substitution of classes for set variables.  (The proof was
       shortened by Andrew Salmon, 8-Jun-2011.) $)
    vtocl3 $p |- ps $=
      ( wal wi wex cv wceq isseti w3a eeeanv biimpd 2eximi sylbir 19.36v 2exbii
      eximi mp3an mpbi exbii 19.36aiv gen2 mpg ) AENZDNZBCUOBCUNBOZDPZCPZUOBOZC
      PABOZEPZDPCPZURCQFRZCPZDQGRZDPZEQHRZEPZVBCFISDGJSEHKSVDVFVHTVCVEVGTZEPZDP
      CPVBVCVEVGCDEUAVJVACDVIUTEVIABLUBUGUCUDUHVAUPCDABEUEUFUIUQUSCUNBDUEUJUIUK
      ADEMULUM $.
      $( [8-Jun-2011] $) $( [3-Jun-1995] $)
  $}

  ${
    $d x A $.  $d x ch $.  $d x th $.
    vtoclb.1 $e |- A e. _V $.
    vtoclb.2 $e |- ( x = A -> ( ph <-> ch ) ) $.
    vtoclb.3 $e |- ( x = A -> ( ps <-> th ) ) $.
    vtoclb.4 $e |- ( ph <-> ps ) $.
    $( Implicit substitution of a class for a set variable. $)
    vtoclb $p |- ( ch <-> th ) $=
      ( wb cv wceq bibi12d vtocl ) ABKCDKEFGELFMACBDHINJO $.
      $( [23-Dec-1993] $)
  $}

  ${
    $d y A z $.  $d x z $.  $d y z $.
    vtoclgf.1 $e |- ( y e. A -> A. x y e. A ) $.
    vtoclgf.2 $e |- ( ps -> A. x ps ) $.
    vtoclgf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclgf.4 $e |- ph $.
    $( Implicit substitution of a class for a set variable, with bound-variable
       hypotheses in place of distinct variable restrictions.  (Unnecessary
       distinct variable restrictions were removed by Andrew Salmon,
       11-Jul-2011.) $)
    vtoclgf $p |- ( A e. V -> ps ) $=
      ( vz wcel cvv elex cv wceq wex isset hblem hbeleq ax-17 eqeq1 cbvex bitri
      mpbii exlimi sylbi syl ) EFLEMLZBEFNUICOZEPZCQZBUIKOZEPZKQULKERUNUKKCCKEC
      DKEGSTUKKUAUMUJEUBUCUDUKBCHUKABJIUEUFUGUH $.
      $( [11-Jul-2011] $) $( [21-Sep-2003] $)
  $}

  ${
    $d x y A $.  $d x ps $.
    vtoclg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclg.2 $e |- ph $.
    $( Implicit substitution of a class expression for a set variable. $)
    vtoclg $p |- ( A e. V -> ps ) $=
      ( vy cv wcel ax-17 vtoclgf ) ABCHDEHIDJCKBCKFGL $.
      $( [17-Apr-1995] $)
  $}

  ${
    $d x A $.  $d x ch $.  $d x th $.
    vtoclbg.1 $e |- ( x = A -> ( ph <-> ch ) ) $.
    vtoclbg.2 $e |- ( x = A -> ( ps <-> th ) ) $.
    vtoclbg.3 $e |- ( ph <-> ps ) $.
    $( Implicit substitution of a class for a set variable. $)
    vtoclbg $p |- ( A e. V -> ( ch <-> th ) ) $=
      ( wb cv wceq bibi12d vtoclg ) ABKCDKEFGELFMACBDHINJO $.
      $( [29-Apr-1994] $)
  $}

  ${
    $d z A $.  $d z B $.  $d z x $.  $d z y $.
    vtocl2gf.1 $e |- ( z e. A -> A. x z e. A ) $.
    vtocl2gf.2 $e |- ( z e. A -> A. y z e. A ) $.
    vtocl2gf.3 $e |- ( z e. B -> A. y z e. B ) $.
    vtocl2gf.4 $e |- ( ps -> A. x ps ) $.
    vtocl2gf.5 $e |- ( ch -> A. y ch ) $.
    vtocl2gf.6 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl2gf.7 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl2gf.8 $e |- ph $.
    $( Implicit substitution of a class for a set variable. $)
    vtocl2gf $p |- ( ( A e. V /\ B e. W ) -> ch ) $=
      ( wcel cvv elex wi cv ax-17 hbel hbim wceq imbi2d vtoclgf mpan9 ) GISGTSZ
      HJSCGIUAUKBUBUKCUBEFHJMUKCEEFFGTLFUCTSEUDUEOUFEUCHUGBCUKQUHABDFGTKNPRUIUI
      UJ $.
      $( [10-Aug-2013] $) $( [25-Apr-1995] $)
  $}

  ${
    $d w A $.  $d w B $.  $d w C $.  $d w y $.  $d w z $.
    vtocl3gf.a $e |- ( w e. A -> A. x w e. A ) $.
    vtocl3gf.b $e |- ( w e. A -> A. y w e. A ) $.
    vtocl3gf.c $e |- ( w e. A -> A. z w e. A ) $.
    vtocl3gf.d $e |- ( w e. B -> A. y w e. B ) $.
    vtocl3gf.e $e |- ( w e. B -> A. z w e. B ) $.
    vtocl3gf.f $e |- ( w e. C -> A. z w e. C ) $.
    vtocl3gf.1 $e |- ( ps -> A. x ps ) $.
    vtocl3gf.2 $e |- ( ch -> A. y ch ) $.
    vtocl3gf.3 $e |- ( th -> A. z th ) $.
    vtocl3gf.4 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl3gf.5 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl3gf.6 $e |- ( z = C -> ( ch <-> th ) ) $.
    vtocl3gf.7 $e |- ph $.
    $( Implicit substitution of a class for a set variable. $)
    vtocl3gf $p |- ( ( A e. V /\ B e. W /\ C e. X ) -> th ) $=
      ( wcel cvv wa elex wi cv ax-17 hbel hbim wceq imbi2d vtocl2gf mpan9 3impb
      vtoclgf ) ILUHZJMUHZKNUHZDVCIUIUHZVDVEUJDILUKVFBULVFCULVFDULFGHJKMNRSTVFC
      FFHHIUIPHUMUIUHZFUNUOUBUPVFDGGHHIUIQVGGUNUOUCUPFUMJUQBCVFUEURGUMKUQCDVFUF
      URABEHIUIOUAUDUGVBUSUTVA $.
      $( [10-Aug-2013] $)
  $}

  ${
    $d w x A $.  $d y A $.  $d w y B $.  $d x ps $.  $d y ch $.
    vtocl2g.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl2g.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl2g.3 $e |- ph $.
    $( Implicit substitution of 2 classes for 2 set variables. $)
    vtocl2g $p |- ( ( A e. V /\ B e. W ) -> ch ) $=
      ( vw cv wcel ax-17 vtocl2gf ) ABCDEMFGHIMNZFOZDPSEPRGOEPBDPCEPJKLQ $.
      $( [25-Apr-1995] $)
  $}

  ${
    $d y A $.  $d x B z $.
    vtoclgaf.1 $e |- ( y e. A -> A. x y e. A ) $.
    vtoclgaf.2 $e |- ( ps -> A. x ps ) $.
    vtoclgaf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclgaf.4 $e |- ( x e. B -> ph ) $.
    $( Implicit substitution of a class for a set variable.  (Unnecessary
       distinct variable restrictions were removed by Andrew Salmon,
       8-Jun-2011.) $)
    vtoclgaf $p |- ( A e. B -> ps ) $=
      ( vz wcel cv wi ax-17 hbel hbim wceq eleq1 imbi12d vtoclgf pm2.43i ) EFLZ
      BCMZFLZANUCBNCDEFGUCBCCDKEFGKMFLCOPHQUDERUEUCABUDEFSITJUAUB $.
      $( [11-Jul-2011] $) $( [17-Feb-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x ps $.
    vtoclga.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclga.2 $e |- ( x e. B -> ph ) $.
    $( Implicit substitution of a class for a set variable. $)
    vtoclga $p |- ( A e. B -> ps ) $=
      ( vy cv wcel ax-17 vtoclgaf ) ABCHDEHIDJCKBCKFGL $.
      $( [20-Aug-1995] $)
  $}

  ${
    $d z A $.  $d z B $.  $d x y z C $.  $d x y z D $.
    vtocl2gaf.a $e |- ( z e. A -> A. x z e. A ) $.
    vtocl2gaf.b $e |- ( z e. A -> A. y z e. A ) $.
    vtocl2gaf.c $e |- ( z e. B -> A. y z e. B ) $.
    vtocl2gaf.1 $e |- ( ps -> A. x ps ) $.
    vtocl2gaf.2 $e |- ( ch -> A. y ch ) $.
    vtocl2gaf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl2gaf.4 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl2gaf.5 $e |- ( ( x e. C /\ y e. D ) -> ph ) $.
    $( Implicit substitution of 2 classes for 2 set variables. $)
    vtocl2gaf $p |- ( ( A e. C /\ B e. D ) -> ch ) $=
      ( wcel ax-17 wa cv hbel hblem hban hbim wceq eleq1 anbi1d anbi2d vtocl2gf
      wi imbi12d pm2.43i ) GISZHJSZUAZCDUBZISZEUBZJSZUAZAULUOVAUAZBULUQCULDEFGH
      IJKLMVCBDUOVADDFFGIKFUBZISZDTUCDFEJVDJSZDTUDUENUFUQCEUOUPEEFFGILVEETUCEFF
      HJMVFETUCUEOUFURGUGZVBVCABVGUSUOVAURGIUHUIPUMUTHUGZVCUQBCVHVAUPUOUTHJUHUJ
      QUMRUKUN $.
      $( [10-Aug-2013] $)
  $}

  ${
    $d w x y A $.  $d w y B $.  $d w x y C $.  $d w x y D $.  $d x ps $.
    $d y ch $.
    vtocl2ga.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl2ga.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl2ga.3 $e |- ( ( x e. C /\ y e. D ) -> ph ) $.
    $( Implicit substitution of 2 classes for 2 set variables. $)
    vtocl2ga $p |- ( ( A e. C /\ B e. D ) -> ch ) $=
      ( vw cv wcel ax-17 vtocl2gaf ) ABCDEMFGHIMNZFOZDPSEPRGOEPBDPCEPJKLQ $.
      $( [20-Aug-1995] $)
  $}

  ${
    $d w A $.  $d w B $.  $d w C $.  $d w x y z R $.  $d w x y z S $.
    $d w x y z T $.
    vtocl3gaf.a $e |- ( w e. A -> A. x w e. A ) $.
    vtocl3gaf.b $e |- ( w e. A -> A. y w e. A ) $.
    vtocl3gaf.c $e |- ( w e. A -> A. z w e. A ) $.
    vtocl3gaf.d $e |- ( w e. B -> A. y w e. B ) $.
    vtocl3gaf.e $e |- ( w e. B -> A. z w e. B ) $.
    vtocl3gaf.f $e |- ( w e. C -> A. z w e. C ) $.
    vtocl3gaf.1 $e |- ( ps -> A. x ps ) $.
    vtocl3gaf.2 $e |- ( ch -> A. y ch ) $.
    vtocl3gaf.3 $e |- ( th -> A. z th ) $.
    vtocl3gaf.4 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl3gaf.5 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl3gaf.6 $e |- ( z = C -> ( ch <-> th ) ) $.
    vtocl3gaf.7 $e |- ( ( x e. R /\ y e. S /\ z e. T ) -> ph ) $.
    $( Implicit substitution of 3 classes for 3 set variables. $)
    vtocl3gaf $p |- ( ( A e. R /\ B e. S /\ C e. T ) -> th ) $=
      ( wcel w3a cv wi ax-17 hbel hblem hb3an hbim wceq 3anbi1d imbi12d 3anbi2d
      eleq1 3anbi3d vtocl3gf pm2.43i ) ILUHZJMUHZKNUHZUIZDEUJZLUHZFUJZMUHZGUJZN
      UHZUIZAUKVEVLVNUIZBUKVEVFVNUIZCUKVHDUKEFGHIJKLMNOPQRSTVPBEVEVLVNEEHHILOHU
      JZLUHZEULUMEHFMVRMUHZEULUNEHGNVRNUHZEULUNUOUAUPVQCFVEVFVNFFHHILPVSFULUMFH
      HJMRVTFULUMFHGNWAFULUNUOUBUPVHDGVEVFVGGGHHILQVSGULUMGHHJMSVTGULUMGHHKNTWA
      GULUMUOUCUPVIIUQZVOVPABWBVJVEVLVNVIILVAURUDUSVKJUQZVPVQBCWCVLVFVEVNVKJMVA
      UTUEUSVMKUQZVQVHCDWDVNVGVEVFVMKNVAVBUFUSUGVCVD $.
      $( [10-Aug-2013] $)
  $}

  ${
    $d w x y z A $.  $d w y z B $.  $d w z C $.  $d w x y z D $.
    $d w x y z R $.  $d w x y z S $.  $d x ps $.  $d y ch $.  $d z th $.
    vtocl3ga.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl3ga.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl3ga.3 $e |- ( z = C -> ( ch <-> th ) ) $.
    vtocl3ga.4 $e |- ( ( x e. D /\ y e. R /\ z e. S ) -> ph ) $.
    $( Implicit substitution of 3 classes for 3 set variables. $)
    vtocl3ga $p |- ( ( A e. D /\ B e. R /\ C e. S ) -> th ) $=
      ( vw wcel ax-17 cv vtocl3gaf ) ABCDEFGRHIJKLMRUAZHSZETUDFTUDGTUCISZFTUEGT
      UCJSGTBETCFTDGTNOPQUB $.
      $( [20-Aug-1995] $)
  $}

  ${
    $d x A $.  $d x ph $.
    vtocleg.1 $e |- ( x = A -> ph ) $.
    $( Implicit substitution of a class for a set variable. $)
    vtocleg $p |- ( A e. V -> ph ) $=
      ( wcel cv wceq wex elisset exlimiv syl ) CDFBGCHZBIABCDJMABEKL $.
      $( [10-Jan-2004] $)
  $}

  ${
    $d x A $.
    $( Implicit substitution of a class for a set variable.  (Closed theorem
       version of ~ vtoclef .)  (The proof was shortened by Andrew Salmon,
       8-Jun-2011.) $)
    vtoclegft $p |- ( ( A e. B /\ A. x ( ph -> A. x ph ) /\
                   A. x ( x = A -> ph ) ) -> ph ) $=
      ( wcel wal wi cv wceq wex elisset exim pm2.27 19.9t syl9 syl7 syl 3imp )
      CDEZAABFGBFZBHCIZAGBFZASUABJZTUBAGGBCDKUBUCABJZGZUCTAUAABLUCUEUDTAUCUDMAB
      NOPQR $.
      $( [8-Jun-2011] $) $( [7-Nov-2005] $)
  $}

  ${
    $d x A $.
    vtoclef.1 $e |- ( ph -> A. x ph ) $.
    vtoclef.2 $e |- A e. _V $.
    vtoclef.3 $e |- ( x = A -> ph ) $.
    $( Implicit substitution of a class for a set variable. $)
    vtoclef $p |- ph $=
      ( cv wceq wex isseti exlimi ax-mp ) BGCHZBIABCEJMABDFKL $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x ph $.
    vtocle.1 $e |- A e. _V $.
    vtocle.2 $e |- ( x = A -> ph ) $.
    $( Implicit substitution of a class for a set variable. $)
    vtocle $p |- ph $=
      ( cvv wcel vtocleg ax-mp ) CFGADABCFEHI $.
      $( [9-Sep-1993] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    vtoclri.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclri.2 $e |- A. x e. B ph $.
    $( Implicit substitution of a class for a set variable. $)
    vtoclri $p |- ( A e. B -> ps ) $=
      ( rspec vtoclga ) ABCDEFACEGHI $.
      $( [21-Nov-1994] $)
  $}

  ${
    $d x y $.  $d y A $.
    cla4gft.1 $e |- ( ps -> A. x ps ) $.
    cla4gft.2 $e |- ( y e. A -> A. x y e. A ) $.
    $( A closed version of ~ cla4gf .  (Contributed by Andrew Salmon,
       6-Jun-2011.) $)
    cla4gft $p |- ( A. x ( x = A -> ( ph <-> ps ) ) -> ( A e. B ->
                      ( A. x ph -> ps ) ) ) $=
      ( wcel cvv cv wceq wb wi wal elex wex issetf hba1 bi1 imim2i eximd syl5bi
      a4s 19.36 syl6ib syl5 ) EFIEJIZCKELZABMZNZCOZACOBNZEFPULUHABNZCQZUMUHUICQ
      ULUOCDEHRULUIUNCUKCSUKUIUNNCUJUNUIABTUAUDUBUCABCGUEUFUG $.
      $( [6-Jun-2011] $)
  $}

  ${
    $d y A z $.  $d x z $.
    cla4gf.1 $e |- ( y e. A -> A. x y e. A ) $.
    cla4gf.2 $e |- ( ps -> A. x ps ) $.
    cla4gf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Rule of specialization, using implicit substitition.  Compare Theorem
       7.3 of [Quine] p. 44.  (Unnecessary distinct variable restrictions were
       removed by Andrew Salmon, 12-Aug-2011.) $)
    cla4gf $p |- ( A e. V -> ( A. x ph -> ps ) ) $=
      ( vz wcel cvv wal wi elex wex cv wceq isset hblem ax-17 eqeq1 cbvex bitri
      hbeleq biimpd eximi sylbi 19.36 sylib syl ) EFKELKZACMBNZEFOULABNZCPZUMUL
      CQZERZCPZUOULJQZERZJPURJESUTUQJCCJECDJEGTUEUQJUAUSUPEUBUCUDUQUNCUQABIUFUG
      UHABCHUIUJUK $.
      $( [12-Aug-2011] $) $( [2-Feb-1997] $)

    $d y A $.
    $( Existential specialization, using implicit substitition. $)
    cla4egf $p |- ( A e. V -> ( ps -> E. x ph ) ) $=
      ( wcel wn wal wex hbn cv wceq notbid cla4gf con2d df-ex syl6ibr ) EFJZBAK
      ZCLZKACMUBUDBUCBKCDEFGBCHNCOEPABIQRSACTUA $.
      $( [12-Aug-2011] $) $( [2-Feb-1997] $)
  $}

  ${
    $d x ps $.  $d x y A $.
    cla4gv.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Rule of specialization, using implicit substitition.  Compare Theorem
       7.3 of [Quine] p. 44. $)
    cla4gv $p |- ( A e. V -> ( A. x ph -> ps ) ) $=
      ( vy cv wcel ax-17 cla4gf ) ABCGDEGHDICJBCJFK $.
      $( [22-Jun-1994] $)

    $( Existential specialization, using implicit substitition. $)
    cla4egv $p |- ( A e. V -> ( ps -> E. x ph ) ) $=
      ( vy cv wcel ax-17 cla4egf ) ABCGDEGHDICJBCJFK $.
      $( [14-Aug-1994] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ps $.
    cla42egv.1 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Existential specialization with 2 quantifiers, using implicit
       substitution. $)
    cla42egv $p |- ( ( A e. V /\ B e. W ) -> ( ps -> E. x E. y ph ) ) $=
      ( wcel wa cv wceq wex elisset anim12i eeanv sylibr biimprcd 2eximdv
      syl5com ) EGJZFHJZKZCLEMZDLFMZKZDNCNZBADNCNUDUECNZUFDNZKUHUBUIUCUJCEGODFH
      OPUEUFCDQRBUGACDUGABISTUA $.
      $( [3-Aug-1995] $)

    $( Specialization with 2 quantifiers, using implicit substitution. $)
    cla42gv $p |- ( ( A e. V /\ B e. W ) -> ( A. x A. y ph -> ps ) ) $=
      ( wcel wa wal wn wex cv wceq notbid cla42egv 2nalexn syl6ibr con4d ) EGJF
      HJKZBADLCLZUBBMZAMZDNCNUCMUEUDCDEFGHCOEPDOFPKABIQRACDSTUA $.
      $( [27-Apr-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z ps $.
    cla43egv.1 $e |- ( ( x = A /\ y = B /\ z = C ) -> ( ph <-> ps ) ) $.
    $( Existential specialization with 3 quantifiers, using implicit
       substitution. $)
    cla43egv $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
               ( ps -> E. x E. y E. z ph ) ) $=
      ( wcel w3a cv wceq wex elisset 3anim123i eeeanv biimprcd 2eximdv syl5com
      sylibr eximdv ) FIMZGJMZHKMZNZCOFPZDOGPZEOHPZNZEQZDQCQZBAEQZDQCQUIUJCQZUK
      DQZULEQZNUOUFUQUGURUHUSCFIRDGJREHKRSUJUKULCDETUDBUNUPCDBUMAEUMABLUAUEUBUC
      $.
      $( [12-May-2008] $)

    $( Specialization with 3 quantifiers, using implicit substitution. $)
    cla43gv $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
               ( A. x A. y A. z ph -> ps ) ) $=
      ( wcel w3a wal wn wex cv wceq exnal notbid cla43egv exbii bitr2i syl6ibr
      bitri con4d ) FIMGJMHKMNZBAEOZDOZCOZUHBPZAPZEQZDQZCQZUKPZUMULCDEFGHIJKCRF
      SDRGSERHSNABLUAUBUPUJPZCQUQUOURCUOUIPZDQURUNUSDAETUCUIDTUFUCUJCTUDUEUG $.
      $( [12-May-2008] $)
  $}

  ${
    $d x A $.  $d x ps $.
    cla4v.1 $e |- A e. _V $.
    cla4v.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Rule of specialization, using implicit substitition. $)
    cla4v $p |- ( A. x ph -> ps ) $=
      ( cvv wcel wal wi cla4gv ax-mp ) DGHACIBJEABCDGFKL $.
      $( [22-Jun-1994] $)

    $( Existential specialization, using implicit substitition.  (The proof was
       shortened by Eric Schmidt, 22-Dec-2006.) $)
    cla4ev $p |- ( ps -> E. x ph ) $=
      ( cvv wcel wex wi cla4egv ax-mp ) DGHBACIJEABCDGFKL $.
      $( [22-Dec-2006] $) $( [31-Dec-1993] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ps $.
    cla4e2v.1 $e |- A e. _V $.
    cla4e2v.2 $e |- B e. _V $.
    cla4e2v.3 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Existential specialization, using implicit substitition. $)
    cla42ev $p |- ( ps -> E. x E. y ph ) $=
      ( cvv wcel wex wi cla42egv mp2an ) EJKFJKBADLCLMGHABCDEFJJINO $.
      $( [3-Aug-1995] $)
  $}

  ${
    $d x A $.  $d x B $.  $d A z $.  $d x z $.
    rcla4t.1 $e |- ( ps -> A. x ps ) $.
    $( A closed version of ~ rcla4 .  (Contributed by Andrew Salmon,
       6-Jun-2011.) $)
    rcla4t $p |- ( A. x ( x = A -> ( ph <-> ps ) ) -> ( A e. B ->
                   ( A. x e. B ph -> ps ) ) ) $=
      ( vz cv wceq wb wi wal wcel wral df-ral wa eleq1 adantr simpr ax-17 alimi
      imbi12d ex a2i hbim cla4gft syl syl7bi com34 pm2.43d ) CHZDIZABJZKZCLZDEM
      ZACENZBKUOUPUQUPBUQUKEMZAKZCLZUOUPUPBKZACEOUOULUSVAJZKZCLUPUTVAKKUNVCCULU
      MVBULUMVBULUMPURUPABULURUPJUMUKDEQRULUMSUBUCUDUAUSVACGDEUPBCUPCTFUEGHDMCT
      UFUGUHUIUJ $.
      $( [6-Jun-2011] $)
  $}

  ${
    $d x y A $.  $d x B $.
    rcla4.1 $e |- ( ps -> A. x ps ) $.
    rcla4.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Restricted specialization, using implicit substitition.  (The proof was
       shortened by Andrew Salmon, 8-Jun-2011.) $)
    rcla4 $p |- ( A e. B -> ( A. x e. B ph -> ps ) ) $=
      ( vy wral cv wcel wi wal df-ral ax-17 hbim wceq eleq1 imbi12d cla4gf
      pm2.43a syl5bi ) ACEICJZEKZALZCMZDEKZBACENUFUGBUEUGBLCHDEHJDKCOUGBCUGCOFP
      UCDQUDUGABUCDERGSTUAUB $.
      $( [8-Jun-2011] $) $( [19-Apr-2005] $)

    $( Restricted existential specialization, using implicit substitition. $)
    rcla4e $p |- ( ( A e. B /\ ps ) -> E. x e. B ph ) $=
      ( vy wcel wa cv wex wrex ax-17 hban wceq eleq1 anbi12d cla4egf anabsi5
      df-rex sylibr ) DEIZBJZCKZEIZAJZCLZACEMUCBUHUGUDCHDEHKDICNUCBCUCCNFOUEDPU
      FUCABUEDEQGRSTACEUAUB $.
      $( [26-May-1998] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    rcla4v.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Restricted specialization, using implicit substitition. $)
    rcla4v $p |- ( A e. B -> ( A. x e. B ph -> ps ) ) $=
      ( ax-17 rcla4 ) ABCDEBCGFH $.
      $( [24-May-2005] $) $( [26-May-1998] $)

    $( Restricted specialization, using implicit substitition. $)
    rcla4cv $p |- ( A. x e. B ph -> ( A e. B -> ps ) ) $=
      ( wcel wral rcla4v com12 ) DEGACEHBABCDEFIJ $.
      $( [2-Feb-2006] $)

    $( Restricted specialization, using implicit substitition. $)
    rcla4va $p |- ( ( A e. B /\ A. x e. B ph ) -> ps ) $=
      ( wcel wral rcla4v imp ) DEGACEHBABCDEFIJ $.
      $( [13-Sep-2005] $)

    $( Restricted specialization, using implicit substitition.  (The proof was
       shortened by Andrew Salmon, 8-Jun-2011.) $)
    rcla4cva $p |- ( ( A. x e. B ph /\ A e. B ) -> ps ) $=
      ( wcel wral rcla4v impcom ) DEGACEHBABCDEFIJ $.
      $( [8-Jun-2011] $) $( [26-Jul-2006] $)

    $( Restricted existential specialization, using implicit substitition. $)
    rcla4ev $p |- ( ( A e. B /\ ps ) -> E. x e. B ph ) $=
      ( ax-17 rcla4e ) ABCDEBCGFH $.
      $( [26-May-1998] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.  $d x ch $.
    rcla4dv.1 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    $( Restricted specialization, using implicit substitition. $)
    rcla4dv $p |- ( ( ph /\ A e. B ) -> ( A. x e. B ps -> ch ) ) $=
      ( wcel wral wi r19.21v cv wb expcom pm5.74d rcla4v syl5bir pm2.86d impcom
      wceq ) EFHZABDFIZCJUAAUBCAUBJABJZDFIUAACJZABDFKUCUDDEFDLETZABCAUEBCMGNOPQ
      RS $.
      $( [17-Feb-2007] $)

    $( Restricted existential specialization, using implicit substitition.
       (Contributed by FL, 17-Apr-2007.) $)
    rcla4edv $p |- ( ( ph /\ A e. B ) -> ( ch -> E. x e. B ps ) ) $=
      ( wcel wrex wi wa cv wceq wb expcom pm5.74d rcla4ev r19.37av syl ex
      pm2.86d impcom ) EFHZACBDFIZJUCACUDUCACJZAUDJZUCUEKABJZDFIUFUGUEDEFDLEMZA
      BCAUHBCNGOPQABDFRSTUAUB $.
      $( [10-May-2008] $) $( [17-Apr-2007] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x C $.  $d x y D $.
    rcla42.1 $e |- ( ch -> A. x ch ) $.
    rcla42.2 $e |- ( ps -> A. y ps ) $.
    rcla42.3 $e |- ( x = A -> ( ph <-> ch ) ) $.
    rcla42.4 $e |- ( y = B -> ( ch <-> ps ) ) $.
    $( 2-variable restricted specialization, using implicit substitition. $)
    rcla42 $p |- ( ( A e. C /\ B e. D ) -> ( A. x e. C A. y e. D ph ->
                  ps ) ) $=
      ( wcel wral cv ax-17 hbral wceq rcla4 ralbidv sylan9 ) FHNAEIOZDHOCEIOZGI
      NBUCUDDFHCDEIEPINDQJRDPFSACEILUATCBEGIKMTUB $.
      $( [9-Nov-2012] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x C $.  $d x y D $.  $d x ch $.  $d y ps $.
    rcla42v.1 $e |- ( x = A -> ( ph <-> ch ) ) $.
    rcla42v.2 $e |- ( y = B -> ( ch <-> ps ) ) $.
    $( 2-variable restricted specialization, using implicit substitition. $)
    rcla42v $p |- ( ( A e. C /\ B e. D ) -> ( A. x e. C A. y e. D ph ->
                  ps ) ) $=
      ( ax-17 rcla42 ) ABCDEFGHICDLBELJKM $.
      $( [24-May-2005] $) $( [13-Sep-1999] $)

    $( 2-variable restricted specialization, using implicit substitition. $)
    rcla42va $p |- ( ( ( A e. C /\ B e. D ) /\ A. x e. C A. y e. D ph ) ->
                  ps ) $=
      ( wcel wa wral rcla42v imp ) FHLGILMAEINDHNBABCDEFGHIJKOP $.
      $( [18-Jun-2014] $)

    $( 2-variable restricted existential specialization, using implicit
       substitution. $)
    rcla42ev $p |- ( ( A e. C /\ B e. D /\ ps ) -> E. x e. C E. y e. D ph ) $=
      ( wcel w3a wrex wa rcla4ev anim2i 3impb cv wceq rexbidv syl ) FHLZGILZBMU
      CCEINZOZAEINZDHNUCUDBUFUDBOUEUCCBEGIKPQRUGUEDFHDSFTACEIJUAPUB $.
      $( [13-Feb-2007] $) $( [16-Oct-1999] $)
  $}

  ${
    $d z ps $.  $d x ch $.  $d y th $.  $d x y z A $.  $d y z B $.  $d z C $.
    $d x R $.  $d x y S $.  $d x y z T $.
    rcla43v.1 $e |- ( x = A -> ( ph <-> ch ) ) $.
    rcla43v.2 $e |- ( y = B -> ( ch <-> th ) ) $.
    rcla43v.3 $e |- ( z = C -> ( th <-> ps ) ) $.
    $( 3-variable restricted specialization, using implicit substitition. $)
    rcla43v $p |- ( ( A e. R /\ B e. S /\ C e. T ) ->
                  ( A. x e. R A. y e. S A. z e. T ph -> ps ) ) $=
      ( wcel wral cv wceq wi wa ralbidv rcla42v rcla4v sylan9 3impa ) HKQZILQZJ
      MQZAGMRZFLREKRZBUAUHUIUBULDGMRZUJBUKUMCGMREFHIKLESHTACGMNUCFSITCDGMOUCUDD
      BGJMPUEUFUG $.
      $( [10-May-2005] $)

    $( 3-variable restricted existentional specialization, using implicit
       substitition. $)
    rcla43ev $p |- ( ( ( A e. R /\ B e. S /\ C e. T ) /\ ps ) ->
                  E. x e. R E. y e. S E. z e. T ph ) $=
      ( wcel wrex cv wceq w3a wa simpl1 simpl2 rcla4ev rexbidv rcla42ev syl3anc
      3ad2antl3 ) HKQZILQZJMQZUABUBUJUKDGMRZAGMRZFLREKRUJUKULBUCUJUKULBUDULUJBU
      MUKDBGJMPUEUIUNUMCGMREFHIKLESHTACGMNUFFSITCDGMOUFUGUH $.
      $( [25-Jul-2012] $)
  $}

  ${
    $d x A y z $.  $d x B y z $.
    eqvinc.1 $e |- A e. _V $.
    $( A variable introduction law for class equality.  (The proof was
       shortened by Andrew Salmon, 8-Jun-2011.) $)
    eqvinc $p |- ( A = B <-> E. x ( x = A /\ x = B ) ) $=
      ( wceq cv wa wex wi isseti ax-1 eqtr jca eximi pm3.43 mp2b 19.37aiv eqtr2
      ex exlimiv impbii ) BCEZAFZBEZUCCEZGZAHUBUFAUDAHUBUDIZUBUEIZGZAHUBUFIZAHA
      BDJUDUIAUDUGUHUDUBKUDUBUEUCBCLSMNUIUJAUBUDUEONPQUFUBAUCBCRTUA $.
      $( [8-Jun-2011] $) $( [14-Apr-1995] $)
  $}

  ${
    $d A y $.  $d B y $.  $d x y $.
    eqvincf.1 $e |- ( y e. A -> A. x y e. A ) $.
    eqvincf.2 $e |- ( y e. B -> A. x y e. B ) $.
    eqvincf.3 $e |- A e. _V $.
    $( A variable introduction law for class equality, using bound-variable
       hypotheses instead of distinct variable conditions. $)
    eqvincf $p |- ( A = B <-> E. x ( x = A /\ x = B ) ) $=
      ( wceq cv wa wex eqvinc hbeleq hban ax-17 eqeq1 anbi12d cbvex bitri ) CDH
      BIZCHZTDHZJZBKAIZCHZUDDHZJZAKBCDGLUCUGBAUAUBAABCEMABDFMNUGBOTUDHUAUEUBUFT
      UDCPTUDDPQRS $.
      $( [14-Sep-2003] $)
  $}

  ${
    $d x A y $.  $d ph y $.
    alexeq.1 $e |- A e. _V $.
    $( Two ways to express substitution of ` A ` for ` x ` in ` ph ` . $)
    alexeq $p |- ( A. x ( x = A -> ph ) <-> E. x ( x = A /\ ph ) ) $=
      ( vy cv wceq wa wex wi wal anbi1d exbidv imbi1d albidv sb56 vtoclb bicomi
      eqeq2 ) BFZCGZAHZBIZUAAJZBKZTEFZGZAHZBIUGAJZBKUCUEECDUFCGZUHUBBUJUGUAAUFC
      TSZLMUJUIUDBUJUGUAAUKNOABEPQR $.
      $( [2-Mar-1995] $)
  $}

  ${
    $d x A y $.  $d ph y $.
    $( Equality implies equivalence with substitution. $)
    ceqex $p |- ( x = A -> ( ph <-> E. x ( x = A /\ ph ) ) ) $=
      ( vy cvv wcel cv wceq wa wex wb 19.8a isset sylibr wi eqeq2 anbi1d exbidv
      bibi2d imbi12d ex wal vex alexeq ax-4 com12 syl5bir impbid vtoclg mpcom )
      CEFZBGZCHZAUMAIZBJZKZUMUMBJUKUMBLBCMNULDGZHZAURAIZBJZKZOUMUPODCEUQCHZURUM
      VAUPUQCULPZVBUTUOAVBUSUNBVBURUMAVCQRSTURAUTURAUTUSBLUAUTURAOZBUBZURAABUQD
      UCUDVEURAVDBUEUFUGUHUIUJ $.
      $( [2-Mar-1995] $)
  $}

  ${
    $d x y A $.
    ceqsexg.1 $e |- ( ps -> A. x ps ) $.
    ceqsexg.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A representation of explicit substitution of a class for a variable,
       inferred from an implicit substitution hypothesis. $)
    ceqsexg $p |- ( A e. V -> ( E. x ( x = A /\ ph ) <-> ps ) ) $=
      ( vy wb cv wceq wa wex wcel ax-17 hbe1 hbbi ceqex bibi12d biid vtoclgf )
      AAICJDKZALZCMZBICHDEHJDNCOUDBCUCCPFQUBAUDABACDRGSATUA $.
      $( [11-Oct-2004] $)
  $}

  ${
    $d x y A $.  $d x ps $.
    ceqsexgv.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Elimination of an existential quantifier, using implicit
       substitution. $)
    ceqsexgv $p |- ( A e. V -> ( E. x ( x = A /\ ph ) <-> ps ) ) $=
      ( ax-17 ceqsexg ) ABCDEBCGFH $.
      $( [29-Dec-1996] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    ceqsrexv.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Elimination of a restricted existential quantifier, using implicit
       substitution. $)
    ceqsrexv $p |- ( A e. B -> ( E. x e. B ( x = A /\ ph ) <-> ps ) ) $=
      ( cv wceq wa wrex wcel wex df-rex an12 exbii bitr4i eleq1 anbi12d bianabs
      ceqsexgv syl5bb ) CGZDHZAIZCEJZUCUBEKZAIZIZCLZDEKZBUEUFUDIZCLUIUDCEMUHUKC
      UCUFANOPUJUIBUGUJBICDEUCUFUJABUBDEQFRTSUA $.
      $( [30-Apr-2004] $)

    $( Elimination of a restricted existential quantifier, using implicit
       substitution. $)
    ceqsrexbv $p |- ( E. x e. B ( x = A /\ ph ) <-> ( A e. B /\ ps ) ) $=
      ( wcel cv wceq wa wrex r19.42v eleq1 adantr pm5.32ri bicomi baib ceqsrexv
      wb rexbiia pm5.32i 3bitr3i ) DEGZCHZDIZAJZJZCEKUCUFCEKZJUHUCBJUCUFCELUGUF
      CEUGUDEGZUFUIUFJUGUFUIUCUEUIUCSAUDDEMNOPQTUCUHBABCDEFRUAUB $.
      $( [14-Mar-2014] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x C $.  $d x y D $.  $d x ps $.  $d y ch $.
    ceqsrex2v.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsrex2v.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( Elimination of a restricted existential quantifier, using implicit
       substitution. $)
    ceqsrex2v $p |- ( ( A e. C /\ B e. D ) ->
      ( E. x e. C E. y e. D ( ( x = A /\ y = B ) /\ ph ) <-> ch ) ) $=
      ( wcel cv wceq wa wrex anass rexbii r19.42v ceqsrexv bitri anbi2d rexbidv
      syl5bb sylan9bb ) FHLZDMFNZEMGNZOAOZEIPZDHPZUHBOZEIPZGILCUKUGUHAOZEIPZOZD
      HPUFUMUJUPDHUJUGUNOZEIPUPUIUQEIUGUHAQRUGUNEISUARUOUMDFHUGUNULEIUGABUHJUBU
      CTUDBCEGIKTUE $.
      $( [29-Oct-2005] $)
  $}

  ${
    $d x A $.  $d x B $.
    clel2.1 $e |- A e. _V $.
    $( An alternate definition of class membership when the class is a set. $)
    clel2 $p |- ( A e. B <-> A. x ( x = A -> x e. B ) ) $=
      ( cv wceq wcel wi wal eleq1 ceqsalv bicomi ) AEZBFMCGZHAIBCGZNOABDMBCJKL
      $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( An alternate definition of class membership when the class is a set. $)
    clel3g $p |- ( B e. V -> ( A e. B <-> E. x ( x = B /\ A e. x ) ) ) $=
      ( wcel cv wceq wa wex eleq2 ceqsexgv bicomd ) CDEAFZCGBMEZHAIBCEZNOACDMCB
      JKL $.
      $( [13-Aug-2005] $)
  $}

  ${
    $d x A $.  $d x B $.
    clel3.1 $e |- B e. _V $.
    $( An alternate definition of class membership when the class is a set. $)
    clel3 $p |- ( A e. B <-> E. x ( x = B /\ A e. x ) ) $=
      ( cvv wcel cv wceq wa wex wb clel3g ax-mp ) CEFBCFAGZCHBNFIAJKDABCELM $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.
    clel4.1 $e |- B e. _V $.
    $( An alternate definition of class membership when the class is a set. $)
    clel4 $p |- ( A e. B <-> A. x ( x = B -> A e. x ) ) $=
      ( cv wceq wcel wi wal eleq2 ceqsalv bicomi ) AEZCFBMGZHAIBCGZNOACDMCBJKL
      $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d y A $.  $d x y $.  $d y ph $.
    $( Restricted quantifier version of Theorem 19.3 of [Margaris] p. 89.  We
       don't need the non-empty class condition of ~ r19.3rzv when there is an
       outer quantifier. $)
    rr19.3v $p |- ( A. x e. A A. y e. A ph <-> A. x e. A ph ) $=
      ( wral cv wceq biidd rcla4v ralimia wcel ax-1 ralrimiv ralimi impbii ) AC
      DEZBDEABDEPABDAACBFZDCFZQGAHIJAPBDAACDARDKLMNO $.
      $( [25-Oct-2012] $)

    $( Restricted quantifier version of Theorem 19.28 of [Margaris] p. 90.  We
       don't need the non-empty class condition of ~ r19.28zv when there is an
       outer quantifier. $)
    rr19.28v $p |- ( A. x e. A A. y e. A ( ph /\ ps )
                      <-> A. x e. A ( ph /\ A. y e. A ps ) ) $=
      ( wa wral cv wcel simpl ralimi wceq biidd rcla4v syl5 wi a1i jcad ralimia
      simpr r19.28av impbii ) ABFZDEGZCEGABDEGZFZCEGUDUFCECHZEIZUDAUEUDADEGUHAU
      CADEABJKAADUGEDHUGLAMNOUDUEPUHUCBDEABTKQRSUFUDCEABDEUAKUB $.
      $( [29-Oct-2012] $)
  $}

  ${
    $d x y A $.  $d y ph $.  $d x ps $.
    $( Membership in a class abstraction, using implicit substitition.  (Closed
       theorem version of ~ elabg .)  (The proof was shortened by Andrew
       Salmon, 8-Jun-2011.) $)
    elabgt $p |- ( ( A e. B /\ A. x ( x = A -> ( ph <-> ps ) ) ) ->
                 ( A e. { x | ph } <-> ps ) ) $=
      ( vy cv wceq wb wal wcel cab abid eleq1 syl5bbr bibi1d biimpd a2i ax-17
      wi alimi hbab1 hbel hbbi pm5.5 cla4gf imp sylan2 ) CGZDHZABIZTZCJDEKZUJDA
      CLZKZBIZTZCJZUPULUQCUJUKUPUJUKUPUJAUOBAUIUNKUJUOACMUIDUNNOPQRUAUMURUPUQUP
      CFDEFGDKCSZUOBCCFFDUNUSACFUBUCBCSUDUJUPUEUFUGUH $.
      $( [8-Jun-2011] $) $( [7-Nov-2005] $)
  $}

  ${
    $d ps y $.  $d x A y $.  $d y ph $.
    elabf.1 $e |- ( ps -> A. x ps ) $.
    elabf.2 $e |- A e. _V $.
    elabf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction, using implicit substitition. $)
    elabf $p |- ( A e. { x | ph } <-> ps ) $=
      ( vy cab wcel wb cv ax-17 hbab1 hbel hbbi wceq abid eleq1 syl5bbr vtoclef
      bitr3d ) DACIZJZBKCDUDBCCHHDUCHLDJCMACHNOEPFCLZDQZAUDBAUEUCJUFUDACRUEDUCS
      TGUBUA $.
      $( [1-Aug-1994] $)
  $}

  ${
    $d x ps $.  $d x A $.
    elab.1 $e |- A e. _V $.
    elab.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction, using implicit substitition.  Compare
       Theorem 6.13 of [Quine] p. 44. $)
    elab $p |- ( A e. { x | ph } <-> ps ) $=
      ( ax-17 elabf ) ABCDBCGEFH $.
      $( [1-Aug-1994] $)
  $}

  ${
    $d y A $.  $d z ph $.  $d x z $.  $d y z $.
    elabgf.1 $e |- ( y e. A -> A. x y e. A ) $.
    elabgf.2 $e |- ( ps -> A. x ps ) $.
    elabgf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction, using implicit substitition.  Compare
       Theorem 6.13 of [Quine] p. 44.  This version has bound-variable
       hypotheses in place of distinct variable restrictions. $)
    elabgf $p |- ( A e. B -> ( A e. { x | ph } <-> ps ) ) $=
      ( vz cv cab wcel wb hbab1 hbel hbbi wceq eleq1 bibi12d abid vtoclgf ) CKZ
      ACLZMZANEUDMZBNCDEFGUFBCCDJEUDGACJOPHQUCERUEUFABUCEUDSITACUAUB $.
      $( [11-Jul-2011] $) $( [21-Sep-2003] $)
  $}

  ${
    $d x ps $.  $d x y A $.
    elabg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction, using implicit substitition.  Compare
       Theorem 6.13 of [Quine] p. 44. $)
    elabg $p |- ( A e. V -> ( A e. { x | ph } <-> ps ) ) $=
      ( vy cv wcel ax-17 elabgf ) ABCGDEGHDICJBCJFK $.
      $( [14-Apr-1995] $)
  $}

  ${
    $d x ps $.  $d x A $.
    elab2g.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    elab2g.2 $e |- B = { x | ph } $.
    $( Membership in a class abstraction, using implicit substitution. $)
    elab2g $p |- ( A e. V -> ( A e. B <-> ps ) ) $=
      ( wcel cab eleq2i elabg syl5bb ) DEIDACJZIDFIBENDHKABCDFGLM $.
      $( [12-Sep-2004] $) $( [13-Sep-1995] $)
  $}

  ${
    $d x ps $.  $d x A $.
    elab2.1 $e |- A e. _V $.
    elab2.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    elab2.3 $e |- B = { x | ph } $.
    $( Membership in a class abstraction, using implicit substitution. $)
    elab2 $p |- ( A e. B <-> ps ) $=
      ( cvv wcel wb elab2g ax-mp ) DIJDEJBKFABCDEIGHLM $.
      $( [12-Sep-2004] $) $( [13-Sep-1995] $)
  $}

  ${
    $d x ps $.  $d x A $.
    elab4g.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    elab4g.2 $e |- B = { x | ph } $.
    $( Membership in a class abstraction, using implicit substitution. $)
    elab4g $p |- ( A e. B <-> ( A e. _V /\ ps ) ) $=
      ( wcel cvv elex elab2g biadan2 ) DEHDIHBDEJABCDEIFGKL $.
      $( [17-Oct-2012] $)
  $}

  ${
    $d y A $.
    elab3gf.1 $e |- ( y e. A -> A. x y e. A ) $.
    elab3gf.2 $e |- ( ps -> A. x ps ) $.
    elab3gf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction, with a weaker antecedent than
       ~ elabgf . $)
    elab3gf $p |- ( ( ps -> A e. B ) -> ( A e. { x | ph } <-> ps ) ) $=
      ( wcel cab wb wn elabgf ibi pm2.21 impbid2 ja ) BEFJEACKZJZBLBMTBTBABCDES
      GHINOBTPQABCDEFGHINR $.
      $( [6-Sep-2011] $)
  $}

  ${
    $d x ps $.  $d x y A $.
    elab3g.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction, with a weaker antecedent than
       ~ elabg . $)
    elab3g $p |- ( ( ps -> A e. B ) -> ( A e. { x | ph } <-> ps ) ) $=
      ( vy cv wcel ax-17 elab3gf ) ABCGDEGHDICJBCJFK $.
      $( [14-Jun-2011] $) $( [29-Aug-2006] $)
  $}

  ${
    $d x ps $.  $d x A $.
    elab3.1 $e |- ( ps -> A e. _V ) $.
    elab3.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction using implicit substitution. $)
    elab3 $p |- ( A e. { x | ph } <-> ps ) $=
      ( cvv wcel wi cab wb elab3g ax-mp ) BDGHIDACJHBKEABCDGFLM $.
      $( [10-Nov-2000] $)
  $}

  ${
    $d y A $.  $d y B $.
    elrabf.1 $e |- ( y e. A -> A. x y e. A ) $.
    elrabf.2 $e |- ( y e. B -> A. x y e. B ) $.
    elrabf.3 $e |- ( ps -> A. x ps ) $.
    elrabf.4 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a restricted class abstraction, using implicit
       substitution.  This version has bound-variable hypotheses in place of
       distinct variable restrictions. $)
    elrabf $p |- ( A e. { x e. B | ph } <-> ( A e. B /\ ps ) ) $=
      ( crab wcel cvv wa elex adantr cv cab df-rab eleq2i hbel hban wceq elabgf
      eleq1 anbi12d syl5bb pm5.21nii ) EACFKZLZEMLZEFLZBNZEUIOULUKBEFOPUJECQZFL
      ZANZCRZLUKUMUIUQEACFSTUPUMCDEMGULBCCDDEFGHUAIUBUNEUCUOULABUNEFUEJUFUDUGUH
      $.
      $( [11-Jul-2011] $) $( [21-Sep-2003] $)
  $}

  ${
    $d x ps $.  $d x y A $.  $d x y B $.
    elrab.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a restricted class abstraction, using implicit
       substitution. $)
    elrab $p |- ( A e. { x e. B | ph } <-> ( A e. B /\ ps ) ) $=
      ( vy cv wcel ax-17 elrabf ) ABCGDEGHZDICJLEICJBCJFK $.
      $( [21-May-1999] $)

    $( Membership in a restricted class abstraction, using implicit
       substitution. $)
    elrab3 $p |- ( A e. B -> ( A e. { x e. B | ph } <-> ps ) ) $=
      ( crab wcel elrab baib ) DACEGHDEHBABCDEFIJ $.
      $( [5-Oct-2006] $)
  $}

  ${
    $d x ps $.  $d x y A $.  $d x y B $.
    elrab2.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    elrab2.2 $e |- C = { x e. B | ph } $.
    $( Membership in a class abstraction, using implicit substitution. $)
    elrab2 $p |- ( A e. C <-> ( A e. B /\ ps ) ) $=
      ( wcel crab wa eleq2i elrab bitri ) DFIDACEJZIDEIBKFODHLABCDEGMN $.
      $( [2-Nov-2006] $)
  $}

  ${
    $d x y $.  $d ps y $.
    ralab.1 $e |- ( y = x -> ( ph <-> ps ) ) $.
    $( Universal quantification over a class abstraction.  (Contributed by Jeff
       Madsen, 10-Jun-2010.) $)
    ralab $p |- ( A. x e. { y | ph } ch <-> A. x ( ps -> ch ) ) $=
      ( cab wral cv wcel wi wal df-ral vex elab imbi1i albii bitri ) CDAEGZHDIZ
      SJZCKZDLBCKZDLCDSMUBUCDUABCABETDNFOPQR $.
      $( [20-Oct-2011] $) $( [10-Jun-2010] $)

    $d A x y $.  $d ph x $.
    $( Universal quantification over a restricted class abstraction.
       (Contributed by Jeff Madsen, 10-Jun-2010.) $)
    ralrab $p |- ( A. x e. { y e. A | ph } ch <-> A. x e. A ( ps -> ch ) ) $=
      ( cv wcel wa cab wral wi wal crab wceq eleq1 anbi12d ralab df-rab 3bitr4i
      raleqi df-ral impexp albii bitr4i ) CDEHZFIZAJZEKZLDHZFIZBJZCMZDNZCDAEFOZ
      LBCMZDFLZUIUMCDEUGUKPUHULABUGUKFQGRSCDUPUJAEFTUBURULUQMZDNUOUQDFUCUNUSDUL
      BCUDUEUFUA $.
      $( [20-Oct-2011] $) $( [10-Jun-2010] $)
  $}

  ${
    $d ps x $.  $d A x $.  $d x y $.
    rexab.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Existential quantification over a class abstraction.  (Contributed by
       Mario Carneiro, 23-Jan-2014.) $)
    rexab $p |- ( E. y e. { x | ph } ch <-> E. y ( ps /\ ch ) ) $=
      ( cab wrex cv wcel wa wex df-rex vex elab anbi1i exbii bitri ) CEADGZHEIZ
      SJZCKZELBCKZELCESMUBUCEUABCABDTENFOPQR $.
      $( [23-Jan-2014] $)
    $( Existential quantification over a class abstraction.  (Contributed by
       Jeff Madsen, 17-Jun-2011.) $)
    rexrab $p |- ( E. y e. { x e. A | ph } ch <-> E. y e. A ( ps /\ ch ) ) $=
      ( wa crab cv wcel elrab anbi1i anass bitri rexbii2 ) CBCHZEADFIZFEJZRKZCH
      SFKZBHZCHUAQHTUBCABDSFGLMUABCNOP $.
      $( [17-Jun-2011] $)
  $}

  ${
    $d x z $.  $d y z $.  $d ph z $.  $d ps z $.
    cbvab.1 $e |- ( ph -> A. y ph ) $.
    cbvab.2 $e |- ( ps -> A. x ps ) $.
    cbvab.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution.
       (Contributed by Andrew Salmon, 11-Jul-2011.) $)
    cbvab $p |- { x | ph } = { y | ps } $=
      ( vz cab cv wsbc wcel hbsb wceq wb equcoms bicomd sbie sbequ df-clab
      syl5bbr 3bitr4i eqriv ) HACIZBDIZACHJZKBDUFKZUFUDLUFUELAUGCHBDHCFMABDCJZK
      UHUFNUGBADCEDJUHNABABOCDGPQRBCHDSUARAHCTBHDTUBUC $.
      $( [11-Jul-2011] $) $( [10-Jul-2011] $)
  $}

  ${
    $d y ph $.  $d x ps $.
    cbvabv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables, using implicit substitution. $)
    cbvabv $p |- { x | ph } = { y | ps } $=
      ( ax-17 cbvab ) ABCDADFBCFEG $.
      $( [11-Jul-2011] $) $( [26-May-1999] $)
  $}

  ${
    $d A w z $.  $d y w $.  $d x w $.  $d ph w $.  $d ps w $.
    cbvrab.1 $e |- ( z e. A -> A. x z e. A ) $.
    cbvrab.2 $e |- ( z e. A -> A. y z e. A ) $.
    cbvrab.3 $e |- ( ph -> A. y ph ) $.
    cbvrab.4 $e |- ( ps -> A. x ps ) $.
    cbvrab.5 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule to change the bound variable in a restricted class abstraction,
       using implicit substitution.  This version has bound-variable hypotheses
       in place of distinct variable conditions.  (Contributed by Andrew
       Salmon, 11-Jul-2011.) $)
    cbvrab $p |- { x e. A | ph } = { y e. A | ps } $=
      ( vw cv wcel wa cab crab wsbc ax-17 hblem hbs1 hban eleq1 sbequ12 anbi12d
      wceq cbvab hbsb sbequ sbie syl6bb eqtri df-rab 3eqtr4i ) CMZFNZAOZCPZDMZF
      NZBOZDPZACFQBDFQURLMZFNZACVCRZOZLPVBUQVFCLUQLSVDVECCELFGTACLUAUBUOVCUFUPV
      DAVEUOVCFUCACLUDUEUGVFVALDVDVEDDELFHTACLDIUHUBVALSVCUSUFZVDUTVEBVCUSFUCVG
      VEACUSRBALDCUIABCDJKUJUKUEUGULACFUMBDFUMUN $.
      $( [11-Jul-2011] $) $( [26-Sep-2003] $)
  $}

  ${
    $d x y z A $.  $d y ph $.  $d x ps $.
    cbvrabv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule to change the bound variable in a restricted class abstraction,
       using implicit substitution. $)
    cbvrabv $p |- { x e. A | ph } = { y e. A | ps } $=
      ( vz cv wcel ax-17 cbvrab ) ABCDGEGHEIZCJLDJADJBCJFK $.
      $( [11-Jul-2011] $) $( [26-May-1999] $)
  $}

  ${
    $d w y A $.  $d w x z $.  $d x y $.  $d A z $.
    $( Identity used to create closed-form versions of bound-variable
       hypothesis builders for class expressions.  (Unnecessary distinct
       variable restrictions were removed by Andrew Salmon, 11-Jul-2011.) $)
    abidhb $p |- ( A. y ( y e. A -> A. x y e. A ) ->
                 { z | A. x z e. A } = A ) $=
      ( vw cv wcel wal wi cab wceq eleq1 albidv cbvabv hba1 impbid2 abbid abid2
      ax-4 3eqtr3g syl5eq ) BFZDGZUCAHZIZBHZCFZDGZAHZCJEFZDGZAHZEJZDUIULCEUGUJK
      UHUKAUGUJDLMNUFUDBJUCBJUMDUFUDUCBUEBOUFUDUCUCASUEBSPQUDULBEUBUJKUCUKAUBUJ
      DLMNBDRTUA $.
      $( [11-Jul-2011] $) $( [10-Nov-2005] $)
  $}

  ${
    $d y w A $.  $d z w B $.  $d y ph $.  $d z ph $.  $d w x y $.  $d x z $.
    hbeqd.1 $e |- ( ph -> A. x ph ) $.
    hbeqd.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hbeqd.3 $e |- ( ph -> ( z e. B -> A. x z e. B ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbeq . $)
    hbeqd $p |- ( ph -> ( A = B -> A. x A = B ) ) $=
      ( vw cv wcel wal cab wceq wi hba1 hbab alrimiv abidhb a1i eqeq12d 3imtr3d
      hbeq syl albid ) AJKZELZBMZJNZUGFLZBMZJNZOZUNBMZEFOZUPBMUNUOPABCDUJUMUIBJ
      CUHBQRULBJDUKBQRUDUAAUJEUMFACKELZUQBMPZCMUJEOAURCHSBCJETUEADKFLZUSBMPZDMU
      MFOAUTDISBDJFTUEUBZAUNUPBGVAUFUC $.
      $( [17-Feb-2013] $) $( [6-Dec-2005] $)
  $}

  ${
    $d y w A $.  $d z w B $.  $d y ph $.  $d z ph $.  $d w x y $.  $d x z $.
    hbned.1 $e |- ( ph -> A. x ph ) $.
    hbned.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hbned.3 $e |- ( ph -> ( z e. B -> A. x z e. B ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbne . $)
    hbned $p |- ( ph -> ( A =/= B -> A. x A =/= B ) ) $=
      ( wceq wn wal wne hbeqd hbnd df-ne albii 3imtr4g ) AEFJZKZTBLEFMZUABLASBG
      ABCDEFGHINOEFPZUATBUBQR $.
      $( [18-Mar-2013] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d y ph $.  $d x y z $.
    hbeld.1 $e |- ( ph -> A. x ph ) $.
    hbeld.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hbeld.3 $e |- ( ph -> ( y e. B -> A. x y e. B ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbel . $)
    hbeld $p |- ( ph -> ( A e. B -> A. x A e. B ) ) $=
      ( vz cv wcel wal cab wi hba1 hbab wceq alrimiv abidhb syl eleq12d 3imtr3d
      hbel a1i albid ) AIJZDKZBLZIMZUFEKZBLZIMZKZUMBLZDEKZUOBLUMUNNABCCUIULUHBI
      CUGBOPUKBICUJBOPUCUDAUIDULEACJZDKZUQBLNZCLUIDQAURCGRBCIDSTAUPEKZUSBLNZCLU
      LEQAUTCHRBCIESTUAZAUMUOBFVAUEUB $.
      $( [10-Nov-2005] $)
  $}

  ${
    $d x y z $.  $d y A $.  $d y z ph $.
    hbeleqd.1 $e |- ( ph -> A. x ph ) $.
    hbeleqd.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbeleq . $)
    hbeleqd $p |- ( ph -> ( y = A -> A. x y = A ) ) $=
      ( vz cv wcel a17d hbeqd ) ABGCCHZDEAGHLIBJFK $.
      $( [23-Feb-2013] $)
  $}

  ${
    $d y A $.  $d x z $.  $d x y $.  $d z A $.
    dedhb.1 $e |- ( A = { z | A. x z e. A } -> ( ph <-> ps ) ) $.
    dedhb.2 $e |- ps $.
    $( A deduction theorem for converting the inference
       ` |- ( y e. A -> A. x y e. A ) ` => ` |- ph ` into a closed theorem.
       Use ~ hba1 and ~ hbab to eliminate the hypothesis of the substitution
       instance ` ps ` of the inference.  For converting the inference form
       into a deduction form, ~ abidhb is useful. $)
    dedhb $p |- ( A. y ( y e. A -> A. x y e. A ) -> ph ) $=
      ( cv wcel wal wi cab wceq wb abidhb eqcomd syl mpbiri ) DIFJZTCKLDKZABHUA
      FEIFJCKEMZNABOUAUBFCDEFPQGRS $.
      $( [11-Jul-2011] $) $( [8-Dec-2006] $)
  $}

  ${
    $d y z A $.  $d x z $.  $d y z $.
    $( Closed theorem form of ~ vtoclgf . $)
    vtoclgft $p |- ( ( ( A. x A. y ( y e. A -> A. x y e. A )
                     /\ A. x ( ps -> A. x ps ) )
                  /\ ( A. x ( x = A -> ( ph <-> ps ) )
                     /\ A. x ph ) /\ A e. V ) -> ps ) $=
      ( vz wcel cv wal wi wa wceq wb cvv elex w3a wex elisset mpbid hba1 hblemd
      3ad2ant3 hba2 ax-4 19.21bi hbeleqd a1i cbvexd ad2antrr 3adant3 bi1 imim2i
      eqeq1 com23 imp alanimi 3ad2ant2 simp1r 19.23t syl mpd syl3an3 ) EFHDIEHZ
      VDCJKZDJZCJZBBCJKCJZLZCIZEMZABNZKZCJACJLZEOHZBEFPVIVNVOQZVKCRZBVPGIZEMZGR
      ZVQVOVIVTVNGEOSUCVIVNVTVQNZVOVGWAVHVNVGVSVKGCVFCUAZVGCGEWBVGCDGEWBVEDCUDV
      GVEDVFCUEUFUBUGVRVJMVSVKNKVGVRVJEUNUHUIUJUKTVPVKBKZCJZVQBKZVNVIWDVOVMAWCC
      VMAWCVMVKABVLABKVKABULUMUOUPUQURVPVHWDWENVGVHVNVOUSVKBCUTVATVBVC $.
      $( [17-Feb-2013] $)
  $}

  ${
    $d y ph $.  $d x y ps $.  $d x y A $.
    eqeu.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A condition which implies existential uniqueness.  (Contributed by Jeff
       Hankins, 8-Sep-2009.) $)
    eqeu $p |- ( ( A e. B /\ ps /\ A. x ( ph -> x = A ) ) -> E! x ph ) $=
      ( vy wcel cv wceq wi wal w3a wex weu cla4egv imp 3adant3 eqeq2 imbi2d eu3
      albidv 3adant2 ax-17 sylanbrc ) DEHZBACIZDJZKZCLZMACNZAUGGIZJZKZCLZGNZACO
      UFBUKUJUFBUKABCDEFPQRUFUJUPBUFUJUPUOUJGDEULDJZUNUICUQUMUHAULDUGSTUBPQUCAC
      GAGUDUAUE $.
      $( [8-Sep-2009] $)
  $}

  ${
    $d x y A $.
    $( Equality has existential uniqueness. $)
    eueq $p |- ( A e. _V <-> E! x x = A ) $=
      ( vy cv wceq wex wa wi wal cvv wcel weu eqtr3 biantru isset eqeq1 3bitr4i
      gen2 eu4 ) ADZBEZAFZUBUACDZBEZGTUCEHZCIAIZGBJKUAALUFUBUEACTUCBMRNABOUAUDA
      CTUCBPSQ $.
      $( [25-Nov-1994] $)
  $}

  ${
    $d x A $.
    eueq1.1 $e |- A e. _V $.
    $( Equality has existential uniqueness. $)
    eueq1 $p |- E! x x = A $=
      ( cvv wcel cv wceq weu eueq mpbi ) BDEAFBGAHCABIJ $.
      $( [5-Apr-1995] $)
  $}

  ${
    $d x ph $.  $d x A $.  $d x B $.
    eueq2.1 $e |- A e. _V $.
    eueq2.2 $e |- B e. _V $.
    $( Equality has existential uniqueness (split into 2 cases). $)
    eueq2 $p |- E! x ( ( ph /\ x = A ) \/ ( -. ph /\ x = B ) ) $=
      ( cv wceq wa wn weu eueq1 euanv biimpri mpan2 euorv bianfd eubidv mpbid
      wo notnot1 syl2anc orcom orbi2d syl5bb mpdan id orbi1d pm2.61i ) AABGZCHZ
      IZAJZUJDHZIZTZBKZAUMULTZBKZUQAUMJULBKZUSAUAZAUKBKZUTBCELUTAVBIAUKBMNOUMUL
      BPUBAURUPBURULUMTAUPUMULUCAUMUOULAUMUNVAQUDUERSUMAUOTZBKZUQUMUOBKZVDUMUNB
      KZVEBDFLVEUMVFIUMUNBMNOAUOBPUFUMVCUPBUMAULUOUMAUKUMUGQUHRSUI $.
      $( [5-Apr-1995] $)
  $}

  ${
    $d x ph $.  $d x ps $.  $d x A $.  $d x B $.  $d x C $.
    eueq3.1 $e |- A e. _V $.
    eueq3.2 $e |- B e. _V $.
    eueq3.3 $e |- C e. _V $.
    eueq3.4 $e |- -. ( ph /\ ps ) $.
    $( Equality has existential uniqueness (split into 3 cases). $)
    eueq3 $p |- E! x ( ( ph /\ x = A ) \/ ( -. ( ph \/ ps ) /\ x = B )
                \/ ( ps /\ x = C ) ) $=
      ( wceq wa wo wn weu con2i eueq1 euanv biimpri bianfd cv pm2.45 imnan jaoi
      w3o wi mpbir mpan2 euorv syl2anc notnot1 orcs orbi12d orbi2d orcom 3orass
      3bitr4g eubidv mpbid pm2.46 olcs orbi1d df-3or syl6bbr mpdan syl6bb orass
      ecase3 ) ABACUAZDKZLZABMZNZVIEKZLZBVIFKZLZUEZCOZAVMBMZVKMZCOZVSAVTNVKCOZW
      BVTAVMANBABUBZABABNZUFABLNJABUCUGZPZUDPAVJCOZWCCDGQWCAWHLAVJCRSUHVTVKCUIU
      JAWAVRCAVKVTMVKVOVQMZMZWAVRAVTWIVKAVMVOBVQAVMVNABVMNZVLUKZULTABVPWFTUMUNV
      TVKUOVKVOVQUPZUQURUSBAVMMZVQMZCOZVSBWNNVQCOZWPWNBAWEVMWFABUTZUDPBVPCOZWQC
      FIQWQBWSLBVPCRSUHWNVQCUIUJBWOVRCBWOVKVOMZVQMVRBWNWTVQBAVKVMVOBAVJWGTBVMVN
      ABWKWLVATUMVBVKVOVQVCVDURUSVMVLVOMZCOZVSVMVOCOZXBVMVNCOZXCCEHQXCVMXDLVMVN
      CRSUHVLVOCUIVEVMXAVRCVMABVOMZMWJXAVRVMAVKXEWIVMAVJWDTVMXEVQVOMWIVMBVQVOVM
      BVPWRTVBVQVOUOVFUMABVOVGWMUQURUSVH $.
      $( [5-Apr-1995] $)
  $}

  ${
    $d x A $.
    $( There is at most one set equal to a class. $)
    moeq $p |- E* x x = A $=
      ( cv wceq wmo wex weu wi cvv wcel isset eueq bitr3i biimpi df-mo mpbir )
      ACBDZAEQAFZQAGZHRSRBIJSABKABLMNQAOP $.
      $( [8-Mar-1995] $)
  $}

  ${
    $d x y ph $.  $d x y ps $.  $d x y A $.  $d x y B $.  $d x y C $.
    moeq3.1 $e |- B e. _V $.
    moeq3.2 $e |- C e. _V $.
    moeq3.3 $e |- -. ( ph /\ ps ) $.
    $( "At most one" property of equality (split into 3 cases).  (The first 2
       hypotheses could be eliminated with longer proof.) $)
    moeq3 $p |- E* x ( ( ph /\ x = A ) \/ ( -. ( ph \/ ps ) /\ x = B )
                \/ ( ps /\ x = C ) ) $=
      ( vy cvv wcel cv wceq wa wo wn w3o weu biidd eqeq2 anbi2d 3orbi123d eueq3
      wmo eubidv vex vtoclg eumo syl wi eleq1 mpbii pm2.21 anim2d orim1d 3orass
      wal syl5 3imtr4g alrimiv euimmo mpi pm2.61i ) DKLZACMZDNZOZABPQVFENOZBVFF
      NOZRZCUEZVEVKCSZVLAVFJMZNZOZVIVJRZCSZVMJDKVNDNZVQVKCVSVPVHVIVIVJVJVSVOVGA
      VNDVFUAUBVSVITVSVJTUCUFABCVNEFJUGGHIUDZUHVKCUIUJVEQZVRVLVTWAVKVQUKZCURVRV
      LUKWAWBCWAVHVIVJPZPVPWCPVKVQWAVHVPWCWAVGVOAVGVEWAVOVGVFKLVECUGVFDKULUMVEV
      OUNUSUOUPVHVIVJUQVPVIVJUQUTVAVKVQCVBUJVCVD $.
      $( [23-Apr-1995] $)
  $}

  ${
    $d x y A $.
    mosub.1 $e |- E* x ph $.
    $( "At most one" remains true after substitution. $)
    mosub $p |- E* x E. y ( y = A /\ ph ) $=
      ( cv wceq wmo wal wa wex moeq ax-gen moexexv mp2an ) CFDGZCHABHZCIPAJCKBH
      CDLQCEMPACBNO $.
      $( [9-Mar-1995] $)
  $}

  ${
    $d x y A $.  $d y ph $.
    $( Theorem for inferring "at most one." $)
    mo2icl $p |- ( A. x ( ph -> x = A ) -> E* x ph ) $=
      ( vy cvv wcel cv wceq wi wal wmo eqeq2 imbi2d albidv imbi1d wex 19.8a mo2
      ax-17 wn sylibr vtoclg eleq1 mpbii imim2i con3rr3 alimdv alnex exmo sylbi
      vex ori syl6 pm2.61i ) CEFZABGZCHZIZBJZABKZIZAUPDGZHZIZBJZUTIVADCEVBCHZVE
      USUTVFVDURBVFVCUQAVBCUPLMNOVEVEDPUTVEDQABDADSRUAUBUOTZUSATZBJZUTVGURVHBUR
      AUOUQUOAUQUPEFUOBUKUPCEUCUDUEUFUGVIABPZTUTABUHVJUTABUIULUJUMUN $.
      $( [17-Oct-1996] $)
  $}

  ${
    $d x y A $.  $d y ph $.  $d x y ps $.
    moi2.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Consequence of "at most one." $)
    mob2 $p |- ( ( A e. B /\ E* x ph /\ ph ) -> ( x = A <-> ps ) ) $=
      ( vy wcel wmo w3a cv wceq simp3 syl5ibcom wi wa wsbc wal hbs1 sbequ12 imp
      mo4f ax-4 sylbi ax-17 sbhypf anbi2d eqeq2 cla4gv syl5 exp3a 3impia impbid
      imbi12d ) DEHZACIZAJZCKZDLZBUQAUSBUOUPAMFNUOUPABUSOUOUPPABUSUOUPABPZUSOZU
      PAACGKZQZPZURVBLZOZGRZUOVAUPVGCRVGAVCCGACGSACGTUBVGCUCUDVFVAGDEVBDLZVDUTV
      EUSVHVCBAABCGDBCUEFUFUGVBDURUHUNUIUJUAUKULUM $.
      $( [2-Jan-2015] $)

    $( Consequence of "at most one." $)
    moi2 $p |- ( ( ( A e. B /\ E* x ph ) /\ ( ph /\ ps ) ) -> x = A ) $=
      ( wcel wmo wa cv wceq wb mob2 3expa biimprd impr ) DEGZACHZIZABCJDKZSAITB
      QRATBLABCDEFMNOP $.
      $( [29-Jun-2008] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ch $.  $d y ph $.  $d x y ps $.
    moi.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    moi.2 $e |- ( x = B -> ( ph <-> ch ) ) $.
    $( Equality implied by "at most one." $)
    mob $p |- ( ( ( A e. C /\ B e. D ) /\ E* x ph /\ ps ) ->
                ( A = B <-> ch ) ) $=
      ( vy wcel wa wceq wb wi cvv w3a cv ax-17 wmo elex hbmo1 hb3an hbim bibi1d
      3anbi3d eqeq1 imbi12d mob2 vtoclgf com12 3expib syl com3r imp 3impib ) EG
      LZFHLZMADUAZBEFNZCOZURUSUTBMZVBPUSVCURVBUSFQLZVCURVBPZPFHUBVDUTBVEURVDUTB
      RZVBVDUTARZDSZFNZCOZPVFVBPDKEGKSELDTVFVBDVDUTBDVDDTADUCBDTUDVBDTUEVHENZVG
      VFVJVBVKABVDUTIUGVKVIVACVHEFUHUFUIACDFQJUJUKULUMUNUOUPUQ $.
      $( [18-Feb-2006] $)

    $( Equality implied by "at most one." $)
    moi $p |- ( ( ( A e. C /\ B e. D ) /\ E* x ph /\ ( ps /\ ch ) ) ->
              A = B ) $=
      ( wcel wa wmo wceq wi w3a mob biimprd 3expia imp3a 3impia ) EGKFHKLZADMZB
      CLEFNZUBUCLBCUDUBUCBCUDOUBUCBPUDCABCDEFGHIJQRSTUA $.
      $( [18-Feb-2006] $)
  $}

  ${
    $d B x y $.  $d A x y $.  $d ph y $.  $d ps x y $.
    morex.1 $e |- B e. _V $.
    morex.2 $e |- ( x = B -> ( ph <-> ps ) ) $.
    $( Derive membership from uniqueness.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    morex $p |- ( ( E. x e. A ph /\ E* x ph ) -> ( ps -> B e. A ) ) $=
      ( wmo wrex wcel wi cv wa wex df-rex exancom bitri wal hbmo1 hbe1 hban syl
      mopick alrimi wceq eleq1 imbi12d cla4v sylan2b ancoms ) ACHZACDIZBEDJZKZU
      LUKACLZDJZMZCNZUNULUPAMCNURACDOUPACPQUKURMZAUPKZCRUNUSUTCUKURCACSUQCTUAAU
      PCUCUDUTUNCEFUOEUEABUPUMGUOEDUFUGUHUBUIUJ $.
      $( [2-Sep-2009] $)
  $}

  ${
    $d x ph $.  $d x A $.
    euxfr2.1 $e |- A e. _V $.
    euxfr2.2 $e |- E* y x = A $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` . $)
    euxfr2 $p |- ( E! x E. y ( x = A /\ ph ) <-> E! y ph ) $=
      ( cv wceq wa wex weu wmo wi 2euswap moani ancom mobii mpbi mpg moeq biidd
      impbii ceqsexv eubii bitri ) BGDHZAIZCJBKZUGBJZCKZACKUHUJUGCLZUHUJMBUGBCN
      AUFIZCLUKUFACFOULUGCAUFPZQRSUGBLZUJUHMCUGCBNULBLUNUFABBDTOULUGBUMQRSUBUIA
      CAABDEUFAUAUCUDUE $.
      $( [14-Nov-2004] $)
  $}

  ${
    $d x ps $.  $d y ph $.  $d x A $.
    euxfr.1 $e |- A e. _V $.
    euxfr.2 $e |- E! y x = A $.
    euxfr.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` . $)
    euxfr $p |- ( E! x ph <-> E! y ps ) $=
      ( weu cv wceq wa wex euex ax-mp biantrur 19.41v pm5.32i exbii 3bitr2i
      eubii eumoi euxfr2 bitri ) ACICJEKZBLZDMZCIBDIAUGCAUEDMZALUEALZDMUGUHAUED
      IUHGUEDNOPUEADQUIUFDUEABHRSTUABCDEFUEDGUBUCUD $.
      $( [14-Nov-2004] $)
  $}

  ${
    $d y z w ph $.  $d x z ps $.  $d y z w A $.  $d x z B $.  $d x y w $.
    euind.1 $e |- B e. _V $.
    euind.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    euind.3 $e |- ( x = y -> A = B ) $.
    $( Existential uniqueness via an indirect equality. $)
    euind $p |- ( ( A. x A. y ( ( ph /\ ps ) -> A = B ) /\ E. x ph )
                 -> E! z A. x ( ph -> z = A ) ) $=
      ( vw wa wceq wi wal wex cv exbii imim2i impexp weu cbvexv isseti biantrur
      19.41v excom bitr3i 3bitri eqeq2 bi2 an31 imbi1i 3bitr3i sylib syl 2alimi
      wb 19.23v albii 19.21v bitri eximdv syl5bi pm4.24 biimpi prth eqtr3 syl56
      imp alanimi com12 syl5 alrimivv adantl eqeq1 imbi2d albidv eu4 sylanbrc )
      ABLZFGMZNZDOCOZACPZLAEQZFMZNZCOZEPZWHAKQZFMZNZCOZLZWEWJMZNZKOEOZWHEUAWCWD
      WIWDWEGMZBLZDPZEPZWCWIWDBDPWREPZBLZDPZXAABCDIUBBXCDXBBEGHUCUDRXDWSEPZDPXA
      XEXCDWRBEUERWSDEUFUGUHWCWTWHEWCWSWGNZDOZCOZWTWHNZWBXFCDWBVTWFWRUQZNZXFWAX
      JVTFGWEUISXKVTWRWFNZNZXFXJXLVTWFWRUJSVTWRLZWFNWSALZWFNXMXFXNXOWFABWRUKULV
      TWRWFTWSAWFTUMUNUOUPXHWTWGNZCOXIXGXPCWSWGDURUSWTWGCUTVAUNVBVCVIWDWQWCWDWP
      EKWNAWONZCOZWDWOWGWLXQCAAALZWGWLLWFWKLWOAXSAVDVEAWFAWKVFWEWJFVGVHVJXRWDWO
      XRWDWONAWOCURVEVKVLVMVNWHWMEKWOWGWLCWOWFWKAWEWJFVOVPVQVRVS $.
      $( [11-Oct-2010] $)
  $}

  $( Restricted unique existence implies restricted existence. $)
  reurex $p |- ( E! x e. A ph -> E. x e. A ph ) $=
    ( cv wcel wa weu wex wreu wrex euex df-reu df-rex 3imtr4i ) BDCEAFZBGOBHABC
    IABCJOBKABCLABCMN $.
    $( [19-Aug-1999] $)

  $( Restricted uniqueness in terms of "at most one." $)
  reu5 $p |- ( E! x e. A ph <-> ( E. x e. A ph /\ E* x ( x e. A /\ ph ) ) ) $=
    ( cv wcel wa weu wex wmo wreu wrex eu5 df-reu df-rex anbi1i 3bitr4i ) BDCEA
    FZBGQBHZQBIZFABCJABCKZSFQBLABCMTRSABCNOP $.
    $( [23-May-1999] $)

  ${
    $d x y A $.  $d y ph $.
    $( A way to express restricted uniqueness. $)
    reu2 $p |- ( E! x e. A ph <-> ( E. x e. A ph /\
               A. x e. A A. y e. A ( ( ph /\ [ y / x ] ph ) -> x = y ) ) ) $=
      ( cv wcel wa weu wex wsbc wceq wi wal wreu wral ax-17 df-ral impexp albii
      3bitr4i wrex eu2 df-reu df-rex 19.21v hbs1 hban eleq1 sbequ12 sbie anbi2i
      anbi12d an4 bitri imbi1i 3bitri imbi2i bitr4i anbi12i ) BEZDFZAGZBHVBBIZV
      BVBBCEZJZGZUTVDKZLZCMZBMZGABDNABDUAZAABVDJZGZVGLZCDOZBDOZGVBBCVBCPUBABDUC
      VKVCVPVJABDUDVPVAVOLZBMVJVOBDQVIVQBVAVDDFZVNLZLZCMVAVSCMZLVIVQVAVSCUEVHVT
      CVHVAVRGZVMGZVGLWBVNLVTVFWCVGVFVBVRVLGZGWCVEWDVBVBWDBCVRVLBVRBPABCUFUGVGV
      AVRAVLUTVDDUHABCUIULUJUKVAAVRVLUMUNUOWBVMVGRVAVRVNRUPSVOWAVAVNCDQUQTSURUS
      T $.
      $( [22-Nov-1994] $)

    $( A way to express restricted uniqueness. $)
    reu6 $p |- ( E! x e. A ph <-> E. y e. A A. x e. A ( ph <-> x = y ) ) $=
      ( wreu cv wcel wa wceq wb wal wex wi bi1 bi2 adantr impbid ex imim2i imp
      weu wral wrex df-reu df-eu 19.28v wsbc eleq1 sbequ12 anbi12d bibi12d eqid
      eqeq1 tbt simpl sylbir syl6bi a4imv expdimp simpr syl6 a4s jca a5i adantl
      imp3a eleq1a com23 adantll jcai alimi impbii df-ral anbi2i 3bitr4i df-rex
      exbii bitr4i 3bitri ) ABDEBFZDGZAHZBUAWBVTCFZIZJZBKZCLZAWDJZBDUBZCDUCZABD
      UDWBBCUEWGWCDGZWIHZCLWJWFWLCWKWAWHMZHZBKZWKWMBKZHWFWLWKWMBUFWFWOWEWNBWFWK
      WMWEWKBCWDWEWKABWCUGZHZWCWCIZJZWKWDWBWRWDWSWDWAWKAWQVTWCDUHABCUIUJVTWCWCU
      MUKWTWRWKWSWRWCULUNWKWQUOUPUQURWEWMBWEWAWHWEWAHAWDWEWAAWDWBWDNUSWEWDAMZWA
      WEWDWBAWBWDOWAAUTVAPQRVBVCVDWNWEBWNWBWDWMWBWDMWKWMWAAWDWHAWDMWAAWDNSVFVEW
      NWDWBWNWDHWAAWNWDWAWKWDWAMWMWCDVTVGPTWMWDWAAMZWKWMWDXBWMWAWDAWHXAWAAWDOSV
      HTVIVJRQVKVLWIWPWKWHBDVMVNVOVQWICDVPVRVS $.
      $( [20-Oct-2006] $)

    $( A way to express restricted uniqueness. $)
    reu3 $p |- ( E! x e. A ph <->
               ( E. x e. A ph /\ E. y e. A A. x e. A ( ph -> x = y ) ) ) $=
      ( wreu wrex cv wceq wi wral wa reurex wb reu6 bi1 ralimi reximi sylbi wex
      wal jca rexex anim2i wcel weu ax-17 eu3 df-reu df-rex df-ral impexp albii
      bitr4i exbii anbi12i 3bitr4i sylibr impbii ) ABDEZABDFZABGZCGHZIZBDJZCDFZ
      KZUSUTVEABDLUSAVBMZBDJZCDFVEABCDNVHVDCDVGVCBDAVBOPQRUAVFUTVDCSZKZUSVEVIUT
      VDCDUBUCVADUDZAKZBUEVLBSZVLVBIZBTZCSZKUSVJVLBCVLCUFUGABDUHUTVMVIVPABDUIVD
      VOCVDVKVCIZBTVOVCBDUJVNVQBVKAVBUKULUMUNUOUPUQUR $.
      $( [24-Oct-2006] $)
  $}

  ${
    $d x y z A $.  $d y z ph $.  $d x z ps $.
    rmo4.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Restricted "at most one" using implicit substitution. $)
    rmo4 $p |- ( E* x ( x e. A /\ ph ) <->
               A. x e. A A. y e. A ( ( ph /\ ps ) -> x = y ) ) $=
      ( cv wcel wa wceq wi wal wral wmo an4 ancom anbi1i impexp albii df-ral
      bitri imbi1i 3bitri r19.21v 3bitr2i eleq1 anbi12d mo4 3bitr4i ) CGZEHZAIZ
      DGZEHZBIZIZUJUMJZKZDLZCLUKABIZUQKZDEMZKZCLULCNVBCEMUSVCCUSUNUKVAKZKZDLVDD
      EMVCURVEDURUNUKIZUTIZUQKVFVAKVEUPVGUQUPUKUNIZUTIVGUKAUNBOVHVFUTUKUNPQUAUB
      VFUTUQRUNUKVARUCSVDDETUKVADEUDUESULUOCDUQUKUNABUJUMEUFFUGUHVBCETUI $.
      $( [24-Oct-2006] $)

    $( Restricted uniqueness using implicit substitution. $)
    reu4 $p |- ( E! x e. A ph <-> ( E. x e. A ph /\
             A. x e. A A. y e. A ( ( ph /\ ps ) -> x = y ) ) ) $=
      ( wreu wrex cv wcel wa wmo wceq wi wral reu5 rmo4 anbi2i bitri ) ACEGACEH
      ZCIZEJAKCLZKTABKUADIMNDEOCEOZKACEPUBUCTABCDEFQRS $.
      $( [23-Nov-1994] $)

    $( Restricted uniqueness using implicit substitution. $)
    reu7 $p |- ( E! x e. A ph <-> ( E. x e. A ph /\
             E. x e. A A. y e. A ( ps -> x = y ) ) ) $=
      ( vz wreu wrex cv wceq wi wral wa reu3 eqeq1 eqcom syl6bb imbi12d bitri
      cbvralv rexbii imbi2d ralbidv cbvrexv anbi2i ) ACEHACEIZACJZGJZKZLZCEMZGE
      IZNUGBUHDJZKZLZDEMZCEIZNACGEOUMURUGUMBUIUNKZLZDEMZGEIURULVAGEUKUTCDEUOABU
      JUSFUOUJUNUIKUSUHUNUIPUNUIQRSUAUBVAUQGCEUIUHKZUTUPDEVBUSUOBUIUHUNPUCUDUET
      UFT $.
      $( [24-Oct-2006] $)

    $( Restricted uniqueness using implicit substitution. $)
    reu8 $p |- ( E! x e. A ph <-> E. x e. A ( ph /\
                A. y e. A ( ps -> x = y ) ) ) $=
      ( wreu cv wceq wb wral wrex wi wa cbvreuv reu6 wcel ralbii wal syl5bb a1i
      dfbi2 ancom eqcom imbi2i biimt df-ral bi2.04 albii imbi12d bicomd ceqsalv
      vex eleq1 eqcoms 3bitrri syl6bb anbi12d r19.26 syl6rbbr rexbiia 3bitri )
      ACEGBDEGBDHZCHZIZJZDEKZCELABVDVCIZMZDEKZNZCELABCDEFOBDCEPVGVKCEVGBVEMZVEB
      MZNZDEKZVDEQZVKVFVNDEBVEUBRVPVKVLDEKZVMDEKZNZVOVKVJANVPVSAVJUCVPVJVQAVRVJ
      VQJVPVIVLDEVHVEBVDVCUDUERUAVPAVPAMZVRVPAUFVRVCEQZVMMZDSVEWABMZMZDSVTVMDEU
      GWBWDDWAVEBUHUIWCVTDVDCUMWCVTJVDVCVHVTWCVHVPWAABVDVCEUNFUJUKUOULUPUQURTVL
      VMDEUSUTTVAVB $.
      $( [24-Oct-2006] $)
  $}

  ${
    $d x y A $.
    $( A condition allowing swap of uniqueness and existential quantifiers. $)
    2reuswap $p |- ( A. x e. A E* y ( y e. A /\ ph ) ->
                   ( E! x e. A E. y e. A ph -> E! y e. A E. x e. A ph ) ) $=
      ( cv wcel wa wmo wral wal wrex wreu wi wex weu df-reu r19.42v eubii bitri
      df-rex df-ral moanimv albii bitr4i 2euswap exbii 3bitr3i bitr3i 3imtr4g
      an12 sylbi ) CEDFZAGZCHZBDIZBEDFZUMGZCHZBJZACDKZBDLZABDKZCDLZMUOUPUNMZBJU
      SUNBDUAURVDBUPUMCUBUCUDUSUQCNZBOZUQBNZCOZVAVCUQBCUEVAUPUTGZBOVFUTBDPVIVEB
      UPAGZCDKULVJGZCNVIVEVJCDTUPACDQVKUQCULUPAUJUFUGRSVCULVBGZCOVHVBCDPVLVGCVL
      UMBDKVGULABDQUMBDTUHRSUIUK $.
      $( [14-Nov-2004] $)
  $}

  ${
    $d w y z A $.  $d x z B $.  $d w x y z C $.  $d w y z ph $.  $d x z ps $.
    reuind.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    reuind.2 $e |- ( x = y -> A = B ) $.
    $( Existential uniqueness via an indirect equality. $)
    reuind $p |- ( ( A. x A. y ( ( ( A e. C /\ ph ) /\ ( B e. C /\ ps ) )
         -> A = B ) /\ E. x ( A e. C /\ ph ) )
                 -> E! z e. C A. x ( ( A e. C /\ ph ) -> z = A ) ) $=
      ( vw wcel wa wceq wi wal wex cv wrex exbii wral wreu eleq1d cbvexv risset
      anbi12d anbi1i rexcom4 r19.41v bitr2i 3bitri eqeq2 imim2i bi2 an31 imbi1i
      wb impexp 3bitr3i sylib syl 2alimi 19.23v an12 eleq1 adantr bitr4i 19.42v
      pm5.32ri bitri albii 19.21v exp3a reximdvai syl5bi imp pm4.24 biimpi prth
      eqtr3 syl56 alanimi com12 syl5 a1d ralrimivv adantl eqeq1 imbi2d sylanbrc
      albidv reu4 ) FHLZAMZGHLZBMZMZFGNZOZDPCPZWNCQZMWNERZFNZOZCPZEHSZXEWNKRZFN
      ZOZCPZMZXBXGNZOZKHUAEHUAZXEEHUBWTXAXFXAXBGNZBMZDQZEHSZWTXFXAWPDQXOEHSZBMZ
      DQZXRWNWPCDCRDRNZWMWOABYBFGHJUCIUFUDWPXTDWOXSBEGHUEUGTXRXPEHSZDQYAXPEDHUH
      YCXTDXOBEHUITUJUKWTXQXEEHWTXBHLZXQXEWTXOWPMZXDOZDPZCPZYDXQMZXEOZWSYFCDWSW
      QXCXOUQZOZYFWRYKWQFGXBULUMYLWQXOXCOZOZYFYKYMWQXCXOUNUMWQXOMZXCOYEWNMZXCOY
      NYFYOYPXCWNWPXOUOUPWQXOXCURYEWNXCURUSUTVAVBYHYIXDOZCPYJYGYQCYGYEDQZXDOYQY
      EXDDVCYRYIXDYRYDXPMZDQYIYEYSDYEWOXPMYSXOWOBVDXPYDWOXOYDWOUQBXBGHVEVFVIVGT
      YDXPDVHVJUPVJVKYIXDCVLVJUTVMVNVOVPXAXNWTXAXMEKHHXAXMYDXGHLMXKWNXLOZCPZXAX
      LXDXIYTCWNWNWNMZXDXIMXCXHMXLWNUUBWNVQVRWNXCWNXHVSXBXGFVTWAWBUUAXAXLUUAXAX
      LOWNXLCVCVRWCWDWEWFWGXEXJEKHXLXDXICXLXCXHWNXBXGFWHWIWKWLWJ $.
      $( [16-Oct-2010] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                    Russell's Paradox
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( Russell's Paradox.  Proposition 4.14 of [TakeutiZaring] p. 14.

       In the late 1800s, Frege's Axiom of (unrestricted) Comprehension,
       expressed in our notation as ` A e. _V ` , asserted that any collection
       of sets ` A ` is a set i.e. belongs to the universe ` _V ` of all sets.
       In particular, by substituting ` { x | x e/ x } ` (the "Russell class")
       for ` A ` , it asserted ` { x | x e/ x } e. _V ` , meaning that the
       "collection of all sets which are not members of themselves" is a set.
       However, here we prove ` { x | x e/ x } e/ _V ` .  This contradiction
       was discovered by Russell in 1901 (published in 1903), invalidating the
       Comprehension Axiom and leading to the collapse of Frege's system.

       Russell developed a system that avoids the paradox with his "theory of
       types."  Quine extended Russell's ideas to formulate his New Foundations
       set theory, which we formalize below.  Thus in a very real sense
       Russell's Paradox spawned the invention of NF set theory and completely
       revised the foundations of mathematics! $)
    ru $p |- { x | x e/ x } e/ _V $=
      ( vy cv wnel cab cvv wcel wn wceq wex wb wal pm5.19 df-nel eleq12d notbid
      eleq1 id syl5bb mtbir bibi12d a4v mto abeq2 nex isset mpbir ) ACZUHDZAEZF
      DUJFGZHUKBCZUJIZBJUMBUMUHULGZUIKZALZUPULULGZUQHZKZUQMUOUSABUHULIZUNUQUIUR
      UHULULQUIUHUHGZHUTURUHUHNUTVAUQUTUHULUHULUTRZVBOPSUAUBUCUIAULUDTUEBUJUFTU
      JFNUG $.
      $( [4-Oct-2008] $) $( [7-Aug-1994] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Proper substitution of classes for sets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( --- Start of old code before overloading prevention patch. $)
  $(
  @( Extend wff notation to include the proper substitution of a class for a
     set.  This definition "overloads" the previously defined variable
     substitution ~ wsb (where the first argument is a set variable rather
     than a class variable).  We take care to ensure that this new definition
     is a conservative extension.  Read this notation as "the proper
     substitution of class ` A ` for set variable ` x ` in wff ` ph ` ." @)
  wsbc @a wff [ A / x ] ph @.
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( Define the proper substitution of a class for a set.

     When ` A ` is a proper class, our definition evaluates to false.  This is
     somewhat arbitrary: we could have, instead, chosen the conclusion of
     ~ sbc6 for our definition, which always evaluates to true for proper
     classes.

     Our definition also does not produce the same results as discussed in the
     proof of Theorem 6.6 of [Quine] p. 42 (although Theorem 6.6 itself does
     hold, as shown by ~ dfsbcq below).  For example, if ` A ` is a proper
     class, Quine's substitution of ` A ` for ` y ` in ` B e. y ` evaluates to
     ` B e. A ` rather than our falsehood.  (This can be seen by substituting
     ` A ` , ` y ` , and ` B ` for for alpha, beta, and gamma in Subcase 1 of
     Quine's discussion on p. 42.)  Unfortunately, Quine's definition requires
     a recursive structural breakdown of ` ph ` , and it does not seem possible
     to express it with a single closed formula.

     In order to allow for a possible alternate but conflicting definition in
     the future, we will not commit to any specific proper class behavior.
     Instead, we will use this definition _only_ to prove theorem ~ dfsbcq ,
     which holds for both our definition and Quine's, and from which we can
     derive a weaker version of ~ df-sbc in the form of ~ sbc8g .

     The theorem ~ sbc2or shows the apparently "strongest" statement we can
     make regarding behavior at proper classes if we start from ~ dfsbcq .

     Note: this definition extends or "overloads" ~ df-sb which (via
     ~ df-clab ) becomes a special case of it, so a careful metalogical
     soundness justification, outside of Metamath, is needed for complete
     rigor; alternately, we could treat this definition as a new axiom.  We
     also could have used a different symbol to avoid metalogical
     justification, but this would require reproving a lot of uses of ~ df-sb .

     The related definition ~ df-csb defines proper substitution into a class
     variable (as opposed to a wff variable). $)
  df-sbc $a |- ( [ A / x ] ph <-> A e. { x | ph } ) $.

  $( This theorem, which is similar to Theorem 6.7 of [Quine] p. 42 and holds
     under both our definition and Quine's, provides us with a weak definition
     of the proper substitution of a class for a set, which we will use in
     place of ~ df-sbc above.  We will derive all our results from starting
     from here instead of ~ df-sbc .  As a consequence, we can derive ~ sbc8g ,
     which is a weaker version of ~ df-sbc that leaves substitution undefined
     when ` A ` is a proper class.  We thus leave unspecified the "official"
     behavior for proper classes.

     While in principle we could have made this theorem the official
     definition, we use ~ df-sbc because it is more obviously eliminable and
     thus easier to justify metalogically.  But to avoid conflict with Quine,
     we never use ~ df-sbc except indirectly via this theorem. $)
  dfsbcq $p |- ( A = B -> ( [ A / x ] ph <-> [ B / x ] ph ) ) $=
    ( wceq cab wcel wsbc eleq1 df-sbc 3bitr4g ) CDECABFZGDLGABCHABDHCDLIABCJABD
    JK $.
    $( [14-Apr-1995] $)

  $( Equality theorem for class substitution. $)
  sbceq1a $p |- ( x = A -> ( ph <-> [ A / x ] ph ) ) $=
    ( cv wsbc wceq sbid dfsbcq syl5bbr ) AABBDZEJCFABCEABGABJCHI $.
    $( [26-Sep-2003] $)

  ${
    $d ph y $.  $d A y $.  $d x y $.
    $( Specialization: if a formula is true for all sets, it is true for any
       class which is a set.  Similar to Theorem 6.11 of [Quine] p. 44.  See
       also ~ stdpc4 and ~ ra4sbc . $)
    a4sbc $p |- ( A e. V -> ( A. x ph -> [ A / x ] ph ) ) $=
      ( vy wal wsbc wi cv wceq stdpc4 dfsbcq syl5ib vtocleg ) ABFZABCGZHECDOABE
      IZGQCJPABEKABQCLMN $.
      $( [16-Jan-2004] $)
  $}

  ${
    sbcth.1 $e |- ph $.
    $( A substitution into a theorem remains true (when ` A ` is a set). $)
    sbcth $p |- ( A e. V -> [ A / x ] ph ) $=
      ( wcel wal wsbc ax-gen a4sbc mpi ) CDFABGABCHABEIABCDJK $.
      $( [5-Nov-2005] $)
  $}

  ${
    $d x ph $.
    sbcthdv.1 $e |- ( ph -> ps ) $.
    $( Deduction version of ~ sbcth .  (The proof was shortened by Andrew
       Salmon, 8-Jun-2011.) $)
    sbcthdv $p |- ( ( ph /\ A e. V ) -> [ A / x ] ps ) $=
      ( wal wcel wsbc alrimiv a4sbc mpan9 ) ABCGDEHBCDIABCFJBCDEKL $.
      $( [8-Jun-2011] $) $( [30-Nov-2005] $)
  $}

  ${
    $d x z $.  $d y A z $.  $d ph z $.
    hbsbc1g.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for class substitution.  (The
       antecedent ensures that ` A ` is a set, which is necessary if we
       restrict ourselves to using only the "weak" class substitution
       definition ~ dfsbcq .)  (Unnecessary distinct variable restrictions were
       removed by Andrew Salmon, 11-Jul-2011.) $)
    hbsbc1g $p |- ( A e. V -> ( [ A / x ] ph -> A. x [ A / x ] ph ) ) $=
      ( vz wsbc wal wi cv wceq dfsbcq hblem hbeleq albid syl5ib sylbird vtocleg
      hbs1 ) ABDHZUABIZJGDEGKZDLZUAABUCHZUBABUCDMZUEUEBIUDUBABGTUDUEUABBGDBCGDF
      NOUFPQRS $.
      $( [11-Jul-2011] $) $( [11-Oct-2004] $)

    ${
      $d x V $.  $d V z $.
      $( Bound-variable hypothesis builder for class substitution.  (The
         antecedent ensures that ` A ` is a set, which is necessary if we
         restrict ourselves to using only the "weak" class substitution
         definition ~ dfsbcq .)  (Unnecessary distinct variable restrictions
         were removed by Andrew Salmon, 8-Jun-2011.) $)
      hbsbc1g2 $p |- ( ( A e. V -> [ A / x ] ph ) ->
                        A. x ( A e. V -> [ A / x ] ph ) ) $=
        ( vz wcel wsbc cv ax-17 hbel hbsbc1g hbim1 ) DEHABDIBBCGDEFGJEHBKLABCDE
        FMN $.
        $( [11-Jul-2011] $) $( [23-Aug-1993] $)
    $}

    $( Bound-variable hypothesis builder for class substitution, "strong" form
       using the definition instead of ~ dfsbcq .  (Contributed by Mario
       Carneiro, 7-Dec-2014.) $)
    hbsbc1 $p |- ( [ A / x ] ph -> A. x [ A / x ] ph ) $=
      ( vz wsbc cab wcel df-sbc hbab1 hbel hbxfrbi ) ABDGDABHZIBABDJBCFDNEABFKL
      M $.
      $( [7-Dec-2014] $)
  $}

  ${
    $d x A y $.
    hbsbcv.1 $e |- A e. _V $.
    $( Bound-variable hypothesis builder for class substitution.  (The proof
       was shortened by Andrew Salmon, 8-Jun-2011.) $)
    hbsbc1v $p |- ( [ A / x ] ph -> A. x [ A / x ] ph ) $=
      ( vy cvv wcel wsbc wal wi cv ax-17 hbsbc1g ax-mp ) CFGABCHZOBIJDABECFEKCG
      BLMN $.
      $( [8-Jun-2011] $) $( [18-Aug-1993] $)
  $}

  ${
    $d w z A $.  $d w y $.  $d w x $.  $d w ph $.
    hbsbc.1 $e |- ( z e. A -> A. x z e. A ) $.
    hbsbc.2 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for class substitution. $)
    hbsbc $p |- ( [ A / y ] ph -> A. x [ A / y ] ph ) $=
      ( vw wsbc cab wcel df-sbc hbab hbel hbxfrbi ) ACEIEACJZKBACELBDHEPFABCHGM
      NO $.
      $( [7-Sep-2014] $)

    $( Bound-variable hypothesis builder for class substitution.  (The proof
       was shortened by Eric Schmidt, 17-Jan-2007.)  (Unnecessary distinct
       variable restrictions were removed by Andrew Salmon, 11-Jul-2011.) $)
    hbsbcg $p |- ( A e. V -> ( [ A / y ] ph -> A. x [ A / y ] ph ) ) $=
      ( vw cv wsbc wal wi wceq dfsbcq hblem hbeleq albid imbi12d hbsb vtoclg )
      ACIJZKZUCBLZMACEKZUEBLZMIEFUBENZUCUEUDUFACUBEOZUGUCUEBBIEBDIEGPQUHRSACIBH
      TUA $.
      $( [11-Jul-2011] $) $( [17-Nov-2005] $)
  $}

  ${
    $d x z $.  $d z A $.  $d y z ph $.
    $( A composition law for class substitution. $)
    sbccog $p |- ( A e. V -> ( [ A / y ] [ y / x ] ph <-> [ A / x ] ph ) ) $=
      ( vz cv wsbc dfsbcq ax-17 sbco2 vtoclbg ) ABCGHZCFGZHABNHMCDHABDHFDEMCNDI
      ABNDIABFCACJKL $.
      $( [26-Sep-2003] $)
  $}

  ${
    $d x y $.  $d y ph $.  $d A y $.
    sbcco2.1 $e |- ( x = y -> A = B ) $.
    $( A composition law for class substitution.  Importantly, ` x ` may occur
       free in the class expression substituted for ` A ` .  (The proof was
       shortened by Andrew Salmon, 8-Jun-2011.) $)
    sbcco2 $p |- ( [ x / y ] [ B / x ] ph <-> [ A / x ] ph ) $=
      ( wsbc ax-17 cv wceq wb equcoms dfsbcq bicomd syl sbie ) ABEGZABDGZCBRCHC
      IBIJDEJZQRKSBCFLSRQABDEMNOP $.
      $( [8-Jun-2011] $) $( [5-Sep-2004] $)
  $}

  ${
    $d x y A $.  $d y ph $.
    $( An equivalence for class substitution.  (The proof was shortened by
       Andrew Salmon, 29-Jun-2011.) $)
    sbc5g $p |- ( A e. V -> ( [ A / x ] ph <-> E. x ( x = A /\ ph ) ) ) $=
      ( vy cv wsbc wceq wa wex dfsbcq eqeq2 anbi1d exbidv sb5 vtoclbg ) ABEFZGB
      FZQHZAIZBJABCGRCHZAIZBJECDABQCKQCHZTUBBUCSUAAQCRLMNABEOP $.
      $( [29-Jun-2011] $) $( [11-Oct-2004] $)
  $}

  ${
    $d x A $.
    $( The disjunction of two equivalences for class substitution does not
       require a class existence hypothesis.  This theorem tells us that there
       are only 2 possibilities for ` [ A / x ] ph ` behavior at proper
       classes, matching the ~ sbc5 (false) and ~ sbc6 (true) conclusions.
       This is interesting since ~ dfsbcq (from which it is derived) does not
       say anything obvious about that.  Note that this theorem doesn't tell us
       that it is always one or the other at proper classes; it could "flip"
       between false (the first disjunct) and true (the second disjunct) as a
       function of ` ph ` and ` A ` . $)
    sbc2or $p |- ( ( [ A / x ] ph <-> E. x ( x = A /\ ph ) ) \/
                  ( [ A / x ] ph <-> A. x ( x = A -> ph ) ) ) $=
      ( cvv wcel wsbc cv wceq wa wex wb wi wal wo sbc5g orcd pm5.15 mpbii con3i
      wn vex eleq1 adantr nexdv pm2.21d alrimiv 2thd bibi2d orbi2d pm2.61i ) CD
      EZABCFZBGZCHZAIZBJZKZULUNALZBMZKZNZUKUQUTABCDOPUKTZUQULUPTZKZNVAULUPQVBVD
      UTUQVBVCUSULVBVCUSVBUOBUOUKUNUKAUNUMDEUKBUAUMCDUBRZUCSUDVBURBVBUNAUNUKVES
      UEUFUGUHUIRUJ $.
      $( [11-Oct-2004] $)
  $}

  ${
    $d x y A $.
    $( An equivalence for class substitution.  (The proof was shortened by
       Andrew Salmon, 8-Jun-2011.) $)
    sbc6g $p |- ( A e. V -> ( [ A / x ] ph <-> A. x ( x = A -> ph ) ) ) $=
      ( wcel wsbc cv wceq wa wex wi wal sbc5g hbe1 ceqex ceqsalg bitr4d ) CDEAB
      CFBGCHZAIZBJZRAKBLABCDMATBCDSBNABCOPQ $.
      $( [8-Jun-2011] $) $( [11-Oct-2004] $)
  $}

  ${
    $d x A $.
    sbc5.1 $e |- A e. _V $.
    $( An equivalence for class substitution. $)
    sbc5 $p |- ( [ A / x ] ph <-> E. x ( x = A /\ ph ) ) $=
      ( cvv wcel wsbc cv wceq wa wex wb sbc5g ax-mp ) CEFABCGBHCIAJBKLDABCEMN
      $.
      $( [23-Aug-1993] $)
  $}

  ${
    $d x A $.
    sbc6.1 $e |- A e. _V $.
    $( An equivalence for class substitution.  (The proof was shortened by Eric
       Schmidt, 17-Jan-2007.) $)
    sbc6 $p |- ( [ A / x ] ph <-> A. x ( x = A -> ph ) ) $=
      ( cvv wcel wsbc cv wceq wi wal wb sbc6g ax-mp ) CEFABCGBHCIAJBKLDABCEMN
      $.
      $( [18-Jan-2007] $) $( [23-Aug-1993] $)
  $}

  ${
    $d y A $.  $d y ph $.  $d x y $.
    $( An equivalence for class substitution in the spirit of ~df-clab .  Note
       that ` x ` and ` A ` don't have to be distinct. $)
    sbc7g $p |- ( A e. V -> ( [ A / x ] ph
                     <-> E. y ( y = A /\ [ y / x ] ph ) ) ) $=
      ( wcel wsb wsbc cv wceq wa wex sbccog sbc5g bitr3d ) DEFABCGZCDHABDHCIDJP
      KCLABCDEMPCDENO $.
      $( [18-Nov-2008] $)

    $( This is the closest we can get to ~ df-sbc if we start from ~ dfsbcq
       (see its comments).  (The proof was shortened by Andrew Salmon,
       29-Jun-2011.) $)
    sbc8g $p |- ( A e. V -> ( [ A / x ] ph <-> A e. { x | ph } ) ) $=
      ( vy cv wsbc cab wcel dfsbcq eleq1 df-clab bicomi vtoclbg ) ABEFZGZOABHZI
      ZABCGCQIECDABOCJOCQKRPAEBLMN $.
      $( [29-Jun-2011] $) $( [18-Nov-2008] $)
  $}

  ${
    cbvsbc.1 $e |- ( ph -> A. y ph ) $.
    cbvsbc.2 $e |- ( ps -> A. x ps ) $.
    cbvsbc.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change bound variables in a wff substitution.  (Contributed by Jeff
       Hankins, 19-Sep-2009.)  (The proof was shortened by Andrew Salmon,
       8-Jun-2011.) $)
    cbvsbc $p |- ( A e. V -> ( [ A / x ] ph <-> [ A / y ] ps ) ) $=
      ( wcel cab wsbc wb cbvab eleq2i a1i sbc8g 3bitr4d ) EFJZEACKZJZEBDKZJZACE
      LBDELUAUCMSTUBEABCDGHINOPACEFQBDEFQR $.
      $( [25-Aug-2011] $) $( [19-Sep-2009] $)
  $}

  ${
    $d y ph $.  $d x ps $.
    cbvsbcv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change the bound variable of a class substitution using implicit
       substitution. $)
    cbvsbcv $p |- ( A e. V -> ( [ A / x ] ph <-> [ A / y ] ps ) ) $=
      ( ax-17 cbvsbc ) ABCDEFADHBCHGI $.
      $( [25-Aug-2011] $) $( [30-Sep-2008] $)
  $}

  ${
    $d x y A $.  $d y ps $.
    $( Conversion of implicit substitution to explicit class substitution,
       using a bound-variable hypothesis instead of distinct variables.
       (Closed theorem version of ~ sbciegf .) $)
    sbciegft $p |- ( ( A e. V /\ A. x ( ps -> A. x ps ) /\
              A. x ( x = A -> ( ph <-> ps ) ) ) -> ( [ A / x ] ph <-> ps ) ) $=
      ( wcel wal wi cv wceq wb w3a wsbc wa 3ad2ant1 imim2i alimi biimpa 3adant1
      sylan2 wex sbc5g bi1 imp3a 19.23t sylbid bi2 com23 19.21t sylibrd impbid
      sbc6g ) DEFZBBCGHCGZCIDJZABKZHZCGZLZACDMZBUSUTUOANZCUAZBUMUNUTVBKURACDEUB
      OUNURVBBHZUMURUNVABHZCGZVCUQVDCUQUOABUPABHUOABUCPUDQUNVEVCVABCUERTSUFUSBU
      OAHZCGZUTUNURBVGHZUMURUNBVFHZCGZVHUQVICUQUOBAUPBAHUOABUGPUHQUNVJVHBVFCUIR
      TSUMUNUTVGKURACDEULOUJUK $.
      $( [10-Nov-2005] $)
  $}

  ${
    $d x A $.  $d x V $.
    sbciegf.1 $e |- ( A e. V -> ( ps -> A. x ps ) ) $.
    sbciegf.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution. $)
    sbciegf $p |- ( A e. V -> ( [ A / x ] ph <-> ps ) ) $=
      ( wcel wal wi wsbc wb alrimiv cv wceq ax-gen sbciegft 3exp mpii mpd ) DEH
      ZBBCIJZCIZACDKBLZUAUBCFMUAUCCNDOABLJZCIZUDUECGPUAUCUFUDABCDEQRST $.
      $( [14-Dec-2005] $)
  $}

  ${
    $d x A $.  $d x ps $.
    sbcieg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution. $)
    sbcieg $p |- ( A e. V -> ( [ A / x ] ph <-> ps ) ) $=
      ( wcel cvv wsbc wb elex a17d sbciegf syl ) DEGDHGZACDIBJDEKABCDHOBCLFMN
      $.
      $( [10-Nov-2005] $)
  $}

  ${
    $d x A $.  $d x ps $.
    sbcie.1 $e |- A e. _V $.
    sbcie.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution. $)
    sbcie $p |- ( [ A / x ] ph <-> ps ) $=
      ( cvv wcel wsbc wb sbcieg ax-mp ) DGHACDIBJEABCDGFKL $.
      $( [4-Sep-2004] $)
  $}

  ${
    $d x A $.
    sbcied.1 $e |- ( ph -> A e. V ) $.
    sbcied.2 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    ${
      sbciedf.3 $e |- ( ph -> A. x ph ) $.
      sbciedf.4 $e |- ( ch -> A. x ch ) $.
      $( Conversion of implicit substitution to explicit class substitution,
         deduction form. $)
      sbciedf $p |- ( ph -> ( [ A / x ] ps <-> ch ) ) $=
        ( wcel wal wi cv wceq wb wsbc ax-gen a1i ex alrimi sbciegft syl3anc ) A
        EFKCCDLMZDLZDNEOZBCPZMZDLBDEQCPGUEAUDDJRSAUHDIAUFUGHTUABCDEFUBUC $.
        $( [29-Dec-2014] $)
    $}

    $d x ph $.  $d x ch $.
    $( Conversion of implicit substitution to explicit class substitution,
       deduction form. $)
    sbcied $p |- ( ph -> ( [ A / x ] ps <-> ch ) ) $=
      ( ax-17 sbciedf ) ABCDEFGHADICDIJ $.
      $( [13-Dec-2014] $)
  $}

  ${
    $d x A $.  $d x ph $.  $d x ch $.
    sbcied2.1 $e |- ( ph -> A e. V ) $.
    sbcied2.2 $e |- ( ph -> A = B ) $.
    sbcied2.3 $e |- ( ( ph /\ x = B ) -> ( ps <-> ch ) ) $.
    $( Conversion of implicit substitution to explicit class substitution,
       deduction form. $)
    sbcied2 $p |- ( ph -> ( [ A / x ] ps <-> ch ) ) $=
      ( cv wceq wb id sylan9eqr syldan sbcied ) ABCDEGHADKZELZRFLBCMSAREFSNIOJP
      Q $.
      $( [13-Dec-2014] $)
  $}

  ${
    $d z w A $.  $d y z w B $.  $d z ph $.  $d x z w $.
    elrabsf.1 $e |- ( y e. B -> A. x y e. B ) $.
    $( Membership in a restricted class abstraction, expressed with explicit
       class substitution.  (The variation ~ elrabf has implicit
       substitution).  The hypothesis specifies that ` x ` must not be a free
       variable in ` B ` . $)
    elrabsf $p |- ( A e. { x e. B | ph } <-> ( A e. B /\ [ A / x ] ph ) ) $=
      ( vz vw crab wcel cv wsbc wa ax-17 hbs1 sbequ12 cbvrab cvv syl pm5.32i wi
      eleq2i hbsbc1g2 wceq sbceq1a wb wex 19.8a isset sylibr biimt bitrd elrabf
      elex bitr4i sbccog 3bitri ) DABEIZJDABGKZLZGEIZJZDEJZUTGDLZMZVCABDLZMURVA
      DAUTBGCEFCKEJGNAGNABGOABGPQUBVBVCDRJZVDUAZMVEUTVHGHDEHKZDJGNZVIEJGNUTGHDR
      VJUCUSDUDZUTVDVHUTGDUEVKVGVDVHUFZVKVKGUGVGVKGUHGDUIUJVGVDUKZSULUMVCVDVHVC
      VGVLDEUNVMSTUOVCVDVFABGDEUPTUQ $.
      $( [30-Sep-2003] $)
  $}

  ${
    $d x y $.
    $( Membership in a class abstraction, expressed in terms of class
       substitution.  Theorem 6.13 of [Quine] p. 44. $)
    elabs2 $p |- ( A e. { x | ph } <-> ( A e. _V /\ [ A / x ] ph ) ) $=
      ( vy cab wcel cvv crab wsbc wa rabab eleq2i cv ax-17 elrabsf bitr3i ) CAB
      EZFCABGHZFCGFABCIJRQCABKLABDCGDMGFBNOP $.
      $( [7-Mar-2004] $)
  $}

  $( Membership in a class abstraction, expressed in terms of class
     substitution.  Conveniently, this theorem has no distinct variable
     restrictions.  Except for the antecedent, this theorem is "almost" like
     ~ df-sbc but was proved using only ~ dfsbcq as its starting point (making
     no other reference to ~ df-sbc ).  We prefer not to make direct reference
     to ~ df-sbc (i.e. commit to it) since its behavior at proper classes is at
     odds with Quine, whereas ~ dfsbcq is not.  (Quine's class substitution
     cannot be expressed in closed form.)  This theorem serves as a weaker
     Quine-compatible substitute for ~ df-sbc . $)
  elabsg $p |- ( A e. V -> ( A e. { x | ph } <-> [ A / x ] ph ) ) $=
    ( wcel cvv cab wsbc wb elex elabs2 baib syl ) CDECFEZCABGEZABCHZICDJONPABCK
    LM $.
    $( [4-Nov-2005] $)

  ${
    elabs.1 $e |- A e. _V $.
    $( Membership in a class abstraction, expressed in terms of class
       substitution. $)
    elabsbc $p |- ( A e. { x | ph } <-> [ A / x ] ph ) $=
      ( cab wcel cvv wsbc elabs2 mpbiran ) CABEFCGFABCHDABCIJ $.
      $( [7-Mar-2004] $)
  $}

  ${
    $d x y B $.  $d y A $.
    $( Substitution applied to an atomic wff.  Set theory version of ~ eqsb3 .
       (Contributed by Andrew Salmon, 29-Jun-2011.) $)
    eqsbc3 $p |- ( A e. V -> ( [ A / x ] x = B <-> A = B ) ) $=
      ( vy cv wceq wsbc dfsbcq eqeq1 eqsb3 vtoclbg ) AFCGZAEFZHNCGMABHBCGEBDMAN
      BINBCJEACKL $.
      $( [29-Jun-2011] $)
  $}

  ${
    $d x y $.  $d y A $.  $d y ph $.  $d y ps $.
    $( Move negation in and out of class substitution. $)
    sbcng $p |- ( A e. V -> ( [ A / x ] -. ph <-> -. [ A / x ] ph ) ) $=
      ( vy wn cv wsbc dfsbcq wceq notbid sbn vtoclbg ) AFZBEGZHABOHZFNBCHABCHZF
      ECDNBOCIOCJPQABOCIKABELM $.
      $( [16-Jan-2004] $)

    $( Distribution of class substitution over implication. $)
    sbcimg $p |- ( A e. V ->
           ( [ A / x ] ( ph -> ps ) <-> ( [ A / x ] ph -> [ A / x ] ps ) ) ) $=
      ( vy wi cv wsbc dfsbcq wceq imbi12d sbim vtoclbg ) ABGZCFHZIACPIZBCPIZGOC
      DIACDIZBCDIZGFDEOCPDJPDKQSRTACPDJBCPDJLABCFMN $.
      $( [16-Jan-2004] $)

    $( Distribution of class substitution over conjunction. $)
    sbcang $p |- ( A e. V ->
           ( [ A / x ] ( ph /\ ps ) <-> ( [ A / x ] ph /\ [ A / x ] ps ) ) ) $=
      ( vy wa cv wsbc dfsbcq wceq anbi12d sban vtoclbg ) ABGZCFHZIACPIZBCPIZGOC
      DIACDIZBCDIZGFDEOCPDJPDKQSRTACPDJBCPDJLABCFMN $.
      $( [21-May-2004] $)

    $( Distribution of class substitution over disjunction. $)
    sbcorg $p |- ( A e. V ->
           ( [ A / x ] ( ph \/ ps ) <-> ( [ A / x ] ph \/ [ A / x ] ps ) ) ) $=
      ( vy wo cv wsbc dfsbcq wceq orbi12d sbor vtoclbg ) ABGZCFHZIACPIZBCPIZGOC
      DIACDIZBCDIZGFDEOCPDJPDKQSRTACPDJBCPDJLABCFMN $.
      $( [21-May-2004] $)

    $( Distribution of class substitution over biconditional.  (Contributed by
       Raph Levien, 10-Apr-2004.) $)
    sbcbig $p |- ( A e. V ->
         ( [ A / x ] ( ph <-> ps ) <-> ( [ A / x ] ph <-> [ A / x ] ps ) ) ) $=
      ( vy wb cv wsbc dfsbcq wceq bibi12d sbbi vtoclbg ) ABGZCFHZIACPIZBCPIZGOC
      DIACDIZBCDIZGFDEOCPDJPDKQSRTACPDJBCPDJLABCFMN $.
      $( [19-Apr-2004] $)
  $}

  ${
    $d x z A $.  $d x y z $.  $d z ph $.
    $( Move universal quantifier in and out of class substitution. $)
    sbcalg $p |- ( A e. V -> ( [ A / y ] A. x ph <-> A. x [ A / y ] ph ) ) $=
      ( vz wal cv wsbc dfsbcq wceq albidv sbal vtoclbg ) ABGZCFHZIACPIZBGOCDIAC
      DIZBGFDEOCPDJPDKQRBACPDJLABCFMN $.
      $( [16-Jan-2004] $)

    $( Move existential quantifier in and out of class substitution. $)
    sbcexg $p |- ( A e. V -> ( [ A / y ] E. x ph <-> E. x [ A / y ] ph ) ) $=
      ( vz wex cv wsbc dfsbcq wceq exbidv sbex vtoclbg ) ABGZCFHZIACPIZBGOCDIAC
      DIZBGFDEOCPDJPDKQRBACPDJLABCFMN $.
      $( [21-May-2004] $)
  $}

  ${
    $d x B $.  $d x A $.
    $( If ` x = A ` always implies ` x = B ` , then ` A = B ` is true.
       (Contributed by Andrew Salmon, 28-Jun-2011.) $)
    sbceqal $p |- ( A e. V -> ( A. x ( x = A -> x = B ) -> A = B ) ) $=
      ( wcel cv wceq wi wal wsbc a4sbc sbcimg wb eqsbc3 mpbiri pm5.5 syl 3bitrd
      eqid sylibd ) BDEZAFZBGZUBCGZHZAIUEABJZBCGZUEABDKUAUFUCABJZUDABJZHZUIUGUC
      UDABDLUAUHUJUIMUAUHBBGBSABBDNOUHUIPQABCDNRT $.
      $( [28-Jun-2011] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Theorem *14.121 in [WhiteheadRussell] p. 185.  (Contributed by Andrew
       Salmon, 28-Jun-2011.)  (The proof was shortened by Wolf Lammen,
       9-May-2013.) $)
    sbeqalb $p |- ( A e. V -> ( ( A. x ( ph <-> x = A ) /\ A. x ( ph <->
      x = B ) ) -> A = B ) ) $=
      ( cv wceq wb wal wa wi wcel bibi1 biimpa biimpd alanimi sbceqal syl5 ) AB
      FZCGZHZBIASDGZHZBIJTUBKZBICELCDGUAUCUDBUAUCJTUBUAUCTUBHATUBMNOPBCDEQR $.
      $( [9-May-2013] $) $( [9-Jun-2011] $)
  $}

  ${
    sbcbid.1 $e |- ( ph -> A. x ph ) $.
    sbcbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building deduction rule for class substitution. $)
    sbcbid $p |- ( ph -> ( [ A / x ] ps <-> [ A / x ] ch ) ) $=
      ( cab wcel wsbc abbid eleq2d df-sbc 3bitr4g ) AEBDHZIECDHZIBDEJCDEJAOPEAB
      CDFGKLBDEMCDEMN $.
      $( [29-Dec-2014] $)

    $( Formula-building deduction rule for class substitution. $)
    sbcbidg $p |- ( ( ph /\ A e. V ) -> ( [ A / x ] ps <-> [ A / x ] ch ) ) $=
      ( wcel wsbc wb wal alrimi a4sbc syl5 sbcbig sylibd impcom ) EFIZABDEJCDEJ
      KZSABCKZDEJZTAUADLSUBAUADGHMUADEFNOBCDEFPQR $.
      $( [26-Feb-2005] $) $( [23-Nov-2005] $)
  $}

  ${
    $d x ph $.
    sbcbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building deduction rule for class substitution. $)
    sbcbidv $p |- ( ph -> ( [ A / x ] ps <-> [ A / x ] ch ) ) $=
      ( ax-17 sbcbid ) ABCDEADGFH $.
      $( [29-Dec-2014] $)

    $( Formula-building deduction rule for class substitution.  (The proof was
       shortened by Eric Schmidt, 17-Jan-2007.) $)
    sbcbidgv $p |- ( ( ph /\ A e. V ) -> ( [ A / x ] ps <-> [ A / x ] ch ) ) $=
      ( ax-17 sbcbidg ) ABCDEFADHGI $.
      $( [18-Jan-2007] $) $( [11-Oct-2004] $)
  $}

  ${
    sbcbii.1 $e |- ( ph <-> ps ) $.
    $( Formula-building inference rule for class substitution. $)
    sbcbii $p |- ( A e. V -> ( [ A / x ] ph <-> [ A / x ] ps ) ) $=
      ( cvv wceq wcel wsbc wb eqid a1i sbcbidgv mpan ) GGHZDEIACDJBCDJKGLPABCDE
      ABKPFMNO $.
      $( [11-Nov-2005] $)
  $}

  ${
    $d x C $.  $d x A $.
    $( ~ eqsbc3 with set variable on right side of equals sign.  (Contributed
       by Alan Sare, 24-Oct-2011.) $)
    eqsbc3r $p |- ( A e. B -> ( [ A / x ] C = x <-> C = A ) ) $=
      ( wcel wceq wsbc eqcom sbcbii biimpd eqsbc3 sylibd syl6ib syl6ibr sylibrd
      cv idd impbid ) BCEZDAPZFZABGZDBFZSUBBDFZUCSUBTDFZABGZUDSUBUFUAUEABCDTHIZ
      JABDCKZLBDHZMSUCUFUBSUCUDUFSUCUCUDSUCQUINUHOUGOR $.
      $( [24-Oct-2011] $)
  $}

  ${
    $d y ch $.  $d y ps $.  $d y ph $.  $d y A $.  $d x y $.
    $( Distribution of class substitution over triple conjunction.  (The proof
       was shortened by Andrew Salmon, 29-Jun-2011.) $)
    sbc3ang $p |- ( A e. V -> ( [ A / x ] ( ph /\ ps /\ ch ) <->
                ( [ A / x ] ph /\ [ A / x ] ps /\ [ A / x ] ch ) ) ) $=
      ( vy w3a cv wsbc dfsbcq wceq 3anbi123d sb3an vtoclbg ) ABCHZDGIZJADQJZBDQ
      JZCDQJZHPDEJADEJZBDEJZCDEJZHGEFPDQEKQELRUASUBTUCADQEKBDQEKCDQEKMABCDGNO
      $.
      $( [29-Jun-2011] $) $( [14-Dec-2006] $)
  $}

  ${
    $d y z A $.  $d x y B $.
    $( Class substitution into a membership relation.  (The proof was shortened
       by Andrew Salmon, 29-Jun-2011.) $)
    sbcel1gv $p |- ( A e. V -> ( [ A / x ] x e. B <-> A e. B ) ) $=
      ( vy cv wcel wsbc dfsbcq eleq1 clelsb3 vtoclbg ) AFCGZAEFZHNCGMABHBCGEBDM
      ANBINBCJEACKL $.
      $( [29-Jun-2006] $) $( [17-Nov-2006] $)
  $}

  ${
    $d y z B $.  $d x y A $.
    $( Class substitution into a membership relation.  (The proof was shortened
       by Andrew Salmon, 29-Jun-2011.) $)
    sbcel2gv $p |- ( B e. V -> ( [ B / x ] A e. x <-> A e. B ) ) $=
      ( vy cv wcel wsbc dfsbcq eleq2 ax-17 sbie vtoclbg ) BAFZGZAEFZHBPGZOACHBC
      GECDOAPCIPCBJOQAEQAKNPBJLM $.
      $( [29-Jun-2011] $) $( [17-Nov-2006] $)
  $}

  ${
    $d x B $.
    sbcth2.1 $e |- ( x e. B -> ph ) $.
    $( A substitution into a theorem. $)
    sbcth2 $p |- ( A e. B -> [ A / x ] ph ) $=
      ( wcel wsbc cv wi sbcth sbcimg sbcel1gv imbi1d bitrd mpbid pm2.43i ) CDFZ
      ABCGZQBHDFZAIZBCGZQRIZTBCDEJQUASBCGZRIUBSABCDKQUCQRBCDDLMNOP $.
      $( [1-Mar-2008] $)
  $}

  ${
    $d y z A $.  $d y ph $.  $d x y z $.
    hbsbc1gd.1 $e |- ( ph -> A. x ph ) $.
    hbsbc1gd.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    $( Deduction version of ~ hbsbc1g .  (The proof was shortened by Andrew
       Salmon, 21-Jun-2011.) $)
    hbsbc1gd $p |- ( ( ph /\ A e. V ) ->
                   ( [ A / x ] ps -> A. x [ A / x ] ps ) ) $=
      ( vz wcel cvv wsbc wal wi elex wa cv cab wb 3syl wceq alrimiv abidhb hba1
      eleq1 biimpar hbab hbsbc1g syl dfsbcq adantr a1d a17d hbeld hband anabsi5
      albid 3imtr3d sylan2 ) EFJAEKJZBCELZVACMZNEFOAUTPZBCIQEJZCMZIRZLZVGCMZVAV
      BVCVFKJZVGVHNAVIUTADQZEJZVKCMNZDMZVFEUAZVIUTSAVLDHUBZCDIEUCZVFEKUETUFBCDV
      FKVECIDVDCUDUGUHUIAVGVASZUTAVMVNVQVOVPBCVFEUJTUKZVCVGVACAUTVCCMAAUTCAACMA
      GULACDEKGHAVJKJCUMUNUOUPVRUQURUS $.
      $( [26-Jun-2011] $) $( [23-May-2006] $)
  $}

  ${
    $d w z A $.  $d z ph $.  $d w x z $.
    hbsbcgd.1 $e |- ( ph -> A. x ph ) $.
    hbsbcgd.2 $e |- ( ph -> A. y ph ) $.
    hbsbcgd.3 $e |- ( ph -> ( z e. A -> A. x z e. A ) ) $.
    hbsbcgd.4 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction version of ~ hbsbcg .  (The proof was shortened by Andrew
       Salmon, 21-Jun-2011.) $)
    hbsbcgd $p |- ( ( ph /\ A e. V ) ->
                 ( [ A / y ] ps -> A. x [ A / y ] ps ) ) $=
      ( vw wcel cvv wsbc wal wi cv wb 3syl elex cab wceq alrimiv abidhb biimpar
      wa eleq1 hba1 hbab hbsbcg syl dfsbcq adantr ax-4 impbid2 sbcbidg a1d a17d
      bitrd hbeld hband anabsi5 albid 3imtr3d sylan2 ) FGMAFNMZBDFOZVHCPZQFGUAA
      VGUGZBCPZDLRFMZCPZLUBZOZVOCPZVHVIVJVNNMZVOVPQAVQVGAERZFMZVSCPQZEPZVNFUCZV
      QVGSAVTEJUDZCELFUEZVNFNUHTUFVKCDEVNNVMCLEVLCUIUJBCUIUKULVJVOVKDFOZVHAVOWE
      SZVGAWAWBWFWCWDVKDVNFUMTUNAVKBDFNIAVKBBCUOKUPUQUTZVJVOVHCAVGVJCPAAVGCAACP
      AHURACEFNHJAVRNMCUSVAVBVCWGVDVEVF $.
      $( [21-Jun-2011] $) $( [23-Nov-2005] $)
  $}

  ${
    $d x ph $.
    sbcimdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Substitution analog of Theorem 19.20 of [Margaris] p. 90. $)
    sbcimdv $p |- ( ( ph /\ A e. V ) ->
                     ( [ A / x ] ps -> [ A / x ] ch ) ) $=
      ( wcel wsbc wi wal alrimiv a4sbc syl5 sbcimg sylibd impcom ) EFHZABDEICDE
      IJZRABCJZDEIZSATDKRUAATDGLTDEFMNBCDEFOPQ $.
      $( [11-Nov-2005] $)
  $}

  ${
    $d y A $.  $d y ph $.  $d x y $.
    sbcgf.1 $e |- ( ph -> A. x ph ) $.
    $( Substitution for a variable not free in a wff does not affect it.  (The
       proof was shortened by Andrew Salmon, 29-Jun-2011.) $)
    sbcgf $p |- ( A e. V -> ( [ A / x ] ph <-> ph ) ) $=
      ( vy cv wsbc dfsbcq wceq biidd sbf vtoclbg ) ABFGZHAABCHAFCDABNCINCJAKABF
      ELM $.
      $( [29-Jun-2011] $) $( [11-Oct-2004] $)
  $}

  ${
    $d x ph $.
    $( Substitution for a variable not occurring in a wff does not affect it.
       Distinct variable form of ~ sbcgf .  (Contributed by Alan Sare,
       10-Nov-2012.) $)
    sbcg $p |- ( A e. V -> ( [ A / x ] ph <-> ph ) ) $=
      ( ax-17 sbcgf ) ABCDABEF $.
      $( [10-Nov-2012] $)
  $}

  ${
    sbc19.21g.1 $e |- ( ph -> A. x ph ) $.
    $( Substitution for a variable not free in antecedent affects only the
       consequent. $)
    sbc19.21g $p |- ( A e. V ->
                    ( [ A / x ] ( ph -> ps ) <-> ( ph -> [ A / x ] ps ) ) ) $=
      ( wcel wi wsbc sbcimg sbcgf imbi1d bitrd ) DEGZABHCDIACDIZBCDIZHAPHABCDEJ
      NOAPACDEFKLM $.
      $( [11-Oct-2004] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x V $.  $d y W $.
    sbc2iegf.1 $e |- ( ps -> A. x ps ) $.
    sbc2iegf.2 $e |- ( ps -> A. y ps ) $.
    sbc2iegf.3 $e |- ( B e. W -> A. x B e. W ) $.
    sbc2iegf.4 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution.
       (Contributed by Mario Carneiro, 19-Dec-2013.) $)
    sbc2iegf $p |- ( ( A e. V /\ B e. W ) ->
                     ( [ A / x ] [ B / y ] ph <-> ps ) ) $=
      ( wcel wa simpl cv wceq wb adantll ax-17 wsbc sbciedf hban ) EGMZFHMZNADF
      UAZBCEGUDUEOUECPEQZUFBRUDUEUGNZABDFHUEUGOUGDPFQABRUELSUHDTJUBSUDUECUDCTKU
      CIUB $.
      $( [19-Dec-2013] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y ps $.
    sbc2ie.1 $e |- A e. _V $.
    sbc2ie.2 $e |- B e. _V $.
    sbc2ie.3 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution. $)
    sbc2ie $p |- ( [ A / x ] [ B / y ] ph <-> ps ) $=
      ( cvv wcel wsbc wb ax-17 hbth sbc2iegf mp2an ) EJKFJKZADFLCELBMGHABCDEFJJ
      BCNBDNRCHOIPQ $.
      $( [19-Dec-2013] $) $( [16-Dec-2008] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y ph $.  $d x y ch $.
    sbc2iedv.1 $e |- A e. _V $.
    sbc2iedv.2 $e |- B e. _V $.
    sbc2iedv.3 $e |- ( ph -> ( ( x = A /\ y = B ) -> ( ps <-> ch ) ) ) $.
    $( Conversion of implicit substitution to explicit class substitution. $)
    sbc2iedv $p |- ( ph -> ( [ A / x ] [ B / y ] ps <-> ch ) ) $=
      ( wsbc wi cvv wcel wb ax-17 sbc19.21g ax-mp cv wceq sbcbii impcom sbc2ie
      wa pm5.74da 3bitr3ri pm5.74ri ) ABEGKZDFKZCABLZEGKZDFKZAUHLZDFKZACLZAUILZ
      FMNZULUNOHUKUMDFMGMNUKUMOIABEGMAEPQRUARUJUODEFGHIDSFTESGTUDZABCAURBCOJUBU
      EUCUQUNUPOHAUHDFMADPQRUFUG $.
      $( [16-Dec-2008] $)
  $}

  ${
    $d x y z A $.  $d y z B $.  $d z C $.  $d x y z ps $.
    sbc3ie.1 $e |- A e. _V $.
    sbc3ie.2 $e |- B e. _V $.
    sbc3ie.3 $e |- C e. _V $.
    sbc3ie.4 $e |- ( ( x = A /\ y = B /\ z = C ) -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution.
       (Contributed by Mario Carneiro, 19-Jun-2014.) $)
    sbc3ie $p |- ( [ A / x ] [ B / y ] [ C / z ] ph <-> ps ) $=
      ( wsbc cv wceq wa cvv wcel a1i wb 3expa sbcied sbc2ie ) AEHMBCDFGIJCNFOZD
      NGOZPZABEHQHQRUFKSUDUEENHOABTLUAUBUC $.
      $( [29-Dec-2014] $) $( [19-Jun-2014] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y V $.  $d x W $.
    $( Lemma for ~ sbccomg . $)
    sbccomglem $p |- ( ( A e. V /\ B e. W ) ->
                 ( [ A / x ] [ B / y ] ph <-> [ B / y ] [ A / x ] ph ) ) $=
      ( wcel wa wsbc cv wceq wex wb sbc5g sbcbidgv ancoms adantr excom exbii
      exdistr an12 19.42v bitri 3bitr3i adantl bitr2d syl5bb 3bitrd ) DFHZEGHZI
      ZACEJZBDJZCKELZAIZCMZBDJZBKDLZUQIBMZABDJZCEJZUKUJUNURNUKUMUQBDFACEGOPQUJU
      RUTNUKUQBDFORUTUOUSAIZBMZIZCMZULVBUSUPIZCMBMVGBMZCMUTVFVGBCSUSUPBCUAVHVEC
      VHUOVCIZBMVEVGVIBUSUOAUBTUOVCBUCUDTUEULVBVDCEJZVFUJVAVDCEGABDFOPUKVJVFNUJ
      VDCEGOUFUGUHUI $.
      $( [14-Nov-2005] $)
  $}

  ${
    $d w y z A $.  $d w x z B $.  $d w z ph $.  $d x y $.
    $( Commutative law for double class substitution.  (The proof was shortened
       by Eric Schmidt, 17-Jan-2007.) $)
    sbccomg $p |- ( ( A e. V /\ B e. W ) ->
                 ( [ A / x ] [ B / y ] ph <-> [ B / y ] [ A / x ] ph ) ) $=
      ( vw vz wcel cvv wsbc wb elex cv sbccog vex sbccomglem mpan2 sbcbidgv wa
      adantr sbcom2 sbcbii bitr3d ancoms 3bitrd adantl 3bitr3rd syl2an ) DFJDKJ
      ZEKJZACELZBDLZABDLZCELZMEGJDFNEGNUKULUAZACHOZLZHELZBIOZLZIDLZUTBDLZUPUNUK
      VCVDMULUTBIDKPUBUQVCABVALZIDLZCURLZHELZVFCELZUPUQVCVECURLZHELZIDLZVJIDLZH
      ELVHULUKVCVLMULVBVKIDKULUSBVALZHELZVBVKULVAKJVOVBMIQUSHBEVAKKRSVNVJHEKACH
      BIUCUDUETUFVJIHDEKKRUKVMVGHEKUKURKJVMVGMHQVEICDURKKRSTUGULVHVIMUKVFCHEKPU
      HUKVFUOCEKABIDKPTUGULUKVDUNMULUTUMBDKACHEKPTUFUIUJ $.
      $( [18-Jan-2007] $) $( [15-Nov-2005] $)
  $}

  ${
    $d w z A $.  $d w x B $.  $d w V $.  $d w ph $.  $d x y $.  $d w y z $.
    $( Interchange class substitution and restricted quantifier.  (Unnecessary
       distinct variable restrictions were removed by David Abernethy,
       22-Feb-2010.) $)
    sbcralt $p |- ( A. y ( A e. V /\ A. z ( z e. A -> A. y z e. A ) ) ->
                 ( [ A / x ] A. y e. B ph <-> A. y e. B [ A / x ] ph ) ) $=
      ( vw wcel cv wal wi wral wsbc wceq wb sbc6g adantr a4s cvv ralcom4 albidv
      wa eleq1 imbi12d a4v adantl hbeleqd a5i r19.21t syl syl5rbb bitrd r19.21v
      vex albii bitr2i syl6bb ralbidv bitr4d ax-mp sbcbii ralbid 3bitr4d sbccog
      hba1 3bitr3d ) EGIZDJZEIZVJCKZLZDKZUCZCKZACFMZBHJZNZHENZABVQNZHENZCFMZVPB
      ENZABENZCFMVOVTCFMZHENZVQEOZVTLZHKZCFMZVSWBVOWFWGWELZHKZWJVNWFWLPZCVHWMVM
      WEHEGQRSWJWHCFMZHKVOWLWHCHFUAVOWNWKHVOWGWGCKLZCKWNWKPVNWOCVOCHEVNCVFZVNVQ
      EIZWQCKZLZCVMWSVHVLWSDHVIVQOZVJWQVKWRVIVQEUDZWTVJWQCXAUBUEUFUGSUHUIWGVTCF
      UJUKUBULUMVNVSWFPZCVHXBVMVRWEHEGVQTIZVRWEPHUOXCVRBJVQOZALZBKZCFMZWEXCVRXD
      VPLZBKZXGVPBVQTQXGXECFMZBKXIXECBFUAXJXHBXDACFUNUPUQURXCVTXFCFABVQTQUSUTVA
      VBRSVOWAWICFWPVNWAWIPZCVHXKVMVTHEGQRSVCVDVNVSWCPZCVHXLVMVPBHEGVERSVOWAWDC
      FWPVNWAWDPZCVHXMVMABHEGVERSVCVG $.
      $( [22-Feb-2010] $) $( [1-Mar-2008] $)

    $( Interchange class substitution and restricted existential quantifier.
       (Unnecessary distinct variable restrictions were removed by David
       Abernethy, 22-Feb-2010.) $)
    sbcrext $p |- ( A. y ( A e. V /\ A. z ( z e. A -> A. y z e. A ) ) ->
                 ( [ A / x ] E. y e. B ph <-> E. y e. B [ A / x ] ph ) ) $=
      ( wcel cv wal wrex wsbc wn wral wb dfrex2 sbcng bitrd adantr a4s sbcralt
      wi wa sbcbii hba1 ralbid notbid syl6bbr ) EGHZDIEHZUJCJUBDJZUCZCJZACFKZBE
      LZABELZMZCFNZMZUPCFKUMUOAMZCFNZBELZMZUSULUOVCOZCUIVDUKUIUOVAMZBELVCUNVEBE
      GACFPUDVABEGQRSTUMVBURUMVBUTBELZCFNURUTBCDEFGUAUMVFUQCFULCUEULVFUQOZCUIVG
      UKABEGQSTUFRUGRUPCFPUH $.
      $( [22-Feb-2010] $) $( [1-Mar-2008] $)
  $}

  $( MAY BE REVISED - may be deleted $)
  ${
    $d w z A $.  $d x w B $.  $d w z V $.  $d w ph $.  $d x y z w $.
    sbcralgf.1 $e |- ( A. y A e. V -> ( z e. A -> A. y z e. A ) ) $.
    $( Interchange class substitution and restricted quantifier. $)
    sbcralgf $p |- ( A. y A e. V ->
                 ( [ A / x ] A. y e. B ph <-> A. y e. B [ A / x ] ph ) ) $=
      ( vw wcel wal wral cv wsbc wceq wi wb sbc6g a4s cvv ralcom4 ax-17 hbeleqd
      hba1 hblemd a5i r19.21t syl albidv syl5rbb bitrd vex r19.21v albii bitr2i
      syl6bb ralbidv bitr4d ax-mp sbcbii ralbid 3bitr4d sbccog 3bitr3d ) EGJZCK
      ZACFLZBIMZNZIENZABVHNZIENZCFLZVGBENZABENZCFLVFVKCFLZIENZVHEOZVKPZIKZCFLZV
      JVMVFVQVRVPPZIKZWAVEVQWCQCVPIEGRSWAVSCFLZIKVFWCVSCIFUAVFWDWBIVFVRVRCKPZCK
      WDWBQVEWECVFCIEVECUDZVFCDIEWFVFDUBHUEUCUFVRVKCFUGUHUIUJUKVEVJVQQCVIVPIEGV
      HTJZVIVPQIULWGVIBMVHOZAPZBKZCFLZVPWGVIWHVGPZBKZWKVGBVHTRWKWICFLZBKWMWICBF
      UAWNWLBWHACFUMUNUOUPWGVKWJCFABVHTRUQURUSUTSVFVLVTCFWFVEVLVTQCVKIEGRSVAVBV
      EVJVNQCVGBIEGVCSVFVLVOCFWFVEVLVOQCABIEGVCSVAVD $.
      $( [1-Mar-2008] $)

    $( Interchange class substitution and restricted existential quantifier. $)
    sbcrexgf $p |- ( A. y A e. V ->
                 ( [ A / x ] E. y e. B ph <-> E. y e. B [ A / x ] ph ) ) $=
      ( wcel wal wrex wsbc wn wral wb dfrex2 sbcbii sbcng bitrd a4s hba1 ralbid
      sbcralgf notbid syl6bbr ) EGIZCJZACFKZBELZABELZMZCFNZMZUJCFKUGUIAMZCFNZBE
      LZMZUMUFUIUQOCUFUIUOMZBELUQUHURBEGACFPQUOBEGRSTUGUPULUGUPUNBELZCFNULUNBCD
      EFGHUCUGUSUKCFUFCUAUFUSUKOCABEGRTUBSUDSUJCFPUE $.
      $( [1-Mar-2008] $)
  $}

  ${
    $d y z A $.  $d x B $.  $d x y z $.  $d ph z $.  $d B z $.
    $( Interchange class substitution and restricted quantifier.  (The proof
       was shortened by Andrew Salmon, 29-Jun-2011.) $)
    sbcralg $p |- ( A e. V ->
                 ( [ A / x ] A. y e. B ph <-> A. y e. B [ A / x ] ph ) ) $=
      ( vz wral cv wsbc wceq ralbidv wcel ax-17 hbs1 hbral sbequ12 sbie vtoclbg
      dfsbcq ) ACEHZBGIZJABUBJZCEHZUABDJABDJZCEHGDFUABUBDTUBDKUCUECEABUBDTLUAUD
      BGUCBCECIEMBNABGOPBIUBKAUCCEABGQLRS $.
      $( [29-Jun-2011] $) $( [15-Nov-2005] $)

    $( Interchange class substitution and restricted existential quantifier.
       (The proof was shortened by Andrew Salmon, 29-Jun-2011.) $)
    sbcrexg $p |- ( A e. V ->
                 ( [ A / x ] E. y e. B ph <-> E. y e. B [ A / x ] ph ) ) $=
      ( vz wrex cv wsbc wceq rexbidv wcel ax-17 hbs1 hbrex sbequ12 sbie vtoclbg
      dfsbcq ) ACEHZBGIZJABUBJZCEHZUABDJABDJZCEHGDFUABUBDTUBDKUCUECEABUBDTLUAUD
      BGUCBCECIEMBNABGOPBIUBKAUCCEABGQLRS $.
      $( [29-Jun-2011] $) $( [15-Nov-2005] $)

    $( Interchange class substitution and restricted uniqueness quantifier. $)
    sbcreug $p |- ( A e. V ->
                 ( [ A / x ] E! y e. B ph <-> E! y e. B [ A / x ] ph ) ) $=
      ( vz wreu cv wsbc wceq reubidv wcel ax-17 hbs1 hbreu sbequ12 sbie vtoclbg
      dfsbcq ) ACEHZBGIZJABUBJZCEHZUABDJABDJZCEHGDFUABUBDTUBDKUCUECEABUBDTLUAUD
      BGUCBCECIEMBNABGOPBIUBKAUCCEABGQLRS $.
      $( [24-Feb-2013] $)
  $}

  ${
    $d y w A $.  $d w z B $.  $d w ph $.  $d x y $.  $d w x z $.
    sbcabel.1 $e |- ( z e. B -> A. x z e. B ) $.
    $( Interchange class substitution and class abstraction. $)
    sbcabel $p |- ( A e. V -> ( [ A / x ] { y | ph } e. B <->
                  { y | [ A / x ] ph } e. B ) ) $=
      ( vw wcel cvv cab wsbc wb cv wceq wa wex df-clel wal sbcbii sbcexg sbcang
      elex abeq2 sbcalg sbcbig ax-17 sbcgf bibi1d albidv 3bitrd syl6bbr anbi12d
      bitrd hblem exbidv syl ) EGJEKJZACLZFJZBEMZABEMZCLZFJZNEGUDUSVBIOZVDPZVFF
      JZQZIRZVEUSVBVFUTPZVHQZIRZBEMVLBEMZIRVJVAVMBEKIUTFSUAVLIBEKUBUSVNVIIUSVNV
      KBEMZVHBEMZQVIVKVHBEKUCUSVOVGVPVHUSVOCOVFJZVCNZCTZVGUSVOVQANZCTZBEMVTBEMZ
      CTVSVKWABEKACVFUEUAVTCBEKUFUSWBVRCUSWBVQBEMZVCNVRVQABEKUGUSWCVQVCVQBEKVQB
      UHUIUJUOUKULVCCVFUEUMVHBEKBDIFHUPUIUNUOUQULIVDFSUMUR $.
      $( [5-Nov-2005] $)
  $}

  ${
    $d y A $.  $d x y B $.  $d y ph $.
    $( Restricted quantifier version of Axiom 4 of [Mendelson] p. 69.  This
       provides an axiom for a predicate calculus for a restricted domain.
       This theorem generalizes the unrestricted ~ stdpc4 and ~ a4sbc .  See
       also ~ ra4sbca and ~ ra4csbela . $)
    ra4sbc $p |- ( A e. B -> ( A. x e. B ph -> [ A / x ] ph ) ) $=
      ( vy wral wcel wsbc wi cv wceq df-ral stdpc4 sylbi dfsbcq sbcimg sbcel1gv
      wal imbi1d bitrd biimpd pm2.43b syl6bi syl5 vtocleg pm2.43a ) ABDFZCDGZAB
      CHZUGUHUIIZIECDUGBJDGZAIZBEJZHZUMCKZUJUGULBRUNABDLULBEMNUOUNULBCHZUJULBUM
      COUPUHUIUHUPUJUHUPUKBCHZUIIUJUKABCDPUHUQUHUIBCDDQSTUAUBUCUDUEUF $.
      $( [17-Nov-2006] $)

    $( Restricted quantifier version of Axiom 4 of [Mendelson] p. 69. $)
    ra4sbca $p |- ( ( A e. B /\ A. x e. B ph ) -> [ A / x ] ph ) $=
      ( wcel wral wsbc ra4sbc imp ) CDEABDFABCGABCDHI $.
      $( [18-Nov-2006] $) $( [14-Dec-2005] $)

    $( Existence form of ~ ra4sbca . $)
    ra4esbca $p |- ( ( A e. B /\ [ A / x ] ph ) -> E. x e. B ph ) $=
      ( wcel wsbc wrex wn wral ralnex ra4sbc sbcng sylibd syl5bir con4d imp ) C
      DEZABCFZABDGZQSRSHAHZBDIZQRHZABDJQUATBCFUBTBCDKABCDLMNOP $.
      $( [29-Feb-2008] $)
  $}

  ${
    ra5.1 $e |- ( ph -> A. x ph ) $.
    $( Restricted quantifier version of Axiom 5 of [Mendelson] p. 69.  This is
       an axiom of a predicate calculus for a restricted domain.  Compare the
       unrestricted ~ stdpc5 . $)
    ra5 $p |- ( A. x e. A ( ph -> ps ) -> ( ph -> A. x e. A ps ) ) $=
      ( wi wral cv wcel wal df-ral bi2.04 albii bitri stdpc5 sylbi syl6ibr ) AB
      FZCDGZACHDIZBFZCJZBCDGSAUAFZCJZAUBFSTRFZCJUDRCDKUEUCCTABLMNAUACEOPBCDKQ
      $.
      $( [16-Jan-2004] $)
  $}

  ${
    $d x y A $.
    rmo3.1 $e |- ( ph -> A. y ph ) $.
    $( Restricted "at most one" using explicit substitution. $)
    rmo3 $p |- ( E* x ( x e. A /\ ph ) <->
               A. x e. A A. y e. A ( ( ph /\ [ y / x ] ph ) -> x = y ) ) $=
      ( cv wcel wa wsbc wceq wi wal wral sban anbi1i 3bitri impexp albii df-ral
      wmo clelsb3 bitri anbi2i an4 ancom r19.21v 3bitr2i ax-17 hban mo3 3bitr4i
      imbi1i ) BFZDGZAHZUOBCFZIZHZUMUPJZKZCLZBLUNAABUPIZHZUSKZCDMZKZBLUOBTVEBDM
      VAVFBVAUPDGZUNVDKZKZCLVHCDMVFUTVICUTVGUNHZVCHZUSKVJVDKVIURVKUSURUOVGVBHZH
      UNVGHZVCHVKUQVLUOUQUNBUPIZVBHVLUNABCNVNVGVBCBDUAOUBUCUNAVGVBUDVMVJVCUNVGU
      EOPULVJVCUSQVGUNVDQPRVHCDSUNVDCDUFUGRUOBCUNACUNCUHEUIUJVEBDSUK $.
      $( [4-Nov-2012] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d y ph $.  $d x y ps $.  $d x ch $.
    rmoi.b $e |- ( x = B -> ( ph <-> ps ) ) $.
    rmoi.c $e |- ( x = C -> ( ph <-> ch ) ) $.
    $( Consequence of "at most one", using implicit substitution. $)
    rmob $p |- ( ( E* x ( x e. A /\ ph ) /\ ( B e. A /\ ps ) ) ->
      ( B = C <-> ( C e. A /\ ch ) ) ) $=
      ( cv wcel wa wmo wceq simprl eleq1 syl5ibcom wi simpl anbi12d a1i simplrr
      wb adantr simpr simpll mob syl212anc ex pm5.21ndd ) DJZEKZALZDMZFEKZBLZLZ
      GEKZFGNZURCLZUQUOUSURUNUOBOZFGEPQUTURRUQURCSUAUQURUSUTUCZUQURLUOURUNUOBVB
      UQUOURVAUDZUQURUEUNUPURUFVCUNUOBURUBUMUPUTDFGEEUKFNULUOABUKFEPHTUKGNULURA
      CUKGEPITUGUHUIUJ $.
      $( [2-Jan-2015] $)

    $( Consequence of "at most one", using implicit substitution. $)
    rmoi $p |- ( ( E* x ( x e. A /\ ph )
          /\ ( B e. A /\ ps ) /\ ( C e. A /\ ch ) ) -> B = C ) $=
      ( cv wcel wa wmo wceq rmob biimprd 3impia ) DJEKALDMZFEKBLZGEKCLZFGNZRSLU
      ATABCDEFGHIOPQ $.
      $( [4-Nov-2012] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Proper substitution of classes for sets into classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c [_ $.  $( Underlined left bracket $)
  $c ]_ $.  $( Underlined right bracket $)

  $( Extend class notation to include the proper substitution of a class for a
     set into another class. $)
  csb $a class [_ A / x ]_ B $.

  ${
    $d y A $.  $d y B $.  $d x y $.
    $( Define the proper substitution of a class for a set into another class.
       The underlined brackets distinguish it from the substitution into a wff,
       ~ wsbc , to prevent ambiguity.  Theorem ~ sbcel1g shows an example of
       how ambiguity could arise if we didn't use distinguished brackets.
       Theorem ~ sbccsbg recreates substitution into a wff from this
       definition. $)
    df-csb $a |- [_ A / x ]_ B = { y | [ A / x ] y e. B } $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x y $.
    csb2.1 $e |- A e. _V $.
    $( Alternate expression for the proper substitution into a class, without
       referencing substitution into a wff.  Note that ` x ` can be free in
       ` B ` but cannot occur in ` A ` . $)
    csb2 $p |- [_ A / x ]_ B = { y | E. x ( x = A /\ y e. B ) } $=
      ( csb cv wcel wsbc cab wceq wa wex df-csb sbc5 abbii eqtri ) ACDFBGDHZACI
      ZBJAGCKRLAMZBJABCDNSTBRACEOPQ $.
      $( [2-Dec-2013] $)
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    $( Analog of ~ dfsbcq for proper substitution into a class. $)
    csbeq1 $p |- ( A = B -> [_ A / x ]_ C = [_ B / x ]_ C ) $=
      ( vy wceq cv wcel wsbc cab csb dfsbcq abbidv df-csb 3eqtr4g ) BCFZEGDHZAB
      IZEJQACIZEJABDKACDKPRSEQABCLMAEBDNAECDNO $.
      $( [10-Nov-2005] $)
  $}

  ${
    $d x y z A $.  $d y z B $.  $d x z C $.  $d z V $.
    cbvcsbv.1 $e |- ( x = y -> B = C ) $.
    $( Change the bound variable of a proper substitution into a class using
       implicit substitution. $)
    cbvcsbv $p |- ( A e. V -> [_ A / x ]_ B = [_ A / y ]_ C ) $=
      ( vz wcel cv wsbc cab csb wceq eleq2d cbvsbcv abbidv df-csb 3eqtr4g ) CFI
      ZHJZDIZACKZHLUAEIZBCKZHLACDMBCEMTUCUEHUBUDABCFAJBJNDEUAGOPQAHCDRBHCERS $.
      $( [30-Sep-2008] $)
  $}

  ${
    csbeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for proper substitution into a class. $)
    csbeq1d $p |- ( ph -> [_ A / x ]_ C = [_ B / x ]_ C ) $=
      ( wceq csb csbeq1 syl ) ACDGBCEHBDEHGFBCDEIJ $.
      $( [3-Dec-2005] $)
  $}

  ${
    $d x y $.  $d y A $.
    $( Analog of ~ sbid for proper substitution into a class. $)
    csbid $p |- [_ x / x ]_ A = A $=
      ( vy cv csb wcel wsbc cab df-csb sbid abbii abid2 3eqtri ) AADZBECDBFZANG
      ZCHOCHBACNBIPOCOAJKCBLM $.
      $( [10-Nov-2005] $)
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    $( Equality theorem for proper substitution into a class. $)
    csbeq1a $p |- ( x = A -> B = [_ A / x ]_ B ) $=
      ( cv wceq csb csbid csbeq1 syl5eqr ) ADZBECAJCFABCFACGAJBCHI $.
      $( [10-Nov-2005] $)
  $}

  ${
    $d z A $.  $d y z B $.  $d z V $.  $d x z $.
    $( Composition law for chained substitutions into a class. $)
    csbcog $p |- ( A e. V -> [_ A / y ]_ [_ y / x ]_ B = [_ A / x ]_ B ) $=
      ( vz wcel csb wsbc cab df-csb abeq2i sbcbii sbccog bitrd abbidv 3eqtr4g
      cv ) CEGZFRZABRZDHZGZBCIZFJTDGZACIZFJBCUBHACDHSUDUFFSUDUEAUAIZBCIUFUCUGBC
      EUGFUBAFUADKLMUEABCENOPBFCUBKAFCDKQ $.
      $( [10-Nov-2005] $)
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    $( The existence of proper substitution into a class. $)
    csbexg $p |- ( ( A e. V /\ A. x B e. W ) -> [_ A / x ]_ B e. _V ) $=
      ( vy wcel wal wa csb wsbc cab cvv df-csb abid2 elex syl5eqel alimi a4sbc
      cv syl5 imp wb ax-17 sbcabel adantr mpbid ) BDGZCEGZAHZIZABCJFTZCGZABKFLZ
      MAFBCNUKUMFLZMGZABKZUNMGZUHUJUQUJUPAHUHUQUIUPAUIUOCMFCOCEPQRUPABDSUAUBUHU
      QURUCUJUMAFFBMDULMGAUDUEUFUGQ $.
      $( [10-Nov-2005] $)
  $}

  ${
    csbex.1 $e |- A e. _V $.
    csbex.2 $e |- B e. _V $.
    $( The existence of proper substitution into a class.  (The proof was
       shortened by Andrew Salmon, 29-Jun-2011.) $)
    csbex $p |- [_ A / x ]_ B e. _V $=
      ( cvv wcel csb wal csbexg mpan mpg ) CFGZABCHFGZABFGMAINDABCFFJKEL $.
      $( [29-Jun-2011] $) $( [7-Aug-2007] $)
  $}

  ${
    $d y A $.  $d y B $.  $d y V $.  $d x y $.
    csbconstgf.1 $e |- ( y e. B -> A. x y e. B ) $.
    $( Substitution doesn't affect a constant ` B ` (in which ` x ` is not
       free). $)
    csbconstgf $p |- ( A e. V -> [_ A / x ]_ B = B ) $=
      ( wcel csb cv wsbc cab df-csb sbcgf abbi1dv syl5eq ) CEGZACDHBIDGZACJZBKD
      ABCDLPRBDQACEFMNO $.
      $( [10-Nov-2005] $)
  $}

  ${
    $d A y $.  $d B x y $.  $d V y $.
    $( Substitution doesn't affect a constant ` B ` (in which ` x ` is not
       free). ~ csbconstgf with distinct variable requirement.(Contributed by
       Alan Sare, 22-Jul-2012.) $)
    csbconstgfv $p |- ( A e. V -> [_ A / x ]_ B = B ) $=
      ( vy cv wcel ax-17 csbconstgf ) AEBCDEFCGAHI $.
      $( [22-Jul-2012] $)
  $}

  ${
    $d w x y z $.  $d w y z A $.  $d w y z B $.  $d w y z C $.
    $( Distribute proper substitution through a membership relation.  (The
       proof was shortened by Andrew Salmon, 29-Jun-2011.) $)
    sbcel12g $p |- ( A e. V -> ( [ A / x ] B e. C <->
                   [_ A / x ]_ B e. [_ A / x ]_ C ) ) $=
      ( vy vz vw wcel wsbc cv cab csb dfsbcq wceq abbidv eleq12d hbs1 hbab sbab
      hbel sbie vtoclbg df-csb eleq12i syl6bbr ) BEICDIZABJZFKZCIZABJZFLZUIDIZA
      BJZFLZIZABCMZABDMZIUGAGKZJUJAUSJZFLZUMAUSJZFLZIZUHUPGBEUGAUSBNUSBOZVAULVC
      UOVEUTUKFUJAUSBNPVEVBUNFUMAUSBNPQUGVDAGAHHVAVCUTAFHUJAGRSVBAFHUMAGRSUAAKU
      SOCVADVCAGFCTAGFDTQUBUCUQULURUOAFBCUDAFBDUDUEUF $.
      $( [29-Jun-2011] $) $( [10-Nov-2005] $)

    $( Distribute proper substitution through an equality relation.  (The proof
       was shortened by Andrew Salmon, 29-Jun-2011.) $)
    sbceqg $p |- ( A e. V -> ( [ A / x ] B = C <->
                   [_ A / x ]_ B = [_ A / x ]_ C ) ) $=
      ( vz vy vw wcel wceq wsbc cv cab csb dfsbcq abbidv eqeq12d hbs1 hbab sbab
      hbeq sbie vtoclbg df-csb eqeq12i syl6bbr ) BEICDJZABKZFLZCIZABKZFMZUIDIZA
      BKZFMZJZABCNZABDNZJUGAGLZKUJAUSKZFMZUMAUSKZFMZJZUHUPGBEUGAUSBOUSBJZVAULVC
      UOVEUTUKFUJAUSBOPVEVBUNFUMAUSBOPQUGVDAGAHHVAVCUTAFHUJAGRSVBAFHUMAGRSUAALU
      SJCVADVCAGFCTAGFDTQUBUCUQULURUOAFBCUDAFBDUDUEUF $.
      $( [29-Jun-2011] $) $( [10-Nov-2005] $)
  $}

  $( Distribute proper substitution through negated membership.  (Contributed
     by Andrew Salmon, 18-Jun-2011.) $)
  sbcnel12g $p |- ( A e. V -> ( [ A / x ] B e/ C <-> [_ A / x ]_ B e/
                    [_ A / x ]_ C ) ) $=
    ( wcel wnel wsbc wn csb df-nel sbcbii sbcng sbcel12g notbid syl6bbr 3bitrd
    ) BEFZCDGZABHCDFZIZABHTABHZIZABCJZABDJZGZSUAABECDKLTABEMRUCUDUEFZIUFRUBUGAB
    CDENOUDUEKPQ $.
    $( [18-Jun-2011] $)

  $( Distribute proper substitution through an inequality.  (Contributed by
     Andrew Salmon, 18-Jun-2011.) $)
  sbcne12g $p |- ( A e. V -> ( [ A / x ] B =/= C <-> [_ A / x ]_ B =/=
                   [_ A / x ]_ C ) ) $=
    ( wcel wne wsbc csb wn wceq nne sbcbii sbcng sbceqg syl6bbr 3bitr3d con4bid
    ) BEFZCDGZABHZABCIZABDIZGZSTJZABHCDKZABHZUAJUDJZUEUFABECDLMTABENSUGUBUCKUHA
    BCDEOUBUCLPQR $.
    $( [18-Jun-2011] $)

  ${
    $d y A $.  $d x y C $.  $d y V $.
    $( Move proper substitution in and out of a membership relation.  Note that
       the scope of ` [ A / x ] ` is the wff ` B e. C ` , whereas the scope of
       ` [_ A / x ]_ ` is the class ` B ` . $)
    sbcel1g $p |- ( A e. V -> ( [ A / x ] B e. C <->
                    [_ A / x ]_ B e. C ) ) $=
      ( wcel wsbc csb sbcel12g csbconstgfv eleq2d bitrd ) BEFZCDFABGABCHZABDHZF
      NDFABCDEIMODNABDEJKL $.
      $( [10-Nov-2005] $)

    $( Move proper substitution to first argument of an equality. $)
    sbceq1g $p |- ( A e. V -> ( [ A / x ] B = C <->
                    [_ A / x ]_ B = C ) ) $=
      ( wcel wceq wsbc csb sbceqg csbconstgfv eqeq2d bitrd ) BEFZCDGABHABCIZABD
      IZGODGABCDEJNPDOABDEKLM $.
      $( [30-Nov-2005] $)
  $}

  ${
    $d y A $.  $d x y B $.  $d y V $.
    $( Move proper substitution in and out of a membership relation. $)
    sbcel2g $p |- ( A e. V -> ( [ A / x ] B e. C <->
                    B e. [_ A / x ]_ C ) ) $=
      ( wcel wsbc csb sbcel12g csbconstgfv eleq1d bitrd ) BEFZCDFABGABCHZABDHZF
      COFABCDEIMNCOABCEJKL $.
      $( [14-Nov-2005] $)

    $( Move proper substitution to second argument of an equality. $)
    sbceq2g $p |- ( A e. V -> ( [ A / x ] B = C <->
                    B = [_ A / x ]_ C ) ) $=
      ( wcel wceq wsbc csb sbceqg csbconstgfv eqeq1d bitrd ) BEFZCDGABHABCIZABD
      IZGCPGABCDEJNOCPABCEKLM $.
      $( [30-Nov-2005] $)
  $}

  ${
    $d y z A $.  $d x z B $.  $d z C $.  $d x y $.
    $( Commutative law for double substitution into a class. $)
    csbcomg $p |- ( ( A e. V /\ B e. W ) ->
                 [_ A / x ]_ [_ B / y ]_ C = [_ B / y ]_ [_ A / x ]_ C ) $=
      ( vz wcel cvv csb wceq elex wa cv wsbc wb sbcel2g sbcbidgv 3bitr3d ancoms
      sbccomg adantr adantl eqrdv syl2an ) CFICJIZDJIZACBDEKZKZBDACEKZKZLDGICFM
      DGMUGUHNZHUJULUMHOZUIIZACPZUNUKIZBDPZUNUJIZUNULIZUMUNEIZBDPZACPZVAACPZBDP
      UPURVAABCDJJUBUHUGVCUPQUHVBUOACJBDUNEJRSUAUGVDUQBDJACUNEJRSTUGUPUSQUHACUN
      UIJRUCUHURUTQUGBDUNUKJRUDTUEUF $.
      $( [14-Nov-2005] $)
  $}

  ${
    csbeq2d.1 $e |- ( ph -> A. x ph ) $.
    csbeq2d.2 $e |- ( ph -> B = C ) $.
    $( Formula-building deduction rule for class substitution. $)
    csbeq2d $p |- ( ( ph /\ A e. V ) -> [_ A / x ]_ B = [_ A / x ]_ C ) $=
      ( wcel csb wceq wsbc wal alrimi a4sbc syl5 sbceqg sylibd impcom ) CFIZABC
      DJBCEJKZTADEKZBCLZUAAUBBMTUCAUBBGHNUBBCFOPBCDEFQRS $.
      $( [22-Nov-2005] $)
  $}

  ${
    $d x ph $.
    csbeq2dv.1 $e |- ( ph -> B = C ) $.
    $( Formula-building deduction rule for class substitution. $)
    csbeq2dv $p |- ( ( ph /\ A e. V ) -> [_ A / x ]_ B = [_ A / x ]_ C ) $=
      ( ax-17 csbeq2d ) ABCDEFABHGI $.
      $( [10-Nov-2005] $)
  $}

  ${
    csbeq2i.1 $e |- B = C $.
    $( Formula-building inference rule for class substitution. $)
    csbeq2i $p |- ( A e. V -> [_ A / x ]_ B = [_ A / x ]_ C ) $=
      ( wcel wceq wsbc csb sbcth sbceqg mpbid ) BEGCDHZABIABCJABDJHNABEFKABCDEL
      M $.
      $( [10-Nov-2005] $)
  $}

  ${
    $d y z A $.  $d x y z $.
    $( The proper substitution of a class for set variable results in the class
       (if the class exists). $)
    csbvarg $p |- ( A e. V -> [_ A / x ]_ x = A ) $=
      ( vy vz wcel cvv cv csb wceq elex vex wsbc df-csb sbcel2gv abbi1dv syl5eq
      cab ax-mp csbeq2i csbcog 3eqtr3d syl ) BCFBGFZABAHZIZBJBCKUDDBADHZUEIZIDB
      UGIZUFBDBUHUGGUGGFZUHUGJDLUJUHEHZUEFAUGMZERUGAEUGUENUJULEUGAUKUGGOPQSTADB
      UEGUAUDUIUKUGFDBMZERBDEBUGNUDUMEBDUKBGOPQUBUC $.
      $( [10-Nov-2005] $)
  $}

  ${
    $d x y $.
    $( Substitution into a wff expressed in terms of substitution into a
       class. $)
    sbccsbg $p |- ( A e. V ->
                 ( [ A / x ] ph <-> y e. [_ A / x ]_ { y | ph } ) ) $=
      ( wcel cv cab wsbc csb abid sbcbii sbcel2g bitr3d ) DEFCGZACHZFZBDIABDIOB
      DPJFQABDEACKLBDOPEMN $.
      $( [15-Aug-2007] $)
  $}

  $( Substitution into a wff expressed in using substitution into a class. $)
  sbccsb2g $p |- ( A e. V ->
               ( [ A / x ] ph <-> A e. [_ A / x ]_ { x | ph } ) ) $=
    ( wcel cv cab wsbc csb sbcel12g abid sbcbii csbvarg eleq1d 3bitr3d ) CDEZBF
    ZABGZEZBCHBCQIZBCRIZEABCHCUAEBCQRDJSABCDABKLPTCUABCDMNO $.
    $( [27-Nov-2005] $)

  ${
    $d y z A $.  $d z B $.  $d x y z $.
    hbcsb1g.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for substitution into a class. $)
    hbcsb1g $p |- ( A e. V ->
                 ( y e. [_ A / x ]_ B -> A. x y e. [_ A / x ]_ B ) ) $=
      ( vz wcel cvv cv csb wal wi elex wsbc cab ax-17 hbel alrimi hbsbc1g hbabd
      df-csb eleq2i albii 3imtr4g syl ) CEHCIHZBJZACDKZHZUJALZMCENUGUHGJDHZACOZ
      GPZHZUOALUJUKUGUMAGBUGUGGLAABBCIFUHIHAQRUGGQSULABCIFTUAUIUNUHAGCDUBUCZUJU
      OAUPUDUEUF $.
      $( [11-Nov-2005] $)
  $}

  ${
    $d y z A $.  $d z B $.  $d x y z $.
    hbcsb1.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for substitution into a class. $)
    hbcsb1 $p |- ( y e. [_ A / x ]_ B -> A. x y e. [_ A / x ]_ B ) $=
      ( vz csb cv wcel wsbc cab df-csb hbsbc1 hbab hbxfreq ) ABACDGFHDIZACJZFKA
      FCDLQAFBPABCEMNO $.
      $( [7-Dec-2014] $) $( [17-Aug-2006] $)
  $}

  ${
    $d w z A $.  $d w z B $.  $d w x z $.  $d w y $.
    hbcsb.1 $e |- ( z e. A -> A. x z e. A ) $.
    hbcsb.2 $e |- ( z e. B -> A. x z e. B ) $.
    $( Bound-variable hypothesis builder for substitution into a class. $)
    hbcsb $p |- ( z e. [_ A / y ]_ B -> A. x z e. [_ A / y ]_ B ) $=
      ( vw csb cv wcel wsbc cab df-csb hblem hbsbc hbab hbxfreq ) ACBDEIHJEKZBD
      LZHMBHDENTAHCSABCDFACHEGOPQR $.
      $( [7-Sep-2014] $)

    $( Bound-variable hypothesis builder for substitution into a class. $)
    hbcsbg $p |- ( A e. V ->
                 ( z e. [_ A / y ]_ B -> A. x z e. [_ A / y ]_ B ) ) $=
      ( vw wcel cvv cv csb wal wi elex wsbc cab ax-17 hbel alrimi hbsbcg df-csb
      hblem hbabd eleq2i albii 3imtr4g syl ) DFJDKJZCLZBDEMZJZUMANZODFPUJUKILEJ
      ZBDQZIRZJZURANUMUNUJUPAICUJUJINAACCDKGUKKJASTUJISUAUOABCDKGACIEHUDUBUEULU
      QUKBIDEUCUFZUMURAUSUGUHUI $.
      $( [20-Nov-2005] $)
  $}

  ${
    $d y z A $.  $d z B $.  $d y z ph $.  $d x y z $.
    hbcsb1gd.1 $e |- ( ph -> A. x ph ) $.
    hbcsb1gd.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    $( Deduction version of ~ hbcsb1g . $)
    hbcsb1gd $p |- ( ( ph /\ A e. V ) ->
                 ( y e. [_ A / x ]_ B -> A. x y e. [_ A / x ]_ B ) ) $=
      ( vz wcel cvv cv csb wal wi elex wa a1d a17d hbeld hband anabsi5 hbsbc1gd
      wsbc wb sbcel2g adantl albid 3imtr3d sylan2 ) DFJADKJZCLZBDEMZJZUNBNODFPA
      UKQZBIULUMAUKUOBNAAUKBAABNAGRABCDKGHAULKJBSTUAUBZUOILZULJBSUOUQEJZBDUDZUS
      BNUQUMJZUTBNAURBCDKGHUCUKUSUTUEABDUQEKUFUGZUOUSUTBUPVAUHUITUJ $.
      $( [23-May-2006] $)
  $}

  ${
    $d w z A $.  $d w z B $.  $d w z ph $.  $d w x z $.  $d w y $.
    hbcsbgd.1 $e |- ( ph -> A. x ph ) $.
    hbcsbgd.2 $e |- ( ph -> A. y ph ) $.
    hbcsbgd.3 $e |- ( ph -> ( z e. A -> A. x z e. A ) ) $.
    hbcsbgd.4 $e |- ( ph -> ( z e. B -> A. x z e. B ) ) $.
    $( Deduction version of ~ hbcsbg . $)
    hbcsbgd $p |- ( ( ph /\ A e. V ) ->
                 ( z e. [_ A / y ]_ B -> A. x z e. [_ A / y ]_ B ) ) $=
      ( vw wcel cvv cv wal wi ax-17 a1i hbeld csb elex wa hband anabsi5 hbsbcgd
      a1d wsbc wb sbcel2g adantl albid 3imtr3d sylan2 ) EGMAENMZDOZCEFUAZMZURBP
      QEGUBAUOUCZBLUPUQAUOUSBPAAUOBAABPAHUGABDENHJUPNMZUTBPQAUTBRSTUDUEZLOZUPMZ
      VCBPQUSVCBRSUSVBFMZCEUHZVEBPVBUQMZVFBPAVDBCDENHIJABDVBFHUPVBMZVGBPQAVGBRS
      KTUFUOVEVFUIACEVBFNUJUKZUSVEVFBVAVHULUMTUN $.
      $( [21-Nov-2005] $)
  $}

  ${
    $d z A $.  $d w B $.  $d z C $.  $d w x y z $.
    csbhypf.1 $e |- ( z e. A -> A. x z e. A ) $.
    csbhypf.2 $e |- ( z e. C -> A. x z e. C ) $.
    csbhypf.3 $e |- ( x = A -> B = C ) $.
    $( Introduce an explicit substitution into an implicit substitution
       hypothesis.  See ~ sbhypf for class substitution version. $)
    csbhypf $p |- ( y = A -> [_ y / x ]_ B = C ) $=
      ( vw cv wceq wa wex csb wcel ax-17 vex eqvincf hbcsb1 hbeq csbeq1a exlimi
      sylan9req sylbi ) BKZDLAKZUFLZUGDLZMZANAUFEOZFLZACUFDCKUFPAQGBRSUJULAAJCU
      KFAJUFEJKUFPAQTHUAUHUIUKEFAUFEUBIUDUCUE $.
      $( [19-Dec-2008] $)
  $}

  ${
    $d x z A $.  $d z B $.  $d y z C $.  $d z V $.  $d x y z $.
    $( Conversion of implicit substitution to explicit substitution into a
       class.  (Closed theorem version of ~ csbiegf .) $)
    csbiegft $p |- ( ( A e. V /\ A. x A. y ( y e. C -> A. x y e. C ) /\
                 A. x ( x = A -> B = C ) ) -> [_ A / x ]_ B = C ) $=
      ( vz wcel cv wal wi wceq w3a csb wsbc cab df-csb wb id alimi eleq1 albidv
      imbi12d a4v eleq2 imim2i sbciegft syl3an abbi1dv syl5eq ) CFHZBIZEHZUMAJZ
      KZBJZAJZAICLZDELZKZAJZMZACDNGIZDHZACOZGPEAGCDQVBVEGEUKUKUQVCEHZVFAJZKZAJV
      AURVDVFRZKZAJVEVFRUKSUPVHAUOVHBGULVCLZUMVFUNVGULVCEUAZVKUMVFAVLUBUCUDTUTV
      JAUSVIURDEVCUEUFTVDVFACFUGUHUIUJ $.
      $( [11-Nov-2005] $)
  $}

  ${
    $d x z A $.  $d z B $.  $d y C $.  $d x y $.
    csbieb.1 $e |- A e. _V $.
    csbieb.2 $e |- ( y e. C -> A. x y e. C ) $.
    $( Bidirectional conversion between an implicit class substitution
       hypothesis ` x = A -> B = C ` and its explicit substitution
       equivalent. $)
    csbieb $p |- ( A. x ( x = A -> B = C ) <-> [_ A / x ]_ B = C ) $=
      ( vz wceq csb cv wcel ax-17 hbcsb1 hbeq csbeq1a eqeq1d ceqsal ) DEIACDJZE
      IACAHBSEAHCDHKCLAMNGOFAKCIDSEACDPQR $.
      $( [2-Mar-2008] $)
  $}

  ${
    $d a x A $.  $d a B $.  $d a y C $.  $d x y $.
    csbiebg.2 $e |- ( y e. C -> A. x y e. C ) $.
    $( Bidirectional conversion between an implicit class substitution
       hypothesis ` x = A -> B = C ` and its explicit substitution
       equivalent. $)
    csbiebg $p |- ( A e. V ->
          ( A. x ( x = A -> B = C ) <-> [_ A / x ]_ B = C ) ) $=
      ( va cv wceq wi wal csb eqeq2 imbi1d albidv csbeq1 eqeq1d vex csbieb
      vtoclbg ) AIZHIZJZDEJZKZALAUCDMZEJUBCJZUEKZALACDMZEJHCFUCCJZUFUIAUKUDUHUE
      UCCUBNOPUKUGUJEAUCCDQRABUCDEHSGTUA $.
      $( [24-Mar-2013] $)
  $}

  ${
    $d x y A $.  $d y C $.  $d x y V $.
    csbiegf.1 $e |- ( A e. V -> ( y e. C -> A. x y e. C ) ) $.
    csbiegf.2 $e |- ( x = A -> B = C ) $.
    $( Conversion of implicit substitution to explicit substitution into a
       class. $)
    csbiegf $p |- ( A e. V -> [_ A / x ]_ B = C ) $=
      ( wcel cv wal wi wceq wa csb alrimivv ax-gen jctir csbiegft 3expb mpdan )
      CFIZBJEIZUCAKLZBKAKZAJCMDEMLZAKZNACDOEMZUBUEUGUBUDABGPUFAHQRUBUEUGUHABCDE
      FSTUA $.
      $( [11-Nov-2005] $)
  $}

  ${
    $d x A $.  $d y C $.  $d x y $.
    csbief.1 $e |- A e. _V $.
    csbief.2 $e |- ( y e. C -> A. x y e. C ) $.
    csbief.3 $e |- ( x = A -> B = C ) $.
    $( Conversion of implicit substitution to explicit substitution into a
       class.  (The proof was shortened by Andrew Salmon, 9-Jul-2011.) $)
    csbief $p |- [_ A / x ]_ B = C $=
      ( cv wceq wi csb csbieb mpgbi ) AICJDEJKACDLEJAABCDEFGMHN $.
      $( [9-Jul-2011] $) $( [26-Nov-2005] $)
  $}

  ${
    $d x A $.  $d x y C $.  $d x y ph $.
    csbied.1 $e |- ( ph -> A e. V ) $.
    csbied.2 $e |- ( ( ph /\ x = A ) -> B = C ) $.
    $( Conversion of implicit substitution to explicit substitution into a
       class.  (Contributed by Mario Carneiro, 2-Dec-2014.) $)
    csbied $p |- ( ph -> [_ A / x ]_ B = C ) $=
      ( vy wcel cv wal wi wceq csb a17d alrimivv ex alrimiv csbiegft syl3anc )
      ACFJIKEJZUBBLMZILBLBKCNZDENZMZBLBCDOENGAUCBIAUBBPQAUFBAUDUEHRSBICDEFTUA
      $.
      $( [2-Dec-2014] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d z C $.  $d x y z D $.
    csbie2g.1 $e |- A e. _V $.
    csbie2g.2 $e |- B e. _V $.
    $( Conversion of implicit substitution to explicit substitution into a
       class (closed form of ~ csbie2 ). $)
    csbie2t $p |- ( A. x A. y ( ( x = A /\ y = B ) -> C = D ) ->
                  [_ A / x ]_ [_ B / y ]_ C = D ) $=
      ( vz cv wceq wa wi wal wex csb isseti hba1 wcel ax-17 hbcsb1 hbeq csbeq1a
      eeanv hbcsb sylan9eqr pm3.43 mpan eqtr2 syl6 a4s exlimd syl5bir mp2ani )
      AJCKZBJDKZLZEFKZMZBNZANZUOAOZUPBOZACBDEPZPZFKZACGQBDHQVBVCLUQBOZAOVAVFUOU
      PABUDVAVGVFAUTARAIIVEFAICVDIJZCSZATUAVHFSZATUBUTVGVFMAUTUQVFBUSBRBIIVEFBA
      ICVDVIBTBIDEVHDSBTUAUEVJBTUBUSUQVFMBUSUQEVEKZURLZVFUQVKMUSUQVLMUPUOEVDVEB
      DEUCACVDUCUFUQVKURUGUHEVEFUIUJUKULUKULUMUN $.
      $( [3-Sep-2007] $)

    ${
      csbie2.3 $e |- ( ( x = A /\ y = B ) -> C = D ) $.
      $( Conversion of implicit substitution to explicit substitution into a
         class. $)
      csbie2 $p |- [_ A / x ]_ [_ B / y ]_ C = D $=
        ( cv wceq wa wi wal csb gen2 csbie2t ax-mp ) AJCKBJDKLEFKMZBNANACBDEOOF
        KSABIPABCDEFGHQR $.
        $( [27-Aug-2007] $)
    $}
  $}

  ${
    $d x y z A $.  $d y z B $.  $d x z C $.  $d x y z V $.  $d y z W $.
    $( Lemma for ~ csbnestg . $)
    csbnestglem $p |- ( ( A e. V /\ A. x B e. W ) ->
                  [_ A / x ]_ [_ B / y ]_ C = [_ [_ A / x ]_ B / y ]_ C ) $=
      ( vz wcel wal wa cv csb wi wceq simpl ax-17 hba1 hban cvv hbcsb1g hbcsbgd
      csbexg adantr a17d alrimiv alrimi csbeq1a csbeq1d ax-gen csbiegft syl3anc
      mpdan a1i ) CFIZDGIZAJZKZUOHLZBACDMZEMZIZVBAJNZHJZAJALCOZBDEMZVAONZAJZACV
      FMVAOUOUQPURVDAUOUQAUOAQUPARSZURVCHURUTTIVCACDFGUCURABHUTETVIUOUQBUOBQUQB
      QSUOUSUTIZVJAJNUQAHCDFUSCIAQUAUDURUSEIAUEUBUMUFUGVHURVGAVEBDUTEACDUHUIUJU
      NAHCVFVAFUKUL $.
      $( [23-Nov-2005] $)
  $}

  ${
    $d w z A $.  $d w z B $.  $d w x z C $.  $d w x y $.
    $( Nest the composition of two substitutions. $)
    csbnestg $p |- ( ( A e. V /\ A. x B e. W ) ->
                  [_ A / x ]_ [_ B / y ]_ C = [_ [_ A / x ]_ B / y ]_ C ) $=
      ( vz vw wcel cvv wal csb wceq elex cv csbcog adantr csbnestglem mpan hba1
      alimi vex csbeq2dv ancoms csbexg alrimiv sylan2 csbeq1d 3eqtrd eqtr3d a4s
      wa csbeq2d syl 3eqtr3d syl2an ) CFJCKJZDKJZALZACBDEMZMZBACDMZEMZNDGJZALCF
      OVEUSADGOUBURUTUMZACHDBHPEMZMZMZHVCVGMZVBVDVFICAIPZVHMZMZVIVJURVMVINUTAIC
      VHKQRVFVMICHAVKDMZVGMZMZHICVNMZVGMZVJUTURVMVPNUTICVLVOKVKKJZUTVLVONIUCZAH
      VKDVGKKSTUDUEUTURVNKJZILVPVRNUTWAIVSUTWAVTAVKDKKUFTUGIHCVNVGKKSUHURVRVJNU
      TURHVQVCVGAICDKQUIRUJUKUTURVIVBNUTACVHVAKUSAUAUSVHVANABHDEKQULUNUEVFVCKJV
      JVDNACDKKUFBHVCEKQUOUPUQ $.
      $( [23-Nov-2005] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d y C $.  $d y W $.
    $( Nest the composition of two substitutions. $)
    csbnest1g $p |- ( ( A e. V /\ A. x B e. W ) ->
                  [_ A / x ]_ [_ B / x ]_ C = [_ [_ A / x ]_ B / x ]_ C ) $=
      ( vy wcel cvv wal csb wceq elex wa cv wi simpl ax-17 hba1 hban csbexg a1i
      hbcsb1g hbcsb1gd syldan alrimiv alrimi csbeq1a csbeq1d csbiegft syl3anc
      ax-gen sylan ) BEHBIHZCFHZAJZABACDKZKAABCKZDKZLZBEMUNUPNZUNGOZUSHZVCAJPZG
      JZAJAOBLZUQUSLPZAJZUTUNUPQVAVEAUNUPAUNARZUOASTVAVDGUNUPURIHVDABCIFUAUNAGU
      RDIVIAGBCIVBBHARUCUDUEUFUGVHVAVGAVFACURDABCUHUIULUBAGBUQUSIUJUKUM $.
      $( [23-May-2006] $)
  $}

  ${
    $d x ph $.  $d x y $.
    $( Nest the composition of two substitutions. $)
    sbcnestg $p |- ( ( A e. V /\ A. x B e. W ) ->
                ( [ A / x ] [ B / y ] ph <-> [ [_ A / x ]_ B / y ] ph ) ) $=
      ( wcel wal cvv wsbc csb wb elex alimi wa cab hba1 sbccsb2g a4s ancoms syl
      sbcbidg sbcel12g adantr csbnestg eleq2d csbexg bitr4d 3bitrd sylan2 ) EGH
      ZBIDFHZEJHZBIZACEKZBDKZACBDELZKZMULUNBEGNOUMUOPZUQECEACQZLZHZBDKZURBDVBLZ
      HZUSUOUMUQVDMUOUPVCBDFUNBRUNUPVCMBACEJSTUCUAUMVDVFMUOBDEVBFUDUEUTVFURCURV
      ALZHZUSUTVEVGURBCDEVAFJUFUGUTURJHUSVHMBDEFJUHACURJSUBUIUJUK $.
      $( [27-Nov-2005] $)
  $}

  ${
    $d x y A $.
    $( Idempotent law for class substitutions. $)
    csbidmg $p |- ( A e. V -> [_ A / x ]_ [_ A / x ]_ B = [_ A / x ]_ B ) $=
      ( vy wcel cvv csb wceq elex wal ax-17 csbnest1g mpdan cv csbconstgf eqtrd
      csbeq1d syl ) BDFBGFZABABCHZHZUAIBDJTUBAABBHZCHZUATTAKUBUDITALABBCGGMNTAU
      CBCAEBBGEOBFALPRQS $.
      $( [1-Mar-2008] $)
  $}

  ${
    $d x A $.  $d x C $.  $d x z D $.  $d x y $.
    csbco3g.1 $e |- ( x = A -> B = D ) $.
    $( Composition of two class substitutions. $)
    csbco3g $p |- ( ( A e. V /\ A. x B e. W ) ->
                 [_ A / x ]_ [_ B / y ]_ C = [_ D / y ]_ C ) $=
      ( vz wcel wal wa csb csbnestg wceq cv wi ax-17 gen2 ax-gen mp3an23 adantr
      csbiegft csbeq1d eqtrd ) CGKZDHKALZMACBDENNBACDNZENZBFENZABCDEGHOUGUJUKPU
      HUGBUIFEUGJQFKZULALRZJLALAQCPDFPRZALUIFPUMAJULASTUNAIUAAJCDFGUDUBUEUCUF
      $.
      $( [27-Nov-2005] $)
  $}

  ${
    $d x A $.  $d x ph $.  $d x z C $.  $d x y $.
    sbcco3g.1 $e |- ( x = A -> B = C ) $.
    $( Composition of two substitutions. $)
    sbcco3g $p |- ( ( A e. V /\ A. x B e. W ) ->
                ( [ A / x ] [ B / y ] ph <-> [ C / y ] ph ) ) $=
      ( vz wcel wal wa wsbc csb sbcnestg wb wceq cv wi ax-17 gen2 ax-gen dfsbcq
      csbiegft mp3an23 syl adantr bitrd ) DGKZEHKBLZMACENBDNACBDEOZNZACFNZABCDE
      GHPUJUMUNQZUKUJULFRZUOUJJSFKZUQBLTZJLBLBSDREFRTZBLUPURBJUQBUAUBUSBIUCBJDE
      FGUEUFACULFUDUGUHUI $.
      $( [27-Nov-2005] $)
  $}

  ${
    $d x B $.  $d x D $.
    $( Special case related to ~ ra4sbc .  (The proof was shortened by Eric
       Schmidt, 17-Jan-2007.) $)
    ra4csbela $p |- ( ( A e. B /\ A. x e. B C e. D ) -> [_ A / x ]_ C e. D ) $=
      ( wcel wral csb wsbc ra4sbc sbcel1g sylibd imp ) BCFZDEFZACGZABDHEFZNPOAB
      IQOABCJABDECKLM $.
      $( [18-Jan-2007] $) $( [10-Dec-2005] $)
  $}

  ${
    $d y z A $.  $d z ph $.  $d x y z $.  $d V z $.
    $( Move substitution into a class abstraction.  (The proof was shortened by
       Andrew Salmon, 9-Jul-2011.) $)
    csbabg $p |- ( A e. V ->
                 [_ A / x ]_ { y | ph } = { y | [ A / x ] ph } ) $=
      ( vz wcel cab csb wsbc df-clab cvv vex sbccomg mpan syl5bb sbcbii sbcel2g
      cv wb 3bitr2rd eqrdv ) DEGZFBDACHZIZABDJZCHZUCFSZUGGZACUHJZBDJZUHUDGZBDJU
      HUEGUIUFCUHJZUCUKUFFCKUHLGUCUMUKTFMACBUHDLENOPULUJBDEAFCKQBDUHUDERUAUB $.
      $( [9-Jul-2011] $) $( [13-Dec-2005] $)
  $}

  ${
    $d x v z $.  $d y v z $.  $d A w v z $.  $d B w v z $.  $d ph v z $.
    $d ps v z $.
    cbvralcsf.1 $e |- ( x = y -> A = B ) $.
    cbvralcsf.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    cbvralcsf.3 $e |- ( w e. A -> A. y w e. A ) $.
    cbvralcsf.4 $e |- ( w e. B -> A. x w e. B ) $.
    cbvralcsf.5 $e |- ( ph -> A. y ph ) $.
    cbvralcsf.6 $e |- ( ps -> A. x ps ) $.
    $( A more general version of ~ cbvralf that doesn't require ` A ` and ` B `
       to be distinct from ` x ` or ` y ` .  Changes bound variables using
       implicit substitution.  (Contributed by Andrew Salmon, 13-Jul-2011.) $)
    cbvralcsf $p |- ( A. x e. A ph <-> A. y e. B ps ) $=
      ( vz vv cv wcel wi wal ax-17 wral csb wsbc hbcsb1 hblem hbs1 hbim wceq id
      csbeq1a eleq12d sbequ12 imbi12d cbval cvv hbcsbg ax-mp hbsb csbeq1 df-csb
      vex cab eleq2d sbie bicomi abbi2i eqtr4i syl6eq sbequ syl6bb bitri df-ral
      3bitr4i ) CPZFQZARZCSZDPZGQZBRZDSZACFUABDGUAVQNPZCWBFUBZQZACWBUCZRZNSWAVP
      WFCNVPNTWDWECCONWCCOWBFOPZWBQZCTUDUEACNUFUGVNWBUHZVOWDAWEWIVNWBFWCWIUICWB
      FUJUKACNULUMUNWFVTNDWDWEDDONWCWBUOQWGWCQZWJDSRNVADCOWBFUOWHDTDEOFJUEUPUQU
      EACNDLURUGVTNTWBVRUHZWDVSWEBWKWBVRWCGWKUIWKWCCVRFUBZGCWBVRFUSWLWGFQZCVRUC
      ZOVBGCOVRFUTWNOGWNWGGQZWMWOCDCEOGKUEVNVRUHFGWGHVCVDVEVFVGVHUKWKWEACVRUCBA
      NDCVIABCDMIVDVJUMUNVKACFVLBDGVLVM $.
      $( [13-Jul-2011] $)

    $( A more general version of ~ cbvrexf that has no distinct variable
       restrictions.  Changes bound variables using implicit substitution.
       (Contributed by Andrew Salmon, 13-Jul-2011.)  (The proof was shortened
       by Mario Carneiro, 7-Dec-2014.) $)
    cbvrexcsf $p |- ( E. x e. A ph <-> E. y e. B ps ) $=
      ( wn wral wrex cv wceq hbn dfrex2 notbid cbvralcsf notbii 3bitr4i ) ANZCF
      OZNBNZDGOZNACFPBDGPUFUHUEUGCDEFGHCQDQRABIUAJKADLSBCMSUBUCACFTBDGTUD $.
      $( [7-Dec-2014] $) $( [13-Jul-2011] $)

    $( A more general version of ~ cbvreuv that has no distinct variable
       rextrictions.  Changes bound variables using implicit substitution.
       (Contributed by Andrew Salmon, 13-Jul-2011.) $)
    cbvreucsf $p |- ( E! x e. A ph <-> E! y e. B ps ) $=
      ( vz vv cv wcel wa ax-17 hblem weu wreu csb wsbc hbcsb1 hbs1 hban wceq id
      csbeq1a eleq12d sbequ12 anbi12d cbveu cvv wal wi hbcsbg ax-mp hbsb csbeq1
      vex cab df-csb eleq2d sbie bicomi abbi2i eqtr4i syl6eq sbequ syl6bb bitri
      df-reu 3bitr4i ) CPZFQZARZCUAZDPZGQZBRZDUAZACFUBBDGUBVSNPZCWDFUCZQZACWDUD
      ZRZNUAWCVRWHCNVRNSWFWGCCONWECOWDFOPZWDQZCSUETACNUFUGVPWDUHZVQWFAWGWKVPWDF
      WEWKUICWDFUJUKACNULUMUNWHWBNDWFWGDDONWEWDUOQWIWEQZWLDUPUQNVBDCOWDFUOWJDSD
      EOFJTURUSTACNDLUTUGWBNSWDVTUHZWFWAWGBWMWDVTWEGWMUIWMWECVTFUCZGCWDVTFVAWNW
      IFQZCVTUDZOVCGCOVTFVDWPOGWPWIGQZWOWQCDCEOGKTVPVTUHFGWIHVEVFVGVHVIVJUKWMWG
      ACVTUDBANDCVKABCDMIVFVLUMUNVMACFVNBDGVNVO $.
      $( [13-Jul-2011] $)

    $( A more general version of ~ cbvrab with no distinct variable
       restrictions.  (Contributed by Andrew Salmon, 13-Jul-2011.) $)
    cbvrabcsf $p |- { x e. A | ph } = { y e. B | ps } $=
      ( vz vv cv wcel cab ax-17 hblem wa crab csb wsbc hbcsb1 hbs1 hban wceq id
      csbeq1a eleq12d sbequ12 anbi12d cbvab cvv wal wi hbcsbg ax-mp hbsb csbeq1
      df-csb eleq2d sbie bicomi abbi2i eqtr4i syl6eq sbequ syl6bb eqtri 3eqtr4i
      vex df-rab ) CPZFQZAUAZCRZDPZGQZBUAZDRZACFUBBDGUBVRNPZCWCFUCZQZACWCUDZUAZ
      NRWBVQWGCNVQNSWEWFCCONWDCOWCFOPZWCQZCSUETACNUFUGVOWCUHZVPWEAWFWJVOWCFWDWJ
      UICWCFUJUKACNULUMUNWGWANDWEWFDDONWDWCUOQWHWDQZWKDUPUQNVMDCOWCFUOWIDSDEOFJ
      TURUSTACNDLUTUGWANSWCVSUHZWEVTWFBWLWCVSWDGWLUIWLWDCVSFUCZGCWCVSFVAWMWHFQZ
      CVSUDZORGCOVSFVBWOOGWOWHGQZWNWPCDCEOGKTVOVSUHFGWHHVCVDVEVFVGVHUKWLWFACVSU
      DBANDCVIABCDMIVDVJUMUNVKACFVNBDGVNVL $.
      $( [13-Jul-2011] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Boolean set operators
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new symbols. $)
  $c -i^i $. $( Lined cap (anti-intersection) $)
  $c ~ $. $( Tilde (complement. $)
  $c \ $. $( Backslash (difference) $)
  $c u. $. $( Cup (union) $)
  $c i^i $. $( Cap (intersection) $)
  $c (+) $. $( Circled plus (symmetric difference) $)

  $( Extend class notation to include anti-intersection (read:  "the
     anti-intersection of ` A ` and ` B ` "). $)
  cnin $a class ( A -i^i B ) $.

  $( Extend class notation to include complement.  (read:  "the complement of
     ` A ` " ). $)
  ccompl $a class ~ A $.

  $( Extend class notation to include class difference (read:  " ` A ` minus
     ` B ` "). $)
  cdif $a class ( A \ B ) $.

  $( Extend class notation to include union of two classes (read:  " ` A `
     union ` B ` "). $)
  cun $a class ( A u. B ) $.

  $( Extend class notation to include the intersection of two classes
     (read:  " ` A ` intersect ` B ` "). $)
  cin $a class ( A i^i B ) $.

  $( Extend class notation to include the symmetric difference of two
     classes. $)
  csymdif $a class ( A (+) B ) $.

  ${
    $d A x y $.  $d B x y $.
    $( Soundness theorem for ~ df-nin . $)
    ninjust $p |- { x | ( x e. A -/\ x e. B ) } =
             { y | ( y e. A -/\ y e. B ) } $=
      ( cv wcel wnand weq eleq1 nandbi12d cbvabv ) AEZCFZLDFZGBEZCFZODFZGABABHM
      PNQLOCILODIJK $.
      $( [10-Jan-2015] $)
  $}

  ${
    $d x y A $.  $d x y B $.

    $( Scott - all bib refs must be in the strict format "<keyword> ...
       [bibref] p. nnn" where <keyword> is from the list:

       Theorem Lemma Lemmas Definition Compare Proposition Corollary Axiom Rule
       Remark Exercise Problem Notation Example Part Section Property Figure
       Postulate Equation Scheme Item Chapter

       I changed the brackets to {{...}} in the bad ones to prevent errors in
       building mmbiblio.html -NM 16-Apr-2015. $)

    $( Define the anti-intersection of two classes.  This operation is used
       implicitly in {{Hailperin}}, though there does not seem to be any
       notation for it in the literature. $)
    df-nin $a |- ( A -i^i B ) = { x | ( x e. A -/\ x e. B ) } $.
  $}

  $( Define the complement of a class.  Compare ~ nic-dfneg . $)
  df-compl $a |- ~ A = ( A -i^i A ) $.

  $( Define the intersection of two classes.  See ~ elin for membership. $)
  df-in $a |- ( A i^i B ) = ~ ( A -i^i B ) $.

  $( Define the union of two classes.  See ~ elun for membership. $)
  df-un $a |- ( A u. B ) = ( ~ A -i^i ~ B ) $.

  $( Define the difference of two classes.  See ~ eldif for membership. $)
  df-dif $a |- ( A \ B ) = ( A i^i ~ B ) $.

  $( Define the symmetric difference of two classes.  Definition IX.9.10 of
     {{Rosser}}, p. 238. $)
  df-symdif $a |- ( A (+) B ) = ( ( A \ B ) u. ( B \ A ) ) $.

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Membership in anti-intersection. $)
    elning $p |- ( A e. V ->
            ( A e. ( B -i^i C ) <-> ( A e. B -/\ A e. C ) ) ) $=
      ( vx cv wcel wnand cnin wceq eleq1 nandbi12d df-nin elab2g ) EFZBGZOCGZHA
      BGZACGZHEABCIDOAJPRQSOABKOACKLEBCMN $.
      $( [10-Jan-2015] $)
  $}

  $( Membership in class complement. $)
  elcomplg $p |- ( A e. V -> ( A e. ~ B <-> -. A e. B ) ) $=
    ( ccompl wcel cnin wn df-compl eleq2i wnand elning wa df-nand anidm xchbinx
    syl6bb syl5bb ) ABDZEABBFZEZACEZABEZGZRSABHIUATUBUBJZUCABBCKUDUBUBLUBUBUBMU
    BNOPQ $.
    $( [10-Jan-2015] $)

  $( Membership in intersection. $)
  elin $p |- ( A e. ( B i^i C ) <-> ( A e. B /\ A e. C ) ) $=
    ( cin wcel wa elex adantr cnin ccompl wnand wn elcomplg elning notbid bitrd
    cvv df-in eleq2i df-nand con2bii 3bitr4g pm5.21nii ) ABCDZEZAQEZABEZACEZFZA
    UDGUGUFUHABGHUFABCIZJZEZUGUHKZLZUEUIUFULAUJEZLUNAUJQMUFUOUMABCQNOPUDUKABCRS
    UMUIUGUHTUAUBUC $.
    $( [10-Jan-2015] $)

  $( Membership in union. $)
  elun $p |- ( A e. ( B u. C ) <-> ( A e. B \/ A e. C ) ) $=
    ( cun wcel cvv wo elex jaoi ccompl wn wnand elning elcomplg nandbi12d bitrd
    cnin df-un eleq2i wa oran df-nand bitr4i 3bitr4g pm5.21nii ) ABCDZEZAFEZABE
    ZACEZGZAUFHUIUHUJABHACHIUHABJZCJZQZEZUIKZUJKZLZUGUKUHUOAULEZAUMEZLURAULUMFM
    UHUSUPUTUQABFNACFNOPUFUNABCRSUKUPUQTKURUIUJUAUPUQUBUCUDUE $.
    $( [10-Jan-2015] $)

  $( Membership in difference. $)
  eldif $p |- ( A e. ( B \ C ) <-> ( A e. B /\ -. A e. C ) ) $=
    ( cdif wcel ccompl cin wa wn df-dif eleq2i elin elcomplg pm5.32i 3bitri ) A
    BCDZEABCFZGZEABEZAQEZHSACEIZHPRABCJKABQLSTUAACBMNO $.
    $( [10-Jan-2015] $)

  $( Membership in symmetric difference. $)
  elsymdif $p |- ( A e. ( B (+) C ) <-> -. ( A e. B <-> A e. C ) ) $=
    ( cdif cun wcel wn wa wo csymdif wb elun eldif orbi12i df-symdif eleq2i xor
    bitri 3bitr4i ) ABCDZCBDZEZFZABFZACFZGHZUEUDGHZIZABCJZFUDUEKGUCATFZAUAFZIUH
    ATUALUJUFUKUGABCMACBMNRUIUBABCOPUDUEQS $.
    $( [10-Jan-2015] $)

  ${
    elbool.1 $e |- A e. _V $.
    $( Membership in anti-intersection. $)
    elnin $p |- ( A e. ( B -i^i C ) <-> ( A e. B -/\ A e. C ) ) $=
      ( cvv wcel cnin wnand wb elning ax-mp ) AEFABCGFABFACFHIDABCEJK $.
      $( [10-Jan-2015] $)

    $( Membership in complement. $)
    elcompl $p |- ( A e. ~ B <-> -. A e. B ) $=
      ( cvv wcel ccompl wn wb elcomplg ax-mp ) ADEABFEABEGHCABDIJ $.
      $( [10-Jan-2015] $)
  $}

  ${
    $d A x $.  $d B x $.
    $( Anti-intersection commutes. $)
    nincom $p |- ( A -i^i B ) = ( B -i^i A ) $=
      ( vx cnin cv wcel wnand nandcom vex elnin 3bitr4i eqriv ) CABDZBADZCEZAFZ
      OBFZGQPGOMFONFPQHOABCIZJOBARJKL $.
      $( [10-Jan-2015] $)
  $}

  ${
    $d A x $.
    $( Double complement law. $)
    dblcompl $p |- ~ ~ A = A $=
      ( vx ccompl cv wcel wn vex elcompl con2bii bitr4i eqriv ) BACZCZABDZMENLE
      ZFNAEZNLBGZHOPNAQHIJK $.
      $( [10-Jan-2015] $)
  $}

  ${
    hbbool.1 $e |- ( x e. A -> A. y x e. A ) $.
    $( Hypothesis builder for complement. $)
    hbcompl $p |- ( x e. ~ A -> A. y x e. ~ A ) $=
      ( cv ccompl wcel wn vex elcompl hbn hbxfrbi ) AEZCFGMCGZHBMCAIJNBDKL $.
      $( [10-Jan-2015] $)

    hbbool.2 $e |- ( x e. B -> A. y x e. B ) $.
    $( Hypothesis builder for anti-intersection. $)
    hbnin $p |- ( x e. ( A -i^i B ) -> A. y x e. ( A -i^i B ) ) $=
      ( cv cnin wcel wa wn wnand vex elnin df-nand bitri hban hbn hbxfrbi ) AGZ
      CDHIZTCIZTDIZJZKZBUAUBUCLUETCDAMNUBUCOPUDBUBUCBEFQRS $.
      $( [10-Jan-2015] $)

    $( Hypothesis builder for intersection. $)
    hbin $p |- ( x e. ( A i^i B ) -> A. y x e. ( A i^i B ) ) $=
      ( cv cin wcel wa elin hban hbxfrbi ) AGZCDHINCIZNDIZJBNCDKOPBEFLM $.
      $( [10-Jan-2015] $)

    $( Hypothesis builder for union. $)
    hbun $p |- ( x e. ( A u. B ) -> A. y x e. ( A u. B ) ) $=
      ( cv cun wcel wo elun hbor hbxfrbi ) AGZCDHINCIZNDIZJBNCDKOPBEFLM $.
      $( [10-Jan-2015] $)

    $( Hypothesis builder for difference. $)
    hbdif $p |- ( x e. ( A \ B ) -> A. y x e. ( A \ B ) ) $=
      ( cv cdif wcel wn wa eldif hbn hban hbxfrbi ) AGZCDHIPCIZPDIZJZKBPCDLQSBE
      RBFMNO $.
      $( [10-Jan-2015] $)

    $( Hypothesis builder for symmetric difference. $)
    hbsymdif $p |- ( x e. ( A (+) B ) -> A. y x e. ( A (+) B ) ) $=
      ( cv csymdif wcel wb wn elsymdif hbbi hbn hbxfrbi ) AGZCDHIPCIZPDIZJZKBPC
      DLSBQRBEFMNO $.
      $( [10-Jan-2015] $)
  $}


  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Equality law for anti-intersection. $)
    nineq1 $p |- ( A = B -> ( A -i^i C ) = ( B -i^i C ) ) $=
      ( vx wceq cv wcel wnand cab cnin eleq2 nandbi1d abbidv df-nin 3eqtr4g ) A
      BEZDFZAGZQCGZHZDIQBGZSHZDIACJBCJPTUBDPRUASABQKLMDACNDBCNO $.
      $( [11-Jan-2015] $)
  $}

  $( Equality law for anti-intersection. $)
  nineq2 $p |- ( A = B -> ( C -i^i A ) = ( C -i^i B ) ) $=
    ( wceq cnin nineq1 nincom 3eqtr3g ) ABDACEBCECAECBEABCFACGBCGH $.
    $( [11-Jan-2015] $)

  $( Equality law for anti-intersection. $)
  nineq12 $p |- ( ( A = B /\ C = D ) -> ( A -i^i C ) = ( B -i^i D ) ) $=
    ( wceq cnin nineq1 nineq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.
    $( [11-Jan-2015] $)

  ${
    nineqi.1 $e |- A = B $.
    $( Equality inference for anti-intersection. $)
    nineq1i $p |- ( A -i^i C ) = ( B -i^i C ) $=
      ( wceq cnin nineq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [11-Jan-2015] $)

    $( Equality inference for anti-intersection. $)
    nineq2i $p |- ( C -i^i A ) = ( C -i^i B ) $=
      ( wceq cnin nineq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [11-Jan-2015] $)

    nineq12i.2 $e |- C = D $.
    $( Equality inference for anti-intersection. $)
    nineq12i $p |- ( A -i^i C ) = ( B -i^i D ) $=
      ( wceq cnin nineq12 mp2an ) ABGCDGACHBDHGEFABCDIJ $.
      $( [11-Jan-2015] $)
  $}

  ${
    nineqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for anti-intersection. $)
    nineq1d $p |- ( ph -> ( A -i^i C ) = ( B -i^i C ) ) $=
      ( wceq cnin nineq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [11-Jan-2015] $)

    $( Equality deduction for anti-intersection. $)
    nineq2d $p |- ( ph -> ( C -i^i A ) = ( C -i^i B ) ) $=
      ( wceq cnin nineq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [11-Jan-2015] $)

    nineq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality inference for anti-intersection. $)
    nineq12d $p |- ( ph -> ( A -i^i C ) = ( B -i^i D ) ) $=
      ( wceq cnin nineq12 syl2anc ) ABCHDEHBDICEIHFGBCDEJK $.
      $( [11-Jan-2015] $)
  $}

  $( Equality law for complement. $)
  compleq $p |- ( A = B -> ~ A = ~ B ) $=
    ( wceq cnin ccompl nineq12 anidms df-compl 3eqtr4g ) ABCZAADZBBDZAEBEJKLCAB
    ABFGAHBHI $.
    $( [11-Jan-2015] $)

  ${
    compleqi.1 $e |- A = B $.
    $( Equality inference for complement. $)
    compleqi $p |- ~ A = ~ B $=
      ( wceq ccompl compleq ax-mp ) ABDAEBEDCABFG $.
      $( [11-Jan-2015] $)
  $}

  ${
    compleqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for complement. $)
    compleqd $p |- ( ph -> ~ A = ~ B ) $=
      ( wceq ccompl compleq syl ) ABCEBFCFEDBCGH $.
      $( [11-Jan-2015] $)
  $}

  $( Equality law for intersection. $)
  ineq1 $p |- ( A = B -> ( A i^i C ) = ( B i^i C ) ) $=
    ( wceq cnin ccompl cin nineq1 compleqd df-in 3eqtr4g ) ABDZACEZFBCEZFACGBCG
    LMNABCHIACJBCJK $.
    $( [11-Jan-2015] $)

  $( Equality law for intersection. $)
  ineq2 $p |- ( A = B -> ( C i^i A ) = ( C i^i B ) ) $=
    ( wceq cnin ccompl cin nineq2 compleqd df-in 3eqtr4g ) ABDZCAEZFCBEZFCAGCBG
    LMNABCHICAJCBJK $.
    $( [11-Jan-2015] $)

  $( Equality law for intersection. $)
  ineq12 $p |- ( ( A = B /\ C = D ) -> ( A i^i C ) = ( B i^i D ) ) $=
    ( wceq cin ineq1 ineq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.
    $( [11-Jan-2015] $)

  ${
    ineqi.1 $e |- A = B $.
    $( Equality inference for anti-intersection. $)
    ineq1i $p |- ( A i^i C ) = ( B i^i C ) $=
      ( wceq cin ineq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [11-Jan-2015] $)

    $( Equality inference for anti-intersection. $)
    ineq2i $p |- ( C i^i A ) = ( C i^i B ) $=
      ( wceq cin ineq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [11-Jan-2015] $)

    ineq12i.2 $e |- C = D $.
    $( Equality inference for anti-intersection. $)
    ineq12i $p |- ( A i^i C ) = ( B i^i D ) $=
      ( wceq cin ineq12 mp2an ) ABGCDGACHBDHGEFABCDIJ $.
      $( [11-Jan-2015] $)
  $}

  ${
    ineqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for anti-intersection. $)
    ineq1d $p |- ( ph -> ( A i^i C ) = ( B i^i C ) ) $=
      ( wceq cin ineq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [11-Jan-2015] $)

    $( Equality deduction for anti-intersection. $)
    ineq2d $p |- ( ph -> ( C i^i A ) = ( C i^i B ) ) $=
      ( wceq cin ineq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [11-Jan-2015] $)

    ineq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality inference for anti-intersection. $)
    ineq12d $p |- ( ph -> ( A i^i C ) = ( B i^i D ) ) $=
      ( wceq cin ineq12 syl2anc ) ABCHDEHBDICEIHFGBCDEJK $.
      $( [11-Jan-2015] $)


    ${
      ineqan12d.2 $e |- ( ps -> C = D ) $.
      $( Equality deduction for intersection of two classes. $)
      ineqan12d $p |- ( ( ph /\ ps ) -> ( A i^i C ) = ( B i^i D ) ) $=
        ( cin ineq1d ineq2d sylan9eq ) ABCEJDEJDFJACDEGKBEFDILM $.
        $( [7-Feb-2007] $)
    $}

  $}


  $( Equality law for union. $)
  uneq1 $p |- ( A = B -> ( A u. C ) = ( B u. C ) ) $=
    ( wceq ccompl cnin cun compleq nineq1d df-un 3eqtr4g ) ABDZAEZCEZFBEZNFACGB
    CGLMONABHIACJBCJK $.
    $( [11-Jan-2015] $)

  $( Equality law for intersection. $)
  uneq2 $p |- ( A = B -> ( C u. A ) = ( C u. B ) ) $=
    ( wceq ccompl cnin cun compleq nineq2d df-un 3eqtr4g ) ABDZCEZAEZFMBEZFCAGC
    BGLNOMABHICAJCBJK $.
    $( [11-Jan-2015] $)

  $( Equality law for intersection. $)
  uneq12 $p |- ( ( A = B /\ C = D ) -> ( A u. C ) = ( B u. D ) ) $=
    ( wceq cun uneq1 uneq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.
    $( [11-Jan-2015] $)

  ${
    uneqi.1 $e |- A = B $.
    $( Equality inference for union. $)
    uneq1i $p |- ( A u. C ) = ( B u. C ) $=
      ( wceq cun uneq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [11-Jan-2015] $)

    $( Equality inference for union. $)
    uneq2i $p |- ( C u. A ) = ( C u. B ) $=
      ( wceq cun uneq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [11-Jan-2015] $)

    uneq12i.2 $e |- C = D $.
    $( Equality inference for union. $)
    uneq12i $p |- ( A u. C ) = ( B u. D ) $=
      ( wceq cun uneq12 mp2an ) ABGCDGACHBDHGEFABCDIJ $.
      $( [11-Jan-2015] $)
  $}

  ${
    uneqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for union. $)
    uneq1d $p |- ( ph -> ( A u. C ) = ( B u. C ) ) $=
      ( wceq cun uneq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [11-Jan-2015] $)

    $( Equality deduction for union. $)
    uneq2d $p |- ( ph -> ( C u. A ) = ( C u. B ) ) $=
      ( wceq cun uneq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [11-Jan-2015] $)

    uneq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality inference for union. $)
    uneq12d $p |- ( ph -> ( A u. C ) = ( B u. D ) ) $=
      ( wceq cun uneq12 syl2anc ) ABCHDEHBDICEIHFGBCDEJK $.
      $( [11-Jan-2015] $)
  $}

  $( Equality law for intersection. $)
  difeq1 $p |- ( A = B -> ( A \ C ) = ( B \ C ) ) $=
    ( wceq ccompl cin cdif ineq1 df-dif 3eqtr4g ) ABDACEZFBKFACGBCGABKHACIBCIJ
    $.
    $( [11-Jan-2015] $)

  $( Equality law for intersection. $)
  difeq2 $p |- ( A = B -> ( C \ A ) = ( C \ B ) ) $=
    ( wceq ccompl cin cdif compleq ineq2d df-dif 3eqtr4g ) ABDZCAEZFCBEZFCAGCBG
    LMNCABHICAJCBJK $.
    $( [11-Jan-2015] $)

  $( Equality law for intersection. $)
  difeq12 $p |- ( ( A = B /\ C = D ) -> ( A \ C ) = ( B \ D ) ) $=
    ( wceq cdif difeq1 difeq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.
    $( [11-Jan-2015] $)

  ${
    difeqi.1 $e |- A = B $.
    $( Equality inference for difference. $)
    difeq1i $p |- ( A \ C ) = ( B \ C ) $=
      ( wceq cdif difeq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [11-Jan-2015] $)

    $( Equality inference for difference. $)
    difeq2i $p |- ( C \ A ) = ( C \ B ) $=
      ( wceq cdif difeq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [11-Jan-2015] $)

    difeq12i.2 $e |- C = D $.
    $( Equality inference for difference. $)
    difeq12i $p |- ( A \ C ) = ( B \ D ) $=
      ( wceq cdif difeq12 mp2an ) ABGCDGACHBDHGEFABCDIJ $.
      $( [11-Jan-2015] $)
  $}

  ${
    difeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for difference. $)
    difeq1d $p |- ( ph -> ( A \ C ) = ( B \ C ) ) $=
      ( wceq cdif difeq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [11-Jan-2015] $)

    $( Equality deduction for difference. $)
    difeq2d $p |- ( ph -> ( C \ A ) = ( C \ B ) ) $=
      ( wceq cdif difeq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [11-Jan-2015] $)

    difeq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality inference for difference. $)
    difeq12d $p |- ( ph -> ( A \ C ) = ( B \ D ) ) $=
      ( wceq cdif difeq12 syl2anc ) ABCHDEHBDICEIHFGBCDEJK $.
      $( [11-Jan-2015] $)
  $}

  $( Equality law for intersection. $)
  symdifeq1 $p |- ( A = B -> ( A (+) C ) = ( B (+) C ) ) $=
    ( wceq cdif cun csymdif difeq1 difeq2 uneq12d df-symdif 3eqtr4g ) ABDZACEZC
    AEZFBCEZCBEZFACGBCGMNPOQABCHABCIJACKBCKL $.
    $( [11-Jan-2015] $)

  $( Equality law for intersection. $)
  symdifeq2 $p |- ( A = B -> ( C (+) A ) = ( C (+) B ) ) $=
    ( wceq cdif cun csymdif difeq2 difeq1 uneq12d df-symdif 3eqtr4g ) ABDZCAEZA
    CEZFCBEZBCEZFCAGCBGMNPOQABCHABCIJCAKCBKL $.
    $( [11-Jan-2015] $)

  $( Equality law for intersection. $)
  symdifeq12 $p |- ( ( A = B /\ C = D ) -> ( A (+) C ) = ( B (+) D ) ) $=
    ( wceq csymdif symdifeq1 symdifeq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.
    $( [11-Jan-2015] $)

  ${
    symdifeqi.1 $e |- A = B $.
    $( Equality inference for symmetric difference. $)
    symdifeq1i $p |- ( A (+) C ) = ( B (+) C ) $=
      ( wceq csymdif symdifeq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [11-Jan-2015] $)

    $( Equality inference for symmetric difference. $)
    symdifeq2i $p |- ( C (+) A ) = ( C (+) B ) $=
      ( wceq csymdif symdifeq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [11-Jan-2015] $)

    symdifeq12i.2 $e |- C = D $.
    $( Equality inference for symmetric difference. $)
    symdifeq12i $p |- ( A (+) C ) = ( B (+) D ) $=
      ( wceq csymdif symdifeq12 mp2an ) ABGCDGACHBDHGEFABCDIJ $.
      $( [11-Jan-2015] $)
  $}

  ${
    symdifeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for symmetric difference. $)
    symdifeq1d $p |- ( ph -> ( A (+) C ) = ( B (+) C ) ) $=
      ( wceq csymdif symdifeq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [11-Jan-2015] $)

    $( Equality deduction for symmetric difference. $)
    symdifeq2d $p |- ( ph -> ( C (+) A ) = ( C (+) B ) ) $=
      ( wceq csymdif symdifeq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [11-Jan-2015] $)

    symdifeq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality inference for symmetric difference. $)
    symdifeq12d $p |- ( ph -> ( A (+) C ) = ( B (+) D ) ) $=
      ( wceq csymdif symdifeq12 syl2anc ) ABCHDEHBDICEIHFGBCDEJK $.
      $( [11-Jan-2015] $)
  $}

  $( Intersection commutes. $)
  incom $p |- ( A i^i B ) = ( B i^i A ) $=
    ( cnin ccompl cin nincom compleqi df-in 3eqtr4i ) ABCZDBACZDABEBAEJKABFGABH
    BAHI $.
    $( [11-Jan-2015] $)

  $( Union commutes. $)
  uncom $p |- ( A u. B ) = ( B u. A ) $=
    ( ccompl cnin cun nincom df-un 3eqtr4i ) ACZBCZDJIDABEBAEIJFABGBAGH $.
    $( [11-Jan-2015] $)

  $( Symmetric difference commutes. $)
  symdifcom $p |- ( A (+) B ) = ( B (+) A ) $=
    ( cdif cun csymdif uncom df-symdif 3eqtr4i ) ABCZBACZDJIDABEBAEIJFABGBAGH
    $.
    $( [11-Jan-2015] $)

  $( Two classes are equal iff their complements are equal. $)
  compleqb $p |- ( A = B <-> ~ A = ~ B ) $=
    ( wceq ccompl compleq dblcompl 3eqtr3g impbii ) ABCADZBDZCZABEKIDJDABIJEAFB
    FGH $.
    $( [11-Jan-2015] $)

  ${
    $d A x $.
    $( A class is not equal to its complement. $)
    necompl $p |- ~ A =/= A $=
      ( vx ccompl wne cv wcel wb wn wex pm5.19 elcompl bibi2i mtbir 19.8a ax-mp
      vex wal dfcleq necon3abii exnal bitr4i mpbir necomi ) AACZAUDDZBEZAFZUFUD
      FZGZHZBIZUJUKUIUGUGHZGUGJUHULUGUFABPKLMUJBNOUEUIBQZHUKUMAUDBAUDRSUIBTUAUB
      UC $.
      $( [11-Jan-2015] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Associative law for intersection. $)
    inass $p |- ( ( A i^i B ) i^i C ) = ( A i^i ( B i^i C ) ) $=
      ( vx cin cv wcel wa anass elin anbi1i bitri anbi2i 3bitr4i eqriv ) DABEZC
      EZABCEZEZDFZAGZTBGZHZTCGZHZUAUBUDHZHZTQGZTSGZUAUBUDIUHTPGZUDHUETPCJUJUCUD
      TABJKLUIUATRGZHUGTARJUKUFUATBCJMLNO $.
      $( [12-Jan-2015] $)
  $}

  $( Definition of intersection in terms of union. $)
  dfin2 $p |- ( A i^i B ) = ~ ( ~ A u. ~ B ) $=
    ( ccompl cnin cun cin dblcompl nineq12i compleqi df-un df-in 3eqtr4ri ) ACZ
    CZBCZCZDZCABDZCMOEZCABFQRNAPBAGBGHISQMOJIABKL $.
    $( [12-Jan-2015] $)

  $( Definition of union in terms of intersection. $)
  dfun2 $p |- ( A u. B ) = ~ ( ~ A i^i ~ B ) $=
    ( ccompl cin cun dfin2 compleqi dblcompl uneq12i 3eqtrri ) ACZBCZDZCKCZLCZE
    ZCZCPABEMQKLFGPHNAOBAHBHIJ $.
    $( [12-Jan-2015] $)

  $( Intersection of two complements is equal to the complement of a union. $)
  iunin $p |- ~ ( A u. B ) = ( ~ A i^i ~ B ) $=
    ( ccompl cin cun dfin2 dblcompl uneq12i compleqi eqtr2i ) ACZBCZDKCZLCZEZCA
    BEZCKLFOPMANBAGBGHIJ $.
    $( [12-Jan-2015] $)

  $( Complement of intersection is equal to union of complements. $)
  iinun $p |- ~ ( A i^i B ) = ( ~ A u. ~ B ) $=
    ( ccompl cun cin dfun2 dblcompl ineq12i compleqi eqtr2i ) ACZBCZDKCZLCZEZCA
    BEZCKLFOPMANBAGBGHIJ $.
    $( [12-Jan-2015] $)

  $( Associative law for union. $)
  unass $p |- ( ( A u. B ) u. C ) = ( A u. ( B u. C ) ) $=
    ( cun ccompl cin dfun2 iunin ineq1i compleqi eqtri ineq2i inass eqtr4i ) AB
    DZCDZAEZBEZFZCEZFZEZABCDZDZPOEZTFZEUBOCGUFUAUESTABHIJKUDQUCEZFZEUBAUCGUHUAU
    HQRTFZFUAUGUIQBCHLQRTMNJKN $.
    $( [12-Jan-2015] $)

  $( Idempotent law for intersection. $)
  inidm $p |- ( A i^i A ) = A $=
    ( cin cnin ccompl df-in df-compl compleqi dblcompl 3eqtr2i ) AABAACZDADZDAA
    AEKJAFGAHI $.
    $( [12-Jan-2015] $)

  $( Idempotent law for union. $)
  unidm $p |- ( A u. A ) = A $=
    ( cun ccompl cnin df-un df-compl dblcompl 3eqtr2i ) AABACZIDICAAAEIFAGH $.
    $( [12-Jan-2015] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    uneqri.1 $e |- ( ( x e. A \/ x e. B ) <-> x e. C ) $.
    $( Inference from membership to union. $)
    uneqri $p |- ( A u. B ) = C $=
      ( cun cv wcel wo elun bitri eqriv ) ABCFZDAGZMHNBHNCHINDHNBCJEKL $.
      $( [5-Aug-1993] $)
  $}


  ${
    $d x A $.  $d x B $.  $d x C $.
    ineqri.1 $e |- ( ( x e. A /\ x e. B ) <-> x e. C ) $.
    $( Inference from membership to intersection. $)
    ineqri $p |- ( A i^i B ) = C $=
      ( cin cv wcel wa elin bitri eqriv ) ABCFZDAGZMHNBHNCHINDHNBCJEKL $.
      $( [5-Aug-1993] $)
  $}


  ${
    $d x A $.  $d x B $.  $d x C $.
    difeqri.1 $e |- ( ( x e. A /\ -. x e. B ) <-> x e. C ) $.
    $( Inference from membership to difference.  (The proof was shortened by
       Andrew Salmon, 26-Jun-2011.) $)
    difeqri $p |- ( A \ B ) = C $=
      ( cdif cv wcel wn wa eldif bitri eqriv ) ABCFZDAGZNHOBHOCHIJODHOBCKELM $.
      $( [26-Jun-2011] $) $( [17-May-1998] $)
  $}

  ${
    $d x y $.  $d ph y $.  $d ps y $.
    $( Union of two class abstractions.  (The proof was shortened by Andrew
       Salmon, 26-Jun-2011.) $)
    unab $p |- ( { x | ph } u. { x | ps } ) = { x | ( ph \/ ps ) } $=
      ( vy cab wo cv wsbc wcel sbor df-clab orbi12i 3bitr4ri uneqri ) DACEZBCEZ
      ABFZCEZQCDGZHACSHZBCSHZFSRISOIZSPIZFABCDJQDCKUBTUCUAADCKBDCKLMN $.
      $( [26-Jun-2011] $) $( [29-Sep-2002] $)

    $( Intersection of two class abstractions.  (The proof was shortened by
       Andrew Salmon, 26-Jun-2011.) $)
    inab $p |- ( { x | ph } i^i { x | ps } ) = { x | ( ph /\ ps ) } $=
      ( vy cab wa cv wsbc wcel sban df-clab anbi12i 3bitr4ri ineqri ) DACEZBCEZ
      ABFZCEZQCDGZHACSHZBCSHZFSRISOIZSPIZFABCDJQDCKUBTUCUAADCKBDCKLMN $.
      $( [26-Jun-2011] $) $( [29-Sep-2002] $)

    $( Difference of two class abstractions.  (The proof was shortened by
       Andrew Salmon, 26-Jun-2011.) $)
    difab $p |- ( { x | ph } \ { x | ps } ) = { x | ( ph /\ -. ps ) } $=
      ( vy cab wn wa wsbc wcel sban df-clab notbii sbn anbi12i 3bitr4ri difeqri
      cv bitr4i ) DACEZBCEZABFZGZCEZUBCDQZHACUDHZUACUDHZGUDUCIUDSIZUDTIZFZGAUAC
      DJUBDCKUGUEUIUFADCKUIBCUDHZFUFUHUJBDCKLBCDMRNOP $.
      $( [26-Jun-2011] $) $( [23-Oct-2004] $)

    $( Complement of a class abstraction. $)
    complab $p |- ~ { x | ph } = { x | -. ph } $=
      ( vy cab ccompl wn wcel wsb df-clab notbii sbn bitr4i vex elcompl 3bitr4i
      cv eqriv ) CABDZEZAFZBDZCPZRGZFZTBCHZUBSGUBUAGUDABCHZFUEUCUFACBIJABCKLUBR
      CMNTCBIOQ $.
      $( [12-Jan-2015] $)
  $}


  $( A rearrangement of intersection. $)
  in12 $p |- ( A i^i ( B i^i C ) ) = ( B i^i ( A i^i C ) ) $=
    ( cin incom ineq1i inass 3eqtr3i ) ABDZCDBADZCDABCDDBACDDIJCABEFABCGBACGH
    $.
    $( [21-Apr-2001] $)

  $( A rearrangement of intersection.  (The proof was shortened by Andrew
     Salmon, 26-Jun-2011.) $)
  in32 $p |- ( ( A i^i B ) i^i C ) = ( ( A i^i C ) i^i B ) $=
    ( cin inass in12 incom 3eqtri ) ABDCDABCDDBACDZDIBDABCEABCFBIGH $.
    $( [26-Jun-2011] $) $( [21-Apr-2001] $)

  $( A rearrangement of intersection. $)
  in13 $p |- ( A i^i ( B i^i C ) ) = ( C i^i ( B i^i A ) ) $=
    ( cin in32 incom 3eqtr4i ) BCDZADBADZCDAHDCIDBCAEAHFCIFG $.
    $( [27-Aug-2012] $)

  $( A rearrangement of intersection. $)
  in31 $p |- ( ( A i^i B ) i^i C ) = ( ( C i^i B ) i^i A ) $=
    ( cin in12 incom 3eqtr4i ) CABDZDACBDZDHCDIADCABEHCFIAFG $.
    $( [27-Aug-2012] $)

  $( Rotate the intersection of 3 classes.. $)
  inrot $p |- ( ( A i^i B ) i^i C ) = ( ( C i^i A ) i^i B ) $=
    ( cin in31 in32 eqtri ) ABDCDCBDADCADBDABCECBAFG $.
    $( [27-Aug-2012] $)

  $( Rearrangement of intersection of 4 classes. $)
  in4 $p |- ( ( A i^i B ) i^i ( C i^i D ) ) =
            ( ( A i^i C ) i^i ( B i^i D ) ) $=
    ( cin in12 ineq2i inass 3eqtr4i ) ABCDEZEZEACBDEZEZEABEJEACELEKMABCDFGABJHA
    CLHI $.
    $( [21-Apr-2001] $)


  $( Intersection distributes over itself. $)
  inindi $p |- ( A i^i ( B i^i C ) ) = ( ( A i^i B ) i^i ( A i^i C ) ) $=
    ( cin inidm ineq1i in4 eqtr3i ) AADZBCDZDAJDABDACDDIAJAEFAABCGH $.
    $( [6-May-1994] $)

  $( Intersection distributes over itself. $)
  inindir $p |- ( ( A i^i B ) i^i C ) = ( ( A i^i C ) i^i ( B i^i C ) ) $=
    ( cin inidm ineq2i in4 eqtr3i ) ABDZCCDZDICDACDBCDDJCICEFABCCGH $.
    $( [17-Aug-2004] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Distributive law for intersection over union.  Exercise 10 of
       [TakeutiZaring] p. 17.  (The proof was shortened by Andrew Salmon,
       26-Jun-2011.) $)
    indi $p |- ( A i^i ( B u. C ) ) = ( ( A i^i B ) u. ( A i^i C ) ) $=
      ( vx cun cin cv wcel wo wa andi elin orbi12i bitr4i anbi2i 3bitr4i ineqri
      elun ) DABCEZABFZACFZEZDGZAHZUCBHZUCCHZIZJZUCTHZUCUAHZIZUDUCSHZJUCUBHUHUD
      UEJZUDUFJZIUKUDUEUFKUIUMUJUNUCABLUCACLMNULUGUDUCBCROUCTUARPQ $.
      $( [26-Jun-2011] $) $( [30-Sep-2002] $)

    $( Distributive law for union over intersection.  Exercise 11 of
       [TakeutiZaring] p. 17.  (The proof was shortened by Andrew Salmon,
       26-Jun-2011.) $)
    undi $p |- ( A u. ( B i^i C ) ) = ( ( A u. B ) i^i ( A u. C ) ) $=
      ( vx cin cun cv wcel wa wo elin elun anbi12i orbi2i bitr2i 3bitrri uneqri
      ordi ) DABCEZABFZACFZEZDGZUBHUCTHZUCUAHZIUCAHZUCBHZJZUFUCCHZJZIZUFUCSHZJZ
      UCTUAKUDUHUEUJUCABLUCACLMUMUFUGUIIZJUKULUNUFUCBCKNUFUGUIROPQ $.
      $( [30-Sep-2002] $)
  $}

  $( Distributive law for intersection over union.  Theorem 28 of [Suppes]
     p. 27. $)
  indir $p |- ( ( A u. B ) i^i C ) = ( ( A i^i C ) u. ( B i^i C ) ) $=
    ( cun cin indi incom uneq12i 3eqtr4i ) CABDZECAEZCBEZDJCEACEZBCEZDCABFJCGMK
    NLACGBCGHI $.
    $( [30-Sep-2002] $)

  $( Distributive law for union over intersection.  Theorem 29 of [Suppes]
     p. 27. $)
  undir $p |- ( ( A i^i B ) u. C ) = ( ( A u. C ) i^i ( B u. C ) ) $=
    ( cin cun undi uncom ineq12i 3eqtr4i ) CABDZECAEZCBEZDJCEACEZBCEZDCABFJCGMK
    NLACGBCGHI $.
    $( [30-Sep-2002] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Infer equality from equalities of union and intersection.  Exercise 20
       of [Enderton] p. 32 and its converse. $)
    unineq $p |- ( ( ( A u. C ) = ( B u. C ) /\ ( A i^i C ) = ( B i^i C ) )
                 <-> A = B ) $=
      ( vx cun wceq cin wa wcel wb eleq2 elin 3bitr3g iba bibi12d syl5ibr uncom
      wo elun biorf cv wi adantld eqeq12i sylbi adantrd pm2.61i eqrdv uneq1 jca
      wn ineq1 impbii ) ACEZBCEZFZACGZBCGZFZHZABFZUTDABDUAZCIZUTVBAIZVBBIZJZUBV
      CUSVFUPUSVFVCVDVCHZVEVCHZJUSVBUQIVBURIVGVHUQURVBKVBACLVBBCLMVCVDVGVEVHVCV
      DNVCVENOPUCVCUKZUPVFUSUPVFVIVCVDRZVCVERZJUPVBCAEZIZVBCBEZIZVJVKUPVLVNFVMV
      OJUNVLUOVNACQBCQUDVLVNVBKUEVBCASVBCBSMVIVDVJVEVKVCVDTVCVETOPUFUGUHVAUPUSA
      BCUIABCULUJUM $.
      $( [10-Aug-2004] $)
  $}


  $( Restricted quantification over a union.  (Contributed by Scott Fenton,
     12-Apr-2011.)  (The proof was shortened by Andrew Salmon, 29-Jun-2011.) $)
  ralunb $p |- ( A. x e. ( A u. B ) ph <->
                 ( A. x e. A ph /\ A. x e. B ph ) ) $=
    ( cv cun wcel wi wal wa wral wo elun imbi1i jaob bitri albii df-ral anbi12i
    19.26 3bitr4i ) BEZCDFZGZAHZBIZUBCGZAHZBIZUBDGZAHZBIZJZABUCKABCKZABDKZJUFUH
    UKJZBIUMUEUPBUEUGUJLZAHUPUDUQAUBCDMNUGAUJOPQUHUKBTPABUCRUNUIUOULABCRABDRSUA
    $.
    $( [29-Jun-2011] $) $( [12-Apr-2011] $)


  $( Union of two restricted class abstractions. $)
  unrab $p |- ( { x e. A | ph } u. { x e. A | ps } ) =
              { x e. A | ( ph \/ ps ) } $=
    ( cv wcel wa cab cun wo crab unab andi abbii eqtr4i df-rab uneq12i 3eqtr4i
    ) CEDFZAGZCHZSBGZCHZIZSABJZGZCHZACDKZBCDKZIUECDKUDTUBJZCHUGTUBCLUFUJCSABMNO
    UHUAUIUCACDPBCDPQUECDPR $.
    $( [25-Mar-2004] $)

  $( Intersection of two restricted class abstractions. $)
  inrab $p |- ( { x e. A | ph } i^i { x e. A | ps } ) =
              { x e. A | ( ph /\ ps ) } $=
    ( cv wcel wa cab cin crab inab anandi abbii eqtr4i df-rab ineq12i 3eqtr4i )
    CEDFZAGZCHZRBGZCHZIZRABGZGZCHZACDJZBCDJZIUDCDJUCSUAGZCHUFSUACKUEUICRABLMNUG
    TUHUBACDOBCDOPUDCDOQ $.
    $( [1-Sep-2006] $)

  ${
    $d x B $.
    $( Intersection with a restricted class abstraction. $)
    inrab2 $p |- ( { x e. A | ph } i^i B ) = { x e. ( A i^i B ) | ph } $=
      ( cv wcel wa cab cin crab inab elin anbi1i an32 bitri abbii eqtr4i df-rab
      abid2 eqcomi ineq12i 3eqtr4i ) BEZCFZAGZBHZUCDFZBHZIZUCCDIZFZAGZBHZABCJZD
      IABUJJUIUEUGGZBHUMUEUGBKULUOBULUDUGGZAGUOUKUPAUCCDLMUDUGANOPQUNUFDUHABCRU
      HDBDSTUAABUJRUB $.
      $( [19-Nov-2007] $)
  $}

  $( Difference of two restricted class abstractions. $)
  difrab $p |- ( { x e. A | ph } \ { x e. A | ps } ) =
              { x e. A | ( ph /\ -. ps ) } $=
    ( cv wcel wa cab cdif wn difab anass simpr con3i anim2i pm3.2 adantr df-rab
    crab wi con3d imdistani impbii bitr3i abbii eqtr4i difeq12i 3eqtr4i ) CEDFZ
    AGZCHZUIBGZCHZIZUIABJZGZGZCHZACDSZBCDSZIUPCDSUNUJULJZGZCHURUJULCKUQVBCUQUJU
    OGZVBUIAUOLVCVBUOVAUJULBUIBMNOUJVAUOUJBULUIBULTAUIBPQUAUBUCUDUEUFUSUKUTUMAC
    DRBCDRUGUPCDRUH $.
    $( [23-Oct-2004] $)

  ${
    $d x A $.
    $( Alternate definition of restricted class abstraction. $)
    dfrab2 $p |- { x e. A | ph } = ( { x | ph } i^i A ) $=
      ( crab cv wcel wa cab cin df-rab inab abid2 ineq1i eqtr3i incom 3eqtri )
      ABCDBECFZAGBHZCABHZIZSCIABCJQBHZSIRTQABKUACSBCLMNCSOP $.
      $( [20-Sep-2003] $)

    $( Alternate definition of restricted class abstraction.  (Contributed by
       Mario Carneiro, 8-Sep-2013.) $)
    dfrab3 $p |- { x e. A | ph } = ( A i^i { x | ph } ) $=
      ( crab cv wcel wa cab cin df-rab inab abid2 ineq1i eqtr3i eqtri ) ABCDBEC
      FZAGBHZCABHZIZABCJPBHZRIQSPABKTCRBCLMNO $.
      $( [8-Sep-2013] $)
  $}

  $( Distribute restricted existential quantification over a union. $)
  rexun $p |- ( E. x e. ( A u. B ) ph <-> ( E. x e. A ph \/ E. x e. B ph ) ) $=
    ( cv cun wcel wa wo wrex elun anbi1i andir bitri exbii df-rex orbi12i 19.43
    wex bitr4i 3bitr4i ) BEZCDFZGZAHZBSUBCGZAHZUBDGZAHZIZBSZABUCJABCJZABDJZIZUE
    UJBUEUFUHIZAHUJUDUOAUBCDKLUFUHAMNOABUCPUNUGBSZUIBSZIUKULUPUMUQABCPABDPQUGUI
    BRTUA $.
    $( [22-Jan-2015] $)


  ${
    $d A y $.  $d C y z $.  $d D y z $.  $d x y z $.
    $( Distribute proper substitution through an intersection relation.
       (Contributed by Alan Sare, 22-Jul-2012.) $)
    csbing $p |- ( A e. B -> [_ A / x ]_ ( C i^i D ) =
                  ( [_ A / x ]_ C i^i [_ A / x ]_ D ) ) $=
      ( vy vz cv cin csb wceq csbeq1 ineq12d eqeq12d vex wel ax-17 hbin csbeq1a
      hbcsb1 weq csbief vtoclg ) AFHZDEIZJZAUDDJZAUDEJZIZKABUEJZABDJZABEJZIZKFB
      CUDBKZUFUJUIUMAUDBUELUNUGUKUHULAUDBDLAUDBELMNAGUDUEUIFOGAUGUHAGUDDGFPAQZT
      AGUDEUOTRAFUADUGEUHAUDDSAUDESMUBUC $.
      $( [22-Jul-2012] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
           The empty set
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the symbol for the empty or null set. $)
  $c (/) $. $( null set $)

  $( Extend class notation to include the empty set. $)
  c0 $a class (/) $.

  $( Define the empty set.  Special case of Exercise 4.10(o) of [Mendelson]
     p. 231.  For a more traditional definition, but requiring a dummy
     variable, see ~ dfnul2 . $)
  df-nul $a |- (/) = ~ _V $.

  $( Alternate definition of the empty set.  Definition 5.14 of [TakeutiZaring]
     p. 20. $)
  dfnul2 $p |- (/) = { x | -. x = x } $=
    ( c0 cvv ccompl weq cab wn df-nul df-v compleqi complab 3eqtri ) BCDAAEZAFZ
    DMGAFHCNAIJMAKL $.
    $( [26-Dec-1996] $)

  $( Alternate definition of the empty set.. $)
  dfnul3 $p |- (/) = { x e. A | -. x e. A } $=
    ( cv wceq wn cab wcel wa crab pm3.24 eqid 2th con1bii dfnul2 df-rab 3eqtr4i
    c0 abbii ) ACZSDZEZAFSBGZUBEZHZAFQUCABIUAUDAUDTUDETUBJSKLMRANUCABOP $.
    $( [25-Mar-2004] $)

  $( The universal class is the complement of the empty class. $)
  dfv2 $p |- _V = ~ (/) $=
    ( c0 ccompl cvv df-nul compleqi dblcompl eqtr2i ) ABCBZBCAHDECFG $.
    $( [12-Jan-2015] $)

  ${
    $d A x $.
    $( The empty set has no elements.  Theorem 6.14 of [Quine] p. 44. $)
    noel $p |- -. A e. (/) $=
      ( vx cvv wcel c0 wn cv wceq eqid dfnul2 abeq2i con2bii mpbi eleq1 vtocleg
      mtbii elex con3i pm2.61i ) ACDZAEDZFZUBBACBGZAHUCEDZUAUCUCHZUDFUCIUDUEUEF
      BEBJKLMUCAENPOUATAEQRS $.
      $( [5-Aug-1993] $)
  $}

  $( If a set has elements, it is not empty. $)
  n0i $p |- ( B e. A -> -. A = (/) ) $=
    ( c0 wceq wcel noel eleq2 mtbiri con2i ) ACDZBAEZJKBCEBFACBGHI $.
    $( [31-Dec-1993] $)

  $( If a set has elements, it is not empty. $)
  ne0i $p |- ( B e. A -> A =/= (/) ) $=
    ( wcel c0 wceq wn wne n0i df-ne sylibr ) BACADEFADGABHADIJ $.
    $( [31-Dec-1993] $)

  $( The universal class is not equal to the empty set. $)
  vn0 $p |- _V =/= (/) $=
    ( vx cv cvv wcel c0 wne vex ne0i ax-mp ) ABZCDCEFAGCJHI $.
    $( [11-Sep-2008] $)

  ${
    $d x y $.  $d y A $.
    ne0f.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( A nonempty class has at least one element.  Proposition 5.17(1) of
       [TakeutiZaring] p. 20.  This version of ~ n0 requires only that ` x `
       not be free in, rather than not occur in, ` A ` . $)
    n0f $p |- ( A =/= (/) <-> E. x x e. A ) $=
      ( c0 wceq wn cv wcel wal wne wex ax-17 cleqf noel nbn albii bitr4i notbii
      wb df-ne df-ex 3bitr4i ) CEFZGAHZCIZGZAJZGCEKUFALUDUHUDUFUEEIZTZAJUHABCED
      BHEIAMNUGUJAUIUFUEOPQRSCEUAUFAUBUC $.
      $( [2-Apr-2007] $) $( [17-Oct-2003] $)
  $}

  ${
    $d x y A $.
    $( A nonempty class has at least one element.  Proposition 5.17(1) of
       [TakeutiZaring] p. 20. $)
    n0 $p |- ( A =/= (/) <-> E. x x e. A ) $=
      ( vy cv wcel ax-17 n0f ) ACBCDBEAFG $.
      $( [29-Sep-2006] $)

    $( A nonempty class has at least one element.  Proposition 5.17(1) of
       [TakeutiZaring] p. 20. $)
    neq0 $p |- ( -. A = (/) <-> E. x x e. A ) $=
      ( c0 wceq wn wne cv wcel wex df-ne n0 bitr3i ) BCDEBCFAGBHAIBCJABKL $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x ph $.
    reximdva0.1 $e |- ( ( ph /\ x e. A ) -> ps ) $.
    $( Restricted existence deduced from non-empty class. $)
    reximdva0 $p |- ( ( ph /\ A =/= (/) ) -> E. x e. A ps ) $=
      ( c0 wne wa cv wcel wex wrex n0 ex ancld eximdv imp sylan2b df-rex sylibr
      ) ADFGZHCIDJZBHZCKZBCDLUAAUBCKZUDCDMAUEUDAUBUCCAUBBAUBBENOPQRBCDST $.
      $( [1-Feb-2012] $)
  $}

  ${
    $d A x $.
    $( A case of equivalence of "at most one" and "only one".  (Contributed by
       FL, 6-Dec-2010.) $)
    n0moeu $p |- ( A =/= (/) -> ( E* x x e. A <-> E! x x e. A ) ) $=
      ( c0 wne cv wcel wmo wex wa weu n0 biimpi biantrurd eu5 syl6bbr ) BCDZAEB
      FZAGZQAHZRIQAJPSRPSABKLMQANO $.
      $( [2-Mar-2011] $) $( [14-Nov-2010] $)
  $}

  $( Vacuous existential quantification is false. $)
  rex0 $p |- -. E. x e. (/) ph $=
    ( c0 cv wcel wn noel pm2.21i nrex ) ABCBDZCEAFJGHI $.
    $( [15-Oct-2003] $)

  ${
    $d x A $.
    $( The empty set has no elements.  Theorem 2 of [Suppes] p. 22. $)
    eq0 $p |- ( A = (/) <-> A. x -. x e. A ) $=
      ( c0 wceq cv wcel wn wal wex neq0 df-ex bitri con4bii ) BCDZAEBFZGAHZNGOA
      IPGABJOAKLM $.
      $( [29-Aug-1993] $)

    $( The universe contains every set. $)
    eqv $p |- ( A = _V <-> A. x x e. A ) $=
      ( cvv wceq cv wcel wb wal dfcleq vex tbt albii bitr4i ) BCDAEZBFZNCFZGZAH
      OAHABCIOQAPOAJKLM $.
      $( [11-Sep-2006] $)
  $}

  ${
    $d x A $.  $d x y $.
    $( Membership of the empty set in another class. $)
    0el $p |- ( (/) e. A <-> E. x e. A A. y -. y e. x ) $=
      ( c0 wcel cv wceq wrex wn wal risset eq0 rexbii bitri ) DCEAFZDGZACHBFOEI
      BJZACHADCKPQACBOLMN $.
      $( [29-Jun-2004] $)
  $}

  ${
    $d x ph $.
    $( The class builder of a wff not containing the abstraction variable is
       either the universal class or the empty set.  (Contributed by Mario
       Carneiro, 29-Aug-2013.) $)
    abvor0 $p |- ( { x | ph } = _V \/ { x | ph } = (/) ) $=
      ( cab cvv wceq c0 wn cv wcel vex a1i 2thd abbi1dv con3i noel con4bid orri
      id syl ) ABCZDEZTFEZUAGAGZUBAUAAABDAABHZDIZARUEABJKLMNUCABFUCAUDFIZUCUCUF
      GZUCRUGUCUDOKLPMSQ $.
      $( [29-Aug-2013] $)
  $}

  ${
    $d x y $.  $d y ph $.
    $( Nonempty class abstraction. $)
    abn0 $p |- ( { x | ph } =/= (/) <-> E. x ph ) $=
      ( vy cab c0 wne cv wcel wex n0 hbab1 ax-17 eleq1 cbvex abid exbii 3bitri
      ) ABDZEFCGZRHZCIBGZRHZBIABICRJTUBCBABCKUBCLSUARMNUBABABOPQ $.
      $( [21-Feb-2007] $) $( [26-Dec-1996] $)
  $}

  $( Empty class abstraction. $)
  ab0 $p |- ( { x | ph } = (/) <-> A. x -. ph ) $=
    ( cab c0 wceq wn wal wne wex abn0 df-ne df-ex 3bitr3i con4bii ) ABCZDEZAFBG
    ZODHABIPFQFABJODKABLMN $.
    $( [14-Jan-2015] $)

  $( Non-empty restricted class abstraction. $)
  rabn0 $p |- ( { x e. A | ph } =/= (/) <-> E. x e. A ph ) $=
    ( cv wcel wa cab c0 wne wex crab wrex abn0 df-rab neeq1i df-rex 3bitr4i ) B
    DCEAFZBGZHIRBJABCKZHIABCLRBMTSHABCNOABCPQ $.
    $( [24-Feb-2007] $) $( [29-Aug-1999] $)

  $( Any restricted class abstraction restricted to the empty set is empty.
     (The proof was shortened by Andrew Salmon, 26-Jun-2011.) $)
  rab0 $p |- { x e. (/) | ph } = (/) $=
    ( cv c0 wcel wa cab wceq wn crab equid noel intnanr 2th abbii df-rab dfnul2
    con2bii 3eqtr4i ) BCZDEZAFZBGTTHZIZBGABDJDUBUDBUCUBUCUBIBKUAATLMNROABDPBQS
    $.
    $( [26-Jun-2011] $) $( [15-Oct-2003] $)

  $( Condition for a restricted class abstraction to be empty.  (Contributed by
     Jeff Madsen, 7-Jun-2010.) $)
  rabeq0 $p |- ( { x e. A | ph } = (/) <-> A. x e. A -. ph ) $=
    ( wn wral wrex crab c0 wceq ralnex rabn0 necon1bbii bitr2i ) ADBCEABCFZDABC
    GZHIABCJNOHABCKLM $.
    $( [7-Jun-2010] $)

  ${
    $d x A $.
    $( The union of a class with the empty set is itself.  Theorem 24 of
       [Suppes] p. 27. $)
    un0 $p |- ( A u. (/) ) = A $=
      ( vx c0 cv wcel wo noel biorfi bicomi uneqri ) BACABDZAEZLKCEZFMLKGHIJ $.
      $( [5-Aug-1993] $)

    $( The intersection of a class with the empty set is the empty set.
       Theorem 16 of [Suppes] p. 26. $)
    in0 $p |- ( A i^i (/) ) = (/) $=
      ( vx c0 cv wcel wa noel bianfi bicomi ineqri ) BACCBDZCEZKAEZLFLMKGHIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d A x $.
    $( The intersection of a class with the universal class is itself.
       Exercise 4.10(k) of [Mendelson] p. 231. $)
    inv1 $p |- ( A i^i _V ) = A $=
      ( vx cvv cin cv wcel vex elin mpbiran2 eqriv ) BACDZABEZKFLAFLCFBGLACHIJ
      $.
      $( [17-May-1998] $)
  $}

  $( The union of a class with the universal class is the universal class.
     Exercise 4.10(l) of [Mendelson] p. 231. $)
  unv $p |- ( A u. _V ) = _V $=
    ( cvv cun ccompl cin c0 in0 df-nul ineq2i 3eqtr3i compleqi dblcompl 3eqtri
    dfun2 ) ABCADZBDZEZDPDBABNQPOFEFQPOGFPOHIHJKBLM $.
    $( [17-May-1998] $)

  ${
    abf.1 $e |- -. ph $.
    $( A class builder with a false argument is empty. $)
    abf $p |- { x | ph } = (/) $=
      ( cab c0 wceq cv wcel wb abeq1 noel 2false mpgbir ) ABDEFABGZEHZIBABEJAOC
      NKLM $.
      $( [20-Jan-2012] $)
  $}

  ${
    $d x A $.  $d x ph $.
    eq0rdv.1 $e |- ( ph -> -. x e. A ) $.
    $( Deduction rule for equality to the empty set. $)
    eq0rdv $p |- ( ph -> A = (/) ) $=
      ( cv wcel wn wal c0 wceq alrimiv eq0 sylibr ) ABECFGZBHCIJANBDKBCLM $.
      $( [11-Jul-2014] $)
  $}

  ${
    $d A x $.  $d B x $.
    $( Two classes are empty iff their union is empty. $)
    un00 $p |- ( ( A = (/) /\ B = (/) ) <-> ( A u. B ) = (/) ) $=
      ( vx cv wcel wn wa wal cun c0 wceq wo elun oran bitri con2bii eq0 anbi12i
      albii 19.26 bitr4i 3bitr4i ) CDZAEZFZUCBEZFZGZCHZUCABIZEZFZCHAJKZBJKZGZUJ
      JKUHULCUKUHUKUDUFLUHFUCABMUDUFNOPSUOUECHZUGCHZGUIUMUPUNUQCAQCBQRUEUGCTUAC
      UJQUB $.
      $( [11-Aug-2004] $)
  $}


  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Two ways of saying that two classes are disjoint (have no members in
       common). $)
    disj $p |- ( ( A i^i B ) = (/) <-> A. x e. A -. x e. B ) $=
      ( cv cin wcel wn wal wi c0 wceq wral wa df-an bitr2i con1bii albii df-ral
      elin eq0 3bitr4i ) ADZBCEZFZGZAHUBBFZUBCFZGZIZAHUCJKUHABLUEUIAUIUDUDUFUGM
      UIGUBBCSUFUGNOPQAUCTUHABRUA $.
      $( [17-Feb-2004] $)

    $( Two ways of saying that two classes are disjoint.  (Contributed by Jeff
       Madsen, 19-Jun-2011.) $)
    disjr $p |- ( ( A i^i B ) = (/) <-> A. x e. B -. x e. A ) $=
      ( cin c0 wceq cv wcel wn wral incom eqeq1i disj bitri ) BCDZEFCBDZEFAGBHI
      ACJOPEBCKLACBMN $.
      $( [19-Jun-2011] $)

    $( Two ways of saying that two classes are disjoint (have no members in
       common). $)
    disj1 $p |- ( ( A i^i B ) = (/) <-> A. x ( x e. A -> -. x e. B ) ) $=
      ( cin c0 wceq cv wcel wn wral wi wal disj df-ral bitri ) BCDEFAGZCHIZABJP
      BHQKALABCMQABNO $.
      $( [19-Aug-1993] $)

    $( Two ways of saying that two classes are disjoint. $)
    disj3 $p |- ( ( A i^i B ) = (/) <-> A = ( A \ B ) ) $=
      ( vx cv wcel wn wi wal cdif wb cin c0 wa pm4.71 eldif bibi2i bitr4i albii
      wceq disj1 dfcleq 3bitr4i ) CDZAEZUCBEFZGZCHUDUCABIZEZJZCHABKLSAUGSUFUICU
      FUDUDUEMZJUIUDUENUHUJUDUCABOPQRCABTCAUGUAUB $.
      $( [19-May-1998] $)

    $( Members of disjoint sets are not equal.  (The proof was shortened by
       Andrew Salmon, 26-Jun-2011.) $)
    disjne $p |- ( ( ( A i^i B ) = (/) /\ C e. A /\ D e. B ) -> C =/= D ) $=
      ( vx cin c0 wceq wcel cv wn wral wi disj wa eleq1 notbid rcla4cva biimprd
      wne com12 necon3bd syl5com sylanb 3impia ) ABFGHZCAIZDBIZCDTZUFEJZBIZKZEA
      LZUGUHUIMEABNUMUGOCBIZKZUHUIULUOECAUJCHUKUNUJCBPQRUHUNCDCDHZUHUNUPUNUHCDB
      PSUAUBUCUDUE $.
      $( [26-Jun-2011] $) $( [28-Mar-2007] $)
  $}

  $( The union of disjoint classes is disjoint. $)
  undisj1 $p |- ( ( ( A i^i C ) = (/) /\ ( B i^i C ) = (/) ) <->
               ( ( A u. B ) i^i C ) = (/) ) $=
    ( cin c0 wceq wa cun un00 indir eqeq1i bitr4i ) ACDZEFBCDZEFGMNHZEFABHCDZEF
    MNIPOEABCJKL $.
    $( [26-Sep-2004] $)

  $( The union of disjoint classes is disjoint. $)
  undisj2 $p |- ( ( ( A i^i B ) = (/) /\ ( A i^i C ) = (/) ) <->
               ( A i^i ( B u. C ) ) = (/) ) $=
    ( cin c0 wceq wa cun un00 indi eqeq1i bitr4i ) ABDZEFACDZEFGMNHZEFABCHDZEFM
    NIPOEABCJKL $.
    $( [13-Sep-2004] $)


  $( The intersection of classes with a common member is nonempty. $)
  inelcm $p |- ( ( A e. B /\ A e. C ) -> ( B i^i C ) =/= (/) ) $=
    ( wcel wa cin c0 wne elin ne0i sylbir ) ABDACDEABCFZDLGHABCILAJK $.
    $( [2-Apr-2007] $) $( [7-Apr-1994] $)

  $( A minimum element of a class has no elements in common with the class. $)
  minel $p |- ( ( A e. B /\ ( C i^i B ) = (/) ) -> -. A e. C ) $=
    ( cin c0 wceq wcel wn wa wi inelcm necon2bi imnan sylibr con2d impcom ) CBD
    ZEFZABGZACGZHRTSRTSIZHTSHJUAQEACBKLTSMNOP $.
    $( [22-Jun-1994] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Distribute union over difference.  (The proof was shortened by Andrew
       Salmon, 26-Jun-2011.) $)
    undif4 $p |- ( ( A i^i C ) = (/) ->
                 ( A u. ( B \ C ) ) = ( ( A u. B ) \ C ) ) $=
      ( vx cv wcel wn wi wal cdif cun wb cin c0 wceq wo wa eldif elun 3bitr4g
      pm2.621 olc impbid1 anbi2d orbi2i bitri anbi1i alimi disj1 dfcleq 3imtr4i
      ordi ) DEZAFZUMCFGZHZDIUMABCJZKZFZUMABKZCJZFZLZDIACMNOURVAOUPVCDUPUNUMUQF
      ZPZUMUTFZUOQZUSVBUPUNUMBFZPZUNUOPZQZVIUOQVEVGUPVJUOVIUPVJUOUNUOUAUOUNUBUC
      UDVEUNVHUOQZPVKVDVLUNUMBCRUEUNVHUOULUFVFVIUOUMABSUGTUMAUQSUMUTCRTUHDACUID
      URVAUJUK $.
      $( [26-Jun-2011] $) $( [17-May-1998] $)
  $}

  ${
    $d A x $.
    $( Universal class equality in terms of empty difference. $)
    vdif0 $p |- ( A = _V <-> ( _V \ A ) = (/) ) $=
      ( vx cv wcel wal cvv cdif wn wceq vex eldif mpbiran con2bii albii eqv eq0
      c0 3bitr4i ) BCZADZBESFAGZDZHZBEAFIUAQITUCBUBTUBSFDTHBJSFAKLMNBAOBUAPR $.
      $( [17-Sep-2003] $)
  $}

  ${
    $d A x $.
    $( Intersection with complement is empty. $)
    incompl $p |- ( A i^i ~ A ) = (/) $=
      ( vx ccompl cin c0 wceq cv wcel wn eq0 wa pm3.24 vex elcompl anbi2i bitri
      elin mtbir mpgbir ) AACZDZEFBGZUAHZIBBUAJUCUBAHZUDIZKZUDLUCUDUBTHZKUFUBAT
      QUGUEUDUBABMNOPRS $.
      $( [12-Jan-2015] $)
  $}

  $( Union with complement is the universal class. $)
  uncompl $p |- ( A u. ~ A ) = _V $=
    ( ccompl cin c0 cun cvv incompl compleqi dfun2 dfv2 3eqtr4i ) ABZLBCZBDBALE
    FMDLGHALIJK $.
    $( [12-Jan-2015] $)

  $( The difference between a class and itself is the empty set.  Proposition
     5.15 of [TakeutiZaring] p. 20.  Also Theorem 32 of [Suppes] p. 28. $)
  difid $p |- ( A \ A ) = (/) $=
    ( cdif ccompl cin c0 df-dif incompl eqtri ) AABAACDEAAFAGH $.
    $( [22-Apr-2004] $)


  $( The intersection of an intersection and a difference is empty. $)
  inindif $p |- ( ( A i^i B ) i^i ( A \ B ) ) = (/) $=
    ( cin cdif ccompl c0 df-dif ineq2i inindi incompl in0 eqtri 3eqtr2i ) ABCZA
    BDZCNABEZCZCABPCZCZFOQNABGHABPISAFCFRFABJHAKLM $.
    $( [10-Mar-2015] $)

  $( The difference between a class and the empty set.  Part of Exercise 4.4 of
     [Stoll] p. 16. $)
  dif0 $p |- ( A \ (/) ) = A $=
    ( c0 cdif ccompl cin cvv df-dif dfv2 ineq2i inv1 3eqtr2i ) ABCABDZEAFEAABGF
    LAHIAJK $.
    $( [17-Aug-2004] $)

  $( The difference between the empty set and a class.  Part of Exercise 4.4 of
     [Stoll] p. 16. $)
  0dif $p |- ( (/) \ A ) = (/) $=
    ( c0 cdif ccompl cin df-dif incom in0 3eqtri ) BACBADZEJBEBBAFBJGJHI $.
    $( [17-Aug-2004] $)

  ${
    $d A x $.  $d B x $.
    $( A class and its relative complement are disjoint.  Theorem 38 of
       [Suppes] p. 29. $)
    disjdif $p |- ( A i^i ( B \ A ) ) = (/) $=
      ( vx cdif cin c0 wceq cv wcel wn wa pm3.24 intnan anandi mtbir elin eldif
      eq0 anbi2i bitri mpgbir ) ABADZEZFGCHZUCIZJCCUCRUEUDAIZUDBIZUFJZKZKZUJUFU
      GKZUFUHKZKULUKUFLMUFUGUHNOUEUFUDUBIZKUJUDAUBPUMUIUFUDBAQSTOUA $.
      $( [24-Mar-1998] $)
  $}

  $( The difference of a class from its intersection is empty.  Theorem 37 of
     [Suppes] p. 29.  (The proof was shortened by Andrew Salmon,
     26-Jun-2011.) $)
  difin0 $p |- ( ( A i^i B ) \ B ) = (/) $=
    ( cin cdif ccompl c0 df-dif inass incompl ineq2i eqtri in0 3eqtri ) ABCZBDN
    BEZCZAFCZFNBGPABOCZCQABOHRFABIJKALM $.
    $( [26-Jun-2011] $) $( [17-Aug-2004] $)

  $( The union of a class and its complement is the universe.  Theorem 5.1(5)
     of [Stoll] p. 17. $)
  undifv $p |- ( A u. ( _V \ A ) ) = _V $=
    ( cvv cdif cun ccompl cin df-dif uneq2i undi unv uncompl ineq12i inv1 eqtri
    ) ABACZDABAEZFZDZBOQABAGHRABDZAPDZFZBABPIUABBFBSBTBAJAKLBMNNN $.
    $( [17-Aug-2004] $)

  $( Absorption of difference by union.  This decomposes a union into two
     disjoint classes (see ~ disjdif ).  Theorem 35 of [Suppes] p. 29. $)
  undif1 $p |- ( ( A \ B ) u. B ) = ( A u. B ) $=
    ( cdif cun ccompl cin df-dif uneq1i undir eqtri uncom uncompl ineq2i inv1
    cvv ) ABCZBDZABDZBEZBDZFZRQASFZBDUAPUBBABGHASBIJUAROFRTORTBSDOSBKBLJMRNJJ
    $.
    $( [18-Aug-2004] $) $( [19-May-1998] $)

  $( Absorption of difference by union.  This decomposes a union into two
     disjoint classes (see ~ disjdif ).  Part of proof of Corollary 6K of
     [Enderton] p. 144. $)
  undif2 $p |- ( A u. ( B \ A ) ) = ( A u. B ) $=
    ( cdif cun uncom undif1 3eqtri ) ABACZDHADBADABDAHEBAFBAEG $.
    $( [4-Sep-2004] $) $( [19-May-1998] $)

  ${
    $d A x $.  $d B x $.
    $( Absorption of difference by union. $)
    undifabs $p |- ( A u. ( A \ B ) ) = A $=
      ( vx cdif cv wcel wo wn wa eldif orbi2i pm4.44 bitr4i uneqri ) CAABDZACEZ
      AFZPOFZGQQPBFHZIZGQRTQPABJKQSLMN $.
      $( [18-Aug-2013] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( The intersection and class difference of a class with another class
       unite to give the original class.  (Contributed by Paul Chapman,
       5-Jun-2009.)  (The proof was shortened by Andrew Salmon,
       26-Jun-2011.) $)
    inundif $p |- ( ( A i^i B ) u. ( A \ B ) ) = A $=
      ( vx cin cdif cv wcel wo wa wn elin eldif orbi12i pm4.42 bitr4i uneqri )
      CABDZABEZACFZQGZSRGZHSAGZSBGZIZUBUCJIZHUBTUDUAUESABKSABLMUBUCNOP $.
      $( [26-Jun-2011] $) $( [5-Jun-2009] $)
  $}

  $( Absorption of union by difference.  Theorem 36 of [Suppes] p. 29. $)
  difun2 $p |- ( ( A u. B ) \ B ) = ( A \ B ) $=
    ( cun ccompl cin cdif c0 indir incompl uneq2i un0 3eqtri df-dif 3eqtr4i ) A
    BCZBDZEZAPEZOBFABFQRBPEZCRGCRABPHSGRBIJRKLOBMABMN $.
    $( [18-Aug-2004] $) $( [19-May-1998] $)

  $( Distributive law for class difference.  Exercise 4.8 of [Stoll] p. 16. $)
  difdifdir $p |- ( ( A \ B ) \ C ) = ( ( A \ C ) \ ( B \ C ) ) $=
    ( ccompl cin cun cdif incom indir c0 incompl uneq2i un0 eqtri 3eqtri ineq2i
    inass 3eqtr4ri df-dif ineq1i compleqi iinun dblcompl ineq12i 3eqtr4i ) ABDZ
    EZCDZEZAUHEZUFCFZEZABGZCGZACGZBCGZGZAUHUKEZEAUFUHEZEULUIURUSAURUKUHEUSCUHEZ
    FZUSUHUKHUFCUHIVAUSJFUSUTJUSCKLUSMNOPAUHUKQAUFUHQRUNUMUHEUIUMCSUMUGUHABSTNU
    QUOUPDZEULUOUPSUOUJVBUKACSVBBUHEZDUFUHDZFUKUPVCBCSUABUHUBVDCUFCUCLOUDNUE $.
    $( [18-Aug-2004] $)

  ${
    $d x A $.
    $( Theorem 19.2 of [Margaris] p. 89 with restricted quantifiers (compare
       ~ 19.2 ).  The restricted version is valid only when the domain of
       quantification is not empty. $)
    r19.2z $p |- ( ( A =/= (/) /\ A. x e. A ph ) -> E. x e. A ph ) $=
      ( wral c0 wne wrex cv wex wa wi wal df-ral exintr sylbi n0 df-rex 3imtr4g
      wcel impcom ) ABCDZCEFZABCGZUABHCSZBIZUDAJBIZUBUCUAUDAKBLUEUFKABCMUDABNOB
      CPABCQRT $.
      $( [15-Nov-2003] $)

    $( A response to the notion that the condition ` A =/= (/) ` can be removed
       in ~ r19.2z .  Interestingly enough, ` ph ` does not figure in the
       left-hand side.  (Contributed by Jeff Hankins, 24-Aug-2009.) $)
    r19.2zb $p |- ( A =/= (/) <-> ( A. x e. A ph -> E. x e. A ph ) ) $=
      ( c0 wral wrex wi r19.2z ex wceq cv wcel noel pm2.21i rgen raleq necon3bi
      wne mpbiri wex wa exsimpl df-rex n0 3imtr4i ja impbii ) CDRZABCEZABCFZGUH
      UIUJABCHIUIUJUHUICDCDJUIABDEABDBKZDLAUKMNOABCDPSQUKCLZAUABTULBTUJUHULABUB
      ABCUCBCUDUEUFUG $.
      $( [24-Aug-2009] $)
  $}

  ${
    $d x A $.
    r19.3rz.1 $e |- ( ph -> A. x ph ) $.
    $( Restricted quantification of wff not containing quantified variable.
       (Contributed by FL, 3-Jan-2008.) $)
    r19.3rz $p |- ( A =/= (/) -> ( ph <-> A. x e. A ph ) ) $=
      ( c0 wne cv wcel wex wi wral wb n0 biimt sylbi df-ral 19.23 bitri syl6bbr
      wal ) CEFZABGCHZBIZAJZABCKZUAUCAUDLBCMUCANOUEUBAJBTUDABCPUBABDQRS $.
      $( [3-Jan-2008] $)

    $( Restricted quantifier version of Theorem 19.28 of [Margaris] p. 90.  It
       is valid only when the domain of quantification is not empty. $)
    r19.28z $p |- ( A =/= (/) ->
                   ( A. x e. A ( ph /\ ps ) <-> ( ph /\ A. x e. A ps ) ) ) $=
      ( c0 wne wral wa r19.3rz anbi1d r19.26 syl6rbbr ) DFGZABCDHZIACDHZOIABICD
      HNAPOACDEJKABCDLM $.
      $( [26-Oct-2010] $)
  $}

  ${
    $d x A $.  $d x ph $.
    $( Restricted quantification of wff not containing quantified variable. $)
    r19.3rzv $p |- ( A =/= (/) -> ( ph <-> A. x e. A ph ) ) $=
      ( c0 wne cv wcel wex wi wb n0 biimt sylbi wal df-ral 19.23v bitri syl6bbr
      wral ) CDEZABFCGZBHZAIZABCSZTUBAUCJBCKUBALMUDUAAIBNUCABCOUAABPQR $.
      $( [10-Mar-1997] $)

    $( Restricted quantification of wff not containing quantified variable. $)
    r19.9rzv $p |- ( A =/= (/) -> ( ph <-> E. x e. A ph ) ) $=
      ( c0 wne wn wral wrex r19.3rzv bicomd con2bid dfrex2 syl6bbr ) CDEZAAFZBC
      GZFABCHNPANOPOBCIJKABCLM $.
      $( [27-May-1998] $)

    $( Restricted quantifier version of Theorem 19.28 of [Margaris] p. 90.  It
       is valid only when the domain of quantification is not empty. $)
    r19.28zv $p |- ( A =/= (/) ->
                   ( A. x e. A ( ph /\ ps ) <-> ( ph /\ A. x e. A ps ) ) ) $=
      ( c0 wne wral wa r19.3rzv anbi1d r19.26 syl6rbbr ) DEFZABCDGZHACDGZNHABHC
      DGMAONACDIJABCDKL $.
      $( [19-Aug-2004] $)

    $( Restricted quantifier version of Theorem 19.37 of [Margaris] p. 90.  It
       is valid only when the domain of quantification is not empty.
       (Contributed by Paul Chapman, 8-Oct-2007.) $)
    r19.37zv $p |- ( A =/= (/) ->
                   ( E. x e. A ( ph -> ps ) <-> ( ph -> E. x e. A ps ) ) ) $=
      ( c0 wne wrex wi wral r19.3rzv imbi1d r19.35 syl6rbbr ) DEFZABCDGZHACDIZO
      HABHCDGNAPOACDJKABCDLM $.
      $( [8-Oct-2007] $)

    $( Restricted version of Theorem 19.45 of [Margaris] p. 90. $)
    r19.45zv $p |- ( A =/= (/) ->
                   ( E. x e. A ( ph \/ ps ) <-> ( ph \/ E. x e. A ps ) ) ) $=
      ( c0 wne wrex wo r19.9rzv orbi1d r19.43 syl6rbbr ) DEFZABCDGZHACDGZNHABHC
      DGMAONACDIJABCDKL $.
      $( [27-May-1998] $)
  $}

  ${
    $d x A $.
    r19.27z.1 $e |- ( ps -> A. x ps ) $.
    $( Restricted quantifier version of Theorem 19.27 of [Margaris] p. 90.  It
       is valid only when the domain of quantification is not empty. $)
    r19.27z $p |- ( A =/= (/) ->
                   ( A. x e. A ( ph /\ ps ) <-> ( A. x e. A ph /\ ps ) ) ) $=
      ( c0 wne wral wa r19.3rz anbi2d r19.26 syl6rbbr ) DFGZACDHZBIOBCDHZIABICD
      HNBPOBCDEJKABCDLM $.
      $( [26-Oct-2010] $)
  $}

  ${
    $d x A $.  $d x ps $.
    $( Restricted quantifier version of Theorem 19.27 of [Margaris] p. 90.  It
       is valid only when the domain of quantification is not empty. $)
    r19.27zv $p |- ( A =/= (/) ->
                   ( A. x e. A ( ph /\ ps ) <-> ( A. x e. A ph /\ ps ) ) ) $=
      ( c0 wne wral wa r19.3rzv anbi2d r19.26 syl6rbbr ) DEFZACDGZBHNBCDGZHABHC
      DGMBONBCDIJABCDKL $.
      $( [19-Aug-2004] $)

    $( Restricted quantifier version of Theorem 19.36 of [Margaris] p. 90.  It
       is valid only when the domain of quantification is not empty. $)
    r19.36zv $p |- ( A =/= (/) ->
                   ( E. x e. A ( ph -> ps ) <-> ( A. x e. A ph -> ps ) ) ) $=
      ( c0 wne wral wi wrex r19.9rzv imbi2d r19.35 syl6rbbr ) DEFZACDGZBHOBCDIZ
      HABHCDINBPOBCDJKABCDLM $.
      $( [20-Sep-2003] $)
  $}

  ${
    $d x A $.
    $( Vacuous quantification is always true.  (The proof was shortened by
       Andrew Salmon, 26-Jun-2011.) $)
    rzal $p |- ( A = (/) -> A. x e. A ph ) $=
      ( c0 wceq cv wcel ne0i necon2bi pm2.21d ralrimiv ) CDEZABCLBFZCGZANCDCMHI
      JK $.
      $( [26-Jun-2011] $) $( [11-Mar-1997] $)

    $( Restricted existential quantification implies its restriction is
       nonempty.  (Contributed by Szymon Jaroszewicz, 3-Apr-2007.) $)
    rexn0 $p |- ( E. x e. A ph -> A =/= (/) ) $=
      ( c0 wne cv wcel ne0i a1d rexlimiv ) ACDEZBCBFZCGKACLHIJ $.
      $( [1-Mar-2007] $)

    $( Idempotent law for restricted quantifier. $)
    ralidm $p |- ( A. x e. A A. x e. A ph <-> A. x e. A ph ) $=
      ( c0 wceq wral wb rzal 2thd wn cv wcel wex neq0 wi biimt wal df-ral hbra1
      19.23 bitri syl6rbbr sylbi pm2.61i ) CDEZABCFZBCFZUFGZUEUGUFUFBCHABCHIUEJ
      BKCLZBMZUHBCNUJUFUJUFOZUGUJUFPUGUIUFOBQUKUFBCRUIUFBABCSTUAUBUCUD $.
      $( [28-Mar-1997] $)
  $}

  $( Vacuous universal quantification is always true. $)
  ral0 $p |- A. x e. (/) ph $=
    ( c0 cv wcel noel pm2.21i rgen ) ABCBDZCEAIFGH $.
    $( [20-Oct-2005] $)

  ${
    $d x A $.
    rgenz.1 $e |- ( ( A =/= (/) /\ x e. A ) -> ph ) $.
    $( Generalization rule that eliminates a non-zero class requirement. $)
    rgenz $p |- A. x e. A ph $=
      ( wral c0 rzal wne ralrimiva pm2.61ine ) ABCECFABCGCFHABCDIJ $.
      $( [8-Dec-2012] $)
  $}

  ${
    $d x A $.
    ralf0.1 $e |- -. ph $.
    $( The quantification of a falsehood is vacuous when true. $)
    ralf0 $p |- ( A. x e. A ph <-> A = (/) ) $=
      ( wral c0 wceq cv wcel wi wal wn con3 mpi alimi df-ral eq0 3imtr4i impbii
      rzal ) ABCEZCFGZBHCIZAJZBKUCLZBKUAUBUDUEBUDALUEDUCAMNOABCPBCQRABCTS $.
      $( [26-Nov-2005] $)
  $}

  $( MAY BE REVISED - shorten r19.3zv, r19.27zv, r19.28zv, raaanv w/ non-v $)
  ${
    $d x y A $.
    raaan.1 $e |- ( ph -> A. y ph ) $.
    raaan.2 $e |- ( ps -> A. x ps ) $.
    $( Rearrange restricted quantifiers. $)
    raaan $p |- ( A. x e. A A. y e. A ( ph /\ ps ) <->
                  ( A. x e. A ph /\ A. y e. A ps ) ) $=
      ( wa wral wb c0 wceq rzal pm5.1 syl12anc wne r19.28z ralbidv cv wcel
      ax-17 hbral r19.27z bitrd pm2.61ine ) ABHDEIZCEIZACEIZBDEIZHZJZEKEKLUGUHU
      IUKUFCEMACEMBDEMUGUJNOEKPZUGAUIHZCEIUJULUFUMCEABDEFQRAUICEBCDEDSETCUAGUBU
      CUDUE $.
      $( [26-Oct-2010] $)
  $}

  ${
    $d y ph $.  $d x ps $.  $d x y A $.
    $( Rearrange restricted quantifiers. $)
    raaanv $p |- ( A. x e. A A. y e. A ( ph /\ ps ) <->
                  ( A. x e. A ph /\ A. y e. A ps ) ) $=
      ( wa wral wb wceq rzal pm5.1 syl12anc wne r19.28zv ralbidv r19.27zv bitrd
      c0 pm2.61ine ) ABFDEGZCEGZACEGZBDEGZFZHZERERIUAUBUCUETCEJACEJBDEJUAUDKLER
      MZUAAUCFZCEGUDUFTUGCEABDENOAUCCEPQS $.
      $( [11-Mar-1997] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Singleton class and unordered pair
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c , $. $( Comma $)

  $( Extend the definition of class to include the singleton class. $)
  csn $a class { A } $.

  $( Extend the definition of a class to include the unordered pair. $)
  cpr $a class { A , B } $.

  $( Extend class notation to include unordered triplet. $)
  ctp $a class { A , B , C } $.

  ${
    $d A x y $.
    $( Soundness justification for singleton definition. $)
    snjust $p |- { x | x = A } = { y | y = A } $=
      ( cv wceq eqeq1 cbvabv ) ADZCEBDZCEABHICFG $.
      $( [12-Jan-2015] $)
  $}


  ${
    $d x A $.
    $( Define the singleton of a class.  Definition 7.1 of [Quine] p. 48.  For
       convenience, it is well-defined for proper classes, i.e., those that are
       not elements of ` _V ` , although it is not very meaningful in this
       case.  For an alternate definition see ~ dfsn2 . $)
    df-sn $a |- { A } = { x | x = A } $.
  $}

  $( Define unordered pair of classes.  Definition 7.1 of [Quine] p. 48.  For a
     more traditional definition, but requiring a dummy variable, see
     ~ dfpr2 . $)
  df-pr $a |- { A , B } = ( { A } u. { B } ) $.

  $( Define unordered triple of classes.  Definition of [Enderton] p. 19. $)
  df-tp $a |- { A , B , C } = ( { A , B } u. { C } ) $.

  ${
    $d x A $.  $d x B $.
    $( Equality theorem for singletons.  Part of Exercise 4 of [TakeutiZaring]
       p. 15. $)
    sneq $p |- ( A = B -> { A } = { B } ) $=
      ( vx wceq cv cab csn eqeq2 abbidv df-sn 3eqtr4g ) ABDZCEZADZCFMBDZCFAGBGL
      NOCABMHICAJCBJK $.
      $( [5-Aug-1993] $)
  $}

  ${
    sneqi.1 $e |- A = B $.
    $( Equality inference for singletons. $)
    sneqi $p |- { A } = { B } $=
      ( wceq csn sneq ax-mp ) ABDAEBEDCABFG $.
      $( [22-Jan-2004] $)
  $}

  ${
    sneqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for singletons. $)
    sneqd $p |- ( ph -> { A } = { B } ) $=
      ( wceq csn sneq syl ) ABCEBFCFEDBCGH $.
      $( [22-Jan-2004] $)
  $}

  $( Commutative law for unordered pairs. $)
  prcom $p |- { A , B } = { B , A } $=
    ( csn cun cpr uncom df-pr 3eqtr4i ) ACZBCZDJIDABEBAEIJFABGBAGH $.
    $( [5-Aug-1993] $)

  $( Equality theorem for unordered pairs. $)
  preq1 $p |- ( A = B -> { A , C } = { B , C } ) $=
    ( wceq csn cun cpr sneq uneq1d df-pr 3eqtr4g ) ABDZAEZCEZFBEZNFACGBCGLMONAB
    HIACJBCJK $.
    $( [29-Mar-1998] $)

  $( Equality theorem for unordered pairs. $)
  preq2 $p |- ( A = B -> { C , A } = { C , B } ) $=
    ( wceq cpr preq1 prcom 3eqtr4g ) ABDACEBCECAECBEABCFCAGCBGH $.
    $( [5-Aug-1993] $)

  $( Equality theorem for unordered pairs. $)
  preq12 $p |- ( ( A = C /\ B = D ) -> { A , B } = { C , D } ) $=
    ( wceq cpr preq1 preq2 sylan9eq ) ACEBDEABFCBFCDFACBGBDCHI $.
    $( [19-Oct-2012] $)

  ${
    preq1i.1 $e |- A = B $.
    $( Equality inference for unordered pairs. $)
    preq1i $p |- { A , C } = { B , C } $=
      ( wceq cpr preq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [19-Oct-2012] $)

    $( Equality inference for unordered pairs. $)
    preq2i $p |- { C , A } = { C , B } $=
      ( wceq cpr preq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [19-Oct-2012] $)

    ${
      preq12i.2 $e |- C = D $.
      $( Equality inference for unordered pairs. $)
      preq12i $p |- { A , C } = { B , D } $=
        ( wceq cpr preq12 mp2an ) ABGCDGACHBDHGEFACBDIJ $.
        $( [19-Oct-2012] $)
    $}
  $}

  ${
    preq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for unordered pairs. $)
    preq1d $p |- ( ph -> { A , C } = { B , C } ) $=
      ( wceq cpr preq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [19-Oct-2012] $)

    $( Equality deduction for unordered pairs. $)
    preq2d $p |- ( ph -> { C , A } = { C , B } ) $=
      ( wceq cpr preq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [19-Oct-2012] $)

    preq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality deduction for unordered pairs. $)
    preq12d $p |- ( ph -> { A , C } = { B , D } ) $=
      ( wceq cpr preq12 syl2anc ) ABCHDEHBDICEIHFGBDCEJK $.
      $( [19-Oct-2012] $)
  $}


  $( Equality theorem for unordered triples. $)
  tpeq1 $p |- ( A = B -> { A , C , D } = { B , C , D } ) $=
    ( wceq cpr csn cun ctp preq1 uneq1d df-tp 3eqtr4g ) ABEZACFZDGZHBCFZPHACDIB
    CDINOQPABCJKACDLBCDLM $.
    $( [13-Sep-2011] $)

  $( Equality theorem for unordered triples. $)
  tpeq2 $p |- ( A = B -> { C , A , D } = { C , B , D } ) $=
    ( wceq cpr csn cun ctp preq2 uneq1d df-tp 3eqtr4g ) ABEZCAFZDGZHCBFZPHCADIC
    BDINOQPABCJKCADLCBDLM $.
    $( [13-Sep-2011] $)

  $( Equality theorem for unordered triples. $)
  tpeq3 $p |- ( A = B -> { C , D , A } = { C , D , B } ) $=
    ( wceq cpr csn cun ctp sneq uneq2d df-tp 3eqtr4g ) ABEZCDFZAGZHOBGZHCDAICDB
    INPQOABJKCDALCDBLM $.
    $( [13-Sep-2011] $)

  ${
    tpeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for unordered triples. $)
    tpeq1d $p |- ( ph -> { A , C , D } = { B , C , D } ) $=
      ( wceq ctp tpeq1 syl ) ABCGBDEHCDEHGFBCDEIJ $.
      $( [22-Jun-2014] $)

    $( Equality theorem for unordered triples. $)
    tpeq2d $p |- ( ph -> { C , A , D } = { C , B , D } ) $=
      ( wceq ctp tpeq2 syl ) ABCGDBEHDCEHGFBCDEIJ $.
      $( [22-Jun-2014] $)

    $( Equality theorem for unordered triples. $)
    tpeq3d $p |- ( ph -> { C , D , A } = { C , D , B } ) $=
      ( wceq ctp tpeq3 syl ) ABCGDEBHDECHGFBCDEIJ $.
      $( [22-Jun-2014] $)

    tpeq123d.2 $e |- ( ph -> C = D ) $.
    tpeq123d.3 $e |- ( ph -> E = F ) $.
    $( Equality theorem for unordered triples. $)
    tpeq123d $p |- ( ph -> { A , C , E } = { B , D , F } ) $=
      ( ctp tpeq1d tpeq2d tpeq3d 3eqtrd ) ABDFKCDFKCEFKCEGKABCDFHLADECFIMAFGCEJ
      NO $.
      $( [22-Jun-2014] $)
  $}

  $( Alternate definition of singleton. $)
  dfsn2 $p |- { A } = { A , A } $=
    ( cpr csn cun df-pr unidm eqtr2i ) AABACZHDHAAEHFG $.
    $( [12-Jan-2015] $)


  ${
    $d y z A $.  $d x y z $.
    hbsn.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for singletons. $)
    hbsn $p |- ( y e. { A } -> A. x y e. { A } ) $=
      ( vz csn cv wceq cab df-sn ax17el hbeq hbab hbxfreq ) ABCFEGZCHZEIECJPAEB
      ABBOCBEAKDLMN $.
      $( [14-Nov-1995] $)
  $}


  ${
    $d y A $.  $d y B $.  $d x y $.
    hbpr.1 $e |- ( y e. A -> A. x y e. A ) $.
    hppr.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for unordered pairs. $)
    hbpr $p |- ( y e. { A , B } -> A. x y e. { A , B } ) $=
      ( cpr csn cun df-pr hbsn hbun hbxfreq ) ABCDGCHZDHZICDJBANOABCEKABDFKLM
      $.
      $( [14-Nov-1995] $)
  $}


  ${
    $d A x $.  $d B x $.
    $( Membership in a singleton. $)
    elsng $p |- ( A e. V -> ( A e. { B } <-> A = B ) ) $=
      ( vx cv wceq csn eqeq1 df-sn elab2g ) DEZBFABFDABGCKABHDBIJ $.
      $( [12-Jan-2015] $)

    $( Membership in a singleton. $)
    elsn2g $p |- ( B e. V -> ( A e. { B } <-> A = B ) ) $=
      ( wcel cvv csn wceq wi elex a1i eleq1a syl wb elsng pm5.21ndd ) BCDZAEDZA
      BFZDZABGZSQHPARIJPBEDTQHBCIBEAKLQSTMHPABENJO $.
      $( [12-Jan-2015] $)
  $}

  $( Membership in a singleton. $)
  elsni $p |- ( A e. { B } -> A = B ) $=
    ( csn wcel wceq elsng ibi ) ABCZDABEABHFG $.
    $( [15-Jan-2015] $)

  ${
    elsn.1 $e |- A e. _V $.
    $( Membership in a singleton. $)
    elsn $p |- ( A e. { B } <-> A = B ) $=
      ( cvv wcel csn wceq wb elsng ax-mp ) ADEABFEABGHCABDIJ $.
      $( [12-Jan-2015] $)
  $}

  ${
    elsn2.1 $e |- B e. _V $.
    $( Membership in a singleton. $)
    elsn2 $p |- ( A e. { B } <-> A = B ) $=
      ( cvv wcel csn wceq wb elsn2g ax-mp ) BDEABFEABGHCABDIJ $.
      $( [12-Jan-2015] $)
  $}


  ${
    $d A x $.  $d ps x $.
    rexsng.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Restricted existential quantification over a singleton. $)
    rexsng $p |- ( A e. V -> ( E. x e. { A } ph <-> ps ) ) $=
      ( csn wrex cv wceq wex wcel df-rex vex elsn anbi1i exbii bitri ceqsexgv
      wa syl5bb ) ACDGZHZCIZDJZATZCKZDELBUCUDUBLZATZCKUGACUBMUIUFCUHUEAUDDCNOPQ
      RABCDEFSUA $.
      $( [29-Jan-2012] $)
  $}

  ${
    $d A x $.  $d ps x $.
    rexsn.1 $e |- A e. _V $.
    rexsn.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Restricted existential quantification over a singleton.  (Contributed by
       Jeff Madsen, 5-Jan-2011.) $)
    rexsn $p |- ( E. x e. { A } ph <-> ps ) $=
      ( cvv wcel csn wrex wb rexsng ax-mp ) DGHACDIJBKEABCDGFLM $.
      $( [5-Jan-2011] $)
  $}

  ${
    $d A x $.
    $( The singleton of a proper class is the empty set. $)
    snprc $p |- ( -. A e. _V <-> { A } = (/) ) $=
      ( vx cvv wcel wn cv wceq wex csn c0 isset notbii alnex df-sn abeq2i exbii
      wal eq0 3bitri bitr4i ) ACDZEBFZAGZBHZEZAIZJGZUAUDBAKLUGUBUFDZEBQUHBHZEUE
      BUFRUHBMUIUDUHUCBUCBUFBANOPLST $.
      $( [12-Jan-2015] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Alternate definition of unordered pair.  Definition 5.1 of
       [TakeutiZaring] p. 15. $)
    dfpr2 $p |- { A , B } = { x | ( x = A \/ x = B ) } $=
      ( cpr csn cun cv wceq cab wo df-pr df-sn uneq12i unab 3eqtri ) BCDBEZCEZF
      AGZBHZAIZRCHZAIZFSUAJAIBCKPTQUBABLACLMSUAANO $.
      $( [24-Apr-1994] $)
  $}


  $( Membership in an unordered pair. $)
  elprg $p |- ( A e. V -> ( A e. { B , C } <-> ( A = B \/ A = C ) ) ) $=
    ( cpr wcel csn wo wceq cun df-pr eleq2i elun bitri elsng orbi12d syl5bb ) A
    BCEZFZABGZFZACGZFZHZADFZABIZACIZHSATUBJZFUDRUHABCKLATUBMNUEUAUFUCUGABDOACDO
    PQ $.
    $( [12-Jan-2015] $)

  $( Membership in an unordered pair. $)
  elpr2g $p |- ( ( B e. V /\ C e. W ) ->
    ( A e. { B , C } <-> ( A = B \/ A = C ) ) ) $=
    ( cpr wcel csn wo wa wceq cun df-pr eleq2i elun bitri elsn2g adantr adantl
    wb orbi12d syl5bb ) ABCFZGZABHZGZACHZGZIZBDGZCEGZJZABKZACKZIUDAUEUGLZGUIUCU
    OABCMNAUEUGOPULUFUMUHUNUJUFUMTUKABDQRUKUHUNTUJACEQSUAUB $.
    $( [12-Jan-2015] $)


  ${
    elpr.1 $e |- A e. _V $.
    $( A member of an unordered pair of classes is one or the other of them.
       Exercise 1 of [TakeutiZaring] p. 15. $)
    elpr $p |- ( A e. { B , C } <-> ( A = B \/ A = C ) ) $=
      ( cvv wcel cpr wceq wo wb elprg ax-mp ) AEFABCGFABHACHIJDABCEKL $.
      $( [13-Sep-1995] $)
  $}

  ${
    elpr2.1 $e |- B e. _V $.
    elpr2.2 $e |- C e. _V $.
    $( A member of an unordered pair of classes is one or the other of them.
       Exercise 1 of [TakeutiZaring] p. 15. $)
    elpr2 $p |- ( A e. { B , C } <-> ( A = B \/ A = C ) ) $=
      ( cpr wcel wceq wo elprg ibi cvv wb eleq1 mpbiri jaoi syl ibir impbii ) A
      BCFZGZABHZACHZIZUAUDABCTJKUDUAUDALGZUAUDMUBUEUCUBUEBLGDABLNOUCUECLGEACLNO
      PABCLJQRS $.
      $( [14-Oct-2005] $)
  $}


  ${
    $( Members of an unordered triple of classes.  (Contributed by FL,
       2-Feb-2014.)  (The proof was shortened by Mario Carneiro,
       11-Feb-2015.) $)
    eltpg $p |- ( A e. V -> ( A e. { B , C , D } <->
       ( A = B \/ A = C \/ A = D ) ) ) $=
      ( wcel cpr csn wo wceq ctp w3o elprg elsng orbi12d cun df-tp eleq2i bitri
      elun df-3or 3bitr4g ) AEFZABCGZFZADHZFZIZABJZACJZIZADJZIABCDKZFZUIUJULLUC
      UEUKUGULABCEMADENOUNAUDUFPZFUHUMUOABCDQRAUDUFTSUIUJULUAUB $.
      $( [11-Feb-2015] $) $( [2-Feb-2014] $)
  $}

  ${
    $( A member of an unordered triple of classes is one of them.  (Contributed
       by Mario Carneiro, 11-Feb-2015.) $)
    eltpi $p |- ( A e. { B , C , D } -> ( A = B \/ A = C \/ A = D ) ) $=
      ( ctp wcel wceq w3o eltpg ibi ) ABCDEZFABGACGADGHABCDKIJ $.
      $( [11-Feb-2015] $)
  $}

  ${
    eltp.1 $e |- A e. _V $.
    $( A member of an unordered triple of classes is one of them.  Special case
       of Exercise 1 of [TakeutiZaring] p. 17. $)
    eltp $p |- ( A e. { B , C , D } <-> ( A = B \/ A = C \/ A = D ) ) $=
      ( cvv wcel ctp wceq w3o wb eltpg ax-mp ) AFGABCDHGABIACIADIJKEABCDFLM $.
      $( [11-Feb-2015] $) $( [8-Apr-1994] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Alternate definition of unordered triple of classes.  Special case of
       Definition 5.3 of [TakeutiZaring] p. 16. $)
    dftp2 $p |- { A , B , C } = { x | ( x = A \/ x = B \/ x = C ) } $=
      ( cv wceq w3o ctp vex eltp abbi2i ) AEZBFLCFLDFGABCDHLBCDAIJK $.
      $( [8-Apr-1994] $)
  $}

  ${
    $( Alternate definition of unordered triple of classes. $)
    dftp3 $p |- { A , B , C } = ( { A } u. { B , C } ) $=
      ( csn cun ctp cpr unass df-tp df-pr uneq1i eqtri uneq2i 3eqtr4i ) ADZBDZE
      ZCDZEZOPREZEABCFZOBCGZEOPRHUAABGZRESABCIUCQRABJKLUBTOBCJMN $.
      $( [16-Mar-2015] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Rotation of the elements of an unordered triple.  (Contributed by Alan
       Sare, 24-Oct-2011.) $)
    tprot $p |- { A , B , C } = { B , C , A } $=
      ( vx cv wceq w3o cab ctp 3orrot abbii dftp2 3eqtr4i ) DEZAFZNBFZNCFZGZDHP
      QOGZDHABCIBCAIRSDOPQJKDABCLDBCALM $.
      $( [24-Oct-2011] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Biconditional equality for singletons. $)
    sneqbg $p |- ( A e. V -> ( { A } = { B } <-> A = B ) ) $=
      ( vx vy wcel csn wceq cv wb wal dfcleq vex elsn bibi12i albii bitri eqeq1
      weq wi eqeq2 bibi1d albidv imbi12d equid equequ1 bibi12d a4v mpbii vtoclg
      syl5bi sneq impbid1 ) ACFZAGZBGZHZABHZUQDIZAHZUSBHZJZDKZUNURUQUSUOFZUSUPF
      ZJZDKVCDUOUPLVFVBDVDUTVEVAUSADMZNUSBVGNOPQDESZVAJZDKZEIZBHZTVCURTEACVKAHZ
      VJVCVLURVMVIVBDVMVHUTVAVKAUSUAUBUCVKABRUDVJEESZVLEUEVIVNVLJDEVHVHVNVAVLDE
      EUFUSVKBRUGUHUIUJUKABULUM $.
      $( [12-Jan-2015] $)
  $}

  ${
    sneqb.1 $e |- A e. _V $.
    $( Biconditional equality for singletons. $)
    sneqb $p |- ( { A } = { B } <-> A = B ) $=
      ( cvv wcel csn wceq wb sneqbg ax-mp ) ADEAFBFGABGHCABDIJ $.
      $( [14-Jan-2015] $)
  $}

  $( Identity law for singletons. $)
  snidg $p |- ( A e. V -> A e. { A } ) $=
    ( wcel csn wceq eqid elsn2g mpbiri ) ABCAADCAAEAFAABGH $.
    $( [12-Jan-2015] $)

  $( Identity law for pairs. $)
  prid1g $p |- ( A e. V -> A e. { A , B } ) $=
    ( wcel cpr wceq wo eqid orci elprg mpbiri ) ACDAABEDAAFZABFZGLMAHIAABCJK $.
    $( [12-Jan-2015] $)

  $( Identity law for pairs. $)
  prid2g $p |- ( A e. V -> A e. { B , A } ) $=
    ( wcel cpr prid1g prcom syl6eleq ) ACDAABEBAEABCFABGH $.
    $( [12-Jan-2015] $)

  ${
    snid.1 $e |- A e. _V $.
    $( Identity law for singletons. $)
    snid $p |- A e. { A } $=
      ( cvv wcel csn snidg ax-mp ) ACDAAEDBACFG $.
      $( [12-Jan-2015] $)

    $( Identity law for pairs. $)
    prid1 $p |- A e. { A , B } $=
      ( cvv wcel cpr prid1g ax-mp ) ADEAABFECABDGH $.
      $( [12-Jan-2015] $)

    $( Identity law for pairs. $)
    prid2 $p |- A e. { B , A } $=
      ( cvv wcel cpr prid2g ax-mp ) ADEABAFECABDGH $.
      $( [12-Jan-2015] $)
  $}


  ${
    $d x A $.  $d x B $.
    $( Intersection with the singleton of a non-member is disjoint.  (The proof
       was shortened by Andrew Salmon, 29-Jun-2011.) $)
    disjsn $p |- ( ( A i^i { B } ) = (/) <-> -. B e. A ) $=
      ( vx csn cin c0 wceq cv wcel wn wi wal disj1 con2b vex elsn imbi1i 3bitri
      wa imnan albii wex alnex df-clel xchbinxr ) ABDZEFGCHZAIZUGUFIZJKZCLUGBGZ
      UHSZJZCLZBAIZJCAUFMUJUMCUJUIUHJZKUKUPKUMUHUINUIUKUPUGBCOPQUKUHTRUAUNULCUB
      UOULCUCCBAUDUER $.
      $( [29-Jun-2011] $) $( [22-May-1998] $)
  $}

  $( Intersection of distinct singletons is disjoint. $)
  disjsn2 $p |- ( A =/= B -> ( { A } i^i { B } ) = (/) ) $=
    ( wne csn wcel wn cin c0 wceq elsni eqcomd necon3ai disjsn sylibr ) ABCBADZ
    EZFOBDGHIPABPBABAJKLOBMN $.
    $( [2-Jun-2007] $) $( [25-May-1998] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The Kuratowski ordered pair
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new symbols needed. $)
  $c << $.  $( Double bracket $)
  $c >> $.  $( Double bracket $)

  $( Extend class notation to include Kuratowski ordered pair. $)
  copk $a class << A , B >> $.

  $( Define the Kuratowski ordered pair.  This ordered pair definition is
     standard for ZFC set theory, but we do not use it beyond establishing
     ~ df-op , since it is not type-level.  We state this definition since it
     is a simple definition that can be used by the set construction axioms
     that follow this section. $)
  df-opk $a |- << A , B >> = { { A } , { A , B } } $.


  $( Equality theorem for ordered pairs. $)
  opkeq1 $p |- ( A = B -> << A , C >> = << B , C >> ) $=
    ( wceq csn cpr copk sneq preq1 preq12d df-opk 3eqtr4g ) ABDZAEZACFZFBEZBCFZ
    FACGBCGMNPOQABHABCIJACKBCKL $.
    $( [25-Jun-1998] $)

  $( Equality theorem for ordered pairs. $)
  opkeq2 $p |- ( A = B -> << C , A >> = << C , B >> ) $=
    ( wceq csn cpr copk preq2 preq2d df-opk 3eqtr4g ) ABDZCEZCAFZFMCBFZFCAGCBGL
    NOMABCHICAJCBJK $.
    $( [25-Jun-1998] $)

  $( Equality theorem for ordered pairs. $)
  opkeq12 $p |- ( ( A = C /\ B = D ) -> << A , B >> = << C , D >> ) $=
    ( wceq copk opkeq1 opkeq2 sylan9eq ) ACEBDEABFCBFCDFACBGBDCHI $.
    $( [28-May-1995] $)

  ${
    opkeq1i.1 $e |- A = B $.
    $( Equality inference for ordered pairs. $)
    opkeq1i $p |- << A , C >> = << B , C >> $=
      ( wceq copk opkeq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [16-Dec-2006] $)

    $( Equality inference for ordered pairs. $)
    opkeq2i $p |- << C , A >> = << C , B >> $=
      ( wceq copk opkeq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [16-Dec-2006] $)

    ${
      opkeq12i.2 $e |- C = D $.
      $( Equality inference for ordered pairs.  (The proof was shortened by
         Eric Schmidt, 4-Apr-2007.) $)
      opkeq12i $p |- << A , C >> = << B , D >> $=
        ( wceq copk opkeq12 mp2an ) ABGCDGACHBDHGEFACBDIJ $.
        $( [16-Dec-2006] $)
    $}
  $}

  ${
    opkeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for ordered pairs. $)
    opkeq1d $p |- ( ph -> << A , C >> = << B , C >> ) $=
      ( wceq copk opkeq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [16-Dec-2006] $)

    $( Equality deduction for ordered pairs. $)
    opkeq2d $p |- ( ph -> << C , A >> = << C , B >> ) $=
      ( wceq copk opkeq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [16-Dec-2006] $)

    ${
      opkeq12d.2 $e |- ( ph -> C = D ) $.
      $( Equality deduction for ordered pairs.  (The proof was shortened by
         Andrew Salmon, 29-Jun-2011.) $)
      opkeq12d $p |- ( ph -> << A , C >> = << B , D >> ) $=
        ( wceq copk opkeq12 syl2anc ) ABCHDEHBDICEIHFGBDCEJK $.
        $( [29-Jun-2011] $) $( [16-Dec-2006] $)
    $}
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    hbopk.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbopk.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for ordered pairs. $)
    hbopk $p |- ( y e. << A , B >> -> A. x y e. << A , B >> ) $=
      ( copk csn cpr df-opk hbsn hbpr hbxfreq ) ABCDGCHZCDIZICDJABNOABCEKABCDEF
      LLM $.
      $( [14-Nov-1995] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Subset
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c C_ $. $( Subclass or subset symbol $)
  $c C. $. $( Proper subclass or subset symbol $)

  $( Extend wff notation to include the subclass relation.  This is
     read " ` A ` is a subclass of ` B ` " or " ` B ` includes ` A ` ."  When
     ` A ` exists as a set, it is also read " ` A ` is a subset of ` B ` ." $)
  wss $a wff A C_ B $.

  $( Extend wff notation with proper subclass relation. $)
  wpss $a wff A C. B $.


  $( Define the subclass relationship.  Exercise 9 of [TakeutiZaring] p. 18.
     For a more traditional definition, but requiring a dummy variable, see
     ~ dfss2 .  Other possible definitions are given by ~ dfss3 , ~ dfss4 ,
     ~ sspss , ~ ssequn1 , ~ ssequn2 , ~ sseqin2 , and ~ ssdif0 . $)
  df-ss $a |- ( A C_ B <-> ( A i^i B ) = A ) $.

  $( A frequently-used variant of subclass definition ~ df-ss . $)
  dfss $p |- ( A C_ B <-> A = ( A i^i B ) ) $=
    ( wss cin wceq df-ss eqcom bitri ) ABCABDZAEAIEABFIAGH $.
    $( [3-Sep-2004] $)

  $( Define proper subclass relationship between two classes.  Definition 5.9
     of [TakeutiZaring] p. 17.  Other possible definitions are given by
     ~ dfpss2 and ~ dfpss3 . $)
  df-pss $a |- ( A C. B <-> ( A C_ B /\ A =/= B ) ) $.


  ${
    $d x A $.  $d x B $.
    $( Alternate definition of the subclass relationship between two classes.
       Definition 5.9 of [TakeutiZaring] p. 17. $)
    dfss2 $p |- ( A C_ B <-> A. x ( x e. A -> x e. B ) ) $=
      ( wss cin wceq cv wcel wb wal wi df-ss dfcleq wa simpl dfbi2 mpbiran elin
      bibi1i anclb 3bitr4i albii 3bitri ) BCDBCEZBFAGZUDHZUEBHZIZAJUGUECHZKZAJB
      CLAUDBMUHUJAUGUINZUGIZUGUKKZUHUJULUKUGKUMUGUIOUKUGPQUFUKUGUEBCRSUGUITUAUB
      UC $.
      $( [8-Jan-2002] $)

    $( Alternate definition of subclass relationship. $)
    dfss3 $p |- ( A C_ B <-> A. x e. A x e. B ) $=
      ( wss cv wcel wi wal wral dfss2 df-ral bitr4i ) BCDAEZBFMCFZGAHNABIABCJNA
      BKL $.
      $( [14-Oct-1999] $)
  $}

  ${
    $d z y A $.  $d z y B $.  $d x z $.
    dfss2f.1 $e |- ( y e. A -> A. x y e. A ) $.
    dfss2f.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Equivalence for subclass relation, using bound-variable hypotheses
       instead of distinct variable conditions.  (Unnecessary distinct variable
       restrictions were removed by Andrew Salmon, 27-Aug-2011.) $)
    dfss2f $p |- ( A C_ B <-> A. x ( x e. A -> x e. B ) ) $=
      ( vz wss cv wcel wi wal dfss2 hblem hbim ax-17 wceq eleq1 imbi12d cbval
      bitri ) CDHGIZCJZUBDJZKZGLAIZCJZUFDJZKZALGCDMUEUIGAUCUDAABGCENABGDFNOUIGP
      UBUFQUCUGUDUHUBUFCRUBUFDRSTUA $.
      $( [27-Aug-2011] $) $( [3-Jul-1994] $)

    $d y A $.  $d y B $.

    $( Equivalence for subclass relation, using bound-variable hypotheses
       instead of distinct variable conditions. $)
    dfss3f $p |- ( A C_ B <-> A. x e. A x e. B ) $=
      ( wss cv wcel wi wal wral dfss2f df-ral bitr4i ) CDGAHZCIPDIZJAKQACLABCDE
      FMQACNO $.
      $( [27-Aug-2011] $) $( [20-Mar-2004] $)

    $( If ` x ` is not free in ` A ` and ` B ` , it is not free in
       ` A C_ B ` . $)
    hbss $p |- ( A C_ B -> A. x A C_ B ) $=
      ( wss cv wcel wi wal dfss2f hba1 hbxfrbi ) CDGAHZCIODIJZAKAABCDEFLPAMN $.
      $( [27-Aug-2011] $) $( [27-Dec-1996] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Membership relationships follow from a subclass relationship. $)
    ssel $p |- ( A C_ B -> ( C e. A -> C e. B ) ) $=
      ( vx wss cv wceq wa wex wi wal dfss2 biimpi 19.21bi anim2d eximdv df-clel
      wcel 3imtr4g ) ABEZDFZCGZUAARZHZDIUBUABRZHZDICARCBRTUDUFDTUCUEUBTUCUEJZDT
      UGDKDABLMNOPDCAQDCBQS $.
      $( [5-Aug-1993] $)
  $}

  $( Membership relationships follow from a subclass relationship. $)
  ssel2 $p |- ( ( A C_ B /\ C e. A ) -> C e. B ) $=
    ( wss wcel ssel imp ) ABDCAECBEABCFG $.
    $( [7-Jun-2004] $)

  ${
    sseli.1 $e |- A C_ B $.
    $( Membership inference from subclass relationship. $)
    sseli $p |- ( C e. A -> C e. B ) $=
      ( wss wcel wi ssel ax-mp ) ABECAFCBFGDABCHI $.
      $( [5-Aug-1993] $)
    ${
      sselii.2 $e |- C e. A $.
      $( Membership inference from subclass relationship. $)
      sselii $p |- C e. B $=
        ( wcel sseli ax-mp ) CAFCBFEABCDGH $.
        $( [31-May-1999] $)
    $}

    ${
      sseldi.2 $e |- ( ph -> C e. A ) $.
      $( Membership inference from subclass relationship. $)
      sseldi $p |- ( ph -> C e. B ) $=
        ( wcel sseli syl ) ADBGDCGFBCDEHI $.
        $( [25-Jun-2014] $)
    $}
  $}

  ${
    sseld.1 $e |- ( ph -> A C_ B ) $.
    $( Membership deduction from subclass relationship. $)
    sseld $p |- ( ph -> ( C e. A -> C e. B ) ) $=
      ( wss wcel wi ssel syl ) ABCFDBGDCGHEBCDIJ $.
      $( [15-Nov-1995] $)
    $( Membership deduction from subclass relationship. $)
    sselda $p |- ( ( ph /\ C e. A ) -> C e. B ) $=
      ( wcel sseld imp ) ADBFDCFABCDEGH $.
      $( [26-Jun-2014] $)
    ${
      sseldd.2 $e |- ( ph -> C e. A ) $.
      $( Membership inference from subclass relationship. $)
      sseldd $p |- ( ph -> C e. B ) $=
        ( wcel sseld mpd ) ADBGDCGFABCDEHI $.
        $( [14-Dec-2004] $)
    $}
  $}

  ${
    $d x A $.  $d x B $.
    ssriv.1 $e |- ( x e. A -> x e. B ) $.
    $( Inference rule based on subclass definition. $)
    ssriv $p |- A C_ B $=
      ( wss cv wcel wi dfss2 mpgbir ) BCEAFZBGKCGHAABCIDJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    ssrdv.1 $e |- ( ph -> ( x e. A -> x e. B ) ) $.
    $( Deduction rule based on subclass definition. $)
    ssrdv $p |- ( ph -> A C_ B ) $=
      ( cv wcel wi wal wss alrimiv dfss2 sylibr ) ABFZCGNDGHZBICDJAOBEKBCDLM $.
      $( [15-Nov-1995] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Transitivity of subclasses.  Exercise 5 of [TakeutiZaring] p. 17.  (The
       proof was shortened by Andrew Salmon, 14-Jun-2011.) $)
    sstr2 $p |- ( A C_ B -> ( B C_ C -> A C_ C ) ) $=
      ( vx wss cv wcel wi wal ssel imim1d alimdv dfss2 3imtr4g ) ABEZDFZBGZPCGZ
      HZDIPAGZRHZDIBCEACEOSUADOTQRABPJKLDBCMDACMN $.
      $( [14-Jun-2011] $) $( [5-Aug-1993] $)
  $}

  $( Transitivity of subclasses.  Theorem 6 of [Suppes] p. 23. $)
  sstr $p |- ( ( A C_ B /\ B C_ C ) -> A C_ C ) $=
    ( wss sstr2 imp ) ABDBCDACDABCEF $.
    $( [5-Sep-2003] $)

  ${
    sstri.1 $e |- A C_ B $.
    sstri.2 $e |- B C_ C $.
    $( Subclass transitivity inference. $)
    sstri $p |- A C_ C $=
      ( wss sstr2 mp2 ) ABFBCFACFDEABCGH $.
      $( [5-May-2000] $)
  $}

  ${
    sstrd.1 $e |- ( ph -> A C_ B ) $.
    sstrd.2 $e |- ( ph -> B C_ C ) $.
    $( Subclass transitivity deduction. $)
    sstrd $p |- ( ph -> A C_ C ) $=
      ( wss sstr syl2anc ) ABCGCDGBDGEFBCDHI $.
      $( [2-Jun-2004] $)
  $}

  ${
    syl5ss.1 $e |- A C_ B $.
    syl5ss.2 $e |- ( ph -> B C_ C ) $.
    $( Subclass transitivity deduction. $)
    syl5ss $p |- ( ph -> A C_ C ) $=
      ( wss a1i sstrd ) ABCDBCGAEHFI $.
      $( [6-Feb-2014] $)
  $}

  ${
    syl6ss.1 $e |- ( ph -> A C_ B ) $.
    syl6ss.2 $e |- B C_ C $.
    $( Subclass transitivity deduction.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.) $)
    syl6ss $p |- ( ph -> A C_ C ) $=
      ( wss a1i sstrd ) ABCDECDGAFHI $.
      $( [3-Jun-2011] $)
  $}

  ${
    sylan9ss.1 $e |- ( ph -> A C_ B ) $.
    sylan9ss.2 $e |- ( ps -> B C_ C ) $.
    $( A subclass transitivity deduction.  (The proof was shortened by Andrew
       Salmon, 14-Jun-2011.) $)
    sylan9ss $p |- ( ( ph /\ ps ) -> A C_ C ) $=
      ( wss sstr syl2an ) ACDHDEHCEHBFGCDEIJ $.
      $( [14-Jun-2011] $) $( [27-Sep-2004] $)
  $}

  ${
    sylan9ssr.1 $e |- ( ph -> A C_ B ) $.
    sylan9ssr.2 $e |- ( ps -> B C_ C ) $.
    $( A subclass transitivity deduction. $)
    sylan9ssr $p |- ( ( ps /\ ph ) -> A C_ C ) $=
      ( wss sylan9ss ancoms ) ABCEHABCDEFGIJ $.
      $( [27-Sep-2004] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( The subclass relationship is antisymmetric.  Compare Theorem 4 of
       [Suppes] p. 22. $)
    eqss $p |- ( A = B <-> ( A C_ B /\ B C_ A ) ) $=
      ( vx cv wcel wb wal wi wa wceq wss albiim dfcleq dfss2 anbi12i 3bitr4i )
      CDZAEZQBEZFCGRSHCGZSRHCGZIABJABKZBAKZIRSCLCABMUBTUCUACABNCBANOP $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqssi.1 $e |- A C_ B $.
    eqssi.2 $e |- B C_ A $.
    $( Infer equality from two subclass relationships.  Compare Theorem 4 of
       [Suppes] p. 22. $)
    eqssi $p |- A = B $=
      ( wceq wss eqss mpbir2an ) ABEABFBAFCDABGH $.
      $( [9-Sep-1993] $)
  $}

  ${
    eqssd.1 $e |- ( ph -> A C_ B ) $.
    eqssd.2 $e |- ( ph -> B C_ A ) $.
    $( Equality deduction from two subclass relationships.  Compare Theorem 4
       of [Suppes] p. 22. $)
    eqssd $p |- ( ph -> A = B ) $=
      ( wss wceq eqss sylanbrc ) ABCFCBFBCGDEBCHI $.
      $( [27-Jun-2004] $)
  $}

  ${
    $d A x $.
    $( Any class is a subclass of itself.  Exercise 10 of [TakeutiZaring]
       p. 18.  (The proof was shortened by Andrew Salmon, 14-Jun-2011.) $)
    ssid $p |- A C_ A $=
      ( vx cv wcel id ssriv ) BAABCADEF $.
      $( [14-Jun-2011] $) $( [5-Aug-1993] $)
  $}

  ${
    $d A x $.
    $( Any class is a subclass of the universal class. $)
    ssv $p |- A C_ _V $=
      ( vx cvv cv elex ssriv ) BACBDAEF $.
      $( [31-Oct-1995] $)
  $}

  $( Equality theorem for subclasses.  (The proof was shortened by Andrew
     Salmon, 21-Jun-2011.) $)
  sseq1 $p |- ( A = B -> ( A C_ C <-> B C_ C ) ) $=
    ( wceq wss wa wb eqss wi sstr2 adantl adantr impbid sylbi ) ABDABEZBAEZFZAC
    EZBCEZGABHQRSPRSIOBACJKOSRIPABCJLMN $.
    $( [26-Jun-2011] $) $( [5-Aug-1993] $)

  $( Equality theorem for the subclass relationship. $)
  sseq2 $p |- ( A = B -> ( C C_ A <-> C C_ B ) ) $=
    ( wss wa wi wceq wb sstr2 com12 anim12i eqss dfbi2 3imtr4i ) ABDZBADZECADZC
    BDZFZRQFZEABGQRHOSPTQORCABIJRPQCBAIJKABLQRMN $.
    $( [25-Jun-1998] $)

  $( Equality theorem for the subclass relationship. $)
  sseq12 $p |- ( ( A = B /\ C = D ) -> ( A C_ C <-> B C_ D ) ) $=
    ( wceq wss sseq1 sseq2 sylan9bb ) ABEACFBCFCDEBDFABCGCDBHI $.
    $( [31-May-1999] $)

  ${
    sseq1i.1 $e |- A = B $.
    $( An equality inference for the subclass relationship. $)
    sseq1i $p |- ( A C_ C <-> B C_ C ) $=
      ( wceq wss wb sseq1 ax-mp ) ABEACFBCFGDABCHI $.
      $( [18-Aug-1993] $)

    $( An equality inference for the subclass relationship. $)
    sseq2i $p |- ( C C_ A <-> C C_ B ) $=
      ( wceq wss wb sseq2 ax-mp ) ABECAFCBFGDABCHI $.
      $( [30-Aug-1993] $)

    ${
      sseq12i.2 $e |- C = D $.
      $( An equality inference for the subclass relationship.  (The proof was
         shortened by Eric Schmidt, 26-Jan-2007.) $)
      sseq12i $p |- ( A C_ C <-> B C_ D ) $=
        ( wceq wss wb sseq12 mp2an ) ABGCDGACHBDHIEFABCDJK $.
        $( [27-Jan-2007] $) $( [31-May-1999] $)
    $}
  $}

  ${
    sseq1d.1 $e |- ( ph -> A = B ) $.
    $( An equality deduction for the subclass relationship. $)
    sseq1d $p |- ( ph -> ( A C_ C <-> B C_ C ) ) $=
      ( wceq wss wb sseq1 syl ) ABCFBDGCDGHEBCDIJ $.
      $( [14-Aug-1994] $)

    $( An equality deduction for the subclass relationship. $)
    sseq2d $p |- ( ph -> ( C C_ A <-> C C_ B ) ) $=
      ( wceq wss wb sseq2 syl ) ABCFDBGDCGHEBCDIJ $.
      $( [14-Aug-1994] $)

    ${
      sseq12d.2 $e |- ( ph -> C = D ) $.
      $( An equality deduction for the subclass relationship. $)
      sseq12d $p |- ( ph -> ( A C_ C <-> B C_ D ) ) $=
        ( wss sseq1d sseq2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
        $( [31-May-1999] $)
    $}
  $}

  ${
    eqsstr.1 $e |- A = B $.
    eqsstr.2 $e |- B C_ C $.
    $( Substitution of equality into a subclass relationship. $)
    eqsstri $p |- A C_ C $=
      ( wss sseq1i mpbir ) ACFBCFEABCDGH $.
      $( [16-Jul-1995] $)
  $}

  ${
    eqsstr3.1 $e |- B = A $.
    eqsstr3.2 $e |- B C_ C $.
    $( Substitution of equality into a subclass relationship. $)
    eqsstr3i $p |- A C_ C $=
      ( eqcomi eqsstri ) ABCBADFEG $.
      $( [19-Oct-1999] $)
  $}

  ${
    sseqtr.1 $e |- A C_ B $.
    sseqtr.2 $e |- B = C $.
    $( Substitution of equality into a subclass relationship. $)
    sseqtri $p |- A C_ C $=
      ( wss sseq2i mpbi ) ABFACFDBCAEGH $.
      $( [28-Jul-1995] $)
  $}

  ${
    sseqtr4.1 $e |- A C_ B $.
    sseqtr4.2 $e |- C = B $.
    $( Substitution of equality into a subclass relationship. $)
    sseqtr4i $p |- A C_ C $=
      ( eqcomi sseqtri ) ABCDCBEFG $.
      $( [4-Apr-1995] $)
  $}

  ${
    eqsstrd.1 $e |- ( ph -> A = B ) $.
    eqsstrd.2 $e |- ( ph -> B C_ C ) $.
    $( Substitution of equality into a subclass relationship. $)
    eqsstrd $p |- ( ph -> A C_ C ) $=
      ( wss sseq1d mpbird ) ABDGCDGFABCDEHI $.
      $( [25-Apr-2004] $)
  $}

  ${
    eqsstr3d.1 $e |- ( ph -> B = A ) $.
    eqsstr3d.2 $e |- ( ph -> B C_ C ) $.
    $( Substitution of equality into a subclass relationship. $)
    eqsstr3d $p |- ( ph -> A C_ C ) $=
      ( eqcomd eqsstrd ) ABCDACBEGFH $.
      $( [25-Apr-2004] $)
  $}

  ${
    sseqtrd.1 $e |- ( ph -> A C_ B ) $.
    sseqtrd.2 $e |- ( ph -> B = C ) $.
    $( Substitution of equality into a subclass relationship. $)
    sseqtrd $p |- ( ph -> A C_ C ) $=
      ( wss sseq2d mpbid ) ABCGBDGEACDBFHI $.
      $( [25-Apr-2004] $)
  $}

  ${
    sseqtr4d.1 $e |- ( ph -> A C_ B ) $.
    sseqtr4d.2 $e |- ( ph -> C = B ) $.
    $( Substitution of equality into a subclass relationship. $)
    sseqtr4d $p |- ( ph -> A C_ C ) $=
      ( eqcomd sseqtrd ) ABCDEADCFGH $.
      $( [25-Apr-2004] $)
  $}

  ${
    3sstr3.1 $e |- A C_ B $.
    3sstr3.2 $e |- A = C $.
    3sstr3.3 $e |- B = D $.
    $( Substitution of equality in both sides of a subclass relationship.  (The
       proof was shortened by Eric Schmidt, 26-Jan-2007.) $)
    3sstr3i $p |- C C_ D $=
      ( wss sseq12i mpbi ) ABHCDHEACBDFGIJ $.
      $( [27-Jan-2007] $) $( [13-Jan-1996] $)
  $}

  ${
    3sstr4.1 $e |- A C_ B $.
    3sstr4.2 $e |- C = A $.
    3sstr4.3 $e |- D = B $.
    $( Substitution of equality in both sides of a subclass relationship.  (The
       proof was shortened by Eric Schmidt, 26-Jan-2007.) $)
    3sstr4i $p |- C C_ D $=
      ( wss sseq12i mpbir ) CDHABHECADBFGIJ $.
      $( [27-Jan-2007] $) $( [13-Jan-1996] $)
  $}

  ${
    3sstr3g.1 $e |- ( ph -> A C_ B ) $.
    3sstr3g.2 $e |- A = C $.
    3sstr3g.3 $e |- B = D $.
    $( Substitution of equality into both sides of a subclass relationship. $)
    3sstr3g $p |- ( ph -> C C_ D ) $=
      ( wss sseq12i sylib ) ABCIDEIFBDCEGHJK $.
      $( [1-Oct-2000] $)
  $}

  ${
    3sstr4g.1 $e |- ( ph -> A C_ B ) $.
    3sstr4g.2 $e |- C = A $.
    3sstr4g.3 $e |- D = B $.
    $( Substitution of equality into both sides of a subclass relationship.
       (The proof was shortened by Eric Schmidt, 26-Jan-2007.) $)
    3sstr4g $p |- ( ph -> C C_ D ) $=
      ( wss sseq12i sylibr ) ABCIDEIFDBECGHJK $.
      $( [27-Jan-2007] $) $( [16-Aug-1994] $)
  $}

  ${
    3sstr3d.1 $e |- ( ph -> A C_ B ) $.
    3sstr3d.2 $e |- ( ph -> A = C ) $.
    3sstr3d.3 $e |- ( ph -> B = D ) $.
    $( Substitution of equality into both sides of a subclass relationship. $)
    3sstr3d $p |- ( ph -> C C_ D ) $=
      ( wss sseq12d mpbid ) ABCIDEIFABDCEGHJK $.
      $( [1-Oct-2000] $)
  $}

  ${
    3sstr4d.1 $e |- ( ph -> A C_ B ) $.
    3sstr4d.2 $e |- ( ph -> C = A ) $.
    3sstr4d.3 $e |- ( ph -> D = B ) $.
    $( Substitution of equality into both sides of a subclass relationship.
       (The proof was shortened by Eric Schmidt, 26-Jan-2007.) $)
    3sstr4d $p |- ( ph -> C C_ D ) $=
      ( wss sseq12d mpbird ) ADEIBCIFADBECGHJK $.
      $( [27-Jan-2007] $) $( [30-Nov-1995] $)
  $}

  ${
    syl5eqss.1 $e |- A = B $.
    syl5eqss.2 $e |- ( ph -> B C_ C ) $.
    $( B chained subclass and equality deduction. $)
    syl5eqss $p |- ( ph -> A C_ C ) $=
      ( wss sseq1i sylibr ) ACDGBDGFBCDEHI $.
      $( [25-Apr-2004] $)
  $}

  ${
    syl5eqssr.1 $e |- B = A $.
    syl5eqssr.2 $e |- ( ph -> B C_ C ) $.
    $( B chained subclass and equality deduction. $)
    syl5eqssr $p |- ( ph -> A C_ C ) $=
      ( eqcomi syl5eqss ) ABCDCBEGFH $.
      $( [25-Apr-2004] $)
  $}

  ${
    syl6sseq.1 $e |- ( ph -> A C_ B ) $.
    syl6sseq.2 $e |- B = C $.
    $( A chained subclass and equality deduction. $)
    syl6sseq $p |- ( ph -> A C_ C ) $=
      ( wss sseq2i sylib ) ABCGBDGECDBFHI $.
      $( [25-Apr-2004] $)
  $}

  ${
    syl6ssr.1 $e |- ( ph -> A C_ B ) $.
    syl6ssr.2 $e |- C = B $.
    $( A chained subclass and equality deduction. $)
    syl6sseqr $p |- ( ph -> A C_ C ) $=
      ( eqcomi syl6sseq ) ABCDEDCFGH $.
      $( [25-Apr-2004] $)
  $}

  ${
    syl5sseq.1 $e |- B C_ A $.
    syl5sseq.2 $e |- ( ph -> A = C ) $.
    $( Subclass transitivity deduction.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.) $)
    syl5sseq $p |- ( ph -> B C_ C ) $=
      ( wceq wss sseq2 biimpa sylancl ) ABDGZCBHZCDHZFELMNBDCIJK $.
      $( [3-Jun-2011] $)
  $}

  ${
    syl5sseqr.1 $e |- B C_ A $.
    syl5sseqr.2 $e |- ( ph -> C = A ) $.
    $( Subclass transitivity deduction.  (Contributed by Jonathan Ben-Naim,
       3-Jun-2011.) $)
    syl5sseqr $p |- ( ph -> B C_ C ) $=
      ( wss a1i sseqtr4d ) ACBDCBGAEHFI $.
      $( [3-Jun-2011] $)
  $}

  $( Equality implies the subclass relation.  (The proof was shortened by
     Andrew Salmon, 21-Jun-2011.) $)
  eqimss $p |- ( A = B -> A C_ B ) $=
    ( wceq wss eqss simplbi ) ABCABDBADABEF $.
    $( [26-Jun-2011] $) $( [5-Aug-1993] $)

  $( Equality implies the subclass relation. $)
  eqimss2 $p |- ( B = A -> A C_ B ) $=
    ( wss eqimss eqcoms ) ABCABABDE $.
    $( [23-Nov-2003] $)

  ${
    eqimssi.1 $e |- A = B $.
    $( Infer subclass relationship from equality. $)
    eqimssi $p |- A C_ B $=
      ( ssid sseqtri ) AABADCE $.
      $( [6-Jan-2007] $)

    $( Infer subclass relationship from equality. $)
    eqimss2i $p |- B C_ A $=
      ( ssid sseqtr4i ) BBABDCE $.
      $( [7-Jan-2007] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Negation of subclass relationship.  Exercise 13 of [TakeutiZaring]
       p. 18.  (The proof was shortened by Andrew Salmon, 21-Jun-2011.) $)
    nss $p |- ( -. A C_ B <-> E. x ( x e. A /\ -. x e. B ) ) $=
      ( wss wn cv wcel wi wal wa wex dfss2 notbii exanali bitr4i ) BCDZEAFZBGZQ
      CGZHAIZERSEJAKPTABCLMRSANO $.
      $( [26-Jun-2011] $) $( [25-Feb-1996] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Quantification restricted to a subclass. $)
    ssralv $p |- ( A C_ B -> ( A. x e. B ph -> A. x e. A ph ) ) $=
      ( wss cv wcel ssel imim1d ralimdv2 ) CDEZAABDCKBFZCGLDGACDLHIJ $.
      $( [11-Mar-2006] $)

    $( Existential quantification restricted to a subclass. $)
    ssrexv $p |- ( A C_ B -> ( E. x e. A ph -> E. x e. B ph ) ) $=
      ( wss cv wcel ssel anim1d reximdv2 ) CDEZAABCDKBFZCGLDGACDLHIJ $.
      $( [11-Jan-2007] $)
  $}

  ${
    $d ph y $.  $d ps y $.  $d x y $.
    $( Class abstractions in a subclass relationship. $)
    ss2ab $p |- ( { x | ph } C_ { x | ps } <-> A. x ( ph -> ps ) ) $=
      ( vy cab wss cv wcel wi wal hbab1 dfss2f abid imbi12i albii bitri ) ACEZB
      CEZFCGZQHZSRHZIZCJABIZCJCDQRACDKBCDKLUBUCCTAUABACMBCMNOP $.
      $( [3-Jul-1994] $)
  $}

  ${
    $d x A $.
    $( Class abstraction in a subclass relationship. $)
    abss $p |- ( { x | ph } C_ A <-> A. x ( ph -> x e. A ) ) $=
      ( cab wss cv wcel wi wal abid2 sseq2i ss2ab bitr3i ) ABDZCENBFCGZBDZEAOHB
      IPCNBCJKAOBLM $.
      $( [16-Aug-2006] $)

    $( Subclass of a class abstraction. $)
    ssab $p |- ( A C_ { x | ph } <-> A. x ( x e. A -> ph ) ) $=
      ( cab wss cv wcel wi wal abid2 sseq1i ss2ab bitr3i ) CABDZEBFCGZBDZNEOAHB
      IPCNBCJKOABLM $.
      $( [16-Aug-2006] $)

    $( The relation for a subclass of a class abstraction is equivalent to
       restricted quantification. $)
    ssabral $p |- ( A C_ { x | ph } <-> A. x e. A ph ) $=
      ( cab wss cv wcel wi wal wral ssab df-ral bitr4i ) CABDEBFCGAHBIABCJABCKA
      BCLM $.
      $( [6-Sep-2006] $)
  $}

  ${
    ss2abi.1 $e |- ( ph -> ps ) $.
    $( Inference of abstraction subclass from implication. $)
    ss2abi $p |- { x | ph } C_ { x | ps } $=
      ( cab wss wi ss2ab mpgbir ) ACEBCEFABGCABCHDI $.
      $( [31-Mar-1995] $)
  $}

  ${
    $d x ph $.
    ss2abdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction of abstraction subclass from implication. $)
    ss2abdv $p |- ( ph -> { x | ps } C_ { x | ch } ) $=
      ( wi wal cab wss alrimiv ss2ab sylibr ) ABCFZDGBDHCDHIAMDEJBCDKL $.
      $( [29-Jul-2011] $)
  $}

  ${
    $d x ph $.  $d x A $.
    abssdv.1 $e |- ( ph -> ( ps -> x e. A ) ) $.
    $( Deduction of abstraction subclass from implication. $)
    abssdv $p |- ( ph -> { x | ps } C_ A ) $=
      ( cv wcel wi wal cab wss alrimiv abss sylibr ) ABCFDGHZCIBCJDKAOCELBCDMN
      $.
      $( [20-Jan-2006] $)
  $}

  ${
    $d x A $.
    abssi.1 $e |- ( ph -> x e. A ) $.
    $( Inference of abstraction subclass from implication. $)
    abssi $p |- { x | ph } C_ A $=
      ( cab cv wcel ss2abi abid2 sseqtri ) ABEBFCGZBECAKBDHBCIJ $.
      $( [20-Jan-2006] $)
  $}

  $( Restricted abstraction classes in a subclass relationship. $)
  ss2rab $p |- ( { x e. A | ph } C_ { x e. A | ps } <->
               A. x e. A ( ph -> ps ) ) $=
    ( crab wss cv wcel wa cab wi wal df-rab sseq12i ss2ab df-ral imdistan albii
    wral bitr2i 3bitri ) ACDEZBCDEZFCGDHZAIZCJZUDBIZCJZFUEUGKZCLZABKZCDSZUBUFUC
    UHACDMBCDMNUEUGCOULUDUKKZCLUJUKCDPUMUICUDABQRTUA $.
    $( [30-May-1999] $)

  ${
    $d x B $.
    $( Restricted class abstraction in a subclass relationship. $)
    rabss $p |- ( { x e. A | ph } C_ B <-> A. x e. A ( ph -> x e. B ) ) $=
      ( crab wss cv wcel wa cab wal wral df-rab sseq1i abss impexp albii df-ral
      wi bitr4i 3bitri ) ABCEZDFBGZCHZAIZBJZDFUEUCDHZSZBKZAUGSZBCLZUBUFDABCMNUE
      BDOUIUDUJSZBKUKUHULBUDAUGPQUJBCRTUA $.
      $( [16-Aug-2006] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Subclass of a restricted class abstraction. $)
    ssrab $p |- ( B C_ { x e. A | ph } <-> ( B C_ A /\ A. x e. B ph ) ) $=
      ( crab wss cv wcel wa cab wal wral df-rab sseq2i ssab dfss3 anbi1i r19.26
      wi df-ral 3bitr2ri 3bitri ) DABCEZFDBGZCHZAIZBJZFUDDHUFSBKZDCFZABDLZIZUCU
      GDABCMNUFBDOUKUEBDLZUJIUFBDLUHUIULUJBDCPQUEABDRUFBDTUAUB $.
      $( [16-Aug-2006] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    ssrabdv.1 $e |- ( ph -> B C_ A ) $.
    ssrabdv.2 $e |- ( ( ph /\ x e. B ) -> ps ) $.
    $( Subclass of a restricted class abstraction (deduction rule). $)
    ssrabdv $p |- ( ph -> B C_ { x e. A | ps } ) $=
      ( wss wral crab ralrimiva ssrab sylanbrc ) AEDHBCEIEBCDJHFABCEGKBCDELM $.
      $( [31-Aug-2006] $)
  $}

  ${
    $d x ph $.
    ss2rabdv.1 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Deduction of restricted abstraction subclass from implication. $)
    ss2rabdv $p |- ( ph -> { x e. A | ps } C_ { x e. A | ch } ) $=
      ( wi wral crab wss ralrimiva ss2rab sylibr ) ABCGZDEHBDEICDEIJANDEFKBCDEL
      M $.
      $( [30-May-2006] $)
  $}

  ${
    ss2rabi.1 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Inference of restricted abstraction subclass from implication. $)
    ss2rabi $p |- { x e. A | ph } C_ { x e. A | ps } $=
      ( crab wss wi ss2rab mprgbir ) ACDFBCDFGABHCDABCDIEJ $.
      $( [14-Oct-1999] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Subclass law for restricted abstraction.  (The proof was shortened by
       Andrew Salmon, 26-Jun-2011.) $)
    rabss2 $p |- ( A C_ B -> { x e. A | ph } C_ { x e. B | ph } ) $=
      ( wss cv wcel wa cab crab wi wal pm3.45 alimi dfss2 ss2ab 3imtr4i 3sstr4g
      df-rab ) CDEZBFZCGZAHZBIZUADGZAHZBIZABCJABDJUBUEKZBLUCUFKZBLTUDUGEUHUIBUB
      UEAMNBCDOUCUFBPQABCSABDSR $.
      $( [26-Jun-2011] $) $( [18-Dec-2004] $)

    $( Subclass relation for the restriction of a class abstraction. $)
    ssab2 $p |- { x | ( x e. A /\ ph ) } C_ A $=
      ( cv wcel wa simpl abssi ) BDCEZAFBCIAGH $.
      $( [31-Mar-1995] $)

    $( Subclass relation for a restricted class. $)
    ssrab2 $p |- { x e. A | ph } C_ A $=
      ( crab cv wcel wa cab df-rab ssab2 eqsstri ) ABCDBECFAGBHCABCIABCJK $.
      $( [19-Mar-1997] $)
  $}

  $( Alternate definition of proper subclass. $)
  dfpss2 $p |- ( A C. B <-> ( A C_ B /\ -. A = B ) ) $=
    ( wpss wss wne wa wceq wn df-pss df-ne anbi2i bitri ) ABCABDZABEZFMABGHZFAB
    INOMABJKL $.
    $( [7-Feb-1996] $)

  $( Alternate definition of proper subclass.  (The proof was shortened by
     Andrew Salmon, 26-Jun-2011.) $)
  dfpss3 $p |- ( A C. B <-> ( A C_ B /\ -. B C_ A ) ) $=
    ( wpss wss wceq wn wa dfpss2 eqss baib notbid pm5.32i bitri ) ABCABDZABEZFZ
    GNBADZFZGABHNPRNOQONQABIJKLM $.
    $( [26-Jun-2011] $) $( [7-Feb-1996] $)

  $( Equality theorem for proper subclass. $)
  psseq1 $p |- ( A = B -> ( A C. C <-> B C. C ) ) $=
    ( wceq wss wne wa wpss sseq1 neeq1 anbi12d df-pss 3bitr4g ) ABDZACEZACFZGBC
    EZBCFZGACHBCHNOQPRABCIABCJKACLBCLM $.
    $( [7-Feb-1996] $)

  $( Equality theorem for proper subclass. $)
  psseq2 $p |- ( A = B -> ( C C. A <-> C C. B ) ) $=
    ( wceq wss wne wa wpss sseq2 neeq2 anbi12d df-pss 3bitr4g ) ABDZCAEZCAFZGCB
    EZCBFZGCAHCBHNOQPRABCIABCJKCALCBLM $.
    $( [7-Feb-1996] $)

  ${
    psseq1i.1 $e |- A = B $.
    $( An equality inference for the proper subclass relationship. $)
    psseq1i $p |- ( A C. C <-> B C. C ) $=
      ( wceq wpss wb psseq1 ax-mp ) ABEACFBCFGDABCHI $.
      $( [9-Jun-2004] $)

    $( An equality inference for the proper subclass relationship. $)
    psseq2i $p |- ( C C. A <-> C C. B ) $=
      ( wceq wpss wb psseq2 ax-mp ) ABECAFCBFGDABCHI $.
      $( [9-Jun-2004] $)

    ${
      psseq12i.2 $e |- C = D $.
      $( An equality inference for the proper subclass relationship. $)
      psseq12i $p |- ( A C. C <-> B C. D ) $=
        ( wpss psseq1i psseq2i bitri ) ACGBCGBDGABCEHCDBFIJ $.
        $( [9-Jun-2004] $)
    $}
  $}

  ${
    psseq1d.1 $e |- ( ph -> A = B ) $.
    $( An equality deduction for the proper subclass relationship. $)
    psseq1d $p |- ( ph -> ( A C. C <-> B C. C ) ) $=
      ( wceq wpss wb psseq1 syl ) ABCFBDGCDGHEBCDIJ $.
      $( [9-Jun-2004] $)

    $( An equality deduction for the proper subclass relationship. $)
    psseq2d $p |- ( ph -> ( C C. A <-> C C. B ) ) $=
      ( wceq wpss wb psseq2 syl ) ABCFDBGDCGHEBCDIJ $.
      $( [9-Jun-2004] $)

    ${
      psseq12d.2 $e |- ( ph -> C = D ) $.
      $( An equality deduction for the proper subclass relationship. $)
      psseq12d $p |- ( ph -> ( A C. C <-> B C. D ) ) $=
        ( wpss psseq1d psseq2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
        $( [9-Jun-2004] $)
    $}
  $}

  $( A proper subclass is a subclass.  Theorem 10 of [Suppes] p. 23. $)
  pssss $p |- ( A C. B -> A C_ B ) $=
    ( wpss wss wne df-pss simplbi ) ABCABDABEABFG $.
    $( [7-Feb-1996] $)

  ${
    pssssd.1 $e |- ( ph -> A C. B ) $.
    $( Deduce subclass from proper subclass. $)
    pssssd $p |- ( ph -> A C_ B ) $=
      ( wpss wss pssss syl ) ABCEBCFDBCGH $.
      $( [29-Feb-1996] $)
  $}

  $( Subclass in terms of proper subclass. $)
  sspss $p |- ( A C_ B <-> ( A C. B \/ A = B ) ) $=
    ( wss wpss wceq wo wn dfpss2 simplbi2 con1d orrd pssss eqimss jaoi impbii )
    ABCZABDZABEZFPQRPRQQPRGABHIJKQPRABLABMNO $.
    $( [25-Feb-1996] $)

  $( Proper subclass is irreflexive.  Theorem 7 of [Suppes] p. 23. $)
  pssirr $p |- -. A C. A $=
    ( wpss wss wn wa pm3.24 dfpss3 mtbir ) AABAACZIDEIFAAGH $.
    $( [7-Feb-1996] $)

  $( Proper subclass has no 2-cycle loops.  Compare Theorem 8 of [Suppes]
     p. 23.  (The proof was shortened by Andrew Salmon, 26-Jun-2011.) $)
  pssn2lp $p |- -. ( A C. B /\ B C. A ) $=
    ( wpss wn wi wa wss dfpss3 simprbi pssss nsyl imnan mpbi ) ABCZBACZDENOFDNB
    AGZONABGPDABHIBAJKNOLM $.
    $( [26-Jun-2011] $) $( [7-Feb-1996] $)

  $( Two ways of stating trichotomy with respect to inclusion. $)
  sspsstri $p |- ( ( A C_ B \/ B C_ A ) <-> ( A C. B \/ A = B \/ B C. A ) ) $=
    ( wss wo wpss wceq w3o sspss eqcom orbi2i bitri orbi12i orordir or32 df-3or
    bitr4i 3bitr2i ) ABCZBACZDABEZABFZDZBAEZUADZDTUCDUADZTUAUCGZRUBSUDABHSUCBAF
    ZDUDBAHUGUAUCBAIJKLTUCUAMUEUBUCDUFTUCUANTUAUCOPQ $.
    $( [12-Aug-2004] $)

  $( Partial trichotomy law for subclasses.  (The proof was shortened by Andrew
     Salmon, 26-Jun-2011.) $)
  ssnpss $p |- ( A C_ B -> -. B C. A ) $=
    ( wpss wss wn dfpss3 simprbi con2i ) BACZABDZIBADJEBAFGH $.
    $( [26-Jun-2011] $) $( [16-May-1996] $)

  $( Transitive law for proper subclass.  Theorem 9 of [Suppes] p. 23. $)
  psstr $p |- ( ( A C. B /\ B C. C ) -> A C. C ) $=
    ( wpss wa wss wceq pssss sylan9ss pssn2lp psseq1 anbi1d mtbiri con2i dfpss2
    wn sylanbrc ) ABDZBCDZEZACFACGZPACDRSABCABHBCHIUATUATCBDZSECBJUARUBSACBKLMN
    ACOQ $.
    $( [7-Feb-1996] $)

  $( Transitive law for subclass and proper subclass. $)
  sspsstr $p |- ( ( A C_ B /\ B C. C ) -> A C. C ) $=
    ( wss wpss wceq wo sspss wi psstr ex psseq1 biimprd jaoi imp sylanb ) ABDAB
    EZABFZGZBCEZACEZABHSTUAQTUAIRQTUAABCJKRUATABCLMNOP $.
    $( [3-Apr-1996] $)


  $( Transitive law for subclass and proper subclass. $)
  psssstr $p |- ( ( A C. B /\ B C_ C ) -> A C. C ) $=
    ( wss wpss wceq wo sspss psstr ex psseq2 biimpcd jaod imp sylan2b ) BCDABEZ
    BCEZBCFZGZACEZBCHPSTPQTRPQTABCIJRPTBCAKLMNO $.
    $( [3-Apr-1996] $)

  ${
    $d x A $.  $d x B $.
    $( Subclass relationship for class difference.  Exercise 14 of
       [TakeutiZaring] p. 22. $)
    difss $p |- ( A \ B ) C_ A $=
      ( vx cdif cv wcel wn eldif simplbi ssriv ) CABDZACEZKFLAFLBFGLABHIJ $.
      $( [29-Apr-1994] $)
  $}

  $( Preservation of a subclass relationship by class difference. $)
  ssdifss $p |- ( A C_ B -> ( A \ C ) C_ B ) $=
    ( cdif wss difss sstr mpan ) ACDZAEABEIBEACFIABGH $.
    $( [15-Feb-2007] $)


  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Contraposition law for subsets. $)
    ssconb $p |- ( ( A C_ C /\ B C_ C ) ->
                  ( A C_ ( C \ B ) <-> B C_ ( C \ A ) ) ) $=
      ( vx wss wa cv wcel cdif wi wal wn wb ssel pm5.1 jcab 3bitr4g eldif dfss2
      imbi2i syl2an con2b a1i anbi12d albidv ) ACEZBCEZFZDGZAHZUICBIZHZJZDKUIBH
      ZUICAIZHZJZDKAUKEBUOEUHUMUQDUHUJUICHZUNLZFZJZUNURUJLZFZJZUMUQUHUJURJZUJUS
      JZFUNURJZUNVBJZFVAVDUHVEVGVFVHUFVEVGVEVGMUGACUINBCUINVEVGOUAVFVHMUHUJUNUB
      UCUDUJURUSPUNURVBPQULUTUJUICBRTUPVCUNUICARTQUEDAUKSDBUOSQ $.
      $( [22-Mar-1998] $)

    $( Contraposition law for subsets.  Exercise 15 of [TakeutiZaring]
       p. 22. $)
    sscon $p |- ( A C_ B -> ( C \ B ) C_ ( C \ A ) ) $=
      ( vx wss cdif cv wcel wn wa ssel con3d anim2d eldif 3imtr4g ssrdv ) ABEZD
      CBFZCAFZQDGZCHZTBHZIZJUATAHZIZJTRHTSHQUCUEUAQUDUBABTKLMTCBNTCANOP $.
      $( [22-Mar-1998] $)

    $( Difference law for subsets. $)
    ssdif $p |- ( A C_ B -> ( A \ C ) C_ ( B \ C ) ) $=
      ( vx wss cdif cv wcel wn wa ssel anim1d eldif 3imtr4g ssrdv ) ABEZDACFZBC
      FZPDGZAHZSCHIZJSBHZUAJSQHSRHPTUBUAABSKLSACMSBCMNO $.
      $( [28-May-1998] $)
  $}


  ${
    $d x A $.  $d x B $.
    $( Subclass relationship for union of classes.  Theorem 25 of [Suppes]
       p. 27. $)
    ssun1 $p |- A C_ ( A u. B ) $=
      ( vx cun cv wcel wo orc elun sylibr ssriv ) CAABDZCEZAFZNMBFZGMLFNOHMABIJ
      K $.
      $( [5-Aug-1993] $)
  $}

  $( Subclass relationship for union of classes. $)
  ssun2 $p |- A C_ ( B u. A ) $=
    ( cun ssun1 uncom sseqtri ) AABCBACABDABEF $.
    $( [30-Aug-1993] $)

  $( Subclass law for union of classes. $)
  ssun3 $p |- ( A C_ B -> A C_ ( B u. C ) ) $=
    ( wss cun ssun1 sstr2 mpi ) ABDBBCEZDAIDBCFABIGH $.
    $( [5-Aug-1993] $)

  $( Subclass law for union of classes. $)
  ssun4 $p |- ( A C_ B -> A C_ ( C u. B ) ) $=
    ( wss cun ssun2 sstr2 mpi ) ABDBCBEZDAIDBCFABIGH $.
    $( [14-Aug-1994] $)


  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Subclass law for union of classes.  (The proof was shortened by Andrew
       Salmon, 26-Jun-2011.) $)
    unss1 $p |- ( A C_ B -> ( A u. C ) C_ ( B u. C ) ) $=
      ( vx wss cun cv wcel wo ssel orim1d elun 3imtr4g ssrdv ) ABEZDACFZBCFZODG
      ZAHZRCHZIRBHZTIRPHRQHOSUATABRJKRACLRBCLMN $.
      $( [26-Jun-2011] $) $( [14-Oct-1999] $)

    $( A relationship between subclass and union.  Theorem 26 of [Suppes]
       p. 27.  (The proof was shortened by Andrew Salmon, 26-Jun-2011.) $)
    ssequn1 $p |- ( A C_ B <-> ( A u. B ) = B ) $=
      ( vx cv wcel wi wal cun wb wceq wo bicom pm4.72 elun bibi1i 3bitr4i albii
      wss dfss2 dfcleq ) CDZAEZUABEZFZCGUAABHZEZUCIZCGABRUEBJUDUGCUCUBUCKZIUHUC
      IUDUGUCUHLUBUCMUFUHUCUAABNOPQCABSCUEBTP $.
      $( [26-Jun-2011] $) $( [30-Aug-1993] $)
  $}

  $( Subclass law for union of classes.  Exercise 7 of [TakeutiZaring]
     p. 18. $)
  unss2 $p |- ( A C_ B -> ( C u. A ) C_ ( C u. B ) ) $=
    ( wss cun unss1 uncom 3sstr4g ) ABDACEBCECAECBEABCFCAGCBGH $.
    $( [14-Oct-1999] $)

  $( Subclass law for union of classes. $)
  unss12 $p |- ( ( A C_ B /\ C C_ D ) -> ( A u. C ) C_ ( B u. D ) ) $=
    ( wss cun unss1 unss2 sylan9ss ) ABECDEACFBCFBDFABCGCDBHI $.
    $( [2-Jun-2004] $)

  $( A relationship between subclass and union. $)
  ssequn2 $p |- ( A C_ B <-> ( B u. A ) = B ) $=
    ( wss cun wceq ssequn1 uncom eqeq1i bitri ) ABCABDZBEBADZBEABFJKBABGHI $.
    $( [23-Sep-2004] $) $( [13-Jun-1994] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( The union of two subclasses is a subclass.  Theorem 27 of [Suppes] p. 27
       and its converse. $)
    unss $p |- ( ( A C_ C /\ B C_ C ) <-> ( A u. B ) C_ C ) $=
      ( vx cv cun wcel wi wal wa wss elun imbi1i jaob bitri albii dfss2 anbi12i
      wo 19.26 bitr4i 3bitr4ri ) DEZABFZGZUCCGZHZDIUCAGZUFHZUCBGZUFHZJZDIZUDCKA
      CKZBCKZJZUGULDUGUHUJSZUFHULUEUQUFUCABLMUHUFUJNOPDUDCQUPUIDIZUKDIZJUMUNURU
      OUSDACQDBCQRUIUKDTUAUB $.
      $( [11-Jun-2004] $)
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Condition for subset when ` A ` is already known to be a subset. $)
    ssofss $p |- ( A C_ C -> ( A C_ B <-> A. x e. C ( x e. A -> x e. B ) ) ) $=
      ( wss cv wcel wi wral ccompl wa vex elcompl ssel con3d syl5bi imp pm2.21d
      wn cvv ralrimiva biantrud cun wal ralv raleqi dfss2 3bitr4ri ralunb bitri
      uncompl syl6rbbr ) BDEZAFZBGZUNCGZHZADIZURUQADJZIZKZBCEZUMUTURUMUQAUSUMUN
      USGZKUOUPUMVCUOSZVCUNDGZSUMVDUNDALMUMUOVEBDUNNOPQRUAUBVBUQADUSUCZIZVAUQAT
      IUQAUDVGVBUQAUEUQAVFTDUKUFABCUGUHUQADUSUIUJUL $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( When ` A ` and ` B ` are subsets of ` C ` , equality depends only on the
       elements of ` C ` . $)
    ssofeq $p |- ( ( A C_ C /\ B C_ C ) ->
        ( A = B <-> A. x e. C ( x e. A <-> x e. B ) ) ) $=
      ( wss wa cv wcel wi wral wceq wb ssofss bi2anan9 eqss ralbiim 3bitr4g ) B
      DEZCDEZFBCEZCBEZFAGZBHZUBCHZIADJZUDUCIADJZFBCKUCUDLADJRTUESUAUFABCDMACBDM
      NBCOUCUDADPQ $.
      $( [13-Jan-2015] $)
  $}


  ${
    $d A x $.  $d B x $.
    snss.1 $e |- A e. _V $.
    $( The singleton of an element of a class is a subset of the class.
       Theorem 7.4 of [Quine] p. 49. $)
    snss $p |- ( A e. B <-> { A } C_ B ) $=
      ( vx csn wss cv wcel wi wal dfss2 wceq vex elsn albii eleq1 ceqsalv bitri
      imbi1i bitr2i ) AEZBFDGZUAHZUBBHZIZDJZABHZDUABKUFUBALZUDIZDJUGUEUIDUCUHUD
      UBADMNSOUDUGDACUBABPQRT $.
      $( [5-Aug-1993] $)
  $}


  $( Membership in a set with an element removed. $)
  eldifsn $p |- ( A e. ( B \ { C } ) <-> ( A e. B /\ A =/= C ) ) $=
    ( csn cdif wcel wn wa wne eldif elsng necon3bbid pm5.32i bitri ) ABCDZEFABF
    ZAOFZGZHPACIZHABOJPRSPQACACBKLMN $.
    $( [10-Oct-2007] $)

  ${
    $d A x $.  $d B x $.
    $( The singleton of an element of a class is a subset of the class.
       Theorem 7.4 of [Quine] p. 49. $)
    snssg $p |- ( A e. V -> ( A e. B <-> { A } C_ B ) ) $=
      ( vx cv wcel csn wss eleq1 wceq sneq sseq1d vex snss vtoclbg ) DEZBFPGZBH
      ABFAGZBHDACPABIPAJQRBPAKLPBDMNO $.
      $( [13-Jan-2015] $)

    $( An element not in a set can be removed without affecting the set.  (The
       proof was shortened by Andrew Salmon, 29-Jun-2011.) $)
    difsn $p |- ( -. A e. B -> ( B \ { A } ) = B ) $=
      ( vx wcel wn csn cdif cv wne wa eldifsn simpl wceq eleq1 biimpcd necon3bd
      com12 ancld impbid2 syl5bb eqrdv ) ABDZEZCBAFGZBCHZUDDUEBDZUEAIZJZUCUFUEB
      AKUCUHUFUFUGLUCUFUGUFUCUGUFUBUEAUEAMUFUBUEABNOPQRSTUA $.
      $( [29-Jun-2011] $) $( [16-Mar-2006] $)

    $( Removal of a singleton from an unordered pair.  (The proof was shortened
       by Andrew Salmon, 29-Jun-2011.) $)
    difprsn $p |- ( { A , B } \ { A } ) C_ { B } $=
      ( vx cpr csn cdif cv wcel wn wa wceq wo elpr elsn notbii biimparc syl2anb
      vex biorf eldif 3imtr4i ssriv ) CABDZAEZFZBEZCGZUCHZUGUDHZIZJUGBKZUGUEHUG
      UFHUHUGAKZUKLZULIZUKUJUGABCRZMUIULUGAUONOUNUKUMULUKSPQUGUCUDTUGBUONUAUB
      $.
      $( [29-Jun-2011] $) $( [16-Mar-2006] $)

  $}


  $( The singleton of an element of a class is a subset of the class. $)
  snssi $p |- ( A e. B -> { A } C_ B ) $=
    ( wcel csn wss snssg ibi ) ABCADBEABBFG $.
    $( [6-Jun-1994] $)


  $( The intersection of two classes is a subset of one of them.  Part of
     Exercise 12 of [TakeutiZaring] p. 18. $)
  inss1 $p |- ( A i^i B ) C_ A $=
    ( cin wss wceq in32 inidm ineq1i eqtri df-ss mpbir ) ABCZADLACZLEMAACZBCLAB
    AFNABAGHILAJK $.
    $( [13-Jan-2015] $)

  $( The empty class is a subset of anything. $)
  0ss $p |- (/) C_ A $=
    ( c0 wss cin wceq incom in0 eqtri df-ss mpbir ) BACBADZBEKABDBBAFAGHBAIJ $.
    $( [13-Jan-2015] $)


  ${
    $d A x $.  $d B x $.  $d C x $.
    prss.1 $e |- A e. _V $.
    prss.2 $e |- B e. _V $.
    $( A pair of elements of a class is a subset of the class.  Theorem 7.5 of
       [Quine] p. 49.  (The proof was shortened by Andrew Salmon,
       29-Jun-2011.) $)
    prss $p |- ( ( A e. C /\ B e. C ) <-> { A , B } C_ C ) $=
      ( csn wss wa cun wcel cpr unss snss anbi12i df-pr sseq1i 3bitr4i ) AFZCGZ
      BFZCGZHRTIZCGACJZBCJZHABKZCGRTCLUCSUDUAACDMBCEMNUEUBCABOPQ $.
      $( [29-Jun-2011] $) $( [30-May-1994] $)
  $}


  $( The intersection of two classes is a subset of one of them.  Part of
     Exercise 12 of [TakeutiZaring] p. 18. $)
  inss2 $p |- ( A i^i B ) C_ B $=
    ( cin incom inss1 eqsstr3i ) ABCBACBBADBAEF $.
    $( [27-Apr-1994] $)


  $( A difference is a subset of the complement of its second argument. $)
  difsscompl $p |- ( A \ B ) C_ ~ B $=
    ( cdif ccompl cin df-dif inss2 eqsstri ) ABCABDZEIABFAIGH $.
    $( [10-Mar-2015] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Subclass of intersection.  Theorem 2.8(vii) of [Monk1] p. 26.  (The
       proof was shortened by Andrew Salmon, 26-Jun-2011.) $)
    ssin $p |- ( ( A C_ B /\ A C_ C ) <-> A C_ ( B i^i C ) ) $=
      ( vx cv wcel wi wal wa cin wss elin imbi2i albii jcab 19.26 3bitrri dfss2
      anbi12i 3bitr4i ) DEZAFZUABFZGZDHZUBUACFZGZDHZIZUBUABCJZFZGZDHZABKZACKZIA
      UJKUMUBUCUFIZGZDHUDUGIZDHUIULUQDUKUPUBUABCLMNUQURDUBUCUFONUDUGDPQUNUEUOUH
      DABRDACRSDAUJRT $.
      $( [26-Jun-2011] $) $( [15-Jun-2004] $)
  $}


  $( Equality of union and intersection implies equality of their arguments.
     (The proof was shortened by Andrew Salmon, 26-Jun-2011.) $)
  uneqin $p |- ( ( A u. B ) = ( A i^i B ) <-> A = B ) $=
    ( cun cin wceq wss wa eqimss unss ssin sstr sylbir simpl anim12i syl sylibr
    eqss uneq2 unidm inidm eqtr4i ineq2 syl5eq eqtr3d impbii ) ABCZABDZEZABEZUH
    ABFZBAFZGZUIUHUFUGFZULUFUGHUMAUGFZBUGFZGULABUGIUNUJUOUKUNAAFUJGUJAABJAABKLU
    OUKBBFZGUKBABJUKUPMLNLOABQPUIAACZUFUGABARUIUQAADZUGUQAURASATUAABAUBUCUDUE
    $.
    $( [16-Apr-2006] $)


  ${
    $d x y z $.  $d y z ph $.
    $( Another way to express existential uniqueness of a wff: its class
       abstraction is a singleton. $)
    euabsn $p |- ( E! x ph <-> E. x { x | ph } = { x } ) $=
      ( vy vz cab cv csn wceq wex weq wal weu wcel abeq1 vex bibi2i albii ax-17
      wb elsn bitri exbii hbab1 hbeq sneq eqeq2d cbvex df-eu 3bitr4ri ) ABEZCFZ
      GZHZCIABCJZSZBKZCIUJBFZGZHZBIABLUMUPCUMAUQULMZSZBKUPABULNVAUOBUTUNAUQUKBO
      TPQUAUBUSUMBCUSCRBDDUJULABDUCDFULMBRUDUNURULUJUQUKUEUFUGABCUHUI $.
      $( [22-Feb-2004] $)
  $}

  $( Absorption law for intersection. $)
  inabs $p |- ( A i^i ( A u. B ) ) = A $=
    ( cun wss cin wceq ssun1 df-ss mpbi ) AABCZDAJEAFABGAJHI $.
    $( [16-Apr-2006] $)


  $( A rearrangement of union. $)
  un12 $p |- ( A u. ( B u. C ) ) = ( B u. ( A u. C ) ) $=
    ( cun uncom uneq1i unass 3eqtr3i ) ABDZCDBADZCDABCDDBACDDIJCABEFABCGBACGH
    $.
    $( [12-Aug-2004] $)

  $( A rearrangement of the union of 4 classes. $)
  un4 $p |- ( ( A u. B ) u. ( C u. D ) ) =
            ( ( A u. C ) u. ( B u. D ) ) $=
    ( cun un12 uneq2i unass 3eqtr4i ) ABCDEZEZEACBDEZEZEABEJEACELEKMABCDFGABJHA
    CLHI $.
    $( [12-Aug-2004] $)

  $( Union distributes over itself. $)
  unundi $p |- ( A u. ( B u. C ) ) = ( ( A u. B ) u. ( A u. C ) ) $=
    ( cun unidm uneq1i un4 eqtr3i ) AADZBCDZDAJDABDACDDIAJAEFAABCGH $.
    $( [17-Aug-2004] $)


  ${
    $d x A $.  $d x B $.
    $( Subclass expressed in terms of difference.  Exercise 7 of
       [TakeutiZaring] p. 22. $)
    ssdif0 $p |- ( A C_ B <-> ( A \ B ) = (/) ) $=
      ( vx cv wcel wi wal cdif wn wss c0 wceq wa iman eldif notbii bitr4i albii
      dfss2 eq0 3bitr4i ) CDZAEZUBBEZFZCGUBABHZEZIZCGABJUFKLUEUHCUEUCUDIMZIUHUC
      UDNUGUIUBABOPQRCABSCUFTUA $.
      $( [29-Apr-1994] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.
    $( A pair of elements of a class is a subset of the class.  Theorem 7.5 of
       [Quine] p. 49.  (The proof was shortened by Andrew Salmon,
       29-Jun-2011.) $)
    prssg $p |- ( ( A e. V /\ B e. W ) ->
                ( ( A e. C /\ B e. C ) <-> { A , B } C_ C ) ) $=
      ( wcel wa csn wss cpr snssg bi2anan9 cun unss df-pr sseq1i bitr4i syl6bb
      ) ADFZBEFZGACFZBCFZGAHZCIZBHZCIZGZABJZCIZSUAUDTUBUFACDKBCEKLUGUCUEMZCIUIU
      CUECNUHUJCABOPQR $.
      $( [29-Jun-2011] $) $( [22-Mar-2006] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( The subsets of a singleton. $)
    sssn $p |- ( A C_ { B } <-> ( A = (/) \/ A = { B } ) ) $=
      ( vx csn wss c0 wceq wo wn wa wcel cv wex neq0 ssel elsni syl6 eleq1 ibd
      wb exlimdv syl5bi snssi anc2li eqss syl6ibr orrd sseq1 mpbiri eqimss jaoi
      0ss impbii ) ABDZEZAFGZAUNGZHUOUPUQUOUPIZUOUNAEZJUQUOURUSUOURBAKZUSURCLZA
      KZCMUOUTCANUOVBUTCUOVBUTUOVBVABGZVBUTTUOVBVAUNKVCAUNVAOVABPQVABARQSUAUBBA
      UCQUDAUNUEUFUGUPUOUQUPUOFUNEUNULAFUNUHUIAUNUJUKUM $.
      $( [24-Apr-2004] $)

    $( Two ways to express that a nonempty set equals a singleton. $)
    eqsn $p |- ( A =/= (/) -> ( A = { B } <-> A. x e. A x = B ) ) $=
      ( c0 wne csn wceq wss cv wral eqimss wn df-ne wo sssn biimpi syl5bi com12
      ord impbid2 wcel dfss3 vex elsn ralbii bitri syl6bb ) BDEZBCFZGZBUIHZAIZC
      GZABJZUHUJUKBUIKUKUHUJUHBDGZLUKUJBDMUKUOUJUKUOUJNBCOPSQRTUKULUIUAZABJUNAB
      UIUBUPUMABULCAUCUDUEUFUG $.
      $( [15-Dec-2007] $)
  $}


  $( A singleton is a subset of an unordered pair containing its member. $)
  snsspr1 $p |- { A } C_ { A , B } $=
    ( csn cun cpr ssun1 df-pr sseqtr4i ) ACZIBCZDABEIJFABGH $.
    $( [27-Aug-2004] $)

  $( A singleton is a subset of an unordered pair containing its member. $)
  snsspr2 $p |- { B } C_ { A , B } $=
    ( csn cun cpr ssun2 df-pr sseqtr4i ) BCZACZIDABEIJFABGH $.
    $( [2-May-2009] $)

  ${
    $( The subsets of a pair. $)
    sspr $p |- ( A C_ { B , C } <->
     ( ( A = (/) \/ A = { B } ) \/ ( A = { C } \/ A = { B , C } ) ) ) $=
      ( cpr wss c0 wceq csn wo wn wa wcel cdif difsn adantl adantr sseq1 mpbiri
      ex jaoi simpll pm2.45 anim1i ioran sylibr ssdif difprsn syl6ss sssn con1d
      eqsstr3d syl6ib imp sylan2 anassrs prcom sseq2i sylbi prssg syl2anc eqssd
      ibi orrd 0ss snsspr1 snsspr2 eqimss impbii ) ABCDZEZAFGZABHZGZIZACHZGZAVI
      GZIZIVJVNVRVJVNJZVRVJVSKZVPVQVTVPJZVQVTWAKZAVIVJVSWAUAWBBALZCALZVIAEZVJVS
      WAWCVSWAKZVJVKVPIZJZWCWFVKJZWAKWHVSWIWAVKVMUBUCVKVPUDUEVJWHWCVJWCWGVJWCJZ
      AVOEZWGVJWJWKVJWJKAAVLMZVOWJWLAGVJBANOVJWLVOEWJVJWLVIVLMVOAVIVLUFBCUGUHPU
      KSACUIULUJUMUNUOVTWDWAVJVSWDVJWDVNVJWDJZAVLEZVNVJWMWNVJWMKZAAVOMZVLWMWPAG
      VJCANOWOWPCBDZVOMZVLVJWPWREZWMVJAWQEWSVIWQABCUPUQAWQVOUFURPCBUGUHUKSABUIU
      LUJUMPWCWDKWEBCAAAUSVBUTVASVCSVCVNVJVRVKVJVMVKVJFVIEVIVDAFVIQRVMVJVLVIEBC
      VEAVLVIQRTVPVJVQVPVJVOVIEBCVFAVOVIQRAVIVGTTVH $.
      $( [16-Mar-2006] $)
  $}


  $( Any subset of the empty set is empty.  Theorem 5 of [Suppes] p. 23 and its
     converse. $)
  ss0b $p |- ( A C_ (/) <-> A = (/) ) $=
    ( c0 wceq wss 0ss eqss mpbiran2 bicomi ) ABCZABDZIJBADAEABFGH $.
    $( [17-Sep-2003] $)


  $( Any subset of the empty set is empty.  Theorem 5 of [Suppes] p. 23. $)
  ss0 $p |- ( A C_ (/) -> A = (/) ) $=
    ( c0 wss wceq ss0b biimpi ) ABCABDAEF $.
    $( [13-Aug-1994] $)

  ${
    unsneqsn.1 $e |- B e. _V $.
    $( If union with a singleton yields a singleton, then the first argument is
       either also the singleton or is the empty set. $)
    unsneqsn $p |- ( ( A u. { B } ) = { C } -> ( A = (/) \/ A = { B } ) ) $=
      ( csn cun wceq wss c0 wcel ssun2 snid sselii eleq2 mpbii elsni syl eqeq2d
      wo sneq biimprd mpcom ssequn1 sylibr sssn sylib ) ABEZFZCEZGZAUGHZAIGAUGG
      SUJUHUGGZUKBCGZUJULUJBUIJZUMUJBUHJUNUGUHBUGAKBDLMUHUIBNOBCPQUMULUJUMUGUIU
      HBCTRUAUBAUGUCUDABUEUF $.
      $( [15-Jan-2015] $)
  $}

  ${
    $d A x $.  $d B x $.
    $( Alternate definition of proper subset.  Theorem IX.4.21 of {{Rosser}},
       p. 236. $)
    dfpss4 $p |- ( A C. B <-> ( A C_ B /\ E. x e. B -. x e. A ) ) $=
      ( wpss wss wn wa wcel wrex dfpss3 wral dfss3 dfral2 bitr2i con1bii anbi2i
      cv bitri ) BCDBCEZCBEZFZGSAQBHZFACIZGBCJUAUCSUCTTUBACKUCFACBLUBACMNOPR $.
      $( [19-Jan-2015] $)
  $}


  ${
    $( Adjoining a new element is one-to-one. $)
    adj11 $p |- ( ( -. C e. A /\ -. C e. B ) ->
       ( ( A u. { C } ) = ( B u. { C } ) <-> A = B ) ) $=
      ( wcel wn wa csn cun wceq cdif difeq1 difun2 difsn eqeqan12d syl5ib uneq1
      3eqtr3g impbid1 ) CADEZCBDEZFZACGZHZBUBHZIZABIZUEAUBJZBUBJZIUAUFUEUCUBJUD
      UBJUGUHUCUDUBKAUBLBUBLQSTUGAUHBCAMCBMNOABUBPR $.
      $( [29-Jan-2015] $)
  $}


  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Add right intersection to subclass relation.  (The proof was shortened
       by Andrew Salmon, 26-Jun-2011.) $)
    ssrin $p |- ( A C_ B -> ( A i^i C ) C_ ( B i^i C ) ) $=
      ( vx wss cin cv wcel wa ssel anim1d elin 3imtr4g ssrdv ) ABEZDACFZBCFZODG
      ZAHZRCHZIRBHZTIRPHRQHOSUATABRJKRACLRBCLMN $.
      $( [26-Jun-2011] $) $( [16-Aug-1994] $)

    $( Add left intersection to subclass relation. $)
    sslin $p |- ( A C_ B -> ( C i^i A ) C_ ( C i^i B ) ) $=
      ( wss cin ssrin incom 3sstr4g ) ABDACEBCECAECBEABCFCAGCBGH $.
      $( [19-Oct-1999] $)
  $}


  $( A relationship between subclass and intersection.  Similar to Exercise 9
     of [TakeutiZaring] p. 18. $)
  sseqin2 $p |- ( A C_ B <-> ( B i^i A ) = A ) $=
    ( wss cin wceq df-ss incom eqeq1i bitri ) ABCABDZAEBADZAEABFJKAABGHI $.
    $( [23-Sep-2004] $) $( [17-May-1994] $)


  ${
    $d x A $.  $d x B $.
    $( Subclass defined in terms of class difference.  See comments under
       ~ dfun2 .  (The proof was shortened by Andrew Salmon, 26-Jun-2011.) $)
    dfss4 $p |- ( A C_ B <-> ( B \ ( B \ A ) ) = A ) $=
      ( vx wss wceq cdif sseqin2 cv wcel wn wa eldif notbii anbi2i wi elin abai
      cin iman bitr4i 3bitri difeqri eqeq1i ) ABDBARZAEBBAFZFZAEABGUFUDACBUEUDC
      HZBIZUGUEIZJZKUHUHUGAIZJKZJZKZUGUDIZUJUMUHUIULUGBALMNUOUHUKKUHUHUKOZKUNUG
      BAPUHUKQUPUMUHUHUKSNUATUBUCT $.
      $( [26-Jun-2011] $) $( [22-Mar-1998] $)

    $( Difference with intersection.  Theorem 33 of [Suppes] p. 29.  (The proof
       was shortened by Andrew Salmon, 26-Jun-2011.) $)
    difin $p |- ( A \ ( A i^i B ) ) = ( A \ B ) $=
      ( vx cin cdif cv wcel wi wn pm4.61 anclb elin imbi2i iman 3bitr2i con2bii
      wa eldif 3bitr4i difeqri ) CAABDZABEZCFZAGZUCBGZHZIUDUEIQUDUCUAGZIQZUCUBG
      UDUEJUFUHUFUDUDUEQZHUDUGHUHIUDUEKUGUIUDUCABLMUDUGNOPUCABRST $.
      $( [26-Jun-2011] $) $( [31-Mar-1998] $)
  $}

  $( Alternate definition of the intersection of two classes.  Exercise 4.10(q)
     of [Mendelson] p. 231. $)
  dfin4 $p |- ( A i^i B ) = ( A \ ( A \ B ) ) $=
    ( cin cdif wss wceq inss1 dfss4 mpbi difin difeq2i eqtr3i ) AAABCZDZDZMAABD
    ZDMAEOMFABGMAHINPAABJKL $.
    $( [25-Nov-2003] $)

  ${
    $d A x $.  $d B x $.
    $( Two ways of saying that two classes are disjoint. $)
    disj4 $p |- ( ( A i^i B ) = (/) <-> A C_ ~ B ) $=
      ( vx cv wcel wn wral ccompl wi wal cin wceq wss vex elcompl ralbii df-ral
      c0 bitr3i disj dfss2 3bitr4i ) CDZBEFZCAGZUCAEUCBHZEZICJZABKRLAUFMUEUGCAG
      UHUGUDCAUCBCNOPUGCAQSCABTCAUFUAUB $.
      $( [5-Feb-2015] $)
  $}


  $( Intersection with a subclass of a disjoint class.  (Contributed by FL,
     24-Jan-2007.) $)
  ssdisj $p |- ( ( A C_ B /\ ( B i^i C ) = (/) ) -> ( A i^i C ) = (/) ) $=
    ( wss cin c0 wceq wa ss0b wi ssrin sstr2 syl syl5bir imp ss0 ) ABDZBCEZFGZH
    ACEZFDZTFGQSUASRFDZQUARIQTRDUBUAJABCKTRFLMNOTPM $.
    $( [23-Jan-2007] $)

  $( Only the universal class has the universal class as a subclass.  (The
     proof was shortened by Andrew Salmon, 26-Jun-2011.) $)
  vss $p |- ( _V C_ A <-> A = _V ) $=
    ( cvv wss wa wceq ssv biantrur eqss bitr4i ) BACZABCZJDABEKJAFGABHI $.
    $( [26-Jun-2011] $) $( [17-Sep-2003] $)

  ${
    $d A x $.  $d B x $.
    $( Contraposition law for subset. $)
    sscon34 $p |- ( A C_ B <-> ~ B C_ ~ A ) $=
      ( vx cv wcel wi wal ccompl wss wn con34b vex elcompl imbi12i bitr4i albii
      dfss2 3bitr4i ) CDZAEZSBEZFZCGSBHZEZSAHZEZFZCGABIUCUEIUBUGCUBUAJZTJZFUGTU
      AKUDUHUFUISBCLZMSAUJMNOPCABQCUCUEQR $.
      $( [11-Mar-2015] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                       The union of a class
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare class union symbol. $)
  $c U. $. $( Big cup $)

  $( Extend class notation to include the union of a class (read:  'union
     ` A ` ') $)
  cuni $a class U. A $.

  ${
    $d x y A $.
    $( Define the union of a class i.e. the collection of all members of the
       members of the class.  Definition 5.5 of [TakeutiZaring] p. 16. $)
    df-uni $a |- U. A = { x | E. y ( x e. y /\ y e. A ) } $.
  $}

  ${
    $d x y A $.
    $( Alternate definition of class union. $)
    dfuni2 $p |- U. A = { x | E. y e. A x e. y } $=
      ( cuni cv wcel wa wex cab wrex df-uni exancom df-rex bitr4i abbii eqtri )
      CDAEBEZFZQCFZGBHZAIRBCJZAIABCKTUAATSRGBHUARSBLRBCMNOP $.
      $( [28-Jun-1998] $)
  $}

  ${
    $d x A y $.  $d x B y $.
    $( Membership in class union. $)
    eluni $p |- ( A e. U. B <-> E. x ( A e. x /\ x e. B ) ) $=
      ( vy cuni wcel cvv cv wa wex elex adantr exlimiv wceq eleq1 anbi1d exbidv
      df-uni elab2g pm5.21nii ) BCEZFBGFZBAHZFZUCCFZIZAJZBUAKUFUBAUDUBUEBUCKLMD
      HZUCFZUEIZAJUGDBUAGUHBNZUJUFAUKUIUDUEUHBUCOPQDACRST $.
      $( [22-May-1994] $)

    $( Membership in class union.  Restricted quantifier version. $)
    eluni2 $p |- ( A e. U. B <-> E. x e. B A e. x ) $=
      ( cv wcel wa wex cuni wrex exancom eluni df-rex 3bitr4i ) BADZEZNCEZFAGPO
      FAGBCHEOACIOPAJABCKOACLM $.
      $( [31-Aug-1999] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Membership in class union. $)
    elunii $p |- ( ( A e. B /\ B e. C ) -> A e. U. C ) $=
      ( vx wcel wa cv wex cuni eleq2 eleq1 anbi12d cla4egv anabsi7 eluni sylibr
      wceq ) ABEZBCEZFZADGZEZUACEZFZDHZACIERSUEUDTDBCUABQUBRUCSUABAJUABCKLMNDAC
      OP $.
      $( [24-Mar-1995] $)
  $}

  ${
    $d y z A $.  $d x y z $.
    hbuni.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for union.  (The proof was shortened
       by Andrew Salmon, 27-Aug-2011.) $)
    hbuni $p |- ( y e. U. A -> A. x y e. U. A ) $=
      ( vz cv cuni wcel wa wex eluni ax-17 hblem hban hbex hbxfrbi ) BFZCGHQEFZ
      HZRCHZIZEJAEQCKUAAESTASALABECDMNOP $.
      $( [27-Aug-2011] $) $( [30-Dec-1996] $)
  $}

  ${
    $d y z A $.  $d x y z $.  $d y z ph $.
    hbunid.1 $e |- ( ph -> A. x ph ) $.
    hbunid.3 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    $( Deduction version of ~ hbuni . $)
    hbunid $p |- ( ph -> ( y e. U. A -> A. x y e. U. A ) ) $=
      ( vz cv wcel wa wex wal cuni ax-17 a17d hblemd hband hbexd eluni albii
      3imtr4g ) ACHZGHZIZUCDIZJZGKZUGBLUBDMIZUHBLAUFBGAGNAUDUEBAUDBOABCGDEACNFP
      QRGUBDSZUHUGBUITUA $.
      $( [18-Feb-2013] $)
  $}

  ${
    $d A y z $.  $d B y z $.  $d V y z $.  $d x y z $.
    $( Distribute proper substitution through the union of a class.
       (Contributed by Alan Sare, 10-Nov-2012. ) $)
    csbunig $p |- ( A e. V -> [_ A / x ]_ U. B = U. [_ A / x ]_ B ) $=
      ( vz vy wcel cuni csb wel cv wa wex cab wsbc df-uni csbeq2i csbabg sbcexg
      bitrd sbcang sbcg sbcel2g anbi12d exbidv abbidv 3eqtrd syl6eqr ) BDGZABCH
      ZIZEFJZFKZABCIZGZLZFMZENZUNHUIUKABULUMCGZLZFMZENZIVAABOZENURABUJVBDEFCPQV
      AAEBDRUIVCUQEUIVCUTABOZFMUQUTFABDSUIVDUPFUIVDULABOZUSABOZLUPULUSABDUAUIVE
      ULVFUOULABDUBABUMCDUCUDTUETUFUGEFUNPUH $.
      $( [10-Nov-2012] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Equality theorem for class union.  Exercise 15 of [TakeutiZaring]
       p. 18.  (The proof was shortened by Andrew Salmon, 29-Jun-2011.) $)
    unieq $p |- ( A = B -> U. A = U. B ) $=
      ( vy vx wceq cv wcel wrex cab cuni rexeq abbidv dfuni2 3eqtr4g ) ABEZCFDF
      GZDAHZCIPDBHZCIAJBJOQRCPDABKLCDAMCDBMN $.
      $( [29-Jun-2011] $) $( [10-Aug-1993] $)
  $}

  ${
    unieqi.1 $e |- A = B $.
    $( Inference of equality of two class unions. $)
    unieqi $p |- U. A = U. B $=
      ( wceq cuni unieq ax-mp ) ABDAEBEDCABFG $.
      $( [30-Aug-1993] $)
  $}

  ${
    unieqd.1 $e |- ( ph -> A = B ) $.
    $( Deduction of equality of two class unions. $)
    unieqd $p |- ( ph -> U. A = U. B ) $=
      ( wceq cuni unieq syl ) ABCEBFCFEDBCGH $.
      $( [21-Apr-1995] $)
  $}

  ${
    $d x A y $.  $d ph y $.
    $( Membership in union of a class abstraction. $)
    eluniab $p |- ( A e. U. { x | ph } <-> E. x ( A e. x /\ ph ) ) $=
      ( vy cab cuni wcel cv wex eluni ax-17 hbab1 hban wceq eleq2 eleq1 anbi12d
      wa abid anbi2i syl6bb cbvex bitri ) CABEZFGCDHZGZUEUDGZRZDICBHZGZARZBIDCU
      DJUHUKDBUFUGBUFBKABDLMUKDKUEUINZUHUJUIUDGZRUKULUFUJUGUMUEUICOUEUIUDPQUMAU
      JABSTUAUBUC $.
      $( [11-Aug-1994] $)

    $( Membership in union of a class abstraction. $)
    elunirab $p |- ( A e. U. { x e. B | ph } <->
                   E. x e. B ( A e. x /\ ph ) ) $=
      ( cv wcel cab cuni wex crab wrex eluniab df-rab unieqi eleq2i df-rex an12
      wa exbii bitri 3bitr4i ) CBEZDFZARZBGZHZFCUBFZUDRZBIZCABDJZHZFUGARZBDKZUD
      BCLUKUFCUJUEABDMNOUMUCULRZBIUIULBDPUNUHBUCUGAQSTUA $.
      $( [4-Oct-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    unipr.1 $e |- A e. _V $.
    unipr.2 $e |- B e. _V $.
    $( The union of a pair is the union of its members.  Proposition 5.7 of
       [TakeutiZaring] p. 16. $)
    unipr $p |- U. { A , B } = ( A u. B ) $=
      ( vx vy cpr cuni cun cv wcel wel wa wex eluni wceq wo 19.43 bitri clel3
      ancom elpr2 anbi1i andir exbii elun orbi12i 3bitr4i eqriv ) EABGZHZABIZEJ
      ZUKKEFLZFJZUJKZMZFNZUMULKZFUMUJOUOAPZUNMZUOBPZUNMZQZFNVAFNZVCFNZQZURUSVAV
      CFRUQVDFUQUTVBQZUNMZVDUQUPUNMVIUNUPUAUPVHUNUOABCDUBUCSUTVBUNUDSUEUSUMAKZU
      MBKZQVGUMABUFVJVEVKVFFUMACTFUMBDTUGSUHSUI $.
      $( [23-Aug-1993] $)
  $}

  ${
    $d x y A $.  $d y B $.
    $( The union of a pair is the union of its members.  Proposition 5.7 of
       [TakeutiZaring] p. 16. $)
    uniprg $p |- ( ( A e. V /\ B e. W ) -> U. { A , B } = ( A u. B ) ) $=
      ( vx vy cv cpr cuni cun wceq preq1 unieqd uneq1 eqeq12d preq2 uneq2 unipr
      vex vtocl2g ) EGZFGZHZIZUAUBJZKAUBHZIZAUBJZKABHZIZABJZKEFABCDUAAKZUDUGUEU
      HULUCUFUAAUBLMUAAUBNOUBBKZUGUJUHUKUMUFUIUBBAPMUBBAQOUAUBESFSRT $.
      $( [25-Aug-2006] $)
  $}

  ${
    unisn.1 $e |- A e. _V $.
    $( A set equals the union of its singleton.  Theorem 8.2 of [Quine]
       p. 53. $)
    unisn $p |- U. { A } = A $=
      ( csn cuni cpr cun dfsn2 unieqi unipr unidm 3eqtri ) ACZDAAEZDAAFALMAGHAA
      BBIAJK $.
      $( [30-Aug-1993] $)
  $}

  ${
    $d x A $.
    $( A set equals the union of its singleton.  Theorem 8.2 of [Quine]
       p. 53. $)
    unisng $p |- ( A e. V -> U. { A } = A ) $=
      ( vx cv csn cuni wceq sneq unieqd id eqeq12d vex unisn vtoclg ) CDZEZFZOG
      AEZFZAGCABOAGZQSOATPROAHITJKOCLMN $.
      $( [13-Aug-2002] $)
  $}

  ${
    $d y A $.  $d x y $.
    hbeqel.1 $e |- A e. _V $.
    hbeqel.2 $e |- ( y = A -> A. x y = A ) $.
    $( If ` x ` is effectively bound in ` y = A ` , then it is effectively
       bound in ` y e. A ` .  This is the other direction of ~ hbeleq , showing
       the two conditions are equivalent when ` A ` is a set. $)
    hbeqel $p |- ( y e. A -> A. x y e. A ) $=
      ( csn cuni unisn eqcomi cv wcel wceq elsn2 hbxfrbi hbuni hbxfreq ) ABCCFZ
      GZRCCDHIABQBJZQKSCLASCDMENOP $.
      $( [14-Oct-2010] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The class union of the union of two classes.  Theorem 8.3 of [Quine]
       p. 53. $)
    uniun $p |- U. ( A u. B ) = ( U. A u. U. B ) $=
      ( vx vy cun cuni cv wcel wa wo 19.43 elun anbi2i andi bitri exbii orbi12i
      wex eluni 3bitr4i eqriv ) CABEZFZAFZBFZEZCGZDGZHZUHUBHZIZDRZUGUDHZUGUEHZJ
      ZUGUCHUGUFHUIUHAHZIZUIUHBHZIZJZDRUQDRZUSDRZJULUOUQUSDKUKUTDUKUIUPURJZIUTU
      JVCUIUHABLMUIUPURNOPUMVAUNVBDUGASDUGBSQTDUGUBSUGUDUELTUA $.
      $( [20-Aug-1993] $)

    $( The class union of the intersection of two classes.  Exercise 4.12(n) of
       [Mendelson] p. 235.  (The proof was shortened by Andrew Salmon,
       29-Jun-2011.) $)
    uniin $p |- U. ( A i^i B ) C_ ( U. A i^i U. B ) $=
      ( vx vy cin cuni cv wcel wex 19.40 elin anbi2i anandi bitri exbii anbi12i
      wa eluni 3imtr4i ssriv ) CABEZFZAFZBFZEZCGZDGZHZUGUAHZQZDIZUFUCHZUFUDHZQZ
      UFUBHUFUEHUHUGAHZQZUHUGBHZQZQZDIUPDIZURDIZQUKUNUPURDJUJUSDUJUHUOUQQZQUSUI
      VBUHUGABKLUHUOUQMNOULUTUMVADUFARDUFBRPSDUFUARUFUCUDKST $.
      $( [29-Jun-2011] $) $( [4-Dec-2003] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Subclass relationship for class union.  Theorem 61 of [Suppes] p. 39.
       (The proof was shortened by Andrew Salmon, 29-Jun-2011.) $)
    uniss $p |- ( A C_ B -> U. A C_ U. B ) $=
      ( vx vy wss cuni cv wcel wa wex ssel anim2d eximdv eluni 3imtr4g ssrdv )
      ABEZCAFZBFZQCGZDGZHZUAAHZIZDJUBUABHZIZDJTRHTSHQUDUFDQUCUEUBABUAKLMDTANDTB
      NOP $.
      $( [29-Jun-2011] $) $( [22-Mar-1998] $)

    $( Subclass relationship for class union.  (The proof was shortened by
       Andrew Salmon, 29-Jun-2011.) $)
    ssuni $p |- ( ( A C_ B /\ B e. C ) -> A C_ U. C ) $=
      ( vy vx wcel wss cuni cv wi wceq eleq2 imbi1d wa 19.8a eluni sylibr dfss2
      wal wex expcom vtoclga imim2d alimdv 3imtr4g impcom ) BCFZABGZACHZGZUGDIZ
      AFZUKBFZJZDSULUKUIFZJZDSUHUJUGUNUPDUGUMUOULUKEIZFZUOJUMUOJEBCUQBKURUMUOUQ
      BUKLMURUQCFZUOURUSNZUTETUOUTEOEUKCPQUAUBUCUDDABRDAUIRUEUF $.
      $( [29-Jun-2011] $) $( [24-May-1994] $)
  $}

  ${
    $d x y A $.
    $( The union of a set is empty iff the set is included in the singleton of
       the empty set. $)
    uni0b $p |- ( U. A = (/) <-> A C_ { (/) } ) $=
      ( vx vy cv c0 csn wcel wral wceq wss cuni vex elsn ralbii dfss3 wrex neq0
      wn wex 3bitr4ri wel rexcom4 rexbii eluni2 exbii rexnal 3bitri con4bii ) B
      DZEFZGZBAHUIEIZBAHZAUJJAKZEIZUKULBAUIEBLMNBAUJOUOUMUORCDZUNGZCSZULRZBAPZU
      MRCUNQCBUAZCSZBAPVABAPZCSUTURVABCAUBUSVBBACUIQUCUQVCCBUPAUDUETULBAUFUGUHT
      $.
      $( [12-Sep-2004] $)

    $( The union of a set is empty iff all of its members are empty. $)
    uni0c $p |- ( U. A = (/) <-> A. x e. A x = (/) ) $=
      ( vy cuni c0 wceq wel cv wcel wa wex cab wn wal wral df-uni eqeq1i 3bitri
      wi bitr4i df-ne excom exancom alinexa con2bii bitri exbii 3bitr3i con4bii
      wne abn0 exnal 19.21v eq0 imbi2i albii df-ral ) BDZEFCAGZAHZBIZJZAKZCLZEF
      ZVAUSMZSCNZANZUTEFZABOZURVDECABPQVEVHVDEUJVCCKZVEMVHMZVCCUKVDEUAVKVBCKZAK
      VGMZAKVLVBCAUBVMVNAVMVAUSJCKZVNUSVACUCVGVOVAUSCUDUEUFUGVGAULRUHUIVHVAVISZ
      ANVJVGVPAVGVAVFCNZSVPVAVFCUMVIVQVACUTUNUOTUPVIABUQTR $.
      $( [16-Aug-2006] $)
  $}

  $( The union of the empty set is the empty set.  Theorem 8.7 of [Quine]
     p. 54. $)
  uni0 $p |- U. (/) = (/) $=
    ( c0 cuni wceq csn wss 0ss uni0b mpbir ) ABACAADZEIFAGH $.
    $( [4-Apr-2007] $) $( [16-Sep-1993] $)

  $( An element of a class is a subclass of its union.  Theorem 8.6 of [Quine]
     p. 54.  Also the basis for Proposition 7.20 of [TakeutiZaring] p. 40. $)
  elssuni $p |- ( A e. B -> A C_ U. B ) $=
    ( wss wcel cuni ssid ssuni mpan ) AACABDABECAFAABGH $.
    $( [6-Jun-1994] $)

  $( Condition turning a subclass relationship for union into an equality. $)
  unissel $p |- ( ( U. A C_ B /\ B e. A ) -> U. A = B ) $=
    ( cuni wss wcel wa simpl elssuni adantl eqssd ) ACZBDZBAEZFKBLMGMBKDLBAHIJ
    $.
    $( [18-Jul-2006] $)

  ${
    $d x y A $.  $d x y B $.
    $( Relationship involving membership, subset, and union.  Exercise 5 of
       [Enderton] p. 26 and its converse. $)
    unissb $p |- ( U. A C_ B <-> A. x e. A x C_ B ) $=
      ( vy cuni wss cv wcel wi wal wral wa dfss2 wex eluni imbi1i 19.23v bitr4i
      albii bitri alcom 19.21v impexp bi2.04 imbi2i 3bitr4i 3bitri df-ral ) BEZ
      CFZAGZBHZUKCFZIZAJZUMABKUJDGZUIHZUPCHZIZDJUPUKHZULLZURIZAJZDJZUODUICMUSVC
      DUSVAANZURIVCUQVEURAUPBOPVAURAQRSVDVBDJZAJUOVBDAUAVFUNAULUTURIZIZDJULVGDJ
      ZIVFUNULVGDUBVBVHDVBUTULURIIVHUTULURUCUTULURUDTSUMVIULDUKCMUEUFSTUGUMABUH
      R $.
      $( [20-Sep-2003] $)
  $}

  ${
    $d x A $.  $d x y B $.
    $( A subclass condition on the members of two classes that implies a
       subclass relation on their unions.  Proposition 8.6 of [TakeutiZaring]
       p. 59.  See ~ iunss2 for a generalization to indexed unions. $)
    uniss2 $p |- ( A. x e. A E. y e. B x C_ y -> U. A C_ U. B ) $=
      ( cv wss wrex wral cuni wcel ssuni expcom rexlimiv ralimi unissb sylibr )
      AEZBEZFZBDGZACHQDIZFZACHCIUAFTUBACSUBBDSRDJUBQRDKLMNACUAOP $.
      $( [22-Mar-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( If the difference ` A \ B ` contains the largest members of ` A ` , then
       the union of the difference is the union of ` A ` . $)
    unidif $p |- ( A. x e. A E. y e. ( A \ B ) x C_ y ->
               U. ( A \ B ) = U. A ) $=
      ( cv wss cdif wrex wral cuni wa wceq uniss2 difss uniss ax-mp eqss sylibr
      jctil ) AEBEFBCDGZHACIZTJZCJZFZUCUBFZKUBUCLUAUEUDABCTMTCFUDCDNTCOPSUBUCQR
      $.
      $( [22-Mar-2004] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Relationship implying union. $)
    ssunieq $p |- ( ( A e. B /\ A. x e. B x C_ A ) -> A = U. B ) $=
      ( wcel cv wss wral cuni wceq elssuni unissb biimpri anim12i eqss sylibr
      wa ) BCDZAEBFACGZPBCHZFZSBFZPBSIQTRUABCJUARACBKLMBSNO $.
      $( [10-Nov-1999] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Any member of a class is the largest of those members that it
       includes. $)
    unimax $p |- ( A e. B -> U. { x e. B | x C_ A } = A ) $=
      ( vy wcel cv wss crab wral cuni wceq ssid sseq1 elrab3 elrab simprbi rgen
      mpbiri wa ssunieq eqcomd sylancl ) BCEZBAFZBGZACHZEZDFZBGZDUFIZUFJZBKUCUG
      BBGZBLUEULABCUDBBMNRUIDUFUHUFEUHCEUIUEUIAUHCUDUHBMOPQUGUJSBUKDBUFTUAUB $.
      $( [9-Oct-2006] $) $( [13-Aug-2002] $)
  $}

  ${
    $d x y A $.  $d y ph $.
    $( Closure law for "the unique element in ` A ` such that ` ph ` ." $)
    reucl $p |- ( E! x e. A ph -> U. { x e. A | ph } e. A ) $=
      ( vy cv wcel weu cab cuni wreu crab csn wceq wex euabsn hbab1 hbuni ax-17
      wa hbel unieq unisn syl6req snid eleq2 mpbiri abid simpld eqeltrrd exlimi
      vex sylib sylbi df-reu df-rab unieqi eleq1i 3imtr4i ) BEZCFZASZBGZVABHZIZ
      CFZABCJABCKZIZCFVBVCUSLZMZBNVEVABOVIVEBBDDVDCBDVCVABDPQDECFBRTVIUSVDCVIVD
      VHIUSVCVHUAUSBUKZUBUCVIUTAVIUSVCFZVAVIVKUSVHFUSVJUDVCVHUSUEUFVABUGULUHUIU
      JUMABCUNVGVDCVFVCABCUOUPUQUR $.
      $( [22-Nov-1994] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The intersection of a class
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare class intersection symbol. $)
  $c |^| $. $( Big cap $)

  $( Extend class notation to include the intersection of a class (read:
     'intersect ` A ` '). $)
  cint $a class |^| A $.

  ${
    $d x y A $.
    $( Define the intersection of a class.  Definition 7.35 of [TakeutiZaring]
       p. 44. $)
    df-int $a |- |^| A = { x | A. y ( y e. A -> x e. y ) } $.
  $}

  ${
    $d x y A $.
    $( Alternate definition of class intersection. $)
    dfint2 $p |- |^| A = { x | A. y e. A x e. y } $=
      ( cint cv wcel wi wal cab wral df-int df-ral abbii eqtr4i ) CDBEZCFAEOFZG
      BHZAIPBCJZAIABCKRQAPBCLMN $.
      $( [28-Jun-1998] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Equality law for intersection. $)
    inteq $p |- ( A = B -> |^| A = |^| B ) $=
      ( vx vy wceq cv wcel wral cab cint raleq abbidv dfint2 3eqtr4g ) ABEZCFDF
      GZDAHZCIPDBHZCIAJBJOQRCPDABKLCDAMCDBMN $.
      $( [13-Sep-1999] $)
  $}

  ${
    inteqi.1 $e |- A = B $.
    $( Equality inference for class intersection. $)
    inteqi $p |- |^| A = |^| B $=
      ( wceq cint inteq ax-mp ) ABDAEBEDCABFG $.
      $( [2-Sep-2003] $)
  $}

  ${
    inteqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for class intersection. $)
    inteqd $p |- ( ph -> |^| A = |^| B ) $=
      ( wceq cint inteq syl ) ABCEBFCFEDBCGH $.
      $( [2-Sep-2003] $)
  $}

  ${
    $d x A y $.  $d x B y $.
    elint.1 $e |- A e. _V $.
    $( Membership in class intersection. $)
    elint $p |- ( A e. |^| B <-> A. x ( x e. B -> A e. x ) ) $=
      ( vy cv wcel wi wal cint wceq eleq1 imbi2d albidv df-int elab2 ) AFZCGZEF
      ZQGZHZAIRBQGZHZAIEBCJDSBKZUAUCAUDTUBRSBQLMNEACOP $.
      $( [21-May-1994] $)
  $}

  ${
    $d x A $.  $d x B $.
    elint2.1 $e |- A e. _V $.
    $( Membership in class intersection. $)
    elint2 $p |- ( A e. |^| B <-> A. x e. B A e. x ) $=
      ( cint wcel cv wi wal wral elint df-ral bitr4i ) BCEFAGZCFBNFZHAIOACJABCD
      KOACLM $.
      $( [14-Oct-1999] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Membership in class intersection, with the sethood requirement expressed
       as an antecedent. $)
    elintg $p |- ( A e. V -> ( A e. |^| B <-> A. x e. B A e. x ) ) $=
      ( vy cv cint wcel wral wb wceq eleq1 ralbidv bibi12d vex elint2 vtoclg )
      EFZCGZHZRAFZHZACIZJBSHZBUAHZACIZJEBDRBKZTUDUCUFRBSLUGUBUEACRBUALMNARCEOPQ
      $.
      $( [20-Nov-2003] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Membership in class intersection.  (The proof was shortened by Andrew
       Salmon, 9-Jul-2011.) $)
    elinti $p |- ( A e. |^| B -> ( C e. B -> A e. C ) ) $=
      ( vx cint wcel wi wral elintg wal df-ral wceq eleq1 eleq2 imbi12d pm2.43b
      cv cla4gv sylbi syl6bi pm2.43i ) ABEZFZCBFZACFZGZUCUCADQZFZDBHZUFDABUBIUI
      UGBFZUHGZDJZUFUHDBKULUDUEUKUFDCBUGCLUJUDUHUEUGCBMUGCANORPSTUA $.
      $( [9-Jul-2011] $) $( [14-Oct-1999] $)
  $}

  ${
    $d y z A $.  $d x y z $.
    hbint.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for intersection.  (The proof was
       shortened by Andrew Salmon, 12-Aug-2011.) $)
    hbint $p |- ( y e. |^| A -> A. x y e. |^| A ) $=
      ( vz cv cint wcel wral vex elint2 hblem ax-17 hbral hbxfrbi ) BFZCGHPEFHZ
      ECIAEPCBJKQAECABECDLQAMNO $.
      $( [12-Aug-2011] $) $( [2-Feb-1997] $)
  $}

  ${
    $d A x y $.  $d ph y $.
    inteqab.1 $e |- A e. _V $.
    $( Membership in the intersection of a class abstraction. $)
    elintab $p |- ( A e. |^| { x | ph } <-> A. x ( ph -> A e. x ) ) $=
      ( vy cab cint wcel cv wi wal elint hbab1 ax-17 hbim wceq eleq1 abid eleq2
      syl6bb imbi12d cbval bitri ) CABFZGHEIZUDHZCUEHZJZEKACBIZHZJZBKECUDDLUHUK
      EBUFUGBABEMUGBNOUKENUEUIPZUFAUGUJULUFUIUDHAUEUIUDQABRTUEUICSUAUBUC $.
      $( [30-Aug-1993] $)

    $( Membership in the intersection of a class abstraction. $)
    elintrab $p |- ( A e. |^| { x e. B | ph } <->
                 A. x e. B ( ph -> A e. x ) ) $=
      ( cv wcel wa cab cint wi wal crab wral elintab impexp albii df-rab inteqi
      bitri eleq2i df-ral 3bitr4i ) CBFZDGZAHZBIZJZGZUEACUDGZKZKZBLZCABDMZJZGUK
      BDNUIUFUJKZBLUMUFBCEOUPULBUEAUJPQTUOUHCUNUGABDRSUAUKBDUBUC $.
      $( [17-Oct-1999] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d y ph $.
    $( Membership in the intersection of a class abstraction. $)
    elintrabg $p |- ( A e. V -> ( A e. |^| { x e. B | ph } <->
                 A. x e. B ( ph -> A e. x ) ) ) $=
      ( vy cv crab cint wcel wi wral eleq1 wceq imbi2d ralbidv elintrab vtoclbg
      vex ) FGZABDHIZJATBGZJZKZBDLCUAJACUBJZKZBDLFCETCUAMTCNZUDUFBDUGUCUEATCUBM
      OPABTDFSQR $.
      $( [17-Feb-2007] $)

    $( The intersection of the empty set is the universal class.  Exercise 2 of
       [TakeutiZaring] p. 44. $)
    int0 $p |- |^| (/) = _V $=
      ( vy vx cv c0 wcel wi wal cab wceq cint cvv noel pm2.21i ax-gen 2th abbii
      eqid df-int df-v 3eqtr4i ) ACZDEZBCZUAEZFZAGZBHUCUCIZBHDJKUFUGBUFUGUEAUBU
      DUALMNUCQOPBADRBST $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y ph $.
    $( An element of a class includes the intersection of the class.  Exercise
       4 of [TakeutiZaring] p. 44 (with correction), generalized to classes. $)
    intss1 $p |- ( A e. B -> |^| B C_ A ) $=
      ( vx vy wcel cint cv wi wal elint wceq eleq1 eleq2 imbi12d cla4gv pm2.43a
      vex syl5bi ssrdv ) ABEZCBFZACGZUAEDGZBEZUBUCEZHZDIZTUBAEZDUBBCQJUGTUHUFTU
      HHDABUCAKUDTUEUHUCABLUCAUBMNOPRS $.
      $( [18-Nov-1995] $)

    $( Subclass of a class intersection.  Theorem 5.11(viii) of [Monk1] p. 52
       and its converse. $)
    ssint $p |- ( A C_ |^| B <-> A. x e. B A C_ x ) $=
      ( vy cint wss cv wcel wral dfss3 vex elint2 ralbii ralcom bitr4i 3bitri )
      BCEZFDGZQHZDBIRAGZHZACIZDBIZBTFZACIZDBQJSUBDBARCDKLMUCUADBIZACIUEUADABCNU
      DUFACDBTJMOP $.
      $( [14-Oct-1999] $)

    $( Subclass of the intersection of a class abstraction.  (The proof was
       shortened by Andrew Salmon, 9-Jul-2011.) $)
    ssintab $p |- ( A C_ |^| { x | ph } <-> A. x ( ph -> A C_ x ) ) $=
      ( vy cab cint wss cv wral wcel wi wal ssint df-ral hbab1 ax-17 hbim eleq1
      wceq abid syl6bb sseq2 imbi12d cbval 3bitri ) CABEZFGCDHZGZDUFIUGUFJZUHKZ
      DLACBHZGZKZBLDCUFMUHDUFNUJUMDBUIUHBABDOUHBPQUMDPUGUKSZUIAUHULUNUIUKUFJAUG
      UKUFRABTUAUGUKCUBUCUDUE $.
      $( [9-Jul-2011] $) $( [31-Jul-2006] $)

    $( Subclass of a least upper bound. $)
    ssintub $p |- A C_ |^| { x e. B | A C_ x } $=
      ( vy cv wss crab cint ssint wcel sseq2 elrab simprbi mprgbir ) BBAEZFZACG
      ZHFBDEZFZDQDBQIRQJRCJSPSARCORBKLMN $.
      $( [8-Aug-2000] $)

    $( Subclass of the minimum value of class of supersets. $)
    ssmin $p |- A C_ |^| { x | ( A C_ x /\ ph ) } $=
      ( cv wss wa cab cint wi ssintab simpl mpgbir ) CCBDEZAFZBGHENMIBNBCJMAKL
      $.
      $( [10-Aug-2006] $)

    $( Any member of a class is the smallest of those members that include it.
       (The proof was shortened by Andrew Salmon, 9-Jul-2011.) $)
    intmin $p |- ( A e. B -> |^| { x e. B | A C_ x } = A ) $=
      ( vy wcel cv wss crab cint wi wral elintrab ssid wceq sseq2 eleq2 imbi12d
      vex rcla4v mpii syl5bi ssrdv ssintub a1i eqssd ) BCEZBAFZGZACHIZBUFDUIBDF
      ZUIEUHUJUGEZJZACKZUFUJBEZUHAUJCDRLUFUMBBGZUNBMULUOUNJABCUGBNUHUOUKUNUGBBO
      UGBUJPQSTUAUBBUIGUFABCUCUDUE $.
      $( [9-Jul-2011] $) $( [13-Aug-2002] $)

    $( Intersection of subclasses. $)
    intss $p |- ( A C_ B -> |^| B C_ |^| A ) $=
      ( vy vx cv wcel wal cint wss imim1 al2imi vex elint 3imtr4g alrimiv dfss2
      wi 3imtr4i ) CEZAFZSBFZQZCGZDEZBHZFZUDAHZFZQZDGABIUEUGIUCUIDUCUAUDSFZQZCG
      TUJQZCGUFUHUBUKULCTUAUJJKCUDBDLZMCUDAUMMNOCABPDUEUGPR $.
      $( [14-Oct-1999] $)

    $( The intersection of a nonempty set is a subclass of its union. $)
    intssuni $p |- ( A =/= (/) -> |^| A C_ U. A ) $=
      ( vx vy c0 wne cint cuni cv wcel wral r19.2z ex vex elint2 eluni2 3imtr4g
      wrex ssrdv ) ADEZBAFZAGZSBHZCHIZCAJZUCCAQZUBTIUBUAISUDUEUCCAKLCUBABMNCUBA
      OPR $.
      $( [29-Jul-2006] $)
  $}

  $( If the union of a class is included in its intersection, the class is
     either the empty set or a singleton ( ~ uniintsn ).  (The proof was
     shortened by Andrew Salmon, 25-Jul-2011.) $)
  unissint $p |- ( U. A C_ |^| A <-> ( A = (/) \/ U. A = |^| A ) ) $=
    ( cuni cint wss c0 wo wn wa simpl wne df-ne intssuni sylbir adantl eqssd ex
    wceq orrd cvv ssv int0 sseqtr4i inteq sseq2d mpbiri eqimss jaoi impbii ) AB
    ZACZDZAEQZUIUJQZFUKULUMUKULGZUMUKUNHUIUJUKUNIUNUJUIDZUKUNAEJUOAEKALMNOPRULU
    KUMULUKUIECZDUISUPUITUAUBULUJUPUIAEUCUDUEUIUJUFUGUH $.
    $( [25-Jul-2011] $) $( [30-Oct-2010] $)

  $( Subclass relationship for intersection and union. $)
  intssuni2 $p |- ( ( A C_ B /\ A =/= (/) ) -> |^| A C_ U. B ) $=
    ( c0 wne wss cint cuni intssuni uniss sylan9ssr ) ACDABEAFAGBGAHABIJ $.
    $( [29-Jul-2006] $)

  ${
    $d x A $.  $d x B $.  $d x ps $.
    intminss.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Under subset ordering, the intersection of a restricted class
       abstraction is less than or equal to any of its members. $)
    intminss $p |- ( ( A e. B /\ ps ) -> |^| { x e. B | ph } C_ A ) $=
      ( wcel wa crab cint wss elrab intss1 sylbir ) DEGBHDACEIZGOJDKABCDEFLDOMN
      $.
      $( [7-Sep-2013] $)
  $}

  ${
    $d x A $.
    intmin2.1 $e |- A e. _V $.
    $( Any set is the smallest of all sets that include it. $)
    intmin2 $p |- |^| { x | A C_ x } = A $=
      ( cv wss cvv crab cint cab rabab inteqi wcel wceq intmin ax-mp eqtr3i ) B
      ADEZAFGZHZQAIZHBRTQAJKBFLSBMCABFNOP $.
      $( [30-Nov-2006] $) $( [20-Sep-2003] $)
  $}

  ${
    $d x A $.  $d x ps $.
    intmin3.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    intmin3.3 $e |- ps $.
    $( Under subset ordering, the intersection of a class abstraction is less
       than or equal to any of its members. $)
    intmin3 $p |- ( A e. V -> |^| { x | ph } C_ A ) $=
      ( wcel cab cint wss elabg mpbiri intss1 syl ) DEHZDACIZHZQJDKPRBGABCDEFLM
      DQNO $.
      $( [3-Jul-2005] $)
  $}

  ${
    $d x y A $.  $d y ph $.
    $( Elimination of a conjunct in a class intersection. $)
    intmin4 $p |- ( A C_ |^| { x | ph } ->
                  |^| { x | ( A C_ x /\ ph ) } = |^| { x | ph } ) $=
      ( vy cab cint wss cv wa wcel wi wal wb ssintab simpr impbid2 imbi1d alimi
      ancr elintab albi syl sylbi vex 3bitr4g eqrdv ) CABEFZGZDCBHZGZAIZBEFZUGU
      HUKDHZUIJZKZBLZAUNKZBLZUMULJUMUGJUHAUJKZBLZUPURMZABCNUTUOUQMZBLVAUSVBBUSU
      KAUNUSUKAUJAOAUJSPQRUOUQBUAUBUCUKBUMDUDZTABUMVCTUEUF $.
      $( [31-Jul-2006] $)
  $}

  ${
    $d x z A $.  $d x z ph $.  $d x y z $.
    intab.1 $e |- A e. _V $.
    intab.2 $e |- { x | E. y ( ph /\ x = A ) } e. _V $.
    $( The intersection of a special case of a class abstraction. ` y ` may be
       free in ` ph ` and ` A ` , which can be thought of a ` ph ( y ) ` and
       ` A ( y ) ` . $)
    intab $p |- |^| { x | A. y ( ph -> A e. x ) } =
                { x | E. y ( ph /\ x = A ) } $=
      ( vz cv wcel wi wal cab wceq wa wex wsbc cvv wb ax-mp sylibr eqeq1 anbi2d
      cint wss exbidv cbvabv eqeltri hbe1 hbeleq eleq2 imbi2d albid sbcie ax-17
      hbab sbcgf biimpri csb csbvarg sbceq1g mpbir jctir sbcang 19.8a a4sbc mp2
      ax-gen sbcimg mpbi syl elabsbc mpgbir intss1 hba1 hbint ax-4 com12 adantr
      eleq1 adantl sylibrd alrimiv vex elintab exlimi abssi eqssi eqtri ) ADBHZ
      IZJZCKZBLZUCZAGHZDMZNZCOZGLZAWIDMZNZCOZBLZWNWSWSWMIZWNWSUDXDWLBWSPZXEADWS
      IZJZCWLXGCKBWSWSXCQWRXBGBWOWIMZWQXACXHWPWTAWOWIDUAUBUEUFZFUGZWIWSMZWKXGCC
      BWSWRCGBWQCUHUOUIXKWJXFAWIWSDUJUKULUMAWRGDPZXFAWQGDPZXLAAGDPZWPGDPZNZXMAX
      NXOXNADQIZXNAREAGDQAGUNUPSUQXOGDWOURDMZXQXREGDQUSSXQXOXRREGDWODQUTSVAVBXQ
      XMXPREAWPGDQVCSTWQWRJZGDPZXMXLJZXQXSGKXTEXSGWQCVDVGXSGDQVEVFXQXTYAREWQWRG
      DQVHSVIVJWRGDEVKTVLWLBWSXJVKVAWSWMVMSWRGWNWQWOWNIZCCGWMWLCBGWKCVNUOVOWQWL
      WOWIIZJZBKYBWQYDBWQWLWJYCAWLWJJWPWLAWJWKCVPVQVRWPYCWJRAWODWIVSVTWAWBWLBWO
      GWCWDTWEWFWGXIWH $.
      $( [28-Jul-2006] $)
  $}

  $( The intersection of a class containing the empty set is empty. $)
  int0el $p |- ( (/) e. A -> |^| A = (/) ) $=
    ( c0 wcel cint intss1 wss 0ss a1i eqssd ) BACZADZBBAEBKFJKGHI $.
    $( [24-Apr-2004] $)

  ${
    $d x y A $.  $d x y B $.
    $( The class intersection of the union of two classes.  Theorem 78 of
       [Suppes] p. 42. $)
    intun $p |- |^| ( A u. B ) = ( |^| A i^i |^| B ) $=
      ( vx vy cun cint cin cv wcel wi wal wa 19.26 elun imbi1i jaob bitri elint
      wo 3bitr4i albii vex anbi12i elin eqriv ) CABEZFZAFZBFZGZDHZUFIZCHZUKIZJZ
      DKZUMUHIZUMUIIZLZUMUGIUMUJIUKAIZUNJZUKBIZUNJZLZDKVADKZVCDKZLUPUSVAVCDMUOV
      DDUOUTVBSZUNJVDULVGUNUKABNOUTUNVBPQUAUQVEURVFDUMACUBZRDUMBVHRUCTDUMUFVHRU
      MUHUIUDTUE $.
      $( [22-Sep-2002] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    intpr.1 $e |- A e. _V $.
    intpr.2 $e |- B e. _V $.
    $( The intersection of a pair is the intersection of its members.  Theorem
       71 of [Suppes] p. 42. $)
    intpr $p |- |^| { A , B } = ( A i^i B ) $=
      ( vx vy cpr cint cin cv wcel wi wal wa wceq 19.26 wo vex clel4 3bitr4i
      elpr imbi1i jaob bitri albii anbi12i elint elin eqriv ) EABGZHZABIZFJZUJK
      ZEJZUMKZLZFMZUOAKZUOBKZNZUOUKKUOULKUMAOZUPLZUMBOZUPLZNZFMVCFMZVEFMZNURVAV
      CVEFPUQVFFUQVBVDQZUPLVFUNVIUPUMABFRUAUBVBUPVDUCUDUEUSVGUTVHFUOACSFUOBDSUF
      TFUOUJERUGUOABUHTUI $.
      $( [14-Oct-1999] $)
  $}

  ${
    $d x y A $.  $d y B $.
    $( The intersection of a pair is the intersection of its members.  Closed
       form of ~ intpr .  Theorem 71 of [Suppes] p. 42.  (Contributed by FL,
       27-Apr-2008.) $)
    intprg $p |- ( ( A e. V /\ B e. W ) -> |^| { A , B } = ( A i^i B ) ) $=
      ( vx vy cv cpr cint cin wceq preq1 inteqd ineq1 eqeq12d preq2 ineq2 intpr
      vex vtocl2g ) EGZFGZHZIZUAUBJZKAUBHZIZAUBJZKABHZIZABJZKEFABCDUAAKZUDUGUEU
      HULUCUFUAAUBLMUAAUBNOUBBKZUGUJUHUKUMUFUIUBBAPMUBBAQOUAUBESFSRT $.
      $( [6-Mar-2011] $) $( [27-Apr-2008] $)
  $}

  ${
    intsn.1 $e |- A e. _V $.
    $( The intersection of a singleton is its member.  Theorem 70 of [Suppes]
       p. 41. $)
    intsn $p |- |^| { A } = A $=
      ( csn cint cpr cin dfsn2 inteqi intpr inidm 3eqtri ) ACZDAAEZDAAFALMAGHAA
      BBIAJK $.
      $( [29-Sep-2002] $)
  $}

  ${
    $d x y A $.
    $( Two ways to express " ` A ` is a singleton." $)
    uniintsn $p |- ( U. A = |^| A <-> E. x A = { x } ) $=
      ( vy cuni cint wceq cv wex wcel wa wal c0 inteq syl6eq adantl unieq sylib
      wne cvv wss csn wi vn0 int0 eqeq1 syl5ib imp eqtr3d ex necon3d mpi n0 cpr
      uni0 vex prss cun cin uniss simpl sseqtrd intss sstrd unipr intpr 3sstr3g
      inss1 ssun1 sstri jctir eqss uneqin bitr3i syl5bi alrimivv jca weu euabsn
      cab eleq1 abid2 eqeq1i exbii 3bitr3i unisn intsn 3eqtr4a exlimiv impbii
      eu4 ) BDZBEZFZBAGZUAZFZAHZWMWNBIZAHZWRCGZBIZJZWNWTFZUBZCKAKZJZWQWMWSXEWMB
      LRZWSWMSLRXGUCWMBLSLWMBLFZSLFWMXHJWLSLXHWLSFWMXHWLLESBLMUDNOWMXHWLLFZXHWK
      LFWMXIXHWKLDLBLPUNNWKWLLUEUFUGUHUIUJUKABULQWMXDACXBWNWTUMZBTZWMXCWNWTBAUO
      ZCUOZUPWMXKXCWMXKJZWNWTUQZWNWTURZTZXPXOTZJZXCXNXQXRXNXJDZXJEZXOXPXNXTWLYA
      XNXTWKWLXKXTWKTWMXJBUSOWMXKUTVAXKWLYATWMXJBVBOVCWNWTXLXMVDWNWTXLXMVEVFXPW
      NXOWNWTVGWNWTVHVIVJXSXOXPFXCXOXPVKWNWTVLVMQUIVNVOVPWRAVQWRAVSZWOFZAHXFWQW
      RAVRWRXAACWNWTBVTWJYCWPAYBBWOABWAWBWCWDQWPWMAWPWODWNWKWLWNXLWEBWOPWPWLWOE
      WNBWOMWNXLWFNWGWHWI $.
      $( [2-Aug-2010] $)
  $}

  ${
    intunsn.1 $e |- B e. _V $.
    $( Theorem joining a singleton to an intersection. $)
    intunsn $p |- |^| ( A u. { B } ) = ( |^| A i^i B ) $=
      ( csn cun cint cin intun intsn ineq2i eqtri ) ABDZEFAFZLFZGMBGALHNBMBCIJK
      $.
      $( [29-Sep-2002] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
           "Weak deduction theorem" for set theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( These lemmas are used to convert hypotheses into antecedents,
     when there is at least one class making the hypothesis true. $)

$(
The Weak Deduction Theorem in set theory
----------------------------------------

In a Hilbert system of logic (which consists of a set of axioms, modus
ponens, and the generalization rule), converting a deduction to a proof using
the Deduction Theorem (taught in introductory logic books) involves an
exponential increase of the number of steps as hypotheses are successively
eliminated.  Here is a trick that is not as general as the Deduction Theorem
but requires only a linear increase in the number of steps.

The general problem:  We want to convert a deduction
  P |- Q
into a proof of the theorem
  |- P -> Q
i.e. we want to eliminate the hypothesis P.  Normally this is done using the
Deduction (meta)Theorem, which looks at the microscopic steps of the
deduction and usually doubles or triples the number of these microscopic
steps for each hypothesis that is eliminated.  We will look at a special case
of this problem, without appealing to the Deduction Theorem.

We assume ZF with class notation.  A and B are arbitrary (possibly
proper) classes.  P, Q, R, S and T are wffs.

We define the conditional operator, if(P,A,B), as follows:
  if(P,A,B) =def= { x | (x \in A & P) v (x \in B & ~P) }
(where x does not occur in A, B, or P).

Lemma 1.
  A = if(P,A,B) -> (P <-> R), B = if(P,A,B) -> (S <-> R), S |- R
Proof:  Logic and Axiom of Extensionality.

Lemma 2.
  A = if(P,A,B) -> (Q <-> T), T |- P -> Q
Proof:  Logic and Axiom of Extensionality.

Here's a simple example that illustrates how it works.  Suppose we have
a deduction
  Ord A |- Tr A
which means, "Assume A is an ordinal class.  Then A is a transitive class."
Note that A is a class variable that may be substituted with any class
expression, so this is really a deduction scheme.

We want to convert this to a proof of the theorem (scheme)
  |- Ord A -> Tr A.

The catch is that we must be able to prove "Ord A" for at least one
object A (and this is what makes it weaker than the ordinary Deduction
Theorem).  However it is easy to prove |- Ord 0 (the empty set is
ordinal).  (For a typical textbook "theorem," i.e. deduction, there is
usually at least one object satisfying each hypothesis, otherwise the
theorem would not be very useful.  We can always go back to the standard
Deduction Theorem for those hypotheses where this is not the case.)
Continuing with the example:

Equality axioms (and Extensionality) yield
  |- A = if(Ord A, A, 0) -> (Ord A <-> Ord if(Ord A, A, 0))  (1)
  |- 0 = if(Ord A, A, 0) -> (Ord 0 <-> Ord if(Ord A, A, 0))  (2)
From (1), (2) and |- Ord 0, Lemma 1 yields
  |- Ord if(Ord A, A, 0)                                       (3)
From (3) and substituting if(Ord A, A, 0) for
A in the original deduction,
  |- Tr if(Ord A, A, 0)                                        (4)
Equality axioms (and Extensionality) yield
  |- A = if(Ord A, A, 0) -> (Tr A <-> Tr if(Ord A, A, 0))    (5)
From (4) and (5), Lemma 2 yields
  |- Ord A -> Tr A                                               (Q.E.D.)
$)


  $( Declare new constant symbols. $)
  $c if $.  $( Conditional operator (was "ded" for "deduction class"). $)

  $( Extend class notation to include the conditional operator.  See ~ df-if
     for a description.  (In older databases this was denoted "ded".) $)
  cif $a class if ( ph , A , B ) $.

  ${
    $d x ph $.  $d x A $.  $d x B $.
    $( Define the conditional operator.  Read ` if ( ph , A , B ) ` as "if
       ` ph ` then ` A ` else ` B ` ."  See ~ iftrue and ~ iffalse for its
       values.  In mathematical literature, this operator is rarely defined
       formally but is implicit in informal definitions such as "let f(x)=0 if
       x=0 and 1/x otherwise."  (In older versions of this database, this
       operator was denoted "ded" and called the "deduction class.")

       An important use for us is in conjunction with the weak deduction
       theorem, which converts a hypothesis into an antecedent.  In that role,
       ` A ` is a class variable in the hypothesis and ` B ` is a class
       (usually a constant) that makes the hypothesis true when it is
       substituted for ` A ` .  See ~ dedth for the main part of the weak
       deduction theorem, ~ elimhyp to eliminate a hypothesis, and ~ keephyp to
       keep a hypothesis.  See the Deduction Theorem link on the Metamath Proof
       Explorer Home Page for a description of the weak deduction theorem. $)
    df-if $a |- if ( ph , A , B ) =
                 { x | ( ( x e. A /\ ph ) \/ ( x e. B /\ -. ph ) ) } $.
  $}

  ${
    $d x ph $.  $d x A $.  $d x B $.  $d x C $.
    $( An alternate definition of the conditional operator ~ df-if with one
       fewer connectives (but probably less intuitive to understand). $)
    dfif2 $p |- if ( ph , A , B ) =
                 { x | ( ( x e. B -> ph ) -> ( x e. A /\ ph ) ) } $=
      ( cif cv wcel wa wn wo cab wi df-if df-or orcom iman imbi1i 3bitr4i abbii
      eqtri ) ACDEBFZCGAHZUADGZAIHZJZBKUCALZUBLZBKABCDMUEUGBUDUBJUDIZUBLUEUGUDU
      BNUBUDOUFUHUBUCAPQRST $.
      $( [30-Jan-2006] $)

    $( An alternate definition of the conditional operator ~ df-if as a simple
       class abstraction. $)
    dfif6 $p |- if ( ph , A , B ) =
                 ( { x e. A | ph } u. { x e. B | -. ph } ) $=
      ( cv wcel wa cab wn cun wo crab cif unab df-rab uneq12i df-if 3eqtr4ri )
      BEZCFAGZBHZSDFAIZGZBHZJTUCKBHABCLZUBBDLZJACDMTUCBNUEUAUFUDABCOUBBDOPABCDQ
      R $.
      $( [8-Sep-2013] $)

    $( Equality theorem for conditional operator.  (The proof was shortened by
       Andrew Salmon, 26-Jun-2011.) $)
    ifeq1 $p |- ( A = B -> if ( ph , A , C ) = if ( ph , B , C ) ) $=
      ( vx wceq crab wn cun cif rabeq uneq1d dfif6 3eqtr4g ) BCFZAEBGZAHEDGZIAE
      CGZQIABDJACDJOPRQAEBCKLAEBDMAECDMN $.
      $( [8-Sep-2013] $) $( [1-Sep-2004] $)

    $( Equality theorem for conditional operator.  (The proof was shortened by
       Andrew Salmon, 26-Jun-2011.) $)
    ifeq2 $p |- ( A = B -> if ( ph , C , A ) = if ( ph , C , B ) ) $=
      ( vx wceq crab wn cun cif rabeq uneq2d dfif6 3eqtr4g ) BCFZAEDGZAHZEBGZIP
      QECGZIADBJADCJORSPQEBCKLAEDBMAEDCMN $.
      $( [8-Sep-2013] $) $( [1-Sep-2004] $)

    $( Value of the conditional operator when its first argument is true.  (The
       proof was shortened by Andrew Salmon, 26-Jun-2011.) $)
    iftrue $p |- ( ph -> if ( ph , A , B ) = A ) $=
      ( vx cv wcel wi wa cab cif dedlem0a abbi2dv dfif2 syl6reqr ) ABDEZCFZAGOB
      FZAHGZDIABCJARDBAQPKLADBCMN $.
      $( [26-Jun-2011] $) $( [15-May-1999] $)

    $( Value of the conditional operator when its first argument is false. $)
    iffalse $p |- ( -. ph -> if ( ph , A , B ) = B ) $=
      ( vx wn cv wcel wa wo cab cif dedlemb abbi2dv df-if syl6reqr ) AEZCDFZBGZ
      AHQCGZPHIZDJABCKPTDCARSLMADBCNO $.
      $( [2-Sep-2004] $) $( [14-Aug-1999] $)
  $}

  ${
    $d A x y $.  $d B x y $.  $d C y $.
    ifsb.1 $e |- ( if ( ph , A , B ) = A -> C = D ) $.
    ifsb.2 $e |- ( if ( ph , A , B ) = B -> C = E ) $.
    $( Distribute a function over an if-clause.  (Contributed by Mario
       Carneiro, 14-Aug-2013.) $)
    ifsb $p |- C = if ( ph , D , E ) $=
      ( cif wceq iftrue syl eqtr4d wn iffalse pm2.61i ) ADAEFIZJADEQAABCIZBJDEJ
      ABCKGLAEFKMANZDFQSRCJDFJABCOHLAEFOMP $.
      $( [14-Aug-2013] $)
  $}

  ${
    $d y A $.  $d y B $.  $d x y ph $.
    dfif3.1 $e |- C = { x | ph } $.
    $( Alternate definition of the conditional operator ~ df-if .  Note that
       ` ph ` is independent of ` x ` i.e. a constant true or false. $)
    dfif3 $p |- if ( ph , A , B )
                  = ( ( A i^i C ) u. ( B i^i ( _V \ C ) ) ) $=
      ( vy cif crab wn cun cin cvv cdif cab eqtri ineq2i dfrab3 eqtr4i ccompl
      dfif6 weq biidd cbvabv compleqi df-dif incom inv1 complab 3eqtr4i uneq12i
      eqcomi ) ACDHAGCIZAJZGDIZKCELZDMENZLZKAGCDUAUPUMURUOUPCAGOZLUMEUSCEABOUSF
      AABGBGUBAUCUDPZQAGCRSURDUNGOZLUOUQVADETZUSTZUQVAEUSUTUEUQMVBLZVBMEUFVDVBM
      LVBMVBUGVBUHPPVCVAAGUIULUJQUNGDRSUKS $.
      $( [8-Sep-2013] $) $( [25-Aug-2013] $)

    $( Alternate definition of the conditional operator ~ df-if .  Note that
       ` ph ` is independent of ` x ` i.e. a constant true or false. $)
    dfif4 $p |- if ( ph , A , B )
        = ( ( A u. B ) i^i ( ( A u. ( _V \ C ) ) i^i ( B u. C ) ) ) $=
      ( cif cin cvv cdif cun dfif3 undir undi uncom undifv ineq12i 3eqtri inass
      inv1 eqtri ) ACDGCEHDIEJZHZKCUCKZEUCKZHZCDKZCUBKZDEKZHHZABCDEFLCEUCMUFUGU
      HHZUIHUJUDUKUEUICDUBNUEEDKZEUBKZHUIIHUIEDUBNULUIUMIEDOEPQUITRQUGUHUISUAR
      $.
      $( [25-Aug-2013] $)

    $( Alternate definition of the conditional operator ~ df-if .  Note that
       ` ph ` is independent of ` x ` i.e. a constant true or false (see also
       ~ abvor0 ).  (Contributed by G&eacute;rard Lang, 18-Aug-2013.) $)
    dfif5 $p |- if ( ph , A , B ) = ( ( A i^i B )
          u. ( ( ( A \ B ) i^i C ) u. ( ( B \ A ) i^i ( _V \ C ) ) ) ) $=
      ( cun cdif undi undifabs ineq1i inabs undif2 3eqtr4i uneq12i unundi unidm
      cin unass 3eqtr4ri cif cvv dfif4 3eqtri uneq1i uncom eqtri 3eqtrri uneq2i
      3eqtr3ri ineq2i undir eqtr4i ineq12i inindi ) ACDUACDGZCUBEHZGZDEGZRRZCDR
      CDHZERZDCHZUQRZGZGZABCDEFUCUPURRZUPUSRZRCVEGZDVEGZRUTVFVGVIVHVJCVBGZCVDGZ
      GCCDUQRZGZGZVIVGVKCVLVNVKCVAGZCEGZRCVQRCCVAEIVPCVQCDJKCELUDCVCGZURRVGVLVN
      VRUPURCDMKCVCUQICDUQIZNOCVBVDPCCGZVMGVNVOVGVTCVMCQUECCVMSVSUJTCERZDGZDVBG
      ZDVDGZGZVHVJWBDGWADDGZGWEWBWADDSWBWCDWDDVAGZUSRDCGZUSRZWCWBWGWHUSDCMKDVAE
      IWBDWAGWIWADUFDCEIUGTWDDVCGZDUQGZRDWKRDDVCUQIWJDWKDCJKDUQLUHOWFDWADQUIUJV
      HUPEDGZRWBUSWLUPDEUFUKCEDULUMDVBVDPNUNUPURUSUOCDVEULTUM $.
      $( [25-Aug-2013] $)
  $}

  $( Equality theorem for conditional operators. $)
  ifeq12 $p |- ( ( A = B /\ C = D ) ->
                if ( ph , A , C ) = if ( ph , B , D ) ) $=
    ( wceq cif ifeq1 ifeq2 sylan9eq ) BCFDEFABDGACDGACEGABCDHADECIJ $.
    $( [1-Sep-2004] $)

  ${
    ifeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for conditional operator. $)
    ifeq1d $p |- ( ph -> if ( ps , A , C ) = if ( ps , B , C ) ) $=
      ( wceq cif ifeq1 syl ) ACDGBCEHBDEHGFBCDEIJ $.
      $( [16-Feb-2005] $)

    $( Equality deduction for conditional operator. $)
    ifeq2d $p |- ( ph -> if ( ps , C , A ) = if ( ps , C , B ) ) $=
      ( wceq cif ifeq2 syl ) ACDGBECHBEDHGFBCDEIJ $.
      $( [16-Feb-2005] $)
  $}

  $( Equivalence theorem for conditional operators.  (Contributed by Raph
     Levien, 15-Jan-2004.) $)
  ifbi $p |- ( ( ph <-> ps ) -> if ( ph , A , B ) = if ( ps , A , B ) ) $=
    ( wb wa wn wo cif wceq dfbi3 iftrue eqcomd sylan9eq iffalse jaoi sylbi ) AB
    EABFZAGZBGZFZHACDIZBCDIZJZABKRUDUAABUBCUCACDLBUCCBCDLMNSTUBDUCACDOTUCDBCDOM
    NPQ $.
    $( [15-Jan-2004] $)

  ${
    ifbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalence deduction for conditional operators. $)
    ifbid $p |- ( ph -> if ( ps , A , B ) = if ( ch , A , B ) ) $=
      ( wb cif wceq ifbi syl ) ABCGBDEHCDEHIFBCDEJK $.
      $( [18-Apr-2005] $)
  $}

  ${
    ifbieq2i.1 $e |- ( ph <-> ps ) $.
    ifbieq2i.2 $e |- A = B $.
    $( Equivalence/equality inference for conditional operators.  (Contributed
       by Paul Chapman, 22-Jun-2011.) $)
    ifbieq2i $p |- if ( ph , C , A ) = if ( ps , C , B ) $=
      ( cif wb wceq ifbi ax-mp ifeq2 eqtri ) AECHZBECHZBEDHZABIOPJFABECKLCDJPQJ
      GBCDEMLN $.
      $( [20-Sep-2011] $) $( [22-Jun-2011] $)
  $}

  ${
    ifbieq2d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    ifbieq2d.2 $e |- ( ph -> A = B ) $.
    $( Equivalence/equality deduction for conditional operators.  (Contributed
       by Paul Chapman, 22-Jun-2011.) $)
    ifbieq2d $p |- ( ph -> if ( ps , C , A ) = if ( ch , C , B ) ) $=
      ( cif ifbid ifeq2d eqtrd ) ABFDICFDICFEIABCFDGJACDEFHKL $.
      $( [22-Jun-2011] $)
  $}

  ${
    ifbieq12i.1 $e |- ( ph <-> ps ) $.
    ifbieq12i.2 $e |- A = C $.
    ifbieq12i.3 $e |- B = D $.
    $( Equivalence deduction for conditional operators. $)
    ifbieq12i $p |- if ( ph , A , B ) = if ( ps , C , D ) $=
      ( cif wceq ifeq1 ax-mp ifbieq2i eqtri ) ACDJZAEDJZBEFJCEKPQKHACEDLMABDFEG
      INO $.
      $( [18-Mar-2013] $)
  $}

  ${
    ifbieq12d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    ifbieq12d.2 $e |- ( ph -> A = C ) $.
    ifbieq12d.3 $e |- ( ph -> B = D ) $.
    $( Equivalence deduction for conditional operators.  (Contributed by Jeff
       Madsen, 2-Sep-2009.) $)
    ifbieq12d $p |- ( ph -> if ( ps , A , B ) = if ( ch , C , D ) ) $=
      ( cif ifbid ifeq1d ifeq2d 3eqtrd ) ABDEKCDEKCFEKCFGKABCDEHLACDFEIMACEGFJN
      O $.
      $( [22-Jun-2011] $) $( [2-Sep-2009] $)
  $}

  ${
    $d x y z $.  $d y z A $.  $d y z B $.  $d z ph $.
    hbif.1 $e |- ( ph -> A. x ph ) $.
    hbif.2 $e |- ( y e. A -> A. x y e. A ) $.
    hbif.3 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for a conditional operator.  (The
       proof was shortened by Andrew Salmon, 26-Jun-2011.) $)
    hbif $p |- ( y e. if ( ph , A , B ) -> A. x y e. if ( ph , A , B ) ) $=
      ( vz cif cv wcel wi wa cab dfif2 ax-17 hbel hbim hban hbab hbxfreq ) BCAD
      EJIKZELZAMZUCDLZANZMZIOAIDEPUHBICUEUGBUDABBCCUCECKUCLBQZHRFSUFABBCCUCDUIG
      RFTSUAUB $.
      $( [26-Jun-2011] $) $( [16-Feb-2005] $)
  $}

  ${
    $d x y z $.  $d y z A $.  $d y z B $.  $d y z ph $.  $d z ps $.
    hbifd.1 $e |- ( ph -> A. x ph ) $.
    hbifd.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    hbifd.3 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hbifd.4 $e |- ( ph -> ( y e. B -> A. x y e. B ) ) $.
    $( Deduction version of ~ hbif . $)
    hbifd $p |- ( ph
  -> ( y e. if ( ps , A , B ) -> A. x y e. if ( ps , A , B ) ) ) $=
      ( vz cif cv wcel wi wa cab wceq hbeld hbimd dfif2 ax-17 alrimi a17d hband
      a1i wal hbabd hbxfrd ) ACDBEFLZKMZFNZBOZUKENZBPZOZKQZGUJUQRABKEFUAUFAUPCK
      DAAKUGCGAKUBUCAUMUOCGAULBCGACDUKFGADMUKNCUDZJSHTAUNBCACDUKEGURISHUETUHUI
      $.
      $( [15-Feb-2013] $)
  $}

  ${
    ifeq1da.1 $e |- ( ( ph /\ ps ) -> A = B ) $.
    $( Conditional equality.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    ifeq1da $p |- ( ph -> if ( ps , A , C ) = if ( ps , B , C ) ) $=
      ( cif wceq wa ifeq1d wn iffalse eqtr4d adantl pm2.61dan ) ABBCEGZBDEGZHZA
      BIBCDEFJBKZRASPEQBCELBDELMNO $.
      $( [2-Sep-2009] $)
  $}

  ${
    ifeq2da.1 $e |- ( ( ph /\ -. ps ) -> A = B ) $.
    $( Conditional equality.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    ifeq2da $p |- ( ph -> if ( ps , C , A ) = if ( ps , C , B ) ) $=
      ( cif wceq iftrue eqtr4d adantl wn wa ifeq2d pm2.61dan ) ABBECGZBEDGZHZBR
      ABPEQBECIBEDIJKABLMBCDEFNO $.
      $( [2-Sep-2009] $)
  $}

  ${
    ifclda.1 $e |- ( ( ph /\ ps ) -> A e. C ) $.
    ifclda.2 $e |- ( ( ph /\ -. ps ) -> B e. C ) $.
    $( Conditional closure.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    ifclda $p |- ( ph -> if ( ps , A , B ) e. C ) $=
      ( cif wcel wa wceq iftrue adantl eqeltrd wn iffalse pm2.61dan ) ABBCDHZEI
      ABJRCEBRCKABCDLMFNABOZJRDESRDKABCDPMGNQ $.
      $( [2-Sep-2009] $)
  $}

  ${
    $d y A $.  $d y z B $.  $d y z C $.  $d y z ph $.  $d x y z $.
    $( Distribute proper substitution through the conditional operator. $)
    csbifg $p |- ( A e. V -> [_ A / x ]_ if ( ph , B , C )
          = if ( [ A / x ] ph , [_ A / x ]_ B , [_ A / x ]_ C ) ) $=
      ( vy cif csb wsb wceq wsbc csbeq1 dfsbcq ifbieq12d eqeq12d hbcsb1 csbeq1a
      vz cv vex hbs1 wel ax-17 hbif weq sbceq1a csbief vtoclg ) BGTZADEHZIZABGJ
      ZBUJDIZBUJEIZHZKBCUKIZABCLZBCDIZBCEIZHZKGCFUJCKZULUQUPVABUJCUKMVBUMURUNUO
      USUTABUJCNBUJCDMBUJCEMOPBSUJUKUPGUAUMBSUNUOABGUBBSUJDSGUCBUDZQBSUJEVCQUEB
      GUFAUMDEUNUOABUJUGBUJDRBUJEROUHUI $.
      $( [24-Feb-2013] $)
  $}

  ${
    elimif.1 $e |- ( if ( ph , A , B ) = A -> ( ps <-> ch ) ) $.
    elimif.2 $e |- ( if ( ph , A , B ) = B -> ( ps <-> th ) ) $.
    $( Elimination of a conditional operator contained in a wff ` ps ` . $)
    elimif $p |- ( ps <-> ( ( ph /\ ch ) \/ ( -. ph /\ th ) ) ) $=
      ( wn wo wa exmid biantrur andir cif wceq wb iftrue syl pm5.32i iffalse
      orbi12i 3bitri ) BAAIZJZBKABKZUDBKZJACKZUDDKZJUEBALMAUDBNUFUHUGUIABCAAEFO
      ZEPBCQAEFRGSTUDBDUDUJFPBDQAEFUAHSTUBUC $.
      $( [15-Feb-2005] $)
  $}

  ${
    ifboth.1 $e |- ( A = if ( ph , A , B ) -> ( ps <-> th ) ) $.
    ifboth.2 $e |- ( B = if ( ph , A , B ) -> ( ch <-> th ) ) $.
    $( A wff ` th ` containing a conditional operator is true when both of its
       cases are true. $)
    ifboth $p |- ( ( ps /\ ch ) -> th ) $=
      ( wa cif wceq wb iftrue eqcomd syl biimpa adantrr wn iffalse bicomd
      biimpar adantrl pm2.61ian ) ABCIDABDCABDAEAEFJZKBDLAUDEAEFMNGOPQARZCDBUED
      CUEFUDKZDCLUEUDFAEFSNUFCDHTOUAUBUC $.
      $( [3-Sep-2006] $)
  $}

  $( Identical true and false arguments in the conditional operator. $)
  ifid $p |- if ( ph , A , A ) = A $=
    ( cif wceq iftrue iffalse pm2.61i ) AABBCBDABBEABBFG $.
    $( [18-Apr-2005] $)

  $( Expansion of an equality with a conditional operator. $)
  eqif $p |- ( A = if ( ph , B , C ) <->
             ( ( ph /\ A = B ) \/ ( -. ph /\ A = C ) ) ) $=
    ( cif wceq eqeq2 elimif ) ABACDEZFBCFBDFCDICBGIDBGH $.
    $( [14-Feb-2005] $)

  $( Membership in a conditional operator. $)
  elif $p |- ( A e. if ( ph , B , C ) <->
             ( ( ph /\ A e. B ) \/ ( -. ph /\ A e. C ) ) ) $=
    ( cif wcel eleq2 elimif ) ABACDEZFBCFBDFCDICBGIDBGH $.
    $( [14-Feb-2005] $)

  $( Membership of a conditional operator. $)
  ifel $p |- ( if ( ph , A , B ) e. C <->
             ( ( ph /\ A e. C ) \/ ( -. ph /\ B e. C ) ) ) $=
    ( cif wcel eleq1 elimif ) AABCEZDFBDFCDFBCIBDGICDGH $.
    $( [10-Sep-2005] $)

  $( Membership (closure) of a conditional operator. $)
  ifcl $p |- ( ( A e. C /\ B e. C ) -> if ( ph , A , B ) e. C ) $=
    ( wcel cif eleq1 ifboth ) ABDECDEABCFZDEBCBIDGCIDGH $.
    $( [4-Apr-2005] $)

  $( The possible values of a conditional operator.  (The proof was shortened
     by Andrew Salmon, 26-Jun-2011.) $)
  ifeqor $p |- ( if ( ph , A , B ) = A \/ if ( ph , A , B ) = B ) $=
    ( cif wceq wn iftrue con3i iffalse syl orri ) ABCDZBEZLCEZMFAFNAMABCGHABCIJ
    K $.
    $( [26-Jun-2011] $) $( [17-Jun-2007] $)

  $( Negating the first argument swaps the last two arguments of a conditional
     operator. $)
  ifnot $p |- if ( -. ph , A , B ) = if ( ph , B , A ) $=
    ( wn cif wceq notnot1 iffalse syl iftrue eqtr4d pm2.61i ) AADZBCEZACBEZFANC
    OAMDNCFAGMBCHIACBJKMNBOMBCJACBHKL $.
    $( [21-Jun-2007] $)
  $( Rewrite a conjunction in an if statement as two nested conditionals.
     (Contributed by Mario Carneiro, 28-Jul-2014.) $)
  ifan $p |- if ( ( ph /\ ps ) , A , B ) = if ( ph , if ( ps , A , B ) , B ) $=
    ( wa cif wceq iftrue ifbid eqtr2d wn simpl con3i iffalse syl eqtr4d pm2.61i
    ibar ) AABEZCDFZABCDFZDFZGAUBUATAUADHABSCDABRIJAKZTDUBUCSKTDGSAABLMSCDNOAUA
    DNPQ $.
    $( [28-Jul-2014] $)

  $( Rewrite a disjunction in an if statement as two nested conditionals.
     (Contributed by Mario Carneiro, 28-Jul-2014.) $)
  ifor $p |- if ( ( ph \/ ps ) , A , B ) = if ( ph , A , if ( ps , A , B ) ) $=
    ( wo cif wceq iftrue orcs eqtr4d wn iffalse biorf ifbid eqtr2d pm2.61i ) AA
    BEZCDFZACBCDFZFZGARCTABRCGQCDHIACSHJAKZTSRACSLUABQCDABMNOP $.
    $( [28-Jul-2014] $)

  ${
    $d x A $.  $d x B $.  $d x ph $.
    dedth.1 $e |- ( A = if ( ph , A , B ) -> ( ps <-> ch ) ) $.
    dedth.2 $e |- ch $.
    $( Weak deduction theorem that eliminates a hypothesis ` ph ` , making it
       become an antecedent.  We assume that a proof exists for ` ph ` when the
       class variable ` A ` is replaced with a specific class ` B ` .  The
       hypothesis ` ch ` should be assigned to the inference, and the
       inference's hypothesis eliminated with ~ elimhyp .  If the inference has
       other hypotheses with class variable ` A ` , these can be kept by
       assigning ~ keephyp to them.  For more information, see the Deduction
       Theorem ~ http://us.metamath.org/mpegif/mmdeduction.html . $)
    dedth $p |- ( ph -> ps ) $=
      ( cif wceq wb iftrue eqcomd syl mpbiri ) ABCGADADEHZIBCJAODADEKLFMN $.
      $( [15-May-1999] $)
  $}

  ${
    dedth2h.1 $e |- ( A = if ( ph , A , C ) -> ( ch <-> th ) ) $.
    dedth2h.2 $e |- ( B = if ( ps , B , D ) -> ( th <-> ta ) ) $.
    dedth2h.3 $e |- ta $.
    $( Weak deduction theorem eliminating two hypotheses.  This theorem is
       simpler to use than ~ dedth2v but requires that each hypothesis has
       exactly one class variable.  See also comments in ~ dedth . $)
    dedth2h $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wi cif wceq imbi2d dedth imp ) ABCABCMBDMFHFAFHNOCDBJPBDEGIKLQQR $.
      $( [15-May-1999] $)
  $}

  ${
    dedth3h.1 $e |- ( A = if ( ph , A , D ) -> ( th <-> ta ) ) $.
    dedth3h.2 $e |- ( B = if ( ps , B , R ) -> ( ta <-> et ) ) $.
    dedth3h.3 $e |- ( C = if ( ch , C , S ) -> ( et <-> ze ) ) $.
    dedth3h.4 $e |- ze $.
    $( Weak deduction theorem eliminating three hypotheses.  See comments in
       ~ dedth2h . $)
    dedth3h $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wa wi cif wceq imbi2d dedth2h dedth 3impib ) ABCDABCRZDSUFESHKHAHKTUADE
      UFNUBBCEFGIJLMOPQUCUDUE $.
      $( [15-May-1999] $)
  $}

  ${
    dedth4h.1 $e |- ( A = if ( ph , A , R ) -> ( ta <-> et ) ) $.
    dedth4h.2 $e |- ( B = if ( ps , B , S ) -> ( et <-> ze ) ) $.
    dedth4h.3 $e |- ( C = if ( ch , C , F ) -> ( ze <-> si ) ) $.
    dedth4h.4 $e |- ( D = if ( th , D , G ) -> ( si <-> rh ) ) $.
    dedth4h.5 $e |- rh $.
    $( Weak deduction theorem eliminating four hypotheses.  See comments in
       ~ dedth2h . $)
    dedth4h $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $=
      ( wa wi cif wceq imbi2d dedth2h imp ) ABUCCDUCZEABUJEUDUJFUDUJGUDJKNOJAJN
      UEUFEFUJRUGKBKOUEUFFGUJSUGCDGHILMPQTUAUBUHUHUI $.
      $( [16-May-1999] $)
  $}

  ${
    dedth2v.1 $e |- ( A = if ( ph , A , C ) -> ( ps <-> ch ) ) $.
    dedth2v.2 $e |- ( B = if ( ph , B , D ) -> ( ch <-> th ) ) $.
    dedth2v.3 $e |- th $.
    $( Weak deduction theorem for eliminating a hypothesis with 2 class
       variables.  Note: if the hypothesis can be separated into two
       hypotheses, each with one class variable, then ~ dedth2h is simpler to
       use.  See also comments in ~ dedth .  (The proof was shortened by Eric
       Schmidt, 28-Jul-2009.) $)
    dedth2v $p |- ( ph -> ps ) $=
      ( dedth2h anidms ) ABAABCDEFGHIJKLM $.
      $( [29-Jul-2009] $) $( [13-Aug-1999] $)
  $}

  ${
    dedth3v.1 $e |- ( A = if ( ph , A , D ) -> ( ps <-> ch ) ) $.
    dedth3v.2 $e |- ( B = if ( ph , B , R ) -> ( ch <-> th ) ) $.
    dedth3v.3 $e |- ( C = if ( ph , C , S ) -> ( th <-> ta ) ) $.
    dedth3v.4 $e |- ta $.
    $( Weak deduction theorem for eliminating a hypothesis with 3 class
       variables.  See comments in ~ dedth2v .  (The proof was shortened by
       Eric Schmidt, 28-Jul-2009.) $)
    dedth3v $p |- ( ph -> ps ) $=
      ( dedth3h 3anidm12 anidms ) ABAABAAABCDEFGHIJKLMNOPQR $.
      $( [29-Jul-2009] $) $( [13-Aug-1999] $)
  $}

  ${
    dedth4v.1 $e |- ( A = if ( ph , A , R ) -> ( ps <-> ch ) ) $.
    dedth4v.2 $e |- ( B = if ( ph , B , S ) -> ( ch <-> th ) ) $.
    dedth4v.3 $e |- ( C = if ( ph , C , T ) -> ( th <-> ta ) ) $.
    dedth4v.4 $e |- ( D = if ( ph , D , U ) -> ( ta <-> et ) ) $.
    dedth4v.5 $e |- et $.
    $( Weak deduction theorem for eliminating a hypothesis with 4 class
       variables.  See comments in ~ dedth2v .  (The proof was shortened by
       Eric Schmidt, 28-Jul-2009.) $)
    dedth4v $p |- ( ph -> ps ) $=
      ( anidms wa dedth4h ) ABAAUABAAAABCDEFGHIJKLMNOPQRSUBTT $.
      $( [29-Jul-2009] $) $( [21-Apr-2007] $)
  $}

  ${
    elimhyp.1 $e |- ( A = if ( ph , A , B ) -> ( ph <-> ps ) ) $.
    elimhyp.2 $e |- ( B = if ( ph , A , B ) -> ( ch <-> ps ) ) $.
    elimhyp.3 $e |- ch $.
    $( Eliminate a hypothesis containing class variable ` A ` when it is known
       for a specific class ` B ` .  For more information, see comments in
       ~ dedth . $)
    elimhyp $p |- ps $=
      ( cif wceq wb iftrue eqcomd syl ibi wn iffalse mpbii pm2.61i ) ABABADADEI
      ZJABKATDADELMFNOAPZCBHUAETJCBKUATEADEQMGNRS $.
      $( [15-May-1999] $)
  $}

  ${
    elimhyp2v.1 $e |- ( A = if ( ph , A , C ) -> ( ph <-> ch ) ) $.
    elimhyp2v.2 $e |- ( B = if ( ph , B , D ) -> ( ch <-> th ) ) $.
    elimhyp2v.3 $e |- ( C = if ( ph , A , C ) -> ( ta <-> et ) ) $.
    elimhyp2v.4 $e |- ( D = if ( ph , B , D ) -> ( et <-> th ) ) $.
    elimhyp2v.5 $e |- ta $.
    $( Eliminate a hypothesis containing 2 class variables. $)
    elimhyp2v $p |- th $=
      ( cif wceq wb iftrue eqcomd syl bitrd ibi wn iffalse mpbii pm2.61i ) ACAC
      AABCAFAFHOZPABQAUGFAFHRSJTAGAGIOZPBCQAUHGAGIRSKTUAUBAUCZDCNUIDECUIHUGPDEQ
      UIUGHAFHUDSLTUIIUHPECQUIUHIAGIUDSMTUAUEUF $.
      $( [14-Aug-1999] $)
  $}

  ${
    elimhyp3v.1 $e |- ( A = if ( ph , A , D ) -> ( ph <-> ch ) ) $.
    elimhyp3v.2 $e |- ( B = if ( ph , B , R ) -> ( ch <-> th ) ) $.
    elimhyp3v.3 $e |- ( C = if ( ph , C , S ) -> ( th <-> ta ) ) $.
    elimhyp3v.4 $e |- ( D = if ( ph , A , D ) -> ( et <-> ze ) ) $.
    elimhyp3v.5 $e |- ( R = if ( ph , B , R ) -> ( ze <-> si ) ) $.
    elimhyp3v.6 $e |- ( S = if ( ph , C , S ) -> ( si <-> ta ) ) $.
    elimhyp3v.7 $e |- et $.
    $( Eliminate a hypothesis containing 3 class variables. $)
    elimhyp3v $p |- ta $=
      ( cif wceq wb iftrue eqcomd syl 3bitrd ibi wn iffalse mpbii pm2.61i ) ADA
      DAABCDAHAHKUAZUBABUCAUMHAHKUDUENUFAIAILUAZUBBCUCAUNIAILUDUEOUFAJAJMUAZUBC
      DUCAUOJAJMUDUEPUFUGUHAUIZEDTUPEFGDUPKUMUBEFUCUPUMKAHKUJUEQUFUPLUNUBFGUCUP
      UNLAILUJUERUFUPMUOUBGDUCUPUOMAJMUJUESUFUGUKUL $.
      $( [14-Aug-1999] $)
  $}

  ${
    elimhyp4v.1 $e |- ( A = if ( ph , A , D ) -> ( ph <-> ch ) ) $.
    elimhyp4v.2 $e |- ( B = if ( ph , B , R ) -> ( ch <-> th ) ) $.
    elimhyp4v.3 $e |- ( C = if ( ph , C , S ) -> ( th <-> ta ) ) $.
    elimhyp4v.4 $e |- ( F = if ( ph , F , G ) -> ( ta <-> ps ) ) $.
    elimhyp4v.5 $e |- ( D = if ( ph , A , D ) -> ( et <-> ze ) ) $.
    elimhyp4v.6 $e |- ( R = if ( ph , B , R ) -> ( ze <-> si ) ) $.
    elimhyp4v.7 $e |- ( S = if ( ph , C , S ) -> ( si <-> rh ) ) $.
    elimhyp4v.8 $e |- ( G = if ( ph , F , G ) -> ( rh <-> ps ) ) $.
    elimhyp4v.9 $e |- et $.
    $( Eliminate a hypothesis containing 4 class variables (for use with the
       weak deduction theorem ~ dedth ). $)
    elimhyp4v $p |- ps $=
      ( cif wceq wb iftrue eqcomd syl bitrd 3bitrd ibi wn iffalse mpbii pm2.61i
      ) ABABAADEBAACDAJAJMUGZUHACUIAUTJAJMUJUKRULAKAKNUGZUHCDUIAVAKAKNUJUKSULUM
      ALALOUGZUHDEUIAVBLALOUJUKTULAPAPQUGZUHEBUIAVCPAPQUJUKUAULUNUOAUPZFBUFVDFH
      IBVDFGHVDMUTUHFGUIVDUTMAJMUQUKUBULVDNVAUHGHUIVDVANAKNUQUKUCULUMVDOVBUHHIU
      IVDVBOALOUQUKUDULVDQVCUHIBUIVDVCQAPQUQUKUEULUNURUS $.
      $( [16-Apr-2005] $)
  $}

  ${
    elimel.1 $e |- B e. C $.
    $( Eliminate a membership hypothesis for weak deduction theorem, when
       special case ` B e. C ` is provable. $)
    elimel $p |- if ( A e. C , A , B ) e. C $=
      ( wcel cif eleq1 elimhyp ) ACEZIABFZCEBCEABAJCGBJCGDH $.
      $( [15-May-1999] $)
  $}

  ${
    elimdhyp.1 $e |- ( ph -> ps ) $.
    elimdhyp.2 $e |- ( A = if ( ph , A , B ) -> ( ps <-> ch ) ) $.
    elimdhyp.3 $e |- ( B = if ( ph , A , B ) -> ( th <-> ch ) ) $.
    elimdhyp.4 $e |- th $.
    $( Version of ~ elimhyp where the hypothesis is deduced from the final
       antecedent.  (Contributed by Paul Chapman, 25-Mar-2008.) $)
    elimdhyp $p |- ch $=
      ( cif wceq wb iftrue eqcomd syl mpbid wn iffalse mpbii pm2.61i ) ACABCGAE
      AEFKZLBCMAUBEAEFNOHPQARZDCJUCFUBLDCMUCUBFAEFSOIPTUA $.
      $( [25-Mar-2008] $)
  $}

  ${
    keephyp.1 $e |- ( A = if ( ph , A , B ) -> ( ps <-> th ) ) $.
    keephyp.2 $e |- ( B = if ( ph , A , B ) -> ( ch <-> th ) ) $.
    keephyp.3 $e |- ps $.
    keephyp.4 $e |- ch $.
    $( Transform a hypothesis ` ps ` that we want to keep (but contains the
       same class variable ` A ` used in the eliminated hypothesis) for use
       with the weak deduction theorem. $)
    keephyp $p |- th $=
      ( ifboth mp2an ) BCDIJABCDEFGHKL $.
      $( [15-May-1999] $)
  $}

  ${
    keephyp2v.1 $e |- ( A = if ( ph , A , C ) -> ( ps <-> ch ) ) $.
    keephyp2v.2 $e |- ( B = if ( ph , B , D ) -> ( ch <-> th ) ) $.
    keephyp2v.3 $e |- ( C = if ( ph , A , C ) -> ( ta <-> et ) ) $.
    keephyp2v.4 $e |- ( D = if ( ph , B , D ) -> ( et <-> th ) ) $.
    keephyp2v.5 $e |- ps $.
    keephyp2v.6 $e |- ta $.
    $( Keep a hypothesis containing 2 class variables (for use with the weak
       deduction theorem ~ dedth ). $)
    keephyp2v $p |- th $=
      ( wceq wb eqcomd syl cif iftrue bitrd mpbii wn iffalse pm2.61i ) ADABDOAB
      CDAGAGIUAZQBCRAUHGAGIUBSKTAHAHJUAZQCDRAUIHAHJUBSLTUCUDAUEZEDPUJEFDUJIUHQE
      FRUJUHIAGIUFSMTUJJUIQFDRUJUIJAHJUFSNTUCUDUG $.
      $( [16-Apr-2005] $)
  $}

  ${
    keephyp3v.1 $e |- ( A = if ( ph , A , D ) -> ( rh <-> ch ) ) $.
    keephyp3v.2 $e |- ( B = if ( ph , B , R ) -> ( ch <-> th ) ) $.
    keephyp3v.3 $e |- ( C = if ( ph , C , S ) -> ( th <-> ta ) ) $.
    keephyp3v.4 $e |- ( D = if ( ph , A , D ) -> ( et <-> ze ) ) $.
    keephyp3v.5 $e |- ( R = if ( ph , B , R ) -> ( ze <-> si ) ) $.
    keephyp3v.6 $e |- ( S = if ( ph , C , S ) -> ( si <-> ta ) ) $.
    keephyp3v.7 $e |- rh $.
    keephyp3v.8 $e |- et $.
    $( Keep a hypothesis containing 3 class variables. $)
    keephyp3v $p |- ta $=
      ( cif wceq wb iftrue eqcomd syl 3bitrd mpbii wn iffalse pm2.61i ) ADAHDUA
      AHBCDAIAILUCZUDHBUEAUNIAILUFUGOUHAJAJMUCZUDBCUEAUOJAJMUFUGPUHAKAKNUCZUDCD
      UEAUPKAKNUFUGQUHUIUJAUKZEDUBUQEFGDUQLUNUDEFUEUQUNLAILULUGRUHUQMUOUDFGUEUQ
      UOMAJMULUGSUHUQNUPUDGDUEUQUPNAKNULUGTUHUIUJUM $.
      $( [27-Sep-1999] $)
  $}

  ${
    keepel.1 $e |- A e. C $.
    keepel.2 $e |- B e. C $.
    $( Keep a membership hypothesis for weak deduction theorem, when special
       case ` B e. C ` is provable. $)
    keepel $p |- if ( ph , A , B ) e. C $=
      ( wcel cif eleq1 keephyp ) ABDGCDGABCHZDGBCBKDICKDIEFJ $.
      $( [14-Aug-1999] $)
  $}

  ${
    dedex.1 $e |- A e. _V $.
    dedex.2 $e |- B e. _V $.
    $( Conditional operator existence. $)
    ifex $p |- if ( ph , A , B ) e. _V $=
      ( cvv keepel ) ABCFDEG $.
      $( [2-Sep-2004] $)
  $}

  ${
    $d A x y $.  $d B y $.  $d ph x y $.
    $( Conditional operator existence. $)
    ifexg $p |- ( ( A e. V /\ B e. W ) -> if ( ph , A , B ) e. _V ) $=
      ( vx vy cv cif cvv wcel wceq ifeq1 eleq1d ifeq2 vex ifex vtocl2g ) AFHZGH
      ZIZJKABTIZJKABCIZJKFGBCDESBLUAUBJASBTMNTCLUBUCJATCBONASTFPGPQR $.
      $( [23-Nov-2012] $) $( [21-Mar-2011] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                          Power classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the symbol for power class and unit power class. $)
  $c ~P $.  $( Calligraphic P $)

  $( Extend class notation to include power class.  (The tilde in the Metamath
     token is meant to suggest the calligraphic font of the P.) $)
  cpw $a class ~P A $.

  ${
    $d x A $.  $d y A $.  $d w x $.  $d w y $.  $d w A $.  $d w z $.  $d z x $.
    $d z y $.  $d z A $.
    $( Soundness justification theorem for ~ df-pw .  (Contributed by Rodolfo
       Medina, 28-Apr-2010.)  (The proof was shortened by Andrew Salmon,
       29-Jun-2011.) $)
    pwjust $p |- { x | x C_ A } = { y | y C_ A } $=
      ( vz cv wss cab sseq1 cbvabv eqtri ) AEZCFZAGDEZCFZDGBEZCFZBGLNADKMCHINPD
      BMOCHIJ $.
      $( [29-Jun-2011] $) $( [28-Apr-2010] $)
  $}

  ${
    $d x A $.
    $( Define power class.  Definition 5.10 of [TakeutiZaring] p. 17, but we
       also let it apply to proper classes, i.e. those that are not members of
       ` _V ` . $)
    df-pw $a |- ~P A = { x | x C_ A } $.
  $}


  ${
    $d x A $.  $d x B $.
    $( Equality theorem for power class. $)
    pweq $p |- ( A = B -> ~P A = ~P B ) $=
      ( vx wceq cv wss cab cpw sseq2 abbidv df-pw 3eqtr4g ) ABDZCEZAFZCGNBFZCGA
      HBHMOPCABNIJCAKCBKL $.
      $( [5-Aug-1993] $)
  $}

  ${
    pweqi.1 $e |- A = B $.
    $( Equality inference for power class. $)
    pweqi $p |- ~P A = ~P B $=
      ( wceq cpw pweq ax-mp ) ABDAEBEDCABFG $.
      $( [27-Nov-2013] $)
  $}

  ${
    pweqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for power class. $)
    pweqd $p |- ( ph -> ~P A = ~P B ) $=
      ( wceq cpw pweq syl ) ABCEBFCFEDBCGH $.
      $( [27-Nov-2013] $)
  $}

  ${
    $d A x $.  $d B x $.
    ${
      elpw.1 $e |- A e. _V $.
      $( Membership in a power class.  Theorem 86 of [Suppes] p. 47. $)
      elpw $p |- ( A e. ~P B <-> A C_ B ) $=
        ( vx cv cpw wcel wss eleq1 sseq1 df-pw abeq2i vtoclb ) DEZBFZGNBHZAOGAB
        HDACNAOINABJPDODBKLM $.
        $( [31-Dec-1993] $)
    $}

    $( Membership in a power class.  Theorem 86 of [Suppes] p. 47. $)
    elpwg $p |- ( A e. V -> ( A e. ~P B <-> A C_ B ) ) $=
      ( vx cv cpw wcel wss wb wceq eleq1 sseq1 bibi12d vex elpw vtoclg ) DEZBFZ
      GZQBHZIARGZABHZIDACQAJSUATUBQARKQABLMQBDNOP $.
      $( [6-Aug-2000] $)
  $}

  $( Subset relation implied by membership in a power class. $)
  elpwi $p |- ( A e. ~P B -> A C_ B ) $=
    ( cpw wcel wss elpwg ibi ) ABCZDABEABHFG $.
    $( [17-Feb-2007] $)

  $( If ` A ` belongs to a part of ` C ` then ` A ` belongs to ` C ` .
     (Contributed by FL, 3-Aug-2009.) $)
  elelpwi $p |- ( ( A e. B /\ B e. ~P C ) -> A e. C ) $=
    ( cpw wcel elpwi sseld impcom ) BCDEZABEACEIBCABCFGH $.
    $( [4-Mar-2011] $) $( [2-Aug-2009] $)

  ${
    $d y z A $.  $d x y z $.
    hbpw.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for power class. $)
    hbpw $p |- ( y e. ~P A -> A. x y e. ~P A ) $=
      ( vz cv cpw wcel wss vex elpw ax-17 hbel hbss hbxfrbi ) BFZCGHPCIAPCBJKAE
      PCEFZPHALABBQCPQHALDMNO $.
      $( [28-Oct-2003] $)
  $}

  ${
    pwid.1 $e |- A e. _V $.
    $( A set is a member of its power class.  Theorem 87 of [Suppes] p. 47. $)
    pwid $p |- A e. ~P A $=
      ( cpw wcel wss ssid elpw mpbir ) AACDAAEAFAABGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Subclass relationship for power class. $)
    pwss $p |- ( ~P A C_ B <-> A. x ( x C_ A -> x e. B ) ) $=
      ( cpw wss cv wcel wi wal dfss2 df-pw abeq2i imbi1i albii bitri ) BDZCEAFZ
      PGZQCGZHZAIQBEZSHZAIAPCJTUBARUASUAAPABKLMNO $.
      $( [21-Jun-2009] $)
  $}


  ${
    $d x A $.  $d x B $.
    $( The power set of a singleton. $)
    pwsn $p |- ~P { A } = { (/) , { A } } $=
      ( vx cv csn wss cab c0 wceq wo cpw cpr sssn abbii df-pw dfpr2 3eqtr4i ) B
      CZADZEZBFQGHQRHIZBFRJGRKSTBQALMBRNBGROP $.
      $( [5-Jun-2006] $)
  $}

  $( The power class of the universe is the universe. $)
  pwv $p |- ~P _V = _V $=
    ( vx cvv cpw cv wcel wss ssv vex elpw mpbir 2th eqriv ) ABCZBADZMEZNBEONBFN
    GNBAHZIJPKL $.
    $( [30-Jan-2015] $)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
             NF Set Theory - add the Set Construction Axioms
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Introduce the set construction axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w $.
    $( State the axiom of anti-intersection.  Axiom P1 of {{Hailperin}}.  This
       axiom sets up boolean operations on sets.

       Note on this and the following axioms: this axiom, ~ ax-xp , ~ ax-cnv ,
       ~ ax-1c , ~ ax-sset , ~ ax-si , ~ ax-ins2 , ~ ax-ins3 , and
       ~ ax-typlower are from {{Hailperin}}, and are designed to implement the
       Stratification Axiom from {{Quine2}}.

       A well-formed formula using only propositional symbols, predicate
       symbols, and ` e. ` is "stratified" iff you can make a (metalogical)
       mapping from the variables to the natural numbers such that any formulas
       of the form ` x = y ` have the same number, and any formulas of the form
       ` x e. y ` have ` x ` as one less than ` y ` .  Quine's stratification
       axiom states that there is a set corresponding to any stratified
       formula.

       Since we cannot state stratification from within the logic, we use
       Hailperin's axioms and prove existence of stratified sets using
       Hailperin's algorithm. $)
    ax-nin $a |- E. z A. w ( w e. z <-> ( w e. x -/\ w e. y ) ) $.
  $}

  ${
    $d x y z w t $.
    $( State the axiom of cross product.  This axiom guarantees the existence
       of the (Kuratowski) cross product of ` _V ` with ` x ` .  Axiom P5 of
       {{Hailperin}}. $)
    ax-xp $a |- E. y A. z ( z e. y <->
           E. w E. t ( z = << w , t >> /\ t e. x ) ) $.
  $}

  ${
    $d x y z w $.
    $( State the axiom of converse.  This axiom guarantees the existence of the
       Kuratowski converse of ` x ` .  Axiom P7 of {{Hailperin}}. $)
    ax-cnv $a |- E. y A. z A. w ( << z , w >> e. y <-> << w , z >> e. x ) $.
  $}

  ${
    $d x y z w $.
    $( State the axiom of cardinal one.  This axiom guarantees the existence of
       the set of all singletons, which will become cardinal one later in our
       development.  Axiom P8 of {{Hailperin}}. $)
    ax-1c $a |- E. x A. y ( y e. x <-> E. z A. w ( w e. y <-> w = z ) ) $.
  $}

  ${
    $d x y z w $.
    $( State the axiom of the subset relationship.  This axiom guarantees the
       existence of the Kuratowski relationship representing subset.  Slight
       generalization of axiom P9 of {{Hailperin}}. $)
    ax-sset $a |- E. x A. y A. z ( << y , z >> e. x <->
      A. w ( w e. y -> w e. z ) ) $.
  $}

  ${
    $d x y z w $.
    $( State the axiom of the singleton image.  This axiom guarantees that
       guarantees the existence of a set that raises the "type" of another set
       when considered as a relationship.  Axiom P2 of {{Hailperin}}. $)
    ax-si $a |- E. y A. z A. w ( << { z } , { w } >> e. y <->
          << z , w >> e. x ) $.
  $}

  ${
    $d x y z w t $.
    $( State the insertion two axiom.  This axiom sets up a set that inserts an
       extra variable at the second place of the relationship described by
       ` x ` .  Axiom P3 of {{Hailperin}}. $)
    ax-ins2 $a |- E. y A. z A. w A. t (
      << { { z } } , << w , t >> >> e. y <-> << z , t >> e. x ) $.

    $( State the insertion three axiom.  This axiom sets up a set that inserts
       an extra variable at the third place of the relationship described by
       ` x ` .  Axiom P4 of {{Hailperin}}. $)
    ax-ins3 $a |- E. y A. z A. w A. t (
      << { { z } } , << w , t >> >> e. y <-> << z , w >> e. x ) $.
  $}

  ${
    $d x y z w $.
    $( The type lowering axiom.  This axiom eventually sets up both the
       existence of the sum set and the existence of the range of a
       relationship. Axiom P6 of {{Hailperin}}. $)
    ax-typlower $a |- E. y A. z ( z e. y <-> A. w << w , { z } >> e. x ) $.
  $}

  ${
    $d x y z $.
    $( The singleton axiom.  This axiom sets up the existence of a singleton
       set.  This appears to have been an oversight on Hailperin's part, as it
       is needed to prove the properties of Kuratowski ordered pairs. $)
    ax-sn $a |- E. y A. z ( z e. y <-> z = x ) $.
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Primitive forms for some axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d a c $.  $d B c $.
    $( Lemma for the primitive axioms.  Primitive form of equality to a
       singleton. $)
    axprimlem1 $p |- ( a = { B } <-> A. c ( c e. a <-> c = B ) ) $=
      ( cv csn wceq wel wcel wb wal dfcleq vex elsn bibi2i albii bitri ) BDZAEZ
      FCBGZCDZRHZIZCJSTAFZIZCJCQRKUBUDCUAUCSTACLMNOP $.
      $( [25-Mar-2015] $)
  $}

  ${
    $d a d $.  $d B d $.  $d B e $.  $d B f $.  $d C d $.  $d C f $.  $d d e $.
    $d d f $.
    $( Lemma for the primitive axioms.  Primitive form of equality to a
       Kuratowski ordered pair. $)
    axprimlem2 $p |- ( a = << B , C >> <-> A. d ( d e. a <-> ( A. e ( e e. d
        <-> e = B ) \/ A. f ( f e. d <-> ( f = B \/ f = C ) ) ) ) ) $=
      ( cv wceq cpr wel wb wal wo wcel dfcleq vex elpr bibi2i albii bitri copk
      csn df-opk eqeq2i axprimlem1 orbi12i ) EGZABUAZHUGAUBZABIZIZHZFEJZCFJCGAH
      KCLZDFJZDGZAHUPBHMZKZDLZMZKZFLZUHUKUGABUCUDULUMFGZUKNZKZFLVBFUGUKOVEVAFVD
      UTUMVDVCUIHZVCUJHZMUTVCUIUJFPQVFUNVGUSAFCUEVGUOUPUJNZKZDLUSDVCUJOVIURDVHU
      QUOUPABDPQRSTUFTRSTT $.
      $( [25-Mar-2015] $)
  $}


  ${
    $d a b $.  $d a c $.  $d a t $.  $d a w $.  $d a z $.  $d b w $.  $d c t $.
    $d c w $.  $d t w $.  $d t x $.  $d t y $.  $d t z $.  $d w x $.  $d w y $.
    $d w z $.  $d x y $.  $d x z $.  $d y z $.
    $( ~ ax-xp presented without any set theory definitions. $)
    axxpprim $p |- E. y A. z ( z e. y <-> E. w E. t ( A. a ( a e. z <-> ( A. b
        ( b e. a <-> b = w ) \/ A. c ( c e. a <-> ( c = w \/ c = t ) ) ) ) /\ t
        e. x ) ) $=
      ( wel cv copk wceq wa wex wb wal weq wo ax-xp axprimlem2 albii exbii mpbi
      anbi1i 2exbii bibi2i ) CBIZCJDJZEJZKLZEAIZMZENDNZOZCPZBNUGFCIGFIGDQOGPHFI
      HDQHEQROHPROFPZUKMZENDNZOZCPZBNABCDESUOUTBUNUSCUMURUGULUQDEUJUPUKUHUIGHCF
      TUDUEUFUAUBUC $.
      $( [25-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a w $.  $d a y $.  $d a z $.  $d b c $.  $d b d $.  $d b w $.
    $d b z $.  $d c z $.  $d d w $.  $d d z $.  $d e f $.  $d e w $.  $d e x $.
    $d e z $.  $d f g $.  $d f h $.  $d f w $.  $d f z $.  $d g w $.  $d h w $.
    $d h z $.  $d w x $.  $d w y $.  $d w z $.  $d x y $.  $d x z $.  $d y z $.
    $( ~ ax-cnv presented without any set theory definitions. $)
    axcnvprim $p |- E. y A. z A. w ( E. a ( A. b ( b e. a <-> ( A. c ( c e. b
        <-> c = z ) \/ A. d ( d e. b <-> ( d = z \/ d = w ) ) ) ) /\ a e. y )
        <-> E. e ( A. f ( f e. e <-> ( A. g ( g e. f <-> g = w ) \/ A. h ( h e.
        f <-> ( h = w \/ h = z ) ) ) ) /\ e e. x ) ) $=
      ( cv wb wal wex wel weq wo wa copk ax-cnv df-clel axprimlem2 anbi1i exbii
      wcel wceq bitri bibi12i 2albii mpbi ) CMZDMZUAZBMZUGZUNUMUAZAMZUGZNZDOCOZ
      BPJIQKJQKCRNKOLJQLCRLDRSNLOSNJOZIBQZTZIPZFEQGFQGDRNGOHFQHDRHCRSNHOSNFOZEA
      QZTZEPZNZDOCOZBPABCDUBVBVLBVAVKCDUQVFUTVJUQIMUOUHZVDTZIPVFIUOUPUCVNVEIVMV
      CVDUMUNKLIJUDUEUFUIUTEMURUHZVHTZEPVJEURUSUCVPVIEVOVGVHUNUMGHEFUDUEUFUIUJU
      KUFUL $.
      $( [25-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a x $.  $d a y $.  $d a z $.  $d b c $.  $d b d $.  $d b y $.
    $d b z $.  $d c y $.  $d d y $.  $d d z $.  $d e x $.  $d e y $.  $d e z $.
    $d x y $.  $d x z $.  $d y z $.
    $( ~ ax-sset presented without any set theory definitions. $)
    axssetprim $p |- E. x A. y A. z ( E. a ( A. b ( b e. a <-> ( A. c ( c e. b
        <-> c = y ) \/ A. d ( d e. b <-> ( d = y \/ d = z ) ) ) ) /\ a e. x )
        <-> A. e ( e e. y -> e e. z ) ) $=
      ( cv copk wcel wel wi wal wb wex weq wo wa exbii ax-sset axprimlem2 bitri
      wceq df-clel anbi1i bibi1i 2albii mpbi ) BIZCIZJZAIZKZDBLDCLMDNZOZCNBNZAP
      FELGFLGBQOGNHFLHBQHCQROHNROFNZEALZSZEPZUOOZCNBNZAPABCDUAUQVCAUPVBBCUNVAUO
      UNEIULUDZUSSZEPVAEULUMUEVEUTEVDURUSUJUKGHEFUBUFTUCUGUHTUI $.
      $( [25-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a w $.  $d a y $.  $d a z $.  $d b c $.  $d b e $.  $d b w $.
    $d b z $.  $d c d $.  $d c z $.  $d d z $.  $d e f $.  $d e g $.  $d e w $.
    $d e z $.  $d f z $.  $d g w $.  $d h i $.  $d h w $.  $d h x $.  $d h z $.
    $d i j $.  $d i k $.  $d i w $.  $d i z $.  $d j z $.  $d k w $.  $d k z $.
    $d w x $.  $d w y $.  $d w z $.  $d x y $.  $d x z $.  $d y z $.
    $( ~ ax-si presented without any set theory definitions. $)
    axsiprim $p |- E. y A. z A. w ( E. a ( A. b ( b e. a <-> ( A. c ( c e. b
        <-> A. d ( d e. c <-> d = z ) ) \/ A. e ( e e. b <-> ( A. f ( f e. e
        <-> f = z ) \/ A. g ( g e. e <-> g = w ) ) ) ) ) /\ a e. y ) <-> E. h (
        A. i ( i e. h <-> ( A. j ( j e. i <-> j = z ) \/ A. k ( k e. i <-> ( k
        = z \/ k = w ) ) ) ) /\ h e. x ) ) $=
      ( cv wb wal wex wel csn copk wcel weq wo wa ax-si wceq df-clel axprimlem2
      axprimlem1 bibi2i albii orbi12i bitri anbi1i exbii bibi12i 2albii mpbi )
      CPZUAZDPZUAZUBZBPZUCZVAVCUBZAPZUCZQZDRCRZBSMLTZNMTZONTOCUDQORZQZNRZEMTZFE
      TFCUDQFRZGETGDUDQGRZUEZQZERZUEZQZMRZLBTZUFZLSZIHTJITJCUDQJRKITKCUDKDUDUEQ
      KRUEQIRZHATZUFZHSZQZDRCRZBSABCDUGVLWOBVKWNCDVGWIVJWMVGLPVEUHZWGUFZLSWILVE
      VFUIWQWHLWPWFWGWPVMVNNPVBUHZQZNRZVREPZVBUHZXAVDUHZUEZQZERZUEZQZMRWFVBVDNE
      LMUJXHWEMXGWDVMWTVQXFWCWSVPNWRVOVNVANOUKULUMXEWBEXDWAVRXBVSXCVTVAEFUKVCEG
      UKUNULUMUNULUMUOUPUQUOVJHPVHUHZWKUFZHSWMHVHVIUIXJWLHXIWJWKVAVCJKHIUJUPUQU
      OURUSUQUT $.
      $( [25-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a w $.  $d a x $.  $d a z $.  $d b c $.  $d b d $.  $d b w $.
    $d b z $.  $d c w $.  $d d e $.  $d d w $.  $d d z $.  $d e z $.  $d w x $.
    $d w y $.  $d w z $.  $d x y $.  $d x z $.  $d y z $.
    $( ~ ax-typlower presented without any set theory definitions. $)
    axtyplowerprim $p |- E. y A. z ( z e. y <-> A. w E. a ( A. b ( b e. a <-> (
        A. c ( c e. b <-> c = w ) \/ A. d ( d e. b <-> ( d = w \/ A. e ( e e. d
        <-> e = z ) ) ) ) ) /\ a e. x ) ) $=
      ( wel cv wal wb wex weq wo wa wceq bibi2i albii csn copk wcel ax-typlower
      df-clel axprimlem2 axprimlem1 orbi2i bitri anbi1i exbii mpbi ) CBJZDKZCKZ
      UAZUBZAKZUCZDLZMZCLZBNUMGFJZHGJHDOMHLZIGJZIDOZEIJECOMELZPZMZILZPZMZGLZFAJ
      ZQZFNZDLZMZCLZBNABCDUDVBVSBVAVRCUTVQUMUSVPDUSFKUQRZVNQZFNVPFUQURUEWAVOFVT
      VMVNVTVCVDVEVFIKUPRZPZMZILZPZMZGLVMUNUPHIFGUFWGVLGWFVKVCWEVJVDWDVIIWCVHVE
      WBVGVFUOIEUGUHSTUHSTUIUJUKUITSTUKUL $.
      $( [25-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a t $.  $d a w $.  $d a y $.  $d a z $.  $d b c $.  $d b f $.
    $d b t $.  $d b w $.  $d b z $.  $d c d $.  $d c z $.  $d d e $.  $d d z $.
    $d e g $.  $d e z $.  $d f g $.  $d f h $.  $d f t $.  $d f w $.  $d f z $.
    $d g z $.  $d h i $.  $d h j $.  $d h t $.  $d h w $.  $d i w $.  $d j t $.
    $d j w $.  $d k l $.  $d k t $.  $d k x $.  $d k z $.  $d l m $.  $d l n $.
    $d l t $.  $d l z $.  $d m z $.  $d n t $.  $d n z $.  $d t w $.  $d t x $.
    $d t y $.  $d t z $.  $d w x $.  $d w y $.  $d w z $.  $d x y $.  $d x z $.
    $d y z $.
    $( ~ ax-ins2 presented without any set theory definitions. $)
    axins2prim $p |- E. y A. z A. w A. t ( E. a ( A. b ( b e. a <-> ( A. c ( c
        e. b <-> A. d ( d e. c <-> A. e ( e e. d <-> e = z ) ) ) \/ A. f ( f e.
        b <-> ( A. g ( g e. f <-> A. e ( e e. g <-> e = z ) ) \/ A. h ( h e. f
        <-> ( A. i ( i e. h <-> i = w ) \/ A. j ( j e. h <-> ( j = w \/ j = t )
        ) ) ) ) ) ) ) /\ a e. y ) <-> E. k ( A. l ( l e. k <-> ( A. m ( m e. l
        <-> m = z ) \/ A. n ( n e. l <-> ( n = z \/ n = t ) ) ) ) /\ k e. x ) )
        $=
      ( wal cv csn copk wcel wb wex wel weq wo wa ax-ins2 axprimlem2 axprimlem1
      wceq df-clel bibi2i albii bitri orbi12i anbi1i exbii bibi12i 2albii mpbi
      ) CUAZUBZUBZDUAZEUAZUCZUCZBUAZUDZVEVIUCZAUAZUDZUEZETZDTCTZBUFPOUGZQPUGZRQ
      UGZFRUGFCUHZUEFTZUEZRTZUEZQTZGPUGZHGUGZFHUGWCUEFTZUEZHTZIGUGJIUGJDUHUEJTK
      IUGKDUHKEUHUIUEKTUIUEITZUIZUEZGTZUIZUEZPTZOBUGZUJZOUFZSLUGMSUGMCUHUEMTNSU
      GNCUHNEUHUIUENTUIUESTZLAUGZUJZLUFZUEZETZDTCTZBUFABCDEUKVSXJBVRXICDVQXHEVM
      XCVPXGVMOUAVKUNZXAUJZOUFXCOVKVLUOXLXBOXKWTXAXKVTWAQUAVGUNZUEZQTZWIGUAZVGU
      NZXPVJUNZUIZUEZGTZUIZUEZPTWTVGVJQGOPULYCWSPYBWRVTXOWHYAWQXNWGQXMWFWAXMWBR
      UAVFUNZUEZRTWFVFQRUMYEWERYDWDWBVERFUMUPUQURUPUQXTWPGXSWOWIXQWMXRWNXQWJHUA
      VFUNZUEZHTWMVFGHUMYGWLHYFWKWJVEHFUMUPUQURVHVIJKGIULUSUPUQUSUPUQURUTVAURVP
      LUAVNUNZXEUJZLUFXGLVNVOUOYIXFLYHXDXEVEVIMNLSULUTVAURVBUQVCVAVD $.
      $( [25-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a t $.  $d a w $.  $d a y $.  $d a z $.  $d b c $.  $d b f $.
    $d b t $.  $d b w $.  $d b z $.  $d c d $.  $d c z $.  $d d e $.  $d d z $.
    $d e g $.  $d e z $.  $d f g $.  $d f h $.  $d f t $.  $d f w $.  $d f z $.
    $d g z $.  $d h i $.  $d h j $.  $d h t $.  $d h w $.  $d i w $.  $d j t $.
    $d j w $.  $d k l $.  $d k w $.  $d k x $.  $d k z $.  $d l m $.  $d l n $.
    $d l w $.  $d l z $.  $d m z $.  $d n w $.  $d n z $.  $d t w $.  $d t x $.
    $d t y $.  $d t z $.  $d w x $.  $d w y $.  $d w z $.  $d x y $.  $d x z $.
    $d y z $.
    $( ~ ax-ins3 presented without any set theory definitions. $)
    axins3prim $p |- E. y A. z A. w A. t ( E. a ( A. b ( b e. a <-> ( A. c ( c
        e. b <-> A. d ( d e. c <-> A. e ( e e. d <-> e = z ) ) ) \/ A. f ( f e.
        b <-> ( A. g ( g e. f <-> A. e ( e e. g <-> e = z ) ) \/ A. h ( h e. f
        <-> ( A. i ( i e. h <-> i = w ) \/ A. j ( j e. h <-> ( j = w \/ j = t )
        ) ) ) ) ) ) ) /\ a e. y ) <-> E. k ( A. l ( l e. k <-> ( A. m ( m e. l
        <-> m = z ) \/ A. n ( n e. l <-> ( n = z \/ n = w ) ) ) ) /\ k e. x ) )
        $=
      ( wal cv csn copk wcel wb wex wel weq wo wa ax-ins3 axprimlem2 axprimlem1
      wceq df-clel bibi2i albii bitri orbi12i anbi1i exbii bibi12i 2albii mpbi
      ) CUAZUBZUBZDUAZEUAZUCZUCZBUAZUDZVEVHUCZAUAZUDZUEZETZDTCTZBUFPOUGZQPUGZRQ
      UGZFRUGFCUHZUEFTZUEZRTZUEZQTZGPUGZHGUGZFHUGWCUEFTZUEZHTZIGUGJIUGJDUHUEJTK
      IUGKDUHKEUHUIUEKTUIUEITZUIZUEZGTZUIZUEZPTZOBUGZUJZOUFZSLUGMSUGMCUHUEMTNSU
      GNCUHNDUHUIUENTUIUESTZLAUGZUJZLUFZUEZETZDTCTZBUFABCDEUKVSXJBVRXICDVQXHEVM
      XCVPXGVMOUAVKUNZXAUJZOUFXCOVKVLUOXLXBOXKWTXAXKVTWAQUAVGUNZUEZQTZWIGUAZVGU
      NZXPVJUNZUIZUEZGTZUIZUEZPTWTVGVJQGOPULYCWSPYBWRVTXOWHYAWQXNWGQXMWFWAXMWBR
      UAVFUNZUEZRTWFVFQRUMYEWERYDWDWBVERFUMUPUQURUPUQXTWPGXSWOWIXQWMXRWNXQWJHUA
      VFUNZUEZHTWMVFGHUMYGWLHYFWKWJVEHFUMUPUQURVHVIJKGIULUSUPUQUSUPUQURUTVAURVP
      LUAVNUNZXEUJZLUFXGLVNVOUOYIXFLYHXDXEVEVHMNLSULUTVAURVBUQVCVAVD $.
      $( [25-Mar-2015] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Initial existence theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x y z w $.  $d B x y z w $.
    $( The anti-intersection of two sets is a set. $)
    ninexg $p |- ( ( A e. V /\ B e. W ) -> ( A -i^i B ) e. _V ) $=
      ( vx vy vw vz cv cnin cvv wcel wceq nineq1 eleq1d wel wb wal wex bitri
      nineq2 wnand ax-nin isset dfcleq elnin bibi2i albii exbii mpbir vtocl2g
      vex ) EIZFIZJZKLZAUNJZKLABJZKLEFABCDUMAMUOUQKUMAUNNOUNBMUQURKUNBAUAOUPGHP
      ZGEPGFPUBZQZGRZHSZEFHGUCUPHIZUOMZHSVCHUOUDVEVBHVEUSGIZUOLZQZGRVBGVDUOUEVH
      VAGVGUTUSVFUMUNGULUFUGUHTUITUJUK $.
      $( [12-Jan-2015] $)
  $}

  ${
    ninex.1 $e |- A e. _V $.
    ninex.2 $e |- B e. _V $.
    $( The anti-intersection of two sets is a set. $)
    ninex $p |- ( A -i^i B ) e. _V $=
      ( cvv wcel cnin ninexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [12-Jan-2015] $)
  $}

  $( The complement of a set is a set. $)
  complexg $p |- ( A e. V -> ~ A e. _V ) $=
    ( wcel ccompl cnin cvv df-compl ninexg anidms syl5eqel ) ABCZADAAEZFAGKLFCA
    ABBHIJ $.
    $( [12-Jan-2015] $)

  $( The intersection of two sets is a set. $)
  inexg $p |- ( ( A e. V /\ B e. W ) -> ( A i^i B ) e. _V ) $=
    ( wcel wa cin cnin ccompl cvv df-in ninexg complexg syl syl5eqel ) ACEBDEFZ
    ABGABHZIZJABKPQJERJEABCDLQJMNO $.
    $( [12-Jan-2015] $)

  $( The union of two sets is a set. $)
  unexg $p |- ( ( A e. V /\ B e. W ) -> ( A u. B ) e. _V ) $=
    ( wcel wa cun ccompl cnin cvv df-un complexg ninexg syl2an syl5eqel ) ACEZB
    DEZFABGAHZBHZIZJABKPRJESJETJEQACLBDLRSJJMNO $.
    $( [12-Jan-2015] $)

  $( The difference of two sets is a set. $)
  difexg $p |- ( ( A e. V /\ B e. W ) -> ( A \ B ) e. _V ) $=
    ( wcel wa cdif ccompl cin cvv df-dif complexg inexg sylan2 syl5eqel ) ACEZB
    DEZFABGABHZIZJABKQPRJESJEBDLARCJMNO $.
    $( [12-Jan-2015] $)

  $( The symmetric difference of two sets is a set. $)
  symdifexg $p |- ( ( A e. V /\ B e. W ) -> ( A (+) B ) e. _V ) $=
    ( wcel csymdif cdif cun cvv df-symdif difexg ancoms unexg syl2anc syl5eqel
    wa ) ACEZBDEZPZABFABGZBAGZHZIABJSTIEUAIEZUBIEABCDKRQUCBADCKLTUAIIMNO $.
    $( [12-Jan-2015] $)

  ${
    boolex.1 $e |- A e. _V $.
    $( The complement of a set is a set. $)
    complex $p |- ~ A e. _V $=
      ( cvv wcel ccompl complexg ax-mp ) ACDAECDBACFG $.
      $( [12-Jan-2015] $)

    boolex.2 $e |- B e. _V $.
    $( The intersection of two sets is a set. $)
    inex $p |- ( A i^i B ) e. _V $=
      ( cvv wcel cin inexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [12-Jan-2015] $)

    $( The union of two sets is a set. $)
    unex $p |- ( A u. B ) e. _V $=
      ( cvv wcel cun unexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [12-Jan-2015] $)

    $( The difference of two sets is a set. $)
    difex $p |- ( A \ B ) e. _V $=
      ( cvv wcel cdif difexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [12-Jan-2015] $)

    $( The symmetric difference of two sets is a set. $)
    symdifex $p |- ( A (+) B ) e. _V $=
      ( cvv wcel csymdif symdifexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [12-Jan-2015] $)
  $}

  $( The universal class exists.  This marks a major departure from ZFC set
     theory, where ` _V ` is a proper class. $)
  vvex $p |- _V e. _V $=
    ( vx cv ccompl cun cvv uncompl vex complex unex eqeltrri ) ABZKCZDEEKFKLAGZ
    KMHIJ $.
    $( [12-Jan-2015] $)

  $( The empty class exists. $)
  0ex $p |- (/) e. _V $=
    ( c0 cvv ccompl df-nul vvex complex eqeltri ) ABCBDBEFG $.
    $( [12-Jan-2015] $)

  ${
    $d A x y z $.
    $( A singleton always exists. $)
    snex $p |- { A } e. _V $=
      ( vx vz vy cvv wcel csn cv wceq sneq eleq1d wel weq wal ax-sn isset bitri
      wb wex c0 dfcleq vex elsn bibi2i albii exbii mpbir vtoclg wn snprc biimpi
      0ex syl6eqel pm2.61i ) AEFZAGZEFZBHZGZEFZUQBAEURAIUSUPEURAJKUTCDLZCBMZRZC
      NZDSZBDCOUTDHZUSIZDSVEDUSPVGVDDVGVACHZUSFZRZCNVDCVFUSUAVJVCCVIVBVAVHURCUB
      UCUDUEQUFQUGUHUOUIZUPTEVKUPTIAUJUKULUMUN $.
      $( [12-Jan-2015] $)
  $}

  $( An unordered pair exists. $)
  prex $p |- { A , B } e. _V $=
    ( cpr csn cun cvv df-pr snex unex eqeltri ) ABCADZBDZEFABGKLAHBHIJ $.
    $( [12-Jan-2015] $)

  $( A Kuratowski ordered pair exists. $)
  opkex $p |- << A , B >> e. _V $=
    ( copk csn cpr cvv df-opk prex eqeltri ) ABCADZABEZEFABGJKHI $.
    $( [12-Jan-2015] $)


  $( A singleton of a set belongs to a power class of a set containing it. $)
  snelpwg $p |- ( A e. V -> ( { A } e. ~P B <-> A e. B ) ) $=
    ( wcel csn wss cpw snssg snex elpw syl6rbbr ) ACDABDAEZBFLBGDABCHLBAIJK $.
    $( [1-Feb-2015] $)

  ${
    snelpw.1 $e |- A e. _V $.
    $( A singleton of a set belongs to a power class of a set containing it. $)
    snelpw $p |- ( { A } e. ~P B <-> A e. B ) $=
      ( cvv wcel csn cpw wb snelpwg ax-mp ) ADEAFBGEABEHCABDIJ $.
      $( [1-Feb-2015] $)
  $}

  ${
    $( A singleton of a set belongs to the power class of a class containing
       the set.  (Contributed by Alan Sare, 25-Aug-2011.) $)
    snelpwi $p |- ( A e. B -> { A } e. ~P B ) $=
      ( wcel csn wss cpw snssi snex elpw sylibr ) ABCADZBEKBFCABGKBAHIJ $.
      $( [25-Aug-2011] $)
  $}

  ${
    $d A x y $.
    $( A class equals the union of its power class.  Exercise 6(a) of
       [Enderton] p. 38.  (The proof was shortened by Alan Sare,
       28-Dec-2008.) $)
    unipw $p |- U. ~P A = A $=
      ( vx vy cpw cuni cv wcel wa wex eluni wss wi vex elpw ssel impcom exlimiv
      sylbi csn snid snelpwi elunii sylancr impbii eqriv ) BADZEZABFZUGGZUHAGZU
      IUHCFZGZUKUFGZHZCIUJCUHUFJUNUJCUMULUJUMUKAKULUJLUKACMNUKAUHORPQRUJUHUHSZG
      UOUFGUIUHBMTUHAUAUHUOUFUBUCUDUE $.
      $( [29-Dec-2008] $) $( [14-Oct-1996] $)
  $}


  ${
    $d A x $.  $d B x $.
    $( Classes are subclasses if and only if their power classes are
       subclasses.  Exercise 18 of [TakeutiZaring] p. 18. $)
    sspwb $p |- ( A C_ B <-> ~P A C_ ~P B ) $=
      ( vx wss cpw wcel sstr2 com12 vex elpw 3imtr4g ssrdv csn ssel snex bitr4i
      cv snss 3imtr3g impbii ) ABDZAEZBEZDZUACUBUCUACQZADZUEBDZUEUBFUEUCFUFUAUG
      UEABGHUEACIZJUEBUHJKLUDCABUDUEMZUBFZUIUCFZUEAFZUEBFZUBUCUINUJUIADULUIAUEO
      ZJUEAUHRPUKUIBDUMUIBUNJUEBUHRPSLT $.
      $( [13-Oct-1996] $)
  $}


  ${
    $d A a $.  $d a b $.  $d A b $.  $d A x $.  $d a z $.  $d A z $.  $d b z $.
    $d X a $.  $d X b $.  $d X x $.  $d x z $.  $d X z $.

    $( Compute the power class of an adjoinment. $)
    pwadjoin $p |- ~P ( A u. { X } ) =
       ( ~P A u. { a | E. b e. ~P A a = ( b u. { X } ) } ) $=
      ( vz vx cun cpw cv wceq wrex wcel wo wss elpw wn wa wi sylib com12 orbi2i
      csn cab vex weq eqeq1 rexbidv elab elun cdif wel eldifsn ssel bitri df-ne
      wne elsn simpl nic-luk3 imp jaoian syl2anb a1i syland syl5bi ssrdv adantr
      difex sylibr undif1 snssi ssequn2 adantl syl5req uneq1 rcla4ev syl2anc ex
      snex eqeq2d con3d ax-1 eleq1 biimpd iman jaoi sylbi exp3a syld imp3a orrd
      pm2.21d con1d orbi1i elpwi ssun1 syl6ss ssun2 jctir unss sseq1 syl5ibrcom
      rexlimiv impbii 3bitr4ri eqriv ) EABUBZGZHZAHZCIZDIZXGGZJZDXJKZCUCZGZEIZX
      JLZXRXPLZMXSXRXMJZDXJKZMZXRXQLXRXILZXTYBXSXOYBCXREUDZCEUEXNYADXJXKXRXMUFU
      GUHUAXRXJXPUIYDXRXHNZYCXRXHYEOYFYCYFXRANZYBMYCYFYGYBYFYBYGYFYBPBXRLZPZYGY
      FYHYBYFYHYBYFYHQZXRXGUJZXJLZXRYKXGGZJZYBYJYKANZYLYFYOYHYFFYKAFIZYKLFEUKZY
      PBUPZQYFYPALZYPXRBULYFYQYPXHLZYRYSXRXHYPUMZYTYRQYSRYFYTYSYPBJZMZUUBPZYSYR
      YTYSYPXGLZMUUCYPAXGUIUUEUUBYSYPBFUDUQUAUNZYPBUOYSUUDYSUUBYSUUDURUUBUUDYSU
      UBYSUSUTVAVBVCVDVEVFVGYKAXRXGYEBVSVHOVIYJYMXRXGGZXRXRXGVJYHUUGXRJZYFYHXGX
      RNUUHBXRVKXGXRVLSVMVNYAYNDYKXJXLYKJXMYMXRXLYKXGVOVTVPVQVRWAYFYIYGYFYIQZFX
      RAYQUUIYSYQYFYIYSYQYFYTYIYSRZYFYQYTUUATYTYQUUJYTYQYIYSYTUUCYQYIQZYSRZUUFY
      SUULUUBYSUUKWBUUBUUKYSUUBYQYHRUUKPUUBYQYHYPBXRWCWDYQYHWESWLWFWGWHTWIWJTVF
      VRWIWMWKXSYGYBXRAYEOWNVIXSYFYBXSXRAXHXRAWOAXGWPZWQYAYFDXJXLXJLZYFYAXMXHNZ
      UUNXLXHNZXGXHNZQUUOUUNUUPUUQUUNXLAXHXLAWOUUMWQXGAWRWSXLXGXHWTSXRXMXHXAXBX
      CWFXDUNXEXF $.
      $( [30-Jan-2015] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Singletons and pairs (continued)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A singleton is a subset of an unordered pair. $)
  snprss1 $p |- { A } C_ { A , B } $=
    ( csn cun cpr ssun1 df-pr sseqtr4i ) ACZIBCZDABEIJFABGH $.
    $( [12-Jan-2015] $)

  $( A singleton is a subset of an unordered pair. $)
  snprss2 $p |- { A } C_ { B , A } $=
    ( csn cpr snprss1 prcom sseqtri ) ACABDBADABEABFG $.
    $( [12-Jan-2015] $)


  $( An unordered pair of a proper class. $)
  prprc2 $p |- ( -. A e. _V -> { B , A } = { B } ) $=
    ( cvv wcel wn cpr csn cun df-pr wceq snprc biimpi uneq2d un0 syl6eq syl5eq
    c0 ) ACDEZBAFBGZAGZHZSBAIRUASQHSRTQSRTQJAKLMSNOP $.
    $( [12-Jan-2015] $)

  $( An unordered pair of a proper class. $)
  prprc1 $p |- ( -. A e. _V -> { A , B } = { B } ) $=
    ( cvv wcel wn cpr csn prcom prprc2 syl5eq ) ACDEABFBAFBGABHABIJ $.
    $( [12-Jan-2015] $)


  ${
    preqr1.1 $e |- A e. _V $.
    preqr1.2 $e |- B e. _V $.
    $( Reverse equality lemma for unordered pairs.  If two unordered pairs have
       the same second element, the first elements are equal. $)
    preqr1 $p |- ( { A , C } = { B , C } -> A = B ) $=
      ( cpr wceq wcel wo prid1 eleq2 mpbii elpr sylib mpbiri eqcom eqeq2 oplem1
      ) ACFZBCFZGZABGZACGZBAGZBCGZUAATHZUBUCIUAASHUFACDJSTAKLABCDMNUABSHZUDUEIU
      AUGBTHBCEJSTBKOBACEMNABPACBQR $.
      $( [18-Oct-1995] $)
  $}

  ${
    preqr2.1 $e |- A e. _V $.
    preqr2.2 $e |- B e. _V $.
    $( Reverse equality lemma for unordered pairs.  If two unordered pairs have
       the same first element, the second elements are equal. $)
    preqr2 $p |- ( { C , A } = { C , B } -> A = B ) $=
      ( cpr wceq prcom eqeq12i preqr1 sylbi ) CAFZCBFZGACFZBCFZGABGLNMOCAHCBHIA
      BCDEJK $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    $( Reverse equality lemma for unordered pairs.  If two unordered pairs have
       the same first element, the second elements are equal. $)
    preqr2g $p |- ( ( A e. V /\ B e. W ) ->
           ( { C , A } = { C , B } -> A = B ) ) $=
      ( vx vy cv cpr wceq weq wi preq2 eqeq1d eqeq1 imbi12d eqeq2d eqeq2 preqr2
      vex vtocl2g ) CFHZIZCGHZIZJZFGKZLCAIZUEJZAUDJZLUHCBIZJZABJZLFGABDEUBAJZUF
      UIUGUJUNUCUHUEUBACMNUBAUDOPUDBJZUIULUJUMUOUEUKUHUDBCMQUDBARPUBUDCFTGTSUA
      $.
      $( [12-Jan-2015] $)
  $}


  ${
    preq12b.1 $e |- A e. _V $.
    preq12b.2 $e |- B e. _V $.
    preq12b.3 $e |- C e. _V $.
    preq12b.4 $e |- D e. _V $.
    $( Equality relationship for two unordered pairs. $)
    preq12b $p |- ( { A , B } = { C , D } <->
                   ( ( A = C /\ B = D ) \/ ( A = D /\ B = C ) ) ) $=
      ( cpr wceq wa wo wcel preq1 eqeq1d preqr2 syl6bi com12 ancld prcom eqeq2i
      prid1 eleq2 mpbii elpr sylib wi sylbi orim12d preq12 syl6eq sylan9eq jaoi
      mpd impbii ) ABIZCDIZJZACJZBDJZKZADJZBCJZKZLZURUSVBLZVEURAUQMZVFURAUPMVGA
      BEUBUPUQAUCUDACDEUEUFURUSVAVBVDURUSUTUSURUTUSURCBIZUQJUTUSUPVHUQACBNOBDCF
      HPQRSURVBVCURUPDCIZJZVBVCUGUQVIUPCDTUAVBVJVCVBVJDBIZVIJVCVBUPVKVIADBNZOBC
      DFGPQRUHSUIUNVAURVDABCDUJVBVCUPBDIZUQVBUPVKVMVLDBTUKBCDNULUMUO $.
      $( [17-Oct-1996] $)

    $( Equality of two unordered pairs. $)
    prel12 $p |- ( -. A = B -> ( { A , B } = { C , D } <->
                   ( A e. { C , D } /\ B e. { C , D } ) ) ) $=
      ( wceq wn cpr wcel wa eleq2 mpbii wo wi elpr eqeq2 notbid prid1 prid2 jca
      orel2 syl6bi com3l imp ancrd orel1 orim12d orcom bitri preq12b 3imtr4g ex
      syl5bi imp3a impbid2 ) ABIZJZABKZCDKZIZAVBLZBVBLZMVCVDVEVCAVALVDABEUAVAVB
      ANOVCBVALVEBAFUBVAVBBNOUCUTVDVEVCVDACIZADIZPZUTVEVCQZACDERUTVHVIUTVHMZBDI
      ZBCIZPZVFVKMZVGVLMZPVEVCVJVKVNVLVOVJVKVFUTVHVKVFQVKUTVHVFVKUTVGJVHVFQVKUS
      VGBDASTVGVFUDUEUFUGUHVJVLVGUTVHVLVGQVLUTVHVGVLUTVFJVHVGQVLUSVFBCASTVFVGUI
      UEUFUGUHUJVEVLVKPVMBCDFRVLVKUKULABCDEFGHUMUNUOUPUQUR $.
      $( [17-Oct-1996] $)

    $( A way to represent ordered pairs using unordered pairs with distinct
       members. $)
    opthpr $p |- ( A =/= D ->
                 ( { A , B } = { C , D } <-> ( A = C /\ B = D ) ) ) $=
      ( cpr wceq wa wo wne preq12b idd wn wi df-ne pm2.21 sylbi jaod orc syl5bb
      imp3a impbid1 ) ABICDIJACJBDJKZADJZBCJZKZLZADMZUFABCDEFGHNUKUJUFUKUFUFUIU
      KUFOUKUGUHUFUKUGPUGUHUFQZQADRUGULSTUDUAUFUIUBUEUC $.
      $( [27-Mar-2007] $)
  $}

  ${
    $d A x y z w $.  $d B x y z w $.  $d C x y z w $.  $d D x y z w $.
    $d V x y z w $.  $d W x y z w $.  $d X x y z w $.  $d Y x y z w $.
    $( Closed form of ~ preq12b .  (Contributed by Scott Fenton,
       28-Mar-2014.) $)
    preq12bg $p |- ( ( ( A e. V /\ B e. W ) /\ ( C e. X /\ D e. Y ) ) ->
       ( { A , B } = { C , D } <->
         ( ( A = C /\ B = D ) \/ ( A = D /\ B = C ) ) ) ) $=
      ( vx vy vz vw wcel wa cpr wceq wo wb wi cv weq preq1 eqeq1d eqeq1 orbi12d
      anbi1d bibi12d imbi2d preq2 anbi2d eqeq2 w3a vex preq12b vtoclbg vtocl3ga
      eqeq2d a1i 3expa impr ) AEMZBFMZNCGMZDHMZABOZCDOZPZACPZBDPZNZADPZBCPZNZQZ
      RZVAVBVCVDVOSZVDITZJTZOZKTZDOZPZIKUAZVRDPZNZVQDPZJKUAZNZQZRZSZVDAVROZWAPZ
      AVTPZWDNZVKWGNZQZRZSVDVEWAPZWNVINZVKBVTPZNZQZRZSVPIJKABCEFGVQAPZWJWRVDXEW
      BWMWIWQXEVSWLWAVQAVRUBUCXEWEWOWHWPXEWCWNWDVQAVTUDUFXEWFVKWGVQADUDUFUEUGUH
      VRBPZWRXDVDXFWMWSWQXCXFWLVEWAVRBAUIUCXFWOWTWPXBXFWDVIWNVRBDUDUJXFWGXAVKVR
      BVTUDUJUEUGUHVTCPZXDVOVDXGWSVGXCVNXGWAVFVEVTCDUBUQXGWTVJXBVMXGWNVHVIVTCAU
      KUFXGXAVLVKVTCBUKUJUEUGUHWKVQEMVRFMVTGMULVSVTLTZOZPWCJLUAZNZILUAZWGNZQWBW
      ILDHXHDPZXIWAVSXHDVTUIUQXNXKWEXMWHXNXJWDWCXHDVRUKUJXNXLWFWGXHDVQUKUFUEVQV
      RVTXHIUMJUMKUMLUMUNUOURUPUSUT $.
      $( [19-Apr-2014] $) $( [28-Mar-2014] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Kuratowski ordered pairs (continued)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Membership in a Kuratowski ordered pair. $)
  elopk $p |- ( A e. << B , C >> <-> ( A = { B } \/ A = { B , C } ) ) $=
    ( copk wcel csn cpr wceq wo df-opk eleq2i snex prex elpr2 bitri ) ABCDZEABF
    ZBCGZGZEAQHARHIPSABCJKAQRBLBCMNO $.
    $( [12-Jan-2015] $)

  $( Equality of the first member of a Kuratowski ordered pair, which holds
     regardless of the sethood of the second members. $)
  opkth1g $p |- ( ( A e. V /\ << A , B >> = << C , D >> ) -> A = C ) $=
    ( wcel copk wceq wa csn cpr wo eqid orci elopk mpbir eleq2 snidg syl5ibrcom
    biimprd prid1g jaod syl5bi sylan9r mpi wb elsng adantr mpbid ) AEFZABGZCDGZ
    HZIZACJZFZACHZUNUOULFZUPURUOUOHZUOCDKHZLUSUTUOMNUOCDOPUMURUOUKFZUJUPUMVAURU
    KULUOQTVAUOAJZHZUOABKZHZLUJUPUOABOUJVCUPVEUJUPVCAVBFAERUOVBAQSUJUPVEAVDFABE
    UAUOVDAQSUBUCUDUEUJUPUQUFUMACEUGUHUI $.
    $( [12-Jan-2015] $)

  $( Two Kuratowski ordered pairs are equal iff their components are equal. $)
  opkthg $p |- ( ( A e. V /\ B e. W /\ D e. T ) ->
    ( << A , B >> = << C , D >> <-> ( A = C /\ B = D ) ) ) $=
    ( wcel w3a copk wceq wa simp1 opkth1g sylan wi cpr df-opk prex syl5 jca csn
    simp2 simp3 opkeq1 eqeq1d biimpd impcom eqeq12i preqr2 sylbi exp3a imp jcai
    preqr2g ex opkeq12 impbid1 ) AFHZBGHZDEHZIZABJZCDJZKZACKZBDKZLZVBVEVHVBVELV
    FVGVBUSVEVFUSUTVAMABCDFNOVBUTVALZVEVFVGPZVBUTVAUSUTVAUCUSUTVAUDUAVIVEVJVIVE
    VFVGVEVFLCBJZVDKZVIVGVFVEVLVFVEVLVFVCVKVDACBUEUFUGUHVLCBQZCDQZKZVIVGVLCUBZV
    MQZVPVNQZKVOVKVQVDVRCBRCDRUIVMVNVPCBSCDSUJUKBDCGEUOTTULUMOUNUPABCDUQUR $.
    $( [12-Jan-2015] $)

  ${
    opkth.1 $e |- A e. _V $.
    opkth.2 $e |- B e. _V $.
    opkth.3 $e |- D e. _V $.
    $( Two Kuratowski ordered pairs are equal iff their components are
       equal. $)
    opkth $p |- ( << A , B >> = << C , D >> <-> ( A = C /\ B = D ) ) $=
      ( cvv wcel copk wceq wa wb opkthg mp3an ) AHIBHIDHIABJCDJKACKBDKLMEFGABCD
      HHHNO $.
      $( [12-Jan-2015] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Cardinal one, unit unions, and unit power classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c 1c $. $( Cardinal one $)
  $c ~P1 $.  $( Unit power class: calligraphic P with subscript 1. $)
  $c U.1 $. $( Unitary union. $)

  $( Extend class notation to include the unit union of a class (read:  'unit
     union ` A ` ') $)
  cuni1 $a class U.1 A $.

  $( Extend the definition of a class to include cardinal one. $)
  c1c $a class 1c $.

  $( Extend class notation to include unit power class. $)
  cpw1 $a class ~P1 A $.

  ${
    $d x y $.
    $( Define cardinal one.  This is the set of all singletons, or the set of
       all sets of size one. $)
    df-1c $a |- 1c = { x | E. y x = { y } } $.
  $}

  $( Define unit power class.  Definition from {{Rosser}}. $)
  df-pw1 $a |- ~P1 A = ( ~P A i^i 1c ) $.


  $( Define the unit union of a class.  This operation is used implicitly in
     both {{Holmes}} and {{Hailperin}} to complete their stratification
     algorithms, although neither provide explicit notation for it.  See
     ~ eluni1 for membership condition. $)
  df-uni1 $a |- U.1 A = U. ( A i^i 1c ) $.


  ${
    $d A x y $.
    $( Membership in cardinal one. $)
    el1c $p |- ( A e. 1c <-> E. x A = { x } ) $=
      ( vy c1c wcel cvv cv csn wceq elex snex eleq1 mpbiri exlimiv eqeq1 exbidv
      wex df-1c elab2g pm5.21nii ) BDEBFEZBAGZHZIZAQZBDJUDUAAUDUAUCFEUBKBUCFLMN
      CGZUCIZAQUECBDFUFBIUGUDAUFBUCOPCARST $.
      $( [12-Jan-2015] $)
  $}

  ${
    $d A x $.
    snel1c.1 $e |- A e. _V $.
    $( A singleton is an element of cardinal one. $)
    snel1c $p |- { A } e. 1c $=
      ( vx csn c1c wcel cv wceq wex eqid sneq eqeq2d cla4ev ax-mp el1c mpbir )
      ADZEFQCGZDZHZCIZQQHZUAQJTUBCABRAHSQQRAKLMNCQOP $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x $.
    $( A singleton is an element of cardinal one. $)
    snel1cg $p |- ( A e. V -> { A } e. 1c ) $=
      ( vx cv csn c1c wcel wceq sneq eleq1d vex snel1c vtoclg ) CDZEZFGAEZFGCAB
      NAHOPFNAIJNCKLM $.
      $( [30-Jan-2015] $)
  $}

  ${
    $d x y z w $.
    $( Cardinal one is a set. $)
    1cex $p |- 1c e. _V $=
      ( vy vx vw vz c1c cvv wcel wel weq wb wal wex ax-1c cv isset bitri bibi2i
      wceq albii exbii csn cab df-1c eqeq2i abeq2 dfcleq df-sn abeq2i mpbir ) E
      FGZABHZCAHZCDIZJZCKZDLZJZAKZBLZBADCMUJBNZERZBLUSBEOVAURBVAUKANZDNZUAZRZDL
      ZJZAKZURVAUTVFAUBZRVHEVIUTADUCUDVFAUTUEPVGUQAVFUPUKVEUODVEULCNVDGZJZCKUOC
      VBVDUFVKUNCVJUMULUMCVDCVCUGUHQSPTQSPTPUI $.
      $( [12-Jan-2015] $)
  $}

  $( Equality theorem for unit power class. $)
  pw1eq $p |- ( A = B -> ~P1 A = ~P1 B ) $=
    ( wceq cpw c1c cin cpw1 pweq ineq1d df-pw1 3eqtr4g ) ABCZADZEFBDZEFAGBGLMNE
    ABHIAJBJK $.
    $( [12-Jan-2015] $)

  ${
    $d A x y z w $.  $d B x y z w $.
    $( Membership in a unit power class. $)
    elpw1 $p |- ( A e. ~P1 B <-> E. x e. B A = { x } ) $=
      ( cpw1 wcel cpw c1c wa cv csn wceq wrex cin df-pw1 eleq2i elin bitri el1c
      wex bitr4i anbi2i 19.42v eleq1 wss snex elpw vex snss syl6bb exbii df-rex
      pm5.32ri ) BCDZEZBCFZEZBGEZHZBAIZJZKZACLZUNBUOGMZEURUMVCBCNOBUOGPQURUPVAH
      ZASZVBURUPVAASZHVEUQVFUPABRUAUPVAAUBTVEUSCEZVAHZASVBVDVHAVAUPVGVAUPUTUOEZ
      VGBUTUOUCVIUTCUDVGUTCUSUEUFUSCAUGUHTUIULUJVAACUKTQQ $.
      $( [13-Jan-2015] $)

    $( Membership in a unit power class applied twice. $)
    elpw12 $p |- ( A e. ~P1 ~P1 B <-> E. x e. B A = { { x } } ) $=
      ( vy cpw1 wcel cv csn wceq wrex wa wex elpw1 anbi1i r19.41v bitr4i df-rex
      exbii rexcom4 3bitr4i snex sneq eqeq2d ceqsexv rexbii 3bitri ) BCEZEFBDGZ
      HZIZDUGJZUHAGZHZIZUJKZDLZACJZBUMHZIZACJDBUGMUHUGFZUJKZDLUOACJZDLUKUQVAVBD
      VAUNACJZUJKVBUTVCUJAUHCMNUNUJACOPRUJDUGQUOADCSTUPUSACUJUSDUMULUAUNUIURBUH
      UMUBUCUDUEUF $.
      $( [15-Jan-2015] $)
  $}

  ${
    $d A x $.  $d B x $.
    $( Membership of a singleton in a unit power class. $)
    snelpw1 $p |- ( { A } e. ~P1 B <-> A e. B ) $=
      ( vx csn cv wceq wrex cpw1 wcel eqcom vex sneqb bitri rexbii elpw1 risset
      3bitr4i ) ADZCEZDZFZCBGSAFZCBGRBHIABIUAUBCBUATRFUBRTJSACKLMNCRBOCABPQ $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y $.
    $( Membership in ` ~P1 1c ` $)
    elpw11c $p |- ( A e. ~P1 1c <-> E. x A = { { x } } ) $=
      ( vy c1c cpw1 wcel cv csn wceq wrex wex elpw1 df-rex anbi1i 19.41v bitr4i
      wa el1c exbii bitri excom snex sneq eqeq2d ceqsexv 3bitri ) BDEFBCGZHZIZC
      DJZUGAGZHZIZUIQZAKZCKZBULHZIZAKZCBDLUJUGDFZUIQZCKUPUICDMVAUOCVAUMAKZUIQUO
      UTVBUIAUGRNUMUIAOPSTUPUNCKZAKUSUNCAUAVCURAUIURCULUKUBUMUHUQBUGULUCUDUESTU
      F $.
      $( [13-Jan-2015] $)

    $( Membership in ` ~P1 ~P1 1c ` $)
    elpw121c $p |- ( A e. ~P1 ~P1 1c <-> E. x A = { { { x } } } ) $=
      ( vy c1c cpw1 wcel cv csn wceq wrex elpw1 wa df-rex elpw11c anbi1i 19.41v
      wex bitr4i exbii bitri excom snex sneq eqeq2d ceqsexv ) BDEZEFBCGZHZIZCUF
      JZBAGHZHZHZIZAQZCBUFKUJUGULIZUILZAQZCQZUOUJUGUFFZUILZCQUSUICUFMVAURCVAUPA
      QZUILURUTVBUIAUGNOUPUIAPRSTUSUQCQZAQUOUQCAUAVCUNAUIUNCULUKUBUPUHUMBUGULUC
      UDUESTTT $.
      $( [13-Jan-2015] $)


    $( Membership in ` ~P1 ~P1 ~P1 1c ` $)
    elpw131c $p |- ( A e. ~P1 ~P1 ~P1 1c <->
                E. x A = { { { { x } } } } ) $=
      ( vy c1c cpw1 wcel cv csn wceq wex elpw1 wa df-rex elpw121c anbi1i 19.41v
      wrex bitr4i exbii bitri excom snex sneq eqeq2d ceqsexv ) BDEEZEFBCGZHZIZC
      UFQZBAGHHZHZHZIZAJZCBUFKUJUGULIZUILZAJZCJZUOUJUGUFFZUILZCJUSUICUFMVAURCVA
      UPAJZUILURUTVBUIAUGNOUPUIAPRSTUSUQCJZAJUOUQCAUAVCUNAUIUNCULUKUBUPUHUMBUGU
      LUCUDUESTTT $.
      $( [14-Jan-2015] $)


    $( Membership in ` ~P1 ~P1 ~P1 ~P1 1c ` $)
    elpw141c $p |- ( A e. ~P1 ~P1 ~P1 ~P1 1c <->
                E. x A = { { { { { x } } } } } ) $=
      ( vy c1c cpw1 wcel cv csn wceq wex elpw1 wa df-rex elpw131c anbi1i 19.41v
      wrex bitr4i exbii bitri excom snex sneq eqeq2d ceqsexv ) BDEEEZEFBCGZHZIZ
      CUFQZBAGHHHZHZHZIZAJZCBUFKUJUGULIZUILZAJZCJZUOUJUGUFFZUILZCJUSUICUFMVAURC
      VAUPAJZUILURUTVBUIAUGNOUPUIAPRSTUSUQCJZAJUOUQCAUAVCUNAUIUNCULUKUBUPUHUMBU
      GULUCUDUESTTT $.
      $( [14-Jan-2015] $)

    $( Membership in ` ~P1 ~P1 ~P1 ~P1 ~P1 1c ` $)
    elpw151c $p |- ( A e. ~P1 ~P1 ~P1 ~P1 ~P1 1c <->
                E. x A = { { { { { { x } } } } } } ) $=
      ( vy c1c cpw1 wcel cv csn wceq wex elpw1 wa df-rex elpw141c anbi1i 19.41v
      wrex bitr4i exbii bitri excom snex sneq eqeq2d ceqsexv ) BDEEEEZEFBCGZHZI
      ZCUFQZBAGHHHHZHZHZIZAJZCBUFKUJUGULIZUILZAJZCJZUOUJUGUFFZUILZCJUSUICUFMVAU
      RCVAUPAJZUILURUTVBUIAUGNOUPUIAPRSTUSUQCJZAJUOUQCAUAVCUNAUIUNCULUKUBUPUHUM
      BUGULUCUDUESTTT $.
      $( [14-Jan-2015] $)

    $( Membership in ` ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 1c ` $)
    elpw161c $p |- ( A e. ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 1c <->
                E. x A = { { { { { { { x } } } } } } } ) $=
      ( vy c1c cpw1 wcel cv csn wceq wex elpw1 wa df-rex elpw151c anbi1i 19.41v
      wrex bitr4i exbii bitri excom snex sneq eqeq2d ceqsexv ) BDEEEEEZEFBCGZHZ
      IZCUFQZBAGHHHHHZHZHZIZAJZCBUFKUJUGULIZUILZAJZCJZUOUJUGUFFZUILZCJUSUICUFMV
      AURCVAUPAJZUILURUTVBUIAUGNOUPUIAPRSTUSUQCJZAJUOUQCAUAVCUNAUIUNCULUKUBUPUH
      UMBUGULUCUDUESTTT $.
      $( [14-Jan-2015] $)


    $( Membership in ` ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 1c ` $)
    elpw171c $p |- ( A e. ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 1c <->
                E. x A = { { { { { { { { x } } } } } } } } ) $=
      ( vy c1c cpw1 wcel cv csn wceq wex elpw1 wa df-rex elpw161c anbi1i 19.41v
      wrex bitr4i exbii bitri excom snex sneq eqeq2d ceqsexv ) BDEEEEEEZEFBCGZH
      ZIZCUFQZBAGHHHHHHZHZHZIZAJZCBUFKUJUGULIZUILZAJZCJZUOUJUGUFFZUILZCJUSUICUF
      MVAURCVAUPAJZUILURUTVBUIAUGNOUPUIAPRSTUSUQCJZAJUOUQCAUAVCUNAUIUNCULUKUBUP
      UHUMBUGULUCUDUESTTT $.
      $( [15-Jan-2015] $)


    $( Membership in ` ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 1c ` $)
    elpw181c $p |- (
     A e. ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 1c <->
                E. x A = { { { { { { { { { x } } } } } } } } } ) $=
      ( vy c1c cpw1 wcel cv csn wceq wex elpw1 wa df-rex elpw171c anbi1i 19.41v
      wrex bitr4i exbii bitri excom snex sneq eqeq2d ceqsexv ) BDEEEEEEEZEFBCGZ
      HZIZCUFQZBAGHHHHHHHZHZHZIZAJZCBUFKUJUGULIZUILZAJZCJZUOUJUGUFFZUILZCJUSUIC
      UFMVAURCVAUPAJZUILURUTVBUIAUGNOUPUIAPRSTUSUQCJZAJUOUQCAUAVCUNAUIUNCULUKUB
      UPUHUMBUGULUCUDUESTTT $.
      $( [15-Jan-2015] $)


    $( Membership in ` ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 1c ` $)
    elpw191c $p |- (
     A e. ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 1c <->
                E. x A = { { { { { { { { { { x } } } } } } } } } } ) $=
      ( vy c1c cpw1 wcel cv csn wceq wex elpw1 wa df-rex elpw181c anbi1i 19.41v
      wrex bitr4i exbii bitri excom snex sneq eqeq2d ceqsexv ) BDEEEEEEEEZEFBCG
      ZHZIZCUFQZBAGHHHHHHHHZHZHZIZAJZCBUFKUJUGULIZUILZAJZCJZUOUJUGUFFZUILZCJUSU
      ICUFMVAURCVAUPAJZUILURUTVBUIAUGNOUPUIAPRSTUSUQCJZAJUOUQCAUAVCUNAUIUNCULUK
      UBUPUHUMBUGULUCUDUESTTT $.
      $( [24-Jan-2015] $)

    $( Membership in ` ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 1c ` $)
    elpw1101c $p |- (
     A e. ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 1c <->
                E. x A = { { { { { { { { { { { x } } } } } } } } } } } ) $=
      ( vy c1c cpw1 wcel cv csn wceq wex elpw1 wa df-rex elpw191c anbi1i 19.41v
      wrex bitr4i exbii bitri excom snex sneq eqeq2d ceqsexv ) BDEEEEEEEEEZEFBC
      GZHZIZCUFQZBAGHHHHHHHHHZHZHZIZAJZCBUFKUJUGULIZUILZAJZCJZUOUJUGUFFZUILZCJU
      SUICUFMVAURCVAUPAJZUILURUTVBUIAUGNOUPUIAPRSTUSUQCJZAJUOUQCAUAVCUNAUIUNCUL
      UKUBUPUHUMBUGULUCUDUESTTT $.
      $( [24-Jan-2015] $)


    $( Membership in ` ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 1c ` $)
    elpw1111c $p |- (
     A e. ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 1c <->
                E. x A = { { { { { { { { { { { { x } } } } } } } } } } } } ) $=
      ( vy c1c cpw1 wcel csn wceq wrex wex elpw1 df-rex elpw1101c anbi1i 19.41v
      cv wa bitr4i exbii bitri excom snex sneq eqeq2d ceqsexv ) BDEEEEEEEEEEZEF
      BCPZGZHZCUFIZBAPGGGGGGGGGGZGZGZHZAJZCBUFKUJUGULHZUIQZAJZCJZUOUJUGUFFZUIQZ
      CJUSUICUFLVAURCVAUPAJZUIQURUTVBUIAUGMNUPUIAORSTUSUQCJZAJUOUQCAUAVCUNAUIUN
      CULUKUBUPUHUMBUGULUCUDUESTTT $.
      $( [24-Jan-2015] $)
  $}


  $( A unit power class is a subset of ` 1c ` . $)
  pw1ss1c $p |- ~P1 A C_ 1c $=
    ( cpw1 cpw c1c cin df-pw1 inss2 eqsstri ) ABACZDEDAFIDGH $.
    $( [22-Jan-2015] $)

  $( The empty class is not a singleton. $)
  0nel1c $p |- -. (/) e. 1c $=
    ( vx c0 c1c wcel cv csn wceq wex wn cvv vex snprc eqcom bitri con1bii mpbir
    nex el1c mtbir ) BCDBAEZFZGZAHUBAUBITJDZAKUCUBUCIUABGUBTLUABMNOPQABRS $.
    $( [22-Jan-2015] $)

  $( Note that ` x ` is a dummy variable in the proof below. $)
  $( Compute the power set of the empty set.  Theorem 89 of [Suppes] p. 47.
     (The proof was shortened by Andrew Salmon, 29-Jun-2011.) $)
  pw0 $p |- ~P (/) = { (/) } $=
    ( vx cv c0 wss cab wceq cpw csn ss0b abbii df-pw df-sn 3eqtr4i ) ABZCDZAENC
    FZAECGCHOPANIJACKACLM $.
    $( [29-Jun-2011] $) $( [5-Aug-1993] $)

  $( Compute the unit power class of ` (/) ` $)
  pw10 $p |- ~P1 (/) = (/) $=
    ( vx c0 cpw1 cpw c1c cin csn df-pw1 pw0 ineq1i wceq cv wcel disj vex 0nel1c
    wn elsn eleq1 mtbiri sylbi mprgbir 3eqtri ) BCBDZEFBGZEFZBBHUDUEEIJUFBKALZE
    MZQZAUEAUEENUGUEMUGBKZUIUGBAORUJUHBEMPUGBESTUAUBUC $.
    $( [22-Jan-2015] $)


  ${
    $d A x y $.  $d B x y $.
    $( A condition for equality to unit power class. $)
    eqpw1 $p |- ( A = ~P1 B <-> ( A C_ 1c /\ A. x ( { x } e. A <-> x e. B )
        ) ) $=
      ( vy cpw1 wceq c1c wss cv csn wcel wb pw1ss1c sseq1 wi bitr4i albii bitri
      wal eleq1 mpbiri wral ssofeq mpan2 df-ral wex imbi1i 19.23v alcom bibi12d
      el1c snex ceqsalv snelpw1 bibi2i syl6bb biadan2 ) BCEZFZBGHZAIZJZBKZVACKZ
      LZASZUSUTURGHZCMZBURGNUAUTUSDIZBKZVIURKZLZDGUBZVFUTVGUSVMLVHDBURGUCUDVMVI
      VBFZVLOZDSZASZVFVMVIGKZVLOZDSZVQVLDGUEVTVOASZDSVQVSWADVSVNAUFZVLOWAVRWBVL
      AVIUKUGVNVLAUHPQVOADUIPRVPVEAVPVCVBURKZLZVEVLWDDVBVAULVNVJVCVKWCVIVBBTVIV
      BURTUJUMWCVDVCVACUNUORQRUPUQ $.
      $( [21-Jan-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Unit power class distributes over union. $)
    pw1un $p |- ~P1 ( A u. B ) = ( ~P1 A u. ~P1 B ) $=
      ( vx vy cun cpw1 cv wceq wrex wcel rexun elpw1 elun orbi12i bitri 3bitr4i
      csn wo eqriv ) CABEZFZAFZBFZEZCGZDGQHZDTIUFDAIZUFDBIZRZUEUAJUEUDJZUFDABKD
      UETLUJUEUBJZUEUCJZRUIUEUBUCMUKUGULUHDUEALDUEBLNOPS $.
      $( [22-Jan-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Unit power class distributes over intersection. $)
    pw1in $p |- ~P1 ( A i^i B ) = ( ~P1 A i^i ~P1 B ) $=
      ( vx vy cin cpw1 cv csn wceq wrex wcel wa ancom eleq1 snelpw1 syl6bb elin
      anbi2d elpw1 3bitr4i syl6bbr pm5.32ri an12 3bitr3i rexbii2 anbi1i r19.41v
      eqriv ) CABEZFZAFZBFZEZCGZDGZHZIZDUIJUQUNULKZLZDAJZUNUJKUNUMKZUQUSDUIAUOA
      KZURLZUQLUQVCLUOUIKZUQLVBUSLVCUQMUQVCVDUQVCVBUOBKZLVDUQURVEVBUQURUPULKVEU
      NUPULNUOBOPRUOABQUAUBUQVBURUCUDUEDUNUISUNUKKZURLUQDAJZURLVAUTVFVGURDUNASU
      FUNUKULQUQURDAUGTTUH $.
      $( [13-Feb-2015] $)
  $}

  ${
    $d A x y $.
    pw1sn.1 $e |- A e. _V $.
    $( Compute the unit power class of a singleton. $)
    pw1sn $p |- ~P1 { A } = { { A } } $=
      ( vx vy csn cpw1 cv wceq wrex wcel sneq eqeq2d rexsn elpw1 vex elsn eqriv
      3bitr4i ) CAEZFZSEZCGZDGZEZHZDSIUBSHZUBTJUBUAJUEUFDABUCAHUDSUBUCAKLMDUBSN
      UBSCOPRQ $.
      $( [22-Jan-2015] $)
  $}

  ${
    $d A x $.
    $( The unit power class of a class is empty iff the class itself is
       empty. $)
    pw10b $p |- ( ~P1 A = (/) <-> A = (/) ) $=
      ( vx cpw1 c0 wceq wne cv wcel wex csn snelpw1 ne0i sylbir exlimiv necon4i
      n0 sylbi pw1eq pw10 syl6eq impbii ) ACZDEADEZADUBDADFBGZAHZBIUBDFZBAPUEUF
      BUEUDJZUBHUFUDAKUBUGLMNQOUCUBDCDADRSTUA $.
      $( [22-Jan-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Two unit power classes are disjoint iff the classes themselves are
       disjoint. $)
    pw1disj $p |- ( ( ~P1 A i^i ~P1 B ) = (/) <-> ( A i^i B ) = (/) ) $=
      ( vx vy cpw1 cin c0 wceq cv wcel wn wral csn wi disj eleq1 notbid snelpw1
      sylbi ralrimiv rcla4cv notbii 3imtr3g sylibr wrex elpw1 wa ra4 imp syl6bb
      syl5ibrcom rexlimdva syl5bi impbii ) AEZBEZFGHZABFGHZUQCIZBJZKZCALURUQVAC
      AUQUSMZUOJZVBUPJZKZUSAJVAUQDIZUPJZKZDUOLVCVENDUOUPOVHVEDVBUOVFVBHVGVDVFVB
      UPPQUASUSARVDUTUSBRUBUCTCABOUDURUSUPJZKZCUOLUQURVJCUOUSUOJUSVFMZHZDAUEURV
      JDUSAUFURVLVJDAURVFAJZUGVJVLVFBJZKZURVMVOURVODALVMVONDABOVODAUHSUIVLVIVNV
      LVIVKUPJVNUSVKUPPVFBRUJQUKULUMTCUOUPOUDUN $.
      $( [26-Jan-2015] $)
  $}

  ${
    $d x y $.
    $( Cardinal one is the unit power class of the universe. $)
    df1c2 $p |- 1c = ~P1 _V $=
      ( vx vy c1c cvv cpw1 cv csn wceq wrex wcel rexv elpw1 el1c 3bitr4ri eqriv
      wex ) ACDEZAFZBFGHZBDISBPRQJRCJSBKBRDLBRMNO $.
      $( [29-Jan-2015] $)
  $}

  $( Unit power set preserves subset. $)
  pw1ss $p |- ( A C_ B -> ~P1 A C_ ~P1 B ) $=
    ( wss cpw c1c cin cpw1 sspwb ssrin sylbi df-pw1 3sstr4g ) ABCZADZEFZBDZEFZA
    GBGMNPCOQCABHNPEIJAKBKL $.
    $( [3-Feb-2015] $)

  ${
    $d A t $.  $d A x $.  $d B t $.  $d B x $.  $d t x $.
    $( The unit power class operation is one-to-one. $)
    pw111 $p |- ( ~P1 A = ~P1 B <-> A = B ) $=
      ( vt vx cv csn wceq cpw1 wcel wb wi wal eleq1 snelpw1 bitri albii c1c wss
      snex pw1ss1c bibi12d ceqsalv bibi12i wral ssofeq mp2an df-ral el1c imbi1i
      wex 19.23v bitr4i alcom dfcleq 3bitr4i ) CEZDEZFZGZUPAHZIZUPBHZIZJZKZCLZD
      LZUQAIZUQBIZJZDLUTVBGZABGVFVJDVFURUTIZURVBIZJZVJVDVNCURUQSUSVAVLVCVMUPURU
      TMUPURVBMUAUBVLVHVMVIUQANUQBNUCOPVKVDCQUDZVGUTQRVBQRVKVOJATBTCUTVBQUEUFVO
      UPQIZVDKZCLZVGVDCQUGVRVEDLZCLVGVQVSCVQUSDUJZVDKVSVPVTVDDUPUHUIUSVDDUKULPV
      ECDUMOOODABUNUO $.
      $( [26-Feb-2015] $)
  $}

  $( A unit power class is a subset of a power class. $)
  pw1sspw $p |- ~P1 A C_ ~P A $=
    ( cpw1 cpw c1c cin df-pw1 inss1 eqsstri ) ABACZDEIAFIDGH $.
    $( [10-Mar-2015] $)

  ${
    $d A x y $.  $d B x y $.
    $( Membership in a unit union. $)
    eluni1g $p |- ( A e. V -> ( A e. U.1 B <-> { A } e. B ) ) $=
      ( vy vx cuni1 wcel wceq csn wex c1c cin cuni df-uni1 anbi1i bitr4i 3bitri
      cv wa exbii eleq2i eluni elin ancom el1c 19.41v anbi2i 19.42v excom eleq2
      an12 snex vex elsn2 syl6bb eleq1 anbi12d ceqsexv eqcom sneq eleq1d syl5bb
      ceqsexgv ) ABFZGZDRZAHZVFIZBGZSZDJZACGAIZBGZVEABKLZMZGAERZGZVPVNGZSZEJZVK
      VDVOABNUAEAVNUBVTVQVPVHHZVPBGZSZSZDJZEJWDEJZDJVKVSWEEVSVQWCDJZSWEVRWGVQVR
      WBVPKGZSWHWBSZWGVPBKUCWBWHUDWIWADJZWBSWGWHWJWBDVPUEOWAWBDUFPQUGVQWCDUHPTW
      DEDUIWFVJDWFWAVQWBSZSZEJAVFHZVISZVJWDWLEVQWAWBUKTWKWNEVHVFULWAVQWMWBVIWAV
      QAVHGWMVPVHAUJAVFDUMUNUOVPVHBUPUQURWMVGVIAVFUSOQTQQVIVMDACVGVHVLBVFAUTVAV
      CVB $.
      $( [15-Mar-2015] $)
  $}

  ${
    eluni1.1 $e |- A e. _V $.
    $( Membership in a unit union. $)
    eluni1 $p |- ( A e. U.1 B <-> { A } e. B ) $=
      ( cvv wcel cuni1 csn wb eluni1g ax-mp ) ADEABFEAGBEHCABDIJ $.
      $( [15-Mar-2015] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Kuratowski relationships
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c X._k $. $( Times symbol (cross product symbol) (read: 'cross') $)
  $c `'_k $. $( Small elevated smiley (converse operation) $)
  $c "_k $. $( Left quote (image symbol) $)
  $c o._k $. $( Small circle (composition symbol) $)
  $c Ins2_k $. $( Insert two operator. $)
  $c Ins3_k $. $( Insert three operator. $)
  $c P6 $. $( P6 operator $)
  $c SI_k $. $( Singleton image functor $)
  $c SSet_k $. $( Subset relationship $)
  $c Image_k $. $( Image functor $)
  $c _I_k $. $( Identity relationship $)

  $( Extend the definition of a class to include the Kuratowski cross
     product. $)
  cxpk $a class ( A X._k B ) $.

  $( Extend the definition of a class to include the Kuratowski converse of a
     class. $)
  ccnvk $a class `'_k A $.

  $( Extend the definition of a class to include the Kuratowski second
     insertion operator. $)
  cins2k $a class Ins2_k A $.

  $( Extend the definition of a class to include the Kuratowski third insertion
     operator. $)
  cins3k $a class Ins3_k A $.

  $( Extend the definition of a class to include the P6 operator (the set
     guaranteed by ~ ax-typlower ). $)
  cp6 $a class P6 A $.

  $( Extend the definition of a class to include the Kuratowski image of a
     class.  (Read:  The image of ` B ` under ` A ` .) $)
  cimak $a class ( A "_k B ) $.

  $( Extend the definition of a class to include the Kuratowski composition of
     two classes.  (Read:  The composition of ` A ` and ` B ` .) $)
  ccomk $a class ( A o._k B ) $.

  $( Extend the definition of a class to include the Kuratowski singleton
     image. $)
  csik $a class SI_k A $.

  $( Extend the definition of a class to include the Kuratowski image
     functor. $)
  cimagek $a class Image_k A $.

  $( Extend the definition of a class to include the Kuratowski subset
     relationship. $)
  cssetk $a class SSet_k $.

  $( Extend the definition of a class to include the Kuratowski identity
     relationship. $)
  cidk $a class _I_k $.

  ${
    $d A x y z w t u v $.  $d B x y z w t u v $.
    $( Define the Kuratowski cross product.  This definition through ~ df-idk
       set up the Kuratowski relationships.  These are used mainly to prove the
       properties of ~ df-op , and are not used thereafter. $)
    df-xpk $a |- ( A X._k B ) =
            { x | E. y E. z ( x = << y , z >> /\ ( y e. A /\ z e. B ) ) } $.

    $( Define the Kuratowski converse. $)
    df-cnvk $a |- `'_k A =
             { x | E. y E. z ( x = << y , z >> /\ << z , y >> e. A ) } $.

    $( Define the Kuratowski second insertion operator. $)
    df-ins2k $a |- Ins2_k A =
       { x | E. y E. z ( x = << y , z >> /\
         E. t E. u E. v ( y = { { t } } /\ z = << u , v >> /\
            << t , v >> e. A ) ) } $.

    $( Define the Kuratowski third insertion operator. $)
    df-ins3k $a |- Ins3_k A =
       { x | E. y E. z ( x = << y , z >> /\
         E. t E. u E. v ( y = { { t } } /\ z = << u , v >> /\
            << t , u >> e. A ) ) } $.

    $( Define the Kuratowski image operator. $)
    df-imak $a |- ( A "_k B ) = { x | E. y e. B << y , x >> e. A } $.

    $( Define the Kuratowski composition operator. $)
    df-cok $a |- ( A o._k B ) =
       ( ( Ins2_k A i^i Ins3_k `'_k B ) "_k _V ) $.

    $( Define the P6 operator.  This is the set guaranteed by
       ~ ax-typlower . $)
    df-p6 $a |- P6 A = { x | ( _V X._k { { x } } ) C_ A } $.

    $( Define the Kuratowski singleton image operation. $)
    df-sik $a |- SI_k A = { x |
       E. y E. z ( x = << y , z >> /\
          E. t E. u ( y = { t } /\ z = { u } /\ << t , u >> e. A ) ) } $.

    $( Define the Kuratowski subset relationship. $)
    df-ssetk $a |- SSet_k = { x | E. y E. z ( x = << y , z >> /\ y C_ z ) } $.

    $( Define the Kuratowski image function.  See ~ opkelimagek for
       membership. $)
    df-imagek $a |- Image_k A =
       ( ( _V X._k _V ) \
         ( ( Ins2_k SSet_k (+) Ins3_k ( SSet_k o._k `'_k SI_k A ) ) "_k
           ~P1 ~P1 1c ) ) $.

    $( Define the Kuratowski identity relationship. $)
    df-idk $a |- _I_k = { x | E. y E. z ( x = << y , z >> /\ y = z ) } $.
  $}

  ${
    $d A x y z w $.  $d B x y z w $.  $d C x y z w $.

    $( Membership in a Kuratowski cross product. $)
    elxpk $p |- ( A e. ( B X._k C ) <-> E. x E. y ( A = << x , y >> /\
               ( x e. B /\ y e. C ) ) ) $=
      ( vw cxpk wcel cvv cv copk wceq wa wex opkex eleq1 mpbiri adantr exlimivv
      elex eqeq1 anbi1d 2exbidv df-xpk elab2g pm5.21nii ) CDEGZHCIHZCAJZBJZKZLZ
      UIDHUJEHMZMZBNANZCUGTUNUHABULUHUMULUHUKIHUIUJOCUKIPQRSFJZUKLZUMMZBNANUOFC
      UGIUPCLZURUNABUSUQULUMUPCUKUAUBUCFABDEUDUEUF $.
      $( [12-Jan-2015] $)


    $( Membership in a cross product. $)
    elxpk2 $p |- ( A e. ( B X._k C ) <->
           E. x e. B E. y e. C A = << x , y >> ) $=
      ( cv wcel wa copk wceq wex wrex cxpk ancom 2exbii r2ex elxpk 3bitr4ri ) A
      FZDGBFZEGHZCSTIJZHZBKAKUBUAHZBKAKUBBELADLCDEMGUCUDABUAUBNOUBABDEPABCDEQR
      $.
      $( [12-Jan-2015] $)


    $d x y z A $.  $d x y z B $.  $d x y z C $.
    $( Equality theorem for Kuratowski cross product. $)
    xpkeq1 $p |- ( A = B -> ( A X._k C ) = ( B X._k C ) ) $=
      ( vx vy vz wceq cxpk cv copk wrex wcel rexeq elxpk2 3bitr4g eqrdv ) ABGZD
      ACHZBCHZQDIZEIFIJGFCKZEAKUAEBKTRLTSLUAEABMEFTACNEFTBCNOP $.
      $( [12-Jan-2015] $)

    $( Equality theorem for Kuratowski cross product. $)
    xpkeq2 $p |- ( A = B -> ( C X._k A ) = ( C X._k B ) ) $=
      ( vx vy vz wceq cxpk cv copk wrex wcel rexeq rexbidv elxpk2 3bitr4g eqrdv
      ) ABGZDCAHZCBHZRDIZEIFIJGZFAKZECKUBFBKZECKUASLUATLRUCUDECUBFABMNEFUACAOEF
      UACBOPQ $.
      $( [12-Jan-2015] $)
  $}

  $( Equality theorem for Kuratowski cross product. $)
  xpkeq12 $p |- ( ( A = B /\ C = D ) -> ( A X._k C ) = ( B X._k D ) ) $=
    ( wceq cxpk xpkeq1 xpkeq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.
    $( [12-Jan-2015] $)

  ${
    xpkeq1i.1 $e |- A = B $.
    $( Equality inference for Kuratowski cross product. $)
    xpkeq1i $p |- ( A X._k C ) = ( B X._k C ) $=
      ( wceq cxpk xpkeq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [12-Jan-2015] $)

    $( Equality inference for Kuratowski cross product. $)
    xpkeq2i $p |- ( C X._k A ) = ( C X._k B ) $=
      ( wceq cxpk xpkeq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [12-Jan-2015] $)
  $}

  ${
    xpkeq12i.1 $e |- A = B $.
    xpkeq12i.2 $e |- C = D $.
    $( Equality inference for Kuratowski cross product. $)
    xpkeq12i $p |- ( A X._k C ) = ( B X._k D ) $=
      ( wceq cxpk xpkeq12 mp2an ) ABGCDGACHBDHGEFABCDIJ $.
      $( [12-Jan-2015] $)
  $}

  ${
    xpkeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for Kuratowski cross product. $)
    xpkeq1d $p |- ( ph -> ( A X._k C ) = ( B X._k C ) ) $=
      ( wceq cxpk xpkeq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [12-Jan-2015] $)

    $( Equality deduction for Kuratowski cross product. $)
    xpkeq2d $p |- ( ph -> ( C X._k A ) = ( C X._k B ) ) $=
      ( wceq cxpk xpkeq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [12-Jan-2015] $)

    xpkeq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality deduction for Kuratowski cross product. $)
    xpkeq12d $p |- ( ph -> ( A X._k C ) = ( B X._k D ) ) $=
      ( wceq cxpk xpkeq12 syl2anc ) ABCHDEHBDICEIHFGBCDEJK $.
      $( [12-Jan-2015] $)
  $}

  ${
    $d A x y $.
    $( Membership in ` ( _V X._k _V ) ` $)
    elvvk $p |- ( A e. ( _V X._k _V ) <-> E. x E. y A = << x , y >> ) $=
      ( cvv cxpk wcel cv copk wceq wex elxpk vex pm3.2i biantru 2exbii bitr4i
      wa ) CDDEFCAGZBGZHIZRDFZSDFZQZQZBJAJTBJAJABCDDKTUDABUCTUAUBALBLMNOP $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d t w $.  $d t y $.  $d t z $.  $d w y $.  $d w z $.  $d x y $.  $d x z $.
    $( Any Kuratowski ordered pair abstraction is a subset of
       ` ( _V X._k _V ) ` . $)
    opkabssvvk $p |- { x | E. y E. z ( x = << y , z >> /\ ph ) } C_
       ( _V X._k _V ) $=
      ( vw vt cv copk wceq wa wex cvv cxpk wcel eqid vex opkeq12 eqeq2d cla42ev
      weq ax-mp elvvk mpbir eleq1 mpbiri adantr exlimivv abssi ) BGZCGZDGZHZIZA
      JZDKCKBLLMZUNUIUONZCDUMUPAUMUPULUONZUQULEGZFGZHZIZFKEKZULULIZVBULOVAVCEFU
      JUKCPDPECTFDTJUTULULURUSUJUKQRSUAEFULUBUCUIULUOUDUEUFUGUH $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d x y $.  $d x z $.
    opkabssvvki.1 $e |- A = { x | E. y E. z ( x = << y , z >> /\ ph ) } $.
    $( Any Kuratowski ordered pair abstraction is a subset of
       ` ( _V X._k _V ) ` . $)
    opkabssvvki $p |- A C_ ( _V X._k _V ) $=
      ( cv copk wceq wa wex cab cvv cxpk opkabssvvk eqsstri ) EBGCGDGHIAJDKCKBL
      MMNFABCDOP $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( Any Kuratowski cross product is a subset of ` ( _V X._k _V ) ` . $)
    xpkssvvk $p |- ( A X._k B ) C_ ( _V X._k _V ) $=
      ( vy vz vx cv wcel wa cxpk df-xpk opkabssvvki ) CFAGDFBGHECDABIECDABJK $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( Subset for Kuratowski relationships. $)
    ssrelk $p |- ( A C_ ( _V X._k _V ) ->
       ( A C_ B <-> A. x A. y ( << x , y >> e. A -> << x , y >> e. B ) ) ) $=
      ( vz cvv cxpk wss cv wcel wi wral copk wal ssofss wceq df-ral bitri eleq1
      wex elvvk imbi1i 19.23vv bitr4i albii alrot3 opkex imbi12d ceqsalv 2albii
      syl6bb ) CFFGZHCDHEIZCJZUMDJZKZEULLZAIZBIZMZCJZUTDJZKZBNANZECDULOUQUMUTPZ
      UPKZENZBNANZVDUQUMULJZUPKZENZVHUPEULQVKVFBNANZENVHVJVLEVJVEBTATZUPKVLVIVM
      UPABUMUAUBVEUPABUCUDUEVFEABUFRRVGVCABUPVCEUTURUSUGVEUNVAUOVBUMUTCSUMUTDSU
      HUIUJRUK $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( Equality for two Kuratowski relationships. $)
    eqrelk $p |- ( ( A C_ ( _V X._k _V ) /\ B C_ ( _V X._k _V ) ) ->
      ( A = B <-> A. x A. y ( << x , y >> e. A <-> << x , y >> e. B ) ) ) $=
      ( vz cvv cxpk wss wa wceq cv wcel wb wral copk wal ssofeq wi wex eleq1
      df-ral elvvk imbi1i 19.23vv bitr4i albii alrot3 bitri opkex 2albii 3bitri
      bibi12d ceqsalv syl6bb ) CFFGZHDUOHICDJEKZCLZUPDLZMZEUONZAKZBKZOZCLZVCDLZ
      MZBPAPZECDUOQUTUPUOLZUSRZEPZUPVCJZUSRZEPZBPAPZVGUSEUOUAVJVLBPAPZEPVNVIVOE
      VIVKBSASZUSRVOVHVPUSABUPUBUCVKUSABUDUEUFVLEABUGUHVMVFABUSVFEVCVAVBUIVKUQV
      DURVEUPVCCTUPVCDTULUMUJUKUN $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    eqrelkriiv.1 $e |- A C_ ( _V X._k _V ) $.
    eqrelkriiv.2 $e |- B C_ ( _V X._k _V ) $.
    ${
      eqrelkriiv.3 $e |- ( << x , y >> e. A <-> << x , y >> e. B ) $.
      $( Equality for two Kuratowski relationships. $)
      eqrelkriiv $p |- A = B $=
        ( wceq cv copk wcel wb wal gen2 cvv cxpk wss eqrelk mp2an mpbir ) CDHZA
        IBIJZCKUBDKLZBMAMZUCABGNCOOPZQDUEQUAUDLEFABCDRST $.
        $( [13-Jan-2015] $)
    $}

    ${
      $d ph x y $.
      eqrelkrdv.3 $e |- ( ph -> ( << x , y >> e. A <-> << x , y >> e. B ) ) $.
      $( Equality for two Kuratowski relationships. $)
      eqrelkrdv $p |- ( ph -> A = B ) $=
        ( cv copk wcel wb wal wceq alrimivv cvv cxpk wss eqrelk mp2an sylibr )
        ABICIJZDKUBEKLZCMBMZDENZAUCBCHODPPQZREUFRUEUDLFGBCDESTUA $.
        $( [13-Jan-2015] $)
    $}
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( Equality theorem for Kuratowski converse. $)
    cnvkeq $p |- ( A = B -> `'_k A = `'_k B ) $=
      ( vx vy vz wceq cv copk wcel wa wex cab ccnvk eleq2 anbi2d 2exbidv abbidv
      df-cnvk 3eqtr4g ) ABFZCGDGZEGZHFZUBUAHZAIZJZEKDKZCLUCUDBIZJZEKDKZCLAMBMTU
      GUJCTUFUIDETUEUHUCABUDNOPQCDEARCDEBRS $.
      $( [12-Jan-2015] $)
  $}


  ${
    cnvkeqi.1 $e |- A = B $.
    $( Equality inference for Kuratowski converse. $)
    cnvkeqi $p |- `'_k A = `'_k B $=
      ( wceq ccnvk cnvkeq ax-mp ) ABDAEBEDCABFG $.
      $( [12-Jan-2015] $)
  $}

  ${
    cnvkeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for Kuratowski converse. $)
    cnvkeqd $p |- ( ph -> `'_k A = `'_k B ) $=
      ( wceq ccnvk cnvkeq syl ) ABCEBFCFEDBCGH $.
      $( [12-Jan-2015] $)
  $}

  ${
    $d A x y z w t u $.  $d B x y z w t u $.
    $( Equality theorem for the Kuratowski insert two operator. $)
    ins2keq $p |- ( A = B -> Ins2_k A = Ins2_k B ) $=
      ( vx vy vz vw vt vu wceq cv copk csn w3a wex wa cab cins2k eleq2 df-ins2k
      wcel 3anbi3d 3exbidv anbi2d 2exbidv abbidv 3eqtr4g ) ABIZCJDJZEJZKIZUHFJZ
      LLIZUIGJHJZKIZUKUMKZATZMZHNGNFNZOZENDNZCPUJULUNUOBTZMZHNGNFNZOZENDNZCPAQB
      QUGUTVECUGUSVDDEUGURVCUJUGUQVBFGHUGUPVAULUNABUORUAUBUCUDUECDEHGFASCDEHGFB
      SUF $.
      $( [12-Jan-2015] $)

    $( Equality theorem for the Kuratowski insert three operator. $)
    ins3keq $p |- ( A = B -> Ins3_k A = Ins3_k B ) $=
      ( vx vy vz vw vt vu wceq cv copk csn w3a wex wa cab cins3k eleq2 df-ins3k
      wcel 3anbi3d 3exbidv anbi2d 2exbidv abbidv 3eqtr4g ) ABIZCJDJZEJZKIZUHFJZ
      LLIZUIGJZHJKIZUKUMKZATZMZHNGNFNZOZENDNZCPUJULUNUOBTZMZHNGNFNZOZENDNZCPAQB
      QUGUTVECUGUSVDDEUGURVCUJUGUQVBFGHUGUPVAULUNABUORUAUBUCUDUECDEHGFASCDEHGFB
      SUF $.
      $( [12-Jan-2015] $)
  $}

  ${
    inskeqi.1 $e |- A = B $.
    $( Equality inference for Kuratowski insert two operator. $)
    ins2keqi $p |- Ins2_k A = Ins2_k B $=
      ( wceq cins2k ins2keq ax-mp ) ABDAEBEDCABFG $.
      $( [12-Jan-2015] $)

    $( Equality inference for Kuratowski insert three operator. $)
    ins3keqi $p |- Ins3_k A = Ins3_k B $=
      ( wceq cins3k ins3keq ax-mp ) ABDAEBEDCABFG $.
      $( [12-Jan-2015] $)
  $}

  ${
    inskeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for Kuratowski insert two operator. $)
    ins2keqd $p |- ( ph -> Ins2_k A = Ins2_k B ) $=
      ( wceq cins2k ins2keq syl ) ABCEBFCFEDBCGH $.
      $( [12-Jan-2015] $)

    $( Equality deduction for Kuratowski insert three operator. $)
    ins3keqd $p |- ( ph -> Ins3_k A = Ins3_k B ) $=
      ( wceq cins3k ins3keq syl ) ABCEBFCFEDBCGH $.
      $( [12-Jan-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    $( Equality theorem for Kuratowski image. $)
    imakeq1 $p |- ( A = B -> ( A "_k C ) = ( B "_k C ) ) $=
      ( vy vx wceq cv copk wcel wrex cimak eleq2 rexbidv abbidv df-imak 3eqtr4g
      cab ) ABFZDGEGHZAIZDCJZEQSBIZDCJZEQACKBCKRUAUCERTUBDCABSLMNEDACOEDBCOP $.
      $( [12-Jan-2015] $)

    $( Equality theorem for Kuratowski image. $)
    imakeq2 $p |- ( A = B -> ( C "_k A ) = ( C "_k B ) ) $=
      ( vy vx wceq cv copk wcel wrex cab cimak rexeq abbidv df-imak 3eqtr4g ) A
      BFZDGEGHCIZDAJZEKRDBJZEKCALCBLQSTERDABMNEDCAOEDCBOP $.
      $( [12-Jan-2015] $)
  $}


  ${
    imakeq1i.1 $e |- A = B $.
    $( Equality theorem for image. $)
    imakeq1i $p |- ( A "_k C ) = ( B "_k C ) $=
      ( wceq cimak imakeq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [12-Jan-2015] $)

    $( Equality theorem for Kuratowski image. $)
    imakeq2i $p |- ( C "_k A ) = ( C "_k B ) $=
      ( wceq cimak imakeq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [12-Jan-2015] $)
  $}

  ${
    imakeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for Kuratowski image. $)
    imakeq1d $p |- ( ph -> ( A "_k C ) = ( B "_k C ) ) $=
      ( wceq cimak imakeq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [12-Jan-2015] $)

    $( Equality theorem for Kuratowski image. $)
    imakeq2d $p |- ( ph -> ( C "_k A ) = ( C "_k B ) ) $=
      ( wceq cimak imakeq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [12-Jan-2015] $)
  $}

  $( Equality theorem for Kuratowski composition of two classes. $)
  cokeq1 $p |- ( A = B -> ( A o._k C ) = ( B o._k C ) ) $=
    ( wceq cins2k ccnvk cins3k cin cimak ins2keq ineq1d imakeq1d df-cok 3eqtr4g
    cvv ccomk ) ABDZAEZCFGZHZOIBEZSHZOIACPBCPQTUBOQRUASABJKLACMBCMN $.
    $( [12-Jan-2015] $)

  $( Equality theorem for Kuratowski composition of two classes. $)
  cokeq2 $p |- ( A = B -> ( C o._k A ) = ( C o._k B ) ) $=
    ( wceq cins2k ccnvk cins3k cin cimak cnvkeq ins3keqd ineq2d imakeq1d df-cok
    cvv ccomk 3eqtr4g ) ABDZCEZAFZGZHZOISBFZGZHZOICAPCBPRUBUEORUAUDSRTUCABJKLMC
    ANCBNQ $.
    $( [12-Jan-2015] $)

  ${
    cokeq1i.1 $e |- A = B $.
    $( Equality inference for Kuratowski composition of two classes. $)
    cokeq1i $p |- ( A o._k C ) = ( B o._k C ) $=
      ( wceq ccomk cokeq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [12-Jan-2015] $)

    $( Equality inference for Kuratowski composition of two classes. $)
    cokeq2i $p |- ( C o._k A ) = ( C o._k B ) $=
      ( wceq ccomk cokeq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [12-Jan-2015] $)
  $}

  ${
    cokeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for Kuratowski composition of two classes. $)
    cokeq1d $p |- ( ph -> ( A o._k C ) = ( B o._k C ) ) $=
      ( wceq ccomk cokeq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [12-Jan-2015] $)

    $( Equality deduction for Kuratowski composition of two classes. $)
    cokeq2d $p |- ( ph -> ( C o._k A ) = ( C o._k B ) ) $=
      ( wceq ccomk cokeq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [12-Jan-2015] $)
  $}

  ${
    cokeq12i.1 $e |- A = B $.
    cokeq12i.2 $e |- C = D $.
    $( Equality inference for Kuratowski composition of two classes. $)
    cokeq12i $p |- ( A o._k C ) = ( B o._k D ) $=
      ( ccomk cokeq1i cokeq2i eqtri ) ACGBCGBDGABCEHCDBFIJ $.
      $( [12-Jan-2015] $)
  $}

  ${
    cokeq12d.1 $e |- ( ph -> A = B ) $.
    cokeq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality deduction for Kuratowski composition of two classes. $)
    cokeq12d $p |- ( ph -> ( A o._k C ) = ( B o._k D ) ) $=
      ( ccomk cokeq1d cokeq2d eqtrd ) ABDHCDHCEHABCDFIADECGJK $.
      $( [12-Jan-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Equality theorem for P6 operation. $)
    p6eq $p |- ( A = B -> P6 A = P6 B ) $=
      ( vx wceq cvv cv csn cxpk wss cab cp6 sseq2 abbidv df-p6 3eqtr4g ) ABDZEC
      FGGHZAIZCJQBIZCJAKBKPRSCABQLMCANCBNO $.
      $( [12-Jan-2015] $)
  $}

  ${
    p6eqi.1 $e |- A = B $.
    $( Equality inference for the P6 operation. $)
    p6eqi $p |- P6 A = P6 B $=
      ( wceq cp6 p6eq ax-mp ) ABDAEBEDCABFG $.
      $( [12-Jan-2015] $)
  $}

  ${
    p6eqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for the P6 operation. $)
    p6eqd $p |- ( ph -> P6 A = P6 B ) $=
      ( wceq cp6 p6eq syl ) ABCEBFCFEDBCGH $.
      $( [12-Jan-2015] $)
  $}

  ${
    $d A x y z w t u $.  $d B x y z w t u $.
    $( Equality theorem for Kuratowski singleton image. $)
    sikeq $p |- ( A = B -> SI_k A = SI_k B ) $=
      ( vx vy vz vw vt wceq cv copk csn wcel w3a wex wa cab csik 2exbidv df-sik
      eleq2 3anbi3d anbi2d abbidv 3eqtr4g ) ABHZCIDIZEIZJHZUFFIZKHZUGGIZKHZUIUK
      JZALZMZGNFNZOZENDNZCPUHUJULUMBLZMZGNFNZOZENDNZCPAQBQUEURVCCUEUQVBDEUEUPVA
      UHUEUOUTFGUEUNUSUJULABUMTUARUBRUCCDEGFASCDEGFBSUD $.
      $( [12-Jan-2015] $)
  $}

  ${
    sikeqi.1 $e |- A = B $.
    $( Equality inference for Kuratowski singleton image. $)
    sikeqi $p |- SI_k A = SI_k B $=
      ( wceq csik sikeq ax-mp ) ABDAEBEDCABFG $.
      $( [12-Jan-2015] $)
  $}

  ${
    sikeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for Kuratowski singleton image. $)
    sikeqd $p |- ( ph -> SI_k A = SI_k B ) $=
      ( wceq csik sikeq syl ) ABCEBFCFEDBCGH $.
      $( [12-Jan-2015] $)
  $}

  $( Equality theorem for image operation. $)
  imagekeq $p |- ( A = B -> Image_k A = Image_k B ) $=
    ( wceq cvv cxpk cssetk cins2k csik ccnvk ccomk cins3k csymdif c1c cpw1 cdif
    cimak cimagek sikeq cnvkeqd df-imagek cokeq2d ins3keqd symdifeq2d imakeq1d
    difeq2d 3eqtr4g ) ABCZDDEZFGZFAHZIZJZKZLZMNNZPZOUHUIFBHZIZJZKZLZUOPZOAQBQUG
    UPVBUHUGUNVAUOUGUMUTUIUGULUSUGUKURFUGUJUQABRSUAUBUCUDUEATBTUF $.
    $( [12-Jan-2015] $)

  ${
    $d A y z $.  $d B x $.  $d B y $.  $d B z $.  $d C x $.  $d C y $.
    $d C z $.  $d ch z $.  $d ph x $.  $d ps y $.  $d x y z $.
    opkelopkabg.1 $e |- A = { x | E. y E. z ( x = << y , z >> /\ ph ) } $.
    opkelopkabg.2 $e |- ( y = B -> ( ph <-> ps ) ) $.
    opkelopkabg.3 $e |- ( z = C -> ( ps <-> ch ) ) $.
    $( Kuratowski ordered pair membership in an abstraction of Kuratowski
       ordered pairs. $)
    opkelopkabg $p |- ( ( B e. V /\ C e. W ) ->
                 ( << B , C >> e. A <-> ch ) ) $=
      ( wcel wceq wa wex cvv wb copk cv opkex eqeq1 eqcom syl6bb anbi1d 2exbidv
      elab2 elex vex opkthg mp3an12 adantl exbidv 19.42v anbi2d ceqsexgv adantr
      anass 3bitrd syl2an syl5bb ) HIUAZGOEUBZFUBZUAZVDPZAQZFRZERZHJOZIKOZQCDUB
      ZVGPZAQZFRERVKDVDGHIUCVNVDPZVPVIEFVQVOVHAVQVOVDVGPVHVNVDVGUDVDVGUEUFUGUHL
      UIVLHSOZISOZVKCTVMHJUJIKUJVRVSQZVKVEHPZVFIPZAQZFRZQZERZWBBQZFRZCVTVJWEEVT
      VJWAWCQZFRWEVTVIWIFVTVIWAWBQZAQWIVTVHWJAVSVHWJTZVRVESOVFSOVSWKEUKFUKVEVFH
      ISSSULUMUNUGWAWBAUTUFUOWAWCFUPUFUOVRWFWHTVSWDWHEHSWAWCWGFWAABWBMUQUOURUSV
      SWHCTVRBCFISNURUNVAVBVC $.
      $( [12-Jan-2015] $)
  $}

  ${
    $d A y $.  $d A z $.  $d B x $.  $d B y $.  $d B z $.  $d C x $.  $d C y $.
    $d C z $.  $d ch z $.  $d ph x $.  $d ps y $.  $d x y $.  $d x z $.
    $d y z $.
    opkelopkab.1 $e |- A = { x | E. y E. z ( x = << y , z >> /\ ph ) } $.
    opkelopkab.2 $e |- ( y = B -> ( ph <-> ps ) ) $.
    opkelopkab.3 $e |- ( z = C -> ( ps <-> ch ) ) $.
    opkelopkab.4 $e |- B e. _V $.
    opkelopkab.5 $e |- C e. _V $.
    $( Kuratowski ordered pair membership in an abstraction of Kuratowski
       ordered pairs. $)
    opkelopkab $p |- ( << B , C >> e. A <-> ch ) $=
      ( cvv wcel copk wb opkelopkabg mp2an ) HOPIOPHIQGPCRMNABCDEFGHIOOJKLST $.
      $( [12-Jan-2015] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d D x y z $.
    $( Kuratowski ordered pair membership in a Kuratowski cross product. $)
    opkelxpkg $p |- ( ( A e. V /\ B e. W ) ->
       ( << A , B >> e. ( C X._k D ) <-> ( A e. C /\ B e. D ) ) ) $=
      ( vx vy vz cv wcel wa cxpk df-xpk wceq eleq1 anbi1d anbi2d opkelopkabg )
      GJZCKZHJZDKZLACKZUCLUDBDKZLIGHCDMABEFIGHCDNTAOUAUDUCTACPQUBBOUCUEUDUBBDPR
      S $.
      $( [12-Jan-2015] $)
  $}

  ${
    opkelxpk.1 $e |- A e. _V $.
    opkelxpk.2 $e |- B e. _V $.
    $( Kuratowski ordered pair membership in a Kuratowski cross product. $)
    opkelxpk $p |- ( << A , B >> e. ( C X._k D ) <-> ( A e. C /\ B e. D ) ) $=
      ( cvv wcel copk cxpk wa wb opkelxpkg mp2an ) AGHBGHABICDJHACHBDHKLEFABCDG
      GMN $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    $( Kuratowski ordered pair membership in a Kuratowski converse. $)
    opkelcnvkg $p |- ( ( A e. V /\ B e. W ) ->
                ( << A , B >> e. `'_k C <-> << B , A >> e. C ) ) $=
      ( vy vx vz copk wcel ccnvk df-cnvk wceq opkeq2 eleq1d opkeq1 opkelopkabg
      cv ) FRZGRZIZCJSAIZCJBAIZCJHGFCKABDEHGFCLTAMUAUBCTASNOSBMUBUCCSBAPOQ $.
      $( [12-Jan-2015] $)
  $}

  ${
    opkelcnvk.1 $e |- A e. _V $.
    opkelcnvk.2 $e |- B e. _V $.
    $( Kuratowski ordered pair membership in a Kuratowski converse. $)
    opkelcnvk $p |- ( << A , B >> e. `'_k C <-> << B , A >> e. C ) $=
      ( cvv wcel copk ccnvk wb opkelcnvkg mp2an ) AFGBFGABHCIGBAHCGJDEABCFFKL
      $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d A x y z w t u $.  $d B x y z w t u $.  $d C x y z w t u $.
    $( Kuratowski ordered pair membership in Kuratowski insertion operator. $)
    opkelins2kg $p |- ( ( A e. V /\ B e. W ) ->
       ( << A , B >> e. Ins2_k C <->
         E. x E. y E. z ( A = { { x } } /\ B = << y , z >> /\
              << x , z >> e. C ) ) ) $=
      ( vw vu vt cv csn wceq copk wcel w3a wex eqeq1 3exbidv cins2k opkelopkabg
      df-ins2k 3anbi1d 3anbi2d ) ILZALZMMZNZJLZBLCLZOZNZUGUKOFPZQZCRBRARDUHNZUM
      UNQZCRBRARUPEULNZUNQZCRBRARKIJFUADEGHKIJCBAFUCUFDNZUOUQABCUTUIUPUMUNUFDUH
      SUDTUJENZUQUSABCVAUMURUPUNUJEULSUETUB $.
      $( [12-Jan-2015] $)

    $( Kuratowski ordered pair membership in Kuratowski insertion operator. $)
    opkelins3kg $p |- ( ( A e. V /\ B e. W ) ->
       ( << A , B >> e. Ins3_k C <->
         E. x E. y E. z ( A = { { x } } /\ B = << y , z >> /\
              << x , y >> e. C ) ) ) $=
      ( vw vu vt cv csn wceq copk wcel w3a wex eqeq1 3exbidv cins3k opkelopkabg
      df-ins3k 3anbi1d 3anbi2d ) ILZALZMMZNZJLZBLZCLOZNZUGUKOFPZQZCRBRARDUHNZUM
      UNQZCRBRARUPEULNZUNQZCRBRARKIJFUADEGHKIJCBAFUCUFDNZUOUQABCUTUIUPUMUNUFDUH
      SUDTUJENZUQUSABCVAUMURUPUNUJEULSUETUB $.
      $( [12-Jan-2015] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d D x y z $.  $d T x y z $.
    $( Kuratowski ordered triple membership in Kuratowski insertion
       operator. $)
    otkelins2kg $p |- ( ( A e. V /\ B e. W /\ C e. T ) ->
      ( << { { A } } , << B , C >> >> e. Ins2_k D <->
        << A , C >> e. D ) ) $=
      ( vx vy vz csn copk wcel cv wceq wa wex cvv wb bitri w3a snex opkelins2kg
      cins2k opkex mp2an 3anass eqcom sneqb anbi1i 2exbii 19.42vv opkeq1 eleq1d
      exbii anbi2d 2exbidv ceqsexgv 3ad2ant1 opkthg mp3an12 syl5bb anbi1d anass
      vex 19.42v syl6bb adantl biidd opkeq2 sylan9bb bitrd 3adant1 ) AKZKZBCLZL
      DUDMZHNZAOZVPINZJNZLZOZVRWALZDMZPZJQIQZPZHQZAFMZBGMZCEMZUAZACLZDMZVQVOVRK
      ZKZOZWCWEUAZJQIQZHQZWIVORMVPRMVQXASVNUBBCUEHIJVOVPDRRUCUFWTWHHWTVSWFPZJQI
      QWHWSXBIJWSWRWFPXBWRWCWEUGWRVSWFWRWQVOOZVSVOWQUHXCWPVNOVSWPVNVRUBUIVRAHVE
      UITTUJTUKVSWFIJULTUOTWMWIWCAWALZDMZPZJQIQZWOWJWKWIXGSWLWGXGHAFVSWFXFIJVSW
      EXEWCVSWDXDDVRAWAUMUNUPUQURUSWKWLXGWOSWJWKWLPXGVTBOZWACOZXEPZJQZPZIQZWOWL
      XGXMSWKWLXGXHXIPZXEPZJQZIQXMWLXFXOIJWLWCXNXEWCWBVPOZWLXNVPWBUHVTRMWARMWLX
      QXNSIVEJVEVTWABCERRUTVAVBVCUQXPXLIXPXHXJPZJQXLXOXRJXHXIXEVDUOXHXJJVFTUOVG
      VHWKXMXKWLWOXKXKIBGXHXKVIURXEWOJCEXIXDWNDWACAVJUNURVKVLVMVLVB $.
      $( [12-Jan-2015] $)

    $( Kuratowski ordered triple membership in Kuratowski insertion
       operator. $)
    otkelins3kg $p |- ( ( A e. V /\ B e. W /\ C e. T ) ->
      ( << { { A } } , << B , C >> >> e. Ins3_k D <->
        << A , B >> e. D ) ) $=
      ( vx vy vz csn copk wcel cv wceq wex cvv wb wa bitri w3a snex opkelins3kg
      cins3k opkex mp2an 3anass eqcom sneqb anbi1i 2exbii 19.42vv opkeq1 eleq1d
      exbii anbi2d 2exbidv ceqsexgv syl5bb 3ad2ant1 opkthg mp3an12 anbi1d anass
      vex syl6bb exdistr adantl opkeq2 exbidv biidd sylan9bb bitrd 3adant1 ) AK
      ZKZBCLZLDUDMZVPHNZKZKZOZVQINZJNZLZOZVSWCLZDMZUAZJPIPZHPZAFMZBGMZCEMZUAZAB
      LZDMZVPQMVQQMVRWKRVOUBBCUEHIJVPVQDQQUCUFWOWKWFAWCLZDMZSZJPIPZWQWLWMWKXARW
      NWKVSAOZWFWHSZJPIPZSZHPWLXAWJXEHWJXBXCSZJPIPXEWIXFIJWIWBXCSXFWBWFWHUGWBXB
      XCWBWAVPOZXBVPWAUHXGVTVOOXBVTVOVSUBUIVSAHVEUITTUJTUKXBXCIJULTUOXDXAHAFXBX
      CWTIJXBWHWSWFXBWGWRDVSAWCUMUNUPUQURUSUTWMWNXAWQRWLWMWNSXAWCBOZWDCOZWSSZJP
      ZSIPZWQWNXAXLRWMWNXAXHXJSZJPIPXLWNWTXMIJWNWTXHXISZWSSXMWNWFXNWSWFWEVQOZWN
      XNVQWEUHWCQMWDQMWNXOXNRIVEJVEWCWDBCEQQVAVBUSVCXHXIWSVDVFUQXHXJIJVGVFVHWMX
      LXIWQSZJPZWNWQXKXQIBGXHXJXPJXHWSWQXIXHWRWPDWCBAVIUNUPVJURWQWQJCEXIWQVKURV
      LVMVNVMUS $.
      $( [12-Jan-2015] $)
  $}

  ${
    otkelinsk.1 $e |- A e. _V $.
    otkelinsk.2 $e |- B e. _V $.
    otkelinsk.3 $e |- C e. _V $.
    $( Kuratowski ordered triple membership in Kuratowski insertion
       operator. $)
    otkelins2k $p |- ( << { { A } } , << B , C >> >> e. Ins2_k D <->
        << A , C >> e. D ) $=
      ( cvv wcel csn copk cins2k wb otkelins2kg mp3an ) AHIBHICHIAJJBCKKDLIACKD
      IMEFGABCDHHHNO $.
      $( [12-Jan-2015] $)

    $( Kuratowski ordered triple membership in Kuratowski insertion
       operator. $)
    otkelins3k $p |- ( << { { A } } , << B , C >> >> e. Ins3_k D <->
        << A , B >> e. D ) $=
      ( cvv wcel csn copk cins3k wb otkelins3kg mp3an ) AHIBHICHIAJJBCKKDLIABKD
      IMEFGABCDHHHNO $.
      $( [12-Jan-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    $( Membership in a Kuratowski image. $)
    elimakg $p |- ( C e. V ->
             ( C e. ( A "_k B ) <-> E. y e. B << y , C >> e. A ) ) $=
      ( vx cv copk wcel wrex cimak wceq opkeq2 eleq1d rexbidv df-imak elab2g )
      AGZFGZHZBIZACJRDHZBIZACJFDBCKESDLZUAUCACUDTUBBSDRMNOFABCPQ $.
      $( [13-Jan-2015] $)

    $( Membership in a Kuratowski image under ` _V ` . $)
    elimakvg $p |- ( C e. V ->
             ( C e. ( A "_k _V ) <-> E. y << y , C >> e. A ) ) $=
      ( wcel cvv cimak cv copk wrex wex elimakg rexv syl6bb ) CDECBFGEAHCIBEZAF
      JOAKABFCDLOAMN $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A y $.  $d B y $.  $d C y $.
    elimak.1 $e |- C e. _V $.
    $( Membership in a Kuratowski image. $)
    elimak $p |- ( C e. ( A "_k B ) <-> E. y e. B << y , C >> e. A ) $=
      ( cvv wcel cimak cv copk wrex wb elimakg ax-mp ) DFGDBCHGAIDJBGACKLEABCDF
      MN $.
      $( [13-Jan-2015] $)

    $( Membership in a Kuratowski image under ` _V ` . $)
    elimakv $p |- ( C e. ( A "_k _V ) <-> E. y << y , C >> e. A ) $=
      ( cvv wcel cimak cv copk wex wb elimakvg ax-mp ) CEFCBEGFAHCIBFAJKDABCELM
      $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y z w $.  $d B x y z w $.  $d C x y z w $.  $d D x y z w $.
    $( Membership in a Kuratowski composition. $)
    opkelcokg $p |- ( ( A e. V /\ B e. W ) ->
       ( << A , B >> e. ( C o._k D ) <->
         E. x ( << A , x >> e. D /\ << x , B >> e. C ) ) ) $=
      ( vz vw vy wcel cvv copk cv wa wex wb wceq vex exbii ccomk elex csn ccnvk
      cins3k cins2k cin cimak df-cok eleq2i opkex elimakv w3a opkelins2kg mp2an
      3anass 2exbii 19.42vv bitri anbi1i elin 19.41v 3bitr4i excom anass opkeq1
      snex eleq1d anbi2d 3bitri ancom otkelins3kg mp3an1 opkelcnvkg mpan adantr
      ceqsexv bitrd eqcom opkthg mp3an12 anbi1d syl6bb 2exbidv adantl biantrurd
      syl5bb elisset bicomd opkeq2 ceqsexgv sylan9bb anbi12d exbidv syl2an
      eeanv ) BFKBLKZCLKZBCMZDEUAZKZBANZMEKZXBCMZDKZOZAPZQCGKBFUBCGUBXAWSHNZINZ
      MZRZXBXIMZDKZOZIPHPZXBUCZUCZWSMZEUDZUEZKZOZAPZWQWROZXGXAWSDUFZXTUGZLUHZKJ
      NZWSMZYFKZJPZYCWTYGWSDEUIUJJYFWSBCUKZULYKYHXQRZXOOZYIXTKZOZAPZJPYPJPZAPYC
      YJYQJYIYEKZYOOYNAPZYOOYJYQYSYTYOYSYMXKXMUMZIPHPZAPZYTYHLKWSLKYSUUCQJSYLAH
      IYHWSDLLUNUOUUBYNAUUBYMXNOZIPHPYNUUAUUDHIYMXKXMUPUQYMXNHIURUSTUSUTYIYEXTV
      AYNYOAVBVCTYPJAVDYRYBAYRYMXOYOOZOZJPYBYPUUFJYMXOYOVETUUEYBJXQXPVGYMYOYAXO
      YMYIXRXTYHXQWSVFVHVIVQUSTVJVJYDYBXFAYBYAXOOYDXFXOYAVKYDYAXCXOXEYDYAXBBMXS
      KZXCXBLKZWQWRYAUUGQASZXBBCXSLLLVLVMWQUUGXCQZWRUUHWQUUJUUIXBBELLVNVOVPVRYD
      XOXHBRZHPZXICRZXMOZIPZOZXEXOXJWSRZXMOZIPHPZYDUUPXNUURHIXKUUQXMWSXJVSUTUQY
      DUUSUUKUUNOZIPHPZUUPWRUUSUVAQWQWRUURUUTHIWRUURUUKUUMOZXMOUUTWRUUQUVBXMXHL
      KXILKWRUUQUVBQHSISXHXIBCLLLVTWAWBUUKUUMXMVEWCWDWEUUKUUNHIWPWCWGWQUUPUUOWR
      XEWQUUOUUPWQUULUUOHBLWHWFWIXMXEICLUUMXLXDDXICXBWJVHWKWLVRWMWGWNWGWO $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d D x $.
    opkelcok.1 $e |- A e. _V $.
    opkelcok.2 $e |- B e. _V $.
    $( Membership in a Kuratowski composition. $)
    opkelcok $p |- ( << A , B >> e. ( C o._k D ) <->
         E. x ( << A , x >> e. D /\ << x , B >> e. C ) ) $=
      ( cvv wcel copk ccomk cv wa wex wb opkelcokg mp2an ) BHICHIBCJDEKIBALZJEI
      RCJDIMANOFGABCDEHHPQ $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Membership in the P6 operator. $)
    elp6 $p |- ( A e. V -> ( A e. P6 B <-> A. x << x , { A } >> e. B ) ) $=
      ( vy wcel cp6 cvv csn cxpk wss cv copk wal wceq sneq wi vex albii bitri
      sneqd xpkeq2d sseq1d df-p6 elab2g xpkssvvk ssrelk ax-mp opkelxpk biantrur
      wb wa df-sn abeq2i 3bitr2i imbi1i snex opkeq2 eleq1d ceqsalv syl6bb ) BDF
      BCGZFHBIZIZJZCKZALZVCMZCFZANZHELZIZIZJZCKVFEBVBDVKBOZVNVECVOVMVDHVOVLVCVK
      BPUAUBUCECUDUEVFVGVKMZVEFZVPCFZQZENZANZVJVEHHJKVFWAUKHVDUFAEVECUGUHVTVIAV
      TVKVCOZVRQZENVIVSWCEVQWBVRVQVGHFZVKVDFZULWEWBVGVKHVDARZERUIWDWEWFUJWBEVDE
      VCUMUNUOUPSVRVIEVCBUQWBVPVHCVKVCVGURUSUTTSTVA $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y z t u $.  $d B x y z t u $.  $d C x y z t u $.
    $( Membership in Kuratowski singleton image. $)
    opkelsikg $p |- ( ( A e. V /\ B e. W ) ->
       ( << A , B >> e. SI_k C <->
         E. x E. y ( A = { x } /\ B = { y } /\ << x , y >> e. C ) ) ) $=
      ( vt vu vz cv csn wceq copk wcel w3a wex csik eqeq1 2exbidv opkelopkabg
      df-sik 3anbi1d 3anbi2d ) HKZAKZLZMZIKZBKZLZMZUFUJNEOZPZBQAQCUGMZULUMPZBQA
      QUODUKMZUMPZBQAQJHIERCDFGJHIBAEUBUECMZUNUPABUSUHUOULUMUECUGSUCTUIDMZUPURA
      BUTULUQUOUMUIDUKSUDTUA $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    opksnelsik.1 $e |- A e. _V $.
    opksnelsik.2 $e |- B e. _V $.
    $( Membership of an ordered pair of singletons in a Kuratowski singleton
       image. $)
    opksnelsik $p |- ( << { A } , { B } >> e. SI_k C <-> << A , B >> e. C ) $=
      ( vx vy csn copk wcel cv wceq w3a wex cvv snex eqcom vex sneqb bitri csik
      wb opkelsikg mp2an biid 3anbi123i 2exbii opkeq1 eleq1d opkeq2 ceqsex2v )
      AHZBHZICUAJZULFKZHZLZUMGKZHZLZUOURIZCJZMZGNFNZABIZCJZULOJUMOJUNVDUBAPBPFG
      ULUMCOOUCUDVDUOALZURBLZVBMZGNFNVFVCVIFGUQVGUTVHVBVBUQUPULLVGULUPQUOAFRSTU
      TUSUMLVHUMUSQURBGRSTVBUEUFUGVBAURIZCJVFFGABDEVGVAVJCUOAURUHUIVHVJVECURBAU
      JUIUKTT $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y z t u $.
    $( A Kuratowski singleton image is a Kuratowski relationship. $)
    sikssvvk $p |- SI_k A C_ ( _V X._k _V ) $=
      ( vy vt vz vu vx cv csn wceq copk wcel w3a wex csik df-sik opkabssvvki )
      BGCGZHIDGEGZHIQRJAKLEMCMFBDANFBDECAOP $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y z w t a b $.
    $( A Kuratowski singleton image is a subset of ` ( 1c X._k 1c ) ` . $)
    sikss1c1c $p |- SI_k A C_ ( 1c X._k 1c ) $=
      ( vx vy va vb vz vw vt c1c cxpk wss cv copk wcel wal csn wceq w3a wex vex
      csik wi df-sik eqeq1 3anbi1d 2exbidv 3anbi2d opkelopkab wa opkeq12 snel1c
      wb opkelxpkg mp2an mpbir2an syl6eqel 3adant3 exlimivv sylbi gen2 sikssvvk
      weq cvv ssrelk ax-mp mpbir ) AUAZIIJZKZBLZCLZMZVGNZVLVHNZUBZCOBOZVOBCVMVJ
      DLZPZQZVKELZPZQZVQVTMANZRZESDSZVNFLZVRQZGLZWAQZWCRZESDSVSWIWCRZESDSWEHFGV
      GVJVKHFGEDAUCFBVBZWJWKDEWLWGVSWIWCWFVJVRUDUEUFGCVBZWKWDDEWMWIWBVSWCWHVKWA
      UDUGUFBTCTUHWDVNDEVSWBVNWCVSWBUIVLVRWAMZVHVJVKVRWAUJWNVHNZVRINZWAINZVQDTU
      KZVTETUKZWPWQWOWPWQUIULWRWSVRWAIIIIUMUNUOUPUQURUSUTVGVCVCJKVIVPULAVABCVGV
      HVDVEVF $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( Membership in the Kuratowski subset relationship. $)
    opkelssetkg $p |- ( ( A e. V /\ B e. W ) ->
      ( << A , B >> e. SSet_k <-> A C_ B ) ) $=
      ( vy vz vx cv wss cssetk df-ssetk sseq1 sseq2 opkelopkabg ) EHZFHZIAPIABI
      GEFJABCDGEFKOAPLPBAMN $.
      $( [13-Jan-2015] $)
  $}

  $( Membership via the Kuratowski subset relationship. $)
  elssetkg $p |- ( ( A e. V /\ B e. W ) ->
       ( << { A } , B >> e. SSet_k <-> A e. B ) ) $=
    ( wcel csn copk cssetk wss cvv snex opkelssetkg mpan snssg bicomd sylan9bbr
    wb ) BDEZAFZBGHEZSBIZACEZABEZSJERTUAQAKSBJDLMUBUCUAABCNOP $.
    $( [13-Jan-2015] $)

  ${
    elssetk.1 $e |- A e. _V $.
    elssetk.2 $e |- B e. _V $.
    $( Membership via the Kuratowski subset relationship. $)
    elssetk $p |- ( << { A } , B >> e. SSet_k <-> A e. B ) $=
      ( cvv wcel csn copk cssetk wb elssetkg mp2an ) AEFBEFAGBHIFABFJCDABEEKL
      $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y z $.  $d B x y $.  $d C x y z $.
    $( Membership in the Kuratowski image functor. $)
    opkelimagekg $p |- ( ( A e. V /\ B e. W ) ->
      ( << A , B >> e. Image_k C <-> B = ( C "_k A ) ) ) $=
      ( vx vy vz wcel cvv copk wb wa cssetk c1c wn wex csn exbii bitri cimak cv
      cimagek wceq elex cxpk cins2k csik ccnvk ccomk csymdif cpw1 wal opkelxpkg
      cins3k ibir biantrurd exnal wrex opkex elimak df-rex anbi1i 19.41v bitr4i
      elpw121c excom snex opkeq1 eleq1d ceqsexv 3bitri elsymdif otkelins2kg vex
      mp3an1 elssetkg mpan adantl otkelins3kg opkelcokg anbi1d exbidv opkelcnvk
      bitrd sikss1c1c sseli opkelxpk el1c biimpi adantr sylbi syl anass anbi12d
      pm4.71ri opksnelsik anbi2i syl6bb 3bitr4g syl6bbr bibi12d syl5rbb syl5bbr
      ancom notbid syl5bb con1bid bitr3d df-imagek eleq2i eldif dfcleq syl2an
      cdif ) ADIAJIZBJIZABKZCUCZIZBCAUAZUDZLBEIADUEBEUEXPXQMZXRJJUFZIZXRNUGZNCU
      HZUIZUJZUOZUKZOULULZUAZIZPZMZFUBZBIZYQYAIZLZFUMZXTYBYCYOYPUUAYCYEYOYCYEAB
      JJJJUNUPUQYCUUAYNUUAPYTPZFQZYCYNYTFURYNYQRZRZRZXRKZYKIZFQZYCUUCYNGUBZXRKZ
      YKIZGYLUSUUJYLIZUULMZGQZUUIGYKYLXRABUTVAUULGYLVBUUOUUJUUFUDZUULMZFQZGQUUQ
      GQZFQUUIUUNUURGUUNUUPFQZUULMUURUUMUUTUULFUUJVFVCUUPUULFVDVESUUQGFVGUUSUUH
      FUULUUHGUUFUUEVHUUPUUKUUGYKUUJUUFXRVIVJVKSVLVLYCUUHUUBFUUHUUGYFIZUUGYJIZL
      ZPYCUUBUUGYFYJVMYCUVCYTYCUVAYRUVBYSYCUVAUUDBKNIZYRUUDJIZXPXQUVAUVDLYQVHZU
      UDABNJJJVNVPXQUVDYRLZXPYQJIXQUVGFVOZYQBJJVQVRVSWEYCUVBUUDAKYIIZYSUVEXPXQU
      VBUVILUVFUUDABYIJJJVTVPXPUVIYSLXQXPUVIUUJYQKCIZGAUSZYSXPUVIUUDHUBZKYHIZUV
      LAKZNIZMZHQZUVKUVEXPUVIUVQLUVFHUUDANYHJJWAVRXPUUJRZAKZNIZUVJMZGQZUUJAIZUV
      JMZGQUVQUVKXPUWAUWDGXPUVTUWCUVJUUJJIXPUVTUWCLGVOZUUJAJJVQVRWBWCUVQUVLUVRU
      DZUVLUUDKZYGIZUVOMZMZGQZHQUWJHQZGQUWBUVPUWKHUVPUWFGQZUWHMZUVOMZUWKUVMUWNU
      VOUVMUWHUWNUUDUVLYGUVFHVOZWDUWHUWMUWHUWGOOUFZIZUWMYGUWQUWGCWFWGUWRUVLOIZU
      UDOIZMUWMUVLUUDOOUWPUVFWHUWSUWMUWTUWSUWMGUVLWIWJWKWLWMWPTVCUWOUWMUWIMUWKU
      WMUWHUVOWNUWFUWIGVDVETSUWJHGVGUWLUWAGUWIUWAHUVRUUJVHUWFUWIUVRUUDKZYGIZUVT
      MZUWAUWFUWHUXBUVOUVTUWFUWGUXAYGUVLUVRUUDVIVJUWFUVNUVSNUVLUVRAVIVJWOUXCUVT
      UXBMUWAUXBUVTXEUXBUVJUVTUUJYQCUWEUVHWQWRTWSVKSVLUVJGAVBWTWEGCAYQUVHVAXAWK
      WEXBXFXGWCXCXDXHXIXTXRYDYMXOZIYPXSUXDXRCXJXKXRYDYMXLTFBYAXMWTXN $.
      $( [13-Jan-2015] $)
  $}

  ${
    opkelimagek.1 $e |- A e. _V $.
    opkelimagek.2 $e |- B e. _V $.
    $( Membership in the Kuratowski image functor. $)
    opkelimagek $p |- ( << A , B >> e. Image_k C <-> B = ( C "_k A ) ) $=
      ( cvv wcel copk cimagek cimak wceq wb opkelimagekg mp2an ) AFGBFGABHCIGBC
      AJKLDEABCFFMN $.
      $( [20-Jan-2015] $)
  $}


  $( The Kuratowski image functor is a relationship. $)
  imagekrelk $p |- Image_k A C_ ( _V X._k _V ) $=
    ( cimagek cvv cxpk cssetk cins2k csik ccnvk ccomk cins3k csymdif cpw1 cimak
    c1c cdif df-imagek difss eqsstri ) ABCCDZEFEAGHIJKNLLMZOSAPSTQR $.
    $( [14-Jan-2015] $)

  ${
    $d A x y z $.  $d B x y z $.
    $( Membership in the Kuratowski identity relationship. $)
    opkelidkg $p |- ( ( A e. V /\ B e. W ) ->
              ( << A , B >> e. _I_k <-> A = B ) ) $=
      ( vx vy vz weq cv wceq cidk df-idk eqeq1 eqeq2 opkelopkabg ) EFHAFIZJABJG
      EFKABCDGEFLEIAPMPBANO $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y z $.
    $( A Kuratowski converse is a Kuratowski relationship. $)
    cnvkssvvk $p |- `'_k A C_ ( _V X._k _V ) $=
      ( vz vy vx cv copk wcel ccnvk df-cnvk opkabssvvki ) BECEFAGDCBAHDCBAIJ $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    $( The converse of a Kuratowski cross product. $)
    cnvkxpk $p |- `'_k ( A X._k B ) = ( B X._k A ) $=
      ( vx vy cxpk ccnvk cnvkssvvk xpkssvvk cv wcel wa copk ancom vex opkelcnvk
      opkelxpk bitri 3bitr4i eqrelkriiv ) CDABEZFZBAEZTGBAHDIZAJZCIZBJZKZUFUDKU
      EUCLZUAJZUHUBJUDUFMUIUCUELTJUGUEUCTCNZDNZOUCUEABUKUJPQUEUCBAUJUKPRS $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.  $d D x y $.
    $( The intersection of two Kuratowski cross products. $)
    inxpk $p |- ( ( A X._k B ) i^i ( C X._k D ) ) =
           ( ( A i^i C ) X._k ( B i^i D ) ) $=
      ( vx vy cxpk cin cvv inss1 xpkssvvk sstri cv wcel wa vex opkelxpk anbi12i
      elin bitri copk an4 3bitr4i eqrelkriiv ) EFABGZCDGZHZACHZBDHZGZUGUEIIGUEU
      FJABKLUHUIKEMZANZFMZBNZOZUKCNZUMDNZOZOZULUPOZUNUQOZOZUKUMUAZUGNZVCUJNZULU
      NUPUQUBVDVCUENZVCUFNZOUSVCUEUFSVFUOVGURUKUMABEPZFPZQUKUMCDVHVIQRTVEUKUHNZ
      UMUINZOVBUKUMUHUIVHVIQVJUTVKVAUKACSUMBDSRTUCUD $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d x y z w $.
    $( The Kuratowski subset relationship is a Kuratowski relationship. $)
    ssetkssvvk $p |- SSet_k C_ ( _V X._k _V ) $=
      ( vy vz vx cv wss cssetk df-ssetk opkabssvvki ) ADBDECABFCABGH $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y z t u w $.
    $( Subset law for ` Ins2_k A ` . $)
    ins2kss $p |- Ins2_k A C_ ( ~P1 1c X._k ( _V X._k _V ) ) $=
      ( vy vz vw vt vu vx c1c cvv cxpk wss copk wcel wal csn wceq w3a wex vex
      cv cins2k cpw1 wi wb opkelins2kg mp2an wa opkeq12 snel1c snelpw1 opkelxpk
      mpbir mpbir2an snex opkex syl6eqel 3adant3 exlimiv exlimivv gen2 df-ins2k
      sylbi opkabssvvki ssrelk ax-mp ) AUAZHUBZIIJZJZKZBTZCTZLZVFMZVMVIMZUCZCNB
      NZVPBCVNVKDTZOZOZPZVLETZFTZLZPZVRWCLAMZQZFRZERDRZVOVKIMVLIMVNWIUDBSCSDEFV
      KVLAIIUEUFWHVODEWGVOFWAWEVOWFWAWEUGVMVTWDLZVIVKVLVTWDUHWJVIMVTVGMZWDVHMZW
      KVSHMVRDSUIVSHUJULWLWBIMWCIMESZFSZWBWCIIWMWNUKUMVTWDVGVHVSUNWBWCUOUKUMUPU
      QURUSVBUTVFVHKVJVQUDVKWBOOPVLWCVRLPWBVRLAMQDRFRERGBCVFGBCDFEAVAVCBCVFVIVD
      VEUL $.
      $( [14-Jan-2015] $)

    $( Subset law for ` Ins3_k A ` . $)
    ins3kss $p |- Ins3_k A C_ ( ~P1 1c X._k ( _V X._k _V ) ) $=
      ( vy vz vt vu vw vx c1c cvv cxpk wss cv copk wcel wal csn wceq wex wb vex
      cins3k cpw1 wi opkelins3kg mp2an wa opkeq12 snel1c snelpw1 mpbir opkelxpk
      mpbir2an snex opkex syl6eqel 3adant3 exlimiv exlimivv sylbi gen2 df-ins3k
      w3a opkabssvvki ssrelk ax-mp ) AUAZHUBZIIJZJZKZBLZCLZMZVFNZVMVINZUCZCOBOZ
      VPBCVNVKDLZPZPZQZVLELZFLZMZQZVRWBMANZVBZFRZERDRZVOVKINVLINVNWISBTCTDEFVKV
      LAIIUDUEWHVODEWGVOFWAWEVOWFWAWEUFVMVTWDMZVIVKVLVTWDUGWJVINVTVGNZWDVHNZWKV
      SHNVRDTUHVSHUIUJWLWBINWCINETZFTZWBWCIIWMWNUKULVTWDVGVHVSUMWBWCUNUKULUOUPU
      QURUSUTVFVHKVJVQSWIGBCVFGBCFEDAVAVCBCVFVIVDVEUJ $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d x y z $.
    $( The Kuratowski identity relationship is a Kuratowski relationship. $)
    idkssvvk $p |- _I_k C_ ( _V X._k _V ) $=
      ( vy vz vx weq cidk df-idk opkabssvvki ) ABDCABECABFG $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d A x y z a b c $.  $d B x y z a b c $.  $d C x y z a b c $.
    $( Image under a composition. $)
    imacok $p |- ( ( A o._k B ) "_k C ) = ( A "_k ( B "_k C ) ) $=
      ( vz vx vy ccomk cimak cv copk wcel wrex wa wex vex rexbii rexcom4 df-rex
      opkelcok elimak anbi1i r19.41v bitr4i exbii bitr2i 3bitri 3bitr4i eqriv )
      DABGZCHZABCHZHZEIZDIZJUIKZECLZFIZUNJAKZFUKLZUNUJKUNULKUPUMUQJBKZURMZFNZEC
      LVAECLZFNZUSUOVBECFUMUNABEODOZSPVAEFCQUSUQUKKZURMZFNVDURFUKRVGVCFVGUTECLZ
      URMVCVFVHUREBCUQFOTUAUTURECUBUCUDUEUFEUICUNVETFAUKUNVETUGUH $.
      $( [4-Feb-2015] $)
  $}


  ${
    $d x A $.  $d x B $.  $d x C $.
    elimaksn.1 $e |- B e. _V $.
    elimaksn.2 $e |- C e. _V $.
    $( Membership in a Kuratowski image of a singleton. $)
    elimaksn $p |- ( C e. ( A "_k { B } ) <-> << B , C >> e. A ) $=
      ( vx csn cimak wcel cv copk wrex elimak wceq opkeq1 eleq1d rexsn bitri )
      CABGZHIFJZCKZAIZFSLBCKZAIZFASCEMUBUDFBDTBNUAUCATBCOPQR $.
      $( [4-Feb-2015] $)
  $}

  ${
    $d A x y z a b c $.  $d B x y z a b c $.
    $( A Kuratowski composition is a Kuratowski relationship. $)
    cokrelk $p |- ( A o._k B ) C_ ( _V X._k _V ) $=
      ( vx vy va vb vc ccomk cvv cxpk wcel copk cins2k wex vex csn wceq exlimiv
      cv sylbi ccnvk cins3k cimak df-cok eleq2i elimakv bitri inss1 opkelins2kg
      cin sseli wb mp2an opkelxpk mpbir2an eleq1 mpbiri 3ad2ant2 exlimivv ssriv
      w3a syl ) CABHZIIJZCSZVCKZDSZVELZAMZBUAUBZUJZKZDNZVEVDKZVFVEVKIUCZKVMVCVO
      VEABUDUEDVKVECOZUFUGVLVNDVLVHVIKZVNVKVIVHVIVJUHUKVQVGESZPPQZVEFSZGSZLZQZV
      RWALAKZVAZGNZFNENZVNVGIKVEIKVQWGULDOVPEFGVGVEAIIUIUMWFVNEFWEVNGWCVSVNWDWC
      VNWBVDKZWHVTIKWAIKFOZGOZVTWAIIWIWJUNUOVEWBVDUPUQURRUSTVBRTUT $.
      $( [4-Feb-2015] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Kuratowski existence theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A a b x y z $.
    $( The Kuratowski cross product of ` _V ` with a set is a set. $)
    xpkvexg $p |- ( A e. V -> ( _V X._k A ) e. _V ) $=
      ( vx vz vy va vb cvv cv cxpk wcel wceq xpkeq2 eleq1d wel wa wex wal bitri
      wb copk ax-xp isset dfcleq elxpk vex biantrur anbi2i 2exbii bitr4i bibi2i
      albii exbii mpbir vtoclg ) HCIZJZHKZHAJZHKCABUPALUQUSHUPAHMNURDEOZDIZFIZG
      IUALZGCOZPZGQFQZTZDRZEQZCEDFGUBUREIZUQLZEQVIEUQUCVKVHEVKUTVAUQKZTZDRVHDVJ
      UQUDVMVGDVLVFUTVLVCVBHKZVDPZPZGQFQVFFGVAHUPUEVEVPFGVDVOVCVNVDFUFUGUHUIUJU
      KULSUMSUNUO $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y z w $.
    $( The Kuratowski converse of a set is a set. $)
    cnvkexg $p |- ( A e. V -> `'_k A e. _V ) $=
      ( vx vz vw vy cv ccnvk cvv wcel wceq cnvkeq eleq1d copk wal wex wss ax-mp
      wb vex ax-cnv cxpk inss1 cnvkssvvk eqrelk mp2an opkelxpk mpbir2an mpbiran
      cin elin opkelcnvk bibi12i 2albii bitri biimpri vvex xpkvexg inex exlimiv
      syl6eqelr vtoclg ) CGZHZIJZAHZIJCABVCAKVDVFIVCALMDGZEGZNZFGZJZVHVGNVCJZSZ
      EODOZFPVECFDEUAVNVEFVNVDIIUBZVJUJZIVPVDKZVNVQVIVPJZVIVDJZSZEODOZVNVPVOQVD
      VOQVQWASVOVJUCVCUDDEVPVDUEUFVTVMDEVRVKVSVLVRVIVOJZVKWBVGIJVHIJDTZETZVGVHI
      IWCWDUGUHVIVOVJUKUIVGVHVCWCWDULUMUNUOUPVOVJIIJVOIJUQIIURRFTUSVAUTRVB $.
      $( [13-Jan-2015] $)
  $}

  ${
    cnvkex.1 $e |- A e. _V $.
    $( The Kuratowski converse of a set is a set. $)
    cnvkex $p |- `'_k A e. _V $=
      ( cvv wcel ccnvk cnvkexg ax-mp ) ACDAECDBACFG $.
      $( [14-Jan-2015] $)
  $}

  $( The Kuratowski cross product of two sets is a set. $)
  xpkexg $p |- ( ( A e. V /\ B e. W ) -> ( A X._k B ) e. _V ) $=
    ( wcel cvv cxpk ccnvk cnvkxpk xpkvexg cnvkexg syl syl5eqelr cin inxpk incom
    wa inv1 eqtri xpkeq12i inexg syl2an ) ACEZAFGZFEZFBGZFEZABGZFEBDEUCUDFAGZHZ
    FFAIUCUIFEUJFEACJUIFKLMBDJUEUGQUHUDUFNZFUKAFNZFBNZGUHAFFBOULAUMBARUMBFNBFBP
    BRSTSUDUFFFUAMUB $.
    $( [13-Jan-2015] $)

  ${
    xpkex.1 $e |- A e. _V $.
    xpkex.2 $e |- B e. _V $.
    $( The Kuratowski cross product of two sets is a set. $)
    xpkex $p |- ( A X._k B ) e. _V $=
      ( cvv wcel cxpk xpkexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d A x y z w $.
    $( The P6 operator applied to a set yields a set. $)
    p6exg $p |- ( A e. V -> P6 A e. _V ) $=
      ( vx vz vy vw cv cp6 cvv wcel wceq p6eq eleq1d wel csn copk wal vex ax-mp
      wb ax-typlower dfcleq bibi2i albii bitri biimpri syl6eqelr exlimiv vtoclg
      wex elp6 ) CGZHZIJZAHZIJCABULAKUMUOIULALMDENZFGDGZOPULJFQZTZDQZEUJUNCEDFU
      AUTUNEUTUMEGZIVAUMKZUTVBUPUQUMJZTZDQUTDVAUMUBVDUSDVCURUPUQIJVCURTDRFUQULI
      UKSUCUDUEUFERUGUHSUI $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x $.  $d A z $.  $d x z $.
    $( Alternate definition of unit union. $)
    dfuni12 $p |- U.1 A = P6 ( _V X._k A ) $=
      ( vx vz cuni1 cvv cxpk cp6 cv csn wcel copk wal 19.27v vex opkelxpk albii
      wa snex ax-gen biantrur 3bitr4ri eluni1 wb elp6 ax-mp 3bitr4i eqriv ) BAD
      ZEAFZGZBHZIZAJZCHZULKUIJZCLZUKUHJUKUJJZUNEJZUMQZCLURCLZUMQUPUMURUMCMUOUSC
      UNULEACNZUKROPUTUMURCVASTUAUKABNZUBUKEJUQUPUCVBCUKUIEUDUEUFUG $.
      $( [15-Mar-2015] $)
  $}

  $( The unit union operator preserves sethood. $)
  uni1exg $p |- ( A e. V -> U.1 A e. _V ) $=
    ( wcel cuni1 cvv cxpk cp6 dfuni12 vvex xpkexg mpan p6exg syl syl5eqel ) ABC
    ZADEAFZGZEAHOPECZQECEECORIEAEBJKPELMN $.
    $( [13-Jan-2015] $)

  ${
    uni1ex.1 $e |- A e. _V $.
    $( The unit union operator preserves sethood. $)
    uni1ex $p |- U.1 A e. _V $=
      ( cvv wcel cuni1 uni1exg ax-mp ) ACDAECDBACFG $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d x y z w $.
    $( The Kuratowski subset relationship is a set. $)
    ssetkex $p |- SSet_k e. _V $=
      ( vy vz vx vw cv copk wcel wel wi wal wb wex cssetk cvv ax-sset wss mp2an
      vex bitri ax-mp cxpk cin wceq ssetkssvvk eqrelk opkelxpk mpbir2an mpbiran
      inss1 elin opkelssetkg bibi12i 2albii biimpri vvex xpkvexg inex syl6eqelr
      dfss2 exlimiv ) AEZBEZFZCEZGZDAHDBHIDJZKZBJAJZCLMNGZCABDOVHVICVHMNNUAZVDU
      BZNVKMUCZVHVLVCVKGZVCMGZKZBJAJZVHVKVJPMVJPVLVPKVJVDUIUDABVKMUEQVOVGABVMVE
      VNVFVMVCVJGZVEVQVANGZVBNGZARZBRZVAVBNNVTWAUFUGVCVJVDUJUHVNVAVBPZVFVRVSVNW
      BKVTWAVAVBNNUKQDVAVBUSSULUMSUNVJVDNNGVJNGUONNUPTCRUQURUTT $.
      $( [13-Jan-2015] $)
  $}

  ${
    $d A x y z w t $.  $d B x y z w t $.
    sikexlem.1 $e |- A C_ ( 1c X._k 1c ) $.
    sikexlem.2 $e |- B C_ ( 1c X._k 1c ) $.
    $( Lemma for ~ sikexg .  Equality for two subsets of ` 1c ` squared . $)
    sikexlem $p |- ( A = B <->
              A. x A. y ( << { x } , { y } >> e. A <->
                          << { x } , { y } >> e. B ) ) $=
      ( vz vw vt wceq cv wcel wb c1c copk wal wex wa bitr4i bitri cxpk wral csn
      wss ssofeq mp2an df-ral w3a elxpk el1c anbi12i eeanv anbi2i df-3an 2exbii
      wi ancom 19.42vv exrot4 snex opkeq1 eqeq2d opkeq2 ceqsex2v 3bitri 19.23vv
      imbi1i albii alrot3 opkex eleq1 bibi12d ceqsalv 2albii ) CDJZGKZCLZVPDLZM
      ZGNNUAZUBZAKZUCZBKZUCZOZCLZWFDLZMZBPAPZCVTUDDVTUDVOWAMEFGCDVTUEUFWAVPVTLZ
      VSUPZGPZVPWFJZVSUPZGPZBPAPZWJVSGVTUGWMWOBPAPZGPWQWLWRGWLWNBQAQZVSUPWRWKWS
      VSWKVPHKZIKZOZJZWTNLZXANLZRZRZIQHQZWTWCJZXAWEJZXCUHZIQHQZBQAQZWSHIVPNNUIX
      HXKBQAQZIQHQXMXGXNHIXGXCXIXJRZBQAQZRZXNXFXPXCXFXIAQZXJBQZRXPXDXRXEXSAWTUJ
      BXAUJUKXIXJABULSUMXNXCXORZBQAQXQXKXTABXKXOXCRXTXIXJXCUNXOXCUQTUOXCXOABURT
      SUOXKABHIUSSXLWNABXCVPWCXAOZJWNHIWCWEWBUTWDUTXIXBYAVPWTWCXAVAVBXJYAWFVPXA
      WEWCVCVBVDUOVEVGWNVSABVFSVHWOGABVITWPWIABVSWIGWFWCWEVJWNVQWGVRWHVPWFCVKVP
      WFDVKVLVMVNVET $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d A x y z w $.
    $( The Kuratowski singleton image of a set is a set. $)
    sikexg $p |- ( A e. V -> SI_k A e. _V ) $=
      ( vx vz vw vy cv csik cvv wcel wceq csn copk wal c1c vex snel1c snex 1cex
      wb sikeq eleq1d wex ax-si cxpk inss1 sikss1c1c sikexlem opkelxpk mpbir2an
      elin mpbiran opksnelsik bibi12i 2albii bitri biimpri xpkex inex syl6eqelr
      cin exlimiv ax-mp vtoclg ) CGZHZIJZAHZIJCABVEAKVFVHIVEAUAUBDGZLZEGZLZMZFG
      ZJZVIVKMVEJZTZENDNZFUCVGCFDEUDVRVGFVRVFOOUEZVNVAZIVTVFKZVRWAVMVTJZVMVFJZT
      ZENDNVRDEVTVFVSVNUFVEUGUHWDVQDEWBVOWCVPWBVMVSJZVOWEVJOJVLOJVIDPZQVKEPZQVJ
      VLOOVIRVKRUIUJVMVSVNUKULVIVKVEWFWGUMUNUOUPUQVSVNOOSSURFPUSUTVBVCVD $.
      $( [14-Jan-2015] $)
  $}

  ${
    sikex.1 $e |- A e. _V $.
    $( The Kuratowski singleton image of a set is a set. $)
    sikex $p |- SI_k A e. _V $=
      ( cvv wcel csik sikexg ax-mp ) ACDAECDBACFG $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d A x y z w $.  $d B x y z w $.
    $( Alternate definition of Kuratowski image.  This is the first of a series
       of definitions throughout the file designed to prove existence of
       various operations. $)
    dfimak2 $p |- ( A "_k B ) =
       ~ P6 ( ~ ( 1c X._k _V ) u. SI_k ~ ( A i^i ( B X._k _V ) ) ) $=
      ( vx vy vz c1c cvv cxpk ccompl cv copk wcel wn wex csn vex elcompl 3bitri
      wa bitri cimak cin csik cun cp6 wrex df-rex exancom wceq wb elp6 ax-mp wo
      elun opkex snex opkelxpk mpbiran2 xchbinx orbi1i wi iman imor el1c anbi1i
      19.41v bitr4i notbii 3bitr3i albii opkeq1 eleq1d opksnelsik syl6bb notbid
      alnex excom ceqsexv elin notnot anbi2i exbii con2bii elimak 3bitr4i eqriv
      wal ) CABUAZFGHZIZABGHZUBZIZUCZUDZUEZIZDJZCJZKZALZDBUFZWSWPLZMZWSWHLWSWQL
      XBWRBLZXASDNXAXESZDNZXDXADBUGXEXADUHXCXGXCEJZWSOZKZWOLZEWGZXHWROZUIZXJWNL
      ZMZSZDNZMZEWGZXGMWSGLZXCXLUJCPZEWSWOGUKULXKXSEXKXJWJLZXOUMXHFLZMZXOUMZXSX
      JWJWNUNYCYEXOYCXJWILZYDXJWIXHXIUOQYGYDXIGLWSUPZXHXIFGEPYHUQURUSUTYDXOVAYD
      XPSZMYFXSYDXOVBYDXOVCYIXRYIXNDNZXPSXRYDYJXPDXHVDVEXNXPDVFVGVHVIRVJXTXRENZ
      XGXREVPYKXQENZDNXGXQEDVQYLXFDYLWTWLLZMZMZXFXPYOEXMWRUPXNXOYNXNXOXMXIKZWNL
      ZYNXNXJYPWNXHXMXIVKVLYQWTWMLYNWRWSWMDPZYBVMWTWLWRWSUOQTVNVOVRYMXAWTWKLZSY
      OXFWTAWKVSYMVTYSXEXAYSXEYAYBWRWSBGYRYBUQURWAVITWBTUSRWCRDABWSYBWDWSWPYBQW
      EWF $.
      $( [14-Jan-2015] $)
  $}

  $( The image of a set under a set is a set. $)
  imakexg $p |- ( ( A e. V /\ B e. W ) -> ( A "_k B ) e. _V ) $=
    ( wcel wa cimak c1c cvv cxpk ccompl cin csik cun dfimak2 1cex vvex complexg
    cp6 3syl xpkex complex xpkexg mpan2 inexg sylan2 sikexg unexg sylancr p6exg
    syl5eqel ) ACEZBDEZFZABGHIJZKZABIJZLZKZMZNZSZKZIABOUNVAIEZVBIEVCIEUNUPIEUTI
    EZVDUOHIPQUAUBUNURIEZUSIEVEUMULUQIEZVFUMIIEVGQBIDIUCUDAUQCIUEUFURIRUSIUGTUP
    UTIIUHUIVAIUJVBIRTUK $.
    $( [14-Jan-2015] $)

  ${
    imakex.1 $e |- A e. _V $.
    imakex.2 $e |- B e. _V $.
    $( The image of a set under a set is a set. $)
    imakex $p |- ( A "_k B ) e. _V $=
      ( cvv wcel cimak imakexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [14-Jan-2015] $)
  $}


  ${
    $d A x y z w $.
    $( Alternate expression for unit power classes. $)
    dfpw12 $p |- ~P1 A = ( SI_k ( A X._k A ) "_k _V ) $=
      ( vx vy vz vw cpw1 cvv cv wcel csn wceq wex vex wb exbii bitr4i wa 3bitri
      copk weq cxpk csik cimak wrex elpw1 elimakv opkelsikg mp2an exrot3 df-3an
      w3a opkelxpk anbi2i an4 2exbii 19.41vv eqeq12 sylan2 eleq1 adantl anbi12d
      sneq cla42ev pm4.71ri ancom bitr3i df-rex eqriv ) BAFZAAUAZUBZGUCZBHZVIIV
      MCHZJZKZCAUDZVMVLIZCVMAUEVRDHZVMSVKIZDLZVSEHZJZKZVPWBVNSVJIZUKZELDLZCLZVQ
      DVKVMBMZUFWAWFCLELZDLWHVTWJDVSGIVMGIVTWJNDMWIECVSVMVJGGUGUHOWFCDEUIPWHVNA
      IZVPQZCLVQWGWLCWGWDWBAIZQZVPWKQZQZELDLWNELDLZWOQZWLWFWPDEWFWDVPQZWEQWSWMW
      KQZQWPWDVPWEUJWEWTWSWBVNAAEMCMZULUMWDVPWMWKUNRUOWNWODEUPWRWOWLWOWQWNWODEV
      MVNWIXADBTZECTZQWDVPWMWKXCXBWCVOKWDVPNWBVNVBVSVMWCVOUQURXCWMWKNXBWBVNAUSU
      TVAVCVDVPWKVEVFROVPCAVGPRPVH $.
      $( [26-Jan-2015] $)
  $}

  $( The unit power class preserves sethood. $)
  pw1exg $p |- ( A e. V -> ~P1 A e. _V ) $=
    ( wcel cpw1 cxpk csik cvv cimak dfpw12 xpkexg anidms sikexg imakexg sylancl
    syl vvex syl5eqel ) ABCZADAAEZFZGHZGAIRTGCZGGCUAGCRSGCZUBRUCAABBJKSGLOPTGGG
    MNQ $.
    $( [14-Jan-2015] $)

  ${
    pw1ex.1 $e |- A e. _V $.
    $( The unit power class preserves sethood. $)
    pw1ex $p |- ~P1 A e. _V $=
      ( cvv wcel cpw1 pw1exg ax-mp ) ACDAECDBACFG $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d A x y z w t u $.  $d B x y z w t u $.
    insklem.1 $e |- A C_ ( ~P1 1c X._k ( _V X._k _V ) ) $.
    insklem.2 $e |- B C_ ( ~P1 1c X._k ( _V X._k _V ) ) $.
    $( Lemma for ~ ins2kexg and ~ ins3kexg .  Equality for subsets of
       ` ( ~P1 1c X._k ( _V X._k _V ) ) ` . $)
    insklem $p |- ( A = B <->
      A. x A. y A. z ( << { { x } } , << y , z >> >> e. A <->
                       << { { x } } , << y , z >> >> e. B ) ) $=
      ( vw vt vu wceq cv wcel copk wal wi wex albii wa bitri c1c cpw1 cxpk wral
      wb cvv csn wss ssofeq mp2an 19.23v 19.23vv 19.42vv anbi2i 3bitr4ri 2exbii
      elvvk elxpk exrot3 exancom elpw11c anbi1i 19.41v bitr4i exbii ancom opkex
      an12 opkeq2 eqeq2d anbi1d ceqsexv snex opkeq1 excom bitr3i exrot4 3bitr4i
      imbi1i df-ral alcom alrot3 eleq1 bibi12d ceqsalv 2albii 3bitrri ) DEKZHLZ
      DMZWIEMZUEZHUAUBZUFUFUCZUCZUDZALUGZUGZBLZCLZNZNZDMZXBEMZUEZCOZBOAOZDWOUHE
      WOUHWHWPUEFGHDEWOUIUJWIWOMZWLPZHOWIXBKZWLPZCOBOZAOZHOZWPXGXIXMHXJCQBQZWLP
      ZAOXOAQZWLPXMXIXOWLAUKXLXPAXJWLBCULRXHXQWLWIILZJLZNZKZXRWMMZXSWNMZSZSZJQI
      QYAYBXSXAKZSZSZCQBQZJQIQZXHXQYEYIIJYAYGCQBQZSYAYBYFCQBQZSZSYIYEYKYMYAYBYF
      BCUMUNYAYGBCUMYDYMYAYCYLYBBCXSUQUNUNUOUPIJWIWMWNURXQXJAQZCQBQZYJXJABCUSYO
      YHJQIQZCQBQYJYNYPBCWIXRXANZKZYBSZIQZXRWRKZYRSZAQZIQZYPYNYTYBYRSZIQUUDYRYB
      IUTUUEUUCIUUEUUAAQZYRSUUCYBUUFYRAXRVAVBUUAYRAVCVDVETYPYFYAYBSZSZJQZIQYTYH
      UUHIJYHYAYFYBSZSUUHYGUUJYAYBYFVFUNYAYFYBVHTUPUUIYSIUUGYSJXAWSWTVGYFYAYRYB
      YFXTYQWIXSXAXRVIVJVKVLVETYNUUBIQZAQUUDUUKXJAYRXJIWRWQVMUUAYQXBWIXRWRXAVNV
      JVLVEUUBAIVOVPUOUPYHBCIJVQTTVRVSUORWLHWOVTXNXLHOZAOXKHOZCOZBOZAOXGXLHAWAU
      ULUUOAXKHBCWBRUUNXFABUUMXECWLXEHXBWRXAVGXJWJXCWKXDWIXBDWCWIXBEWCWDWERWFWG
      VRT $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d A x y z w t $.
    $( ` Ins2_k ` preserves sethood. $)
    ins2kexg $p |- ( A e. V -> Ins2_k A e. _V ) $=
      ( vx vz vw vt vy cv cins2k cvv wcel wceq csn copk wb wal c1c vex opkelxpk
      cxpk ins2keq eleq1d wex ax-ins2 cpw1 inss1 ins2kss insklem snel1c snelpw1
      cin mpbir mpbir2an snex opkex elin mpbiran otkelins2k bibi12i albii bitri
      2albii biimpri 1cex pw1ex vvex xpkex inex syl6eqelr exlimiv ax-mp vtoclg
      ) CHZIZJKZAIZJKCABVMALVNVPJVMAUAUBDHZMZMZEHZFHZNZNZGHZKZVQWANVMKZOZFPZEPD
      PZGUCVOCGDEFUDWIVOGWIVNQUEZJJTZTZWDUKZJWMVNLZWIWNWCWMKZWCVNKZOZFPZEPDPWID
      EFWMVNWLWDUFVMUGUHWRWHDEWQWGFWOWEWPWFWOWCWLKZWEWSVSWJKZWBWKKZWTVRQKVQDRZU
      IVRQUJULXAVTJKWAJKERZFRZVTWAJJXCXDSUMVSWBWJWKVRUNVTWAUOSUMWCWLWDUPUQVQVTW
      AVMXBXCXDURUSUTVBVAVCWLWDWJWKQVDVEJJVFVFVGVGGRVHVIVJVKVL $.
      $( [14-Jan-2015] $)

    $( ` Ins3_k ` preserves sethood. $)
    ins3kexg $p |- ( A e. V -> Ins3_k A e. _V ) $=
      ( vx vz vw vt vy cv cins3k cvv wcel wceq csn copk wb wal c1c vex opkelxpk
      cxpk ins3keq eleq1d wex ax-ins3 cpw1 inss1 ins3kss insklem snel1c snelpw1
      cin mpbir mpbir2an snex opkex elin mpbiran otkelins3k bibi12i albii bitri
      2albii biimpri 1cex pw1ex vvex xpkex inex syl6eqelr exlimiv ax-mp vtoclg
      ) CHZIZJKZAIZJKCABVMALVNVPJVMAUAUBDHZMZMZEHZFHZNZNZGHZKZVQVTNVMKZOZFPEPZD
      PZGUCVOCGDEFUDWIVOGWIVNQUEZJJTZTZWDUKZJWMVNLZWIWNWCWMKZWCVNKZOZFPEPZDPWID
      EFWMVNWLWDUFVMUGUHWRWHDWQWGEFWOWEWPWFWOWCWLKZWEWSVSWJKZWBWKKZWTVRQKVQDRZU
      IVRQUJULXAVTJKWAJKERZFRZVTWAJJXCXDSUMVSWBWJWKVRUNVTWAUOSUMWCWLWDUPUQVQVTW
      AVMXBXCXDURUSVBUTVAVCWLWDWJWKQVDVEJJVFVFVGVGGRVHVIVJVKVL $.
      $( [14-Jan-2015] $)
  $}

  ${
    inskex.1 $e |- A e. _V $.
    $( ` Ins2_k ` preserves sethood. $)
    ins2kex $p |- Ins2_k A e. _V $=
      ( cvv wcel cins2k ins2kexg ax-mp ) ACDAECDBACFG $.
      $( [14-Jan-2015] $)

    $( ` Ins3_k ` preserves sethood. $)
    ins3kex $p |- Ins3_k A e. _V $=
      ( cvv wcel cins3k ins3kexg ax-mp ) ACDAECDBACFG $.
      $( [14-Jan-2015] $)
  $}

  $( The Kuratowski composition of two sets is a set. $)
  cokexg $p |- ( ( A e. V /\ B e. W ) -> ( A o._k B ) e. _V ) $=
    ( wcel wa ccomk cins2k ccnvk cins3k cin cvv cimak ins2kexg cnvkexg ins3kexg
    df-cok syl inexg syl2an vvex imakexg sylancl syl5eqel ) ACEZBDEZFZABGAHZBIZ
    JZKZLMZLABQUGUKLEZLLEULLEUEUHLEUJLEZUMUFACNUFUILEUNBDOUILPRUHUJLLSTUAUKLLLU
    BUCUD $.
    $( [14-Jan-2015] $)

  ${
    cokex.1 $e |- A e. _V $.
    cokex.2 $e |- B e. _V $.
    $( The Kuratowski composition of two sets is a set. $)
    cokex $p |- ( A o._k B ) e. _V $=
      ( cvv wcel ccomk cokexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [14-Jan-2015] $)
  $}

  $( The Kuratowski image functor preserves sethood. $)
  imagekexg $p |- ( A e. V -> Image_k A e. _V ) $=
    ( wcel cimagek cvv cxpk cssetk cins2k csik ccnvk ccomk csymdif c1c cpw1 syl
    cins3k ssetkex mpan pw1ex vvex cimak cdif df-imagek sikexg cnvkexg ins3kexg
    cokexg ins2kex symdifexg 1cex imakexg mpan2 xpkex difexg syl5eqel ) ABCZADE
    EFZGHZGAIZJZKZPZLZMNZNZUAZUBZEAUCUPVFECZVGECZUPVCECZVHUPVBECZVJUPVAECZVKUPU
    TECZVLUPUSECVMABUDUSEUEOGECVMVLQGUTEEUGROVAEUFOURECVKVJGQUHURVBEEUIROVJVEEC
    VHVDMUJSSVCVEEEUKULOUQECVHVIEETTUMUQVFEEUNROUO $.
    $( [14-Jan-2015] $)

  ${
    imagekex.1 $e |- A e. _V $.
    $( The Kuratowski image functor preserves sethood. $)
    imagekex $p |- Image_k A e. _V $=
      ( cvv wcel cimagek imagekexg ax-mp ) ACDAECDBACFG $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d x y $.
    $( Definition of ` _I_k ` in terms of ` SSet_k ` . $)
    dfidk2 $p |- _I_k = ( SSet_k i^i `'_k SSet_k ) $=
      ( vx vy cidk cssetk ccnvk cin idkssvvk cvv cxpk inss1 cv wss wa copk wcel
      wb vex mp2an opkelssetkg bitri ssetkssvvk weq eqss opkelidkg elin anbi12i
      sstri opkelcnvk 3bitr4i eqrelkriiv ) ABCDDEZFZGULDHHIDUKJUAUGABUBZAKZBKZL
      ZUOUNLZMZUNUONZCOZUSULOZUNUOUCUNHOZUOHOZUTUMPAQZBQZUNUOHHUDRVAUSDOZUSUKOZ
      MURUSDUKUEVFUPVGUQVBVCVFUPPVDVEUNUOHHSRVGUOUNNDOZUQUNUODVDVEUHVCVBVHUQPVE
      VDUOUNHHSRTUFTUIUJ $.
      $( [14-Jan-2015] $)
  $}

  $( The Kuratowski identity relationship is a set. $)
  idkex $p |- _I_k e. _V $=
    ( cidk cssetk ccnvk cin cvv dfidk2 ssetkex cnvkex inex eqeltri ) ABBCZDEFBK
    GBGHIJ $.
    $( [14-Jan-2015] $)

  ${
    $d A x y $.
    $( Alternate definition of class union for existence proof. $)
    dfuni3 $p |- U. A = U.1 ( `'_k SSet_k "_k A ) $=
      ( vx vy cuni cssetk ccnvk cimak cuni1 cv csn copk wcel wrex wel opkelcnvk
      vex snex elssetk bitri rexbii eluni1 elimak eluni2 3bitr4ri eqriv ) BADZE
      FZAGZHZCIZBIZJZKUGLZCAMZBCNZCAMUKUILZUKUFLUMUOCAUMULUJKELUOUJULECPZUKQZOU
      KUJBPZUQRSTUPULUHLUNUKUHUSUACUGAULURUBSCUKAUCUDUE $.
      $( [14-Jan-2015] $)
  $}

  $( The sum class of a set is a set. $)
  uniexg $p |- ( A e. V -> U. A e. _V ) $=
    ( wcel cuni cssetk ccnvk cimak cuni1 cvv dfuni3 ssetkex cnvkex imakexg mpan
    uni1exg syl syl5eqel ) ABCZADEFZAGZHZIAJRTICZUAICSICRUBEKLSAIBMNTIOPQ $.
    $( [14-Jan-2015] $)

  ${
    uniex.1 $e |- A e. _V $.
    $( The sum class of a set is a set. $)
    uniex $p |- U. A e. _V $=
      ( cvv wcel cuni uniexg ax-mp ) ACDAECDBACFG $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d A x y z $.
    $( Alternate definition of class intersection for the existence proof. $)
    dfint3 $p |- |^| A = ~ U.1 ( `'_k ~ SSet_k "_k A ) $=
      ( vx vy cint cssetk ccompl ccnvk cimak cuni1 wel wral cv wcel wn csn copk
      wrex vex elcompl 3bitri eluni1 snex elimak bitri opkelcnvk elssetk notbii
      opkex rexbii rexnal con2bii elint2 3bitr4i eqriv ) BADZEFZGZAHZIZFZBCJZCA
      KZBLZUSMZNVCUOMVCUTMVDVBVDCLZVCOZPUQMZCAQZVANZCAQVBNVDVFURMVHVCURBRZUACUQ
      AVFVCUBZUCUDVGVICAVGVFVEPZUPMVLEMZNVIVEVFUPCRZVKUEVLEVFVEUHSVMVAVCVEVJVNU
      FUGTUIVACAUJTUKCVCAVJULVCUSVJSUMUN $.
      $( [14-Jan-2015] $)
  $}

  $( The intersection of a set is a set. $)
  intexg $p |- ( A e. V -> |^| A e. _V ) $=
    ( wcel cint cssetk ccompl ccnvk cimak dfint3 ssetkex complex cnvkex imakexg
    cuni1 cvv mpan uni1exg complexg 3syl syl5eqel ) ABCZADEFZGZAHZNZFZOAIUAUDOC
    ZUEOCUFOCUCOCUAUGUBEJKLUCAOBMPUDOQUEORST $.
    $( [14-Jan-2015] $)

  ${
    intex.1 $e |- A e. _V $.
    $( The intersection of a set is a set. $)
    intex $p |- |^| A e. _V $=
      ( cvv wcel cint intexg ax-mp ) ACDAECDBACFG $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d A x y $.
    $( Two ways to express the class of all sets that contain ` A ` . $)
    setswith $p |- { x | A e. x } =
                if ( A e. _V , ( SSet_k "_k { { A } } ) , (/) ) $=
      ( vy cvv wcel cv cab cssetk csn cimak c0 cif wceq copk wrex wa wex eqtr4d
      vex wn df-rex elsn anbi1i exbii snex opkeq1 eleq1d ceqsexv elssetkg mpan2
      3bitri wb syl5rbb abbidv df-imak syl6eqr iftrue elex con3i alrimiv sylibr
      wal ab0 iffalse pm2.61i ) BDEZBAFZEZAGZVFHBIZIZJZKLZMVFVIVLVMVFVICFZVGNZH
      EZCVKOZAGVLVFVHVQAVQVJVGNZHEZVFVHVQVNVKEZVPPZCQVNVJMZVPPZCQVSVPCVKUAWAWCC
      VTWBVPVNVJCSUBUCUDVPVSCVJBUEWBVOVRHVNVJVGUFUGUHUKVFVGDEVSVHULASBVGDDUIUJU
      MUNACHVKUOUPVFVLKUQRVFTZVIKVMWDVHTZAVBVIKMWDWEAVHVFBVGURUSUTVHAVCVAVFVLKV
      DRVE $.
      $( [14-Jan-2015] $)

    $( The class of all sets that contain ` A ` exist. $)
    setswithex $p |- { x | A e. x } e. _V $=
      ( wcel cab cvv cssetk csn cimak cif setswith ssetkex snex imakex 0ex ifex
      cv c0 eqeltri ) BAPCADBECZFBGZGZHZQIEABJSUBQFUAKTLMNOR $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d A x t $.  $d B x t $.
    ndisjrelk.1 $e |- A e. _V $.
    ndisjrelk.2 $e |- B e. _V $.
    $( Membership in a particular Kuratowski relationship is equivalent to
       non-disjointedness. $)
    ndisjrelk $p |- (
      << A , B >> e. ( ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c )
      <-> ( A i^i B ) =/= (/) ) $=
      ( vt vx cv csn copk cssetk cin wcel wa cpw1 snex elin elssetk bitri exbii
      wex wceq cins3k cins2k c1c cimak wne opkeq1 eleq1d ceqsexv otkelins3k vex
      otkelins2k anbi12i wrex opkex elimak elpw121c anbi1i 19.41v bitr4i df-rex
      c0 excom 3bitr4i n0 ) EGZFGZHZHZHZUAZVFABIZIZJUBZJUCZKZLZMZETZFTZVGALZVGB
      LZMZFTZVLVPUDNNZUELZABKZVBUFZVSWCFVSVJVLIZVPLZWCVQWJEVJVIOVKVMWIVPVFVJVLU
      GUHUIWJWIVNLZWIVOLZMWCWIVNVOPWKWAWLWBWKVHAIJLWAVHABJVGOZCDUJVGAFUKZCQRWLV
      HBIJLWBVHABJWMCDULVGBWNDQRUMRRSWFVQEWEUNZVTEVPWEVLABUOUPVFWELZVQMZETVRFTZ
      ETWOVTWQWREWQVKFTZVQMWRWPWSVQFVFUQURVKVQFUSUTSVQEWEVAVRFEVCVDRWHVGWGLZFTW
      DFWGVEWTWCFVGABPSRVD $.
      $( [15-Jan-2015] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Transfer uniqueness to a smaller subclass. $)
    reuss2 $p |- ( ( ( A C_ B /\ A. x e. A ( ph -> ps ) ) /\
                 ( E. x e. A ph /\ E! x e. B ps ) ) -> E! x e. A ph ) $=
      ( wrex wreu wa wss wi wral wcel wex weu df-rex df-reu anbi12i wal sylan2b
      cv wmo df-ral ssel prth sylan exp4b com23 a2d imp4a alimdv imp euimmo syl
      eu5 simplbi2 syl9 imp32 sylibr ) ACDFZBCEGZHDEIZABJZCDKZHZCTZDLZAHZCMZVEE
      LZBHZCNZHZACDGZUSVHUTVKACDOBCEPQVDVLHVGCNZVMVDVHVKVNVDVKVGCUAZVHVNVDVGVJJ
      ZCRZVKVOJVCVAVFVBJZCRZVQVBCDUBVAVSVQVAVRVPCVAVRVFAVJVAVFVBAVJJZVAVBVFVTVA
      VBVFAVJVAVFVIJVBVPDEVEUCVFVIABUDUEUFUGUHUIUJUKSVGVJCULUMVNVHVOVGCUNUOUPUQ
      ACDPURS $.
      $( [20-Oct-2005] $)

    $( Transfer uniqueness to a smaller subclass. $)
    reuss $p |- ( ( A C_ B /\ E. x e. A ph /\ E! x e. B ph ) ->
                E! x e. A ph ) $=
      ( wss wrex wreu wi wral wa cv wcel idd rgen reuss2 mpanl2 3impb ) CDEZABC
      FZABDGZABCGZRAAHZBCISTJUAUBBCBKCLAMNAABCDOPQ $.
      $( [2-Nov-2005] $) $( [21-Aug-1999] $)

    $( Transfer uniqueness to a smaller class. $)
    reuun1 $p |- ( ( E. x e. A ph /\ E! x e. ( A u. B ) ( ph \/ ps ) )
                 -> E! x e. A ph ) $=
      ( cun wss wo wi wral wrex wreu wa ssun1 cv wcel orc a1i rgen reuss2
      mpanl12 ) DDEFZGAABHZIZCDJACDKUCCUBLMACDLDENUDCDUDCODPABQRSAUCCDUBTUA $.
      $( [21-Oct-2005] $)

    $( Transfer uniqueness to a smaller or larger class. $)
    reuun2 $p |- ( -. E. x e. B ph ->
             ( E! x e. ( A u. B ) ph <-> E! x e. A ph ) ) $=
      ( wrex wn cv wcel wa wo weu cun wreu wex df-rex euor2 sylnbi df-reu elun
      wb anbi1i andir orcom 3bitri eubii bitri 3bitr4g ) ABDEZFBGZDHZAIZUICHZAI
      ZJZBKZUMBKZABCDLZMZABCMUHUKBNUOUPTABDOUKUMBPQURUIUQHZAIZBKUOABUQRUTUNBUTU
      LUJJZAIUMUKJUNUSVAAUICDSUAULUJAUBUMUKUCUDUEUFABCRUG $.
      $( [21-Oct-2005] $)

    $( Restricted uniqueness "picks" a member of a subclass. $)
    reupick $p |- ( ( ( A C_ B /\ ( E. x e. A ph /\ E! x e. B ph ) ) /\ ph ) ->
                  ( x e. A <-> x e. B ) ) $=
      ( wss wrex wreu wa cv wcel wi ssel ad2antrr wex weu df-rex df-reu anbi12i
      ancrd com23 anim1d an32 syl6ib eximdv eupick syl9 imp32 sylan2b exp3a imp
      ex impbid ) CDEZABCFZABDGZHZHZAHBIZCJZURDJZUMUSUTKUPACDURLZMUQAUTUSKUQUTA
      USUQUTAUSUPUMUSAHZBNZUTAHZBOZHVDUSKZUNVCUOVEABCPABDQRUMVCVEVFUMVEVCVFUMVC
      VDUSHZBNZVEVFUMVBVGBUMVBUTUSHZAHVGUMUSVIAUMUSUTVASUAUTUSAUBUCUDVEVHVFVDUS
      BUEUKUFTUGUHUITUJUL $.
      $( [21-Aug-1999] $)

    $( Restricted uniqueness "picks" a member of a subclass.  (Contributed by
       Mario Carneiro, 15-Dec-2013.) $)
    reupick2 $p |- ( ( ( A. x e. A ( ps -> ph ) /\ E. x e. A ps /\
                       E! x e. A ph ) /\ x e. A ) -> ( ph <-> ps ) ) $=
      ( wi wral wrex wreu w3a cv wcel wa weu wex simp3 df-reu sylib r19.29 imp
      id simpr jca reximi syl 3adant3 df-rex anass exbii bitr4i syl2anc expdimp
      eupick ra4 3ad2ant1 impbid ) BAEZCDFZBCDGZACDHZIZCJDKZLABUTVAABUTVAALZCMZ
      VBBLZCNZVBBEUTUSVCUQURUSOACDPQUTABLZCDGZVEUQURVGUSUQURLUPBLZCDGVGUPBCDRVH
      VFCDVHABUPBAUPTSUPBUAUBUCUDUEVGVAVFLZCNVEVFCDUFVDVICVAABUGUHUIQVBBCULUJUK
      UTVAUPUQURVAUPEUSUPCDUMUNSUO $.
      $( [15-Dec-2013] $)
  $}

  ${
    $d ph x $.
    $( When ` x ` does not occur in ` ph ` , ` { x | ph } ` is a set. $)
    abexv $p |- { x | ph } e. _V $=
      ( cab cvv wceq c0 wo wcel abvor0 vvex eleq1 mpbiri 0ex jaoi ax-mp ) ABCZD
      EZPFEZGPDHZABIQSRQSDDHJPDDKLRSFDHMPFDKLNO $.
      $( [17-Jan-2015] $)
  $}

  ${
    $d A x y z $.
    $( The union of a unit power class is the original set. $)
    unipw1 $p |- U. ~P1 A = A $=
      ( vx vy vz cpw1 cuni cv wcel wel wa wex csn wceq eluni elpw1 anbi1i ancom
      wrex weq 3bitri r19.41v 3bitr4i exbii risset ceqsexv abeq2i equcom rexbii
      snex eleq2 df-sn rexcom4 3bitr2ri eqriv ) BAEZFZABGZUPHBCIZCGZUOHZJZCKUSD
      GZLZMZURJZDARZCKZUQAHZCUQUONVAVFCUTURJVDDARZURJVAVFUTVIURDUSAOPURUTQVDURD
      AUAUBUCVHDBSZDARVECKZDARVGDUQAUDVKVJDAVKUQVCHZBDSZVJURVLCVCVBUIUSVCUQUJUE
      VMBVCBVBUKUFBDUGTUHVEDCAULUMTUN $.
      $( [20-Jan-2015] $)
  $}

  $( Biconditional existence for unit power class. $)
  pw1exb $p |- ( ~P1 A e. _V <-> A e. _V ) $=
    ( cpw1 cvv wcel cuni unipw1 uniexg syl5eqelr pw1exg impbii ) ABZCDZACDLAKEC
    AFKCGHACIJ $.
    $( [20-Jan-2015] $)

  ${
    $d A x y t $.
    $( Definition of power set for existence proof. $)
    dfpw2 $p |- ~P A = ~ ( ( SSet_k \ ( ~P1 A X._k _V ) ) "_k 1c ) $=
      ( vx vy vt cpw cssetk cpw1 cvv c1c cv wcel wn copk wa wex vex exbii bitri
      3bitr4i 3bitri cxpk cdif cimak ccompl wel wal csn wceq wrex elimak anbi1i
      el1c 19.41v bitr4i df-rex excom snex opkeq1 eleq1d ceqsexv eldif opkelxpk
      wi elssetk mpbiran2 snelpw1 notbii anbi12i annim exnal con2bii elpw dfss2
      wss elcompl eqriv ) BAEZFAGZHUAZUBZIUCZUDZCBUEZCJZAKZVCZCUFZBJZWAKZLWHVQK
      ZWHWBKWIWGWIDJZWDUGZUHZWKWHMZVTKZNZDOZCOZWFLZCOWGLWIWODIUIZWRDVTIWHBPZUJW
      KIKZWONZDOWPCOZDOWTWRXCXDDXCWMCOZWONXDXBXEWOCWKULUKWMWOCUMUNQWODIUOWPCDUP
      SRWQWSCWQWLWHMZVTKZWSWOXGDWLWDUQZWMWNXFVTWKWLWHURUSUTXGXFFKZXFVSKZLZNWCWE
      LZNWSXFFVSVAXIWCXKXLWDWHCPXAVDXJWEXJWLVRKZWEXJXMWHHKXAWLWHVRHXHXAVBVEWDAV
      FRVGVHWCWEVITRQWFCVJTVKWJWHAVNWGWHAXAVLCWHAVMRWHWAXAVOSVP $.
      $( [21-Jan-2015] $)
  $}

  $( The power class of a set is a set. $)
  pwexg $p |- ( A e. V -> ~P A e. _V ) $=
    ( wcel cpw cssetk cpw1 cvv cxpk cdif cimak ccompl dfpw2 ssetkex pw1exg vvex
    c1c xpkexg sylancl difexg sylancr 1cex imakexg complexg syl syl5eqel ) ABCZ
    ADEAFZGHZIZPJZKZGALUFUJGCZUKGCUFUIGCZPGCULUFEGCUHGCZUMMUFUGGCGGCUNABNOUGGGG
    QREUHGGSTUAUIPGGUBRUJGUCUDUE $.
    $( [21-Jan-2015] $)

  ${
    pwex.1 $e |- A e. _V $.
    $( The power class of a set is a set. $)
    pwex $p |- ~P A e. _V $=
      ( cvv wcel cpw pwexg ax-mp ) ACDAECDBACFG $.
      $( [21-Jan-2015] $)
  $}

  ${
    $d A x y z $.
    $( A class of singletons is equal to the unit power class of its union. $)
    eqpw1uni $p |- ( A C_ 1c -> A = ~P1 U. A ) $=
      ( vx vy vz c1c wss cuni cv wcel wi csn wceq wb el1c wa eleq2 eleq1 syl6bb
      wex syl5bi cpw1 ssel pw1ss1c sseli a1i wel snid snex anbi12d cla4ev eluni
      vex mpan sylibr wrex eluni2 weq sneq eleq1d biimprcd elsn imbi12d exlimiv
      imbi1d mpbiri sylbi rexlimdv impbid2 snelpw1 bibi12d syl5ibrcom pm5.21ndd
      syli exlimdv eqrdv ) AEFZBAAGZUAZVPBHZEIZVSAIZVSVRIZAEVSUBZWBVTJVPVREVSVQ
      UCUDUEVTVSCHZKZLZCSVPWAWBMZCVSNVPWFWGCVPWGWFWEAIZWDVQIZMVPWHWIWHCBUFZWAOZ
      BSZWIWDWEIZWHWLWDCULZUGWKWMWHOBWEWDUHWFWJWMWAWHVSWEWDPVSWEAQZUIUJUMBWDAUK
      UNWIWJBAUOVPWHBWDAUPVPWJWHBAWAVPVTWJWHJZWCVTVSDHZKZLZDSWAWPJZDVSNWSWTDWSW
      TWRAIZCDUQZWHJZJXBWHXAXBWEWRAWDWQURUSUTWSWAXAWPXCVSWRAQWSWJXBWHWSWJWDWRIX
      BVSWRWDPWDWQWNVARVDVBVEVCVFVMVGTVHWFWAWHWBWIWOWFWBWEVRIWIVSWEVRQWDVQVIRVJ
      VKVNTVLVO $.
      $( [26-Jan-2015] $)
  $}

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d C x $.  $d C y $.  $d x y $.
    pw1equn.1 $e |- A e. _V $.
    pw1equn.2 $e |- B e. _V $.
    $( A condition for a unit power class to equal a union. $)
    pw1equn $p |- ( ~P1 C = ( A u. B ) <->
        E. x E. y ( C = ( x u. y ) /\ A = ~P1 x /\ B = ~P1 y ) ) $=
      ( cpw1 cun wceq cv w3a wex cuni c1c wss mpbiri eqeq2d wb pw1eq unipw1 syl
      unieq syl5eqr ssun1 sseq2 pw1ss1c syl6ss eqpw1uni ssun2 wa uneq12 syl6eqr
      uniex uniun adantr adantl 3anbi123d cla42ev syl3anc pw1un eqeqan12d 3impb
      exlimivv impbii ) EHZCDIZJZEAKZBKZIZJZCVIHZJZDVJHZJZLZBMAMZVHEVGNZJZCCNZH
      ZJZDDNZHZJZVRVHEVFNVSEUAVFVGUCUDVHCOPWCVHCVFOVHCVFPCVGPCDUEVFVGCUFQEUGZUH
      CUIUBVHDOPWFVHDVFOVHDVFPDVGPDCUJVFVGDUFQWGUHDUIUBVQVTWCWFLABWAWDCFUNDGUNV
      IWAJZVJWDJZUKZVLVTVNWCVPWFWJVKVSEWJVKWAWDIVSVIWAVJWDULCDUOUMRWHVNWCSWIWHV
      MWBCVIWATRUPWIVPWFSWHWIVOWEDVJWDTRUQURUSUTVQVHABVQVHVKHZVMVOIZJZVIVJVAVLV
      NVPVHWMSVLVNVPUKVFWKVGWLEVKTCVMDVOULVBVCQVDVE $.
      $( [26-Jan-2015] $)
  $}

  ${
    $d A x y c $.  $d B x y c $.  $d C x y c $.
    pw1eqadj.1 $e |- A e. _V $.
    pw1eqadj.2 $e |- B e. _V $.
    $( A condition for a unit power class to work out to an adjunction. $)
    pw1eqadj $p |- ( ~P1 C = ( A u. { B } ) <->
       E. x E. y ( C = ( x u. { y } ) /\ A = ~P1 x /\ B = { y } ) ) $=
      ( cpw1 csn cun wceq cv wex cuni c1c wcel mpbiri wss eqeq2d wb unieq uniun
      w3a unipw1 3eqtr3g unisn pw1ss1c ssun2 snid sselii eleq2 sseldi vex sneqi
      eqcomi id sneqd 3eqtr4a exlimiv sylbi syl syl5eq uneq2d eqtrd ssun1 sseq2
      el1c syl6ss eqpw1uni uniex wa uneq12 sylan2 pw1eq adantr adantl 3anbi123d
      cla42ev syl3anc pw1un pw1sn uneq2i eqtri eqeqan12d 3impb exlimivv impbii
      sneq ) EHZCDIZJZKZEALZBLZIZJZKZCWMHZKZDWOKZUCZBMAMZWLECNZDNZIZJZKZCXCHZKZ
      DXEKZXBWLEXCWJNZJZXFWLWINWKNEXLWIWKUAEUDCWJUBUEWLXKXEXCWLXKDXEDGUFWLDOPZX
      JWLWIODEUGZWLDWIPDWKPWJWKDWJCUHDGUIUJWIWKDUKQULXMDWMIZKZAMXJADVGXPXJAXPXO
      XONZIZDXEXRXOXQWMWMAUMUFUNUOXPUPXPXDXQDXOUAUQURUSUTVAZVBVCVDWLCORXIWLCWIO
      WLCWIRCWKRCWJVEWIWKCVFQXNVHCVIVAXSXAXGXIXJUCABXCXDCFVJDGVJWMXCKZWNXDKZVKZ
      WQXGWSXIWTXJYBWPXFEYAXTWOXEKWPXFKWNXDWHZWMXCWOXEVLVMSXTWSXITYAXTWRXHCWMXC
      VNSVOYAWTXJTXTYAWOXEDYCSVPVQVRVSXAWLABXAWLWPHZWRWOIZJZKZYDWRWOHZJYFWMWOVT
      YHYEWRWNBUMWAWBWCWQWSWTWLYGTWQWSWTVKWIYDWKYFEWPVNWTWSWJYEKWKYFKDWOWHCWRWJ
      YEVLVMWDWEQWFWG $.
      $( [26-Jan-2015] $)
  $}

  ${
    $d x y $.  $d y ph $.
    $( Alternate definition of existential uniqueness in terms of
       abstraction. $)
    dfeu2 $p |- ( E! x ph <-> { x | ph } e. 1c ) $=
      ( vy weq wb wal wex cab cv csn wceq weu c1c wcel abbi df-sn eqeq2i bitr4i
      exbii df-eu el1c 3bitr4i ) ABCDZEBFZCGABHZCIZJZKZCGABLUEMNUDUHCUDUEUCBHZK
      UHAUCBOUGUIUEBUFPQRSABCTCUEUAUB $.
      $( [29-Jan-2015] $)
  $}


  ${
    $d x y $.  $d ph y $.
    $( If there is a unique object satisfying a property ` ph ` , then the set
       of all elements that satisfy ` ph ` exists. $)
    euabex $p |- ( E! x ph -> { x | ph } e. _V ) $=
      ( weu cab c1c wcel cvv dfeu2 elex sylbi ) ABCABDZEFKGFABHKEIJ $.
      $( [16-Jan-2015] $)
  $}


  ${
    $d x y z $.  $d y z ph $.
    $( If ` ph ` is true for exactly one ` x ` , then ` U. { x | ph } ` is a
       way to express "the unique element such that ` ph ` is true."  Some
       books use a special symbol such as iota to denote "the unique element
       such that." $)
    euuni $p |- ( E! x ph -> ( ph <-> U. { x | ph } = x ) ) $=
      ( vy vz weu cab cuni cv wceq wa wex cvv wcel euabex uniexg syl eueq ax-17
      wb sylib eqcom eubii hbab1 hbuni hbeq eqeq2 cbveu 3bitri csn euabsn eleq2
      vex snid mpbiri abid unieq unisn syl6eq jca eximi sylbi eupickb mpd3an23
      ) ABEZABFZGZBHZIZBEZAVHJZBKZAVHSVDVFLMZVIVDVELMVLABNVELOPVLCHZVFIZCEVFVMI
      ZCEVICVFQVNVOCVMVFUAUBVOVHCBBDDVFVMBDVEABDUCUDDHVMMBRUEVHCRVMVGVFUFUGUHTV
      DVEVGUIZIZBKVKABUJVQVJBVQAVHVQVGVEMZAVQVRVGVPMVGBULZUMVEVPVGUKUNABUOTVQVF
      VPGVGVEVPUPVGVSUQURUSUTVAAVHBVBVC $.
      $( [22-Feb-2004] $)
  $}


  ${
    $d A x $.  $d B x $.
    sspw1.1 $e |- A e. _V $.
    $( A condition for being a subclass of a unit power class.  Corollary 2 of
       theorem IX.6.14 of {{Rosser}}, p. 255. $)
    sspw1 $p |- ( A C_ ~P1 B <-> E. x ( x C_ B /\ A = ~P1 x ) ) $=
      ( cpw1 wss cv wceq wa wex cuni uniss unipw1 syl6sseq c1c pw1ss1c eqpw1uni
      sstr mpan2 sseq1 uniex pw1eq eqeq2d anbi12d cla4ev syl2anc syl5ibr impcom
      syl pw1ss exlimiv impbii ) BCEZFZAGZCFZBUOEZHZIZAJZUNBKZCFZBVAEZHZUTUNVAU
      MKCBUMLCMNUNBOFZVDUNUMOFVECPBUMORSBQUIUSVBVDIAVABDUAUOVAHZUPVBURVDUOVACTV
      FUQVCBUOVAUBUCUDUEUFUSUNAURUPUNUPUNURUQUMFUOCUJBUQUMTUGUHUKUL $.
      $( [3-Feb-2015] $)
  $}


  ${
    $d A x $.
    sspw12.1 $e |- A e. _V $.
    $( A set is a subset of cardinal one iff it is the unit power class of some
       other set. $)
    sspw12 $p |- ( A C_ 1c <-> E. x A = ~P1 x ) $=
      ( c1c wss cv cpw1 wceq wex eqpw1uni uniex pw1eq eqeq2d cla4ev syl pw1ss1c
      cuni sseq1 mpbiri exlimiv impbii ) BDEZBAFZGZHZAIZUBBBQZGZHZUFBJUEUIAUGBC
      KUCUGHUDUHBUCUGLMNOUEUBAUEUBUDDEUCPBUDDRSTUA $.
      $( [17-Mar-2015] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Definite description binder (inverted iota)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c iota $.
  $( Extend class notation with Russell's definition description binder
     (inverted iota). $)
  cio $a class ( iota x ph ) $.

  ${
    $d w x z $.  $d ph w z $.  $d ph w y $.  $d x y $.
    $( Soundness justification theorem for ~ df-iota .  (Contributed by Andrew
       Salmon, 29-Jun-2011.) $)
    iotajust $p |- U. { y | { x | ph } = { y } } =
       U. { z | { x | ph } = { z } } $=
      ( vw cab cv csn wceq sneq eqeq2d cbvabv eqtri unieqi ) ABFZCGZHZIZCFZODGZ
      HZIZDFZSOEGZHZIZEFUCRUFCEPUDIQUEOPUDJKLUFUBEDUDTIUEUAOUDTJKLMN $.
      $( [12-Jul-2011] $) $( [29-Jun-2011] $)
  $}

  ${
    $d y x $.  $d y ph $.
    $( Define Russell's definition description binder, which can be read as
       "the unique ` x ` such that ` ph ` ," where ` ph ` ordinarily contains
       ` x ` as a free variable.  Our definition is meaningful only when there
       is exactly one ` x ` such that ` ph ` is true (see ~ iotaval );
       otherwise, it evaluates to the empty set (see ~ iotanul ).  Russell used
       the inverted iota symbol ` iota ` to represent the binder. $)
    df-iota $a |- ( iota x ph ) = U. { y | { x | ph } = { y } } $.
  $}

  ${
    $d y x $.  $d y ph $.
    $( Alternate definition for descriptions.  Definition 8.18 in [Quine]
       p. 56.  (Contributed by Andrew Salmon, 30-Jun-2011.) $)
    dfiota2 $p |- ( iota x ph ) = U. { y | A. x ( ph <-> x = y ) } $=
      ( cio cab cv csn wceq cuni wb wal df-iota df-sn eqeq2i abbi bitr4i unieqi
      abbii eqtri ) ABDABEZCFZGZHZCEZIABFUAHZJBKZCEZIABCLUDUGUCUFCUCTUEBEZHUFUB
      UHTBUAMNAUEBOPRQS $.
      $( [12-Jul-2011] $) $( [30-Jun-2011] $)
  $}

  ${
    $d x y z $.  $d z ph $.
    $( Bound-variable hypothesis builder for the ` iota ` class.  (Contributed
       by Andrew Salmon, 11-Jul-2011.) $)
    hbiota1 $p |- ( y e. ( iota x ph ) -> A. x y e. ( iota x ph ) ) $=
      ( vz cio cab cv csn wceq cuni df-iota wcel wa wex eluniab ax-17 hbeq hban
      hbab1 hbex hbxfrbi hbxfreq ) BCABEABFZDGZHZIZDFJZABDKCGZUGLUHUDLZUFMZDNBU
      FDUHOUJBDUIUFBUIBPBDCUCUEABDSUHUELBPQRTUAUB $.
      $( [11-Jul-2011] $)
  $}

  ${
    $d w z ph $.  $d w x z $.  $d w y z $.
    hbiota.1 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for the ` iota ` class. $)
    hbiota $p |- ( z e. ( iota y ph ) -> A. x z e. ( iota y ph ) ) $=
      ( vw cio cab cv csn wceq cuni df-iota hbab wcel ax-17 hbeq hbuni hbxfreq
      ) BDACGACHZFIJZKZFHZLACFMBDUCUBBFDBDDTUAABCDENDIUAOBPQNRS $.
      $( [23-Aug-2011] $)
  $}

  ${
    $d w z ps $.  $d w z ph $.  $d w x z $.  $d w y z $.
    hbiotad.1 $e |- ( ph -> A. x ph ) $.
    hbiotad.2 $e |- ( ph -> A. y ph ) $.
    hbiotad.3 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction version of ~ hbiota . $)
    hbiotad $p |- ( ph ->
          ( z e. ( iota y ps ) -> A. x z e. ( iota y ps ) ) ) $=
      ( vw cio cab cv csn wceq cuni df-iota a1i wal alrimi hbabd hbunid hbxfrd
      ax-17 wcel a17d hbeqd ) ACEBDJZBDKZILMZNZIKZOZFUGULNABDIPQACEUKFAUJCIEAAI
      RCFAIUCSACEEUHUIFABCDEAADRCFGSHTAELUIUDCUEUFTUAUB $.
      $( [18-Feb-2013] $)
  $}

  ${
    $d z w x $.  $d z w y $.  $d z w ph $.  $d z w ps $.
    cbviotaf.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    cbviotaf.2 $e |- ( ph -> A. y ph ) $.
    cbviotaf.3 $e |- ( ps -> A. x ps ) $.
    $( Change bound variables in a description binder.  (Contributed by Andrew
       Salmon, 1-Aug-2011.) $)
    cbviotaf $p |- ( iota x ph ) = ( iota y ps ) $=
      ( vw vz cv wceq wb wal cab cuni cio wsbc ax-17 hbbi equequ1 sbequ12 cbval
      hbs1 bibi12d hbsb sbequ sbie syl6bb bitri abbii unieqi dfiota2 3eqtr4i )
      ACJZHJZKZLZCMZHNZOBDJZUOKZLZDMZHNZOACPBDPUSVDURVCHURACIJZQZVEUOKZLZIMVCUQ
      VHCIUQIRVFVGCACIUCVGCRSUNVEKAVFUPVGACIUACIHTUDUBVHVBIDVFVGDACIDFUEVGDRSVB
      IRVEUTKZVFBVGVAVIVFACUTQBAIDCUFABCDGEUGUHIDHTUDUBUIUJUKACHULBDHULUM $.
      $( [1-Aug-2011] $)
  $}

  ${
    $d ph y $.  $d ps x $.
    cbviota.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change bound variables in a description binder.  (Contributed by Andrew
       Salmon, 1-Aug-2011.) $)
    cbviota $p |- ( iota x ph ) = ( iota y ps ) $=
      ( ax-17 cbviotaf ) ABCDEADFBCFG $.
      $( [1-Aug-2011] $)
  $}

  ${
    $d w z ph $.  $d w z x $.  $d w z y $.
    sb8iota.1 $e |- ( ph -> A. y ph ) $.
    $( Variable substitution in description binder.  Compare ~ sb8eu . $)
    sb8iota $p |- ( iota x ph ) = ( iota y [ y / x ] ph ) $=
      ( vz vw cv wceq wb wal cab cuni wsbc cio ax-17 sb8 equsb3 hbxfrbi dfiota2
      sbbi hbsb hbbi sbequ cbval bibi2i bitri albii 3bitri abbii unieqi 3eqtr4i
      ) ABGEGZHZIZBJZEKZLABCGZMZUQULHZIZCJZEKZLABNURCNUPVBUOVAEUOUNBFGZMZFJUNBU
      QMZCJVAUNBFUNFOPVDVEFCVDABVCMZUMBVCMZICAUMBFTVFVGCABFCDUAVGVCULHZCFBEQVHC
      ORUBRVEFOUNFCBUCUDVEUTCVEURUMBUQMZIUTAUMBCTVIUSURCBEQUEUFUGUHUIUJABESURCE
      SUK $.
      $( [18-Mar-2013] $)
  $}

  ${
    $d y z $.  $d x z $.  $d ph z $.
    $( Equality theorem for descriptions.  (Contributed by Andrew Salmon,
       30-Jun-2011.) $)
    iotaeq $p |- ( A. x x = y -> ( iota x ph ) = ( iota y ph ) ) $=
      ( vz cv wceq wal cab csn cuni cio wsbc drsb1 df-clab 3bitr4g eqrdv eqeq1d
      wcel abbidv df-iota unieqd 3eqtr4g ) BECEFBGZABHZDEZIZFZDHZJACHZUFFZDHZJA
      BKACKUCUHUKUCUGUJDUCUDUIUFUCDUDUIUCABUELACUELUEUDRUEUIRABCDMADBNADCNOPQSU
      AABDTACDTUB $.
      $( [12-Jul-2011] $) $( [30-Jun-2011] $)
  $}

  ${
    $d ph z $.  $d ps z $.  $d x y z $.
    $( Equivalence theorem for descriptions.  (Contributed by Andrew Salmon,
       30-Jun-2011.) $)
    iotabi $p |- ( A. x ( ph <-> ps ) -> ( iota x ph ) = ( iota x ps ) ) $=
      ( vz wb wal cab cv csn wceq cuni abbi biimpi eqeq1d abbidv unieqd df-iota
      cio 3eqtr4g ) ABECFZACGZDHIZJZDGZKBCGZUBJZDGZKACRBCRTUDUGTUCUFDTUAUEUBTUA
      UEJABCLMNOPACDQBCDQS $.
      $( [12-Jul-2011] $) $( [30-Jun-2011] $)

    $( Part of Theorem 8.17 in [Quine] p. 56.  This theorem serves as a lemma
       for the fundamental property of iota.  (Contributed by Andrew Salmon,
       11-Jul-2011.) $)
    uniabio $p |- ( A. x ( ph <-> x = y ) -> U. { x | ph } = y ) $=
      ( cv wceq wb wal cab cuni csn abbi biimpi df-sn syl6eqr unieqd vex syl6eq
      unisn ) ABDCDZEZFBGZABHZISJZISUAUBUCUAUBTBHZUCUAUBUDEATBKLBSMNOSCPRQ $.
      $( [12-Jul-2011] $) $( [11-Jul-2011] $)

    $( Theorem 8.19 in [Quine] p. 57.  This theorem is the fundamental property
       of iota.  (Contributed by Andrew Salmon, 11-Jul-2011.) $)
    iotaval $p |- ( A. x ( ph <-> x = y ) -> ( iota x ph ) = y ) $=
      ( vz cv wceq wb wal cio cab cuni dfiota2 cvv wcel wa sbeqalb equcomi syl6
      wi vex ax-mp ex equequ2 eqcoms bibi2d biimpd alimdv com12 alrimiv uniabio
      impbid syl syl5eq ) ABEZCEZFZGZBHZABIAUNDEZFZGZBHZDJKZUOABDLURVBUSUOFZGZD
      HVCUOFURVEDURVBVDURVBVDUOMNZURVBOZVDSCTVFVGUOUSFVDABUOUSMPCDQRUAUBVDURVBV
      DUQVABVDUQVAVDUPUTAUPUTGUOUSCDBUCUDUEUFUGUHUKUIVBDCUJULUM $.
      $( [20-Aug-2011] $) $( [11-Jul-2011] $)

    $( Equivalence between two different forms of ` iota ` .  (Contributed by
       Andrew Salmon, 12-Jul-2011.) $)
    iotaequ $p |- ( E! x ph -> ( iota x ph ) = U. { x | ph } ) $=
      ( vz weu cv wceq wb wal wex cio cuni df-eu iotaval uniabio eqtr4d exlimiv
      cab sylbi ) ABDABECEZFGBHZCIABJZABQKZFZABCLTUCCTUASUBABCMABCNOPR $.
      $( [20-Aug-2011] $) $( [12-Jul-2011] $)

    $( Theorem 8.22 in [Quine] p. 57.  This theorem is the result if there
       isn't exactly one ` x ` that satisfies ` ph ` .  (Contributed by Andrew
       Salmon, 11-Jul-2011.) $)
    iotanul $p |- ( -. E! x ph -> ( iota x ph ) = (/) ) $=
      ( vz weu cv wceq wb wal wex cio c0 df-eu wn cuni dfiota2 alnex ax-1 eqidd
      cab impbid1 con2bid alimi abbi dfnul2 syl6eqr sylbir unieqd syl6eq syl5eq
      sylib uni0 sylnbi ) ABDABECEZFGBHZCIZABJZKFABCLUOMZUPUNCSZNZKABCOUQUSKNKU
      QURKUQUNMZCHZURKFUNCPVAURUMUMFZMZCSZKVAUNVCGZCHURVDFUTVECUTVBUNUTVBUTUTVB
      QUTUMRTUAUBUNVCCUCUJCUDUEUFUGUKUHUIUL $.
      $( [20-Aug-2011] $) $( [11-Jul-2011] $)

    $( Theorem 8.23 in [Quine] p. 58.  This theorem proves the existence of the
       ` iota ` class under our definition.  (Contributed by Andrew Salmon,
       11-Jul-2011.) $)
    iotaex $p |- ( iota x ph ) e. _V $=
      ( vz weu cio cvv wcel cv wceq wb wal wex iotaval eqcomd eximi df-eu isset
      3imtr4i wn c0 iotanul 0ex syl6eqel pm2.61i ) ABDZABEZFGZABHCHZIJBKZCLUHUF
      IZCLUEUGUIUJCUIUFUHABCMNOABCPCUFQRUESUFTFABUAUBUCUD $.
      $( [11-Jul-2011] $)

    $( Theorem *14.22 in [WhiteheadRussell] p. 190.  (Contributed by Andrew
       Salmon, 12-Jul-2011.) $)
    iota4 $p |- ( E! x ph -> [ ( iota x ph ) / x ] ph ) $=
      ( vz weu cv wceq wb wal wex cio df-eu wi bi2 alimi sb2 syl iotaval eqcomd
      wsbc dfsbcq mpbid exlimiv sylbi ) ABDABECEZFZGZBHZCIABABJZSZABCKUGUICUGAB
      UDSZUIUGUEALZBHUJUFUKBAUEMNABCOPUGUDUHFUJUIGUGUHUDABCQRABUDUHTPUAUBUC $.
      $( [12-Jul-2011] $)
  $}

  $( Theorem *14.23 in [WhiteheadRussell] p. 191.  (Contributed by Andrew
     Salmon, 12-Jul-2011.) $)
  iota4an $p |- ( E! x ( ph /\ ps )
            -> [ ( iota x ( ph /\ ps ) ) / x ] ph ) $=
    ( wa weu cio wsbc iota4 wi cvv wcel iotaex simpl sbcth ax-mp wb sbcimg mpbi
    syl ) ABDZCETCTCFZGZACUAGZTCHTAIZCUAGZUBUCIZUAJKZUETCLZUDCUAJABMNOUGUEUFPUH
    TACUAJQORS $.
    $( [7-Sep-2011] $) $( [12-Jul-2011] $)

  ${
    $d x y A $.  $d x V $.  $d x ph $.  $d y ps $.
    iota5.1 $e |- ( ( ph /\ A e. V ) -> ( ps <-> x = A ) ) $.
    $( A method for computing iota. $)
    iota5 $p |- ( ( ph /\ A e. V ) -> ( iota x ps ) = A ) $=
      ( vy wcel wa cv wceq wb wal cio alrimiv wi eqeq2 bibi2d albidv imbi12d
      iotaval vtoclg adantl mpd ) ADEHZIZBCJZDKZLZCMZBCNZDKZUFUICFOUEUJULPZABUG
      GJZKZLZCMZUKUNKZPUMGDEUNDKZUQUJURULUSUPUICUSUOUHBUNDUGQRSUNDUKQTBCGUAUBUC
      UD $.
      $( [17-Sep-2013] $)
  $}

  ${
    $d x ph $.
    iotabidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building deduction rule for iota. $)
    iotabidv $p |- ( ph -> ( iota x ps ) = ( iota x ch ) ) $=
      ( wb wal cio wceq alrimiv iotabi syl ) ABCFZDGBDHCDHIAMDEJBCDKL $.
      $( [20-Aug-2011] $)
  $}

  $( Membership law for descriptions.  (Contributed by Andrew Salmon,
     1-Aug-2011.) $)
  iotacl $p |- ( E! x ph -> ( iota x ph ) e. { x | ph } ) $=
    ( weu cio wsbc cab wcel iota4 iotaex elabsbc sylibr ) ABCABABDZELABFGABHABL
    ABIJK $.
    $( [1-Aug-2011] $)

  $( Property of iota.  Compare ~ euuni . $)
  iota1 $p |- ( E! x ph -> ( ph <-> ( iota x ph ) = x ) ) $=
    ( weu cab cuni cv wceq cio euuni iotaequ eqeq1d bitr4d ) ABCZAABDEZBFZGABHZ
    OGABIMPNOABJKL $.
    $( [23-Aug-2011] $)

  $( Membership law for descriptions. $)
  reiotacl2 $p |- ( E! x e. A ph
                  -> ( iota x ( x e. A /\ ph ) ) e. { x e. A | ph } ) $=
    ( wreu cv wcel wa cio cab crab weu df-reu iotacl sylbi df-rab syl6eleqr ) A
    BCDZBECFAGZBHZRBIZABCJQRBKSTFABCLRBMNABCOP $.
    $( [21-Aug-2011] $)

  ${
    $d x A $.
    $( Membership law for descriptions.  Compare ~ reucl . $)
    reiotacl $p |- ( E! x e. A ph
                    -> ( iota x ( x e. A /\ ph ) ) e. A ) $=
      ( wreu crab cv wcel wa cio wss ssrab2 a1i reiotacl2 sseldd ) ABCDZABCEZCB
      FCGAHBIPCJOABCKLABCMN $.
      $( [21-Aug-2011] $)
  $}

  $( Substitution law for descriptions. $)
  reiotasbc $p |- ( E! x e. A ph -> [ ( iota x ( x e. A /\ ph ) ) / x ] ph ) $=
    ( cv wcel wa weu cio wsbc wreu iota4an df-reu ancom eubii bitri wceq iotabi
    wb mpg dfsbcq ax-mp 3imtr4i ) ABDCEZFZBGZABUDBHZIZABCJZABUCAFZBHZIZAUCBKUHU
    IBGUEABCLUIUDBUCAMZNOUJUFPZUKUGRUIUDRUMBUIUDBQULSABUJUFTUAUB $.
    $( [23-Aug-2011] $)

  $( Property of iota. $)
  reiota1 $p |- ( ( x e. A /\ E! x e. A ph ) ->
          ( ph <-> ( iota x ( x e. A /\ ph ) ) = x ) ) $=
    ( cv wcel wa wreu cio wceq ibar weu wb df-reu iota1 sylbi sylan9bb ) BDZCEZ
    ARAFZABCGZSBHQIZRAJTSBKSUALABCMSBNOP $.
    $( [23-Aug-2011] $)

  ${
    $d y ph $.  $d y ps $.  $d x y A $.  $d y B $.
    reiota2df.1 $e |- ( ph -> A. x ph ) $.
    reiota2df.2 $e |- ( ph -> ( y e. B -> A. x y e. B ) ) $.
    reiota2df.3 $e |- ( ( ph /\ B e. A ) -> ( ch -> A. x ch ) ) $.
    reiota2df.4 $e |- ( ph -> ( x = B -> ( ps <-> ch ) ) ) $.
    $( Deduction version of ~ reiota2f . $)
    reiota2df $p |- ( ( ph /\ B e. A /\ E! x e. A ps ) ->
            ( ch <-> ( iota x ( x e. A /\ ps ) ) = B ) ) $=
      ( wcel wa wceq wb wi wal alrimi adantr a1i wreu cio ax-17 a1d hbeld hband
      cv a17d anabsi5 hbreu1 hbiota1 hbeqd hbbid hbimd eleq1 adantl imp bibi12d
      eqeq2 imbi2d imbi12d reiota1 ax-gen simpr vtoclgft syl221anc pm2.43d 3imp
      ex ) AGFLZBDFUAZCDUGZFLZBMZDUBZGNZOZAVJVKVQPZAVJVJVRPZAVJMZEUGZGLZWBDQPZE
      QZDQZVSVSDQPZDQVLGNZVMVKBVOVLNZOZPZPZVSOZPZDQZWKDQZVJVSAWEVJAWDDHAWCEAEUC
      IRRSVTWFDAVJVTDQAAVJDAADQAHUDADEGFHIAWAFLDUHUEZUFUIZVTVJVRDWQAVJVJDQPVJWP
      SVTVKVQDWQVKVKDQPVTBDFUJTVTCVPDWQJAVPVPDQPVJADEEVOGHWAVOLZWRDQPAVNDEUKTIU
      LSUMUNUNRAWNVJAWMDHAWGWLAWGMZVMVJWJVRWGVMVJOAVLGFUOUPWSWIVQVKWSBCWHVPAWGB
      COKUQWGWHVPOAVLGVOUSUPURUTVAVIRSWOVTWKDVMVKWIBDFVBVIVCTAVJVDWKVSDEGFVEVFV
      IVGVH $.
      $( [17-Feb-2013] $)
  $}

  ${
    $d y ph $.  $d x y A $.  $d y B $.
    reiota2f.1 $e |- ( y e. B -> A. x y e. B ) $.
    reiota2f.2 $e |- ( B e. A -> ( ps -> A. x ps ) ) $.
    reiota2f.3 $e |- ( x = B -> ( ph <-> ps ) ) $.
    $( A condition that allows us to represent "the unique element in ` A `
       such that ` ph ` " with a class expression ` B ` .  The second
       hypothesis is a weakened bound variable condition that allows ~ hbsbc1g
       to be used. $)
    reiota2f $p |- ( ( B e. A /\ E! x e. A ph ) ->
            ( ps <-> ( iota x ( x e. A /\ ph ) ) = B ) ) $=
      ( wcel wreu cv wa cio wceq wb wi ax-17 wal a1i hbreu1 hbiota1 hbbid hbimd
      hbel hbeq hbim1 eleq1 eqeq2 bibi12d imbi2d imbi12d reiota1 ex vtoclgf imp
      pm2.43i ) FEJZACEKZBCLZEJZAMZCNZFOZPZURUSVEQZVAUSAVCUTOZPZQZQURVFQCDFEGUR
      VFCCDDFEGDLEJCRUEZURUSVECVJUSUSCSQURACEUATURBVDCVJHVDVDCSQURCDDVCFVBCDUBG
      UFTUCUDUGUTFOZVAURVIVFUTFEUHVKVHVEUSVKABVGVDIUTFVCUIUJUKULVAUSVHACEUMUNUO
      UQUP $.
      $( [23-Aug-2011] $)
  $}

  ${
    $d y ph $.  $d x y A $.  $d x y B $.  $d x ps $.
    reiota2.1 $e |- ( x = B -> ( ph <-> ps ) ) $.
    $( A condition that allows us to represent "the unique element in ` A `
       such that ` ph ` " with a class expression ` B ` . $)
    reiota2 $p |- ( ( B e. A /\ E! x e. A ph ) ->
            ( ps <-> ( iota x ( x e. A /\ ph ) ) = B ) ) $=
      ( vy cv wcel ax-17 a17d reiota2f ) ABCGDEGHEICJEDIBCKFL $.
      $( [23-Aug-2011] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y ph $.  $d y ps $.
    $( Restriction of a unique element to a smaller class. $)
    reiotass2 $p |- ( ( ( A C_ B /\ A. x e. A ( ph -> ps ) ) /\ ( E. x e. A ph
           /\ E! x e. B ps ) )
         -> ( iota x ( x e. A /\ ph ) ) = ( iota x ( x e. B /\ ps ) ) ) $=
      ( vy wss wi wral wa wrex wreu cv wcel cio wsbc wceq reuss2 simplr syl mpd
      reiotasbc reiotacl ra4sbc sbcimg sylibd mpid sylc wb ssel ad2antrr simprr
      hbiota1 hbsbc1g sbceq1a reiota2f syl2anc mpbid eqcomd ) DEGZABHZCDIZJZACD
      KZBCELZJZJZCMZENBJCOZVHDNAJZCOZVGBCVKPZVIVKQZVGACDLZVBVLABCDERZUTVBVFSVNV
      BACVKPZVLACDUBVNVKDNZVBVPVLHZHACDUCZVQVBVACVKPVRVACVKDUDABCVKDUEUFTUGUHVG
      VKENZVEVLVMUIVGVQVTVGVNVQVOVSTUTVQVTHVBVFDEVKUJUKUAVCVDVEULBVLCFEVKVJCFUM
      ZBCFVKEWAUNBCVKUOUPUQURUS $.
      $( [21-Aug-2011] $)
  $}

  ${
    $( Alternate definition of iota in terms of the ` if ` operator. $)
    dfiota3 $p |- ( iota x ph ) = if ( E! x ph , U. { x | ph } , (/) ) $=
      ( weu cio cab cuni cif wceq iotaequ iftrue eqtr4d iotanul iffalse pm2.61i
      c0 wn ) ABCZABDZQABEFZOGZHQRSTABIQSOJKQPROTABLQSOMKN $.
      $( [29-Jan-2015] $)
  $}

  ${
    $( Alternate definition of iota in terms of ` 1c ` . $)
    dfiota4 $p |- ( iota x ph ) = U. U. ( 1c i^i { { x | ph } } ) $=
      ( weu cio c1c cab csn cin cuni wceq iotaequ wss wcel unieqd cvv eqtr4d wn
      dfeu2 c0 uni0 snssi sylbi df-ss incom eqeq1i bitri sylib euabex syl eqtrd
      unisng iotanul notbii disjsn bitr4i biimpi unieqi eqtri syl6eq pm2.61i )
      ABCZABDZEABFZGZHZIZIZJVAVBVCIVGABKVAVFVCVAVFVDIZVCVAVEVDVAVDELZVEVDJZVAVC
      EMZVIABRZVCEUAUBVIVDEHZVDJVJVDEUCVMVEVDVDEUDUEUFUGNVAVCOMVHVCJABUHVCOUKUI
      UJNPVAQZVBSVGABULVNVGSIZIZSVNVFVOVNVESVNVESJZVNVKQVQVAVKVLUMEVCUNUOUPNNVP
      VOSVOSTUQTURUSPUT $.
      $( [29-Jan-2015] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Finite cardinals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Nn $. $( Natural cardinals $)
  $c 0c $. $( Cardinal zero $)
  $c +c $. $( Cardinal addition. $)
  $c Fin $. $( Finite sets. $)

  $( Extend the definition of a class to include the set of finite
     cardinals. $)
  cnnc $a class Nn $.

  $( Extend the definition of a class to include cardinal zero. $)
  c0c $a class 0c $.

  $( Extend the definition of a class to include cardinal addition. $)
  cplc $a class ( A +c B ) $.

  $( Extend the definition of a class to include the set of all finite sets. $)
  cfin $a class Fin $.

  $( Define cardinal zero. $)
  df-0c $a |- 0c = { (/) } $.

  ${
    $d A x y z $.  $d B x y z $.
    $( Define cardinal addition.  Definition from {{Rosser}}, p. 275. $)
    df-addc $a |- ( A +c B ) =
      { x | E. y e. A E. z e. B ( ( y i^i z ) = (/) /\ x = ( y u. z ) ) } $.
  $}

  ${
    $d b y $.
    $( Define the finite cardinals.  Definition from {{Rosser}}, p. 275. $)
    df-nnc $a |- Nn = |^| { b | ( 0c e. b /\ A. y e. b ( y +c 1c ) e. b ) } $.
  $}

  $( Define the set of all finite sets.  Definition from {{Rosser}}, p. 417. $)
  df-fin $a |- Fin = U. Nn $.

  ${
    $d A x y z t w $.  $d B x y z t w $.
    $( Alternate definition of cardinal addition to establish
       stratification. $)
    dfaddc2 $p |- ( A +c B ) =
( ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 B ) "_k A ) $=
      ( vy vz vx vt vw cv wceq wa wrex cssetk cpw1 wcel copk csn wn snex 3bitri
      wex cplc cin c0 cun cab cins3k cins2k c1c cimak csik csymdif cdif df-addc
      ccompl vex elimak opkex elpw12 anbi1i r19.41v bitr4i exbii df-rex rexcom4
      3bitr4i opkeq1 eleq1d ceqsexv eldif ndisjrelk necon2bbii otkelins3k incom
      elcompl eqeq1i wel wb wal dfcleq elpw141c 19.41v excom otkelins2k elssetk
      elsymdif wo opksnelsik bitri orbi12i bibi12i notbii exnal con2bii anbi12i
      elun bitr2i rexbii abbi2i eqtr4i ) ABUACHZDHZUBZUCIZEHZWTXAUDZIZJZDBKZCAK
      ZEUELUFZLUGZUBUHMMZUIZUNZUFZXKUGZXJUGZLUJZUJZUFZUDZUKZXLMMZUIZULZBMMZUIZA
      UIZECDABUMXIEYHXDYHNWTXDOZYGNZCAKXICYGAXDEUOZUPYJXHCAYJFHZYIOZYENZFYFKZYL
      XAPZPZIZYNJZFTZDBKZXHFYEYFYIWTXDUQZUPYLYFNZYNJZFTYSDBKZFTYOUUAUUDUUEFUUDY
      RDBKZYNJUUEUUCUUFYNDYLBURUSYRYNDBUTVAVBYNFYFVCYSDFBVDVEYTXGDBYTYQYIOZYENZ
      UUGXONZUUGYDNZQZJXGYNUUHFYQYPRZYRYMUUGYEYLYQYIVFVGVHUUGXOYDVIUUIXCUUKXFXA
      WTOZXNNZXAWTUBZUCIZUUIXCUUNUUMXMNZQUUPUUMXMXAWTUQVNUUQUUOUCXAWTDUOZCUOZVJ
      VKVAXAWTXDXNUURUUSYKVLXBUUOUCWTXAVMVOVEXFGEVPZGHZXENZVQZGVRZUUKGXDXEVSUUJ
      UVDUUJYLUVAPZPZPZPZPZIZYLUUGOZYBNZJZFTZGTZUVCQZGTUVDQUUJUVLFYCKYLYCNZUVLJ
      ZFTZUVOFYBYCUUGYQYIUQUPUVLFYCVCUVSUVMGTZFTUVOUVRUVTFUVRUVJGTZUVLJUVTUVQUW
      AUVLGYLVTUSUVJUVLGWAVAVBUVMGFWBVASUVNUVPGUVNUVIUUGOZYBNZUWBXPNZUWBYANZVQZ
      QUVPUVLUWCFUVIUVHRUVJUVKUWBYBYLUVIUUGVFVGVHUWBXPYAWEUWFUVCUWDUUTUWEUVBUWD
      UVGYIOZXKNUVEXDOLNUUTUVGYQYIXKUVFRZUULUUBWCUVEWTXDLUVARZUUSYKWCUVAXDGUOZY
      KWDSUWBXQNZUWBXTNZWFGCVPZGDVPZWFUWEUVBUWKUWMUWLUWNUWKUWGXJNUVEWTOLNUWMUVG
      YQYIXJUWHUULUUBWCUVEWTXDLUWIUUSYKVLUVAWTUWJUUSWDSUWLUVGYQOXSNUVFYPOXRNZUW
      NUVGYQYIXSUWHUULUUBVLUVFYPXRUVERXARWGUWOUVEXAOLNUWNUVEXALUWIUURWGUVAXAUWJ
      UURWDWHSWIUWBXQXTWOUVAWTXAWOVEWJWKSVBUVCGWLSWMWPWNSWQSWQWHWRWS $.
      $( [15-Jan-2015] $)
  $}

  $( The expression at the heart of ~ dfaddc2 is a set. $)
  addcexlem $p |- ( Ins3_k
            ~ ( ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) ) e. _V $=
    ( cssetk cins3k cins2k cin c1c cpw1 ccompl csik cun csymdif ssetkex ins3kex
    cimak ins2kex inex 1cex pw1ex imakex complex sikex unex symdifex difex ) AB
    ZACZDZEFZFZMZGZBUECZUDCZAHZHZBZIZJZUHFZFZMUJUIUFUHUDUEAKLZAKNZOUGEPQQZRSLUQ
    USUKUPUEVANULUOUDUTNUNUMAKTTLUAUBURUHVBQQRUC $.
    $( [17-Jan-2015] $)

  $( Equality law for cardinal addition. $)
  addceq1 $p |- ( A = B -> ( A +c C ) = ( B +c C ) ) $=
    ( wceq cssetk cins3k cins2k cin c1c cpw1 cimak ccompl csik cun csymdif cdif
    cplc imakeq2 dfaddc2 3eqtr4g ) ABDEFZEGZHIJJZKLFUBGUAGEMMFNOUCJJKPCJJKZAKUD
    BKACQBCQABUDRACSBCST $.
    $( [15-Jan-2015] $)

  $( Equality law for cardinal addition. $)
  addceq2 $p |- ( A = B -> ( C +c A ) = ( C +c B ) ) $=
    ( wceq cssetk cins3k cins2k cin c1c cpw1 cimak ccompl csik cun csymdif cdif
    cplc pw1eq syl dfaddc2 imakeq2d imakeq1d 3eqtr4g ) ABDZEFZEGZHIJJZKLFUFGUEG
    EMMFNOUGJJKPZAJZJZKZCKUHBJZJZKZCKCAQCBQUDUKUNCUDUJUMUHUDUIULDUJUMDABRUIULRS
    UAUBCATCBTUC $.
    $( [15-Jan-2015] $)

  $( Equality law for cardinal addition. $)
  addceq12 $p |- ( ( A = C /\ B = D ) -> ( A +c B ) = ( C +c D ) ) $=
    ( wceq cplc addceq1 addceq2 sylan9eq ) ACEBDEABFCBFCDFACBGBDCHI $.
    $( [15-Jan-2015] $)

  ${
    addceqi.1 $e |- A = B $.
    $( Equality inference for cardinal addition. $)
    addceq1i $p |- ( A +c C ) = ( B +c C ) $=
      ( wceq cplc addceq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [3-Feb-2015] $)

    $( Equality inference for cardinal addition. $)
    addceq2i $p |- ( C +c A ) = ( C +c B ) $=
      ( wceq cplc addceq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [3-Feb-2015] $)

    addceqi.2 $e |- C = D $.
    $( Equality inference for cardinal addition. $)
    addceq12i $p |- ( A +c C ) = ( B +c D ) $=
      ( wceq cplc addceq12 mp2an ) ABGCDGACHBDHGEFACBDIJ $.
      $( [3-Feb-2015] $)
  $}

  ${
    addceqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for cardinal addition. $)
    addceq1d $p |- ( ph -> ( A +c C ) = ( B +c C ) ) $=
      ( wceq cplc addceq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [3-Feb-2015] $)

    $( Equality deduction for cardinal addition. $)
    addceq2d $p |- ( ph -> ( C +c A ) = ( C +c B ) ) $=
      ( wceq cplc addceq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [3-Feb-2015] $)

    addceqd.2 $e |- ( ph -> C = D ) $.
    $( Equality deduction for cardinal addition. $)
    addceq12d $p |- ( ph -> ( A +c C ) = ( B +c D ) ) $=
      ( wceq cplc addceq12 syl2anc ) ABCHDEHBDICEIHFGBDCEJK $.
      $( [3-Feb-2015] $)
  $}

  $( Cardinal zero is a set. $)
  0cex $p |- 0c e. _V $=
    ( c0c c0 csn cvv df-0c snex eqeltri ) ABCDEBFG $.
    $( [14-Jan-2015] $)

  $( The cardinal sum of two sets is a set. $)
  addcexg $p |- ( ( A e. V /\ B e. W ) -> ( A +c B ) e. _V ) $=
    ( wcel wa cplc cssetk cins3k cins2k cin c1c cpw1 ccompl csik cun cvv pw1exg
    cimak imakexg csymdif cdif dfaddc2 addcexlem mpan sylan ancoms syl5eqel
    3syl ) ACEZBDEZFABGHIZHJZKLMMZSNIUMJULJHOOIPUAUNMMSUBZBMZMZSZASZQABUCUKUJUS
    QEZUKURQEZUJUTUKUPQEUQQEZVABDRUPQRUOQEVBVAUDUOUQQQTUEUIURAQCTUFUGUH $.
    $( [15-Jan-2015] $)

  ${
    addcex.1 $e |- A e. _V $.
    addcex.2 $e |- B e. _V $.
    $( The cardinal sum of two sets is a set. $)
    addcex $p |- ( A +c B ) e. _V $=
      ( cvv wcel cplc addcexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [25-Jan-2015] $)
  $}

  ${
    $d x y z w t $.
    $( Definition of the finite cardinals for existence theorem. $)
    dfnnc2 $p |- Nn =
     |^| ( { x | 0c e. x } \
           ( ( SSet_k \ ( SSet_k o._k SI_k
Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k
            ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) ) ) "_k 1c ) ) $=
      ( vy vz vt vw cv wcel c1c wa cssetk cpw1 cimak wn vex wceq copk wex bitri
      cvv exbii cnnc c0c cplc wral cab cint cins3k cins2k cin csik csymdif cdif
      ccompl cun cimagek ccomk df-nnc eldif eleq2 elab wrex csn wel snex opkeq1
      eleq1d ceqsexv elssetk opkeq2 opksnelsik syl6bb opkelimagekg mp2an eqeq2i
      anbi12d dfaddc2 bitr4i anbi12i opkelcok el1c anbi1i 19.41v cxpk sikss1c1c
      wb sseli opkelxpk simprbi syl pm4.71ri anass excom 3bitr4i df-clel notbii
      elimak df-rex rexnal bitr2i con1bii abbi2i inteqi eqtr4i ) UAUBBFZGZCFZHU
      CZXDGZCXDUDZIZBUEZUFUBAFZGZAUEZJJJUGZJUHZUIHKKZLUMUGXPUHXOUHJUJUJUGUNUKXQ
      KKLULXQLZUOZUJZUPZULZHLZULZUFCBUQYDXKXJBYDXDYDGXDXNGZXDYCGZMZIXJXDXNYCURY
      EXEYGXIXMXEAXDBNZXLXDUBUSUTXIYFYFXHMZCXDVAZXIMDFZXFVBZOZYKXDPZYBGZIZDQZCQ
      ZCBVCZYIIZCQYFYJYQYTCYQYLXDPZYBGZYTYOUUBDYLXFVDZYMYNUUAYBYKYLXDVEVFVGUUBU
      UAJGZUUAYAGZMZIYTUUAJYAURUUDYSUUFYIXFXDCNZYHVHUUEXHYKEFZVBZOZYLYKPZXTGZYN
      JGZIZIZDQZEQZUUHXGOZEBVCZIZEQUUEXHUUPUUTEUUPXFUUHPXSGZUUIXDPZJGZIZUUTUUNU
      VDDUUIUUHVDUUJUULUVAUUMUVCUUJUULYLUUIPZXTGUVAUUJUUKUVEXTYKUUIYLVIVFXFUUHX
      SUUGENZVJVKUUJYNUVBJYKUUIXDVEVFVOVGUVAUURUVCUUSUVAUUHXRXFLZOZUURXFSGUUHSG
      UVAUVHWEUUGUVFXFUUHXRSSVLVMXGUVGUUHXFHVPVNVQUUHXDUVFYHVHVRRTUUEUUNDQZUUQD
      YLXDJXTUUCYHVSYKHGZUUNIZDQUUOEQZDQUVIUUQUVKUVLDUVKUUJEQZUUNIUVLUVJUVMUUNE
      YKVTWAUUJUUNEWBVQTUUNUVKDUUNUVJUULIZUUMIUVKUULUVNUUMUULUVJUULUUKHHWCZGZUV
      JXTUVOUUKXSWDWFUVPYLHGUVJYLYKHHUUCDNWGWHWIWJWAUVJUULUUMWKRTUUOEDWLWMREXGX
      DWNWMWOVRRRTYFYODHVAZYRDYBHXDYHWPUVJYOIZDQYPCQZDQUVQYRUVRUVSDUVRYMCQZYOIU
      VSUVJUVTYOCYKVTWAYMYOCWBVQTYODHWQYPCDWLWMRYICXDWQWMXHCXDWRWSWTVRRXAXBXC
      $.
      $( [14-Jan-2015] $)
  $}

  $( The class of all finite cardinals is a set. $)
  nncex $p |- Nn e. _V $=
    ( vx cnnc c0c cv wcel cab cssetk cins3k cins2k cin c1c cpw1 cimak csik cdif
    ssetkex 1cex pw1ex imakex difex ccompl cun csymdif cimagek ccomk cvv dfnnc2
    cint setswithex addcexlem imagekex sikex cokex intex eqeltri ) BCADEAFZGGGH
    ZGIZJKLZLZMUAHURIUQIGNNHUBUCUTLLMOZUTMZUDZNZUEZOZKMZOZUHUFAUGVHUPVGACUIVFKG
    VEPGVDPVCVBVAUTUJUSKQRRSUKULUMTQSTUNUO $.
    $( [14-Jan-2015] $)

  $( The class of all finite sets is a set. $)
  finex $p |- Fin e. _V $=
    ( cfin cnnc cuni cvv df-fin nncex uniex eqeltri ) ABCDEBFGH $.
    $( [19-Jan-2015] $)

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d b c $.  $d M a $.
    $d M b $.  $d M c $.  $d N a $.  $d N b $.  $d N c $.

    $( Membership in cardinal addition.  Theorem X.1.1 of {{Rosser}},
       p. 275. $)
    eladdc $p |- ( A e. ( M +c N ) <->
        E. b e. M E. c e. N ( ( b i^i c ) = (/) /\ A = ( b u. c ) ) ) $=
      ( va cplc wcel cvv cv cin c0 wceq cun wa wrex elex id vex rexlimivw eqeq1
      unex syl6eqel adantl anbi2d 2rexbidv df-addc elab2g pm5.21nii ) ABCGZHAIH
      ZDJZEJZKLMZAULUMNZMZOZECPZDBPZAUJQURUKDBUQUKECUPUKUNUPAUOIUPRULUMDSESUBUC
      UDTTUNFJZUOMZOZECPDBPUSFAUJIUTAMZVBUQDEBCVCVAUPUNUTAUOUAUEUFFDEBCUGUHUI
      $.
      $( [16-Jan-2015] $)
  $}

  ${
    $d A a b $.  $d B a b $.  $d M a b $.  $d N a b $.
    $( Inference form of membership in cardinal addition. $)
    eladdci $p |- ( ( A e. M /\ B e. N /\ ( A i^i B ) = (/) ) ->
       ( A u. B ) e. ( M +c N ) ) $=
      ( va vb wcel cin c0 wceq w3a cv cun wrex cplc eqid eqeq1d eqeq2d anbi12d
      wa ineq1 uneq1 ineq2 uneq2 rcla42ev 3expa mpanr2 3impa eladdc sylibr ) AC
      GZBDGZABHZIJZKELZFLZHZIJZABMZUOUPMZJZTZFDNECNZUSCDOGUKULUNVCUKULTUNUSUSJZ
      VCUSPUKULUNVDTZVCVBVEAUPHZIJZUSAUPMZJZTEFABCDUOAJZURVGVAVIVJUQVFIUOAUPUAQ
      VJUTVHUSUOAUPUBRSUPBJZVGUNVIVDVKVFUMIUPBAUCQVKVHUSUSUPBAUDRSUEUFUGUHUSCDE
      FUIUJ $.
      $( [26-Jan-2015] $)
  $}

  ${
    $d A n m $.
    $( The empty class is not a member of a successor. $)
    0nelsuc $p |- -. (/) e. ( A +c 1c ) $=
      ( vn vm c0 c1c cplc wcel cv cin wceq cun wa wrex csn el1c simpr nsyl nrex
      wn wex vex snid ax-mp eqeq1 mtbiri exlimiv sylbi eqcom bitri notbii sylib
      n0i un00 a1i eladdc mtbir ) DAEFGBHZCHZIDJZDUQURKZJZLZCEMZBAMVCBAVCSUQAGV
      BCEUREGZVAVBVDUQDJZURDJZLZSVASVDVFVGVDURUQNZJZBTVFSZBUROVIVJBVIVFVHDJZUQV
      HGVKSUQBUAUBVHUQULUCURVHDUDUEUFUGVEVFPQVGVAVGUTDJVAUQURUMUTDUHUIUJUKUSVAP
      QRUNRDAEBCUOUP $.
      $( [14-Jan-2015] $)
  $}

  $( Cardinal zero is not a successor.  Compare Theorem X.1.2 of {{Rosser}},
     p. 275. $)
  0cnsuc $p |- ( A +c 1c ) =/= 0c $=
    ( c1c cplc c0c wne wceq wn wcel 0nelsuc csn 0ex df-0c eleqtrri eleq2 mpbiri
    c0 snid mto df-ne mpbir ) ABCZDEUADFZGUBPUAHZAIUBUCPDHPPJDPKQLMUADPNORUADST
    $.
    $( [14-Jan-2015] $)

  ${
    $d x y $.
    $( Cardinal zero is a finite cardinal.  Theorem X.1.4 of {{Rosser}},
       p. 276. $)
    peano1 $p |- 0c e. Nn $=
      ( vx vy c0c cnnc wcel cv c1c cplc wral wa cab cint wal df-nnc eleq2i 0cex
      wi elintab bitri simpl mpgbir ) CDEZCAFZEZBFGHUCEBUCIZJZUDQZAUBCUFAKLZEUG
      AMDUHCBANOUFACPRSUDUETUA $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d A a x y $.
    $( The finite cardinals are closed under addition of one.  Theorem X.1.5 of
       {{Rosser}}, p. 276. $)
    peano2 $p |- ( A e. Nn -> ( A +c 1c ) e. Nn ) $=
      ( va vx vy cv c1c cplc cnnc wcel wceq addceq1 eleq1d c0c wa wi wal eleq2i
      wral elintab bitri wel weq rcla4cv adantl a2i alimi cab df-nnc vex addcex
      cint 1cex 3imtr4i vtoclga ) BEZFGZHIZAFGZHIBAHUOAJUPURHUOAFKLMCEZIZDEZFGZ
      USIZDUSRZNZBCUAZOZCPZVEUPUSIZOZCPZUOHIZUQVGVJCVEVFVIVDVFVIOUTVCVIDUOUSDBU
      BVBUPUSVAUOFKLUCUDUEUFVLUOVECUGUKZIVHHVMUODCUHZQVECUOBUIZSTUQUPVMIVKHVMUP
      VNQVECUPUOFVOULUJSTUMUN $.
      $( [14-Jan-2015] $)
  $}

  $( The successor of a finite cardinal is not zero. $)
  peano3 $p |- ( A e. Nn -> ( A +c 1c ) =/= 0c ) $=
    ( c1c cplc c0c wne cnnc wcel 0cnsuc a1i ) ABCDEAFGAHI $.
    $( [14-Jan-2015] $)


  ${
    $d A x y z $.
    $( Cardinal zero is a fixed point for cardinal addition.  Theorem X.1.8 of
       {{Rosser}}, p 276. $)
    addcid1 $p |- ( A +c 0c ) = A $=
      ( vx vy vz c0c cplc c0 csn df-0c addceq2i cv cin wceq cun wa wrex weq 0ex
      wcel ineq2 eqeq1d uneq2 eqeq2d anbi12d in0 biantrur syl6bbr eqeq2i equcom
      rexsn un0 3bitri rexbii eladdc risset 3bitr4i eqriv eqtri ) AEFAGHZFZAEUS
      AIJBUTACKZDKZLZGMZBKZVAVBNZMZOZDUSPZCAPCBQZCAPVEUTSVEASVIVJCAVIVEVAGNZMZB
      CQVJVHVLDGRVBGMZVHVAGLZGMZVLOVLVMVDVOVGVLVMVCVNGVBGVATUAVMVFVKVEVBGVAUBUC
      UDVOVLVAUEUFUGUJVKVAVEVAUKUHBCUIULUMVEAUSCDUNCVEAUOUPUQUR $.
      $( [16-Jan-2015] $)
  $}


  ${
    $d A x y z $.  $d B x y z $.
    $( Cardinal sum commutes.  Theorem X.1.9 of {{Rosser}}, p. 276. $)
    addccom $p |- ( A +c B ) = ( B +c A ) $=
      ( vy vz vx cv cin c0 wceq cun wa wrex cab cplc incom eqeq1i uncom anbi12i
      eqeq2i df-addc 2rexbii rexcom bitri abbii 3eqtr4i ) CFZDFZGZHIZEFZUFUGJZI
      ZKZDBLCALZEMUGUFGZHIZUJUGUFJZIZKZCALDBLZEMABNBANUNUTEUNUSDBLCALUTUMUSCDAB
      UIUPULURUHUOHUFUGOPUKUQUJUFUGQSRUAUSCDABUBUCUDECDABTEDCBATUE $.
      $( [15-Jan-2015] $)
  $}

  $( Cardinal zero is a fixed point for cardinal addition.  Theorem X.1.8 of
     {{Rosser}}, p 276. $)
  addcid2 $p |- ( 0c +c A ) = A $=
    ( c0c cplc addccom addcid1 eqtri ) BACABCABADAEF $.
    $( [16-Jan-2015] $)


  ${
    $( Cardinal one is a finite cardinal.  Theorem X.1.12 of {{Rosser}},
       p. 277. $)
    1cnnc $p |- 1c e. Nn $=
      ( c1c cplc cnnc addcid1 addccom eqtr3i wcel peano1 peano2 ax-mp eqeltri
      c0c ) ALABZCALBAMADALEFLCGMCGHLIJK $.
      $( [16-Jan-2015] $)
  $}

  ${
    $d A a x y $.
    $( The principle of mathematical induction: a set containing cardinal zero
       and closed under the successor operator is a superset of the finite
       cardinals.  Theorem X.1.6 of {{Rosser}}, p. 276. $)
    peano5 $p |- ( ( A e. V /\ 0c e. A /\
                      A. x e. Nn ( x e. A -> ( x +c 1c ) e. A ) ) ->
            Nn C_ A ) $=
      ( vy wcel cnnc cin cvv c0c cv c1c wi wral wss mpan elin biimpri syl eleq2
      wa cplc nncex inexg peano1 imbi1i impexp bitri inss1 sseli peano2 a1i a2i
      mpand sylbir ralimi2 w3a cab cint df-nnc raleqbi1dv anbi12d elabg biimprd
      wceq 3impib intss1 syl5eqss inss2 syl6ss syl3an ) BCEZFBGZHEZIBEZIVLEZAJZ
      BEZVPKUAZBEZLZAFMVRVLEZAVLMZFBNFHEVKVMUBFBHCUCOIFEZVNVOUDVOWCVNTIFBPQOVTW
      AAFVLVPFEZVTLZVPVLEZVSLZWFWALWGWDVQTZVSLWEWFWHVSVPFBPUEWDVQVSUFUGWFVSWAWF
      VRFEZVSWAWFWDWIVLFVPFBUHUIVPUJRWIVSTZWALWFWAWJVRFBPQUKUMULUNUOVMVOWBUPZFV
      LBWKFIDJZEZVRWLEZAWLMZTZDUQZURZVLADUSWKVLWQEZWRVLNVMVOWBWSVMWSVOWBTZWPWTD
      VLHWLVLVDWMVOWOWBWLVLISWNWAAWLVLWLVLVRSUTVAVBVCVEVLWQVFRVGFBVHVIVJ $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d A x $.  $d ch x $.  $d ph y $.  $d ps x $.  $d ta x $.  $d th x $.
    $d x y $.
    finds.1 $e |- { x | ph } e. _V $.
    finds.2 $e |- ( x = 0c -> ( ph <-> ps ) ) $.
    finds.3 $e |- ( x = y -> ( ph <-> ch ) ) $.
    finds.4 $e |- ( x = ( y +c 1c ) -> ( ph <-> th ) ) $.
    finds.5 $e |- ( x = A -> ( ph <-> ta ) ) $.
    finds.6 $e |- ps $.
    finds.7 $e |- ( y e. Nn -> ( ch -> th ) ) $.
    $( Principle of finite induction over the finite cardinals, using implicit
       substitutions.  The first hypothesis ensures stratification of ` ph ` ,
       the next four set up the substitutions, and the last two set up the base
       case and induction hypothesis.  Compare Theorem X.1.13 of {{Rosser}},
       p. 277. $)
    finds $p |- ( A e. Nn -> ta ) $=
      ( cnnc wcel cvv c0c elab cab cv c1c cplc wi wral wss 0cex vex 1cex addcex
      mpbir 3imtr4g rgen peano5 mp3an sseli elabg mpbid ) HPQHAFUAZQEPUTHUTRQSU
      TQZGUBZUTQZVBUCUDZUTQZUEZGPUFPUTUGIVABNABFSUHJTULVFGPVBPQCDVCVEOACFVBGUIZ
      KTADFVDVBUCVGUJUKLTUMUNGUTRUOUPUQAEFHPMURUS $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d A x n m $.
    $( All naturals are either zero or a successor.  Theorem X.1.7 of
       {{Rosser}}, p. 276. $)
    nnc0suc $p |- ( A e. Nn <->
             ( A = 0c \/ E. x e. Nn A = ( x +c 1c ) ) ) $=
      ( vn vm cnnc wcel c0c wceq cv c1c wrex cssetk cins3k cpw1 cimak cvv eqeq1
      wo rexbidv orbi12d cplc csn cins2k cin ccompl csik cun csymdif cdif df-sn
      cimagek cab vex elimak wb opkelimagekg mp2an dfaddc2 eqeq2i bitr4i rexbii
      copk bitri abbi2i uneq12i unab eqtri snex addcexlem pw1ex imakex imagekex
      1cex nncex unex eqeltrri weq eqid orci addceq1 eqeq2d rcla4ev mpan2 finds
      olcd a1d peano1 eleq1 mpbiri peano2 syl5ibrcom rexlimiv jaoi impbii ) BEF
      ZBGHZBAIZJUAZHZAEKZRZCIZGHZXBWRHZAEKZRZGGHZGWRHZAEKZRDIZGHZXJWRHZAEKZRZXJ
      JUAZGHZXOWRHZAEKZRZXACDBGUBZLMZLUCZUDJNZNZOUEMYBUCYAUCLUFUFMUGUHYDNNOUIZY
      DOZUKZEOZUGZXFCULZPYIXCCULZXECULZUGYJXTYKYHYLCGUJXECYHXBYHFWQXBVBYGFZAEKX
      EAYGEXBCUMZUNYMXDAEYMXBYFWQOZHZXDWQPFXBPFYMYPUOAUMYNWQXBYFPPUPUQWRYOXBWQJ
      URUSUTVAVCVDVEXCXECVFVGXTYHGVHYGEYFYEYDVIYCJVMVJVJVKVLVNVKVOVPXCXCXGXEXIX
      BGGQXCXDXHAEXBGWRQSTCDVQZXCXKXEXMXBXJGQYQXDXLAEXBXJWRQSTXBXOHZXCXPXEXRXBX
      OGQYRXDXQAEXBXOWRQSTXBBHZXCWPXEWTXBBGQYSXDWSAEXBBWRQSTXGXIGVRVSXJEFZXSXNY
      TXRXPYTXOXOHZXRXOVRXQUUAAXJEADVQWRXOXOWQXJJVTWAWBWCWEWFWDWPWOWTWPWOGEFWGB
      GEWHWIWSWOAEWQEFWOWSWREFWQWJBWREWHWKWLWMWN $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d A b $.  $d A x $.  $d A y $.  $d b x $.  $d b y $.  $d M b $.  $d M y $.
    $d x y $.
    $( Membership in a successor.  Theorem X.1.16 of {{Rosser}}, p. 279. $)
    elsuc $p |- ( A e. ( M +c 1c ) <->
       E. b e. M E. x e. ~ b A = ( b u. { x } ) ) $=
      ( vy c1c wcel cv cin c0 wceq cun wa wrex bitr4i anbi1i bitri exbii df-rex
      wex cplc csn ccompl eladdc snex ineq2 eqeq1d uneq2 eqeq2d anbi12d ceqsexv
      wel wn disjsn vex elcompl el1c 19.41v excom 3bitr4i rexbii ) BCFUAGDHZEHZ
      IZJKZBVBVCLZKZMZEFNZDCNBVBAHZUBZLZKZAVBUCZNZDCNBCFDEUDVIVODCVCVKKZVHMZETZ
      ATZVJVNGZVMMZATVIVOVRWAAVRVBVKIZJKZVMMZWAVHWDEVKVJUEVPVEWCVGVMVPVDWBJVCVK
      VBUFUGVPVFVLBVCVKVBUHUIUJUKWCVTVMWCADULUMVTVBVJUNVJVBAUOUPOPQRVIVCFGZVHMZ
      ETZVSVHEFSWGVQATZETVSWFWHEWFVPATZVHMWHWEWIVHAVCUQPVPVHAURORVQEAUSQQVMAVNS
      UTVAQ $.
      $( [16-Jan-2015] $)
  $}


  ${
    $d N a x $.  $d A a x $.  $d X a x $.
    elsuci.1 $e |- X e. _V $.
    $( Lemma for ~ ncfinraise .  Take a natural and a disjoint union and
       compute membership in the successor natural. $)
    elsuci $p |- ( ( A e. N /\ -. X e. A ) ->
       ( A u. { X } ) e. ( N +c 1c ) ) $=
      ( va vx wcel wn wa csn cun cv wceq ccompl wrex c1c elcompl eqeq2d rcla4ev
      cplc eqid uneq2d mpan2 sylbir compleq uneq1 rexeqbidv sylan2 elsuc sylibr
      sneq ) ABGZCAGHZIACJZKZELZFLZJZKZMZFUPNZOZEBOZUOBPTGUMULUOAURKZMZFANZOZVC
      UMCVFGZVGCADQVHUOUOMZVGUOUAVEVIFCVFUQCMZVDUOUOVJURUNAUQCUKUBRSUCUDVBVGEAB
      UPAMZUTVEFVAVFUPAUEVKUSVDUOUPAURUFRUGSUHFUOBEUIUJ $.
      $( [22-Jan-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a d $.  $d A d $.
    $d a e $.  $d A e $.  $d a x $.  $d A x $.  $d B a $.  $d B b $.  $d b c $.
    $d B c $.  $d b d $.  $d B d $.  $d b e $.  $d B e $.  $d b x $.  $d B x $.
    $d C a $.  $d C b $.  $d C c $.  $d c d $.  $d C d $.  $d c e $.  $d C e $.
    $d c x $.  $d C x $.  $d d x $.  $d e x $.

    $( Cardinal addition is associative.  Theorem X.1.11, corollary 1 of
       {{Rosser}}, p. 277. $)
    addcass $p |- ( ( A +c B ) +c C ) = ( A +c ( B +c C ) ) $=
      ( va vb vd vc ve cv cin c0 wceq cun wex wrex bitri exbii rexbii rexcom4
      wa vx cplc wcel ancom anbi2i an12 indir eqeq1i un00 bitr4i 3bitr4i eqeq2i
      indi unass anbi12i anass 3bitr3i ineq1 eqeq1d uneq1 eqeq2d anbi12d anbi2d
      vex unex ceqsexv ineq2 uneq2 2rexbii eladdc df-rex r19.42v r19.41v anbi1i
      3bitr4ri eqriv ) UAABUBZCUBZABCUBZUBZDIZEIZJZKLZFIZWAWBMZLZTZWEGIZJZKLZUA
      IZWEWIMZLZTZTZFNZGCOZEBOZDAOZWBWIJZKLZHIZWBWIMZLZTZWAXCJZKLZWLWAXCMZLZTZT
      ZHNZGCOZEBOZDAOZWLVRUCZWLVTUCZWRXNDEABWQXMGCWDWFWIJZKLZWLWFWIMZLZTZTZXBWA
      XDJZKLZWLWAXDMZLZTZTZWQXMWDXTTZYBTXBYFTZYHTYDYJYKYLYBYHWDWAWIJZKLZXBTZTZX
      BWDYNTZTZYKYLYPWDXBYNTZTYRYOYSWDYNXBUDUEWDXBYNUFPXTYOWDXTYMXAMZKLYOXSYTKW
      AWBWIUGUHYMXAUIUJUEYFYQXBYFWCYMMZKLYQYEUUAKWAWBWIUMUHWCYMUIUJUEUKYAYGWLWA
      WBWIUNULUOWDXTYBUPXBYFYHUPUQWQWGWDWOTZTZFNYDWPUUCFWPWDWGWOTTUUCWDWGWOUPWD
      WGWOUFPQUUBYDFWFWAWBDVDEVDZVEWGWOYCWDWGWKXTWNYBWGWJXSKWEWFWIURUSWGWMYAWLW
      EWFWIUTVAVBVCVFPXMXEXBXKTZTZHNYJXLUUFHXLXBXEXKTTUUFXBXEXKUPXBXEXKUFPQUUEY
      JHXDWBWIUUDGVDVEXEXKYIXBXEXHYFXJYHXEXGYEKXCXDWAVGUSXEXIYGWLXCXDWAVHVAVBVC
      VFPUKRVIXQWOGCOZFVQOZWTWLVQCFGVJUUHWEVQUCZUUGTZFNZWTUUGFVQVKWHUUGTZEBOZFN
      ZDAOUUMDAOZFNWTUUKUUMDFASWSUUNDAWSUULFNZEBOUUNWRUUPEBWRWPGCOZFNUUPWPGFCSU
      UQUULFWHWOGCVLQPRUULEFBSPRUUJUUOFWHEBOZUUGTZDAOUURDAOZUUGTUUOUUJUURUUGDAV
      MUUMUUSDAWHUUGEBVMRUUIUUTUUGWEABDEVJVNVOQVOPPXRXKHVSOZDAOXPWLAVSDHVJUVAXO
      DAUVAXCVSUCZXKTZHNZXOXKHVSVKXLGCOZHNZEBOUVEEBOZHNXOUVDUVEEHBSXNUVFEBXLGHC
      SRUVCUVGHXFGCOZXKTZEBOUVHEBOZXKTUVGUVCUVHXKEBVMUVEUVIEBXFXKGCVMRUVBUVJXKX
      CBCEGVJVNVOQVOPRPUKVP $.
      $( [17-Jan-2015] $)
  $}

  $( Swap arguments two and three in cardinal addition. $)
  addc32 $p |- ( ( A +c B ) +c C ) = ( ( A +c C ) +c B ) $=
    ( cplc addccom addceq2i addcass 3eqtr4i ) ABCDZDACBDZDABDCDACDBDIJABCEFABCG
    ACBGH $.
    $( [22-Jan-2015] $)

  $( Swap arguments two and three in quadruple cardinal addition. $)
  addc4 $p |- ( ( A +c B ) +c ( C +c D ) ) = ( ( A +c C ) +c ( B +c D ) ) $=
    ( cplc addc32 addceq1i addcass 3eqtr3i ) ABEZCEZDEACEZBEZDEJCDEELBDEEKMDABC
    FGJCDHLBDHI $.
    $( [25-Jan-2015] $)

  $( Rearrange cardinal summation of six arguments. $)
  addc6 $p |- ( ( ( A +c B ) +c ( C +c D ) ) +c ( E +c F ) ) =
     ( ( ( A +c C ) +c E ) +c ( ( B +c D ) +c F ) ) $=
    ( cplc addc4 addceq1i addc32 eqtri addcass 3eqtr3i ) ABGCDGGZEGZFGACGZEGZBD
    GZGZFGNEFGGQRFGGOSFOPRGZEGSNTEABCDHIPREJKINEFLQRFLM $.
    $( [13-Mar-2015] $)

  ${
    $d A a b c x $.  $d B a b c x $.
    $( The finite cardinals are closed under addition.  Theorem X.1.14 of
       {{Rosser}}, p. 278. $)
    nncaddccl $p |- ( ( A e. Nn /\ B e. Nn ) -> ( A +c B ) e. Nn ) $=
      ( va vb vc vx cnnc wcel cplc cv wceq eleq1d imbi2d c1c cab cpw1 cimak cvv
      wi addceq2 addceq1 c0c wn cssetk cins3k cins2k cin ccompl csymdif cimagek
      csik cun cdif ccnvk wo unab copk wrex wb vex opkelimagekg mp2an opkelcnvk
      addccom dfaddc2 eqeq2i 3bitr4i rexbii elimak risset abbi2i uneq2i 3eqtr4i
      eqtri imor abbii abexv addcexlem pw1ex imakex imagekex nncex eqeltrri weq
      cnvkex unex addcid1 id syl5eqel addcass peano2 syl5eqelr imim2i a1i finds
      com12 vtoclga imp ) AGHBGHZABIZGHZWSCJZBIZGHZSWSXASCAGXBAKZXDXAWSXEXCWTGX
      BABUALMWSXBGHZXDXFXBDJZIZGHZSZXFXBUBIZGHZSXFXBEJZIZGHZSZXFXBXMNIZIZGHZSZX
      FXDSDEBXFUCZDOZUDUEZUDUFZUGNPPZQUHUEYDUFYCUFUDUKUKUEULUIYEPPQUMZXBPZPZQZU
      JZUNZGQZULZXJDOZRYBXIDOZULYAXIUOZDOYMYNYAXIDUPYLYOYBXIDYLFJZXGUQYKHZFGURY
      QXHKZFGURXGYLHXIYRYSFGXGYQUQYJHZYQYIXGQZKZYRYSXGRHYQRHYTUUBUSDUTZFUTZXGYQ
      YIRRVAVBYQXGYJUUDUUCVCXHUUAYQXHXGXBIUUAXBXGVDXGXBVEVNVFVGVHFYKGXGUUCVIFXH
      GVJVGVKVLXJYPDXFXIVOVPVMYBYLYADVQYKGYJYIYFYHVRYGXBCUTVSVSVTWAWEWBVTWFWCXG
      UBKZXIXLXFUUEXHXKGXGUBXBTLMDEWDZXIXOXFUUFXHXNGXGXMXBTLMXGXQKZXIXSXFUUGXHX
      RGXGXQXBTLMXGBKZXIXDXFUUHXHXCGXGBXBTLMXFXKXBGXBWGXFWHWIXPXTSXMGHXOXSXFXOX
      RXNNIGXBXMNWJXNWKWLWMWNWOWPWQWR $.
      $( [17-Jan-2015] $)
  $}

  ${
    $d A x $.
    $( Membership in the set of finite sets. $)
    elfin $p |- ( A e. Fin <-> E. x e. Nn A e. x ) $=
      ( cfin wcel cnnc cuni cv wrex df-fin eleq2i eluni2 bitri ) BCDBEFZDBAGDAE
      HCMBIJABEKL $.
      $( [19-Jan-2015] $)
  $}

  $( Membership in cardinal zero. $)
  el0c $p |- ( A e. 0c <-> A = (/) ) $=
    ( c0c wcel c0 csn wceq df-0c eleq2i 0ex elsn2 bitri ) ABCADEZCADFBLAGHADIJK
    $.
    $( [22-Jan-2015] $)

  $( The empty set is a member of cardinal zero. $)
  nulel0c $p |- (/) e. 0c $=
    ( c0 c0c wcel wceq eqid el0c mpbir ) ABCAADAEAFG $.
    $( [13-Feb-2015] $)

  $( The empty set is finite. $)
  0fin $p |- (/) e. Fin $=
    ( vn c0 cfin wcel cv cnnc wrex c0c wceq eqid el0c mpbir eleq2 rcla4ev mp2an
    peano1 elfin ) BCDBAEZDZAFGZHFDBHDZTPUABBIBJBKLSUAAHFRHBMNOABQL $.
    $( [19-Jan-2015] $)


  ${
    $d a e $.  $d a m $.  $d a t $.  $d a w $.  $d a x $.  $d e m $.  $d e t $.
    $d e w $.  $d e x $.  $d m t $.  $d m w $.  $d m x $.  $d t w $.  $d t x $.
    $d w x $.
    $( Lemma for ~ nnsucelr .  Establish stratification for the inductive
       hypothesis. $)
    nnsucelrlem1 $p |- { m |
     A. a A. x ( ( -. x e. a /\ ( a u. { x } ) e. ( m +c 1c ) ) -> a e. m ) }
     e. _V $=
      ( vt vw ve cssetk c1c cvv wn csn wcel wa wex wceq copk bitr4i exbii bitri
      snex csik cins3k cins2k cidk cun csymdif cpw1 cimak ccompl cin cdif ccnvk
      cimagek ccomk cxpk wel cv cplc wal cab wrex vex elimak df-rex el1c anbi1i
      19.41v excom opkeq1 eleq1d ceqsexv opkex elpw131c eldif elpw141c elpw171c
      wi elin wb elsymdif otkelins3k opksnelsik elssetk otkelins2k wo weq sneqb
      opkelidkg mp2an elsn 3bitr4i orbi12i elun bibi12i notbii dfcleq opkelcnvk
      elcompl alex ancom opkelimagekg dfaddc2 eqeq2i bicomi anbi12i 1cex addcex
      opkelcok clel3 df-clel opkelxpk mpbiran annim exnal ssetkex sikex ins3kex
      abbi2i ins2kex idkex unex symdifex pw1ex imakex addcexlem imagekex cnvkex
      complex cokex inex difex vvex xpkex eqeltrri ) GUAZUAZUAZUAZUAZUBZYOUBZUC
      ZUDUBZUEZUCZUFZHUGZUGZUGZUGZUGZUGZUGZUHZUIZGUBZGUCZUJUUHUHUIUBUUQUCUUPUCY
      PUBUEUFUUJUHUKZUUHUHZUMZULZGUNZUCZUCZUJZUUJUHZUUAUKZIGUOZUKZUUIUHZHUHZUIZ
      ACUPZJZCUQZAUQZKZUEZBUQZHURZLZMZCBUPZVQZAUSZCUSZBUTIUWFBUVLUVSUVKLZJUWEJZ
      CNZJUVSUVLLUWFUWGUWIUWGDUQZUVOKZOZUWJUVSPZUVJLZMZDNZCNZUWIUWGUWNDHVAZUWQD
      UVJHUVSBVBZVCUWRUWJHLZUWNMZDNZUWQUWNDHVDUXBUWOCNZDNUWQUXAUXCDUXAUWLCNZUWN
      MUXCUWTUXDUWNCUWJVEVFUWLUWNCVGQRUWOCDVHQSSUWPUWHCUWPUWKUVSPZUVJLZUWHUWNUX
      FDUWKUVOTZUWLUWMUXEUVJUWJUWKUVSVIVJVKUXFUWDJZANZUWHUXFUWJUVQKZKZKZOZUWJUX
      EPZUVILZMZDNZANZUXIUXFUXODUUIVAZUXRDUVIUUIUXEUWKUVSVLZVCUXSUWJUUILZUXOMZD
      NZUXRUXODUUIVDUYCUXPANZDNUXRUYBUYDDUYBUXMANZUXOMUYDUYAUYEUXOAUWJVMVFUXMUX
      OAVGQRUXPADVHQSSUXQUXHAUXQUXLUXEPZUVILZUXHUXOUYGDUXLUXKTZUXMUXNUYFUVIUWJU
      XLUXEVIVJVKUYGUWBUWCJZMZUXHUYGUYFUVGLZUYFUVHLZJZMUYJUYFUVGUVHVNUYKUWBUYMU
      YIUYKUWAUVNMZUWBUYKUYFUVFLZUYFUUALZJZMUYNUYFUVFUUAVNUYOUWAUYQUVNUYOEUQZUV
      ROZUYRUVTLZMZENZUWAUYOUWJUYFPZUVELZDUUJVAZVUBDUVEUUJUYFUXLUXEVLZVCVUEUWJU
      YRKZKZKZKZKZOZVUDMZDNZENZVUBVUEUWJUUJLZVUDMZDNZVUOVUDDUUJVDVURVUMENZDNVUO
      VUQVUSDVUQVULENZVUDMVUSVUPVUTVUDEUWJVOVFVULVUDEVGQRVUMEDVHQSVUNVUAEVUNVUK
      UYFPZUVELZVUAVUDVVBDVUKVUJTZVULVUCVVAUVEUWJVUKUYFVIVJVKVVBVVAUUOLZVVAUVDL
      ZMVUAVVAUUOUVDVRVVDUYSVVEUYTVVAUUNLZJFEUPZFUQZUVRLZVSZJZFNZJZVVDUYSVVFVVL
      VVFUWJVVHKZKZKZKZKZKZKZKZOZUWJVVAPZUUFLZMZDNZFNZVVLVVFVWDDUUMVAZVWGDUUFUU
      MVVAVUKUYFVLZVCVWHUWJUUMLZVWDMZDNZVWGVWDDUUMVDVWLVWEFNZDNVWGVWKVWMDVWKVWB
      FNZVWDMVWMVWJVWNVWDFUWJVPVFVWBVWDFVGQRVWEFDVHQSSVWFVVKFVWFVWAVVAPZUUFLZVV
      KVWDVWPDVWAVVTTVWBVWCVWOUUFUWJVWAVVAVIVJVKVWPVWOYTLZVWOUUELZVSZJVVKVWOYTU
      UEVTVWSVVJVWQVVGVWRVVIVWQVVSVUKPYSLZVVGVVSVUKUYFYSVVRTZVVCVUFWAVWTVVRVUJP
      YRLZVVGVVRVUJYRVVQTVUITWBVXBVVQVUIPYQLZVVGVVQVUIYQVVPTZVUHTZWBVXCVVPVUHPY
      PLZVVGVVPVUHYPVVOTZVUGTWBVXFVVOVUGPYOLZVVGVVOVUGYOVVNTZUYRTZWBVXHVVNUYRPG
      LVVGVVNUYRGVVHTZEVBZWBVVHUYRFVBZVXLWCSSSSSSVWRVVSUYFPZUUDLZVVIVVSVUKUYFUU
      DVXAVVCVUFWDVXNUUBLZVXNUUCLZWEFCUPZVVHUVQLZWEVXOVVIVXPVXRVXQVXSVXPVVQUXEP
      UUALZVXRVVQUXLUXEUUAVXDUYHUXTWDVXTVVOUWKPYOLZVXRVVOUWKUVSYOVXIUXGUWSWAVYA
      VVNUVOPGLVXRVVNUVOGVXKCVBZWBVVHUVOVXMVYBWCSSSVXQVVQUXLPUDLZVXSVVQUXLUXEUD
      VXDUYHUXTWAVVQUXLOZFAWFZVYCVXSVYDVVPUXKOZVYEVVPUXKVXGWGVYFVVOUXJOZVYEVVOU
      XJVXIWGVYGVVNUVQOVYEVVNUVQVXKWGVVHUVPVXMWGSSSVVQILUXLILZVYCVYDVSVXDUYHVVQ
      UXLIIWHWIVVHUVPVXMWJWKSWLVXNUUBUUCWMVVHUVOUVQWMWKSWNWOSSRSWOVVAUUNVWIWRUY
      SVVJFUSVVMFUYRUVRWPVVJFWSSWKVVEVUIUXEPUVCLZUYTVUIUXLUXEUVCVXEUYHUXTWDVYIV
      UGUVSPUVBLZUYTVUGUWKUVSUVBVXJUXGUWSWDVUGUWJPGLZUWMUVALZMZDNUWJUVTOZEDUPZM
      ZDNVYJUYTVYMVYPDVYMVYLVYKMVYPVYKVYLWTVYLVYNVYKVYOVYLUVSUWJPUUTLZVYNUWJUVS
      UUTDVBZUWSWQVYQUWJUUSUVSUHZOZVYNUVSILUWJILVYQVYTVSUWSVYRUVSUWJUUSIIXAWIVY
      NVYTUVTVYSUWJUVSHXBXCXDSSUYRUWJVXLVYRWCXESRDVUGUVSUVAGVXJUWSXHDUYRUVTUVSH
      UWSXFXGXIWKSSXESSRSSEUVRUVTXJQUYPUVMUYPUXJUWKPYOLZUVMUXJUWKUVSYOUVQTUXGUW
      SWAWUAUVQUVOPGLUVMUVQUVOGUVPTVYBWBUVPUVOAVBVYBWCSSWOXESUWAUVNWTSUYLUWCUYL
      UXEGLZUWCUYLVYHWUBUYHUXLUXEIGUYHUXTXKXLUVOUVSVYBUWSWCSWOXESUWBUWCXMSSRSUW
      DAXNSSRSWOUVSUVKUWSWRUWECWSWKXRUVKUVJHUVIUUIUVGUVHUVFUUAUVEUUJUUOUVDUUNUU
      FUUMYTUUEYSYRYQYPYOGXOXPZXPXPXPXPXQUUDUUBUUCUUAYOWUCXQZXSUDXTXQYAXSYBUULU
      UKUUJUUIUUHUUGHXFYCYCZYCZYCZYCYCYCYDYHUVCUVBUVAGUUTUUSUURUUHYEWUEYDYFYGXO
      YIXSXSYJWUGYDWUDYKIGYLXOYMYKWUFYDXFYDYHYN $.
      $( [15-Jan-2015] $)
  $}

  ${
    $d A x $.  $d B x $.
    $( Lemma for ~ nnsucelr .  Subtracting a non-element from a set adjoined
       with the non-element retrieves the original set. $)
    nnsucelrlem2 $p |- ( -. B e. A -> ( ( A u. { B } ) \ { B } ) = A ) $=
      ( vx wcel wn csn cun cdif cv wceq wa wne eldifsn wo elun vex orbi2i bitri
      elsn df-ne anbi12i pm5.61 eleq1 biimpcd con3rr3 pm4.71rd syl6rbb syl5bb
      ancom eqrdv ) BADZEZCABFZGZUMHZACIZUODZUPADZUPBJZEZKZULURUQUPUNDZUPBLZKZV
      AUPUNBMVDURUSNZUTKVAVBVEVCUTVBURUPUMDZNVEUPAUMOVFUSURUPBCPSQRUPBTUAURUSUB
      RRULURUTURKVAULURUTURUSUKUSURUKUPBAUCUDUEUFUTURUIUGUHUJ $.
      $( [15-Jan-2015] $)
  $}

  ${
    nnsucelrlem3.1 $e |- X e. _V $.
    $( Lemma for ~ nnsucelr .  Rearrange union and difference for a particular
       group of classes. $)
    nnsucelrlem3 $p |-
       ( ( X =/= Y /\ ( A u. { X } ) = ( B u. { Y } ) /\
           -. Y e. B ) -> B = ( ( A \ { Y } ) u. { X } ) ) $=
      ( wne csn cun wceq wcel wn w3a ccompl cin cdif indir df-dif eqtri sylib
      c0 eqcomi incompl uneq12i un0 difsn 3ad2ant3 syl5req simp2 df-ne 3ad2ant1
      wss biimpi elcompl elsn xchbinx snss bitr3i ssequn2 ineq12d eqtr4d uneq1i
      undir syl6eqr ) CDFZACGZHZBDGZHZIZDBJKZLZBVFVGMZVEHZNZAVGOZVEHZVKBVHVLNZV
      NVKVQBVGOZBVQBVLNZVGVLNZHZVRBVGVLPWAVRTHVRVSVRVTTVRVSBVGQUAVGUBUCVRUDRRVJ
      VDVRBIVIDBUEUFUGVKVFVHVMVLVDVIVJUHVKVEVLUKZVMVLIVKCDIZKZWBVDVIWDVJVDWDCDU
      IULUJWDCVLJZWBWECVGJWCCVGEUMCDEUNUOCVLEUPUQSVEVLURSUSUTVPAVLNZVEHVNVOWFVE
      AVGQVAAVLVEVBRVC $.
      $( [15-Jan-2015] $)
  $}

  ${
    $( Lemma for ~ nnsucelr .  Remove and re-adjoin an element to a set. $)
    nnsucelrlem4 $p |- ( A e. B -> ( ( B \ { A } ) u. { A } ) = B ) $=
      ( wcel csn cdif cun undif1 wss wceq snssi ssequn2 sylib syl5eq ) ABCZBADZ
      EOFBOFZBBOGNOBHPBIABJOBKLM $.
      $( [15-Jan-2015] $)
  $}

  ${
    $d A a $.  $d a c $.  $d a m $.  $d a n $.  $d a x $.  $d a y $.  $d a z $.
    $d c m $.  $d c n $.  $d c x $.  $d c z $.  $d M a $.  $d M m $.  $d m n $.
    $d m x $.  $d M x $.  $d m y $.  $d m z $.  $d n x $.  $d n z $.  $d X a $.
    $d X x $.  $d x y $.  $d x z $.  $d a b $.  $d b c $.  $d b n $.  $d b x $.
    $d b y $.  $d b z $.  $d c y $.  $d n y $.  $d y z $.  $d a d $.  $d a w $.
    $d d n $.  $d d w $.  $d d y $.  $d w y $.
    nnsucelr.1 $e |- A e. _V $.
    nnsucelr.2 $e |- X e. _V $.
    $( Transfer membership in the successor of a natural into membership of the
       natural itself.  Theorem X.1.17 of {{Rosser}}, p. 525. $)
    nnsucelr $p |- ( ( M e. Nn /\
              ( -. X e. A /\ ( A u. { X } ) e. ( M +c 1c ) ) ) ->
              A e. M ) $=
      ( vx va vy vz vc vw wcel wn cun c1c wa cv wi wal wceq vm vn cnnc csn cplc
      vb vd wel wex c0 nnsucelrlem1 addceq1 addcid2 syl6eq eleq2d syl6bb anbi2d
      c0c el1c eleq2 df-0c eleq2i vex elsn imbi12d 2albidv weq wb eleq12 ancoms
      bitri notbid sneq uneq12 sylan2 eleq1d anbi12d eleq1 cbval2v unsneqsn ord
      adantr snid mpbiri syl6 con1d exlimiv impcom gen2 ccompl wrex elcompl w3a
      anbi2i cdif simprrl difeq12d simprrr nnsucelrlem2 simprlr 3eqtr3d simprll
      elsuc syl eqeltrd 3adantr1 wne simpl simpr3l simpr2r nnsucelrlem3 syl3anc
      ex simp22r uneq1d eqeq2d biimpcd 3ad2ant3 simp23l wss snss ssequn2 bitr2i
      difsn biimpi eqcoms syl6bi syld mt3d nnsucelrlem4 simpl3r difss sseli cvv
      nsyl mp2an uneq2d rcla4ev uneq1 cla4v simp2l biimpd simpl1 cla42gv mp2and
      mpan9 snex difex 3adant1 eldif simprbi mt2 mpbir compleq rexeqbidv sylibr
      eqid sylancl eqeltrrd mpd3an3 3expa exp32 sylan2b rexlimdvva syl5bi com23
      pm2.61ine imp3a alrimivv a1i finds imbi1d alimi 3syl imp ) BUCLZCALZMZACU
      DZNZBOUEZLZPZABLZUVPFGUHZMZGQZFQZUDZNZUWALZPZUWGBLZRZFSZGSZCUWGLZMZUWGUVS
      NZUWALZPZUWMRZGSUWCUWDRZUWFUWJUAQZOUEZLZPZGUAUHZRZFSGSZUWFUWJHQZUDZTZHUIZ
      PZUWGUJTZRZFSGSIJUHZMZJQZIQZUDZNZUBQZOUEZLZPZJUBUHZRZISJSZUWFUWJUYEOUEZLZ
      PZUWGUYELZRZFSGSZUWPUAUBBFUAGUKUXDURTZUXIUXQGFUYQUXGUXOUXHUXPUYQUXFUXNUWF
      UYQUXFUWJOLUXNUYQUXEOUWJUYQUXEUROUEOUXDUROULOUMUNUOHUWJUSUPUQUYQUXHUWGURL
      ZUXPUXDURUWGUTUYRUWGUJUDZLUXPURUYSUWGVAVBUWGUJGVCZVDVKUPVEVFUAUBVGZUXJUWF
      UWJUYELZPZGUBUHZRZFSGSUYJVUAUXIVUEGFVUAUXGVUCUXHVUDVUAUXFVUBUWFVUAUXEUYEU
      WJUXDUYDOULUOUQUXDUYDUWGUTVEVFVUEUYIGFJIGJVGZFIVGZPZVUCUYGVUDUYHVUHUWFUXS
      VUBUYFVUHUWEUXRVUGVUFUWEUXRVHUWHUYAUWGUXTVIVJVLVUHUWJUYCUYEVUGVUFUWIUYBTU
      WJUYCTUWHUYAVMUWGUXTUWIUYBVNVOVPVQVUFVUDUYHVHVUGUWGUXTUYDVRWBVEVSUPUXDUYE
      TZUXIUYOGFVUIUXGUYMUXHUYNVUIUXFUYLUWFVUIUXEUYKUWJUXDUYEOULUOUQUXDUYEUWGUT
      VEVFUXDBTZUXIUWNGFVUJUXGUWLUXHUWMVUJUXFUWKUWFVUJUXEUWAUWJUXDBOULUOUQUXDBU
      WGUTVEVFUXQGFUXNUWFUXPUXMUWFUXPRHUXMUXPUWEUXMUXPMUWGUWITZUWEUXMUXPVUKUWGU
      WHUXKFVCZVTWAVUKUWEUWHUWILUWHVULWCUWGUWIUWHUTWDWEWFWGWHWIUYJUYPRUYDUCLUYJ
      UYOGFUYJUWFUYLUYNUYJUYLUWFUYNUYLUWJUFQZUXLNZTZHVUMWJZWKUFUYEWKUYJUWFUYNRZ
      HUWJUYEUFXCUYJVUOVUQUFHUYEVUPVUMUYELZUXKVUPLZPUYJVURHUFUHZMZPZVUOVUQRVUSV
      VAVURUXKVUMHVCZWLWNUYJVVBPVUOUWFUYNUYJVVBVUOUWFPZUYNUYJVVBVVDWMZUYNRUWHUX
      KFHVGZVVEUYNVVFVVBVVDUYNUYJVVFVVBVVDPZPZUWGVUMUYEVVHUWJUWIWOZVUNUXLWOZUWG
      VUMVVHUWJVUNUWIUXLVVFVVBVUOUWFWPVVFUWIUXLTVVGUWHUXKVMWBWQVVHUWFVVIUWGTVVF
      VVBVUOUWFWRUWGUWHWSXDVVHVVAVVJVUMTVVFVURVVAVVDWTVUMUXKWSXDXAVVFVURVVAVVDX
      BXEXFXMUWHUXKXGZVVEUYNVVKVVEVUMUWGUXLWOZUWINZTZUYNVVKVVEPVVKVUOVVAVVNVVKV
      VEXHVUOUWFUYJVVBVVKXIVURVVAUYJVVDVVKXJUWGVUMUWHUXKVULXKXLVVKVVEVVNWMZVVLU
      XLNZUWGUYEVVOHGUHZVVPUWGTVVOVVQVUTVURVVAUYJVVDVVKVVNXNVVOVVQMZVUMUWJTZVUT
      VVNVVKVVRVVSRVVEVVRVVNVVSVVRVVMUWJVUMVVRVVLUWGUWIUXKUWGYDXOXPXQXRVVOVVSVU
      MVUNTVUTVVOUWJVUNVUMVUOUWFUYJVVBVVKVVNXSXPVUTVUNVUMVUNVUMTZVUTVUTUXLVUMXT
      VVTUXKVUMVVCYAUXLVUMYBYCYEYFYGYHYIUXKUWGYJXDVVOVVLUYDLZVVPVVLKQZUDZNZTZKV
      VLWJZWKZVVPUYELZVVEVVNVWAVVKVVEVVNPZUWHVVLLZMZVVMUYELZVWAVWIUWEVWJVUOUWFU
      YJVVBVVNYKVVLUWGUWHUWGUXLYLYMYOVVEVURVVNVWLUYJVURVVAVVDUUAVVNVURVWLVUMVVM
      UYEVRUUBUUFVWIUYJVWKVWLPZVWARZUYJVVBVVDVVNUUCVVLYNLUWHYNLUYJVWNRUWGUXLUYT
      UXKUUGUUHVULUYIVWNJIVVLUWHYNYNUXTVVLTZIFVGZPZUYGVWMUYHVWAVWQUXSVWKUYFVWLV
      WQUXRVWJVWPVWOUXRVWJVHUYAUWHUXTVVLVIVJVLVWQUYCVVMUYEVWPVWOUYBUWITUYCVVMTU
      YAUWHVMUXTVVLUYBUWIVNVOVPVQVWOUYHVWAVHVWPUXTVVLUYDVRWBVEUUDYPXDUUEUUIUXKV
      WFLZVVPVVPTZVWGVWRUXKVVLLZMVWTUXKUXLLZUXKVVCWCVWTVVQVXAMUXKUWGUXLUUJUUKUU
      LUXKVVLVVCWLUUMVVPUUQVWEVWSKUXKVWFKHVGZVWDVVPVVPVXBVWCUXLVVLVWBUXKVMYQXPY
      RYPVWAVWGPVVPUGQZVWCNZTZKVXCWJZWKZUGUYDWKVWHVXGVWGUGVVLUYDVXCVVLTZVXEVWEK
      VXFVWFVXCVVLUUNVXHVXDVWDVVPVXCVVLVWCYSXPUUOYRKVVPUYDUGXCUUPUURUUSUUTXMUVG
      UVAUVBUVCUVDUVEUVFUVHUVIUVJUVKUWOUXBGUWNUXBFCEUWHCTZUWLUXAUWMVXIUWFUWRUWK
      UWTVXIUWEUWQUWHCUWGVRVLVXIUWJUWSUWAVXIUWIUVSUWGUWHCVMYQVPVQUVLYTUVMUXBUXC
      GADUWGATZUXAUWCUWMUWDVXJUWRUVRUWTUWBVXJUWQUVQUWGACUTVLVXJUWSUVTUWAUWGAUVS
      YSVPVQUWGABVRVEYTUVNUVO $.
      $( [14-Jan-2015] $)
  $}

  ${
    $d a b $.  $d a m $.  $d a n $.  $d a q $.  $d a x $.  $d b m $.  $d b n $.
    $d b q $.  $d b x $.  $d m n $.  $d M n $.  $d m p $.  $d M p $.  $d m q $.
    $d m x $.  $d N n $.  $d n p $.  $d n q $.  $d n x $.  $d p q $.  $d q x $.
    $d b p $.  $d p x $.

    $( Either two naturals are disjoint or they are the same natural.  Theorem
       X.1.18 of {{Rosser}}, p. 526. $)
    nndisjeq $p |- ( ( M e. Nn /\ N e. Nn ) -> ( ( M i^i N ) = (/) \/ M = N ) )
        $=
      ( vn vp vm vq vb cnnc wcel cin c0 wceq wo cv wi weq wn c0c eqeq1d wa wral
      va vx c1c cplc cssetk cins3k cins2k cpw1 cimak ccompl cun cab cvv elcompl
      cidk vex copk wrex elimak opkex elun wne ndisjrelk notbii con2bii 3bitr4i
      df-ne wb opkelidkg mp2an orbi12i incom eqeq1i eqcom 3bitri xchbinx rexbii
      rexnal bitr4i abbi2i ssetkex ins3kex ins2kex inex 1cex pw1ex imakex idkex
      complex nncex eqeltrri csn df-0c eqeq2i biimpi ineq1d disjsn bitri syl6bb
      eqeq1 orbi12d ralbidv ineq1 ineq2 equequ2 cbvralv nnc0suc 0nelsuc biimpcd
      unex eleq2 mtoi adantr orel2 syl com12 sylbi imor sylib rgen wex neq0 wel
      nrexdv elin elsuc anbi2i w3a simp1r n0i rcla4cv syl6 com23 imp syld com3l
      ex eqeq2 syl5bi ssun2 snid sselii ax-mp eleq2i mtbir adantl orel1 simpr3r
      snex elsn simpll simpr nnsucelr syl12anc sylbir pm2.53 syl5 exp3a adantrr
      3adant1 impcom addceq1 anbi2d imbi2d imbi12d mpbiri rexlimdv 3expa imbi1d
      mpid eleq1 syl5ibrcom sylan2b rexlimdvva imp3a orrd exp31 ralrimdv finds
      exlimdv ) AHIZBHIZABJZKLZABLZMZUWBACNZJZKLZAUWHLZMZCHUAZUWCUWGODNZUWHJZKL
      ZDCPZMZCHUAZKUWHIZQZUWHRLZMZCHUAENZFNZJZKLZEFPZMZFHUAZUXDUDUEZUWHJZKLZUXK
      UWHLZMZCHUAUWMDEAUFUGZUFUHZJZUDUIZUIZUJZUKZUPULZUKZHUJZUKZUWSDUMUNUWSDUYF
      UWNUYFIUWNUYEIZQUWSUWNUYEDUQZUOUYGUWSUYGUWHUWNURZUYDIZCHUSUWRQZCHUSUWSQCU
      YDHUWNUYHUTUYJUYKCHUYJUYIUYCIZUWRUYIUYCUWHUWNVAZUOUYLUYIUYBIZUYIUPIZMUWHU
      WNJZKLZCDPZMUWRUYIUYBUPVBUYNUYQUYOUYRUYIUYAIZQUYPKVCZQUYNUYQUYSUYTUWHUWNC
      UQZUYHVDVEUYIUYAUYMUOUYTUYQUYPKVHVFVGUWHUNIUWNUNIUYOUYRVIVUAUYHUWHUWNUNUN
      VJVKVLUYQUWPUYRUWQUYPUWOKUWHUWNVMVNUWHUWNVOVLVPVQVRUWRCHVSVPVFVTWAUYEUYDH
      UYCUYBUPUYAUXRUXTUXPUXQUFWBWCUFWBWDWEUXSUDWFWGWGWHWJWIXKWJWKWHWJWLUWNRLZU
      WRUXCCHVUBUWPUXAUWQUXBVUBUWPKWMZUWHJZKLZUXAVUBUWOVUDKVUBUWNVUCUWHVUBUWNVU
      CLRVUCUWNWNWOWPWQSVUEUWHVUCJZKLUXAVUDVUFKVUCUWHVMVNUWHKWRWSWTVUBUWQRUWHLU
      XBUWNRUWHXARUWHVOWTXBXCDEPZUWSUXDUWHJZKLZECPZMZCHUAUXJVUGUWRVUKCHVUGUWPVU
      IUWQVUJVUGUWOVUHKUWNUXDUWHXDSUWNUXDUWHXAXBXCVUKUXICFHCFPZVUIUXGVUJUXHVULV
      UHUXFKUWHUXEUXDXESCFEXFXBXGWTUWNUXKLZUWRUXOCHVUMUWPUXMUWQUXNVUMUWOUXLKUWN
      UXKUWHXDSUWNUXKUWHXAXBXCUWNALZUWRUWLCHVUNUWPUWJUWQUWKVUNUWOUWIKUWNAUWHXDS
      UWNAUWHXAXBXCUXCCHUWHHIZUWTUXBOZUXCVUOUXBUWHUXKLZEHUSZMZVUPEUWHXHUWTVUSUX
      BUWTVURQVUSUXBOUWTVUQEHUWTVUQQUXDHIZUWTVUQKUXKIZUXDXIVUQUWTVVAUWHUXKKXLXJ
      XMXNYEVURUXBXOXPXQXRUWTUXBXSXTYAVUTUXJUXOCHVUTVUOUXJUXOVUTVUOUXJUXOVUTVUO
      TZUXJTZUXMUXNUXMQUBNZUXLIZUBYBVVCUXNUBUXLYCVVCVVEUXNUBVVEVVDUXKIZUBCYDZTV
      VCUXNVVDUXKUWHYFVVCVVFVVGUXNVVFVVDGNZUCNZWMZULZLZUCVVHUKZUSGUXDUSVVCVVGUX
      NOZUCVVDUXDGYGVVCVVLVVNGUCUXDVVMGEYDZVVIVVMIZTVVCVVOUCGYDQZTZVVLVVNOVVPVV
      QVVOVVIVVHUCUQZUOYHVVCVVRTVVNVVLVVKUWHIZUXNOZVVBUXJVVRVWAVVBUXJVVRYIZVVTU
      XBUWHUWNUDUEZLZDHUSZMZUXNVWBVUOVWFVUTVUOUXJVVRYJDUWHXHXTVWBVVTVWFUXNOVWBV
      VTTZVWFVWEUXNVWGUXBQZVWFVWEOVVTVWHVWBVVTUXBVVKRIZVWIVVKKLZVVIVVKIVWJQVVJV
      VKVVIVVJVVHUUAVVIVVSUUBUUCVVKVVIYKUUDVWIVVKVUCIVWJRVUCVVKWNUUEVVKKVVHVVJG
      UQZVVIUUJXKUUKWSUUFUXBVVTVWIUWHRVVKXLXJXMUUGUXBVWEUUHXPVWGVWDUXNDHVWDVWGU
      WNHIZUXNVWDVWGVWLUXNOZOVWBVVKVWCIZTZVWLUXKVWCLZOZOVWOVWLEDPZVWPVWBVWNVWLV
      WROVWLVWBVWNVWRVWLVWBVWNVWROVWLVWBTZVWNGDYDZVWRVWSVWNVWTVWSVWNTVWLVVQVWNV
      WTVWLVWBVWNUULVWSVVQVWNVVOVVQVVBUXJVWLUUIXNVWSVWNUUMVVHUWNVVIVWKVVSUUNUUO
      YRVWBVWLVWTVWROZUXJVVRVWLVXAOZVVBUXJVVOVXBVVQUXJVVOVXBUXJVWLVVOVXAUXJVWLU
      XDUWNJZKLZVWRMZVVOVXAOUXIVXEFUWNHFDPZUXGVXDUXHVWRVXFUXFVXCKUXEUWNUXDXESFD
      EXFXBYLVXEVVOVWTVWRVVOVWTTZVXDQZVXEVWRVXGVVHVXCIVXHVVHUXDUWNYFVXCVVHYKUUP
      VXDVWRUUQUURUUSYMYNYOUUTUVAUVBYPYRYQYOUXDUWNUDUVCYMVWDVWGVWOVWMVWQVWDVVTV
      WNVWBUWHVWCVVKXLUVDVWDUXNVWPVWLUWHVWCUXKYSUVEUVFUVGYQUVHYPYRUVKUVIVVLVVGV
      VTUXNVVDVVKUWHUVLUVJUVMUVNUVOYTUVPYTUWAYTUVQUVRYNUVSUVTUWLUWGCBHUWHBLZUWJ
      UWEUWKUWFVXIUWIUWDKUWHBAXESUWHBAYSXBYLXPYO $.
      $( [17-Jan-2015] $)
  $}

  $( If two naturals have an element in common, then they are equal. $)
  nnceleq $p |- ( ( ( M e. Nn /\ N e. Nn ) /\ ( A e. M /\ A e. N ) ) ->
    M = N ) $=
    ( cnnc wcel wa cin c0 wceq wn wo elin n0i sylbir adantl nndisjeq orel1 sylc
    adantr ) BDECDEFZABEACEFZFBCGZHIZJZUCBCIZKZUEUAUDTUAAUBEUDABCLUBAMNOTUFUABC
    PSUCUEQR $.
    $( [13-Feb-2015] $)

  ${
    $d A x $.
    $( A singleton is finite. $)
    snfi $p |- { A } e. Fin $=
      ( vx cvv wcel csn cfin cv cnnc wrex c1c 1cnnc snel1cg eleq2 rcla4ev elfin
      sylancr sylibr wn c0 wceq snprc 0fin eleq1 mpbiri sylbi pm2.61i ) ACDZAEZ
      FDZUGUHBGZDZBHIZUIUGJHDUHJDZULKACLUKUMBJHUJJUHMNPBUHOQUGRUHSTZUIAUAUNUISF
      DUBUHSFUCUDUEUF $.
      $( [23-Feb-2015] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Deriving infinity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c <_[fin] $.
  $c <[fin] $.
  $c Nc[fin] $.
  $c _T[fin] $.
  $c Even[fin] $.
  $c Odd[fin] $.
  $c _S[fin] $.
  $c Sp[fin] $.

  $( Extend class notation to include the less than or equal to relationship
     for finite cardinals. $)
  clefin $a class <_[fin] $.

  $( Extend class notation to include the less than relationship for finite
     cardinals. $)
  cltfin $a class <[fin] $.

  $( Extend class notation to include the finite cardinal function. $)
  cncfin $a class Nc[fin] A $.

  $( Extend class notation to include the finite T operation. $)
  ctfin $a class _T[fin] A $.

  $( Extend class notation to include the (temporary) set of all even
     numbers. $)
  cevenfin $a class Even[fin] $.

  $( Extend class notation to include the (temporary) set of all odd
     numbers. $)
  coddfin $a class Odd[fin] $.

  $( Extend wff notation to include the finite S relationship. $)
  wsfin $a wff _S[fin] ( A , B ) $.

  $( Extend class notation to include the finite Sp set. $)
  cspfin $a class Sp[fin] $.

  ${
    $d x y z w $.
    $( Define the less than or equal to relationship for finite cardinals.
       Definition from Ex.  X.1.4 of {{Rosser}}, p. 279. $)
    df-lefin $a |- <_[fin] = { x | E. y E. z ( x = << y , z >> /\
        E. w e. Nn z = ( y +c w ) ) } $.
  $}

  ${
    $d m n p x y z w $.  $( 16-Apr-2015 NM added m n p to $d list $)
    $( Define the less than relationship for finite cardinals.  Definition from
       {{Rosser}}, p. 527. $)
    df-ltfin $a |- <[fin] = { x | E. m E. n ( x = << m , n >> /\
        ( m =/= (/) /\ E. p e. Nn n = ( ( m +c p ) +c 1c ) ) ) } $.
  $}

  ${
    $d A x $.
    $( Define the finite cardinal function.  Definition from {{Rosser}},
       p. 527. $)
    df-ncfin $a |- Nc[fin] A = ( iota x ( x e. Nn /\ A e. x ) ) $.
  $}

  ${
    $d M n a $.
    $( Define the finite T operator.  Definition from {{Rosser}}, p. 528. $)
    df-tfin $a |- _T[fin] M = if ( M = (/) , (/) ,
       ( iota n ( n e. Nn /\ E. a e. M ~P1 a e. n ) ) ) $.
  $}

  ${
    $d x n $.
    $( Define the temporary set of all even numbers.  This differs from the
       final definition due to the non-null condition.  Definition from
       {{Rosser}}, p. 529. $)
    df-evenfin $a |- Even[fin] = { x |
                ( E. n e. Nn x = ( n +c n ) /\ x =/= (/) ) } $.
  $}

  ${
    $d x n $.
    $( Define the temporary set of all odd numbers.  This differs from the
       final definition due to the non-null condition.  Definition from
       {{Rosser}}, p. 529. $)
    df-oddfin $a |- Odd[fin] = { x |
                ( E. n e. Nn x = ( ( n +c n ) +c 1c ) /\
                            x =/= (/) ) } $.
  $}

  ${
    $d M a $.  $d N a $.
    $( Define the finite S relationship.  This relationship encapsulates the
       idea of ` M ` being a "smaller" number than ` N ` .  Definition from
       {{Rosser}}, p. 530. $)
    df-sfin $a |- ( _S[fin] ( M , N ) <-> ( M e. Nn /\ N e. Nn /\
             E. a ( ~P1 a e. M /\ ~P a e. N ) ) ) $.
  $}

  ${
    $d a x z $.
    $( Define the finite Sp set.  Definition from {{Rosser}}, p. 533. $)
    df-spfin $a |- Sp[fin] =
       |^| { a | ( Nc[fin] _V e. a /\
             A. x e. a A. z ( _S[fin] ( z , x ) -> z e. a ) ) } $.
  $}


  ${
    $d A x y z w $.  $d B x y z w $.
    $( Kuratowski ordered pair membership in finite less than or equal to. $)
    opklefing $p |- ( ( A e. V /\ B e. W ) ->
       ( << A , B >> e. <_[fin] <-> E. x e. Nn B = ( A +c x ) ) ) $=
      ( vz vy vw cv cplc wceq cnnc clefin df-lefin addceq1 eqeq2d rexbidv eqeq1
      wrex opkelopkabg ) FIZGIZAIZJZKZALSUABUCJZKZALSCUFKZALSHGFMBCDEHGFANUBBKZ
      UEUGALUIUDUFUAUBBUCOPQUACKUGUHALUACUFRQT $.
      $( [18-Jan-2015] $)
  $}

  ${
    $d A w $.  $d A x $.  $d A y $.  $d A z $.  $d B w $.  $d B x $.  $d B y $.
    $d B z $.  $d w x $.  $d w y $.  $d w z $.  $d x y $.  $d x z $.  $d y z $.

    $( Kuratowski ordered pair membership in finite less than. $)
    opkltfing $p |- ( ( A e. V /\ B e. W ) ->
      ( << A , B >> e. <[fin] <->
        ( A =/= (/) /\ E. x e. Nn B = ( ( A +c x ) +c 1c ) ) ) ) $=
      ( vz vw vy cv c0 wne cplc c1c wceq cnnc wrex wa cltfin df-ltfin rexbidv
      neeq1 addceq1 addceq1d eqeq2d anbi12d eqeq1 anbi2d opkelopkabg ) FIZJKZGI
      ZUIAIZLZMLZNZAOPZQBJKZUKBULLZMLZNZAOPZQUQCUSNZAOPZQHFGRBCDEHFGASUIBNZUJUQ
      UPVAUIBJUAVDUOUTAOVDUNUSUKVDUMURMUIBULUBUCUDTUEUKCNZVAVCUQVEUTVBAOUKCUSUF
      TUGUH $.
      $( [27-Jan-2015] $)
  $}

  ${
    $d A n $.  $d N n $.
    $( Cardinal sum always yields a larger set. $)
    lefinaddc $p |- ( ( A e. V /\ N e. Nn ) ->
               << A , ( A +c N ) >> e. <_[fin] ) $=
      ( vn wcel cnnc wa cplc copk clefin cv wceq wrex eqid addceq2 eqeq2d mpan2
      rcla4ev adantl cvv wb addcexg opklefing syldan mpbird ) ACEZBFEZGAABHZIJE
      ZUHADKZHZLZDFMZUGUMUFUGUHUHLZUMUHNULUNDBFUJBLUKUHUHUJBAOPRQSUFUGUHTEUIUMU
      AABCFUBDAUHCTUCUDUE $.
      $( [27-Jan-2015] $)
  $}

  ${
    $d M a b x $.  $d N a b x $.
    $( Assuming a non-null successor, cardinal successor is one-to-one.
       Theorem X.1.19 of {{Rosser}}, p. 526. $)
    prepeano4 $p |- ( ( ( M e. Nn /\ N e. Nn ) /\
     ( ( M +c 1c ) = ( N +c 1c ) /\ ( M +c 1c ) =/= (/) ) ) -> M = N ) $=
      ( va vb vx cnnc wcel wa c1c cplc wceq c0 wne cv wex csn wrex vex syl5bi
      n0 cun ccompl elsuc simplll simpllr simprl wn simprr elcompl sylib elsuci
      wel sylan2b adantl eleqtrd nnsucelr syl12anc nnceleq syl22anc a1d exlimdv
      simplr rexlimdvva impr ) AFGZBFGZHZAIJZBIJZKZVHLMZABKZVKCNZVHGZCOVGVJHZVL
      CVHTVOVNVLCVNVMDNZENZPUAZKZEVPUBZQDAQVOVLEVMADUCVOVSVLDEAVTVOVPAGZVQVTGZH
      ZHZVLVSWDVEVFWAVPBGZVLVEVFVJWCUDVEVFVJWCUEZVOWAWBUFWDVFEDULUGZVRVIGWEWFWD
      WBWGVOWAWBUHVQVPERZUIZUJWDVRVHVIWCVRVHGZVOWBWAWGWJWIVPAVQWHUKUMUNVGVJWCVB
      UOVPBVQDRWHUPUQVPABURUSUTVCSVASVD $.
      $( [18-Jan-2015] $)
  $}

  ${
    $d A a b c $.
    $( Cardinal addition with the empty set.  Theorem X.1.20, corollary 1 of
       {{Rosser}}, p. 526. $)
    addcnul1 $p |- ( A +c (/) ) = (/) $=
      ( va vb vc c0 cplc wceq cv wcel wn eq0 cin cun wrex rex0 a1i eladdc mtbir
      wa nrex mpgbir ) AEFZEGBHZUBIZJBBUBKUDCHZDHZLEGUCUEUFMGSZDENZCANUHCAUHJUE
      AIUGDOPTUCAECDQRUA $.
      $( [18-Jan-2015] $)
  $}

  $( If cardinal addition is non-empty, then both addends are non-empty.
     Theorem X.1.20 of {{Rosser}}, p. 526. $)
  addcnnul $p |- ( ( A +c B ) =/= (/) -> ( A =/= (/) /\ B =/= (/) ) ) $=
    ( cplc wne wceq addceq1 addccom addcnul1 eqtri syl6eq necon3i addceq2 jca
    c0 ) ABCZNDANDBNDANONANEONBCZNANBFPBNCNNBGBHIJKBNONBNEOANCNBNALAHJKM $.
    $( [18-Jan-2015] $)

  ${
    $d m n p x t $.
    $( Lemma for ~ preaddccan1 .  Establish stratification for induction. $)
    preaddccan1lem1 $p |- { p | ( ( m e. Nn /\ n e. Nn ) -> ( ( (
           m +c p ) =/= (/) /\ ( m +c p ) = ( n +c p ) ) -> m = n ) ) } e. _V
        $=
      ( vt vx cv wcel wa wn cab cpw1 cimak ccompl wceq copk bitri eqtri 3bitr4i
      cun c0 cnnc cssetk cins3k cin c1c csik csymdif cdif cimagek ccnvk csn cvv
      cins2k weq cplc wne wi wo elin wrex vex elimak 0ex opkeq1 rexsn opkelcnvk
      eleq1d eqcom opkelimagek addccom dfaddc2 eqeq1i notbii elcompl wex eqeq2i
      df-ne anbi12i elimakv addcex eqvinc abbi2i compleqi complab uneq1i uneq2i
      exbii unab imor orbi2i bitr2i abbii abexv addcexlem pw1ex imakex imagekex
      cnvkex snex complex inex vvex unex eqeltrri ) AFZUAGBFZUAGHZIZCJZUBUCZUBU
      MZUDUEKKZLMUCXKUMXJUMUBUFUFUCSUGXLKKLUHZXEKZKZLZUIZUJZTUKZLZMZXRXMXFKZKZL
      ZUIZUJZUDZULLZUDZMZABUNZCJZSZSZXGXECFZUOZTUPZYPXFYOUOZNZHZYKUQZUQZCJZULYN
      XHYTIZYKURZURZCJZUUCYNXIUUECJZSUUGYMUUHXIYMUUDCJZYLSUUHYJUUIYLYJYTCJZMUUI
      YIUUJYTCYIYOYIGYOYAGZYOYHGZHYTYOYAYHUSUUKYQUULYSYOXTGZIYPTNZIUUKYQUUMUUNU
      UMTYOOZXRGZUUNUUMDFZYOOZXRGZDXSUTUUPDXRXSYOCVAZVBUUSUUPDTVCUUQTNUURUUOXRU
      UQTYOVDVGVEPUUPYOTOXQGZUUNTYOXQVCUUTVFTXPYOLZNUVBTNUVAUUNTUVBVHYOTXPUUTVC
      VIYPUVBTYPYOXEUOUVBXEYOVJYOXEVKQZVLRPPVMYOXTUUTVNYPTVQREFZYOOZYGGZEVOUVDY
      PNZUVDYRNZHZEVOUULYSUVFUVIEUVFUVEXRGZUVEYFGZHUVIUVEXRYFUSUVJUVGUVKUVHYOUV
      DOZXQGUVDUVBNUVJUVGYOUVDXPUUTEVAZVIUVDYOXQUVMUUTVFYPUVBUVDUVCVPRUVLYEGUVD
      YDYOLZNUVKUVHYOUVDYDUUTUVMVIUVDYOYEUVMUUTVFYRUVNUVDYRYOXFUOUVNXFYOVJYOXFV
      KQVPRVRPWGEYGYOUUTVSEYPYRXEYOAVAZUUTVTWARVRPWBWCYTCWDQWEUUDYKCWHQWFXHUUEC
      WHQUUFUUBCUUBXHUUAURUUFXGUUAWIUUAUUEXHYTYKWIWJWKWLQXIYMXHCWMYJYLYIYAYHXTX
      RXSXQXPXMXOWNXNXEUVOWOWOWPWQWRZTWSWPWTYGULXRYFUVPYEYDXMYCWNYBXFBVAWOWOWPW
      QWRXAXBWPXAWTYKCWMXCXCXD $.
      $( [24-Jan-2015] $)
  $}

  ${
    $d k m $.  $d k n $.  $d k p $.  $d M m $.  $d m n $.  $d m p $.  $d N m $.
    $d N n $.  $d n p $.  $d P m $.  $d P n $.  $d P p $.
    $( Cancellation law for natural addition with a non-null condition. $)
    preaddccan1 $p |- ( ( ( M e. Nn /\ N e. Nn /\ P e. Nn ) /\
    ( M +c P ) =/= (/) ) -> ( ( M +c P ) = ( N +c P ) <-> M = N ) ) $=
      ( vm vn vp cnnc wcel cplc c0 wne wa wceq wi neeq1d imbi2d c0c c1c addceq2
      cv vk w3a addceq1 eqeq1d eqeq1 imbi12d weq eqeq2d preaddccan1lem1 addcid1
      eqeq2 syl6eq eqeq12d anbi12d imbi1d addcass syl6eqr impexp simpr addcnnul
      syl6bb a1i simpld simpl2 simpl1 nncaddccl syl2anc simpl3 simprr prepeano4
      ad2antrl simprl syl22anc jca ex imim1d 3expib finds com12 vtoclga impbid1
      a2d 3imp1 ) BGHZCGHZAGHZUBBAIZJKZLWGCAIZMZBCMZWDWEWFWHWJWKNZWEWFDTZAIZJKZ
      WNWIMZWMCMZNZNZNZNWEWFWHWLNZNZNDBGWMBMZWTXBWEXCWSXAWFXCWOWHWRWLXCWNWGJWMB
      AUCZOXCWPWJWQWKXCWNWGWIXDUDWMBCUEUFUFPPWEWMGHZWTXEWFWOWNETZAIZMZDEUGZNZNZ
      NZNXEWTNECGXFCMZXLWTXEXMXKWSWFXMXJWRWOXMXHWPXIWQXMXGWIWNXFCAUCUHXFCWMUKUF
      PPPXEXFGHZXLXEXNXLWFXEXNLZXKXOWMFTZIZJKZXQXFXPIZMZLZXINZNXOWMQIZJKZXILZXI
      NZNXOWMUATZIZJKZYHXFYGIZMZLZXINZNXOYHRIZJKZYNYJRIZMZLZXINZNXOXKNFUAADEFUI
      XPQMZYBYFXOYTYAYEXIYTXRYDXTXIYTXQYCJXPQWMSZOYTXQWMXSXFYTXQYCWMUUAWMUJULYT
      XSXFQIXFXPQXFSXFUJULUMUNUOPFUAUGZYBYMXOUUBYAYLXIUUBXRYIXTYKUUBXQYHJXPYGWM
      SZOUUBXQYHXSYJUUCXPYGXFSUMUNUOPXPYGRIZMZYBYSXOUUEYAYRXIUUEXRYOXTYQUUEXQYN
      JUUEXQWMUUDIYNXPUUDWMSWMYGRUPUQZOUUEXQYNXSYPUUFUUEXSXFUUDIYPXPUUDXFSXFYGR
      UPUQUMUNUOPXPAMZYBXKXOUUGYBWOXHLZXINXKUUGYAUUHXIUUGXRWOXTXHUUGXQWNJXPAWMS
      ZOUUGXQWNXSXGUUIXPAXFSUMUNUOWOXHXIURVAPYFXOYDXIUSVBYGGHZXOYMYSUUJXEXNYMYS
      NUUJXEXNUBZYRYLXIUUKYRYLUUKYRLZYIYKYOYIUUKYQYOYIRJKYHRUTVCVKUULYHGHZYJGHZ
      YQYOYKUULXEUUJUUMUUJXEXNYRVDUUJXEXNYRVEZWMYGVFVGUULXNUUJUUNUUJXEXNYRVHUUO
      XFYGVFVGUUKYOYQVIUUKYOYQVLYHYJVJVMVNVOVPVQWBVRVSVOVSVTVSVTWCBCAUCWA $.
      $( [24-Jan-2015] $)
  $}

  $( Cancellation law for natural addition with a non-null condition. $)
  preaddccan2 $p |- ( ( ( M e. Nn /\ N e. Nn /\ P e. Nn ) /\
  ( M +c N ) =/= (/) ) -> ( ( M +c N ) = ( M +c P ) <-> N = P ) ) $=
    ( cplc wceq cnnc w3a c0 wne wa addccom eqeq12i wb 3anrot neeq1i preaddccan1
    wcel syl2anb syl5bb ) BCDZBADZECBDZABDZEZBFQZCFQZAFQZGZTHIZJCAEZTUBUAUCBCKZ
    BAKLUHUFUGUEGUBHIUDUJMUIUEUFUGNTUBHUKOBCAPRS $.
    $( [29-Jan-2015] $)

  ${
    $d A x $.
    $( If the empty set is a finite cardinal, then it is a maximal element. $)
    nulge $p |- ( ( (/) e. Nn /\ A e. V ) -> << A , (/) >> e. <_[fin] ) $=
      ( vx c0 cnnc wcel wa copk clefin cv cplc wceq wrex addcnul1 eqcomi eqeq2d
      addceq2 rcla4ev mpan2 adantr wb opklefing ancoms mpbird ) DEFZABFZGADHIFZ
      DACJZKZLZCEMZUEUKUFUEDADKZLZUKULDANOUJUMCDEUHDLUIULDUHDAQPRSTUFUEUGUKUACA
      DBEUBUCUD $.
      $( [19-Jan-2015] $)
  $}


  ${
    $d A x $.
    $( Irreflexive law for finite less than. $)
    ltfinirr $p |- ( A e. Nn -> -. << A , A >> e. <[fin] ) $=
      ( vx cnnc wcel copk cltfin c0 wne cv cplc c1c wceq wa wn wi 0cnsuc necomi
      wrex c0c wb df-ne addcid1 eqcomi addcass eqeq12i simpll peano1 a1i peano2
      mpbi adantl neeq1i biimpri ad2antlr preaddccan2 syl31anc syl5bb mtbiri ex
      nrexdv imnan sylib opkltfing anidms mtbird ) ACDZAAEFDZAGHZAABIZJKJZLZBCR
      ZMZVFVHVLNZOVMNVFVHVNVFVHMZVKBCVOVICDZMZVKSVIKJZLZSVRHVSNVRSVIPQSVRUAUJVK
      ASJZAVRJZLZVQVSAVTVJWAVTAAUBZUCAVIKUDUEVQVFSCDZVRCDZVTGHZWBVSTVFVHVPUFWDV
      QUGUHVPWEVOVIUIUKVHWFVFVPWFVHVTAGWCULUMUNVRASUOUPUQURUTUSVHVLVAVBVFVGVMTB
      AACCVCVDVE $.
      $( [29-Jan-2015] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    $( Transitivity law for finite less than and less than or equal. $)
    leltfintr $p |- ( ( A e. Nn /\ B e. Nn /\ C e. Nn ) ->
       ( ( << A , B >> e. <_[fin] /\ << B , C >> e. <[fin] ) ->
         << A , C >> e. <[fin] ) ) $=
      ( vx vy vz cnnc wcel copk cltfin cv cplc wceq wrex wi wb wa c0 wne c1c
      w3a clefin opklefing 3adant3 simpld a1i nncaddccl 3adant1 addcass addceq1
      addcnnul ax-mp addceq2 syl rcla4ev syl2anc eqeq1 rexbidv syl5ibrcom 3expa
      eqeq2d adantllr rexlimdva anim12d addcexg adantlr simplr opkltfing adantr
      cvv 3imtr4d opkeq1 eleq1d imbi1d 3adant2 sylbid imp3a ) AGHZBGHZCGHZUAZAB
      IUBHZBCIZJHZACIJHZWAWBBADKZLZMZDGNZWDWEOZVRVSWBWIPVTDABGGUCUDVRVTWIWJOVSV
      RVTQZWHWJDGWKWFGHZQZWJWHWGCIZJHZWEOWMWGRSZCWGEKZLZTLZMZEGNZQZARSZCAFKZLZT
      LZMZFGNZQZWOWEWMWPXCXAXHWPXCOWMWPXCWFRSAWFUKUEUFWMWTXHEGVRWLWQGHZWTXHOZVT
      VRWLXJXKVRWLXJUAZXHWTWSXFMZFGNZXLWFWQLZGHZWSAXOLZTLZMZXNWLXJXPVRWFWQUGUHX
      SXLWRXQMXSAWFWQUIWRXQTUJULUFXMXSFXOGXDXOMZXFXRWSXTXEXQMXFXRMXDXOAUMXEXQTU
      JUNVAUOUPWTXGXMFGCWSXFUQURUSUTVBVCVDWMWGVJHZVTWOXBPVRWLYAVTAWFGGVEVFVRVTW
      LVGEWGCVJGVHUPWKWEXIPWLFACGGVHVIVKWHWDWOWEWHWCWNJBWGCVLVMVNUSVCVOVPVQ $.
      $( [2-Feb-2015] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    $( Transitivity law for finite less than. $)
    ltfintr $p |- ( ( A e. Nn /\ B e. Nn /\ C e. Nn ) ->
       ( ( << A , B >> e. <[fin] /\ << B , C >> e. <[fin] ) ->
         << A , C >> e. <[fin] ) ) $=
      ( vx vy vz cnnc wcel c0 cv cplc c1c wceq wrex wa cltfin addceq1 opkltfing
      copk wb w3a wne an4 wi simpl a1i reeanv addccom peano2 syl5eqel nncaddccl
      sylan2 adantl syl eqeq2d biimpa addceq2 addcass syl6eqr rcla4ev ex syl2im
      rexlimdvva syl5bir anim12d syl5bi 3adant3 3adant1 anbi12d 3adant2 3imtr4d
      eqtri ) AGHZBGHZCGHZUAZAIUBZBADJZKZLKZMZDGNZOZBIUBZCBEJZKZLKZMZEGNZOZOZVQ
      CAFJZKZLKZMZFGNZOZABSPHZBCSPHZOACSPHZWKVQWDOZWBWIOZOVPWQVQWBWDWIUCVPXAVQX
      BWPXAVQUDVPVQWDUEUFXBWAWHOZEGNDGNVPWPWAWHDEGGUGVPXCWPDEGGVPVRGHZWEGHZOZOV
      RLWEKZKZGHZXCCVTWEKZLKZMZWPXFXIVPXEXDXGGHXIXEXGWELKGLWEUHWEUIUJVRXGUKULUM
      WAWHXLWAWGXKCWAWFXJMWGXKMBVTWEQWFXJLQUNUOUPXIXLWPWOXLFXHGWLXHMZWNXKCXMWMX
      JMWNXKMXMWMAXHKZXJWLXHAUQXJVSXGKXNVSLWEURAVRXGURVLUSWMXJLQUNUOUTVAVBVCVDV
      EVFVPWRWCWSWJVMVNWRWCTVODABGGRVGVNVOWSWJTVMEBCGGRVHVIVMVOWTWQTVNFACGGRVJV
      K $.
      $( [29-Jan-2015] $)
  $}

  $( Asymmetry law for finite less than. $)
  ltfinasym $p |- ( ( A e. Nn /\ B e. Nn ) ->
   ( << A , B >> e. <[fin] -> -. << B , A >> e. <[fin] ) ) $=
    ( cnnc wcel wa copk cltfin wn ltfinirr ad2antrr wi ltfintr 3anidm13 expdimp
    mtod ex ) ACDZBCDZEZABFGDZBAFGDZHSTEUAAAFGDZQUBHRTAIJSTUAUBQRTUAEUBKABALMNO
    P $.
    $( [29-Jan-2015] $)

  $( Cardinal zero is a minimal element for finite less than or equal. $)
  0cminle $p |- ( A e. Nn -> << 0c , A >> e. <_[fin] ) $=
    ( cnnc wcel c0c copk cplc clefin addcid2 opkeq2i peano1 lefinaddc syl5eqelr
    mpan ) ABCZDAEDDAFZEZGOADAHIDBCNPGCJDABKML $.
    $( [29-Jan-2015] $)

  ${
    $d A x $.
    $( One plus a finite cardinal is strictly greater. $)
    ltfinp1 $p |- ( ( A e. V /\ A =/= (/) ) ->
       << A , ( A +c 1c ) >> e. <[fin] ) $=
      ( vx wcel c0 wne wa c1c cplc copk cltfin wceq cnnc wrex simpr c0c addcid1
      cv peano1 cvv addceq1i eqcomi addceq2 addceq1d eqeq2d rcla4ev mp2an jctir
      wb 1cex addcexg mpan2 opkltfing mpdan adantr mpbird ) ABDZAEFZGZAAHIZJKDZ
      URUTACRZIZHIZLZCMNZGZUSURVFUQUROPMDUTAPIZHIZLZVFSVIUTVHAHAQUAUBVEVJCPMVBP
      LZVDVIUTVKVCVHHVBPAUCUDUEUFUGUHUQVAVGUIZURUQUTTDZVLUQHTDVMUJAHBTUKULCAUTB
      TUMUNUOUP $.
      $( [29-Jan-2015] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( Transfer from less than or equal to less than. $)
    lefinlteq $p |- ( ( A e. V /\ B e. W /\ A =/= (/) ) ->
       ( << A , B >> e. <_[fin] <-> ( << A , B >> e. <[fin] \/ A = B ) ) ) $=
      ( vx vy wcel cv cplc wceq cnnc wrex c1c wo wb c0c addceq2 eqeq1 rexbidv
      wa c0 wne w3a copk clefin nnc0suc addcid1 syl6req addcass syl6eqr orim12i
      cltfin reximi sylbi orcomd eqeq2 syl5ibrcom rexlimiv eqeq2i peano2 eqeq2d
      orbi12d rcla4ev sylan rexlimiva peano1 eqcomi mp2an mpbii jaoi impbii a1i
      sylan2b opklefing 3adant3 adantr ibar adantl bitr4d orbi1d 3impa 3bitr4d
      opkltfing ) ACGZBDGZAUAUBZUCZBAEHZIZJZEKLZBAFHZIMIZJZFKLZABJZNZABUDZUEGZW
      RULGZWPNZWKWQOWGWKWQWJWQEKWHKGZWQWJWIWMJZFKLZAWIJZNXBXEXDXBWHPJZWHWLMIZJZ
      FKLZNXEXDNFWHUFXFXEXIXDXFWIAPIZAWHPAQZAUGZUHXHXCFKXHWIAXGIZWMWHXGAQZAWLMU
      IZUJUMUKUNUOWJWOXDWPXEWJWNXCFKBWIWMRSBWIAUPVBUQURWOWKWPWNWKFKWNWLKGZBXMJZ
      WKWMXMBXOUSXPXGKGXQWKWLUTWJXQEXGKXHWIXMBXNVAVCVDVMVEWPXEEKLZWKPKGAXJJZXRV
      FXJAXLVGXEXSEPKXFWIXJAXKVAVCVHWPXEWJEKABWIRSVIVJVKVLWDWEWSWKOWFEABCDVNVOW
      DWEWFXAWQOWDWETZWFTZWTWOWPYAWTWFWOTZWOXTWTYBOWFFABCDWCVPWFWOYBOXTWFWOVQVR
      VSVTWAWB $.
      $( [29-Jan-2015] $)
  $}

  ${
    $d a b $.  $d a c $.  $d a d $.  $d a t $.  $d a w $.  $d a y $.  $d a z $.
    $d b c $.  $d b d $.  $d b t $.  $d b w $.  $d b y $.  $d b z $.  $d c d $.
    $d c t $.  $d c w $.  $d c x $.  $d c y $.  $d c z $.  $d d t $.  $d d w $.
    $d d y $.  $d d z $.  $d t w $.  $d t x $.  $d t y $.  $d t z $.  $d w x $.
    $d w y $.  $d w z $.  $d x y $.  $d x z $.  $d y z $.

    $( Finite less than is stratified. $)
    ltfinex $p |- <[fin] e. _V $=
      ( vx vt vc va vb vd cssetk csik cpw1 csn copk wceq wrex wa wex opksnelsik
      wcel snex 3bitri sikex vy vz cltfin cvv cxpk cins3k cins2k cin c1c ccompl
      vw cimak cun csymdif cdif cimagek cnnc c0 cv wne cplc df-ltfin elin elvvk
      cab anbi1i 19.41vv eleq1 opkex elimak elpw12 r19.41v bitr4i exbii rexcom4
      wn df-rex 3bitr4i opkeq1 eleq1d ceqsexv elpw131c 19.41v excom wb elpw161c
      wel elsymdif otkelins3k vex elssetk otkelins2k elpw181c ndisjrelk elcompl
      bitri notbii df-ne con2bii elpw1111c orbi12i elun bibi12i wal dfcleq alex
      wo anbi12i rexcom df-addc eqeq2i abeq2 opkelimagek dfaddc2 addcex addceq1
      eqeq2d rexbii opkelxpk mpbiran2 eldif anbi2i syl6bb pm5.32i 2exbii bitr3i
      elsn ancom abbi2i eqtr4i vvex xpkex ssetkex ins3kex ins2kex pw1ex complex
      inex imakex symdifex 1cex unex addcexlem imagekex nncex difex eqeltri ) U
      CUDUDUEZGHZHZHZHZUFZUUJUFZUGZGUFZUGZUGZUGZUUPGUGZUHZUIIZIZULZUJZHZHZHZHZH
      ZHZHZUFZUULHZUFZUGZUGZUVNHZHZHZHZUFZUVSUFZUGZUMZUNZUVCIZIZIZIZIZIZIZIZIZU
      LZUJZUHZUHZUWLULZUHZUWJULZUGZUNZUWJULZUJZUVEUFUUTUGUUQUUNUMUNUWHULUOZUVCU
      LZUPZUGZUGZUHZUWGULZUQIZIZULZURJZUDUEZUOZUHZUDUCAUSZUAUSZUBUSZKZLZUYBURUT
      ZUYCUYBUKUSZVAZUIVAZLZUKUQMZNZNZUBOUAOZAVEUXTAUAUBUKVBUYNAUXTUYAUXTQUYAUU
      HQZUYAUXSQZNUYEUBOUAOZUYPNZUYNUYAUUHUXSVCUYOUYQUYPUAUBUYAVDVFUYRUYEUYPNZU
      BOUAOUYNUYEUYPUAUBVGUYSUYMUAUBUYEUYPUYLUYEUYPUYDUXSQZUYLUYAUYDUXSVHUYDUXP
      QZUYDUXRQZVPZNUYKUYBURLZVPZNZUYTUYLVUAUYKVUCVUEVUABUSZUYDKZUXMQZBUXOMZVUG
      UYGJZJZLZVUINZBOZUKUQMZUYKBUXMUXOUYDUYBUYCVIZVJVUGUXOQZVUINZBOVUNUKUQMZBO
      VUJVUPVUSVUTBVUSVUMUKUQMZVUINVUTVURVVAVUIUKVUGUQVKVFVUMVUIUKUQVLVMVNVUIBU
      XOVQVUNUKBUQVOVRVUOUYJUKUQVUOVULUYDKZUXMQZUYAUYHLZUYCUYAUIVAZLZNZAOZUYJVU
      IVVCBVULVUKRZVUMVUHVVBUXMVUGVULUYDVSVTWAVVCVUGVVBKZUXLQZBUWGMZVUGUYAJZJZJ
      ZJZLZVVKNZBOZAOZVVHBUXLUWGVVBVULUYDVIZVJVUGUWGQZVVKNZBOVVRAOZBOVVLVVTVWCV
      WDBVWCVVQAOZVVKNVWDVWBVWEVVKAVUGWBVFVVQVVKAWCVMVNVVKBUWGVQVVRABWDVRVVSVVG
      AVVSVVPVVBKZUXLQZVWFUXFQZVWFUXKQZNVVGVVKVWGBVVPVVORZVVQVVJVWFUXLVUGVVPVVB
      VSVTWAVWFUXFUXKVCVWHVVDVWIVVFVWFUXEQZVPCAWGZDUSZEUSZUHZURLZCUSZVWMVWNUMZL
      ZNZEUYGMDUYBMZWEZVPZCOZVPZVWHVVDVWKVXDVWKVUGVWFKZUXDQZBUWJMZVUGVWQJZJZJZJ
      ZJZJZJZLZVXGNZBOZCOZVXDBUXDUWJVWFVVPVVBVIZVJVUGUWJQZVXGNZBOVXQCOZBOVXHVXS
      VYBVYCBVYBVXPCOZVXGNVYCVYAVYDVXGCVUGWFVFVXPVXGCWCVMVNVXGBUWJVQVXQCBWDVRVX
      RVXCCVXRVXOVWFKZUXDQZVYEUUMQZVYEUXCQZWEZVPVXCVXGVYFBVXOVXNRVXPVXFVYEUXDVU
      GVXOVWFVSVTWAVYEUUMUXCWHVYIVXBVYGVWLVYHVXAVYGVXMVVPKUULQVXLVVOKUUKQZVWLVX
      MVVPVVBUULVXLRZVWJVWAWIVXLVVOUUKVXKRZVVNRPVYJVXKVVNKUUJQVXJVVMKUUIQZVWLVX
      KVVNUUJVXJRZVVMRZPVXJVVMUUIVXIRZUYARPVYMVXIUYAKGQVWLVXIUYAGVWQRZAWJZPVWQU
      YACWJZVYRWKWPSSVXMVVBKZUXBQZEUKWGZVWTDUYBMZNZEOZVYHVXAWUAVUGVYTKZUXAQZBUW
      JMZVUGVWNJZJZJZJZJZJZJZLZWUGNZBOZEOZWUEBUXAUWJVYTVXMVVBVIZVJVYAWUGNZBOWUQ
      EOZBOWUHWUSWVAWVBBWVAWUPEOZWUGNWVBVYAWVCWUGEVUGWFVFWUPWUGEWCVMVNWUGBUWJVQ
      WUQEBWDVRWURWUDEWURWUOVYTKZUXAQZWVDUUOQZWVDUWTQZNWUDWUGWVEBWUOWUNRZWUPWUF
      WVDUXAVUGWUOVYTVSVTWAWVDUUOUWTVCWVFWUBWVGWUCWVFWUMVVBKUUNQWUKVULKUUJQZWUB
      WUMVXMVVBUUNWULRZVYKVWAWLWUKVULUYDUUJWUJRZVVIVUQWIWVIWUJVUKKUUIQWUIUYGKGQ
      WUBWUJVUKUUIWUIRZUYGRPWUIUYGGVWNRZUKWJZPVWNUYGEWJZWVNWKSSWVGDUAWGZVWTNZDO
      ZWUCWVGVUGWVDKZUWSQZBUWLMZVUGVWMJZJZJZJZJZJZJZJZJZLZWVTNZBOZDOZWVRBUWSUWL
      WVDWUOVYTVIZVJVUGUWLQZWVTNZBOWWLDOZBOWWAWWNWWQWWRBWWQWWKDOZWVTNWWRWWPWWSW
      VTDVUGWMVFWWKWVTDWCVMVNWVTBUWLVQWWLDBWDVRWWMWVQDWWMWWJWVDKZUWSQZWWTUUSQZW
      WTUWRQZNWVQWVTWXABWWJWWIRZWWKWVSWWTUWSVUGWWJWVDVSVTWAWWTUUSUWRVCWXBWVPWXC
      VWTWXBWWHVYTKUURQWWFVVBKUUQQZWVPWWHWUOVYTUURWWGRZWVHWUTWLWWFVXMVVBUUQWWER
      ZVYKVWAWLWXEWWDUYDKUUPQWWBUYBKGQWVPWWDVULUYDUUPWWCRZVVIVUQWLWWBUYBUYCGVWM
      RZUAWJZUBWJZWIVWMUYBDWJZWXJWKSSWXCWWTUVMQZWWTUWQQZNVWTWWTUVMUWQVCWXMVWPWX
      NVWSWXMWWHWUOKUVLQWWGWUNKUVKQZVWPWWHWUOVYTUVLWXFWVHWUTWIWWGWUNUVKWWFRZWUM
      RZPWXOWWFWUMKUVJQWWEWULKUVIQZVWPWWFWUMUVJWXGWVJPWWEWULUVIWWDRZWUKRZPWXRWW
      DWUKKUVHQWWCWUJKUVGQZVWPWWDWUKUVHWXHWVKPWWCWUJUVGWWBRZWVLPWYAWWBWUIKUVFQV
      WMVWNKZUVEQZVWPWWBWUIUVFWXIWVMPVWMVWNUVEWXLWVOPWYCUVDQZVPVWOURUTZVPWYDVWP
      WYEWYFVWMVWNWXLWVOWNWQWYCUVDVWMVWNVIWOWYFVWPVWOURWRWSVRSSSSWWTUWPQZVPFCWG
      ZFUSZVWRQZWEZVPZFOZVPZWXNVWSWYGWYMWYGVUGWWTKZUWFQZBUWOMZVUGWYIJZJZJZJZJZJ
      ZJZJZJZJZJZJZLZWYPNZBOZFOZWYMBUWFUWOWWTWWJWVDVIZVJVUGUWOQZWYPNZBOXUKFOZBO
      WYQXUMXUPXUQBXUPXUJFOZWYPNXUQXUOXURWYPFVUGWTVFXUJWYPFWCVMVNWYPBUWOVQXUKFB
      WDVRXULWYLFXULXUIWWTKZUWFQZXUSUVQQZXUSUWEQZWEZVPWYLWYPXUTBXUIXUHRXUJWYOXU
      SUWFVUGXUIWWTVSVTWAXUSUVQUWEWHXVCWYKXVAWYHXVBWYJXVAXUGWVDKZUVPQXUEVYTKUVO
      QZWYHXUGWWJWVDUVPXUFRZWXDWWOWLXUEWUOVYTUVOXUDRZWVHWUTWLXVEXUCVXMKUVNQXUBV
      XLKUULQZWYHXUCVXMVVBUVNXUBRZVYKVWAWIXUBVXLUULXUARZVYLPXVHXUAVXKKUUKQWYTVX
      JKUUJQZWYHXUAVXKUUKWYTRZVYNPWYTVXJUUJWYSRZVYPPXVKWYSVXIKUUIQWYRVWQKGQWYHW
      YSVXIUUIWYRRZVYQPWYRVWQGWYIRZVYSPWYIVWQFWJZVYSWKSSSSXUSUWBQZXUSUWDQZXGFDW
      GZFEWGZXGXVBWYJXVQXVSXVRXVTXVQXUGWWJKUWAQXUFWWIKUVTQZXVSXUGWWJWVDUWAXVFWX
      DWWOWIXUFWWIUVTXUERWWHRPXWAXUEWWHKUVSQXUDWWGKUVRQZXVSXUEWWHUVSXVGWXFPXUDW
      WGUVRXUCRZWXPPXWBXUCWWFKUVNQXUBWWEKUULQZXVSXUCWWFUVNXVIWXGPXUBWWEUULXVJWX
      SPXWDXUAWWDKUUKQWYTWWCKUUJQZXVSXUAWWDUUKXVLWXHPWYTWWCUUJXVMWYBPXWEWYSWWBK
      UUIQWYRVWMKGQXVSWYSWWBUUIXVNWXIPWYRVWMGXVOWXLPWYIVWMXVPWXLWKSSSSSXVRXVDUW
      CQXUEWUOKUVSQZXVTXUGWWJWVDUWCXVFWXDWWOWLXUEWUOVYTUVSXVGWVHWUTWIXWFXUDWUNK
      UVRQXUCWUMKUVNQZXVTXUDWUNUVRXWCWXQPXUCWUMUVNXVIWVJPXWGXUBWULKUULQXUAWUKKU
      UKQZXVTXUBWULUULXVJWXTPXUAWUKUUKXVLWVKPXWHWYTWUJKUUJQWYSWUIKUUIQZXVTWYTWU
      JUUJXVMWVLPWYSWUIUUIXVNWVMPXWIWYRVWNKGQXVTWYRVWNGXVOWVOPWYIVWNXVPWVOWKWPS
      SSSXAXUSUWBUWDXBWYIVWMVWNXBVRXCWQSVNSWQWWTUWPXUNWOVWSWYKFXDWYNFVWQVWRXEWY
      KFXFWPVRXHWPXHSVNSVWTDUYBVQVMXHSVNSVXMVVPVVBUXBVYKVWJVWAWLVXAWUCEUYGMWUEV
      WTDEUYBUYGXIWUCEUYGVQWPVRXCWQSVNSWQVWFUXEVXTWOVVDUYAVXACVEZLVXBCXDVXEUYHX
      WJUYACDEUYBUYGXJXKVXACUYAXLVXBCXFSVRVWIVVNUYDKUXJQUYAUYCKUXIQZVVFVVNVULUY
      DUXJVYOVVIVUQWLUYAUYBUYCUXIVYRWXJWXKWLXWKUYCUXHUYAULZLVVFUYAUYCUXHVYRWXKX
      MVVEXWLUYCUYAUIXNXKVMSXHSVNSVVFUYJAUYHUYBUYGWXJWVNXOVVDVVEUYIUYCUYAUYHUIX
      PXQWASXRSVUBVUDVUBUYBUXQQZVUDVUBXWMUYCUDQWXKUYBUYCUXQUDWXJWXKXSXTUYBURWXJ
      YGWPWQXHUYDUXPUXRYAUYLUYKUYFNVUFUYFUYKYHUYFVUEUYKUYBURWRYBWPVRYCYDYEYFSYI
      YJUUHUXSUDUDYKYKYLUXPUXRUXMUXOUXLUWGUXFUXKUXEUXDUWJUUMUXCUULUUKUUJUUIGYMT
      TZTTZYNUXBUXAUWJUUOUWTUUNUUJXWNYNYOUWSUWLUUSUWRUURUUQUUPGYMYNZYOYOYOUVMUW
      QUVLUVKUVJUVIUVHUVGUVFUVEUVDUVAUVCUUPUUTXWPGYMYOYRUVBUIUUAYPYPZYSYQTTTTTT
      TYNUWPUWFUWOUVQUWEUVPUVOUVNUULXWOTZYNYOYOUWBUWDUWAUVTUVSUVRUVNXWRTTZTTYNU
      WCUVSXWSYNYOUUBYTUWNUWMUWLUWKUWJUWIUWHUWGUVCXWQYPZYPYPYPZYPYPZYPYPYPYSYQY
      RYRXXBYSYRXXAYSYOYTXXAYSYQUXJUXIUXHUXGUVCUUCXWQYSUUDYOYOYRXWTYSUXNUQUUEYP
      YPYSUXQUDURRYKYLUUFYRUUG $.
      $( [29-Jan-2015] $)
  $}

  ${
    $d m n t $.
    $( Lemma for ~ ltfintri .  Establish stratification for induction. $)
    ltfintrilem1 $p |- { m | ( n e. Nn -> ( m =/= (/) ->
     ( << m , n >> e. <[fin] \/ m = n \/ << n , m >> e. <[fin] ) )
                                                      ) } e. _V $=
      ( vt cv wcel wn cab c0 csn cltfin cimak cun copk weq wi wo unab elun unex
      bitri cnnc ccnvk wne w3o cvv wceq wrex vex elimak opkeq1 eleq1d opkelcnvk
      df-sn rexsn elsn orbi12i df-3or 3bitr4i abbi2i uneq12i eqtri uneq2i df-ne
      imor imbi1i df-or bitr4i orbi2i abbii 3eqtr4i abexv ltfinex cnvkex imakex
      snex eqeltrri ) BDZUAEZFZAGZHIZJUBZVQIZKZWCLZJWCKZLZLZLZVRADZHUCZWJVQMJEZ
      ABNZVQWJMZJEZUDZOZOZAGZUEVTWJHUFZWPPZAGZLVSXAPZAGWIWSVSXAAQWHXBVTWHWTAGZW
      PAGZLXBWAXDWGXEAHUMWPAWGWJWEEZWJWFEZPWLWMPZWOPWJWGEWPXFXHXGWOXFWJWDEZWJWC
      EZPXHWJWDWCRXIWLXJWMXIWNWBEZWLXICDZWJMZWBEZCWCUGXKCWBWCWJAUHZUIXNXKCVQBUH
      ZCBNZXMWNWBXLVQWJUJZUKUNTVQWJJXPXOULTWJVQXOUOUPTXGXMJEZCWCUGWOCJWCWJXOUIX
      SWOCVQXPXQXMWNJXRUKUNTUPWJWEWFRWLWMWOUQURUSUTWTWPAQVAVBWRXCAWRVSWQPXCVRWQ
      VDWQXAVSWQWTFZWPOXAWKXTWPWJHVCVEWTWPVFVGVHTVIVJVTWHVSAVKWAWGHVOWEWFWDWCWB
      WCJVLVMVQVOZVNYASJWCVLYAVNSSSVP $.
      $( [29-Jan-2015] $)
  $}

  ${
    $d M m n k p $.  $d N m n k p $.
    $( Trichotomy law for finite less than. $)
    ltfintri $p |- ( ( M e. Nn /\ N e. Nn /\
              M =/= (/) ) ->
       ( << M , N >> e. <[fin] \/ M = N \/ << N , M >> e. <[fin] ) ) $=
      ( vn vk cnnc wcel wne copk cltfin wceq w3o opkeq2 eleq1d opkeq1 3orbi123d
      vp c0 wi imbi2d c0c vm cv eqeq2 weq cplc ltfintrilem1 neeq1 eqeq1 imbi12d
      c1c wa wo clefin 0cminle adantr cvv wb 0cex lefinlteq mp3an1 orcom syl6bb
      mpbid 3mix2 3mix1 jaoi syl ex addcnnul simpld 3ad2ant3 wrex addc32 eqeq2i
      w3a rexbii biimpi adantl a1i opkltfing 3adant3 simp1 peano2 simp2 syl2anc
      opklefing 3imtr4d syl3an1 sylibd ltfinp1 sylan2 3adant2 syl5ibcom ltfintr
      syl6 3mix3 syl3anc mpan2d 3jaod embantd 3expia com23 a2d finds com12 3imp
      vtoclga ) AEFZBEFZAQGZABHZIFZABJZBAHZIFZKZXIXHXJXPRZXHXJACUBZHZIFZAXRJZXR
      AHZIFZKZRZRXHXQRCBEXRBJZYEXQXHYFYDXPXJYFXTXLYAXMYCXOYFXSXKIXRBALMXRBAUCYF
      YBXNIXRBANMOSSXHXREFZYEYGDUBZQGZYHXRHZIFZDCUDZXRYHHZIFZKZRZRYGTQGZTXRHZIF
      ZTXRJZXRTHZIFZKZRZRYGUAUBZQGZUUEXRHZIFZUACUDZXRUUEHZIFZKZRZRYGUUEUJUEZQGZ
      UUNXRHZIFZUUNXRJZXRUUNHZIFZKZRZRYGYERDUAADCUFYHTJZYPUUDYGUVCYIYQYOUUCYHTQ
      UGUVCYKYSYLYTYNUUBUVCYJYRIYHTXRNMYHTXRUHUVCYMUUAIYHTXRLMOUISDUAUDZYPUUMYG
      UVDYIUUFYOUULYHUUEQUGUVDYKUUHYLUUIYNUUKUVDYJUUGIYHUUEXRNMYHUUEXRUHUVDYMUU
      JIYHUUEXRLMOUISYHUUNJZYPUVBYGUVEYIUUOYOUVAYHUUNQUGUVEYKUUQYLUURYNUUTUVEYJ
      UUPIYHUUNXRNMYHUUNXRUHUVEYMUUSIYHUUNXRLMOUISYHAJZYPYEYGUVFYIXJYOYDYHAQUGU
      VFYKXTYLYAYNYCUVFYJXSIYHAXRNMYHAXRUHUVFYMYBIYHAXRLMOUISYGYQUUCYGYQUKZYTYS
      ULZUUCUVGYRUMFZUVHYGUVIYQXRUNUOUVGUVIYSYTULZUVHTUPFYGYQUVIUVJUQURTXRUPEUS
      UTYSYTVAVBVCYTUUCYSYTYSUUBVDYSYTUUBVEVFVGVHUUEEFZYGUUMUVBUVKYGUUMUVBRUVKY
      GUKUUOUUMUVAUVKYGUUOUUMUVARUVKYGUUOVOZUUFUULUVAUUOUVKUUFYGUUOUUFUJQGUUEUJ
      VIVJZVKUVLUUHUVAUUIUUKUVLUUHUUQUURULZUVAUVLUUHUUPUMFZUVNUVLUUFXRUUEPUBZUE
      UJUEZJZPEVLZUKZXRUUNUVPUEZJZPEVLZUUHUVOUVTUWCRUVLUVSUWCUUFUVSUWCUVRUWBPEU
      VQUWAXRUUEUVPUJVMVNVPVQVRVSUVKYGUUHUVTUQUUOPUUEXREEVTWAUVLUUNEFZYGUVOUWCU
      QUVLUVKUWDUVKYGUUOWBZUUEWCZVGZUVKYGUUOWDZPUUNXREEWFWEWGUVKUWDYGUUOUVOUVNU
      QUWFUUNXREEUSWHWIUUQUVAUURUUQUURUUTVEUURUUQUUTVDVFWOUVLUUIUUTUVAUVLUUEUUN
      HZIFZUUIUUTUVKUUOUWJYGUUOUVKUUFUWJUVMUUEEWJWKWLZUUIUWIUUSIUUEXRUUNNMWMUUT
      UUQUURWPZWOUVLUUKUUTUVAUVLUUKUWJUUTUWKUVLYGUVKUWDUUKUWJUKUUTRUWHUWEUWGXRU
      UEUUNWNWQWRUWLWOWSWTXAXBVHXCXDXEXGXEXF $.
      $( [29-Jan-2015] $)
  $}

  ${
    $d A x $.
    $( Less than or equal to is reflexive. $)
    lefinrflx $p |- ( A e. V -> << A , A >> e. <_[fin] ) $=
      ( vx wcel copk clefin cv cplc wceq cnnc c0c peano1 addcid1 eqcomi addceq2
      wrex eqeq2d rcla4ev mp2an wb opklefing anidms mpbiri ) ABDZAAEFDZAACGZHZI
      ZCJPZKJDAAKHZIZUILUJAAMNUHUKCKJUFKIUGUJAUFKAOQRSUDUEUITCAABBUAUBUC $.
      $( [2-Feb-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Less than implies less than or equal. $)
    ltlefin $p |- ( ( A e. V /\ B e. W ) ->
             ( << A , B >> e. <[fin] -> << A , B >> e. <_[fin] ) ) $=
      ( vx vy wcel wa c0 wne cv cplc c1c wceq cnnc wrex copk cltfin clefin wi
      addcass eqeq2i peano2 addceq2 eqeq2d rcla4ev sylan2b rexlimiva adantl a1i
      sylan opkltfing opklefing 3imtr4d ) ACGBDGHZAIJZBAEKZLMLZNZEOPZHZBAFKZLZN
      ZFOPZABQZRGVFSGVAVETUOUTVEUPUSVEEOUSUQOGZBAUQMLZLZNZVEURVIBAUQMUAUBVGVHOG
      VJVEUQUCVDVJFVHOVBVHNVCVIBVBVHAUDUEUFUKUGUHUIUJEABCDULFABCDUMUN $.
      $( [2-Feb-2015] $)
  $}

  ${
    $d A x $.  $d B x $.
    $( Less than or equal is the same as negated less than. $)
    lenltfin $p |- ( ( A e. Nn /\ B e. Nn ) ->
       ( << A , B >> e. <_[fin] <-> -. << B , A >> e. <[fin] ) ) $=
      ( cnnc wcel wa copk clefin cltfin wn ltfinirr adantr wi leltfintr expdimp
      3anidm13 c0 wceq opkeq2 eleq1d wo mtod nulge ancoms anbi2d imbi12d mpbiri
      ex eleq1 a1dd wne w3o simplr simpll simpr ltfintri 3orass sylib lefinrflx
      syl3anc ord syl5ibrcom ltlefin jaod syld expcom pm2.61ine impbid ) ACDZBC
      DZEZABFZGDZBAFHDZIZVJVLVNVJVLEVMAAFZHDZVJVPIZVLVHVQVIAJKKVJVLVMVPVHVIVLVM
      EVPLABAMONUAUGVJVNVLLZLBPBPQZVJVLVNVSVJVLLVHPCDZEZAPFZGDZLVTVHWCACUBUCVSV
      JWAVLWCVSVIVTVHBPCUHUDVSVKWBGBPARSUEUFUIVJBPUJZVRVJWDEZVNBAQZVKHDZTZVLWEV
      MWHWEVMWFWGUKZVMWHTWEVIVHWDWIVHVIWDULVHVIWDUMVJWDUNBAUOUSVMWFWGUPUQUTWEWF
      VLWGVJWFVLLWDVJVLWFVOGDZVHWJVIACURKWFVKVOGBAARSVAKVJWGVLLWDABCCVBKVCVDVEV
      FVG $.
      $( [2-Feb-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d a c $.  $d a d $.  $d a k $.  $d a m $.  $d a n $.
    $d a x $.  $d B a $.  $d B b $.  $d b c $.  $d b d $.  $d b k $.  $d b m $.
    $d b n $.  $d b t $.  $d b x $.  $d c d $.  $d c k $.  $d c m $.  $d c x $.
    $d d k $.  $d d m $.  $d d x $.  $d k m $.  $d k x $.  $d m n $.  $d m t $.
    $( A subset of a finite set is itself finite.  Theorem X.1.21 of
       {{Rosser}}, p. 527. $)
    ssfin $p |- ( ( A e. V /\ B e. Fin /\ A C_ B ) -> A e. Fin ) $=
      ( va vb vn vm vt vx wcel cfin wss cv wi wceq wa wal cssetk cvv wex imbi2d
      vd vk vc sseq1 eleq1 imbi12d sseq2 imbi1d wel cnnc wrex elfin c0 c1c cplc
      ccompl cimak cpw1 cxpk cin cab wn elcompl alcom impexp albii 19.21v bitri
      vex copk elimak csn df-rex anbi1i 19.41v bitr4i exbii excom opkeq1 eleq1d
      el1c ceqsexv elssetk opkelxpk mpbiran2 snelpw1 ancom wb opkelssetkg mp2an
      snex elin anbi12i exanali 3bitri con2bii abbi2i ssetkex finex imakex vvex
      complex pw1ex xpkex inex 1cex eqeltrri c0c eleq2 df-0c eleq2i elsn syl6bb
      anbi1d 2albidv weq elequ2 adantl sseq12 anbi12d adantr cbval2v ss0b sylib
      biimpa 0fin syl6eqel wo w3a cun 3ad2ant2 syl5eq df-dif df-ss sylibr com23
      cdif imp3a ex gen2 wpss sspss dfpss4 orbi1i simp1 snid simprbi mt2 undif1
      eldif snssi ssequn2 simp3r eqeltrd difex nnsucelr syl12anc inass 3eqtr4ri
      a1i ineq2i 3ad2ant3 difeq1d difsn eqtrd jca 3adant1r cla42gv 3ad2ant1 mpd
      biimpi 3exp rexlimdv peano2 rcla4ev syl biimprd syl9 jaod syl5bi alrimivv
      exp5c finds 19.21bbi exp3a rexlimiv sylbi vtoclga vtoclg 3imp ) ACJBKJZAB
      LZAKJZUWLDMZBLZUWOKJZNZNUWLUWMUWNNZNDACUWOAOZUWRUWSUWLUWTUWPUWMUWQUWNUWOA
      BUEUWOAKUFUGUAUWOEMZLZUWQNZUWREBKUXABOUXBUWPUWQUXABUWOUHUIUXAKJZEFUJZFUKU
      LUXCFUXAUMUXEUXCFUKFMZUKJZUXEUXBUWQUXGUXEUXBPZUWQNZDEEGUJZUXBPZUWQNZEQDQZ
      UXAUNOZUXBPZUWQNZEQDQUBUCUJZUDMZUBMZLZPZUXRKJZNZUBQUDQZUXAUCMZUOUPZJZUXBP
      ZUWQNZEQDQZUXIEQDQGUCUXFRRKUQZURZUSZSUTZVAZUOURZUQZUXMGVBSUXMGUYQGMZUYQJU
      YRUYPJZVCZUXMUYRUYPGVJZVDUXMUXLDQZEQUXJUXCDQZNZEQZUYTUXLDEVEVUBVUDEVUBUXJ
      UXCNZDQVUDUXLVUFDUXJUXBUWQVFVGUXJUXCDVHVIVGUYSVUEUYSHMZUYRVKZUYOJZHUOULZU
      XJVUCVCZPZETZVUEVCHUYOUOUYRVUAVLVUJVUGUOJZVUIPZHTZVUGUXAVMZOZVUIPZHTZETZV
      UMVUIHUOVNVUPVUSETZHTVVAVUOVVBHVUOVURETZVUIPVVBVUNVVCVUIEVUGWBVOVURVUIEVP
      VQVRVUSEHVSVQVUTVULEVUTVUQUYRVKZUYOJZVVDRJZVVDUYNJZPVULVUIVVEHVUQUXAWLZVU
      RVUHVVDUYOVUGVUQUYRVTWAWCVVDRUYNWMVVFUXJVVGVUKUXAUYREVJZVUAWDVVGVUQUYMJZU
      XAUYLJZVUKVVGVVJUYRSJVUAVUQUYRUYMSVVHVUAWEWFUXAUYLWGVVKUWOUXAVKRJZDUYKULZ
      UXBUWQVCZPZDTZVUKDRUYKUXAVVIVLVVMUWOUYKJZVVLPZDTVVPVVLDUYKVNVVRVVODVVRVVL
      VVQPVVOVVQVVLWHVVLUXBVVQVVNUWOSJZUXASJVVLUXBWIDVJZVVIUWOUXASSWJWKUWOKVVTV
      DWNVIVRVIUXBUWQDWOWPWPWNWPVRWPUXJVUCEWOWPWQWPVQWRUYPUYOUORUYNWSUYMSUYLRUY
      KWSKWTXCXAXDXBXEXFXGXAXCXHUYRXIOZUXLUXPDEVWAUXKUXOUWQVWAUXJUXNUXBVWAUXJUX
      AXIJZUXNUYRXIUXAXJVWBUXAUNVMZJUXNXIVWCUXAXKXLUXAUNVVIXMVIXNXOUIXPGUCXQZUX
      MEUCUJZUXBPZUWQNZEQDQUYDVWDUXLVWGDEVWDUXKVWFUWQVWDUXJVWEUXBGUCEXRXOUIXPVW
      GUYCDEUDUBDUDXQZEUBXQZPZVWFUYAUWQUYBVWJVWEUXQUXBUXTVWIVWEUXQWIVWHUXAUXSUY
      EUFXSUWOUXRUXAUXSXTYAVWHUWQUYBWIVWIUWOUXRKUFYBUGYCXNUYRUYFOZUXLUYIDEVWKUX
      KUYHUWQVWKUXJUYGUXBUYRUYFUXAXJXOUIXPGFXQZUXLUXIDEVWLUXKUXHUWQVWLUXJUXEUXB
      GFEXRXOUIXPUXPDEUXOUWOUNKUXOUWOUNLZUWOUNOUXNUXBVWMUXAUNUWOUHYFUWOYDYEYGYH
      UUAUYEUKJZUYDUYJVWNUYDPZUYIDEVWOUYGUXBUWQVWOUXBUYGUWQUXBUXBIDUJVCZIUXAULZ
      PZDEXQZYIZVWOUYGUWQNZUXBUWOUXAUUBZVWSYIVWTUWOUXAUUCVXBVWRVWSIUWOUXAUUDUUE
      VIVWOVWRVXAVWSVWOUXBVWQVXAVWOVWQUXBVXAVWOVWPUXBVXANIUXAVWOIEUJZVWPUXBUYGU
      WQVWOVXCVWPPZUXBUYGPZUWQVWOVXDVXEYJUXAIMZVMZYRZUYEJZUWOVXHLZPZUWQVWNVXDVX
      EVXKUYDVWNVXDVXEYJZVXIVXJVXLVWNVXFVXHJZVCZVXHVXGYKZUYFJVXIVWNVXDVXEUUFVXN
      VXLVXMVXFVXGJZVXFIVJZUUGVXMVXCVXPVCVXFUXAVXGUUKUUHUUIUVAVXLVXOUXAUYFVXLVX
      OUXAVXGYKZUXAUXAVXGUUJVXDVWNVXRUXAOZVXEVXCVXSVWPVXCVXGUXALVXSVXFUXAUULVXG
      UXAUUMYEYBYLYMVWNVXDUXBUYGUUNUUOVXHUYEVXFUXAVXGVVIVXFWLUUPZVXQUUQUURVXLUW
      OVXHVAZUWOOVXJVXLVYAUWOUXAVAZVXGYRZUWOVYBVXGUQZVAUWOUXAVYDVAZVAVYCVYAUWOU
      XAVYDUUSVYBVXGYNVXHVYEUWOUXAVXGYNUVBUUTVXLVYCUWOVXGYRZUWOVXLVYBUWOVXGVXEV
      WNVYBUWOOZVXDUXBVYGUYGUXBVYGUWOUXAYOUVLYBUVCUVDVXDVWNVYFUWOOZVXEVWPVYHVXC
      VXFUWOUVEXSYLUVFYMUWOVXHYOYPUVGUVHVWOVXDVXKUWQNZVXEUYDVYIVWNVVSVXHSJUYDVY
      INVVTVXTUYCVYIUDUBUWOVXHSSUDDXQZUXSVXHOZPZUYAVXKUYBUWQVYLUXQVXIUXTVXJVYKU
      XQVXIWIVYJUXSVXHUYEUFXSUXRUWOUXSVXHXTYAVYJUYBUWQWIVYKUXRUWOKUFYBUGUVIWKXS
      UVJUVKUVMUWCUVNYQYSVWNVWSVXANUYDVWNUYGUXDVWSUWQVWNUYFUKJZUYGUXDNUYEUVOVYM
      UYGUXDVYMUYGPEIUJZIUKULUXDVYNUYGIUYFUKVXFUYFUXAXJUVPIUXAUMYPYTUVQVWSUWQUX
      DUWOUXAKUFUVRUVSYBUVTUWAYQYSUWBYTUWDUWEUWFUWGUWHUWIUWJUWK $.
      $( [19-Jan-2015] $)
  $}

  ${
    $d A x y $.
    $( If the universe is finite, then there is a unique natural containing any
       set.  Theorem X.1.22 of {{Rosser}}, p. 527. $)
    vfinnc $p |- ( ( A e. V /\ _V e. Fin ) -> E! x e. Nn A e. x ) $=
      ( vy wcel cvv cfin wa cv cnnc wrex weq wi wral wss ssv ssfin mp3an3 elfin
      wreu sylib nnceleq ex rgen2a a1i eleq2 reu4 sylanbrc ) BCEZFGEZHZBAIZEZAJ
      KZUMBDIZEZHZADLZMZDJNAJNZUMAJTUKBGEZUNUIUJBFOVABPBFCQRABSUAUTUKUSADJULJEU
      OJEHUQURBULUOUBUCUDUEUMUPADJULUOBUFUGUH $.
      $( [19-Jan-2015] $)
  $}

  ${
    $d A x $.
    $( The finite cardinality of a set exists. $)
    ncfinex $p |- Nc[fin] A e. _V $=
      ( vx cncfin cv cnnc wcel wa cio cvv df-ncfin iotaex eqeltri ) ACBDZEFAMFG
      ZBHIBAJNBKL $.
      $( [27-Jan-2015] $)
  $}

  ${
    $d A x $.  $d B x $.
    $( Equality theorem for finite cardinality. $)
    ncfineq $p |- ( A = B -> Nc[fin] A = Nc[fin] B ) $=
      ( vx wceq cv cnnc wcel cio cncfin eleq1 anbi2d iotabidv df-ncfin 3eqtr4g
      wa ) ABDZCEZFGZAQGZOZCHRBQGZOZCHAIBIPTUBCPSUARABQJKLCAMCBMN $.
      $( [20-Jan-2015] $)
  $}

  ${
    $d A x $.
    $( Properties of finite cardinal number.  Theorem X.1.23 of {{Rosser}},
       p. 527 $)
    ncfinprop $p |- ( ( _V e. Fin /\ A e. V ) ->
               ( Nc[fin] A e. Nn /\ A e. Nc[fin] A ) ) $=
      ( vx wcel cvv cfin cncfin cnnc cio df-ncfin wreu vfinnc reiotacl syl5eqel
      wa cv syl wceq eqcomi wb eleq2 reiota2 syl2anc mpbiri jca ancoms ) ABDZEF
      DZAGZHDZAUIDZOUGUHOZUJUKULUICPZHDAUMDZOCIZHCAJZULUNCHKZUOHDCABLZUNCHMQNZU
      LUKUOUIRZUIUOUPSULUJUQUKUTTUSURUNUKCHUIUMUIAUAUBUCUDUEUF $.
      $( [20-Jan-2015] $)
  $}

  ${
    $( Distribution law for finite cardinality. $)
    ncfindi $p |- ( ( ( _V e. Fin /\ A e. V ) /\ B e. W /\ ( A i^i B ) = (/) )
       -> Nc[fin] ( A u. B ) = ( Nc[fin] A +c Nc[fin] B ) ) $=
      ( cvv cfin wcel wa cin c0 wceq w3a cun cncfin cnnc cplc syl2anc ncfinprop
      simpld simprd simp1l simp1r simp2 unexg nncaddccl eladdci syl3anc nnceleq
      simp3 syl22anc ) EFGZACGZHZBDGZABIJKZLZABMZNZOGZANZBNZPZOGZUQURGZUQVBGZUR
      VBKUPUSVDUPUKUQEGZUSVDHUKULUNUOUAZUPULUNVFUKULUNUOUBZUMUNUOUCZABCDUDQUQER
      QZSUPUTOGZVAOGZVCUPVKAUTGZUPUKULVKVMHVGVHACRQZSUPVLBVAGZUPUKUNVLVOHVGVIBD
      RQZSUTVAUEQUPUSVDVJTUPVMVOUOVEUPVKVMVNTUPVLVOVPTUMUNUOUIABUTVAUFUGUQURVBU
      HUJ $.
      $( [30-Jan-2015] $)
  $}

  ${
    $( If the universe is finite, then the cardinality of a singleton is
       ` 1c ` . $)
    ncfinsn $p |- ( ( _V e. Fin /\ A e. V ) -> Nc[fin] { A } = 1c ) $=
      ( cvv cfin wcel wa csn cncfin cnnc c1c wceq ncfinprop mpan2 adantr simpld
      snex 1cnnc a1i simprd snel1cg adantl nnceleq syl22anc ) CDEZABEZFZAGZHZIE
      ZJIEZUGUHEZUGJEZUHJKUFUIUKUDUIUKFZUEUDUGCEUMAPUGCLMNZOUJUFQRUFUIUKUNSUEUL
      UDABTUAUGUHJUBUC $.
      $( [30-Jan-2015] $)
  $}

  ${
    $( Equality law for finite cardinality.  Theorem X.1.24 of {{Rosser}},
       p. 527. $)
    ncfineleq $p |- ( ( _V e. Fin /\ A e. V /\ B e. W ) ->
       ( A e. Nc[fin] B <-> Nc[fin] A = Nc[fin] B ) ) $=
      ( cvv cfin wcel w3a cncfin wceq cnnc simpl ncfinprop 3adant3 3syl 3adant2
      wa simpld adantr simprd simpr nnceleq syl22anc ex eleq2 syl5ibcom impbid
      ) EFGZACGZBDGZHZABIZGZAIZULJZUKUMUOUKUMQZUNKGZULKGZAUNGZUMUOUPUKUQUSQZUQU
      KUMLUHUIUTUJACMNZUQUSLOUKURUMUKURBULGZUHUJURVBQUIBDMPRSUKUSUMUKUQUSVATZSU
      KUMUAAUNULUBUCUDUKUSUOUMVCUNULAUEUFUG $.
      $( [20-Jan-2015] $)
  $}

  ${
    $d A x t $.  $d B x t $.
    eqpwrelk.1 $e |- A e. _V $.
    eqpwrelk.2 $e |- B e. _V $.
    $( Represent equality to power class via a Kuratowski relationship. $)
    eqpwrelk $p |- ( << { A } , B >> e.
              ~ ( ( Ins2_k SSet_k (+) Ins3_k SI_k SSet_k ) "_k
                  ~P1 ~P1 1c ) <-> B = ~P A ) $=
      ( vx vt csn copk cssetk cpw1 wcel wn cv wb wex wceq wa snex cvv 3bitri
      cins2k csik cins3k csymdif c1c cimak wss ccompl cpw opkex elimak elpw121c
      anbi1i 19.41v bitr4i exbii df-rex excom 3bitr4i opkeq1 ceqsexv otkelins2k
      eleq1d elsymdif vex elssetk bitri otkelins3k opksnelsik opkelssetkg mp2an
      wrex bibi12i notbii elcompl cab wal df-pw eqeq2i abeq2 alex ) AGZBHZIUAZI
      UBZUCZUDZUEJJZUFZKZLEMZBKZWKAUGZNZLZEOZLZWCWIUHKBAUIZPZWJWPWJFMZWCHZWGKZF
      WHVLZWTWKGZGZGZPZXBQZFOZEOZWPFWGWHWCWBBUJZUKWTWHKZXBQZFOXHEOZFOXCXJXMXNFX
      MXGEOZXBQXNXLXOXBEWTULUMXGXBEUNUOUPXBFWHUQXHEFURUSXIWOEXIXFWCHZWGKZXPWDKZ
      XPWFKZNZLWOXBXQFXFXERXGXAXPWGWTXFWCUTVCVAXPWDWFVDXTWNXRWLXSWMXRXDBHIKWLXD
      WBBIWKRZARZDVBWKBEVEZDVFVGXSXDWBHWEKWKAHIKZWMXDWBBWEYAYBDVHWKAIYCCVIWKSKA
      SKYDWMNYCCWKASSVJVKTVMVNTUPTVNWCWIXKVOWSBWMEVPZPWNEVQWQWRYEBEAVRVSWMEBVTW
      NEWATUS $.
      $( [26-Jan-2015] $)
  $}

  ${
    $d A x t $.  $d B x t $.
    eqpw1relk.1 $e |- A e. _V $.
    eqpw1relk.2 $e |- B e. _V $.
    $( Represent equality to unit power class via a Kuratowski relationship. $)
    eqpw1relk $p |- ( << A , { B } >> e. ( ( ~P 1c X._k _V ) \
  ( ( Ins3_k SSet_k (+) Ins2_k SI_k SSet_k )
    "_k ~P1 ~P1 ~P1 1c ) ) <-> A = ~P1 B ) $=
      ( vx vt csn copk c1c cvv wcel cssetk cpw1 wn wa cv wb snex bitri wex cxpk
      cpw cins3k csik cins2k csymdif cimak wss cdif wceq opkelxpk mpbiran2 elpw
      wal opkex elimak elpw131c anbi1i 19.41v bitr4i exbii df-rex excom 3bitr4i
      wrex opkeq1 ceqsexv elsymdif otkelins3k elssetk otkelins2k opksnelsik vex
      eleq1d bibi12i xchbinx exnal 3bitrri con1bii anbi12i eldif eqpw1 ) ABGZHZ
      IUBZJUAZKZWDLUCZLUDZUEZUFZIMMMZUGZKZNZOAIUHZEPZGZAKZWQBKZQZEUNZOWDWFWMUIK
      ABMUJWGWPWOXBWGAWEKZWPWGXCWCJKBRZAWCWEJCXDUKULAICUMSXBWNWNFPZWRGZGZGZUJZX
      EWDHZWKKZOZFTZETZXANZETXBNWNXKFWLVEZXNFWKWLWDAWCUOUPXEWLKZXKOZFTXLETZFTXP
      XNXRXSFXRXIETZXKOXSXQXTXKEXEUQURXIXKEUSUTVAXKFWLVBXLEFVCVDSXMXOEXMXHWDHZW
      KKZXOXKYBFXHXGRXIXJYAWKXEXHWDVFVNVGYBYAWHKZYAWJKZQXAYAWHWJVHYCWSYDWTYCXFA
      HLKWSXFAWCLWRRZCXDVIWRAWQRZCVJSYDXFWCHWIKZWTXFAWCWIYECXDVKYGWRBHLKWTWRBLY
      FDVLWQBEVMDVJSSVOVPSVAXAEVQVRVSVTWDWFWMWAEABWBVD $.
      $( [21-Jan-2015] $)
  $}

  ${
    $d a b $.  $d a m $.  $d a n $.  $d a t $.  $d a x $.  $d b m $.  $d b n $.
    $d b t $.  $d b x $.  $d m t $.  $d n t $.  $d n x $.  $d t x $.

    $( Lemma for ~ ncfinraise .  Show stratification for induction. $)
    ncfinraiselem2 $p |- { m | A. a e. m A. b e. m E. n e. Nn
       ( ~P1 a e. n /\ ~P1 b e. n ) } e. _V $=
      ( vt vx cssetk cpw1 cvv wcel wa wrex snex copk bitr4i exbii df-rex 3bitri
      csn wex csik cins2k cnnc cxpk c1c cpw cins3k csymdif cimak cdif cin cuni1
      ccompl cv wral wn elcompl wceq elimak elpw11c anbi1i 19.41v excom 3bitr4i
      cab wel opkeq1 eleq1d ceqsexv vex opksnelsik elssetk bitri opkex elpw131c
      elin eldif otkelins2k opkelxpk mpbiran2 snelpw1 eqpw1relk anbi12i df-clel
      elpw121c notbii rexnal xchbinx eluni1 dfral2 abbi2i ssetkex sikex ins2kex
      otkelins3k nncex pw1ex vvex xpkex 1cex pwex ins3kex symdifex imakex difex
      inex complex uni1ex eqeltrri ) GUAZXJUBZUCHZHZIUDZUEUFZIUDZGUGZXKUHZUEHZH
      ZHZUIZUJZUAZUBZXQUKZXTUIZUBZYGUGZUKZUKZXSUIZUGZUJZYAUIZUKZXSUIZUMZULZCUNZ
      HZBUNZJZDUNZHZUUBJZKZBUCLZDAUNZUOZCUUIUOZAVEIUUKAYSUUISZYRJZUUJUPZCUUILZU
      PUUIYSJUUKUUMUULYQJZUUOUULYQUUIMZUQUUPEUNZUULNZYPJZEXSLZUURYTSZSZURZUUTKZ
      ETZCTZUUOEYPXSUULUUQUSUURXSJZUUTKZETUVECTZETUVAUVGUVIUVJEUVIUVDCTZUUTKUVJ
      UVHUVKUUTCUURUTVAUVDUUTCVBOPUUTEXSQUVECEVCVDUVGCAVFZUUNKZCTUUOUVFUVMCUVFU
      VCUULNZYPJZUVNXJJZUVNYOJZKUVMUUTUVOEUVCUVBMZUVDUUSUVNYPUURUVCUULVGVHVIUVN
      XJYOVPUVPUVLUVQUUNUVPUVBUUINGJUVLUVBUUIGYTMZAVJZVKYTUUICVJZUVTVLVMUVQUURU
      UDSZSZSZSZURZUURUVNNZYNJZKZETZDTZUUHUPZDUUILZUUNUVQUWHEYALUURYAJZUWHKZETZ
      UWKEYNYAUVNUVCUULVNUSUWHEYAQUWPUWIDTZETUWKUWOUWQEUWOUWFDTZUWHKUWQUWNUWRUW
      HDUURVOVAUWFUWHDVBOPUWIDEVCORUWKDAVFZUWLKZDTUWMUWJUWTDUWJUWEUVNNZYNJZUXAX
      KJZUXAYMJZUPZKUWTUWHUXBEUWEUWDMUWFUWGUXAYNUURUWEUVNVGVHVIUXAXKYMVQUXCUWSU
      XEUWLUXCUWCUULNXJJUWBUUINGJUWSUWCUVCUULXJUWBMZUVRUUQVRUWBUUIGUUDMZUVTVKUU
      DUUIDVJZUVTVLRUXDUUHUXDUWCUVCNZYLJZUURUUBSZSZURZUURUXINZYKJZKZETZBTZUUHUW
      CUVCUULYLUXFUVRUUQWOUXOEXSLZUXPBTZETZUXJUXRUXSUVHUXOKZETUYAUXOEXSQUYBUXTE
      UYBUXMBTZUXOKUXTUVHUYCUXOBUURUTVAUXMUXOBVBOPVMEYKXSUXIUWCUVCVNZUSUXPBEVCV
      DUXRUUBUCJZUUGKZBTUUHUXQUYFBUXQUXLUXINZYKJZUYGXNJZUYGYJJZKUYFUXOUYHEUXLUX
      KMZUXMUXNUYGYKUURUXLUXIVGVHVIUYGXNYJVPUYIUYEUYJUUGUYIUXLXMJZUXKXLJUYEUYIU
      YLUXIIJUYDUXLUXIXMIUYKUYDVSVTUXKXLWAUUBUCWARUYJUYGYHJZUYGYIJZKUUGUYGYHYIV
      PUYMUUCUYNUUFUYMUUBUVCNZYGJZUURFUNZSZSZSZURZUURUYONZYFJZKZETZFTZUUCUUBUWC
      UVCYGBVJZUXFUVRVRUYPVUCEXTLUURXTJZVUCKZETZVUFEYFXTUYOUUBUVCVNUSVUCEXTQVUJ
      VUDFTZETVUFVUIVUKEVUIVUAFTZVUCKVUKVUHVULVUCFUURWEZVAVUAVUCFVBOPVUDFEVCORV
      UFUYQUUAURZFBVFZKZFTUUCVUEVUPFVUEUYTUYONZYFJZVUQYEJZVUQXQJZKVUPVUCVUREUYT
      UYSMZVUAVUBVUQYFUURUYTUYOVGVHVIVUQYEXQVPVUSVUNVUTVUOVUSUYRUVCNYDJUYQUVBNY
      CJVUNUYRUUBUVCYDUYQMZVUGUVRVRUYQUVBYCFVJZUVSVKUYQYTVVCUWAWBRVUTUYRUUBNGJZ
      VUOUYRUUBUVCGVVBVUGUVRWOUYQUUBVVCVUGVLZVMWCRPFUUAUUBWDORUUBUWCNZYGJZUYQUU
      EURZVUOKZFTZUYNUUFVVGUURVVFNZYFJZEXTLZVUAVVLKZETZFTZVVJEYFXTVVFUUBUWCVNUS
      VUHVVLKZETVVNFTZETVVMVVPVVQVVREVVQVULVVLKVVRVUHVULVVLVUMVAVUAVVLFVBOPVVLE
      XTQVVNFEVCVDVVOVVIFVVOUYTVVFNZYFJZVVSYEJZVVSXQJZKVVIVVLVVTEUYTVVAVUAVVKVV
      SYFUURUYTVVFVGVHVIVVSYEXQVPVWAVVHVWBVUOVWAUYRUWCNYDJUYQUWBNYCJVVHUYRUUBUW
      CYDVVBVUGUXFVRUYQUWBYCVVCUXGVKUYQUUDVVCUXHWBRVWBVVDVUOUYRUUBUWCGVVBVUGUXF
      WOVVEVMWCRPRUUBUWCUVCYGVUGUXFUVRWOFUUEUUBWDVDWCVMWCRPUUGBUCQORWFWCRPUWLDU
      UIQOUUHDUUIWGRWCRPUUNCUUIQORWHUUIYRUVTWIUUJCUUIWJVDWKYRYQYPXSXJYOGWLWMZYN
      YAXKYMXJVWCWNZYLYKXSXNYJXMIXLUCWPWQWQWRWSYHYIYGYFXTYEXQYDYCXPYBXOIUEWTXAW
      RWSXRYAXQXKGWLXBZVWDXCXTXSUEWTWQZWQZWQZXDXEWMWNVWEXFVWGXDZWNYGVWIXBXFXFVW
      FXDXBXEVWHXDXFVWFXDXGXHXI $.
      $( [22-Jan-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a m $.  $d a n $.  $d A n $.  $d a t $.
    $d B b $.  $d b m $.  $d b n $.  $d B n $.  $d b t $.  $d M a $.  $d M b $.
    $d n t $.  $d a c $.  $d a d $.  $d a k $.  $d a x $.  $d a y $.  $d b c $.
    $d b d $.  $d b k $.  $d b x $.  $d b y $.  $d c d $.  $d c k $.  $d c x $.
    $d c y $.  $d d k $.  $d d x $.  $d d y $.  $d k m $.  $d k n $.  $d M m $.
    $d m n $.  $d x y $.  $d c n $.  $d d n $.  $d k x $.  $d k y $.  $d n x $.
    $d n y $.  $d c m $.  $d d m $.  $d m x $.  $d m y $.


    $( If two sets are in a particular finite cardinal, then their unit power
       sets are in the same natural.  Theorem X.1.25 of {{Rosser}}, p. 527. $)
    ncfinraise $p |- ( ( M e. Nn /\ A e. M /\ B e. M ) ->
       E. n e. Nn ( ~P1 A e. n /\ ~P1 B e. n ) ) $=
      ( va vb vc vx vd vy cnnc wcel cpw1 cv wa wrex wral c0c c0 wceq vm vk cplc
      c1c ncfinraiselem2 raleq raleqbi1dv el0c peano1 eqid mpbir pm3.2i anbi12d
      eleq2 rcla4ev mp2an pw1eq pw10 syl6eq eleq1d rexbidv mpbiri syl2anb ax-17
      bi2anan9 rgen2a hbra1 hban hbra2 csn ccompl reeanv 2rexbii elsuc 3bitr4ri
      cun anbi12i wel weq anbi1d anbi2d rcla42v com12 vex elcompl anbi2i peano2
      wi ad3antrrr simplrl simprrl snelpw1 sylnibr snex syl2anc simplrr simprrr
      wn adantr elsuci syl12anc rexlimiva cbvrexv syl8ib imp pw1un pw1sn uneq2i
      ex eqtri syl5ibrcom sylan2b anasss rexlimdvv exp32 sylan9r pm2.43d syl5bi
      expr exp3a ralrimd ralrimi finds syl5com 3impib ) DKLZADLZBDLZAMZCNZLZBMZ
      YJLZOZCKPZYFENZMZYJLZFNZMZYJLZOZCKPZFDQZEDQZYGYHOYOUUCFUANZQZEUUFQUUCFRQZ
      ERQUUCFUBNZQZEUUIQZUUCFUUIUDUCZQZEUULQZUUEUAUBDUACEFUEUUGUUHEUUFRUUCFUUFR
      UFUGUUGUUJEUUFUUIUUCFUUFUUIUFUGUUGUUMEUUFUULUUCFUUFUULUFUGUUGUUDEUUFDUUCF
      UUFDUFUGUUCEFRYPRLYPSTZYSSTZUUCYSRLYPUHYSUHUUOUUPOZUUCSYJLZUUROZCKPZRKLSR
      LZUVAOZUUTUIUVAUVAUVASSTSUJSUHUKZUVCULUUSUVBCRKYJRTUURUVAUURUVAYJRSUNZUVD
      UMUOUPUUQUUBUUSCKUUOYRUURUUPUUAUURUUOYQSYJUUOYQSMZSYPSUQURUSUTUUPYTSYJUUP
      YTUVESYSSUQURUSUTVEVAVBVCVFUUIKLZUUKUUNUVFUUKOZUUMEUULUVFUUKEUVFEVDUUJEUU
      IVGVHUVGYPUULLZUUCFUULUVFUUKFUVFFVDUUCEFUUIUUIVIVHUVHFVDUVGUVHYSUULLZUUCU
      VHUVIOZYPGNZHNZVJZVPZTZYSINZJNZVJZVPZTZOZJUVPVKZPHUVKVKZPZIUUIPGUUIPZUVGU
      UCUVOHUWCPZUVTJUWBPZOZIUUIPGUUIPUWFGUUIPZUWGIUUIPZOUWEUVJUWFUWGGIUUIUUIVL
      UWDUWHGIUUIUUIUVOUVTHJUWCUWBVLVMUVHUWIUVIUWJHYPUUIGVNJYSUUIIVNVQVOUVGUWDU
      UCGIUUIUUIUVGGUBVRIUBVROZUWDUUCWHZUUKUWKUVKMZYJLZUVPMZYJLZOZCKPZUVFUWKUWL
      WHUWKUUKUWRUUCUWRUWNUUAOZCKPEFUVKUVPUUIUUIEGVSZUUBUWSCKUWTYRUWNUUAUWTYQUW
      MYJYPUVKUQUTVTVAFIVSZUWSUWQCKUXAUUAUWPUWNUXAYTUWOYJYSUVPUQUTWAVAWBWCUVFUW
      RUWKUWLUVFUWRUWKOOUWAUUCHJUWCUWBUVFUWRUWKUVLUWCLZUVQUWBLZOZUWAUUCWHZWHUVF
      UWROZUWKUXDUXEUWKUXDOUXFUWKHGVRZWRZJIVRZWRZOZOZUXEUXDUXKUWKUXBUXHUXCUXJUV
      LUVKHWDZWEUVQUVPJWDZWEVQWFUXFUXLOUUCUWAUWMUVMVJZVPZYJLZUWOUVRVJZVPZYJLZOZ
      CKPZUXFUXLUYBUVFUWRUXLUYBWHZUWRUVFUYCUWRUVFUXLUXPUUFLZUXSUUFLZOZUAKPZUYBU
      WQUVFUXLUYGWHZWHCKYJKLZUWQOZUVFUYHUYJUVFOZUXLUYGUYKUXLOZYJUDUCZKLZUXPUYML
      ZUXSUYMLZUYGUYIUYNUWQUVFUXLYJWGWIUYLUWNUVMUWMLZWRUYOUYKUWNUXLUYIUWNUWPUVF
      WJWSUYLUXGUYQUYKUWKUXHUXJWKUVLUVKWLWMUWMYJUVMUVLWNWTWOUYLUWPUVRUWOLZWRUYP
      UYKUWPUXLUYIUWNUWPUVFWPWSUYLUXIUYRUYKUWKUXHUXJWQUVQUVPWLWMUWOYJUVRUVQWNWT
      WOUYFUYOUYPOUAUYMKUUFUYMTUYDUYOUYEUYPUUFUYMUXPUNUUFUYMUXSUNUMUOXAXIXIXBUY
      FUYAUACKUACVSUYDUXQUYEUXTUUFYJUXPUNUUFYJUXSUNUMXCXDWCXEXEUWAUUBUYACKUVOYR
      UXQUVTUUAUXTUVOYQUXPYJUVOYQUVNMZUXPYPUVNUQUYSUWMUVMMZVPUXPUVKUVMXFUYTUXOU
      WMUVLUXMXGXHXJUSUTUVTYTUXSYJUVTYTUVSMZUXSYSUVSUQVUAUWOUVRMZVPUXSUVPUVRXFV
      UBUXRUWOUVQUXNXGXHXJUSUTVEVAXKXLXSXMXNXOXPXQXNXRXTYAYBXIYCUUCYOYKUUAOZCKP
      EFABDDYPATZUUBVUCCKVUDYRYKUUAVUDYQYIYJYPAUQUTVTVAYSBTZVUCYNCKVUEUUAYMYKVU
      EYTYLYJYSBUQUTWAVAWBYDYE $.
      $( [21-Jan-2015] $)
  $}

  ${
    $d m n a b t x $.
    $( Lemma for ~ ncfinlower .  Set up stratification for induction. $)
    ncfinlowerlem1 $p |- { m | A. a A. b ( ( ~P1 a e. m /\ ~P1 b
             e. m ) -> E. n e. Nn ( a e. n /\ b e. n ) ) } e. _V $=
      ( vt vx cvv cssetk cpw1 cnnc wcel wa wrex wex copk csn exbii 3bitr4i snex
      3bitri c1c cpw cxpk cins3k csik cins2k csymdif cimak cdif ccnvk ccompl cv
      cin wel wi wal cab wn wceq vex elimak elpw11c anbi1i 19.41v bitr4i df-rex
      excom opkeq1 eleq1d ceqsexv opkex elpw131c eldif elin elpw121c otkelins3k
      opksnelsik eqpw1relk elssetk bitri anbi12i mpbiran df-clel elpw12 r19.41v
      opkelxpk rexcom4 opkelcnvk rexbii notbii exanali elcompl alex abbi2i vvex
      otkelins2k 1cex xpkex ssetkex ins3kex sikex ins2kex symdifex pw1ex imakex
      pwex difex inex cnvkex nncex complex eqeltrri ) GUAUBZGUCZHUDZHUEZUFZUGZU
      AIZIZIZUHZUIZUEZUDZHUFZUMZXTUHZUCZYHUFZUMZHUJZUFZYLUDZUMZJIZIZUHZUEZUDZUI
      ZYAUHZXSUHZUKZCULZIZAULZKZDULZIZUUGKZLZCBUNZDBUNZLZBJMZUODUPZCUPZAUQGUURA
      UUDUUGUUCKZURUUQURZCNZURUUGUUDKUURUUSUVAUUSEULZUUGOZUUBKZEXSMZUVBUUEPZPZU
      SZUVDLZENZCNZUVAEUUBXSUUGAUTZVAUVBXSKZUVDLZENUVICNZENUVEUVKUVNUVOEUVNUVHC
      NZUVDLUVOUVMUVPUVDCUVBVBVCUVHUVDCVDVEQUVDEXSVFUVICEVGRUVJUUTCUVJUVGUUGOZU
      UBKZUULUUPURZLZDNZUUTUVDUVREUVGUVFSZUVHUVCUVQUUBUVBUVGUUGVHVIVJUVRUVBUVQO
      ZUUAKZEYAMZUVBUUIPZPZPZPZUSZUWDLZENZDNZUWAEUUAYAUVQUVGUUGVKZVAUVBYAKZUWDL
      ZENUWKDNZENUWEUWMUWPUWQEUWPUWJDNZUWDLUWQUWOUWRUWDDUVBVLVCUWJUWDDVDVEQUWDE
      YAVFUWKDEVGRUWLUVTDUWLUWIUVQOZUUAKZUWSYKKZUWSYTKZURZLUVTUWDUWTEUWIUWHSZUW
      JUWCUWSUUAUVBUWIUVQVHVIVJUWSYKYTVMUXAUULUXCUVSUXAUWSYIKZUWSYJKZLUULUWSYIY
      JVNUXEUUHUXFUUKUVQYHKZFULZUUFUSZFAUNZLZFNZUXEUUHUXGUWCYGKZEXTMZUVBUXHPZPZ
      PZUSZUXMLZENZFNZUXLEYGXTUVQUWNVAUVBXTKZUXMLZENUXSFNZENUXNUYAUYCUYDEUYCUXR
      FNZUXMLUYDUYBUYEUXMFUVBVOZVCUXRUXMFVDVEQUXMEXTVFUXSFEVGRUXTUXKFUXTUXQUVQO
      ZYGKZUYGYEKZUYGYFKZLUXKUXMUYHEUXQUXPSZUXRUWCUYGYGUVBUXQUVQVHVIVJUYGYEYFVN
      UYIUXIUYJUXJUYIUXOUVGOYDKUXHUVFOYCKUXIUXOUVGUUGYDUXHSZUWBUVLVPUXHUVFYCFUT
      ZUUESZVQUXHUUEUYMCUTZVRTUYJUXOUUGOHKZUXJUXOUVGUUGHUYLUWBUVLWPUXHUUGUYMUVL
      VSZVTWATQTUXEUWIGKUXGUXDUWIUVQGYHUXDUWNWFWBFUUFUUGWCRUWGUUGOZYHKZUXHUUJUS
      ZUXJLZFNZUXFUUKUYSUVBUYROZYGKZEXTMZUXRVUDLZENZFNZVUBEYGXTUYRUWGUUGVKVAUYB
      VUDLZENVUFFNZENVUEVUHVUIVUJEVUIUYEVUDLVUJUYBUYEVUDUYFVCUXRVUDFVDVEQVUDEXT
      VFVUFFEVGRVUGVUAFVUGUXQUYROZYGKZVUKYEKZVUKYFKZLVUAVUDVULEUXQUYKUXRVUCVUKY
      GUVBUXQUYRVHVIVJVUKYEYFVNVUMUYTVUNUXJVUMUXOUWGOYDKUXHUWFOYCKUYTUXOUWGUUGY
      DUYLUWFSZUVLVPUXHUWFYCUYMUUISZVQUXHUUIUYMDUTZVRTVUNUYPUXJUXOUWGUUGHUYLVUO
      UVLWPUYQVTWATQTUWGUVGUUGYHVUOUWBUVLWPFUUJUUGWCRWAVTUXBUUPUXBUWGUVGOYSKUWF
      UVFOZYRKZUUPUWGUVGUUGYSVUOUWBUVLVPUWFUVFYRVUPUYNVQVUSUVBVUROZYOKZEYQMZUVB
      BULZPZPZUSZVVALZENZBJMZUUPEYOYQVURUWFUVFVKVAUVBYQKZVVALZENVVGBJMZENVVBVVI
      VVKVVLEVVKVVFBJMZVVALVVLVVJVVMVVABUVBJWDVCVVFVVABJWEVEQVVAEYQVFVVGBEJWGRV
      VHUUOBJVVHVVEVUROZYOKZVVNYMKZVVNYNKZLUUOVVAVVOEVVEVVDSVVFVUTVVNYOUVBVVEVU
      RVHVIVJVVNYMYNVNVVPUUMVVQUUNVVPVVCUVFOYLKUVFVVCOHKUUMVVCUWFUVFYLBUTZVUPUY
      NWPVVCUVFHVVRUYNWHUUEVVCUYOVVRVSTVVQVVCUWFOYLKUWFVVCOHKUUNVVCUWFUVFYLVVRV
      UPUYNVPVVCUWFHVVRVUPWHUUIVVCVUQVVRVSTWATWITTWJWATQTUULUUPDWKTQTWJUUGUUCUV
      LWLUUQCWMRWNUUCUUBXSUUAYAYKYTYIYJGYHWOYGXTYEYFYDYCXNYBXMGUAWQXFWOWRXRYAXO
      XQHWSWTXPHWSXAXBXCXTXSUAWQXDZXDZXDZXEXGXAWTHWSXBXHVVTXEZWRYHVWBXBXHYSYRYO
      YQYMYNYLHWSXIZXBYLVWCWTXHYPJXJXDXDXEXAWTXGVWAXEVVSXEXKXL $.
      $( [22-Jan-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a m $.  $d a n $.  $d A n $.  $d B a $.
    $d B b $.  $d b m $.  $d b n $.  $d B n $.  $d M a $.  $d M b $.  $d a k $.
    $d b k $.  $d k m $.  $d k n $.  $d M m $.  $d m n $.  $d a c $.  $d a d $.
    $d a x $.  $d a y $.  $d b c $.  $d b d $.  $d b x $.  $d b y $.  $d c d $.
    $d c k $.  $d c x $.  $d c y $.  $d d k $.  $d d x $.  $d d y $.  $d x y $.
    $d a e $.  $d a f $.  $d a w $.  $d a z $.  $d b e $.  $d b f $.  $d b w $.
    $d b z $.  $d c e $.  $d c f $.  $d c n $.  $d c w $.  $d c z $.  $d d e $.
    $d d f $.  $d d n $.  $d d w $.  $d d z $.  $d e f $.  $d e w $.  $d e x $.
    $d e y $.  $d e z $.  $d f w $.  $d f x $.  $d f y $.  $d f z $.  $d k x $.
    $d k y $.  $d n x $.  $d n y $.  $d w x $.  $d w y $.  $d w z $.  $d x z $.
    $d y z $.  $d e k $.  $d e m $.  $d e n $.  $d f k $.  $d f m $.  $d f n $.
    $d k w $.  $d k z $.  $d m w $.  $d m z $.  $d n w $.  $d n z $.  $d c m $.
    $d d m $.  $d m x $.  $d m y $.
    $( If the unit power classes of two sets are in the same natural, then so
       are the sets themselves.  Theorem X.1.26 of {{Rosser}}, p. 527. $)
    ncfinlower $p |- ( ( M e. Nn /\ ~P1 A e. M /\ ~P1 B e. M ) ->
       E. n e. Nn ( A e. n /\ B e. n ) ) $=
      ( va vb vm vc vd ve vf cnnc wcel cv wa wrex wi c0 wceq eleq2 vk vx vy wel
      vz vw cpw1 wal c1c cplc ncfinlowerlem1 c0c el0c pw10b bitri syl6bb imbi1d
      anbi12d 2albidv weq peano1 eqid mpbir pm3.2i rcla4ev mp2an eleq1 bi2anan9
      rexbidv mpbiri gen2 ax-17 hba1 hban csn cun ccompl reeanv 2rexbii anbi12i
      hba2 elsuc 3bitr4ri w3a wex wn cvv vex pw1eq eleq1d imbi12d cla42gv com12
      elequ1 ad2antrl peano2 simprrl adantr syl2anc simprrr expr rexlimdva syld
      elsuci syl12anc imp an32s wb 3ad2ant2 compleq eleq12 snex elcompl snelpw1
      xchbinx sylan2 ancoms 3adant1 anbi2d 3ad2ant1 eeanv 2exbii elequ2 cbvrexv
      exlimdvv pw1eqadj 3imtr4g rexlimdvv rexlimdvva syl5bi alrimi finds pw1exb
      ex elex sylib syl2an pm2.43b syl 3impib ) DLMZAUGZDMZBUGZDMZACNZMZBUUFMZO
      ZCLPZUUAENZUGZDMZFNZUGZDMZOZECUDZFCUDZOZCLPZQZFUHEUHZUUCUUEOZUUJQZUULGNZM
      ZUUOUVFMZOZUVAQZFUHEUHUUKRSZUUNRSZOZUVAQZFUHEUHUULUANZMZUUOUVOMZOZUVAQZFU
      HZEUHZUULUVOUIUJZMZUUOUWBMZOZUVAQZFUHZEUHZUVCGUADGCEFUKUVFULSZUVJUVNEFUWI
      UVIUVMUVAUWIUVGUVKUVHUVLUWIUVGUULULMZUVKUVFULUULTUWJUULRSUVKUULUMUUKUNUOU
      PUWIUVHUUOULMZUVLUVFULUUOTUWKUUORSUVLUUOUMUUNUNUOUPURUQUSGUAUTZUVJUVSEFUW
      LUVIUVRUVAUWLUVGUVPUVHUVQUVFUVOUULTUVFUVOUUOTURUQUSUVFUWBSZUVJUWFEFUWMUVI
      UWEUVAUWMUVGUWCUVHUWDUVFUWBUULTUVFUWBUUOTURUQUSUVFDSZUVJUVBEFUWNUVIUUQUVA
      UWNUVGUUMUVHUUPUVFDUULTUVFDUUOTURUQUSUVNEFUVMUVARUUFMZUWOOZCLPZULLMRULMZU
      WROZUWQVAUWRUWRUWRRRSRVBRUMVCZUWTVDUWPUWSCULLUUFULSUWOUWRUWOUWRUUFULRTZUX
      AURVEVFUVMUUTUWPCLUVKUURUWOUVLUUSUWOUUKRUUFVGUUNRUUFVGVHVIVJVKUVOLMZUWAUW
      HUXBUWAOZUWGEUXBUWAEUXBEVLUVTEVMVNUXCUWFFUXBUWAFUXBFVLUVSFEWAVNUWEUULHNZU
      BNZVOVPSZUUOINZUCNZVOVPSZOZUCUXGVQZPUBUXDVQZPZIUVOPHUVOPZUXCUVAUXFUBUXLPZ
      UXIUCUXKPZOZIUVOPHUVOPUXOHUVOPZUXPIUVOPZOUXNUWEUXOUXPHIUVOUVOVRUXMUXQHIUV
      OUVOUXFUXIUBUCUXLUXKVRVSUWCUXRUWDUXSUBUULUVOHWBUCUUOUVOIWBVTWCUXCUXMUVAHI
      UVOUVOUXCHUAUDZIUAUDZOZOUXJUVAUBUCUXLUXKUXCUYBUXEUXLMZUXHUXKMZOZUXJUVAQUX
      CUYBUYEOZOZUUKJNZUENZVOZVPZSZUXDUYHUGZSZUXEUYJSZWDZUUNKNZUFNZVOZVPZSZUXGU
      YQUGZSZUXHUYSSZWDZOZUFWEUEWEZKWEJWEZEGUDZFGUDZOZGLPZUXJUVAUYGVUGVULJKUYGV
      UFVULUEUFVUFUYGVULVUFUYGVULQUXCUYMUVOMZVUBUVOMZOZUEJUDZWFZUFKUDZWFZOZOZOZ
      UYKUVFMZUYTUVFMZOZGLPZQUXBVVAUWAVVFUXBVVAOZUWAVVFVVGUWAJCUDZKCUDZOZCLPZVV
      FVUOUWAVVKQUXBVUTUWAVUOVVKUYHWGMUYQWGMUWAVUOVVKQZQJWHKWHUVSVVLEFUYHUYQWGW
      GEJUTZFKUTZOZUVRVUOUVAVVKVVMUVPVUMVVNUVQVUNVVMUULUYMUVOUUKUYHWIWJVVNUUOVU
      BUVOUUNUYQWIWJVHVVOUUTVVJCLVVMUURVVHVVNUUSVVIEJCWNFKCWNVHVIWKWLVFWMWOVVGV
      VJVVFCLVVGUUFLMZVVJVVFVVGVVPVVJOZOZUUFUIUJZLMZUYKVVSMZUYTVVSMZVVFVVPVVTVV
      GVVJUUFWPWOVVRVVHVUQVWAVVGVVPVVHVVIWQVVGVUQVVQUXBVUOVUQVUSWQWRUYHUUFUYIUE
      WHXDWSVVRVVIVUSVWBVVGVVPVVHVVIWTVVGVUSVVQUXBVUOVUQVUSWTWRUYQUUFUYRUFWHXDW
      SVVEVWAVWBOGVVSLUVFVVSSVVCVWAVVDVWBUVFVVSUYKTUVFVVSUYTTURVEXEXAXBXCXFXGVU
      FUYGVVBVULVVFVUFUYFVVAUXCVUFUYBVUOUYEVUTUYPUXTVUMVUEUYAVUNUYNUYLUXTVUMXHU
      YOUXDUYMUVOVGXIVUCVUAUYAVUNXHVUDUXGVUBUVOVGXIVHUYPUYCVUQVUEUYDVUSUYNUYOUY
      CVUQXHZUYLUYOUYNVWCUYNUYOUXLUYMVQZSZVWCUXDUYMXJUYOVWEOUYCUYJVWDMZVUQUXEUY
      JUXLVWDXKVWFUYJUYMMVUPUYJUYMUYIXLXMUYIUYHXNXOUPXPXQXRVUCVUDUYDVUSXHZVUAVU
      DVUCVWGVUDVUCOUYDUYSVUBVQZMZVUSVUCVUDUXKVWHSUYDVWIXHUXGVUBXJUXHUYSUXKVWHX
      KXPVWIUYSVUBMVURUYSVUBUYRXLXMUYRUYQXNXOUPXQXRVHURXSVUFVUKVVEGLUYPVUIVVCVU
      EVUJVVDUYLUYNVUIVVCXHUYOUUKUYKUVFVGXTVUAVUCVUJVVDXHVUDUUNUYTUVFVGXTVHVIWK
      VJWMYEYEUYPUEWEZVUEUFWEZOZKWEJWEVWJJWEZVWKKWEZOVUHUXJVWJVWKJKYAVUGVWLJKUY
      PVUEUEUFYAYBUXFVWMUXIVWNJUEUXDUXEUUKHWHUBWHYFKUFUXGUXHUUNIWHUCWHYFVTWCUUT
      VUKCGLCGUTUURVUIUUSVUJCGEYCCGFYCURYDYGXAYHYIYJYKYKYNYLUVCUVDUUJUUCAWGMZBW
      GMZUVCUVEQUUEUUCUUBWGMVWOUUBDYOAYMYPUUEUUDWGMVWPUUDDYOBYMYPUVBUVEEFABWGWG
      UUKASZUUNBSZOZUUQUVDUVAUUJVWQUUMUUCVWRUUPUUEVWQUULUUBDUUKAWIWJVWRUUOUUDDU
      UNBWIWJVHVWSUUTUUICLVWQUURUUGVWRUUSUUHUUKAUUFVGUUNBUUFVGVHVIWKWLYQYRYSYT
      $.
      $( [22-Jan-2015] $)
  $}

  ${
    $d a b $.  $d a n $.  $d a p $.  $d b n $.  $d b p $.  $d M a $.  $d M b $.
    $d M n $.  $d M p $.  $d n p $.  $d a m $.  $d b m $.  $d m n $.  $d m p $.
    $d a q $.  $d b q $.  $d M q $.  $d n q $.  $d p q $.
    $( For any non-empty finite cardinal, there is a unique natural containing
       a unit power class of one of its elements.  Theorem X.1.27 of
       {{Rosser}}, p. 528. $)
    nnpw1ex $p |- ( ( M e. Nn /\ M =/= (/) ) ->
      E! n e. Nn E. a e. M ~P1 a e. n ) $=
      ( vp vb vq cnnc wcel cpw1 wrex weq wral wex w3a ncfinraise anbi2i nnceleq
      wa cv syl22anc c0 wne wi wreu anidm rexbii sylib 3anidm23 ex ancld eximdv
      n0 rexcom df-rex bitri 3imtr4i pw1eq eleq1d cbvrexv reeanv bitr4i simplll
      imp simprll simprlr syl3anc simp1rl simp3l simp2rl simp3rl simp1rr eqtr4d
      simp2rr simp3rr 3expa exp32 mpd rexlimdvv syl5bi ralrimivva eleq2 rexbidv
      rexlimdv reu4 sylanbrc ) BGHZBUAUBZRZCSZIZASZHZCBJZAGJZWMWJDSZHZCBJZRZADK
      ZUCZDGLAGLWMAGUDWFWIBHZCMZRXAWLAGJZRZCMZWHWNWFXBXEWFXAXDCWFXAXCWFXAXCWFXA
      XCWFXAXANWLWLRZAGJXCWIWIABOXFWLAGWLUEUFUGUHUIUJUKVCWGXBWFCBULPWNXCCBJXEWL
      ACGBUMXCCBUNUOUPWHWTADGGWRWLESZIZWOHZRZEBJCBJZWHWKGHZWOGHZRZRZWSWRWMXIEBJ
      ZRXKWQXPWMWPXICEBCEKWJXHWOWIXGUQURUSPWLXICEBBUTVAXOXJWSCEBBXOXAXGBHZRZXJW
      SXOXRXJRZRZWJFSZHZXHYAHZRZFGJZWSXTWFXAXQYEWFWGXNXSVBXOXAXQXJVDXOXAXQXJVEW
      IXGFBOVFXTYDWSFGXTYAGHZYDWSXOXSYFYDRZWSXOXSYGNZWKYAWOYHXLYFWLYBAFKXLXMWHX
      SYGVGXOXSYFYDVHZWLXIXRXOYGVIYBYCYFXOXSVJWJWKYAQTYHXMYFXIYCDFKXLXMWHXSYGVK
      YIWLXIXRXOYGVMYBYCYFXOXSVNXHWOYAQTVLVOVPWCVQVPVRVSVTWMWQADGWSWLWPCBWKWOWJ
      WAWBWDWE $.
      $( [22-Jan-2015] $)
  $}

  ${
    $d A x y $.
    $( The finite T operator is always a set. $)
    tfinex $p |- _T[fin] A e. _V $=
      ( vx vy ctfin c0 wceq cv cnnc wcel cpw1 wa cio cif cvv df-tfin 0ex iotaex
      wrex ifex eqeltri ) ADAEFZEBGZHICGJUBICARKZBLZMNBACOUAEUDPUCBQST $.
      $( [26-Jan-2015] $)
  $}

  ${
    $d M n $.  $d M t $.  $d M w $.  $d M y $.  $d M z $.  $d n t $.  $d n w $.
    $d n x $.  $d n y $.  $d n z $.  $d t w $.  $d t x $.  $d t y $.  $d t z $.
    $d w y $.  $d w z $.  $d X t $.  $d x y $.  $d X z $.  $d y z $.  $d a n $.
    $d a t $.  $d a x $.  $d a y $.  $d a z $.  $d M a $.
    eqtfinrelk.1 $e |- M e. _V $.
    eqtfinrelk.2 $e |- X e. _V $.
    $( Equality to a T raising expressed via a Kuratowski relationship. $)
    eqtfinrelk $p |- ( << { M } , X >> e. ( ( { { (/) } } X._k { (/) } ) u.
  ( ~ ( ( Ins2_k SSet_k (+)
      Ins3_k
( ( Ins3_k `'_k SSet_k \
    Ins2_k
( ( Ins2_k ( ( Nn X._k _V ) i^i
     ( ( Ins2_k SI_k SSet_k i^i
         Ins3_k
           ( ( Ins3_k SI_k ( ( ~P 1c X._k _V ) \
  ( ( Ins3_k SSet_k (+) Ins2_k SI_k SSet_k )
    "_k ~P1 ~P1 ~P1 1c ) ) i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) )
       "_k ~P1 ~P1 ~P1 1c ) ) (+)
    Ins3_k _I_k ) "_k ~P1 1c ) ) "_k ~P1 1c ) )
      "_k ~P1 ~P1 1c )
    \ ( { { (/) } } X._k _V ) ) ) <-> X = _T[fin] M ) $=
      ( vy va vz vt vn vx csn copk c0 cssetk cvv wcel wceq wa snex wex cxpk c1c
      cins2k ccnvk cins3k cnnc csik cpw csymdif cpw1 cimak cdif cin cidk ccompl
      cun cv wrex cio cif ctfin wb snid opkelxpk mpbiran elsn bitri orbi1i elun
      wo wn mpbir2an notnoti intnan eldif mtbir biorfi 3bitr4i a1i sneq opkeq1d
      eleq1d iftrue eqeq2d 3bitr4d iffalse elimak elpw121c anbi1i 19.41v bitr4i
      opkex exbii df-rex opkeq1 ceqsexv elsymdif otkelins2k vex elssetk wel weq
      excom wal otkelins3k opkelcnvk elpw11c elin mpbiran2 opksnelsik eqpw1relk
      3bitri anbi12i df-clel elpw131c opkelidkg bibi12i xchbinx 3bitrri con1bii
      mp2an exnal cab cuni dfiota2 eleq2i eluniab notbii elcompl dfcleq biantru
      alex sneqb 3bitr2i biimpi con3i biantrud simpl biorf syl6bbr syl 3bitr2rd
      bitrd orbi12i pm2.61i df-tfin eqeq2i ) AKZBLZMKZKZUUJUAZNUCZNUDZUEZUFOUAZ
      NUGZUCZUBUHOUANUEUURUIUBUJZUJZUJZUKULZUGZUEZUUMUMZUUTUKZUEZUMZUVAUKZUMZUC
      ZUNUEZUIZUUSUKZUCZULZUUSUKZUEZUIZUUTUKZUOZUUKOUAZULZUPZPZBAMQZMEUQZUFPZFU
      QZUJZUWGPZFAURZRZEUSZUTZQZBAVAZQUWFUWEUWPVBUWFUUJBLZUWDPZBMQZUWEUWPUWSUWT
      VBUWFUWRUULPZUWRUWCPZVJUWTUXBVJUWSUWTUXAUWTUXBUXABUUJPZUWTUXAUUJUUKPZUXCU
      UJMSZVCZUUJBUUKUUJUXEDVDVEBMDVFZVGVHUWRUULUWCVIUXBUWTUXBUWRUWAPZUWRUWBPZV
      KZRUXJUXHUXIUXIUXDBOPZUXFDUUJBUUKOUXEDVDVLVMVNUWRUWAUWBVOVPVQVRVSUWFUUIUW
      RUWDUWFUUHUUJBAMVTWAWBUWFUWOMBUWFMUWNWCWDWEUWFVKZUWPBUWNQZUUIUWAPZUWEUXLU
      WOUWNBUWFMUWNWFWDUXNUXMVBUXLUUIUVTPZVKGUQZBPZUXPUWNPZVBZVKZGTZVKZUXNUXMUX
      OUYAUXOHUQZUUILZUVSPZHUUTURZUYCUXPKZKZKZQZUYERZHTZGTZUYAHUVSUUTUUIUUHBWLZ
      WGUYCUUTPZUYERZHTUYKGTZHTUYFUYMUYPUYQHUYPUYJGTZUYERUYQUYOUYRUYEGUYCWHWIUY
      JUYEGWJWKWMUYEHUUTWNUYKGHXCVRUYLUXTGUYLUYIUUILZUVSPZUXTUYEUYTHUYIUYHSUYJU
      YDUYSUVSUYCUYIUUIWOWBWPUYTUYSUUMPZUYSUVRPZVBUXSUYSUUMUVRWQVUAUXQVUBUXRVUA
      UYGBLNPUXQUYGUUHBNUXPSZASZDWRUXPBGWSZDWTVGUYCIUQZKZKZQZUYCUYGUUHLZLZUVPPZ
      RZHTZITZGIXAZUWMEIXBZVBZEXDZRZITZVUBUXRVUNVUTIVUNVUHVUJLZUVPPZVVBUUOPZVVB
      UVOPZVKZRVUTVULVVCHVUHVUGSVUIVUKVVBUVPUYCVUHVUJWOWBWPVVBUUOUVOVOVVDVUPVVF
      VUSVVDVUFUYGLUUNPUYGVUFLNPVUPVUFUYGUUHUUNIWSZVUCVUDXEVUFUYGNVVGVUCXFUXPVU
      FVUEVVGWTXLVUSVVEVVEVUFUUHLZUVNPZVURVKZETZVUSVKVUFUYGUUHUVNVVGVUCVUDWRVVI
      UYCVVHLZUVMPZHUUSURZUYCUWGKZKZQZVVMRZHTZETZVVKHUVMUUSVVHVUFUUHWLWGUYCUUSP
      ZVVMRZHTVVRETZHTVVNVVTVWBVWCHVWBVVQETZVVMRVWCVWAVWDVVMEUYCXGWIVVQVVMEWJWK
      WMVVMHUUSWNVVREHXCVRVVSVVJEVVSVVPVVHLZUVMPZVVJVVMVWFHVVPVVOSVVQVVLVWEUVMU
      YCVVPVVHWOWBWPVWFVWEUVKPZVWEUVLPZVBVURVWEUVKUVLWQVWGUWMVWHVUQVWGUWGUUHLZU
      VJPVWIUUPPZVWIUVIPZRUWMUWGVUFUUHUVJEWSZVVGVUDWRVWIUUPUVIXHVWJUWHVWKUWLVWJ
      UWHUUHOPVUDUWGUUHUFOVWLVUDVDXIUYCUWIKZKZKZKZQZUYCVWILZUVHPZRZHTZFTZUWIAPZ
      UWKRZFTVWKUWLVXAVXDFVXAVWPVWILZUVHPZVXEUURPZVXEUVGPZRVXDVWSVXFHVWPVWOSVWQ
      VWRVXEUVHUYCVWPVWIWOWBWPVXEUURUVGXHVXGVXCVXHUWKVXGVWNUUHLUUQPVWMALNPVXCVW
      NUWGUUHUUQVWMSZVWLVUDWRVWMANUWISZCXJUWIAFWSZCWTXLVWNUWGLZUVFPZJUQZUWJQZJE
      XAZRZJTZVXHUWKVXMUYCVXLLZUVEPZHUUTURZUYCVXNKZKZKZQZVXTRZHTZJTZVXRHUVEUUTV
      XLVWNUWGWLWGUYOVXTRZHTVYFJTZHTVYAVYHVYIVYJHVYIVYEJTZVXTRVYJUYOVYKVXTJUYCW
      HWIVYEVXTJWJWKWMVXTHUUTWNVYFJHXCVRVYGVXQJVYGVYDVXLLZUVEPZVYLUVDPZVYLUUMPZ
      RVXQVXTVYMHVYDVYCSVYEVXSVYLUVEUYCVYDVXLWOWBWPVYLUVDUUMXHVYNVXOVYOVXPVYNVY
      BVWNLUVCPVXNVWMLUVBPVXOVYBVWNUWGUVCVXNSZVXIVWLXEVXNVWMUVBJWSZVXJXJVXNUWIV
      YQVXKXKXLVYOVYBUWGLNPVXPVYBVWNUWGNVYPVXIVWLWRVXNUWGVYQVWLWTVGXMXLWMXLVWNU
      WGUUHUVFVXIVWLVUDXEJUWJUWGXNVRXMXLWMVWSHUVAURZVWTFTZHTZVWKVXBVYRUYCUVAPZV
      WSRZHTVYTVWSHUVAWNWUBVYSHWUBVWQFTZVWSRVYSWUAWUCVWSFUYCXOWIVWQVWSFWJWKWMVG
      HUVHUVAVWIUWGUUHWLWGVWTFHXCVRUWKFAWNVRXMXLVWHUWGVUFLUNPZVUQUWGVUFUUHUNVWL
      VVGVUDXEUWGOPVUFOPWUDVUQVBVWLVVGUWGVUFOOXPYAVGXQXRVGWMXLVUREYBXSXTXMXLWMV
      UBVUJUVQPVULHUUSURZVUOUYGUUHBUVQVUCVUDDXEHUVPUUSVUJUYGUUHWLWGVWAVULRZHTVU
      MITZHTWUEVUOWUFWUGHWUFVUIITZVULRWUGVWAWUHVULIUYCXGWIVUIVULIWJWKWMVULHUUSW
      NVUMIHXCVRXLUXRUXPVUSIYCYDZPVVAUWNWUIUXPUWMEIYEYFVUSIUXPYGVGVRXQXRVGWMXLY
      HUUIUVTUYNYIUXMUXSGXDUYBGBUWNYJUXSGYLVGVRVSUXLUXNUUIUULPZUUIUWCPZVJZUWEUX
      LUXNUWFUWTRZUXNUUIUWBPZVKZRZVJZWULUXLUXNWUPWUQUXLWUOUXNWUNUWFWUNUWFWUNUUH
      UUKPZUXKRWURUWFUUHBUUKOVUDDVDUXKWURDYKWURUUHUUJQUWFUUHUUJVUDVFAMCYMVGZYNY
      OYPYQUXLWUMVKWUPWUQVBWUMUWFUWFUWTYRYPWUMWUPYSUUAUUCWUJWUMWUKWUPWUJWURUXCR
      WUMUUHBUUKUUJVUDDVDWURUWFUXCUWTWUSUXGXMVGUUIUWAUWBVOUUDYTUUIUULUWCVIYTUUB
      UUEUWQUWOBEAFUUFUUGWK $.
      $( [29-Jan-2015] $)
  $}

  $( The expression at the core of ~ eqtfinrelk exists. $)
  tfinrelkex $p |- ( ( { { (/) } } X._k { (/) } ) u.
  ( ~ ( ( Ins2_k SSet_k (+)
      Ins3_k
( ( Ins3_k `'_k SSet_k \
    Ins2_k
( ( Ins2_k ( ( Nn X._k _V ) i^i
     ( ( Ins2_k SI_k SSet_k i^i
         Ins3_k
           ( ( Ins3_k SI_k ( ( ~P 1c X._k _V ) \
  ( ( Ins3_k SSet_k (+) Ins2_k SI_k SSet_k )
    "_k ~P1 ~P1 ~P1 1c ) ) i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) )
       "_k ~P1 ~P1 ~P1 1c ) ) (+)
    Ins3_k _I_k ) "_k ~P1 1c ) ) "_k ~P1 1c ) )
      "_k ~P1 ~P1 1c )
    \ ( { { (/) } } X._k _V ) ) ) e. _V $=
    ( cxpk cssetk cins2k cins3k cvv c1c csymdif cpw1 cimak cdif ssetkex ins2kex
    cin xpkex ins3kex vvex symdifex pw1ex imakex difex csn ccnvk cnnc csik cidk
    c0 cpw ccompl snex cnvkex nncex sikex 1cex pwex inex idkex complex unex ) U
    FUAZUAZUSABCZBUBZDZUCEAZBUDZCZFUGZEAZBDZVFGZFHZHZHZIZJZUDZDZVAMZVLIZDZMZVMI
    ZMZCZUEDZGZVKIZCZJZVKIZDZGZVLIZUHZUTEAZJUTUSUSUIZUFUINWNWOWMWLVLVAWKBKLZWJW
    IVKVCWHVBBKUJOWGWFVKWDWEWCVDWBUCEUKPNWAVMVFVTVEBKULLZVSVRVLVQVAVPVOVHVNVGEF
    UMUNPNVJVMVIVFBKOWRQVLVKFUMRZRZRZSTULOWQUOWTSOUOXASUOLUEUPOQWSSLTWSSOQWTSUQ
    UTEWPPNTUR $.
    $( [30-Jan-2015] $)

  ${
    $d A x y $.  $d B x y $.
    $( Equality theorem for the finite T operator. $)
    tfineq $p |- ( A = B -> _T[fin] A = _T[fin] B ) $=
      ( vx vy wceq c0 cv cnnc wcel cpw1 wrex cio cif ctfin eqeq1 rexeq iotabidv
      wa anbi2d df-tfin ifbieq2d 3eqtr4g ) ABEZAFEZFCGZHIZDGJUEIZDAKZRZCLZMBFEZ
      FUFUGDBKZRZCLZMANBNUCUDUKUJUNFABFOUCUIUMCUCUHULUFUGDABPSQUACADTCBDTUB $.
      $( [24-Jan-2015] $)
  $}

  ${
    $d a n $.  $d a z $.  $d M a $.  $d M n $.  $d M z $.  $d n z $.

    $( Properties of the finite T operator for a non-empty natural.  Theorem
       X.1.28 of {{Rosser}}, p. 528. $)
    tfinprop $p |- ( ( M e. Nn /\ M =/= (/) ) ->
      ( _T[fin] M e. Nn /\ E. a e. M ~P1 a e. _T[fin] M ) ) $=
      ( vn cnnc wcel c0 wne wa ctfin cv cpw1 wrex wceq cio cif df-tfin wn df-ne
      syl jca iffalse sylbi adantl nnpw1ex reiotacl eqeltrd syl5eqel syl5req wb
      wreu eleq2 rexbidv reiota2 mpbird ) ADEZAFGZHZAIZDEZBJKZUREZBALZUQURAFMZF
      CJZDEUTVDEZBALZHCNZOZDCABPZUQVHVGDUPVHVGMZUOUPVCQVJAFRVCFVGUAUBUCZUQVFCDU
      JZVGDECABUDZVFCDUESUFUGZUQVBVGURMZUQURVHVGVIVKUHUQUSVLHVBVOUIUQUSVLVNVMTV
      FVBCDURVDURMVEVABAVDURUTUKULUMSUNT $.
      $( [22-Jan-2015] $)
  $}

  ${
    $d M x $.
    $( If ` M ` is a non-empty natural, then ` _T[fin] M ` is also non-empty.
       Corollary 1 of Theorem X.1.28 of {{Rosser}}, p. 528. $)
    tfinnnul $p |- ( ( M e. Nn /\ M =/= (/) ) -> _T[fin] M =/= (/) ) $=
      ( vx cnnc wcel c0 wne wa ctfin cv cpw1 wrex tfinprop rexlimivw adantl syl
      ne0i ) ACDAEFGAHZCDZBIJZQDZBAKZGQEFZABLUAUBRTUBBAQSPMNO $.
      $( [23-Jan-2015] $)
  $}

  ${
    $d x y $.
    $( The finite T operator applied to the empty set is empty.  Theorem X.1.29
       of {{Rosser}}, p. 528. $)
    tfinnul $p |- _T[fin] (/) = (/) $=
      ( vx vy c0 ctfin wceq cv cnnc wcel cpw1 wrex cio cif df-tfin iftrue ax-mp
      wa eqid eqtri ) CDCCEZCAFZGHBFITHBCJPAKZLZCACBMSUBCECQSCUANOR $.
      $( [22-Jan-2015] $)
  $}


  ${
    $d N a $.
    $( Closure law for finite T operation. $)
    tfincl $p |- ( N e. Nn -> _T[fin] N e. Nn ) $=
      ( va cnnc wcel ctfin wi c0 wceq tfinnul tfineq 3eqtr4a eleq1d biimprd wne
      id wa cv cpw1 wrex tfinprop simpld expcom pm2.61ine ) ACDZAEZCDZFAGAGHZUF
      UDUGUEACUGGEGUEAIAGJUGOKLMUDAGNZUFUDUHPUFBQRUEDBASABTUAUBUC $.
      $( [2-Feb-2015] $)
  $}

  ${
    $d a b $.  $d a p $.  $d b p $.  $d M a $.  $d M b $.  $d M p $.  $d N a $.
    $d N b $.  $d N p $.

    $( The finite T operator is one-to-one over the naturals.  Theorem X.1.30
       of {{Rosser}}, p. 528. $)
    tfin11 $p |- ( ( M e. Nn /\ N e. Nn /\ _T[fin] M = _T[fin] N ) ->
            M = N ) $=
      ( va vb vp cnnc wcel ctfin wceq w3a wi c0 wa tfinnnul ex necon4d 3ad2ant1
      wne cv wrex impcom eqeq1 adantl adantr sylbid 3adant1 eqtr4d neeq1 biimpd
      wb ancld tfineq tfinnul syl6eq necon3i anim12i 3ad2ant3 tfinprop 3ad2ant2
      syl6 reeanv wel simp31 tfincl syl simp2l simp2r simp33 ncfinlower syl3anc
      eleqtrrd simpl31 simpl1l simprrl nnceleq syl22anc simpl32 simpl1r simprrr
      cpw1 simprl expr rexlimdva mpd 3exp rexlimivv ad2ant2l com12 syl2and syld
      sylbir pm2.61ine ) AFGZBFGZAHZBHZIZJZABIZKZWOLWOLIZWRWSXAWRMALBWRXAALIZWM
      WNXAXBKWQWMALWOLWMALRZWOLRZANOPQUAWRXABLIZWNWQXAXEKWMWNWQMXAWPLIZXEWQXAXF
      UJWNWOWPLUBUCWNXFXEKWQWNBLWPLWNBLRZWPLRZBNOPUDUEUFUAUGOWRXDWSWRXDXCXGMZWS
      WQWMXDXIKWNWQXDXDXHMXIWQXDXHWQXDXHWOWPLUHUIUKXDXCXHXGALWOLXBWOLHZLALULUMU
      NUOBLWPLXEWPXJLBLULUMUNUOUPUTUQWRXCWOFGZCSZVTWOGZCATZMZXGWPFGZDSZVTZWPGZD
      BTZMZWSWMWNXCXOKWQWMXCXOACUROQWNWMXGYAKWQWNXGYABDUROUSXOYAMWRWSXNXTWTXKXP
      XNXTMXMXSMZDBTCATWTXMXSCDABVAYBWTCDABXLAGZXQBGZMZYBWRWSYEYBWRJZCEVBZDEVBZ
      MZEFTZWSYFXKXMXRWOGYJYFWMXKYEYBWMWNWQVCAVDVEYEXMXSWRVFYFXRWPWOYEXMXSWRVGY
      EYBWMWNWQVHVKXLXQEWOVIVJYFYIWSEFYFESZFGZYIWSYFYLYIMZMZAYKBYNWMYLYCYGAYKIW
      MWNWQYEYBYMVLYFYLYIWAZYCYDYBWRYMVMYFYLYGYHVNXLAYKVOVPYNWNYLYDYHBYKIWMWNWQ
      YEYBYMVQYOYCYDYBWRYMVRYFYLYGYHVSXQBYKVOVPUGWBWCWDWEWFWKWGWHWIWJWHWL $.
      $( [24-Jan-2015] $)
  $}

  ${
    $d A b $.  $d A n $.  $d b n $.  $d M b $.  $d M n $.
    $( The finite T operator on a natural contains the unit power class of any
       element of the natural.  Theorem X.1.31 of {{Rosser}}, p. 528. $)
    tfinpw1 $p |- ( ( M e. Nn /\ A e. M ) -> ~P1 A e. _T[fin] M ) $=
      ( vb vn cnnc wcel wa ctfin cv cpw1 wrex c0 wne ne0i tfinprop sylan2 3expa
      expr rexlimdva mpd ncfinraise adantrr w3a simp3rl wceq simp3l syl simp3rr
      simp1l tfincl simp2r nnceleq syl22anc eleqtrd adantld ) BEFZABFZGZBHZEFZC
      IZJZUSFZCBKZGZAJZUSFZUQUPBLMVEBANBCOPURVDVGUTURVCVGCBURVABFZVCVGURVHVCGZG
      ZVFDIZFZVBVKFZGZDEKZVGURVHVOVCUPUQVHVOAVADBUAQUBVJVNVGDEVJVKEFZVNVGURVIVP
      VNGZVGURVIVQUCZVFVKUSVLVMVPURVIUDVRVPUTVMVCVKUSUEURVIVPVNUFVRUPUTUPUQVIVQ
      UIBUJUGVLVMVPURVIUHURVHVCVQUKVBVKUSULUMUNQRSTRSUOT $.
      $( [24-Jan-2015] $)
  $}

  ${
    $d A x $.
    $( Relationship between finite T operator and finite Nc operation in a
       finite universe.  Corollary of Theorem X.1.31 of {{Rosser}}, p. 529. $)
    ncfintfin $p |- ( ( _V e. Fin /\ A e. V ) ->
               _T[fin] Nc[fin] A = Nc[fin] ~P1 A ) $=
      ( cfin wcel wa cncfin ctfin cnnc cpw1 wceq ncfinprop simpld tfincl pw1exg
      cvv syl sylan2 tfinpw1 simprd nnceleq syl22anc ) OCDZABDZEZAFZGZHDZAIZFZH
      DZUHUFDZUHUIDZUFUIJUDUEHDZUGUDUMAUEDZABKZLUEMPUDUJULUCUBUHODUJULEABNUHOKQ
      ZLUDUMUNEUKUOAUERPUDUJULUPSUHUFUITUA $.
      $( [24-Jan-2015] $)
  $}

  ${
    $d M a b c t $.  $d N a b c t $.
    $( The finite T operation distributes over non-empty cardinal sum.  Theorem
       X.1.32 of {{Rosser}}, p. 529. $)
    tfindi $p |- ( ( M e. Nn /\ N e. Nn /\ ( M +c N ) =/= (/) ) ->
       _T[fin] ( M +c N ) = ( _T[fin] M +c _T[fin] N ) ) $=
      ( va vb vc cnnc wcel cplc c0 ctfin wceq cv cpw1 nncaddccl 3adant3 tfinpw1
      wa tfincl syl2anc cin wne wex n0 w3a syl syl2an simp3 wrex eladdc simplll
      cun simplrl simpllr simplrr pw1eq pw1in pw10 3eqtr3g adantl eladdci pw1un
      syl3anc syl6eq eleq1d syl5ibrcom expimpd rexlimdvva syl5bi 3impia nnceleq
      syl22anc 3expia exlimdv ) AFGZBFGZABHZIUAZVPJZAJZBJZHZKZVQCLZVPGZCUBVNVOQ
      ZWBCVPUCWEWDWBCVNVOWDWBVNVOWDUDZVRFGZWAFGZWCMZVRGZWIWAGZWBVNVOWGWDWEVPFGZ
      WGABNZVPRUEOVNVOWHWDVNVSFGVTFGWHVOARBRVSVTNUFOWFWLWDWJVNVOWLWDWMOVNVOWDUG
      WCVPPSVNVOWDWKWDDLZELZTZIKZWCWNWOUKZKZQZEBUHDAUHWEWKWCABDEUIWEWTWKDEABWEW
      NAGZWOBGZQZQZWQWSWKXDWQQZWKWSWNMZWOMZUKZWAGZXEXFVSGZXGVTGZXFXGTZIKZXIXEVN
      XAXJVNVOXCWQUJWEXAXBWQULWNAPSXEVOXBXKVNVOXCWQUMWEXAXBWQUNWOBPSWQXMXDWQWPM
      IMXLIWPIUOWNWOUPUQURUSXFXGVSVTUTVBWSWIXHWAWSWIWRMXHWCWRUOWNWOVAVCVDVEVFVG
      VHVIWIVRWAVJVKVLVMVHVI $.
      $( [26-Jan-2015] $)
  $}


  ${
    $( The finite T operator is fixed at ` 0c ` . $)
    tfin0c $p |- _T[fin] 0c = 0c $=
      ( c0c ctfin cnnc wcel c0 wceq peano1 tfincl ax-mp cpw1 pw10 nulel0c mp2an
      tfinpw1 eqeltrri nnceleq mp4an ) ABZCDZACDZERDEADZRAFTSGAHIGEJZERKTUAUBRD
      GLEANMOLERAPQ $.
      $( [29-Jan-2015] $)
  $}

  ${
    $d A a b x $.
    $( The finite T operator over a successor. $)
    tfinsuc $p |- ( ( A e. Nn /\ ( A +c 1c ) =/= (/) ) ->
       _T[fin] ( A +c 1c ) = ( _T[fin] A +c 1c ) ) $=
      ( va vb vx cnnc wcel c1c cplc ctfin wceq cv cpw1 peano2 tfincl syl adantr
      wa tfinpw1 csn cun c0 wne wex sylan ccompl wrex elsuc adantrr wel elcompl
      n0 wn vex snelpw1 xchbinxr biimpi ad2antll snex syl2anc pw1eq pw1un pw1sn
      elsuci uneq2i syl6eq eleq1d syl5ibrcom rexlimdvva syl5bi nnceleq syl22anc
      eqtri imp ex exlimdv ) AEFZAGHZUAUBZVQIZAIZGHZJZVRBKZVQFZBUCVPWBBVQUKVPWD
      WBBVPWDWBVPWDQVSEFZWAEFZWCLZVSFZWGWAFZWBVPWEWDVPVQEFZWEAMZVQNOPVPWFWDVPVT
      EFWFANVTMOPVPWJWDWHWKWCVQRUDVPWDWIWDWCCKZDKZSZTZJZDWLUEZUFCAUFVPWIDWCACUG
      VPWPWICDAWQVPWLAFZWMWQFZQQZWIWPWLLZWNSZTZWAFZWTXAVTFZWNXAFZULZXDVPWRXEWSW
      LARUHWSXGVPWRWSXGWSDCUIXFWMWLDUMZUJWMWLUNUOUPUQXAVTWNWMURVCUSWPWGXCWAWPWG
      WOLZXCWCWOUTXIXAWNLZTXCWLWNVAXJXBXAWMXHVBVDVLVEVFVGVHVIVMWGVSWAVJVKVNVOVI
      VM $.
      $( [30-Jan-2015] $)
  $}

  $( The finite T operator is idempotent over ` 1c ` .  Theorem X.1.34(a) of
     {{Rosser}}, p. 529. $)
  tfin1c $p |- _T[fin] 1c = 1c $=
    ( c0c c1c cplc ctfin cnnc wcel wne wceq peano1 addcid2 csn 1cex snel1c ne0i
    c0 ax-mp eqnetri tfinsuc mp2an tfineq tfin0c addceq1i eqtri 3eqtr3i ) ABCZD
    ZADZBCZBDZBAEFUEOGUFUHHIUEBOBJZBKZBFBOGBLMBUKNPQARSUEBHUFUIHUJUEBTPUHUEBUGA
    BUAUBUJUCUD $.
    $( [30-Jan-2015] $)

  ${
    $d M x y $.  $d N x y $.
    $( Lemma for ~ tfinltfin .  Prove the forward direction of the theorem. $)
    tfinltfinlem1 $p |- ( ( M e. Nn /\ N e. Nn ) ->
    ( << M , N >> e. <[fin] ->
      << _T[fin] M , _T[fin] N >> e. <[fin] ) ) $=
      ( vx vy cnnc wcel wa c0 wne cv cplc wceq wrex ctfin copk addceq1d syl2anc
      c1c wi cvv cltfin tfinnnul adantrd adantr addcnul1 addccom eqtr3i addceq2
      ex syl6eq eqeq2d rcla4ev mpan2 eleq1 tfineq tfinnul eqeq1d rexbidv mpbiri
      imbi12d adantld a1dd simp2r simp3r simp3l eqnetrrd addcnnul simpld simprd
      w3a cpw1 tfinprop adantl 3ad2ant3 simp1l nncaddccl tfinsuc tfindi syl3anc
      syl eqtrd 3expa exp32 com12 pm2.61ine expr rexlimdv jcad opkltfing tfinex
      imp3a wb mp2an a1i 3imtr4d ) AEFZBEFZGZAHIZBACJZKZRKZLZCEMZGZANZHIZBNZXFD
      JZKZRKZLZDEMZGZABOUAFXFXHOUAFZWRXEXGXMWPXEXGSWQWPWSXGXDWPWSXGAUBUIUCUDWRW
      SXDXMWRWSXDXMSWRWSGXCXMCEWRWSWTEFZXCXMSZWRWSXPGZGZXQSBHBHLZXSXMXCXTWRXMXR
      XTWQXMWPXTWQXMSHEFZHXKLZDEMZSYAHHRKZLZYCRHKHYDRUERHUFUGYBYEDHEXIHLZXKYDHY
      FXJHRYFXJXFHKHXIHXFUHXFUEUJPUKULUMXTWQYAXMYCBHEUNXTXLYBDEXTXHHXKXTXHHNHBH
      UOUPUJUQURUTUSVAUCVBXSBHIZXQXSYGXCXMWRXRYGXCGZXMWRXRYHVJZWTNZEFZXHXFYJKZR
      KZLZXMYIXPWTHIZYKWRWSXPYHVCZYIWSYOYIXAHIZWSYOGYIYQRHIZYIXBHIZYQYRGYIBXBHW
      RXRYGXCVDWRXRYGXCVEVFZXARVGVTVHZAWTVGVTVIXPYOGYKXIVKYJFDWTMWTDVLVHQYIXHXA
      NZRKZYMYIXHXBNZUUCYHWRXHUUDLZXRXCUUEYGBXBUOVMVNYIXAEFZYSUUDUUCLYIWPXPUUFW
      PWQXRYHVOZYPAWTVPQYTXAVQQWAYIUUBYLRYIWPXPYQUUBYLLUUGYPUUAAWTVRVSPWAXLYNDY
      JEXIYJLZXKYMXHUUHXJYLRXIYJXFUHPUKULQWBWCWDWEWFWGUIWKWHCABEEWIXOXNWLZWRXFT
      FXHTFUUIAWJBWJDXFXHTTWIWMWNWO $.
      $( [2-Feb-2015] $)
  $}


  ${
    $d M x y $.  $d N x y $.
    $( Ordering rule for the finite T operation.  Corollary to theorem X.1.33
       of {{Rosser}}, p. 529. $)
    tfinltfin $p |- ( ( M e. Nn /\ N e. Nn ) ->
    ( << M , N >> e. <[fin] <->
      << _T[fin] M , _T[fin] N >> e. <[fin] ) ) $=
      ( vx vy cnnc wcel wa copk cltfin ctfin tfinltfinlem1 wi c0 wceq cplc wrex
      wne wn cvv jca cv c1c tfineq tfinnul syl6eq df-ne con2bii intnanrd tfinex
      sylib wb opkltfing mp2an sylnibr pm2.21d a1d w3a tfinprop simpld ltfinirr
      cpw1 syl 3adant2 opkeq2 eleq1d notbid syl5ibcom con2d nsyl simpl1 syl2anc
      imp simpl3 simpl2 simprr simprl ltfinasym sylc expr imnan ancoms simprbda
      3adant3 adantrl mtod w3o ltfintri adantr ecase23d expcom pm2.61ine impbid
      ex 3expa ) AEFZBEFZGZABHIFZAJZBJZHZIFZABKWQXBWRLZLAMAMNZXCWQXDXBWRXDWSMQZ
      WTWSCUAOUBONCEPZGZXBXDXEXFXDWSMNZXERXDWSMJMAMUCUDUEXEXHWSMUFUGUJUHWSSFWTS
      FXBXGUKAUIBUICWSWTSSULUMUNUOUPWQAMQZXCWOWPXIXCWOWPXIUQZXBWRXJXBGZWRABNZBA
      HIFZXKWSWTNZXLXJXBXNRXJXNXBXJWSWSHZIFZRZXNXBRWOXIXQWPWOXIGZWSEFZXQXRXSDUA
      ZVAZWSFDAPADURUSZWSUTVBVCXNXPXBXNXOXAIWSWTWSVDVEVFVGVHVLABUCVIXKXMBMQZWTW
      SHIFZGZXKYCYDRZLYERXJXBYCYFXJXBYCGZGZXSWTEFZGXBYFYHXSYIYHWOXIXSWOWPXIYGVJ
      WOWPXIYGVMYBVKYHWPYCYIWOWPXIYGVNXJXBYCVOWPYCGYIYAWTFDBPBDURUSVKTXJXBYCVPW
      SWTVQVRVSYCYDVTUJXJXBXMYEXJXBXMGZGZYCYDXJXMYCXBXJXMYCABXTOUBONDEPZWOWPXMY
      CYLGUKZXIWPWOYMDBAEEULWAWCWBWDYKWPWOGXMYDYKWPWOWOWPXIYJVNWOWPXIYJVJTXJXBX
      MVOBAKVRTVSWEXJWRXLXMWFXBABWGWHWIWMWNWJWKWL $.
      $( [1-Feb-2015] $)
  $}

  $( Ordering rule for the finite T operation.  Theorem X.1.33 of {{Rosser}},
     p. 529. $)
  tfinlefin $p |- ( ( M e. Nn /\ N e. Nn ) ->
    ( << M , N >> e. <_[fin] <->
      << _T[fin] M , _T[fin] N >> e. <_[fin] ) ) $=
    ( cnnc wcel wa copk cltfin wn ctfin clefin tfinltfin ancoms notbid lenltfin
    wb tfincl syl2an 3bitr4d ) ACDZBCDZEZBAFGDZHBIZAIZFGDZHZABFJDUDUCFJDZUAUBUE
    TSUBUEOBAKLMABNSUDCDUCCDUGUFOTAPBPUDUCNQR $.
    $( [2-Feb-2015] $)

  ${
    $d a b $.  $d a c $.  $d a n $.  $d a t $.  $d a x $.  $d b c $.  $d b n $.
    $d b t $.  $d b x $.  $d c n $.  $d c t $.  $d c x $.  $d n x $.  $d n t $.
    $d t x $.

    $( The set of all even naturals exists. $)
    evenfinex $p |- Even[fin] e. _V $=
      ( vx vn va vt vc vb cssetk csik csn wrex wa wcel copk wn exbii snex bitri
      wex 3bitri opksnelsik cevenfin cins2k cvv cxpk cin cins3k c1c cpw1 ccompl
      cimak cun csymdif cnnc c0 cdif cv cplc wceq wne df-evenfin eldifsn elimak
      cab vex wb opkex elpw121c anbi1i 19.41v bitr4i df-rex excom opkeq1 eleq1d
      3bitr4i ceqsexv elsymdif otkelins2k elssetk otkelins3k r2ex elpw141c elin
      eladdc opkelxpk mpbiran anbi12i ndisjrelk notbii elcompl con2bii elpw171c
      wel df-ne wo orbi12i elun bibi12i wal dfcleq rexbii abbi2i eqtr4i ssetkex
      alex ins2kex vvex xpkex inex ins3kex 1cex pw1ex imakex complex sikex unex
      symdifex nncex difex eqeltri ) UAGUBZYAUBZUCYAUDZUEZGUFZYAUEZUGUHZUHZUJZU
      IZHZHZHZUFZGHZUFZUBZUBZYOHZHZHZHZUFZYTUFZUBZUKZULZYHUHZUHZUHZUHZUHZUJZUIZ
      UEZUEZUUIUJZYHUJZUFZULZYHUJZUIZUMUJZUNIZUOZUCUAAUPZBUPZUVGUQZURZBUMJZUVFU
      NUSZKZAVCUVEABUTUVLAUVEUVFUVELUVFUVCLZUVKKUVLUVFUVCUNVAUVMUVJUVKUVMUVGUVF
      MZUVBLZBUMJUVJBUVBUMUVFAVDZVBUVOUVIBUMUVNUVALZNCAWMZCUPZUVHLZVEZNZCRZNZUV
      OUVIUVQUWCUVQDUPZUVNMZUUTLZDYHJZUWEUVSIZIZIZURZUWGKZDRZCRZUWCDUUTYHUVNUVG
      UVFVFZVBUWEYHLZUWGKZDRUWMCRZDRUWHUWOUWRUWSDUWRUWLCRZUWGKUWSUWQUWTUWGCUWEV
      GVHUWLUWGCVIVJOUWGDYHVKUWMCDVLVOUWNUWBCUWNUWKUVNMZUUTLZUXAYALZUXAUUSLZVEZ
      NUWBUWGUXBDUWKUWJPUWLUWFUXAUUTUWEUWKUVNVMVNVPUXAYAUUSVQUXEUWAUXCUVRUXDUVT
      UXCUWIUVFMGLUVRUWIUVGUVFGUVSPZBVDZUVPVRUVSUVFCVDZUVPVSQUWIUVGMZUURLZUWEEU
      PZIZIZIZURZUWEUXIMZUUQLZKZDRZERZUXDUVTUXJUXQDYHJUWQUXQKZDRZUXTDUUQYHUXIUW
      IUVGVFZVBUXQDYHVKUYBUXRERZDRUXTUYAUYDDUYAUXOERZUXQKUYDUWQUYEUXQEUWEVGVHUX
      OUXQEVIVJOUXREDVLVJSUWIUVGUVFUURUXFUXGUVPVTUVTFUPZUXKUEZUNURZUVSUYFUXKUKZ
      URZKZEUVGJFUVGJFBWMZEBWMZKZUYKKZERFRZUXTUVSUVGUVGFEWDUYKFEUVGUVGWAUYPUYOF
      RZERUXTUYOFEVLUXSUYQEUXSUXNUXIMZUUQLZUWEUYFIZIZIZIZIZURZUWEUYRMZUUPLZKZDR
      ZFRZUYQUXQUYSDUXNUXMPZUXOUXPUYRUUQUWEUXNUXIVMVNVPUYSVUGDUUIJUWEUUILZVUGKZ
      DRZVUJDUUPUUIUYRUXNUXIVFZVBVUGDUUIVKVUNVUHFRZDRVUJVUMVUPDVUMVUEFRZVUGKVUP
      VULVUQVUGFUWEWBVHVUEVUGFVIVJOVUHFDVLVJSVUIUYOFVUIVUDUYRMZUUPLZVURYDLZVURU
      UOLZKUYOVUGVUSDVUDVUCPZVUEVUFVURUUPUWEVUDUYRVMVNVPVURYDUUOWCVUTUYNVVAUYKV
      UTVURYBLZVURYCLZKUYNVURYBYCWCVVCUYLVVDUYMVVCVUBUXIMYALUYTUVGMGLUYLVUBUXNU
      XIYAVUAPZVUKUYCVRUYTUWIUVGGUYFPZUXFUXGVRUYFUVGFVDZUXGVSSVVDUYRYALZUXLUVGM
      GLUYMVVDVUDUCLVVHVVBVUDUYRUCYAVVBVUOWEWFUXLUWIUVGGUXKPZUXFUXGVRUXKUVGEVDZ
      UXGVSSWGQVVAVURYNLZVURUUNLZKUYKVURYNUUNWCVVKUYHVVLUYJVVKVUBUXNMYMLVUAUXMM
      YLLZUYHVUBUXNUXIYMVVEVUKUYCVTVUAUXMYLUYTPZUXLPZTVVMUYTUXLMYKLUYFUXKMZYJLZ
      UYHUYTUXLYKVVFVVITUYFUXKYJVVGVVJTVVPYILZNUYGUNUSZNVVQUYHVVRVVSUYFUXKVVGVV
      JWHWIVVPYIUYFUXKVFWJVVSUYHUYGUNWNWKVOSSVURUUMLZNACWMZUVFUYILZVEZNZARZNZVV
      LUYJVVTVWEVVTUWEVURMZUUGLZDUULJZUWEUVFIZIZIZIZIZIZIZIZURZVWHKZDRZARZVWEDU
      UGUULVURVUDUYRVFZVBUWEUULLZVWHKZDRVWSARZDRVWIVXAVXDVXEDVXDVWRARZVWHKVXEVX
      CVXFVWHAUWEWLVHVWRVWHAVIVJOVWHDUULVKVWSADVLVOVWTVWDAVWTVWQVURMZUUGLZVXGYR
      LZVXGUUFLZVEZNVWDVWHVXHDVWQVWPPVWRVWGVXGUUGUWEVWQVURVMVNVPVXGYRUUFVQVXKVW
      CVXIVWAVXJVWBVXIVWOUYRMZYQLVWMUXIMYPLZVWAVWOVUDUYRYQVWNPZVVBVUOVRVWMUXNUX
      IYPVWLPZVUKUYCVRVXMVWKUWIMYOLVWJUVSMGLVWAVWKUWIUVGYOVWJPZUXFUXGVTVWJUVSGU
      VFPZUXHTUVFUVSUVPUXHVSSSVXGUUCLZVXGUUELZWOAFWMZAEWMZWOVXJVWBVXRVXTVXSVYAV
      XRVWOVUDMUUBLVWNVUCMUUALZVXTVWOVUDUYRUUBVXNVVBVUOVTVWNVUCUUAVWMPVUBPTVYBV
      WMVUBMYTLVWLVUAMYSLZVXTVWMVUBYTVXOVVETVWLVUAYSVWKPZVVNTVYCVWKUYTMYOLVWJUY
      FMGLVXTVWKUYTYOVXPVVFTVWJUYFGVXQVVGTUVFUYFUVPVVGVSSSSVXSVXLUUDLVWMUXNMYTL
      ZVYAVWOVUDUYRUUDVXNVVBVUOVRVWMUXNUXIYTVXOVUKUYCVTVYEVWLUXMMYSLVWKUXLMYOLZ
      VYAVWLUXMYSVYDVVOTVWKUXLYOVXPVVITVYFVWJUXKMGLVYAVWJUXKGVXQVVJTUVFUXKUVPVV
      JVSQSSWPVXGUUCUUEWQUVFUYFUXKWQVOWRWISOSWIVURUUMVXBWJUYJVWCAWSVWFAUVSUYIWT
      VWCAXEQVOWGQWGSOSOVJSVOWRWISOSWIUVNUVAUWPWJUVIUWACWSUWDCUVFUVHWTUWACXEQVO
      XAQVHQXBXCUVCUVDUVBUMUVAUUTYHYAUUSGXDXFZUURUUQYHUUPUUIYDUUOYBYCYAVYGXFUCY
      AXGVYGXHXIYNUUNYMYLYKYJYIYFYHYEYAGXDXJVYGXIYGUGXKXLXLZXMXNXOXOXOXJUUMUUGU
      ULYRUUFYQYPYOGXDXOZXJXFXFUUCUUEUUBUUAYTYSYOVYIXOXOZXOXOXJUUDYTVYJXJXFXPXQ
      UUKUUJUUIUUHYHVYHXLXLZXLXLXLXMXNXIXIVYKXMVYHXMXJXQVYHXMXNXRXMUNPXSXT $.
      $( [20-Jan-2015] $)

    $d a y $.  $d b y $.  $d n y $.  $d t y $.  $d x y $.

    $( The set of all odd naturals exists. $)
    oddfinex $p |- Odd[fin] e. _V $=
      ( vx va vt vb vc vy cssetk csn wceq wrex wa wcel copk wn wex 3bitr4i snex
      exbii 3bitri opksnelsik coddfin cins2k cvv cxpk cin cins3k c1c cpw1 cimak
      vn ccompl csik cun csymdif ccnvk cidk cnnc c0 cdif cplc wne cab df-oddfin
      cv eldifsn vex elimak wb opkex elpw121c anbi1i 19.41v bitr4i df-rex excom
      opkeq1 eleq1d ceqsexv elsymdif otkelins2k elssetk bitri elpw131c elpw141c
      elin opkelxpk mpbiran anbi12i otkelins3k ndisjrelk notbii elcompl con2bii
      wel df-ne elpw171c wo orbi12i elun bibi12i wal dfcleq alex r2ex opkelcnvk
      eladdc weq sneqb opkelidkg mp2an elsn elsuc rexbii abbi2i ssetkex ins2kex
      eqtr4i vvex xpkex inex ins3kex pw1ex imakex complex sikex symdifex cnvkex
      1cex unex idkex nncex difex eqeltri ) UAGUBZYNUBZUCYNUDZUEZGUFZYNUEZUGUHZ
      UHZUIZUKZULZULZULZUFZGULZUFZUBZUBZUUHULZULZULZULZUFZUUMUFZUBZUMZUNZUUAUHZ
      UHZUHZUHZUHZUIZUKZUEZUEZUVBUIZUUAUIZUBZUBZGUKZULZULZULZUOZUFZUEZUUKUUPUPU
      FZUBZUMZUNZUVEUIZUKZUEZUVBUIZUVAUIZUFZUNZUUAUIZUKZUQUIZURHZUSZUCUAAVDZUJV
      DZUWRUTZUGUTZIZUJUQJZUWQURVAZKZAVBUWPAUJVCUXDAUWPUWQUWPLUWQUWNLZUXCKUXDUW
      QUWNURVEUXEUXBUXCUXEUWRUWQMZUWMLZUJUQJUXBUJUWMUQUWQAVFZVGUXGUXAUJUQUXFUWL
      LZNBAWNZBVDZUWTLZVHZNZBOZNZUXGUXAUXIUXOUXICVDZUXFMZUWKLZCUUAJZUXQUXKHZHZH
      ZIZUXSKZCOZBOZUXOCUWKUUAUXFUWRUWQVIZVGUXQUUALZUXSKZCOUYEBOZCOUXTUYGUYJUYK
      CUYJUYDBOZUXSKUYKUYIUYLUXSBUXQVJVKUYDUXSBVLVMRUXSCUUAVNUYEBCVOPUYFUXNBUYF
      UYCUXFMZUWKLZUYMYNLZUYMUWJLZVHZNUXNUXSUYNCUYCUYBQZUYDUXRUYMUWKUXQUYCUXFVP
      VQVRUYMYNUWJVSUYQUXMUYOUXJUYPUXLUYOUYAUWQMGLUXJUYAUWRUWQGUXKQZUJVFZUXHVTU
      XKUWQBVFZUXHWAWBUYAUWRMZUWILZDVDZUWSLZUWQVUDUKZLZKZUXKVUDUWQHZUMZIZKZDOZA
      OZUYPUXLVUCUXQVUBMZUWHLZCUVAJZUXQVUIHZHZHZIZVUPKZCOZAOZVUNCUWHUVAVUBUYAUW
      RVIZVGVUQUXQUVALZVUPKZCOVVBAOZCOVVDVUPCUVAVNVVGVVHCVVGVVAAOZVUPKVVHVVFVVI
      VUPAUXQWCVKVVAVUPAVLVMRVVBCAVOSVVCVUMAVVCVUTVUBMZUWHLZUXQVUDHZHZHZHZHZIZU
      XQVVJMZUWGLZKZCOZDOZVUMVUPVVKCVUTVUSQZVVAVUOVVJUWHUXQVUTVUBVPVQVRVVKVVSCU
      VBJUXQUVBLZVVSKZCOZVWBCUWGUVBVVJVUTVUBVIZVGVVSCUVBVNVWFVVTDOZCOVWBVWEVWHC
      VWEVVQDOZVVSKVWHVWDVWIVVSDUXQWDVKVVQVVSDVLVMRVVTDCVOVMSVWAVULDVWAVVPVVJMZ
      UWGLZVWJUVTLZVWJUWFLZKVULVVSVWKCVVPVVOQZVVQVVRVWJUWGUXQVVPVVJVPVQVRVWJUVT
      UWFWEVWLVUHVWMVUKVWLVWJUVMLZVWJUVSLZKVUHVWJUVMUVSWEVWOVUEVWPVUGVWOVVNVUBM
      UVLLVVLUWRMZUVKLZVUEVVNVUTVUBUVLVVMQZVWCVVEVTVVLUYAUWRUVKVUDQZUYSUYTVTVWR
      BUJWNZEUJWNZKZUXKEVDZUEZURIZVUDUXKVXDUMZIZKZKZBOZEOZVUEVWRUXQVWQMZUVJLZCU
      UAJZUXQVXDHZHZHZIZVXNKZCOZEOZVXLCUVJUUAVWQVVLUWRVIZVGUYIVXNKZCOVXTEOZCOVX
      OVYBVYDVYECVYDVXSEOZVXNKVYEUYIVYFVXNEUXQVJVKVXSVXNEVLVMRVXNCUUAVNVXTECVOP
      VYAVXKEVYAVXRVWQMZUVJLZUXQUYCHZHZIZUXQVYGMZUVILZKZCOZBOZVXKVXNVYHCVXRVXQQ
      ZVXSVXMVYGUVJUXQVXRVWQVPVQVRVYHVYMCUVBJVWDVYMKZCOZVYPCUVIUVBVYGVXRVWQVIZV
      GVYMCUVBVNVYSVYNBOZCOVYPVYRWUACVYRVYKBOZVYMKWUAVWDWUBVYMBUXQWDVKVYKVYMBVL
      VMRVYNBCVOVMSVYOVXJBVYOVYJVYGMZUVILZWUCYQLZWUCUVHLZKVXJVYMWUDCVYJVYIQZVYK
      VYLWUCUVIUXQVYJVYGVPVQVRWUCYQUVHWEWUEVXCWUFVXIWUEWUCYOLZWUCYPLZKVXCWUCYOY
      PWEWUHVXAWUIVXBWUHUYCVWQMYNLVUBGLVXAUYCVXRVWQYNUYRVYQVYCVTUYAVVLUWRGUYSVW
      TUYTVTUXKUWRVUAUYTWASWUIVYGYNLZVXPUWRMGLVXBWUIVYJUCLWUJWUGVYJVYGUCYNWUGVY
      TWFWGVXPVVLUWRGVXDQZVWTUYTVTVXDUWREVFZUYTWASWHWBWUFWUCUUGLZWUCUVGLZKVXIWU
      CUUGUVGWEWUMVXFWUNVXHWUMUYCVXRMUUFLUYBVXQMUUELZVXFUYCVXRVWQUUFUYRVYQVYCWI
      UYBVXQUUEUYAQZVXPQZTWUOUYAVXPMUUDLUXKVXDMZUUCLZVXFUYAVXPUUDUYSWUKTUXKVXDU
      UCVUAWULTWURUUBLZNVXEURVAZNWUSVXFWUTWVAUXKVXDVUAWULWJWKWURUUBUXKVXDVIWLWV
      AVXFVXEURWOWMPSSWUCUVFLZNADWNZUWQVXGLZVHZNZAOZNZWUNVXHWVBWVGWVBUXQWUCMZUU
      TLZCUVEJZUXQVUTHZHZHZHZIZWVJKZCOZAOZWVGCUUTUVEWUCVYJVYGVIZVGUXQUVELZWVJKZ
      COWVQAOZCOWVKWVSWWBWWCCWWBWVPAOZWVJKWWCWWAWWDWVJAUXQWPVKWVPWVJAVLVMRWVJCU
      VEVNWVQACVOPWVRWVFAWVRWVOWUCMZUUTLZWWEUUKLZWWEUUSLZVHZNWVFWVJWWFCWVOWVNQW
      VPWVIWWEUUTUXQWVOWUCVPVQVRWWEUUKUUSVSWWIWVEWWGWVCWWHWVDWWGWVMVYGMZUUJLVUT
      VWQMUUILZWVCWVMVYJVYGUUJWVLQZWUGVYTVTVUTVXRVWQUUIVWCVYQVYCVTWWKVURVVLMZUU
      HLVUIVUDMZGLZWVCVURVVLUWRUUHVUIQZVWTUYTWIVUIVUDGUWQQZDVFZTUWQVUDUXHWWRWAZ
      SSWWEUUPLZWWEUURLZWQABWNZAEWNZWQWWHWVDWWTWXBWXAWXCWWTWVMVYJMUUOLWVLVYIMUU
      NLZWXBWVMVYJVYGUUOWWLWUGVYTWIWVLVYIUUNVUTQUYCQTWXDVUTUYCMUUMLVUSUYBMUULLZ
      WXBVUTUYCUUMVWCUYRTVUSUYBUULVURQZWUPTWXEVURUYAMUUHLVUIUXKMGLWXBVURUYAUUHW
      WPUYSTVUIUXKGWWQVUATUWQUXKUXHVUAWASSSWXAWWJUUQLVUTVXRMUUMLZWXCWVMVYJVYGUU
      QWWLWUGVYTVTVUTVXRVWQUUMVWCVYQVYCWIWXGVUSVXQMUULLVURVXPMUUHLZWXCVUSVXQUUL
      WXFWUQTVURVXPUUHWWPWUKTWXHVUIVXDMGLWXCVUIVXDGWWQWULTUWQVXDUXHWULWAWBSSWRW
      WEUUPUURWSUWQUXKVXDWSPWTWKSRSWKWUCUVFWVTWLVXHWVEAXAWVHAVUDVXGXBWVEAXCWBPW
      HWBWHSRSRSVUEVXIEUWRJBUWRJVXJEOBOVXLVUDUWRUWRBEXFVXIBEUWRUWRXDVXJBEVOSVMS
      VWPVVNVUTMUVRLVUTVVNMUVQLZVUGVVNVUTVUBUVRVWSVWCVVEWIVVNVUTUVQVWSVWCXEWXIV
      USVVMMUVPLWWMUVOLZVUGVUSVVMUVPWXFVVLQZTVURVVLUVOWWPVWTTWXJWWNUVNLZVUGVUIV
      UDUVNWWQWWRTWWONWVCNWXLVUGWWOWVCWWSWKWWNGVUIVUDVIWLUWQVUDUXHWLPWBSSWHWBVW
      JUWELZNFBWNZFVDZVUJLZVHZNZFOZNZVWMVUKWXMWXSWXMUXQVWJMZUWDLZCUVEJZUXQWXOHZ
      HZHZHZHZHZHZHZIZWYBKZCOZFOZWXSCUWDUVEVWJVVPVVJVIZVGWWAWYBKZCOWYMFOZCOWYCW
      YOWYQWYRCWYQWYLFOZWYBKWYRWWAWYSWYBFUXQWPVKWYLWYBFVLVMRWYBCUVEVNWYMFCVOPWY
      NWXRFWYNWYKVWJMZUWDLZWYTUUKLZWYTUWCLZVHZNWXRWYBXUACWYKWYJQWYLWYAWYTUWDUXQ
      WYKVWJVPVQVRWYTUUKUWCVSXUDWXQXUBWXNXUCWXPXUBWYIVVJMZUUJLWYGVUBMUUILZWXNWY
      IVVPVVJUUJWYHQZVWNVWGVTWYGVUTVUBUUIWYFQZVWCVVEVTXUFWYEUYAMUUHLWYDUXKMGLWX
      NWYEUYAUWRUUHWYDQZUYSUYTWIWYDUXKGWXOQZVUATWXOUXKFVFZVUAWASSWYTUUPLZWYTUWB
      LZWQFDWNZWXOVUILZWQXUCWXPXULXUNXUMXUOXULWYIVVPMUUOLWYHVVOMUUNLZXUNWYIVVPV
      VJUUOXUGVWNVWGWIWYHVVOUUNWYGQVVNQTXUPWYGVVNMUUMLWYFVVMMUULLZXUNWYGVVNUUMX
      UHVWSTWYFVVMUULWYEQZWXKTXUQWYEVVLMUUHLWYDVUDMGLXUNWYEVVLUUHXUIVWTTWYDVUDG
      XUJWWRTWXOVUDXUKWWRWASSSXUMXUEUWALWYGVUTMUPLZXUOWYIVVPVVJUWAXUGVWNVWGVTWY
      GVUTVUBUPXUHVWCVVEWIWYGVUTIZFAXGZXUSXUOXUTWYFVUSIWYEVURIZXVAWYFVUSXURXHWY
      EVURXUIXHXVBWYDVUIIXVAWYDVUIXUJXHWXOUWQXUKXHWBSWYGUCLVUTUCLXUSXUTVHXUHVWC
      WYGVUTUCUCXIXJWXOUWQXUKXKPSWRWYTUUPUWBWSWXOVUDVUIWSPWTWKSRSWKVWJUWEWYPWLV
      UKWXQFXAWXTFUXKVUJXBWXQFXCWBPWHSRSRSUYAUWRUWQUWIUYSUYTUXHWIUXLVUKAVUFJDUW
      SJVULAODOVUNAUXKUWSDXLVUKDAUWSVUFXDVULDAVOSPWTWKSRSWKUXFUWLUYHWLUXAUXMBXA
      UXPBUWQUWTXBUXMBXCWBPXMWBVKWBXNXQUWNUWOUWMUQUWLUWKUUAYNUWJGXOXPZUWIUWHUVA
      UWGUVBUVTUWFUVMUVSUVLUVKUVJUUAUVIUVBYQUVHYOYPYNXVCXPUCYNXRXVCXSXTUUGUVGUU
      FUUEUUDUUCUUBYSUUAYRYNGXOYAXVCXTYTUGYHYBYBZYCYDYEYEYEYAUVFUUTUVEUUKUUSUUJ
      UUIUUHGXOYEZYAXPXPZUUPUURUUOUUNUUMUULUUHXVEYEYEZYEYEYAZUUQUUMXVGYAXPYIYFU
      VDUVCUVBUVAUUAXVDYBZYBZYBYBYBZYCYDXTXTXVJYCXVDYCXPXPUVRUVQUVPUVOUVNGXOYDY
      EYEYEYGYAXTUWEUWDUVEUUKUWCXVFUUPUWBXVHUWAUPYJYAXPYIYFXVKYCYDXTXVJYCXVIYCY
      AYFXVDYCYDYKYCURQYLYM $.
      $( [20-Jan-2015] $)
  $}

  ${
    $d n x $.
    $( Cardinal zero is even. $)
    0ceven $p |- 0c e. Even[fin] $=
      ( vn vx c0c cevenfin wcel cv cplc wceq cnnc wrex c0 peano1 addcid2 eqcomi
      wne addceq12 anidms eqeq2d rcla4ev wa mp2an csn snid df-0c eleqtrri ax-mp
      0ex ne0i 0cex eqeq1 rexbidv neeq1 anbi12d df-evenfin elab2 mpbir2an ) CDE
      CAFZUQGZHZAIJZCKOZCIECCCGZHZUTLVBCCMNUSVCACIUQCHZURVBCVDURVBHUQUQCCPQRSUA
      KCEVAKKUBCKUGUCUDUECKUHUFBFZURHZAIJZVEKOZTUTVATBCDUIVECHZVGUTVHVAVIVFUSAI
      VECURUJUKVECKULUMBAUNUOUP $.
      $( [20-Jan-2015] $)
  $}

  ${
    $d A n x $.
    $( An even finite cardinal is a finite cardinal. $)
    evennn $p |- ( A e. Even[fin] -> A e. Nn ) $=
      ( vn vx cevenfin wcel cv cplc wceq cnnc wrex c0 wne eqeq1 rexbidv anbi12d
      wa neeq1 df-evenfin elab2g syl wi nncaddccl anidms eleq1a rexlimiv adantr
      ibi ) ADEZABFZUIGZHZBIJZAKLZPZAIEZUHUNCFZUJHZBIJZUPKLZPUNCADDUPAHZURULUSU
      MUTUQUKBIUPAUJMNUPAKQOCBRSUGULUOUMUKUOBIUIIEZUJIEZUKUOUAVAVBUIUIUBUCUJIAU
      DTUEUFT $.
      $( [20-Jan-2015] $)
  $}

  ${
    $d A n x $.
    $( An odd finite cardinal is a finite cardinal. $)
    oddnn $p |- ( A e. Odd[fin] -> A e. Nn ) $=
      ( vn vx coddfin wcel cv cplc c1c wceq cnnc wrex c0 wa eqeq1 rexbidv neeq1
      wne anbi12d df-oddfin elab2g ibi wi nncaddccl anidms peano2 3syl rexlimiv
      eleq1a adantr syl ) ADEZABFZULGZHGZIZBJKZALQZMZAJEZUKURCFZUNIZBJKZUTLQZMU
      RCADDUTAIZVBUPVCUQVDVAUOBJUTAUNNOUTALPRCBSTUAUPUSUQUOUSBJULJEZUMJEZUNJEUO
      USUBVEVFULULUCUDUMUEUNJAUHUFUGUIUJ $.
      $( [20-Jan-2015] $)
  $}

  ${
    $d A n x $.
    $( An even number is non-empty. $)
    evennnul $p |- ( A e. Even[fin] -> A =/= (/) ) $=
      ( vn vx cevenfin wcel cv cplc wceq cnnc wrex c0 wne eqeq1 rexbidv anbi12d
      wa neeq1 df-evenfin elab2g ibi simprd ) ADEZABFZUCGZHZBIJZAKLZUBUFUGPZCFZ
      UDHZBIJZUIKLZPUHCADDUIAHZUKUFULUGUMUJUEBIUIAUDMNUIAKQOCBRSTUA $.
      $( [22-Jan-2015] $)

    $( An odd number is non-empty. $)
    oddnnul $p |- ( A e. Odd[fin] -> A =/= (/) ) $=
      ( vn vx coddfin wcel cv cplc c1c wceq cnnc wrex c0 wa eqeq1 rexbidv neeq1
      wne anbi12d df-oddfin elab2g ibi simprd ) ADEZABFZUDGHGZIZBJKZALQZUCUGUHM
      ZCFZUEIZBJKZUJLQZMUICADDUJAIZULUGUMUHUNUKUFBJUJAUENOUJALPRCBSTUAUB $.
      $( [22-Jan-2015] $)
  $}

  ${
    $d A m n x $.
    $( The successor of an even natural is odd. $)
    sucevenodd $p |- ( ( A e. Even[fin] /\ ( A +c 1c ) =/= (/) ) ->
               ( A +c 1c ) e. Odd[fin] ) $=
      ( vm vx cevenfin wcel c1c cplc c0 wa coddfin wceq cnnc wrex eqeq1 rexbidv
      wne cv neeq1 anbi12d cvv df-evenfin elab2g ibi addceq1 reximi adantr 1cex
      syl anim1i wb addcexg mpan2 df-oddfin mpbird ) ADEZAFGZHPZIUPJEZUPBQZUSGZ
      FGZKZBLMZUQIZUOVCUQUOAUTKZBLMZAHPZIZVCUOVHCQZUTKZBLMZVIHPZIVHCADDVIAKZVKV
      FVLVGVMVJVEBLVIAUTNOVIAHRSCBUAUBUCVFVCVGVEVBBLAUTFUDUEUFUHUIUOURVDUJZUQUO
      UPTEZVNUOFTEVOUGAFDTUKULVIVAKZBLMZVLIVDCUPJTVIUPKZVQVCVLUQVRVPVBBLVIUPVAN
      OVIUPHRSCBUMUBUHUFUN $.
      $( [20-Jan-2015] $)
  $}

  ${
    $d A m n x $.
    $( The successor of an odd natural is even. $)
    sucoddeven $p |- ( ( A e. Odd[fin] /\ ( A +c 1c ) =/= (/) ) ->
               ( A +c 1c ) e. Even[fin] ) $=
      ( vm vn vx coddfin wcel c1c cplc c0 wa cevenfin cv wceq cnnc wrex rexbidv
      wne eqeq1 syl cvv neeq1 anbi12d df-oddfin elab2g wi peano2 addc32 addcass
      addceq1i eqtri addceq12 anidms eqeq2d rcla4ev mpan2 addceq1 biimprd com12
      ibi eqeq1d rexlimiv adantr anim1i wb 1cex addcexg df-evenfin mpbird ) AEF
      ZAGHZIQZJVJKFZVJBLZVMHZMZBNOZVKJZVIVPVKVIACLZVRHGHZMZCNOZAIQZJZVPVIWCDLZV
      SMZCNOZWDIQZJWCDAEEWDAMZWFWAWGWBWHWEVTCNWDAVSRPWDAIUAUBDCUCUDUSWAVPWBVTVP
      CNVRNFZVSGHZVNMZBNOZVTVPUEWIVRGHZNFZWLVRUFWNWJWMWMHZMZWLWJWMVRHZGHWOVSWQG
      VRVRGUGUIWMVRGUHUJWKWPBWMNVMWMMZVNWOWJWRVNWOMVMVMWMWMUKULUMUNUOSVTWLVPVTV
      PWLVTVOWKBNVTVJWJVNAVSGUPUTPUQURSVAVBSVCVIVLVQVDZVKVIVJTFZWSVIGTFWTVEAGET
      VFUOWDVNMZBNOZWGJVQDVJKTWDVJMZXBVPWGVKXCXAVOBNWDVJVNRPWDVJIUAUBDBVGUDSVBV
      H $.
      $( [22-Jan-2015] $)
  $}

  ${
    $d x n $.
    $( Alternate definition of even number. $)
    dfevenfin2 $p |- Even[fin] =
       { x | E. n e. Nn ( x = ( n +c n ) /\ ( n +c n ) =/= (/) ) } $=
      ( cevenfin cv cplc wceq cnnc wrex c0 wne df-evenfin r19.41v neeq1 pm5.32i
      wa cab rexbii bitr3i abbii eqtri ) CADZBDZUBEZFZBGHUAIJZOZAPUDUCIJZOZBGHZ
      APABKUFUIAUFUDUEOZBGHUIUDUEBGLUJUHBGUDUEUGUAUCIMNQRST $.
      $( [25-Jan-2015] $)

    $( Alternate definition of odd number. $)
    dfoddfin2 $p |- Odd[fin] =
       { x | E. n e. Nn ( x = ( ( n +c n ) +c 1c ) /\
             ( ( n +c n ) +c 1c ) =/= (/) ) } $=
      ( coddfin cv cplc c1c wceq cnnc wrex c0 wne cab df-oddfin r19.41v pm5.32i
      wa neeq1 rexbii bitr3i abbii eqtri ) CADZBDZUCEFEZGZBHIUBJKZPZALUEUDJKZPZ
      BHIZALABMUGUJAUGUEUFPZBHIUJUEUFBHNUKUIBHUEUFUHUBUDJQORSTUA $.
      $( [25-Jan-2015] $)
  $}

  ${
    $d x y k n m $.
    $( Every non-empty finite cardinal is either even or odd.  Theorem X.1.35
       of {{Rosser}}, p. 529. $)
    evenoddnnnul $p |- ( Even[fin] u. Odd[fin] ) = ( Nn \ { (/) } ) $=
      ( vx vn vm vk cevenfin coddfin cnnc c0 wss cv wcel wne ssriv wi c0c neeq1
      c1c wo eleq1 imbi12d cun cdif wa evennn evennnul eldifsn sylanbrc oddnnul
      csn oddnn pm3.2i unss mpbi cplc cab cvv wceq vex elsn df-ne con2bii bitri
      orbi1i elun imor 3bitr4i abbi2i snex evenfinex oddfinex unex eqeltrri weq
      wn 0ceven sselii a1i addcnnul simpld sucevenodd expcom sucoddeven orim12d
      ssun1 orcom 3imtr4g embantd com12 finds imp sylbi eqssi ) EFUAZGHUIZUBZEW
      OIZFWOIZUCWMWOIWPWQAEWOAJZEKWRGKZWRHLZWRWOKZWRUDWRUEWRGHUFZUGMAFWOWRFKWSW
      TXAWRUJWRUHXBUGMUKEFWOULUMBWOWMBJZWOKXCGKZXCHLZUCXCWMKZXCGHUFXDXEXFCJZHLZ
      XGWMKZNZOHLZOWMKZNDJZHLZXMWMKZNZXMQUNZHLZXQWMKZNZXEXFNCDXCWNWMUAZXJCUOUPX
      JCYAXGWNKZXIRXHVNZXIRXGYAKXJYBYCXIYBXGHUQZYCXGHCURUSXHYDXGHUTVAVBVCXGWNWM
      VDXHXIVEVFVGWNWMHVHEFVIVJVKVKVLXGOUQXHXKXIXLXGOHPXGOWMSTCDVMXHXNXIXOXGXMH
      PXGXMWMSTXGXQUQXHXRXIXSXGXQHPXGXQWMSTCBVMXHXEXIXFXGXCHPXGXCWMSTXLXKEWMOEF
      WDVOVPVQXPXTNXMGKXRXPXSXRXNXOXSXRXNQHLXMQVRVSXRXMEKZXMFKZRXQFKZXQEKZRZXOX
      SXRYEYGYFYHYEXRYGXMVTWAYFXRYHXMWBWAWCXMEFVDXSYHYGRYIXQEFVDYHYGWEVBWFWGWHV
      QWIWJWKMWL $.
      $( [20-Jan-2015] $)
  $}

  ${
    $d j n x a b y t $.
    $( Lemma for ~ evenodddisj .  Establish stratification for induction. $)
    evenodddisjlem1 $p |- { j | ( ( j +c j ) =/= (/) -> A.
n e. Nn ( ( ( n +c n ) +c 1c ) =/= (/) -> ( j +c j ) =/= ( ( n +c n ) +c 1c ) )
                                 ) } e. _V $=
      ( vx vy va vb vt cssetk csn wceq wn wcel copk wex wrex exbii 3bitr4i snex
      wa 3bitri cins3k cins2k cin c1c cpw1 cimak ccompl csik csymdif ccnvk cdif
      cun c0 cimagek cidk cvv cxpk cnnc cv cplc wne wi cab wo df-or vex elimakv
      wral elin wel wal opkex elimak elpw121c anbi1i 19.41v bitr4i df-rex excom
      wb opkeq1 ceqsexv elsymdif otkelins3k elssetk bitri otkelins2k opksnelsik
      eleq1d elpw141c ndisjrelk notbii elcompl con2bii elpw171c orbi12i bibi12i
      df-ne elun dfcleq alex anbi12i rexcom eqeq2i abeq2 opkelxpk mpbiran2 elsn
      df-addc elpw11c opkelcnvk opkelimagek dfaddc2 addcex addceq1 eqeq2d eldif
      weq opkelidkg mp2an equcom 1cex eqeq2 eqeq1 notbid anbi12d rexbii ssetkex
      annim ins3kex ins2kex inex pw1ex imakex complex sikex unex symdifex xpkex
      vvex imbi12i con34b ralbii dfral2 imbi2d ralbidv orbi12d imbi1i addcexlem
      neeq1 abbi2i cnvkex imagekex idkex difex nncex eqeltrri ) HUAZHUBZUUSUBZU
      URUUSUCZUDUEZUEZUFZUGZUHZUHZUHZUAZHUHZUAZUBZUBZUVJUHZUHZUHZUHZUAZUVOUAZUB
      ZULZUIZUVCUEZUEZUEZUEZUEZUFZUGZUCZUCZUWDUFZUCZUVCUFZUBZUIZUVCUFZUGZUMIZUU
      RUUSUUTUVDUHZUHZUHZUJZUAZUGZUVMUVTUVRULZUIZUWGUFZUGZUCZUCZUWDUFZUCZUVCUFZ
      UBZUIZUVCUFZUGZUBZUVEUAUUTUURUBUVNUAULUIUWDUFUKZUVCUFZUNZUAZUCZUVBUFZUAZU
      OUWSUPUQZUKZUBZUCZUVBUFZURUFZUGZULZUPUQZUCZUPUFZAUSZUYRUTZUMVAZBUSZVUAUTZ
      UDUTZUMVAZUYSVUCVAZVBZBURVHZVBZAVCUPVUHAUYQUYSUMJZVUGVDZVUIKZVUGVBUYRUYQL
      ZVUHVUIVUGVEVULCUSZUYRMZUYPLZCNVUMUYSJZVUMUMJZVUDVUMVUCVAZVBZBURVHZVDZSZC
      NVUJCUYPUYRAVFZVGVUOVVBCVUOVUNUWRLZVUNUYOLZSVVBVUNUWRUYOVIVVDVUPVVEVVAVVD
      DCVJZEUSZFUSZUCZUMJZDUSZVVGVVHULZJZSZFUYROEUYROZVTZDVKZVUPVUNUWQLZKVVPKZD
      NZKVVDVVQVVRVVTVVRGUSZVUNMZUWPLZGUVCOZVWAVVKIZIZIZJZVWCSZGNZDNZVVTGUWPUVC
      VUNVUMUYRVLZVMVWAUVCLZVWCSZGNVWIDNZGNVWDVWKVWNVWOGVWNVWHDNZVWCSVWOVWMVWPV
      WCDVWAVNZVOVWHVWCDVPVQPVWCGUVCVRVWIDGVSQVWJVVSDVWJVWGVUNMZUWPLZVWRUURLZVW
      RUWOLZVTZKVVSVWCVWSGVWGVWFRZVWHVWBVWRUWPVWAVWGVUNWAWIWBVWRUURUWOWCVXBVVPV
      WTVVFVXAVVOVWTVWEVUMMHLZVVFVWEVUMUYRHVVKRZCVFZVVCWDVVKVUMDVFZVXFWEZWFVXAV
      WEUYRMZUWNLZVVNEUYROZFUYROZVVOVWEVUMUYRUWNVXEVXFVVCWGVXJFAVJZVXKSZFNZVXLV
      XJVWAVXIMZUWMLZGUVCOZVWAVVHIZIZIZJZVXQSZGNZFNZVXOGUWMUVCVXIVWEUYRVLZVMVWM
      VXQSZGNVYCFNZGNVXRVYEVYGVYHGVYGVYBFNZVXQSVYHVWMVYIVXQFVWAVNVOVYBVXQFVPVQP
      VXQGUVCVRVYCFGVSQVYDVXNFVYDVYAVXIMZUWMLZVYJUUSLZVYJUWLLZSVXNVXQVYKGVYAVXT
      RZVYBVXPVYJUWMVWAVYAVXIWAWIWBVYJUUSUWLVIVYLVXMVYMVXKVYLVXSUYRMHLVXMVXSVWE
      UYRHVVHRZVXEVVCWGVVHUYRFVFZVVCWEWFVYMEAVJZVVNSZENZVXKVYMVWAVYJMZUWKLZGUWD
      OZVWAVVGIZIZIZIZIZJZWUASZGNZENZVYSGUWKUWDVYJVYAVXIVLZVMVWAUWDLZWUASZGNWUI
      ENZGNWUBWUKWUNWUOGWUNWUHENZWUASWUOWUMWUPWUAEVWAWJVOWUHWUAEVPVQPWUAGUWDVRW
      UIEGVSQWUJVYREWUJWUGVYJMZUWKLZWUQUUTLZWUQUWJLZSVYRWUAWURGWUGWUFRZWUHVYTWU
      QUWKVWAWUGVYJWAWIWBWUQUUTUWJVIWUSVYQWUTVVNWUSWUEVXIMUUSLWUCUYRMHLVYQWUEVY
      AVXIUUSWUDRZVYNVYFWGWUCVWEUYRHVVGRZVXEVVCWGVVGUYREVFZVVCWETWUTWUQUVILZWUQ
      UWILZSVVNWUQUVIUWIVIWVEVVJWVFVVMWVEWUEVYAMZUVHLWUDVXTMZUVGLZVVJWUEVYAVXIU
      VHWVBVYNVYFWDWUDVXTUVGWUCRZVXSRZWHWVIWUCVXSMZUVFLVVGVVHMZUVELZVVJWUCVXSUV
      FWVCVYOWHVVGVVHUVEWVDVYPWHWVMUVDLZKVVIUMVAZKZWVNVVJWVOWVPVVGVVHWVDVYPWKZW
      LWVMUVDVVGVVHVLWMWVPVVJVVIUMWRWNZQTTWUQUWHLZKCDVJZVUMVVLLZVTZKZCNZKZWVFVV
      MWVTWWEWVTVWAWUQMZUWBLZGUWGOZVWAVUMIZIZIZIZIZIZIZIZJZWWHSZGNZCNZWWEGUWBUW
      GWUQWUGVYJVLZVMVWAUWGLZWWHSZGNWWSCNZGNWWIWXAWXDWXEGWXDWWRCNZWWHSWXEWXCWXF
      WWHCVWAWOZVOWWRWWHCVPVQPWWHGUWGVRWWSCGVSQWWTWWDCWWTWWQWUQMZUWBLZWXHUVMLZW
      XHUWALZVTZKWWDWWHWXIGWWQWWPRZWWRWWGWXHUWBVWAWWQWUQWAWIWBWXHUVMUWAWCWXLWWC
      WXJWWAWXKWWBWXJWWOVYJMZUVLLWWMVXIMUVKLZWWAWWOWUGVYJUVLWWNRZWVAWULWGWWMVYA
      VXIUVKWWLRZVYNVYFWGWXOWWKVWEMUVJLZWWJVVKMHLZWWAWWKVWEUYRUVJWWJRZVXEVVCWDW
      WJVVKHVUMRZVXGWHZVUMVVKVXFVXGWEZTTWXHUVRLZWXHUVTLZVDCEVJZCFVJZVDZWXKWWBWY
      DWYFWYEWYGWYDWWOWUGMUVQLWWNWUFMUVPLZWYFWWOWUGVYJUVQWXPWVAWULWDWWNWUFUVPWW
      MRZWUERWHWYIWWMWUEMUVOLZWWLWUDMUVNLZWYFWWMWUEUVOWXQWVBWHWWLWUDUVNWWKRZWVJ
      WHZWYLWWKWUCMUVJLZWWJVVGMHLZWYFWWKWUCUVJWXTWVCWHZWWJVVGHWYAWVDWHZVUMVVGVX
      FWVDWEZTTTWYEWXNUVSLWWMVYAMUVOLZWYGWWOWUGVYJUVSWXPWVAWULWGWWMVYAVXIUVOWXQ
      VYNVYFWDWYTWWLVXTMUVNLZWWKVXSMUVJLZWYGWWLVXTUVNWYMWVKWHZWWKVXSUVJWXTVYOWH
      ZXUBWWJVVHMHLZWYGWWJVVHHWYAVYPWHZVUMVVHVXFVYPWEZWFTTWPWXHUVRUVTWSVUMVVGVV
      HWSZQWQWLTPTWLWUQUWHWXBWMVVMWWCCVKWWFCVVKVVLWTWWCCXAWFZQXBWFXBTPTVVNEUYRV
      RVQXBTPTVXKFUYRVRVQVVNFEUYRUYRXCTWQWLTPTWLVUNUWQVWLWMVVPDXAQVUPVUMVVODVCZ
      JVVQUYSXUJVUMDEFUYRUYRXIXDVVODVUMXEWFVQVVEVUMUYNLZVUMUWSLZVUMUYMLZVDVVAVV
      EXUKUYRUPLVVCVUMUYRUYNUPVXFVVCXFXGVUMUWSUYMWSXULVUQXUMVUTVUMUMVXFXHVUMUYL
      LZKVUMVUCJZVUCUMJZVBZKZBUROZKZXUMVUTXUNXUSXUNVUAVUMMZUYKLZBUROXUSBUYKURVU
      MVXFVMXVBXURBURXVBVVKVUCJZCDXRZVVKUMJZKZSZSZDNZXUOXUPKZSZXURXVBVWAXVAMZUY
      JLZGUVBOZVWAVWFJZXVMSZGNZDNZXVIGUYJUVBXVAVUAVUMVLVMVWAUVBLZXVMSZGNXVPDNZG
      NXVNXVRXVTXWAGXVTXVODNZXVMSXWAXVSXWBXVMDVWAXJVOXVOXVMDVPVQPXVMGUVBVRXVPDG
      VSQXVQXVHDXVQVWFXVAMZUYJLZXWCUYFLZXWCUYILZSXVHXVMXWDGVWFVWERXVOXVLXWCUYJV
      WAVWFXVAWAWIWBXWCUYFUYIVIXWEXVCXWFXVGXWEVVKVUAMZUYELZVUMVUBJZVVKVUMUDUTZJ
      ZSZCNZXVCVVKVUAVUMUYEVXGBVFZVXFWDXWHVWAXWGMZUYDLZGUVBOZVWAWWKJZXWPSZGNZCN
      ZXWMGUYDUVBXWGVVKVUAVLVMXVSXWPSZGNXWSCNZGNXWQXXAXXBXXCGXXBXWRCNZXWPSXXCXV
      SXXDXWPCVWAXJVOXWRXWPCVPVQPXWPGUVBVRXWSCGVSQXWTXWLCXWTWWKXWGMZUYDLZXXEUXS
      LZXXEUYCLZSXWLXWPXXFGWWKWXTXWRXWOXXEUYDVWAWWKXWGWAWIWBXXEUXSUYCVIXXGXWIXX
      HXWKVUMVUAMZUXRLZVVFVVNFVUAOZEVUAOZVTZDVKZXXGXWIXXIUXQLZKXXMKZDNZKXXJXXNX
      XOXXQXXOVWAXXIMZUXPLZGUVCOZVWHXXSSZGNZDNZXXQGUXPUVCXXIVUMVUAVLZVMVWMXXSSZ
      GNXYADNZGNXXTXYCXYEXYFGXYEVWPXXSSXYFVWMVWPXXSVWQVOVWHXXSDVPVQPXXSGUVCVRXY
      ADGVSQXYBXXPDXYBVWGXXIMZUXPLZXYGUURLZXYGUXOLZVTZKXXPXXSXYHGVWGVXCVWHXXRXY
      GUXPVWAVWGXXIWAWIWBXYGUURUXOWCXYKXXMXYIVVFXYJXXLXYIVXDVVFVWEVUMVUAHVXEVXF
      XWNWDVXHWFVWEVUAMZUXNLZEBVJZXXKSZENZXYJXXLXYMVWAXYLMZUXMLZGUVCOZVWAWUEJZX
      YRSZGNZENZXYPGUXMUVCXYLVWEVUAVLZVMVWMXYRSZGNYUAENZGNXYSYUCYUEYUFGYUEXYTEN
      ZXYRSYUFVWMYUGXYREVWAVNVOXYTXYREVPVQPXYRGUVCVRYUAEGVSQYUBXYOEYUBWUEXYLMZU
      XMLZYUHUUSLZYUHUXLLZSXYOXYRYUIGWUEWVBXYTXYQYUHUXMVWAWUEXYLWAWIWBYUHUUSUXL
      VIYUJXYNYUKXXKYUJWUCVUAMHLXYNWUCVWEVUAHWVCVXEXWNWGVVGVUAWVDXWNWEWFYUKFBVJ
      ZVVNSZFNZXXKYUKVWAYUHMZUXKLZGUWDOZVWAVYAIZIZJZYUPSZGNZFNZYUNGUXKUWDYUHWUE
      XYLVLZVMWUMYUPSZGNYVAFNZGNYUQYVCYVEYVFGYVEYUTFNZYUPSYVFWUMYVGYUPFVWAWJVOY
      UTYUPFVPVQPYUPGUWDVRYVAFGVSQYVBYUMFYVBYUSYUHMZUXKLZYVHUUTLZYVHUXJLZSYUMYU
      PYVIGYUSYURRZYUTYUOYVHUXKVWAYUSYUHWAWIWBYVHUUTUXJVIYVJYULYVKVVNYVJVYAXYLM
      UUSLVXSVUAMHLYULVYAWUEXYLUUSVYNWVBYUDWGVXSVWEVUAHVYOVXEXWNWGVVHVUAVYPXWNW
      ETYVKYVHUXELZYVHUXILZSVVNYVHUXEUXIVIYVMVVJYVNVVMYVHUXDLZKWVQYVMVVJYVOWVPY
      VOVYAWUEMUXCLWVGUXBLZWVPVYAWUEXYLUXCVYNWVBYUDWDVYAWUEUXBVYNWVBXKYVPWVHUXA
      LWVLUWTLZWVPWUDVXTUXAWVJWVKWHWUCVXSUWTWVCVYOWHYVQWVOWVPVVGVVHUVDWVDVYPWHW
      VRWFTTWLYVHUXDYUSYUHVLZWMWVSQYVHUXHLZKWWFYVNVVMYVSWWEYVSVWAYVHMZUXGLZGUWG
      OZWWRYWASZGNZCNZWWEGUXGUWGYVHYVRVMWXCYWASZGNYWCCNZGNYWBYWEYWFYWGGYWFWXFYW
      ASYWGWXCWXFYWAWXGVOWWRYWACVPVQPYWAGUWGVRYWCCGVSQYWDWWDCYWDWWQYVHMZUXGLZYW
      HUVMLZYWHUXFLZVTZKWWDYWAYWIGWWQWXMWWRYVTYWHUXGVWAWWQYVHWAWIWBYWHUVMUXFWCY
      WLWWCYWJWWAYWKWWBYWJWWOYUHMZUVLLWWMXYLMUVKLZWWAWWOYUSYUHUVLWXPYVLYVDWGWWM
      WUEXYLUVKWXQWVBYUDWGYWNWXRWXSWWAWWKVWEVUAUVJWXTVXEXWNWDWYBWYCTTYWHUVTLZYW
      HUVRLZVDWYHYWKWWBYWOWYFYWPWYGYWOYWMUVSLWYKWYFWWOYUSYUHUVSWXPYVLYVDWGWWMWU
      EXYLUVOWXQWVBYUDWDWYKWYLWYOWYFWYNWYQWYOWYPWYFWYRWYSWFTTYWPWWOYUSMUVQLWWNY
      URMUVPLZWYGWWOYUSYUHUVQWXPYVLYVDWDWWNYURUVPWYJVYARWHYWQWYTXUAWYGWWMVYAUVO
      WXQVYNWHXUCXUAXUBXUEWYGXUDXUFXUGTTTWPYWHUVTUVRWSXUHQWQWLTPTWLYVHUXHYVRWMX
      UIQXBWFXBTPTVVNFVUAVRVQXBTPTVWEVUMVUAUXNVXEVXFXWNWGXXKEVUAVRQWQWLTPTWLXXI
      UXQXYDWMXXMDXAQVUMVVKVUAUXRVXFVXGXWNWGXWIVUMXXLDVCZJXXNVUBYWRVUMDEFVUAVUA
      XIXDXXLDVUMXEWFQVUMVVKMUYBLVVKUYAVUMUFZJXXHXWKVUMVVKUYAVXFVXGXLVUMVVKVUAU
      YBVXFVXGXWNWDXWJYWSVVKVUMUDXMXDQXBTPTXWKXVCCVUBVUAVUAXWNXWNXNZXWIXWJVUCVV
      KVUMVUBUDXOXPWBTXWFVVKVUMMZUYHLYXAUOLZYXAUYGLZKZSXVGVVKVUAVUMUYHVXGXWNVXF
      WGYXAUOUYGXQYXBXVDYXDXVFYXBDCXRZXVDVVKUPLVUMUPLZYXBYXEVTVXGVXFVVKVUMUPUPX
      SXTDCYAWFYXCXVEYXCVVKUWSLZXVEYXCYXGYXFVXFVVKVUMUWSUPVXGVXFXFXGVVKUMVXGXHW
      FWLXBTXBTPTXVGXVKDVUCVUBUDYWTYBXNXVCXVDXUOXVFXVJVVKVUCVUMYCXVCXVEXUPVVKVU
      CUMYDYEYFWBXUOXUPYITYGWFWLVUMUYLVXFWMVUTXUQBURVHXUTVUSXUQBURVUSXVJXUOKZVB
      XUQVUDXVJVURYXHVUCUMWRVUMVUCWRUUAXUOXUPUUBVQUUCXUQBURUUDWFQWPTXBWFPVVAVUJ
      CUYSUYRUYRVVCVVCXNVUPVUQVUIVUTVUGVUMUYSUMYDVUPVUSVUFBURVUPVURVUEVUDVUMUYS
      VUCUUJUUEUUFUUGWBTUYTVUKVUGUYSUMWRUUHQUUKUYPUPUWRUYOUWQUWPUVCUURUWOHYHYJZ
      UWNUWMUVCUUSUWLHYHYKZUWKUWDUUTUWJUUSYXJYKZUVIUWIUVHUVGUVFUVEUVDUVAUVCUURU
      USYXIYXJYLUVBUDYBYMZYMZYNZYOYPYPYPYJUWHUWBUWGUVMUWAUVLUVKUVJHYHYPZYJYKYKZ
      UVRUVTUVQUVPUVOUVNUVJYXOYPYPZYPYPYJZUVSUVOYXQYJYKZYQYRUWFUWEUWDUWCUVCYXMY
      MYMZYMYMYMZYNYOYLYLYXTYNYLYXMYNYKYRYXMYNYOUYNUPUWSUYMUMRZUYLUYKURUYJUVBUY
      FUYIUYEUYDUVBUXSUYCUXRUXQUXPUVCUURUXOYXIUXNUXMUVCUUSUXLYXJUXKUWDUUTUXJYXK
      UXEUXIUXDUXCUXBUXAUWTUVDYXNYPYPYPUULYJYOUXHUXGUWGUVMUXFYXPUVTUVRYXSYXRYQY
      RYYAYNYOYLYLYXTYNYLYXMYNYKYRYXMYNYOYKUYBUYAUXTUVCUUIYXMYNUUMYJYLYXLYNYJUY
      HUOUYGUUNUWSUPYYBYTYSUUOYKYLYXLYNUUPYNYOYQYTYSYLYTYNUUQ $.
      $( [25-Jan-2015] $)
  $}

  ${
    $d m n $.  $d m x $.  $d n x $.  $d k n $.  $d k m $.  $d k p $.  $d k q $.
    $d n p $.  $d n q $.  $d p q $.  $d j k $.  $d j m $.  $d j n $.  $d j p $.
    $d k x $.  $d m p $.  $d m q $.


    $( The even finite cardinals and the odd ones are disjoint.  Theorem X.1.36
       of {{Rosser}}, p. 529. $)
    evenodddisj $p |- ( Even[fin] i^i Odd[fin] ) = (/) $=
      ( vx vn vp cv cplc wceq c0 wne wa cnnc c1c wn wi wcel c0c addceq12 anidms
      wral neeq1d imbi12d vk vj vm vq cevenfin coddfin cin dfevenfin2 dfoddfin2
      wrex cab ineq12i inab eqtri evenodddisjlem1 addcid2 syl6eq imbi2d ralbidv
      addceq1d neeq2d cbvralv syl6bb addc32 addceq1i eqtr3i 0cnsuc necomi rgenw
      weq addcass a1i neeq1i addcnnul simpld sylbi adantl simprl nnc0suc mpbiri
      sylib simpr rcla4v syl addc4 adantr eqeq2i simplll nncaddccl simplrr 3syl
      wo peano2 simpllr prepeano4 syl22anc ex syl5bir necon3d embantd syld expr
      com23 imp31 anbi2d syl5ibrcom rexlimiv adantrl jaod mpd simplrl ralrimiva
      com12 finds df-ne imbi2i con2b ralbii ralnex syl6ib anbi1d rexbidv notbid
      bitri imnan eqeq1 imp3a mpbi abf ) UEUFUGZADZUADZYLEZFZYMGHZIZUAJUJZYKBDZ
      YREZKEZFZYTGHZIZBJUJZIZAUKZGYJYQAUKZUUDAUKZUGUUFUEUUGUFUUHAUAUHABUIULYQUU
      DAUMUNUUEAYQUUDLZMUUELYPUUIUAJYLJNZYNYOUUIUUJYOUUIMYNYOYMYTFZUUBIZBJUJZLZ
      MUUJYOUUBYMYTHZMZBJRZUUNUBDZUUREZGHZUUBUUSYTHZMZBJRZMOGHZUUBOYTHZMZBJRZMU
      CDZUVHEZGHZCDZUVKEZKEZGHZUVIUVMHZMZCJRZMZUVIKEZKEZGHZUUBUVTYTHZMZBJRZMYOU
      UQMUBUCYLUBBUOUUROFZUUTUVDUVCUVGUWEUUSOGUWEUUSOOEZOUWEUUSUWFFUURUUROOPQOU
      PZUQZSUWEUVBUVFBJUWEUVAUVEUUBUWEUUSOYTUWHSURUSTUBUCVJZUUTUVJUVCUVQUWIUUSU
      VIGUWIUUSUVIFUURUURUVHUVHPQZSUWIUVCUUBUVIYTHZMZBJRUVQUWIUVBUWLBJUWIUVAUWK
      UUBUWIUUSUVIYTUWJSURUSUWLUVPBCJBCVJZUUBUVNUWKUVOUWMYTUVMGUWMYSUVLKUWMYSUV
      LFYRYRUVKUVKPQUTZSUWMYTUVMUVIUWNVATVBVCTUURUVHKEZFZUUTUWAUVCUWDUWPUUSUVTG
      UWPUUSUWOUWOEZUVTUWPUUSUWQFUURUURUWOUWOPQUWOUVHEZKEUWQUVTUWOUVHKVKUWRUVSK
      UVHKUVHVDVEVFUQZSUWPUVBUWCBJUWPUVAUWBUUBUWPUUSUVTYTUWSSURUSTUBUAVJZUUTYOU
      VCUUQUWTUUSYMGUWTUUSYMFUURUURYLYLPQZSUWTUVBUUPBJUWTUVAUUOUUBUWTUUSYMYTUXA
      SURUSTUVGUVDUVFBJUVEUUBYTOYSVGVHVLVIVLUVHJNZUWAUVRUWDUXBUWAUVRUWDMUXBUWAI
      ZUVJUVQUWDUWAUVJUXBUWAUVIKKEZEZGHZUVJUVTUXEGUVIKKVKVMUXFUVJUXDGHZUVIUXDVN
      VOVPVQUXCUVQUWDUXCUVQIZUWCBJUXHYRJNZUUBUWBUXHUXIUUBIZIZUVSYSHZUWBUXKYROFZ
      YRUDDZKEZFZUDJUJZWLZUXLUXKUXIUXRUXHUXIUUBVRUDYRVSWAUXKUXMUXLUXQUXMUXLMUXK
      UXMUXLUVSOHUVIVGUXMYSOUVSUXMYSUWFOUXMYSUWFFYRYROOPQUWGUQVAVTVLUXHUUBUXQUX
      LMUXIUXQUXHUUBIZUXLUXPUXSUXLMZUDJUXNJNZUXTUXPUXHUXOUXOEZKEZGHZIZUVSUYBHZM
      UYEUYAUYFUXCUVQUYDUYAUYFMZUXCUYDUVQUYGUXCUYDUVQUYGMUXCUYDIUYAUVQUYFUXCUYD
      UYAUVQUYFMUXCUYDUYAIZIZUVQUXNUXNEZKEZGHZUVIUYKHZMZUYFUYIUYAUVQUYNMUYHUYAU
      XCUYDUYAWBVQUVPUYNCUXNJCUDVJZUVNUYLUVOUYMUYOUVMUYKGUYOUVLUYJKUYOUVLUYJFUV
      KUVKUXNUXNPQUTZSUYOUVMUYKUVIUYPVATWCWDUYIUYLUYMUYFUYHUYLUXCUYDUYLUYAUYDUY
      KUXDEZGHZUYLUYCUYQGUYCUYJUXDEZKEUYQUYBUYSKUXNKUXNKWEVEUYJUXDKVDUNVMUYRUYL
      UXGUYKUXDVNVOVPWFVQUYIUVSUYBUVIUYKUVSUYBFUVSUYKKEZFZUYIUVIUYKFZUYTUYBUVSU
      YTUXOUXNEZKEUYBUYKVUCKUXNUXNKVDVEUXOUXNKVKUNWGUYIVUAVUBUYIVUAIZUVIJNZUYKJ
      NZVUAUVSGHZVUBVUDUXBVUEUXBUWAUYHVUAWHUXBVUEUVHUVHWIQZWDVUDUYAUYJJNZVUFUXC
      UYDUYAVUAWJUYAVUIUXNUXNWIQUYJWMWKUYIVUAWBVUDUWAVUGUXBUWAUYHVUAWNUWAVUGKGH
      UVSKVNVOWDUVIUYKWOWPWQWRWSWTXAXBXCWQXCXDXMUXPUXSUYEUXLUYFUXPUUBUYDUXHUXPY
      TUYCGUXPYSUYBKUXPYSUYBFYRYRUXOUXOPQZUTSXEUXPYSUYBUVSVUJVATXFXGXMXHXIXJUXK
      UVTYTUVSYSUXKUVTYTFZUVSYSFZUXKVUKIZUVSJNZYSJNZVUKUWAVULVUMUXBVUEVUNUXKUXB
      VUKUXBUWAUVQUXJWHWFVUHUVIWMWKVUMUXIVUOUXHUXIUUBVUKXKUXIVUOYRYRWIQWDUXKVUK
      WBUXKUWAVUKUXBUWAUVQUXJWNWFUVSYSWOWPWQWSXJXBXLWQWTWQXCXNUUQUULLZBJRUUNUUP
      VUPBJUUPUUKUUBLMZVUPUUPUUBUUKLZMVUQUUOVURUUBYMYTXOXPUUBUUKXQYDUUKUUBYEYDX
      RUULBJXSYDXTYNUUIUUNYOYNUUDUUMYNUUCUULBJYNUUAUUKUUBYKYMYTYFYAYBYCURXFYGXG
      YQUUDYEYHYIUN $.
      $( [22-Jan-2015] $)
  $}

  ${
    $d M m n x $.
    $( If ` M ` is even , then so is ` _T[fin] M ` .  Theorem X.1.37 of
       {{Rosser}}, p. 530. $)
    eventfin $p |- ( M e. Even[fin] -> _T[fin] M e. Even[fin] ) $=
      ( vn vx vm cevenfin wcel cv cplc wceq cnnc wrex c0 wa ctfin eqeq1 rexbidv
      wne neeq1 anbi12d wi df-evenfin elab2g ibi addceq2 addcnul1 cpw1 tfinprop
      syl6eq necon3i simpld sylan2 3anidm12 addceq12 rcla4ev nncaddccl tfinnnul
      tfindi anidms eqeq2d syl2anc sylan jca tfinex elab2 sylibr tfineq imbi12d
      ex eleq1d biimprd com12 syl rexlimiv imp ) AEFZABGZVPHZIZBJKZALQZMZANZEFZ
      VOWACGZVQIZBJKZWDLQZMWACAEEWDAIZWFVSWGVTWHWEVRBJWDAVQOPWDALRSCBUAUBUCVSVT
      WCVRVTWCTZBJVPJFZVQLQZVQNZEFZTZVRWITWJWKWMWJWKMZWLDGZWPHZIZDJKZWLLQZMZWMW
      OWSWTWOVPNZJFZWLXBXBHZIZWSWKWJVPLQZXCVPLVQLVPLIVQVPLHLVPLVPUDVPUEUHUIWJXF
      MXCWDUFXBFCVPKVPCUGUJUKWJWKXEVPVPUQULWRXEDXBJWPXBIZWQXDWLXGWQXDIWPWPXBXBU
      MURUSUNUTWJVQJFZWKWTWJXHVPVPUOURVQUPVAVBWDWQIZDJKZWGMXACWLEVQVCWDWLIZXJWS
      WGWTXKXIWRDJWDWLWQOPWDWLLRSCDUAVDVEVHVRWNWIVRWIWNVRVTWKWCWMAVQLRVRWBWLEAV
      QVFVIVGVJVKVLVMVNVL $.
      $( [26-Jan-2015] $)
  $}

  ${
    $d M n m x $.
    $( If ` M ` is odd , then so is ` _T[fin] M ` .  Theorem X.1.38 of
       {{Rosser}}, p. 530. $)
    oddtfin $p |- ( M e. Odd[fin] -> _T[fin] M e. Odd[fin] ) $=
      ( vn vx vm coddfin wcel cv cplc c1c wceq cnnc c0 wne wa ctfin eqeq1 neeq1
      wrex wi syl rexbidv anbi12d df-oddfin elab2g ibi addceq2 addcnul1 addceq1
      syl6eq addccom eqtri necon3i cpw1 tfinprop simpld sylan2 nncaddccl anidms
      1cnnc tfindi mp3an2 sylan addcnnul 3anidm12 tfin1c addceq12 mpan2 rcla4ev
      eqtrd eqeq2d syl2anc peano2 tfinnnul tfinex elab2 sylibr ex tfineq eleq1d
      jca imbi12d biimprd com12 rexlimiv imp ) AEFZABGZWGHZIHZJZBKRZALMZNZAOZEF
      ZWFWMCGZWIJZBKRZWPLMZNWMCAEEWPAJZWRWKWSWLWTWQWJBKWPAWIPUAWPALQUBCBUCUDUEW
      KWLWOWJWLWOSZBKWGKFZWILMZWIOZEFZSZWJXASXBXCXEXBXCNZXDDGZXHHZIHZJZDKRZXDLM
      ZNZXEXGXLXMXGWGOZKFZXDXOXOHZIHZJZXLXCXBWGLMZXPWGLWILWGLJZWILIHZLYAWHLJWIY
      BJYAWHWGLHLWGLWGUFWGUGUIWHLIUHTYBILHLLIUJIUGUKUIULXBXTNXPWPUMXOFCWGRWGCUN
      UOUPXGXDWHOZIOZHZXRXBWHKFZXCXDYEJZXBYFWGWGUQURZYFIKFXCYGUSWHIUTVAVBXGYCXQ
      JZYEXRJZXCXBWHLMZYIXCYKILMWHIVCUOXBYKYIWGWGUTVDUPYIYDIJYJVEYCYDXQIVFVGTVI
      XKXSDXOKXHXOJZXJXRXDYLXIXQJZXJXRJYLYMXHXHXOXOVFURXIXQIUHTVJVHVKXBWIKFZXCX
      MXBYFYNYHWHVLTWIVMVBVTWPXJJZDKRZWSNXNCXDEWIVNWPXDJZYPXLWSXMYQYOXKDKWPXDXJ
      PUAWPXDLQUBCDUCVOVPVQWJXFXAWJXAXFWJWLXCWOXEAWILQWJWNXDEAWIVRVSWAWBWCTWDWE
      T $.
      $( [26-Jan-2015] $)
  $}

  ${
    $d n l y x b $.  $d b t $.  $d b z $.  $d l t $.  $d l z $.  $d n t $.
    $d n z $.  $d t x $.  $d t y $.  $d t z $.  $d x z $.  $d y z $.

    $( Lemma for ~ nnadjoin .  Establish stratification. $)
    nnadjoinlem1 $p |- { n | A. l e. n ( y e. ~ U. l -> { x |
            E. b e. l x = ( b u. { y } ) } e. n ) } e. _V $=
      ( vz vt cssetk wel cvv c1c csn wcel wn copk wa wex exbii 3bitr4i 3bitri
      cab cpw1 cxpk cin ccompl cins3k cins2k cv cun csymdif csik cdif cuni wceq
      cimak wrex wral snex opkeq1 eleq1d ceqsexv elin vex elssetk eldif elcompl
      wi elimak el1c anbi1i 19.41v bitr4i df-rex excom opkelxpk mpbiran2 elequ2
      snelpw1 elab anbi12i eluni xchbinx wb wal abeq2 opkex elpw121c otkelins3k
      df-clel opksnelsik elsymdif bitri otkelins2k alex dfcleq weq elsn orbi12i
      sneqb elun bibi12i 3bitr4ri notbii annim dfral2 abbi2i ssetkex setswithex
      wo pw1ex vvex xpkex inex 1cex complex ins3kex ins2kex unex symdifex sikex
      imakex difex eqeltrri ) HBFIZFUAZUBZJUCZHUDZKUOZUBZUEZJUCZHUFZHUGZYNHBUHZ
      LZLZJUCZUIZUFZUJZKUBZUBZUOZUEZUKZUFZUDZUUCUOZUGZUJZUUCUOZUEZUKZUFZYNUDZUU
      CUOZULZUDZKUOZUEZYOEUHZUMZUEMZAUHZDUHZYPUIZUNZDUVBUPZAUAZCUHZMZVGZEUVKUQZ
      CUAJUVNCUVAUVKUUTMZNUVMNZEUVKUPZNUVKUVAMUVNUVOUVQGUHZUVBLZUNZUVRUVKOZUUSM
      ZPZGQZEQZECIZUVPPZEQUVOUVQUWDUWGEUWDUVSUVKOZUUSMZUWHHMZUWHUURMZPUWGUWBUWI
      GUVSUVBURZUVTUWAUWHUUSUVRUVSUVKUSUTVAUWHHUURVBUWJUWFUWKUVPUVBUVKEVCZCVCZV
      DUWKUWHYLMZUWHUUQMZNZPUVDUVLNZPUVPUWHYLUUQVEUWOUVDUWQUWRUVSYKMZYOUVCMZNUW
      OUVDUWSUVSYJMZUWTUVSYJUWLVFUVBYIMZBAIZAEIZPZAQZUXAUWTUXBUVRUVBOZYHMZGKUPZ
      UVRUVELZUNZUXHPZGQZAQZUXFGYHKUVBUWMVHUVRKMZUXHPZGQUXLAQZGQUXIUXNUXPUXQGUX
      PUXKAQZUXHPUXQUXOUXRUXHAUVRVIVJUXKUXHAVKVLRUXHGKVMUXLAGVNSUXMUXEAUXMUXJUV
      BOZYHMZUXSYGMZUXSHMZPUXEUXHUXTGUXJUVEURZUXKUXGUXSYHUVRUXJUVBUSUTVAUXSYGHV
      BUYAUXCUYBUXDUYAUXJYFMZUVEYEMUXCUYAUYDUVBJMUWMUXJUVBYFJUYCUWMVOVPUVEYEVRY
      DUXCFUVEAVCZFABVQVSTUVEUVBUYEUWMVDVTTRTUVBYIVRAYOUVBWASWBUWOUWSUVKJMUWNUV
      SUVKYKJUWLUWNVOVPYOUVCBVCVFSUWPUVLFUHZUVJUNZFCIZPZFQAFIZUVIWCZAWDZUYHPZFQ
      ZUVLUWPUYIUYMFUYGUYLUYHUVIAUYFWEVJRFUVJUVKWIUWPUVRUWHOZUUPMZGUUCUPZUVRUYF
      LZLZLZUNZUYPPZGQZFQZUYNGUUPUUCUWHUVSUVKWFVHUVRUUCMZUYPPZGQVUBFQZGQUYQVUDV
      UFVUGGVUFVUAFQZUYPPVUGVUEVUHUYPFUVRWGZVJVUAUYPFVKVLRUYPGUUCVMVUBFGVNSVUCU
      YMFVUCUYTUWHOZUUPMZVUJUUOMZVUJYNMZPUYMUYPVUKGUYTUYSURZVUAUYOVUJUUPUVRUYTU
      WHUSUTVAVUJUUOYNVBVULUYLVUMUYHVULUYRUVSOUUNMUYFUVBOZUUMMZUYLUYRUVSUVKUUNU
      YFURZUWLUWNWHUYFUVBUUMFVCZUWMWJVUOUULMZNUYKNZAQZNVUPUYLVUSVVAVUSUVRVUOOZU
      UKMZGUUCUPZUVRUXJLZLZUNZVVCPZGQZAQZVVAGUUKUUCVUOUYFUVBWFZVHVUEVVCPZGQVVHA
      QZGQVVDVVJVVLVVMGVVLVVGAQZVVCPVVMVUEVVNVVCAUVRWGVJVVGVVCAVKVLRVVCGUUCVMVV
      HAGVNSVVIVUTAVVIVVFVUOOZUUKMZVUTVVCVVPGVVFVVEURVVGVVBVVOUUKUVRVVFVUOUSUTV
      AVVPVVOYMMZVVOUUJMZWCUYKVVOYMUUJWKVVQUYJVVRUVIVVQUXJUYFOHMUYJUXJUYFUVBHUY
      CVURUWMWHUVEUYFUYEVURVDWLUXSUUIMZDEIZUVHPZDQZVVRUVIVVSUVRUXSOZUUHMZGUUCUP
      ZUVRUVFLZLZLZUNZVWDPZGQZDQZVWBGUUHUUCUXSUXJUVBWFVHVUEVWDPZGQVWJDQZGQVWEVW
      LVWMVWNGVWMVWIDQZVWDPVWNVUEVWOVWDDUVRWGVJVWIVWDDVKVLRVWDGUUCVMVWJDGVNSVWK
      VWADVWKVWHUXSOZUUHMZVWPYNMZVWPUUGMZPVWAVWDVWQGVWHVWGURVWIVWCVWPUUHUVRVWHU
      XSUSUTVAVWPYNUUGVBVWRVVTVWSUVHVWRVWFUVBOHMVVTVWFUXJUVBHUVFURZUYCUWMWMUVFU
      VBDVCZUWMVDWLVWSVWFUXJOUUFMUVFUVEOZUUEMZUVHVWFUXJUVBUUFVWTUYCUWMWHUVFUVEU
      UEVXAUYEWJFAIZUYFUVGMZWCZFWDVXFNZFQZNUVHVXCVXFFWNFUVEUVGWOVXCVXBUUDMZVXHV
      XBUUDUVFUVEWFZVFVXIUVRVXBOZUUAMZGUUCUPZVUAVXLPZGQZFQZVXHGUUAUUCVXBVXJVHVU
      EVXLPZGQVXNFQZGQVXMVXPVXQVXRGVXQVUHVXLPVXRVUEVUHVXLVUIVJVUAVXLFVKVLRVXLGU
      UCVMVXNFGVNSVXOVXGFVXOUYTVXBOZUUAMZVXGVXLVXTGUYTVUNVUAVXKVXSUUAUVRUYTVXBU
      SUTVAVXTVXSYNMZVXSYTMZWCVXFVXSYNYTWKVYAVXDVYBVXEVYAUYRUVEOHMVXDUYRUVFUVEH
      VUQVXAUYEWMUYFUVEVURUYEVDWLVYBUYRUVFOZYSMZVXEUYRUVFUVEYSVUQVXAUYEWHVYCHMZ
      VYCYRMZXIFDIZUYFYPMZXIVYDVXEVYEVYGVYFVYHUYFUVFVURVXAVDUYRYQMZFBWPZVYFVYHV
      YIUYRYPUNVYJUYRYPVUQWQUYFYOVURWSWLVYFVYIUVFJMVXAUYRUVFYQJVUQVXAVOVPUYFYOV
      URWQSWRVYCHYRWTUYFUVFYPWTSWLXAWBWLRTWBXBTVTTRTUXJUYFUVBUUIUYCVURUWMWMUVHD
      UVBVMSXAWBWLRTXCVUOUULVVKVFUYKAWNSTVUMUYRUVKOHMUYHUYRUVSUVKHVUQUWLUWNWMUY
      FUVKVURUWNVDWLVTTRTXBXCVTUVDUVLXDTVTTRUVOUWBGKUPZUWEGUUSKUVKUWNVHUXOUWBPZ
      GQUWCEQZGQVYKUWEVYLVYMGVYLUVTEQZUWBPVYMUXOVYNUWBEUVRVIVJUVTUWBEVKVLRUWBGK
      VMUWCEGVNSWLUVPEUVKVMSXCUVKUUTUWNVFUVMEUVKXESXFUUTUUSKHUURXGYLUUQYKJYJYIY
      HKYGHYFJYEFYOXHXJXKXLXGXMXNYAXJXOXKXLUUPUUCUUOYNUUNUUMUULUUKUUCYMUUJHXGXP
      UUIUUHUUCYNUUGHXGXQZUUFUUEUUDUUAUUCYNYTVYOYSHYRXGYQJYPURXKXLXRXPXSUUBKXNX
      JXJZYAXOXTXPXMVYPYAXQXSVYPYAXOXTXPVYOXMVYPYAYBXMXNYAXOYC $.
      $( [29-Jan-2015] $)
  $}

  ${
    $d b l $.  $d b y $.  $d L b $.  $d L l $.  $d l n $.  $d l x $.  $d L x $.
    $d l y $.  $d L y $.  $d N l $.  $d N y $.  $d X b $.  $d X x $.  $d x y $.
    $d X y $.  $d a b $.  $d a c $.  $d a k $.  $d a l $.  $d a n $.  $d a x $.
    $d a y $.  $d a z $.  $d b c $.  $d b k $.  $d b n $.  $d b x $.  $d b z $.
    $d c k $.  $d c l $.  $d c x $.  $d c y $.  $d c z $.  $d k l $.  $d k n $.
    $d k x $.  $d k y $.  $d k z $.  $d l z $.  $d N n $.  $d n x $.  $d n y $.
    $d x z $.  $d y z $.

    $( Adjoining a new element to every member of ` L ` does not change its
       size.  Theorem X.1.39 of {{Rosser}}, p. 530. $)
    nnadjoin $p |- ( ( N e. Nn /\ L e. N /\ X e. ~ U. L ) ->
         { x | E. b e. L x = ( b u. { X } ) } e. N ) $=
      ( vl vc vz wcel cuni ccompl cv cun wceq wrex cab wi c0 wn wa vy vn vk csn
      va cnnc sneq uneq2d eqeq2d rexbidv abbidv eleq1d imbi2d wral wal c1c cplc
      nnadjoinlem1 c0c eleq2 el0c ab0 bitri syl6bb raleqbi1dv df-ral imbi1i 0ex
      albii unieq compleqd eleq2d notbid albidv imbi12d ceqsalv 3bitrri syl6bbr
      rexeq weq cbvralv rex0 ax-gen a1i elsuc wel cin rcla4v adantr adantl elin
      w3a simp3l unisn compleqi eleq2i anbi2i simpr simpl2r elcompl eleq1a mtod
      vex sylib wb simpl3r elunii expcom con3d mpan9 adj11 syl2anc mtbird eqeq1
      nrexdv elabg ibi nsyl snex elsuci ex syl3an3b embantd 3expia syl5bi com23
      unex syld an32s uniun iunin eqtri syl6eq wo unab df-sn uneq2i rexun uneq1
      imp rexsn abbii 3eqtr4ri syl5ibrcom rexlimdvva ralrimiv finds rcla4cv syl
      orbi2i com3r vtoclga com3l 3imp ) CUFIZBCIZDBJZKZIZALZELZDUDZMZNZEBOZAPZC
      IZUUSUUOUUPUVGUUOUUPUUTUVAUALZUDZMZNZEBOZAPZCIZQZQUUOUUPUVGQZQUADUURUVHDN
      ZUVOUVPUUOUVQUVNUVGUUPUVQUVMUVFCUVQUVLUVEAUVQUVKUVDEBUVQUVJUVCUUTUVQUVIUV
      BUVAUVHDUGUHUIUJUKULUMUMUUOUUPUVHUURIZUVNUUOUVHFLZJZKZIZUVKEUVSOZAPZCIZQZ
      FCUNZUUPUVRUVNQZQUWBUWDUBLZIZQZFUWIUNZUVHRJZKZIZUVKEROZSZAUOZQZUWBUWDUCLZ
      IZQZFUWTUNZUVHUELZJZKZIZUVKEUXDOZAPZUWTUPUQZIZQZUEUXJUNZUWGUBUCCAUAUBEFUR
      UWIUSNZUWLUWBUWCSZAUOZQZFUSUNZUWSUWKUXQFUWIUSUXNUWJUXPUWBUXNUWJUWDUSIZUXP
      UWIUSUWDUTUXSUWDRNUXPUWDVAUWCAVBVCVDUMVEUXRUVSUSIZUXQQZFUOUVSRNZUXQQZFUOU
      WSUXQFUSVFUYAUYCFUXTUYBUXQUVSVAVGVIUXQUWSFRVHUYBUWBUWOUXPUWRUYBUWAUWNUVHU
      YBUVTUWMUVSRVJVKVLUYBUXOUWQAUYBUWCUWPUVKEUVSRVSVMVNVOVPVQVRUWKUXBFUWIUWTU
      BUCVTUWJUXAUWBUWIUWTUWDUTUMVEUWIUXJNZUWLUWBUWDUXJIZQZFUXJUNUXMUWKUYFFUWIU
      XJUYDUWJUYEUWBUWIUXJUWDUTUMVEUYFUXLFUEUXJFUEVTZUWBUXGUYEUXKUYGUWAUXFUVHUY
      GUVTUXEUVSUXDVJVKVLUYGUWDUXIUXJUYGUWCUXHAUVKEUVSUXDVSUKULVOWAVDUWKUWFFUWI
      CUWICNUWJUWEUWBUWICUWDUTUMVEUWRUWOUWQAUVKEWBWCWDUWTUFIZUXCUXMUYHUXCTZUXLU
      EUXJUXDUXJIUXDGLZHLZUDZMZNZHUYJKZOGUWTOUYIUXLHUXDUWTGWEUYIUYNUXLGHUWTUYOU
      YIGUCWFZUYKUYOIZTZTUXLUYNUVHUYJJZKZUYLJZKZWGZIZUVKEUYJOZAPZUYKUVIMZUDZMZU
      XJIZQZUYHUYRUXCVUKUYHUYRTZUXCVUKVULUXCUVHUYTIZVUFUWTIZQZVUKUYRUXCVUOQZUYH
      UYPVUPUYQUXBVUOFUYJUWTFGVTZUWBVUMUXAVUNVUQUWAUYTUVHVUQUVTUYSUVSUYJVJVKVLV
      UQUWDVUFUWTVUQUWCVUEAUVKEUVSUYJVSUKULVOWHWIWJVULVUDVUOVUJVUDVUMUVHVUBIZTZ
      VULVUOVUJQZUVHUYTVUBWKUYHUYRVUSVUTUYHUYRVUSWLVUMVUNVUJUYHUYRVUMVURWMVUSUY
      HUYRVUMUVHUYKKZIZTZVUNVUJQVURVVBVUMVUBVVAUVHVUAUYKUYKHXCZWNWOWPWQUYHUYRVV
      CWLZVUNVUJVVEVUNTVUNVUGVUFIZSZVUJVVEVUNWRVVEVVGVUNVVEVUGUVJNZEUYJOZVVFVVE
      VVHEUYJVVEEGWFZTZVVHHEVTZVVKVVLHGWFZVVKUYQVVMSUYPUYQUYHVVCVVJWSUYKUYJVVDW
      TXDVVJVVLVVMQVVEUVAUYJUYKXAWJXBVVKUAHWFSZUAEWFZSZVVHVVLXEVVKVVBVVNVUMVVBU
      YHUYRVVJXFUVHUYKUAXCZWTXDVVEUVHUYSIZSZVVJVVPVVEVUMVVSUYHUYRVUMVVBWMUVHUYS
      VVQWTXDVVJVVOVVRVVOVVJVVRUVHUVAUYJXGXHXIXJUYKUVAUVHXKXLXMXOVVFVVIVUEVVIAV
      UGVUFUUTVUGNZUVKVVHEUYJUUTVUGUVJXNUJXPXQXRWIVUFUWTVUGUYKUVIVVDUVHXSYGXTXL
      YAYBYCYDYEYFYHYTYIUYNUXGVUDUXKVUJUYNUXFVUCUVHUYNUXFUYMJZKZVUCUYNUXEVWAUXD
      UYMVJVKVWBUYSVUAMZKVUCVWAVWCUYJUYLYJWOUYSVUAYKYLYMVLUYNUXIVUIUXJUYNUXIUVK
      EUYMOZAPZVUIUYNUXHVWDAUVKEUXDUYMVSUKVUFVVTAPZMVUEVVTYNZAPVUIVWEVUEVVTAYOV
      UHVWFVUFAVUGYPYQVWDVWGAVWDVUEUVKEUYLOZYNVWGUVKEUYJUYLYRVWHVVTVUEUVKVVTEUY
      KVVDEHVTUVJVUGUUTUVAUYKUVIYSUIUUAUUJVCUUBUUCYMULVOUUDUUEYEUUFYAUUGUWFUWHF
      BCUVSBNZUWBUVRUWEUVNVWIUWAUURUVHVWIUVTUUQUVSBVJVKVLVWIUWDUVMCVWIUWCUVLAUV
      KEUVSBVSUKULVOUUHUUIUUKUULUUMUUN $.
      $( [29-Jan-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a t $.  $d A t $.  $d b t $.  $d M b $.
    $d N b $.  $d X a $.  $d X b $.  $d X t $.

    $( Adjoining an element to a power class.  Theorem X.1.40 of {{Rosser}},
       p. 530. $)
    nnadjoinpw $p |- ( ( ( M e. Nn /\ N e. Nn ) /\ ( A e. M /\ X e. ~ A ) /\
         ~P A e. N ) -> ~P ( A u. { X } ) e. ( N +c N ) ) $=
      ( va vb vt cnnc wcel wa ccompl cpw cun cv wceq wrex wss wn wral wal simp3
      w3a csn cab cplc pwadjoin cin cuni simp1r simp2r unipw compleqi syl6eleqr
      c0 nnadjoin syl3anc elcomplg ibi syl wb snssg mtbid intnand ralrimivw weq
      disjr eqeq1 rexbidv ralab ralcom4 vex snex unex eleq1 notbid ceqsalv elpw
      unss bitr4i xchbinx ralbii r19.23v albii 3bitr3ri 3bitri eladdci syl5eqel
      wi sylibr ) BHIZCHIZJZABIZDAKZIZJZALZCIZUBZADUCZMLWQENZFNZWTMZOZFWQPZEUDZ
      MZCCUEZADEFUFWSWRXFCIZWQXFUGUNOZXGXHIWLWPWRUAZWSWKWRDWQUHZKZIXIWJWKWPWRUI
      XKWSDWNXMWLWMWOWRUJZXLAAUKULUMEWQCDFUOUPWSXBAQZWTAQZJZRZFWQSZXJWSXRFWQWSX
      PXOWSDAIZXPWSWOXTRZXNWOYADAWNUQURUSWSWOXTXPUTXNDAWNVAUSVBVCVDXJGNZWQIZRZG
      XFSYBXCOZFWQPZYDWHZGTZXSGWQXFVFXEYFYDGEEGVEXDYEFWQXAYBXCVGVHVIYEYDWHZGTZF
      WQSYIFWQSZGTXSYHYIFGWQVJYJXRFWQYJXCWQIZXQYDYLRGXCXBWTFVKDVLVMZYEYCYLYBXCW
      QVNVOVPYLXCAQXQXCAYMVQXBWTAVRVSVTWAYKYGGYEYDFWQWBWCWDWEWIWQXFCCWFUPWG $.
      $( [27-Jan-2015] $)
  $}

  ${
    $d m a b n t x $.
    $( Lemma for ~ nnpweq .  Establish stratification for induction. $)
    nnpweqlem1 $p |- { m | A. a e. m A. b e. m E. n e. Nn ( ~P a
                                            e. n /\ ~P b e. n ) } e. _V $=
      ( vt vx cssetk cnnc wcel wa wrex csn copk snex bitri exbii df-rex 3bitr4i
      wex 3bitri csik cins2k cins3k csymdif c1c cpw1 cimak ccnvk cin cdif cuni1
      ccompl cv cpw wral cab cvv vex eluni1 wceq wel opkeq1 eleq1d ceqsexv elin
      opksnelsik elssetk opkex elimak elpw131c anbi1i 19.41v bitr4i excom eldif
      wn otkelins2k otkelins3k elpw12 r19.41v rexcom4 elpw121c eqpwrelk anbi12i
      df-clel rexbii notbii rexnal 3bitr2i elpw11c elcompl dfral2 ssetkex sikex
      opkelcnvk abbi2i ins2kex ins3kex symdifex 1cex imakex complex cnvkex inex
      pw1ex nncex difex uni1ex eqeltrri ) GUAZXJUBZGUBZXJUCZUDZUEUFZUFZUGZULZUH
      ZUAZUBZGUCZUIZXPUGZUBZXRUAZUHZUBZYBUIZXPUGZUCZUIZHUFZUFZUGZUCZUJZXPUFZUGZ
      UIZXOUGZULZUKZCUMZUNZBUMZIZDUMZUNZUUFIZJZBHKZDAUMZUOZCUUMUOZAUPUQUUOAUUCU
      UMUUCIUUMLZUUBIZUUOUUMUUBAURZUSUUPUUAIZVPUUNVPZCUUMKZVPUUQUUOUUSUVAEUMZUU
      DLZLZUTZUVBUUPMZYTIZJZESZCSZCAVAZUUTJZCSUUSUVAUVIUVLCUVIUVDUUPMZYTIZUVMXJ
      IZUVMYSIZJUVLUVGUVNEUVDUVCNZUVEUVFUVMYTUVBUVDUUPVBVCVDUVMXJYSVEUVOUVKUVPU
      UTUVOUVCUUMMGIUVKUVCUUMGUUDNZUURVFUUDUUMCURZUURVGOUVPDAVAZUULVPZJZDSZUWAD
      UUMKUUTUVPUVBUVMMZYQIZEYRKZUVBUUHLZLZLZLZUTZUWEJZESZDSZUWCEYQYRUVMUVDUUPV
      HVIUVBYRIZUWEJZESUWLDSZESUWFUWNUWPUWQEUWPUWKDSZUWEJUWQUWOUWRUWEDUVBVJVKUW
      KUWEDVLVMPUWEEYRQUWLDEVNRUWMUWBDUWMUWJUVMMZYQIZUWSXKIZUWSYPIZVPZJUWBUWEUW
      TEUWJUWINUWKUWDUWSYQUVBUWJUVMVBVCVDUWSXKYPVOUXAUVTUXCUWAUXAUWHUUPMXJIUWGU
      UMMGIUVTUWHUVDUUPXJUWGNZUVQUUMNZVQUWGUUMGUUHNZUURVFUUHUUMDURZUURVGTUXBUUL
      UXBUWHUVDMZYOIZUVBUUFLZLZUTZUVBUXHMZYLIZJZESZBHKZUULUWHUVDUUPYOUXDUVQUXEV
      RUXIUXNEYNKZUXQEYLYNUXHUWHUVDVHVIUVBYNIZUXNJZESUXOBHKZESUXRUXQUXTUYAEUXTU
      XLBHKZUXNJUYAUXSUYBUXNBUVBHVSVKUXLUXNBHVTVMPUXNEYNQUXOBEHWAROUXPUUKBHUXPU
      XKUXHMZYLIZUYCYEIZUYCYKIZJUUKUXNUYDEUXKUXJNUXLUXMUYCYLUVBUXKUXHVBVCVDUYCY
      EYKVEUYEUUGUYFUUJUUFUVDMZYDIZFUMZUUEUTZFBVAZJZFSZUYEUUGUYHUVBUYGMZYCIZEXP
      KZUVBUYILZLZLZUTZUYOJZESZFSZUYMEYCXPUYGUUFUVDVHVIUVBXPIZUYOJZESVUAFSZESUY
      PVUCVUEVUFEVUEUYTFSZUYOJVUFVUDVUGUYOFUVBWBZVKUYTUYOFVLVMPUYOEXPQVUAFEVNRV
      UBUYLFVUBUYSUYGMZYCIZVUIYAIZVUIYBIZJUYLUYOVUJEUYSUYRNZUYTUYNVUIYCUVBUYSUY
      GVBVCVDVUIYAYBVEVUKUYJVULUYKVUKUYQUVDMXTIUYIUVCMXSIZUYJUYQUUFUVDXTUYINZBU
      RZUVQVQUYIUVCXSFURZUVRVFVUNUVCUYIMXRIUYJUYIUVCXRVUQUVRWOUUDUYIUVSVUQWCOTV
      ULUYQUUFMGIZUYKUYQUUFUVDGVUOVUPUVQVRUYIUUFVUQVUPVGZOWDTPTUUFUWHUVDYDVUPUX
      DUVQVQFUUEUUFWERUUFUWHMZYJIZUYIUUIUTZUYKJZFSZUYFUUJVVAUVBVUTMZYIIZEXPKZUY
      TVVFJZESZFSZVVDEYIXPVUTUUFUWHVHVIVUDVVFJZESVVHFSZESVVGVVJVVKVVLEVVKVUGVVF
      JVVLVUDVUGVVFVUHVKUYTVVFFVLVMPVVFEXPQVVHFEVNRVVIVVCFVVIUYSVUTMZYIIZVVMYHI
      ZVVMYBIZJVVCVVFVVNEUYSVUMUYTVVEVVMYIUVBUYSVUTVBVCVDVVMYHYBVEVVOVVBVVPUYKV
      VOUYQUWHMYGIUWHUYQMYFIZVVBUYQUUFUWHYGVUOVUPUXDVQUYQUWHYFVUOUXDWOVVQUWGUYI
      MXRIVVBUWGUYIXRUXFVUQVFUUHUYIUXGVUQWCOTVVPVURUYKUYQUUFUWHGVUOVUPUXDVRVUSO
      WDTPTUUFUWHUVDYJVUPUXDUVQVRFUUIUUFWERWDTWFTWGWDTPTUWADUUMQUULDUUMWHWIWDTP
      UUSUVGEXOKZUVJEYTXOUUPUXEVIUVBXOIZUVGJZESUVHCSZESVVRUVJVVTVWAEVVTUVECSZUV
      GJVWAVVSVWBUVGCUVBWJVKUVEUVGCVLVMPUVGEXOQUVHCEVNROUUTCUUMQRWGUUPUUAUXEWKU
      UNCUUMWLROWPUUBUUAYTXOXJYSGWMWNZYQYRXKYPXJVWCWQYOYLYNYEYKYDYCXPYAYBXTXSXR
      XQXNXPXLXMGWMWQXJVWCWRWSXOUEWTXEZXEZXAXBZXCWNWQGWMWRZXDVWEXAWQYJYIXPYHYBY
      GYFXRVWFWNXCWQVWGXDVWEXAWRXDYMHXFXEXEXAWRXGXPVWEXEXAXDVWDXAXBXHXI $.
      $( [26-Jan-2015] $)
  $}

  ${
    $d A a b c d e f x y m n j k $.  $d B a b c d e f x y m n j k $.
    $d M a b c d e f x y m n j k $.
    $( If two sets are the same finite size, then so are their power classes.
       Theorem X.1.41 of {{Rosser}}, p. 530. $)
    nnpweq $p |- ( ( M e. Nn /\ A e. M /\ B e. M ) ->
       E. n e. Nn ( ~P A e. n /\ ~P B e. n ) ) $=
      ( va vb ve vf cnnc wcel cpw cv wa wrex wral c0 c0c wceq pweq eleq1d vm vk
      vc vj vd vx vy csn c1c cplc nnpweqlem1 raleq raleqbi1dv wal df-ral imbi1i
      wi albii 0ex pw0 syl6eq anbi1d rexbidv ralbidv ceqsalv bitri anbi2d anidm
      el0c syl6bb 3bitri weq eleq2 anbi12d cbvrexv 2ralbii 1cnnc snel1c rcla4ev
      cbvral2v mp2an cun ccompl reeanv 2rexbii elsuc anbi12i wel rcla42v adantl
      3bitr4ri nncaddccl anidms simp1l simp1r simp2ll simp3l simp2rl nnadjoinpw
      w3a 3ad2ant1 syl221anc simp2lr simp3r syl12anc bi2anan9 syl5ibrcom 3expia
      simp2rr rexlimdvv expr an32s rexlimdva imp rexlimdvva syl5bi ralrimivv ex
      syld finds syl5com 3impib ) DIJZADJZBDJZAKZCLZJZBKZYGJZMZCINZYCELZKZYGJZF
      LZKZYGJZMZCINZFDOZEDOZYDYEMYLYTFUALZOZEUUCOZPUHZYGJZCINZYTFUBLZOZEUUIOZUC
      LZKZUDLZJZUELZKZUUNJZMZUDINZUEUUIUIUJZOUCUVAOZUUBUAUBDUACEFUKUUCQRUUEYTFQ
      OZEQOZUUHUUDUVCEUUCQYTFUUCQULUMUVDYMQJZUVCUQZEUNYMPRZUVCUQZEUNZUUHUVCEQUO
      UVFUVHEUVEUVGUVCYMVIUPURUVIUUGYRMZCINZFQOZYPPRZUVKUQZFUNZUUHUVCUVLEPUSUVG
      YTUVKFQUVGYSUVJCIUVGYOUUGYRUVGYNUUFYGUVGYNPKZUUFYMPSUTVATVBVCVDVEUVLYPQJZ
      UVKUQZFUNUVOUVKFQUOUVRUVNFUVQUVMUVKYPVIUPURVFUVKUUHFPUSUVMUVJUUGCIUVMUVJU
      UGUUGMUUGUVMYRUUGUUGUVMYQUUFYGUVMYQUVPUUFYPPSUTVATVGUUGVHVJVCVEVKVKVJUUDU
      UJEUUCUUIYTFUUCUUIULUMUUCUVARUUEYTFUVAOZEUVAOZUVBUUDUVSEUUCUVAYTFUUCUVAUL
      UMUVTUUMYGJZUUQYGJZMZCINZUEUVAOUCUVAOUVBYTUWDUWAYRMZCINEFUCUEUVAUVAEUCVLZ
      YSUWECIUWFYOUWAYRUWFYNUUMYGYMUULSTVBVCFUEVLZUWEUWCCIUWGYRUWBUWAUWGYQUUQYG
      YPUUPSTVGVCVTUWDUUTUCUEUVAUVAUWCUUSCUDICUDVLUWAUUOUWBUURYGUUNUUMVMYGUUNUU
      QVMVNVOVPVFVJUUDUUAEUUCDYTFUUCDULUMUIIJUUFUIJZUUHVQPUSVRUUGUWHCUIIYGUIUUF
      VMVSWAUUIIJZUUKUVBUWIUUKMZUUTUCUEUVAUVAUULUVAJZUUPUVAJZMZUULGLZUFLZUHWBZR
      ZUUPHLZUGLZUHWBZRZMZUGUWRWCZNUFUWNWCZNZHUUINGUUINZUWJUUTUWQUFUXDNZUXAUGUX
      CNZMZHUUINGUUINUXGGUUINZUXHHUUINZMUXFUWMUXGUXHGHUUIUUIWDUXEUXIGHUUIUUIUWQ
      UXAUFUGUXDUXCWDWEUWKUXJUWLUXKUFUULUUIGWFUGUUPUUIHWFWGWKUWJUXEUUTGHUUIUUIU
      WIGUBWHZHUBWHZMZUUKUXEUUTUQZUWIUXNMZUUKUXOUXPUUKUWNKZYGJZUWRKZYGJZMZCINZU
      XOUXNUUKUYBUQUWIYTUYBUXRYRMZCINEFUWNUWRUUIUUIEGVLZYSUYCCIUYDYOUXRYRUYDYNU
      XQYGYMUWNSTVBVCFHVLZUYCUYACIUYEYRUXTUXRUYEYQUXSYGYPUWRSTVGVCWIWJUXPUYAUXO
      CIUWIYGIJZUXNUYAUXOUQUWIUYFMZUXNUYAUXOUYGUXNUYAMZMUXBUUTUFUGUXDUXCUYGUYHU
      WOUXDJZUWSUXCJZMZUXBUUTUQUYGUYHUYKWTZUUTUXBUWPKZUUNJZUWTKZUUNJZMZUDINZUYL
      YGYGUJZIJZUYMUYSJZUYOUYSJZUYRUYGUYHUYTUYKUYFUYTUWIUYFUYTYGYGWLWMWJXAUYLUW
      IUYFUXLUYIUXRVUAUWIUYFUYHUYKWNZUWIUYFUYHUYKWOZUXLUXMUYAUYGUYKWPUYGUYHUYIU
      YJWQUXRUXTUXNUYGUYKWRUWNUUIYGUWOWSXBUYLUWIUYFUXMUYJUXTVUBVUCVUDUXLUXMUYAU
      YGUYKXCUYGUYHUYIUYJXDUXRUXTUXNUYGUYKXIUWRUUIYGUWSWSXBUYQVUAVUBMUDUYSIUUNU
      YSRUYNVUAUYPVUBUUNUYSUYMVMUUNUYSUYOVMVNVSXEUXBUUSUYQUDIUWQUUOUYNUXAUURUYP
      UWQUUMUYMUUNUULUWPSTUXAUUQUYOUUNUUPUWTSTXFVCXGXHXJXKXLXMXSXNXLXOXPXQXRXTY
      TYLYHYRMZCINEFABDDYMARZYSVUECIVUFYOYHYRVUFYNYFYGYMASTVBVCYPBRZVUEYKCIVUGY
      RYJYHVUGYQYIYGYPBSTVGVCWIYAYB $.
      $( [26-Jan-2015] $)
  $}

  ${
    $d A t $.  $d A x $.  $d A y $.  $d B t $.  $d B x $.  $d B y $.  $d t x $.
    $d t y $.  $d t z $.  $d x y $.  $d x z $.  $d y z $.
    srelk.1 $e |- A e. _V $.
    srelk.2 $e |- B e. _V $.
    $( Binary relationship form of the ` _S[fin] ` relationship. $)
    srelk $p |- ( << A , B >> e. ( ( Nn X._k Nn ) i^i ( (
 Ins3_k ( ( Ins3_k SI_k ( ( ~P 1c X._k _V ) \ ( ( Ins3_k SSet_k (+) Ins2_k SI_k
 SSet_k ) "_k ~P1 ~P1 ~P1 1c ) ) i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c )
    i^i Ins2_k ( ( Ins3_k SI_k ~ ( ( Ins3_k SSet_k (+) Ins2_k SI_k SSet_k ) "_k
    ~P1 ~P1 1c ) i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) ) "_k ~P1 ~P1
                                                             ~P1 1c ) ) <->
        _S[fin] ( A , B ) ) $=
      ( vx vt vy vz copk cnnc wcel cssetk wa wex wceq exbii 3bitr4i snex 3bitri
      csn cxpk c1c cpw cvv cins3k csik cins2k csymdif cpw1 cimak cdif ccompl cv
      cin wsfin opkelxpk wrex opkex elimak elpw131c anbi1i 19.41v bitr4i df-rex
      excom opkeq1 eleq1d ceqsexv elin elpw121c otkelins3k opksnelsik eqpw1relk
      w3a vex otkelins2k elssetk bitri anbi12i df-clel wel elsymdif opkelssetkg
      wss wb wal wn mp2an bibi12i notbii elcompl alex df-pw eqeq2i abeq2 df-3an
      cab df-sfin ) ABIZJJUAZKZWSUBUCUDUALUEZLUFZUGZUHZUBUIUIZUIZUJUKZUFZUEZLUG
      ZUNZXFUJZUEZXEXFUJZULZUFZUEZXKUNZXFUJZUGZUNZXGUJZKZMZAJKZBJKZEUMZUIZAKZYH
      UCZBKZMZENZVNZWSWTYCUNKABUOYEYFYGMZYNMYOXAYPYDYNABJJCDUPYDFUMZWSIZYBKZFXG
      UQZYQYHTZTZTZTZOZYSMZFNZENZYNFYBXGWSABURUSYQXGKZYSMZFNUUFENZFNYTUUHUUJUUK
      FUUJUUEENZYSMUUKUUIUULYSEYQUTVAUUEYSEVBVCPYSFXGVDUUFEFVEQUUGYMEUUGUUDWSIZ
      YBKZUUMXNKZUUMYAKZMYMYSUUNFUUDUUCRUUEYRUUMYBYQUUDWSVFVGVHUUMXNYAVIUUOYJUU
      PYLUUBAIZXMKZGUMZYIOZUUSAKZMZGNZUUOYJUURYQUUQIZXLKZFXFUQZYQUUSTZTZTZOZUVE
      MZFNZGNZUVCFXLXFUUQUUBAURUSYQXFKZUVEMZFNUVKGNZFNUVFUVMUVOUVPFUVOUVJGNZUVE
      MUVPUVNUVQUVEGYQVJZVAUVJUVEGVBVCPUVEFXFVDUVKGFVEQUVLUVBGUVLUVIUUQIZXLKZUV
      SXJKZUVSXKKZMUVBUVEUVTFUVIUVHRZUVJUVDUVSXLYQUVIUUQVFVGVHUVSXJXKVIUWAUUTUW
      BUVAUWAUVGUUBIZXIKUUSUUAIZXHKUUTUVGUUBAXIUUSRZUUARZCVKUUSUUAXHGVOZYHRZVLU
      USYHUWHEVOZVMSUWBUVGAILKUVAUVGUUBALUWFUWGCVPUUSAUWHCVQVRVSSPSUUBABXMUWGCD
      VKGYIAVTQUUBBIZXTKZUUSYKOZUUSBKZMZGNZUUPYLUWLYQUWKIZXSKZFXFUQZUVJUWRMZFNZ
      GNZUWPFXSXFUWKUUBBURUSUVNUWRMZFNUWTGNZFNUWSUXBUXCUXDFUXCUVQUWRMUXDUVNUVQU
      WRUVRVAUVJUWRGVBVCPUWRFXFVDUWTGFVEQUXAUWOGUXAUVIUWKIZXSKZUXEXRKZUXEXKKZMU
      WOUWRUXFFUVIUWCUVJUWQUXEXSYQUVIUWKVFVGVHUXEXRXKVIUXGUWMUXHUWNUXGUWDXQKUWE
      XPKZUWMUVGUUBBXQUWFUWGDVKUUSUUAXPUWHUWIVLUXIHGWAZHUMZYHWDZWEZHWFZUWMUWEXO
      KZWGUXMWGZHNZWGUXIUXNUXOUXQUXOYQUWEIZXEKZFXFUQZYQUXKTZTZTZOZUXSMZFNZHNZUX
      QFXEXFUWEUUSUUAURZUSUVNUXSMZFNUYEHNZFNUXTUYGUYIUYJFUYIUYDHNZUXSMUYJUVNUYK
      UXSHYQVJVAUYDUXSHVBVCPUXSFXFVDUYEHFVEQUYFUXPHUYFUYCUWEIZXEKZUYLXBKZUYLXDK
      ZWEZWGUXPUXSUYMFUYCUYBRUYDUXRUYLXEYQUYCUWEVFVGVHUYLXBXDWBUYPUXMUYNUXJUYOU
      XLUYNUYAUUSILKUXJUYAUUSUUALUXKRZUWHUWIVKUXKUUSHVOZUWHVQVRUYOUYAUUAIXCKUXK
      YHILKZUXLUYAUUSUUAXCUYQUWHUWIVPUXKYHLUYRUWJVLUXKUDKYHUDKUYSUXLWEUYRUWJUXK
      YHUDUDWCWHSWIWJSPSWJUWEXOUYHWKUXMHWLQUWMUUSUXLHWQZOUXNYKUYTUUSHYHWMWNUXLH
      UUSWOVRVCSUXHUVGBILKUWNUVGUUBBLUWFUWGDVPUUSBUWHDVQVRVSSPSUUBABXTUWGCDVPGY
      KBVTQVSSPSVSYFYGYNWPVCWSWTYCVIABEWRQ $.
      $( [23-Jan-2015] $)
  $}

  $( The expression at the core of ~ srelk exists. $)
  srelkex $p |- ( ( Nn X._k Nn ) i^i ( (
 Ins3_k ( ( Ins3_k SI_k ( ( ~P 1c X._k _V ) \ ( ( Ins3_k SSet_k (+) Ins2_k SI_k
 SSet_k ) "_k ~P1 ~P1 ~P1 1c ) ) i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c )
    i^i Ins2_k ( ( Ins3_k SI_k ~ ( ( Ins3_k SSet_k (+) Ins2_k SI_k SSet_k ) "_k
    ~P1 ~P1 1c ) i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) ) "_k ~P1 ~P1
                                                       ~P1 1c ) ) e. _V $=
    ( cnnc cxpk c1c cvv cssetk cins3k csik cins2k cimak cin nncex xpkex ssetkex
    cpw1 ins3kex sikex ins2kex pw1ex imakex inex cpw cdif ccompl 1cex pwex vvex
    csymdif symdifex difex complex ) AABCUAZDBZEFZEGZHZUGZCNZNZNZIZUBZGZFZEHZJZ
    URIZFZUPURIZUCZGZFZVDJZURIZHZJZUSIAAKKLVOUSVGVNVFVEURVCVDVBVAULUTUKDCUDUEUF
    LUPUSUMUOEMOUNEMPQUHZURUQCUDRRZRZSUIPOEMQZTVQSOVMVLURVKVDVJVIVHUPURVPVQSUJP
    OVSTVQSQTVRST $.
    $( [30-Jan-2015] $)

  ${
    $d A y $.  $d B y $.  $d C y $.
    $( Equality theorem for the finite S relationship. $)
    sfineq1 $p |- ( A = B -> ( _S[fin] ( A , C ) <-> _S[fin] ( B , C ) ) ) $=
      ( vy wceq cnnc wcel cv cpw1 cpw wex w3a wsfin eleq1 eleq2 anbi1d 3anbi13d
      wa exbidv df-sfin 3bitr4g ) ABEZAFGZCFGZDHZIZAGZUEJCGZRZDKZLBFGZUDUFBGZUH
      RZDKZLACMBCMUBUCUKUJUNUDABFNUBUIUMDUBUGULUHABUFOPSQACDTBCDTUA $.
      $( [27-Jan-2015] $)

    $( Equality theorem for the finite S relationship. $)
    sfineq2 $p |- ( A = B -> ( _S[fin] ( C , A ) <-> _S[fin] ( C , B ) ) ) $=
      ( vy wceq cnnc wcel cv cpw1 cpw wex w3a wsfin eleq1 eleq2 anbi2d 3anbi23d
      wa exbidv df-sfin 3bitr4g ) ABEZCFGZAFGZDHZICGZUEJZAGZRZDKZLUCBFGZUFUGBGZ
      RZDKZLCAMCBMUBUDUKUJUNUCABFNUBUIUMDUBUHULUFABUGOPSQCADTCBDTUA $.
      $( [27-Jan-2015] $)
  $}

  $( Zero and one satisfy ` _S[fin] ` .  Theorem X.1.42 of {{Rosser}},
     p. 530. $)
  sfin01 $p |- _S[fin] ( 0c , 1c ) $=
    ( va c0c c1c wsfin cnnc wcel cv cpw1 cpw wex peano1 1cnnc wceq csn pw10 0ex
    wa c0 snel1c el0c pw1eq eqeq1d syl5bb pweq pw0 syl6eq eleq1d anbi12d cla4ev
    mp2an df-sfin mpbir3an ) BCDBEFCEFAGZHZBFZUMIZCFZQZAJZKLRHZRMZRNZCFZUSORPSU
    RVAVCQARPUMRMZUOVAUQVCUOUNRMVDVAUNTVDUNUTRUMRUAUBUCVDUPVBCVDUPRIVBUMRUDUEUF
    UGUHUIUJBCAUKUL $.
    $( [30-Jan-2015] $)

  ${
    $d M x y n k $.  $d N x y n k $.  $d P x y n k $.
    $( Equality law for the finite S operator.  Theorem X.1.43 of {{Rosser}},
       p. 530. $)
    sfin112 $p |- ( ( _S[fin] ( M , N ) /\ _S[fin] ( M , P ) ) -> N = P ) $=
      ( vx vy vn vk wsfin wa cnnc wcel cpw1 cpw wex w3a wceq df-sfin wel wrex
      cv 3an6 eeanv 3anbi3i anbi12i 3bitr4ri simpllr simprll simprrl ncfinlower
      syl3anc nnpweq 3expb simp1rl simp3l simp2lr simp3rl nnceleq simp1rr 3expa
      syl22anc simp2rr simp3rr eqtr4d expr rexlimdva syl5 exp3a rexlimdv mpd ex
      exlimdvv 3impia sylbi ) BCHZBAHZIZBJKZVQIZCJKZAJKZIZDTZLBKZWBMZCKZIZETZLB
      KZWGMZAKZIZIZENDNZOZCAPZVRWAWFDNZWKENZIZOVQVSWPOZVQVTWQOZIWNVPVQVQVSVTWPW
      QUAWMWRVRWAWFWKDEUBUCVNWSVOWTBCDQBAEQUDUEVRWAWMWOVRWAIZWLWODEXAWLWOXAWLIZ
      DFRZEFRZIZFJSZWOXBVQWCWHXFVQVQWAWLUFXAWCWEWKUGXAWFWHWJUHWBWGFBUIUJXBXEWOF
      JXBFTZJKZXEWOXHXEIWDGTZKZWIXIKZIZGJSZXBWOXHXCXDXMWBWGGXGUKULXBXLWOGJXBXIJ
      KZXLWOXAWLXNXLIZWOXAWLXOOZCXIAXPVSXNWEXJCXIPVSVTVRWLXOUMXAWLXNXLUNZWCWEWK
      XAXOUOXJXKXNXAWLUPWDCXIUQUTXPVTXNWJXKAXIPVSVTVRWLXOURXQWHWJWFXAXOVAXJXKXN
      XAWLVBWIAXIUQUTVCUSVDVEVFVGVHVIVJVKVLVM $.
      $( [27-Jan-2015] $)
  $}

  ${
    $d A b $.  $d a n $.  $d A x $.  $d a y $.  $d A y $.  $d a z $.  $d A z $.
    $d b n $.  $d b x $.  $d b y $.  $d b z $.  $d k n $.  $d k y $.  $d k z $.
    $d M a $.  $d M b $.  $d M k $.  $d M n $.  $d M x $.  $d M y $.  $d M z $.
    $d n x $.  $d n y $.  $d n z $.  $d x y $.  $d x z $.  $d y z $.
    $( If the unit power set of a set is in the successor of a finite cardinal,
       then there is a natural that is smaller than the finite cardinal and
       whose double is smaller than the successor of the cardinal.  Theorem
       X.1.44 of {{Rosser}}, p. 531. $)
    sfindbl $p |- ( ( M e. Nn /\ ~P1 A e. ( M +c 1c ) ) ->
         E. n e. Nn ( _S[fin] ( M , n ) /\
            _S[fin] ( ( M +c 1c ) , ( n +c n ) ) ) ) $=
      ( vb vx vy vz vk va cpw1 wcel cnnc cv cun wceq wrex wa wex vex eleq1d c1c
      cplc csn ccompl wsfin elsuc w3a pw1eqadj wi wel wn wb eleq1 adantr eleq12
      compleq snex elcompl snelpw1 xchbinx syl6bb sylan2 ancoms anbi2d 3anidm23
      anbi12d ncfinlower adantrr cpw simp3l simp3rr syl3anc simpl2l simprrr weq
      nnpweq simpl1 simprl pw1eq pweq cla4ev syl2anc syl3anbrc peano2 nncaddccl
      df-sfin anidms pw1un pw1sn uneq2i simpl2r sylnibr elsuci syl5eqel simpl3l
      syl eqtri nnadjoinpw syl221anc unex jca expr reximdva mpd 3expa rexlimdva
      sylibr syl6bi 3adant1 com12 exlimdvv syl5bi rexlimdvva imp sylan2b ) AJZC
      UAUBZKCLKZXPDMZEMZUCNOZEXSUDZPDCPZCBMZUEZXQYDYDUBZUEZQZBLPZEXPCDUFXRYCYIX
      RYAYIDECYBYAAFMZGMZUCZNZOZXSYJJZOZXTYLOZUGZGRFRXRXSCKZXTYBKZQZQZYIFGXSXTA
      DSESUHUUBYRYIFGYRUUBYIYPYQUUBYIUIYNYPYQQZUUBXRYOCKZGFUJZUKZQZQZYIUUCUUAUU
      GXRUUCYSUUDYTUUFYPYSUUDULYQXSYOCUMUNYQYPYTUUFULZYPYQYBYOUDZOZUUIXSYOUPYQU
      UKQYTYLUUJKZUUFXTYLYBUUJUOUULYLYOKZUUEYLYOYKUQZURYKYJUSZUTVAVBVCVFVDUUHFH
      UJZUUPQZHLPZYIXRUUDUURUUFXRUUDUURYJYJHCVGVEVHUUHUUQYIHLUUHHMZLKZUUQYIXRUU
      GUUTUUQQZYIXRUUGUVAUGZYJVIZYDKZUVDQZBLPZYIUVBUUTUUPUUPUVFXRUUGUUTUUQVJUUP
      UUPUUTXRUUGVKZUVGYJYJBUUSVPVLUVBUVEYHBLUVBYDLKZUVEYHUVBUVHUVEQZQZYEYGUVJX
      RUVHIMZJZCKZUVKVIZYDKZQZIRZYEXRUUGUVAUVIVQZUVBUVHUVEVRZUVJUUDUVDUVQUUDUUF
      XRUVAUVIVMZUVBUVHUVDUVDVNZUVPUUDUVDQIYJFSZIFVOZUVMUUDUVOUVDUWCUVLYOCUVKYJ
      VSTUWCUVNUVCYDUVKYJVTTVFWAWBCYDIWFWCUVJXQLKZYFLKZUVLXQKZUVNYFKZQZIRZYGUVJ
      XRUWDUVRCWDWPUVJUVHUWEUVSUVHUWEYDYDWEWGWPUVJYMJZXQKZYMVIZYFKZUWIUVJUWJYOY
      LUCZNZXQUWJYOYLJZNUWOYJYLWHUWPUWNYOYKGSZWIWJWQUVJUUDUUMUKUWOXQKUVTUVJUUEU
      UMUUDUUFXRUVAUVIWKZUUOWLYOCYLUUNWMWBWNUVJUUTUVHUUPYKYJUDKZUVDUWMUUTUUQXRU
      UGUVIWOUVSUVBUUPUVIUVGUNUVJUUFUWSUWRYKYJUWQURXGUWAYJUUSYDYKWRWSUWHUWKUWMQ
      IYMYJYLUWBUUNWTUVKYMOZUWFUWKUWGUWMUWTUVLUWJXQUVKYMVSTUWTUVNUWLYFUVKYMVTTV
      FWAWBXQYFIWFWCXAXBXCXDXEXBXFXDXHXIXJXKXLXMXNXO $.
      $( [30-Jan-2015] $)
  $}

  ${
    $d m n t x y $.
    $( Lemma for ~ sfintfin .  Set up induction stratification. $)
    sfintfinlem1 $p |- { m | A. n ( _S[fin] ( m , n ) ->
                  _S[fin] ( _T[fin] m , _T[fin] n ) ) } e. _V $=
      ( vt vy vx cxpk c1c cins3k cins2k cimak cin csn cv wcel wn wex copk exbii
      wa 3bitri cnnc cpw cvv cssetk csik csymdif cpw1 cdif ccompl c0 ccnvk cidk
      cun cuni1 wsfin ctfin wi wal cab eluni1 wrex wceq snex elimak el1c anbi1i
      vex 19.41v bitr4i df-rex excom 3bitr4i opkeq1 eleq1d opkelcnvk opksnelsik
      ceqsexv eldif srelk elpw11c elin otkelins2k eqtfinrelk otkelins3k anbi12i
      bitri opkex tfinex sfineq1 sfineq2 notbii annim elcompl alex abbi2i sikex
      srelkex tfinrelkex cnvkex ins2kex ins3kex inex pw1ex imakex difex complex
      1cex uni1ex eqeltrri ) UAUAFGUBUCFUDHUDUEIZUFZGUGZUGZUGZJUHUEHUDIZKXMJHZX
      KXMJUIUEHXOKXMJIKXNJKZUEZUJLZLZXSFXOUDUKHUAUCFXJXPKXNJKIULHUFXLJIUHXLJHUF
      XMJUIXTUCFUHUMZUKZIZYCXQHZKZXLJZHZKZXLJZUHZUKZGJZUIZUNZAMZBMZUOZYOUPZYPUP
      ZUOZUQZBURZAUSUCUUBAYNYOYNNYOLZYMNZUUBYOYMAVGZUTUUCYLNZOUUAOZBPZOUUDUUBUU
      FUUHUUFCMZUUCQZYKNZCGVAZUUIYPLZVBZUUKSZCPZBPZUUHCYKGUUCYOVCZVDUUIGNZUUKSZ
      CPUUOBPZCPUULUUQUUTUVACUUTUUNBPZUUKSUVAUUSUVBUUKBUUIVEVFUUNUUKBVHVIRUUKCG
      VJUUOBCVKVLUUPUUGBUUPUUMUUCQZYKNZUUCUUMQZYJNZUUGUUKUVDCUUMYPVCZUUNUUJUVCY
      KUUIUUMUUCVMVNVQUUMUUCYJUVGUURVOUVFUVEXRNZUVEYINZOZSYQYTOZSUUGUVEXRYIVRUV
      HYQUVJUVKUVHYOYPQXQNYQYOYPXQUUEBVGZVPYOYPUUEUVLVSWFUVIYTUVIUUIDMZLZLZVBZU
      UIUVEQZYHNZSZCPZDPZUVMYSVBZYRUVMUOZSZDPYTUVIUVRCXLVAUUIXLNZUVRSZCPZUWACYH
      XLUVEUUCUUMWGVDUVRCXLVJUWGUVSDPZCPUWAUWFUWHCUWFUVPDPZUVRSUWHUWEUWIUVRDUUI
      VTVFUVPUVRDVHVIRUVSDCVKVITUVTUWDDUVTUVOUVEQZYHNZUWJYCNZUWJYGNZSUWDUVRUWKC
      UVOUVNVCUVPUVQUWJYHUUIUVOUVEVMVNVQUWJYCYGWAUWLUWBUWMUWCUWLUVMUUMQYBNUUMUV
      MQYANUWBUVMUUCUUMYBDVGZUURUVGWBUVMUUMYAUWNUVGVOYPUVMUVLUWNWCTUWMUVMUUCQZY
      FNZEMZYRVBZUWQUVMUOZSZEPZUWCUVMUUCUUMYFUWNUURUVGWDUWPUUIUWOQZYENZCXLVAZUU
      IUWQLZLZVBZUXCSZCPZEPZUXACYEXLUWOUVMUUCWGVDUWEUXCSZCPUXHEPZCPUXDUXJUXKUXL
      CUXKUXGEPZUXCSUXLUWEUXMUXCEUUIVTVFUXGUXCEVHVIRUXCCXLVJUXHECVKVLUXIUWTEUXI
      UXFUWOQZYENZUXNYCNZUXNYDNZSUWTUXCUXOCUXFUXEVCUXGUXBUXNYEUUIUXFUWOVMVNVQUX
      NYCYDWAUXPUWRUXQUWSUXPUWQUUCQYBNUUCUWQQYANUWRUWQUVMUUCYBEVGZUWNUURWBUWQUU
      CYAUXRUURVOYOUWQUUEUXRWCTUXQUWQUVMQXQNUWSUWQUVMUUCXQUXRUWNUURWDUWQUVMUXRU
      WNVSWFWETRTUWSUWCEYRYOWHUWQYRUVMWIVQTWETRUWCYTDYSYPWHUVMYSYRWJVQTWKWEYQYT
      WLTTRTWKUUCYLUURWMUUABWNVLWFWOYMYLYKGYJXRYIXQWQWPYHXLYCYGYBYAWRWSWTZYFYEX
      LYCYDUXSXQWQXAXBGXGXCZXDXAXBUXTXDXEWSXGXDXFXHXI $.
      $( [31-Jan-2015] $)
  $}

  ${
    $d M a b k m n p q $.  $d N a k n $.
    $( If two numbers obey ` _S[fin] ` , then do their T raisings.  Theorem
       X.1.45 of {{Rosser}}, p. 532. $)
    sfintfin $p |- ( _S[fin] ( M , N ) ->
              _S[fin] ( _T[fin] M , _T[fin] N ) ) $=
      ( va vn vk cnnc wcel wa wsfin ctfin wi c0c c1c wceq sfineq1 wb tfineq syl
      imbi12d sfineq2 vm vp vq cv cpw wex w3a df-sfin 3simpa sylbi sfintfinlem1
      cpw1 wal cplc tfin0c syl6eq albidv weq cbvalv syl6bb sfin01 sfin112 mpan2
      tfin1c mpbiri simp3bi 3ad2ant3 wrex sfindbl 3ad2antl1 a4v simprrl simplrl
      ax-gen adantl simprrr ad2antlr syl2anc simp2 simp1bi simp1l simp3 tfinpw1
      peano2 c0 wne ne0i tfinsuc eleqtrd simp3l addceq12 anidms biimprcd 3expia
      mpd rexlimdvw 3adant3 adantrd exlimdv simpll adantr exlimiv 3syl sylan9bb
      tfindi syl3anc mpbird ex embantd exp32 com34 com23 exp3a rexlimdv alrimiv
      syl5 3imp finds cla4gv mpan9 mpcom ) AFGZBFGZHZABIZAJZBJZIZYEYBYCCUDZULZA
      GYIUEZBGHCUFZUGYDABCUHYBYCYLUIUJYBADUDZIZYFYMJZIZKZDUMZYCYEYHKZEUDZYMIZYT
      JZYOIZKZDUMZLYMIZLYOIZKZDUMUAUDZUBUDZIZUUIJZUUJJZIZKZUBUMZUUIMUNZYMIZUUQJ
      ZYOIZKZDUMZYREUAAEDUKYTLNZUUDUUHDUVCUUAUUFUUCUUGYTLYMOUVCUUBLNUUCUUGPUVCU
      UBLJLYTLQUOUPUUBLYOORSUQEUAURZUUEUUIYMIZUULYOIZKZDUMUUPUVDUUDUVGDUVDUUAUV
      EUUCUVFYTUUIYMOUVDUUBUULNUUCUVFPYTUUIQUUBUULYOORSUQUVGUUODUBDUBURZUVEUUKU
      VFUUNYMUUJUUITUVHYOUUMNUVFUUNPYMUUJQYOUUMUULTRSUSUTYTUUQNZUUDUVADUVIUUAUU
      RUUCUUTYTUUQYMOUVIUUBUUSNUUCUUTPYTUUQQUUBUUSYOORSUQYTANZUUDYQDUVJUUAYNUUC
      YPYTAYMOUVJUUBYFNUUCYPPYTAQUUBYFYOORSUQUUHDUUFYMMNZUUGUUFLMIZUVKVAMLYMVBV
      CUVKUUGUVLVAUVKYOMNUUGUVLPUVKYOMJMYMMQVDUPYOMLTRVERVNUUIFGZUUPUVBUVMUUPHU
      VADUVMUUPUURUUTUVMUUPUURUGZYJUUQGZYKYMGZHZCUFZUUTUURUVMUVRUUPUURUUQFGZYMF
      GUVRUUQYMCUHVFVGUVNUVQUUTCUVNUVOUUTUVPUVNUVOUUTUVNUVOHUUIUCUDZIZUUQUVTUVT
      UNZIZHZUCFVHZUUTUVMUUPUVOUWEUURYIUCUUIVIVJUVNUWEUUTKUVOUVNUWDUUTUCFUVNUVT
      FGZUWDUUTUVMUUPUURUWFUWDHZUUTKZUVMUURUUPUWHUVMUURUWGUUPUUTUVMUURUWGUUPUUT
      KUUPUWAUULUVTJZIZKZUVMUURUWGHZHZUUTUUOUWKUBUCUBUCURZUUKUWAUUNUWJUUJUVTUUI
      TUWNUUMUWINUUNUWJPUUJUVTQUUMUWIUULTRSVKUWMUWAUWJUUTUWLUWAUVMUURUWFUWAUWCV
      LVOUWMUWJUUTUWMUWJHZYMUWBNZUUTUWOUURUWCUWPUVMUURUWGUWJVMUWLUWCUVMUWJUURUW
      FUWAUWCVPVQZUWBUUQYMVBVRUWOUUSUWBJZIZUWPUUTKUWOUWSUULMUNZUWIUWIUNZIZUWOUV
      OYKUWBGZHZCUFZUXBUWOUWCUXEUWQUWCUVSUWBFGUXEUUQUWBCUHVFZRUWOUXDUXBCUWOUVOU
      XBUXCUWMUWJUVOUXBUWMUWJUVOUGZUULYTIZUWTYTYTUNZIZHZEFVHZUXBUXGUULFGZYJULZU
      WTGUXLUXGUWJUXMUWMUWJUVOVSUWJUXMUWIFGYJUULGYKUWIGHCUFUULUWICUHVTRUXGUXNUU
      SUWTUXGUVSUVOUXNUUSGUXGUVMUVSUVMUWLUWJUVOWAZUUIWDRUWMUWJUVOWBYJUUQWCVRUXG
      UVMUUQWEWFZUUSUWTNZUXOUVOUWMUXPUWJUUQYJWGZVGUUIWHZVRWIYJEUULVIVRUWMUWJUXL
      UXBKUVOUWOUXKUXBEFUWMUWJUXKUXBUWMUWJUXKUGZUWIYTNZUXBUXTUWJUXHUYAUWMUWJUXK
      VSUWMUWJUXHUXJWJYTUULUWIVBVRUXKUWMUYAUXBKZUWJUXJUYBUXHUYAUXBUXJUYAUXAUXIN
      ZUXBUXJPUYAUYCUWIUWIYTYTWKWLUXAUXIUWTTRWMVOVGWOWNWPWQWOWNWRWSWOUWOUXQUWRU
      XANZUWSUXBPUWOUVMUXPUXQUVMUWLUWJWTUWOUWCUXEUXPUWQUXFUXDUXPCUVOUXPUXCUXRXA
      XBXCUXSVRUWOUWFUWFUWBWEWFZUYDUWMUWFUWJUVMUURUWFUWDVLXAZUYFUWOUWCUXEUYEUWQ
      UXFUXDUYECUXCUYEUVOUWBYKWGVOXBXCUVTUVTXEXFUXQUWSUWTUWRIUYDUXBUUSUWTUWROUW
      RUXAUWTTXDVRXGUWPUUTUWSUWPYOUWRNUUTUWSPYMUWBQYOUWRUUSTRWMRWOXHXIXPXJXKXLX
      QXMXNXAWOXHWRWSWOWNXOXHXRYQYSDBFYMBNZYNYEYPYHYMBATUYGYOYGNYPYHPYMBQYOYGYF
      TRSXSXTYA $.
      $( [30-Jan-2015] $)
  $}

  ${
    $d n y a x $.  $d a t $.  $d a w $.  $d a z $.  $d n t $.  $d n z $.
    $d t w $.  $d t x $.  $d t y $.  $d t z $.  $d w x $.  $d w y $.  $d w z $.
    $d x z $.  $d y z $.

    $( Lemma for ~ tfinnn .  Establish stratification. $)
    tfinnnlem1 $p |- { n | A. y e. n ( y C_ Nn -> { a | E. x e.
                          y a = _T[fin] x } e. _T[fin] n ) } e. _V $=
      ( vt vz vw cssetk csn cimak wcel wn copk wa wex snex bitri 3bitri 3bitr4i
      exbii csik cnnc cpw cpw1 cvv cxpk c0 cins2k ccnvk cins3k c1c csymdif cdif
      cin cidk ccompl cun cuni1 cv wss ctfin wceq wrex cab wi vex eluni1 opkeq1
      wral wel eleq1d ceqsexv elin opksnelsik elssetk opkelxpk mpbiran2 snelpw1
      eldif otkelins2k opkelcnvk eqtfinrelk opkex elimak elpw121c anbi1i 19.41v
      bitr4i df-rex excom wb elsymdif otkelins3k anbi12i bibi12i notbii elcompl
      elpw abeq2 df-clel elpw11c tfinex clel3 annim dfral2 abbi2i ssetkex sikex
      wal alex nncex pwex pw1ex vvex xpkex tfinrelkex ins2kex ins3kex inex 1cex
      cnvkex imakex symdifex complex difex uni1ex eqeltrri ) HUAZUBUCZUDZUEUFZU
      AZUGIZIZYMUFHUHZHUIUJUBUEUFYHUHZUKUCUEUFHUJZYPULUKUDZUDZUDZJUMUAUJYOUNYSJ
      UJUNYTJUNUHUOUJULYRJUHUMYRJUJULYSJUPYNUEUFUMUQZUIZUHZYQYOUUAUJZUNZYSJZUAZ
      UHZULZYSJZUPZUAZUHZYQUNZYSJZUJZUNZYRJZUMZUNZYRJZUPZURZBUSZUBUTZDUSZAUSZVA
      VBZAUVDVCZDVDZCUSZVAZKZVEZBUVKVIZCVDUEUVOCUVCUVKUVCKUVKIZUVBKZUVOUVKUVBCV
      FZVGUVPUVAKZLUVNLZBUVKVCZLUVQUVOUVSUWAEUSZUVDIZIZVBZUWBUVPMZUUTKZNZEOZBOZ
      BCVJZUVTNZBOUVSUWAUWIUWLBUWIUWDUVPMZUUTKZUWMYHKZUWMUUSKZNUWLUWGUWNEUWDUWC
      PZUWEUWFUWMUUTUWBUWDUVPVHVKVLUWMYHUUSVMUWOUWKUWPUVTUWOUWCUVKMZHKUWKUWCUVK
      HUVDPZUVRVNUVDUVKBVFZUVRVOQUWPUWMYLKZUWMUURKZLZNUVEUVMLZNUVTUWMYLUURVSUXA
      UVEUXCUXDUXAUWRYKKZUVDYIKZUVEUWCUVKYKUWSUVRVNUXEUWCYJKZUXFUXEUXGUVKUEKUVR
      UWCUVKYJUEUWSUVRVPVQUVDYIVRQUVDUBUWTWRRUXBUVMUWBFUSZIZIZVBZUWBUWMMZUUQKZN
      ZEOZFOZUXHUVLVBZUVJUXHKZNZFOUXBUVMUXOUXSFUXOUXJUWMMZUUQKZUXTUUCKZUXTUUPKZ
      NUXSUXMUYAEUXJUXIPUXKUXLUXTUUQUWBUXJUWMVHVKVLUXTUUCUUPVMUYBUXQUYCUXRUYBUX
      HUVPMUUBKUVPUXHMUUAKUXQUXHUWDUVPUUBFVFZUWQUVKPZVTUXHUVPUUAUYDUYEWAUVKUXHU
      VRUYDWBRUXHUWDMZUUOKZGUSZUVJVBZGFVJZNZGOZUYCUXRUYGUWBUYFMZUUNKZEYSVCZUWBU
      YHIZIZIZVBZUYNNZEOZGOZUYLEUUNYSUYFUXHUWDWCWDUWBYSKZUYNNZEOUYTGOZEOUYOVUBV
      UDVUEEVUDUYSGOZUYNNVUEVUCVUFUYNGUWBWEWFUYSUYNGWGWHTUYNEYSWIUYTGEWJSVUAUYK
      GVUAUYRUYFMZUUNKZVUGUUMKZVUGYQKZNUYKUYNVUHEUYRUYQPUYSUYMVUGUUNUWBUYRUYFVH
      VKVLVUGUUMYQVMVUIUYIVUJUYJVUIUYPUWDMUULKUYHUWCMZUUKKZUYIUYPUXHUWDUULUYHPZ
      UYDUWQVTUYHUWCUUKGVFZUWSVNVUKUUJKZLDGVJZUVIWKZLZDOZLZVULUYIVUOVUSVUOUWBVU
      KMZUUIKZEYSVCZUWBUVFIZIZIZVBZVVBNZEOZDOZVUSEUUIYSVUKUYHUWCWCZWDVUCVVBNZEO
      VVHDOZEOVVCVVJVVLVVMEVVLVVGDOZVVBNVVMVUCVVNVVBDUWBWEWFVVGVVBDWGWHTVVBEYSW
      IVVHDEWJSVVIVURDVVIVVFVUKMZUUIKZVVOYQKZVVOUUHKZWKZLVURVVBVVPEVVFVVEPVVGVV
      AVVOUUIUWBVVFVUKVHVKVLVVOYQUUHWLVVSVUQVVQVUPVVRUVIVVQVVDUYHMHKVUPVVDUYHUW
      CHUVFPZVUNUWSWMUVFUYHDVFZVUNVOQVVRVVDUWCMUUGKZUVIVVDUYHUWCUUGVVTVUNUWSVTU
      VFUVDMZUUFKZABVJZUVHNZAOZVWBUVIVWDUWBVWCMZUUEKZEYSVCZUWBUVGIZIZIZVBZVWINZ
      EOZAOZVWGEUUEYSVWCUVFUVDWCWDVUCVWINZEOVWOAOZEOVWJVWQVWRVWSEVWRVWNAOZVWINV
      WSVUCVWTVWIAUWBWEWFVWNVWIAWGWHTVWIEYSWIVWOAEWJSVWPVWFAVWPVWMVWCMZUUEKZVXA
      YOKZVXAUUDKZNVWFVWIVXBEVWMVWLPVWNVWHVXAUUEUWBVWMVWCVHVKVLVXAYOUUDVMVXCVWE
      VXDUVHVXCVWKUVDMHKVWEVWKUVFUVDHUVGPZVWAUWTVTUVGUVDAVFZUWTVOQVXDVWKUVFMUUA
      KUVHVWKUVFUVDUUAVXEVWAUWTWMUVGUVFVXFVWAWBQWNRTRUVFUVDUUFVWAUWTVNUVHAUVDWI
      SQWOWPRTRWPVUKUUJVVKWQUYIVUQDXIVUTUVIDUYHWSVUQDXJQSRVUJUYPUXHMHKUYJUYPUXH
      UWDHVUMUYDUWQWMUYHUXHVUNUYDVOQWNRTRUXHUWDUVPUUOUYDUWQUYEWMGUVJUXHWTSWNRTU
      XBUXMEYRVCZUXPEUUQYRUWMUWDUVPWCWDUWBYRKZUXMNZEOUXNFOZEOVXGUXPVXIVXJEVXIUX
      KFOZUXMNVXJVXHVXKUXMFUWBXAWFUXKUXMFWGWHTUXMEYRWIUXNFEWJSQFUVJUVLUVKXBXCSW
      PWNUVEUVMXDRWNRTUVSUWGEYRVCZUWJEUUTYRUVPUYEWDVXHUWGNZEOUWHBOZEOVXLUWJVXMV
      XNEVXMUWEBOZUWGNVXNVXHVXOUWGBUWBXAWFUWEUWGBWGWHTUWGEYRWIUWHBEWJSQUVTBUVKW
      ISWPUVPUVAUYEWQUVNBUVKXESQXFUVBUVAUUTYRYHUUSHXGXHYLUURYKYJUEYIUBXKXLXMXNX
      OXHUUQYRUUCUUPUUBUUAXPYAXQUUOUUNYSUUMYQUULUUKUUJUUIYSYQUUHHXGXRZUUGUUFUUE
      YSYOUUDHXGXQUUAXPXRXSYRUKXTXMZXMZYBXHXQYCVXRYBYDXHXQVXPXSVXRYBXRXSVXQYBYE
      XSVXQYBYDYFYG $.
      $( [30-Jan-2015] $)
  $}

  ${
    $d N a x $.  $d A a x $.  $d a y $.  $d A y $.  $d n y $.  $d N y $.
    $d x y $.  $d a b $.  $d a k $.  $d a n $.  $d a w $.  $d a z $.  $d b k $.
    $d b w $.  $d b x $.  $d b y $.  $d b z $.  $d k n $.  $d k w $.  $d k x $.
    $d k y $.  $d k z $.  $d N n $.  $d n x $.  $d n z $.  $d w x $.  $d w y $.
    $d w z $.  $d x z $.  $d y z $.

    $( T-raising of a set of naturals.  Theorem X.1.46 of {{Rosser}},
       p. 532. $)
    tfinnn $p |- ( ( N e. Nn /\ A C_ Nn /\ A e. N ) ->
       { a | E. x e. A a = _T[fin] x } e. _T[fin] N ) $=
      ( vy vb vw cnnc wcel wss cv ctfin wceq wrex cab wi c0 wn c0c wa vn vk wal
      vz wral c1c cplc tfinnnlem1 tfineq tfin0c syl6eq eleq2d imbi2d raleqbi1dv
      df-ral el0c ab0 bitri imbi2i imbi12i albii 0ex sseq1 rexeq notbid imbi12d
      albidv ceqsalv 3bitri syl6bb weq abbidv eleq1d cbvralv ax-gen a1i csn cun
      rex0 ccompl elsuc wel rcla4v ad2antrl w3a simp3 simplrr vex elcompl sylib
      simprl elequ1 syl5ibcom con2d imp simpll simprr syl simplr sseldd syl3anc
      simpr tfin11 mtand nrexdv 3adant3 tfinex eqeq1 rexbidv elab elsuci 3expia
      sylnibr syl2anc embantd ex com23 snss anbi2i bitr2i wo rexun df-sn eqeq2d
      unss rexsn abbii eqtr4i uneq2i unab eqtr2i biimprcd syl6 an32s rexlimdvva
      syld syl5bi imp32 wne ne0i tfinsuc eleqtrrd expr ralrimiva finds rcla4cv
      3imp ) CHIZBHJZBCIZDKZAKZLZMZABNZDOZCLZIZUUHUUJUUIUURUUHEKZHJZUUNAUUSNZDO
      ZUUQIZPZECUEZUUJUUIUURPZPUUTUVBUAKZLZIZPZEUVGUEZQHJZUUNAQNZRZDUCZPZUUTUVB
      UBKZLZIZPZEUVQUEZUDKZHJZUUNAUWBNZDOZUVQUFUGZLZIZPZUDUWFUEZUVEUAUBCAEUADUH
      UVGSMZUVKUUTUVBSIZPZESUEZUVPUVJUWMEUVGSUWKUVIUWLUUTUWKUVHSUVBUWKUVHSLSUVG
      SUIUJUKULUMUNUWNUUSSIZUWMPZEUCUUSQMZUUTUVARZDUCZPZPZEUCUVPUWMESUOUWPUXAEU
      WOUWQUWMUWTUUSUPUWLUWSUUTUWLUVBQMUWSUVBUPUVADUQURUSUTVAUWTUVPEQVBUWQUUTUV
      LUWSUVOUUSQHVCUWQUWRUVNDUWQUVAUVMUUNAUUSQVDVEVGVFVHVIVJUVJUVTEUVGUVQUAUBV
      KZUVIUVSUUTUXBUVHUVRUVBUVGUVQUIULUMUNUVGUWFMZUVKUUTUVBUWGIZPZEUWFUEUWJUVJ
      UXEEUVGUWFUXCUVIUXDUUTUXCUVHUWGUVBUVGUWFUIULUMUNUXEUWIEUDUWFEUDVKZUUTUWCU
      XDUWHUUSUWBHVCUXFUVBUWEUWGUXFUVAUWDDUUNAUUSUWBVDVLVMVFVNVJUVJUVDEUVGCUVGC
      MZUVIUVCUUTUXGUVHUUQUVBUVGCUIULUMUNUVOUVLUVNDUUNAVSVOVPUVQHIZUWAUWJUXHUWA
      TZUWIUDUWFUXIUWBUWFIZUWCUWHUXIUXJUWCTZTZUWEUVRUFUGZUWGUXIUXJUWCUWEUXMIZUX
      JUWBFKZGKZVQZVRZMZGUXOVTZNFUVQNUXIUWCUXNPZGUWBUVQFWAUXIUXSUYAFGUVQUXTUXHF
      UBWBZUXPUXTIZTZUWAUXSUYAPZUXHUYDTZUWAUYEUYFUWAUXOHJZUUNAUXONZDOZUVRIZPZUY
      EUYBUWAUYKPUXHUYCUVTUYKEUXOUVQEFVKZUUTUYGUVSUYJUUSUXOHVCUYLUVBUYIUVRUYLUV
      AUYHDUUNAUUSUXOVDVLVMVFWCWDUYFUYKUYGUXPHIZTZUYIUXPLZVQZVRZUXMIZPZUYEUYFUY
      NUYKUYRUYFUYNUYKUYRPUYFUYNTZUYGUYJUYRUYFUYGUYMWKZUYFUYNUYJUYRUYFUYNUYJWEZ
      UYJUYOUYIIZRUYRUYFUYNUYJWFVUBUYOUUMMZAUXONZVUCUYFUYNVUERUYJUYTVUDAUXOUYTA
      FWBZTZVUDGAVKZUYTVUFVUHRUYTVUHVUFUYTGFWBZRZVUHVUFRUYTUYCVUJUXHUYBUYCUYNWG
      UXPUXOGWHZWIWJVUHVUIVUFGAFWLVEWMWNWOVUGVUDTZUYMUULHIVUDVUHVULUYTUYMUYTVUF
      VUDWPZUYFUYGUYMWQWRVULUXOHUULVULUYTUYGVUMVUAWRUYTVUFVUDWSWTVUGVUDXBUXPUUL
      XCXAXDXEXFUYHVUEDUYOUXPXGZUUKUYOMZUUNVUDAUXOUUKUYOUUMXHXIXJXMUYIUVRUYOVUN
      XKXNXLXOXPXQUXSUYAUYSUXSUWCUYNUXNUYRUXSUWCUXRHJZUYNUWBUXRHVCUYNUYGUXQHJZT
      VUPUYMVUQUYGUXPHVUKXRXSUXOUXQHYEXTVJUXSUWEUYQUXMUXSUWEUYHUUNAUXQNZYAZDOZU
      YQUXSUWDVUSDUXSUWDUUNAUXRNVUSUUNAUWBUXRVDUUNAUXOUXQYBVJVLUYQUYIVURDOZVRVU
      TUYPVVAUYIUYPVUODOVVADUYOYCVURVUODUUNVUOAUXPVUKAGVKUUMUYOUUKUULUXPUIYDYFY
      GYHYIUYHVURDYJYKUKVMVFYLYMYPWOYNYOYQYRUXLUXHUWFQYSZUWGUXMMUXHUWAUXKWPUXJV
      VBUXIUWCUWFUWBYTWDUVQUUAXNUUBUUCUUDXPUUEUVDUVFEBCUUSBMZUUTUUIUVCUURUUSBHV
      CVVCUVBUUPUUQVVCUVAUUODUUNAUUSBVDVLVMVFUUFWRXQUUG $.
      $( [30-Jan-2015] $)
  $}

  ${
    $d a b $.  $d a r $.  $d a s $.  $d b r $.  $d b s $.  $d M a $.  $d M b $.
    $d M r $.  $d M s $.  $d N a $.  $d N b $.  $d N r $.  $d N s $.  $d P a $.
    $d P b $.  $d P r $.  $d P s $.  $d Q a $.  $d Q b $.  $d Q r $.  $d Q s $.
    $d r s $.  $d a d $.  $d a g $.  $d a t $.  $d a x $.  $d b d $.  $d b g $.
    $d b t $.  $d b x $.  $d d g $.  $d d r $.  $d d s $.  $d d t $.  $d d x $.
    $d g r $.  $d g s $.  $d g t $.  $d g x $.  $d M d $.  $d M g $.  $d M t $.
    $d M x $.  $d N d $.  $d N g $.  $d N t $.  $d N x $.  $d P d $.  $d P g $.
    $d P t $.  $d P x $.  $d Q d $.  $d Q g $.  $d Q t $.  $d Q x $.  $d r t $.
    $d r x $.  $d s t $.  $d s x $.  $d t x $.  $d a n $.  $d a u $.  $d b n $.
    $d b u $.  $d d n $.  $d d u $.  $d g n $.  $d g u $.  $d m n $.  $d M n $.
    $d m u $.  $d M u $.  $d N n $.  $d n r $.  $d n s $.  $d n t $.  $d n u $.
    $d N u $.  $d P n $.  $d P u $.  $d Q n $.  $d Q u $.  $d r u $.  $d s u $.
    $d t u $.
    $( Ordering law for finite smaller than.  Theorem X.1.47 of {{Rosser}},
       p. 532. $)
    sfinltfin $p |- ( ( ( _S[fin] ( M , N ) /\ _S[fin] ( P , Q ) ) /\
        << M , P >> e. <[fin] ) -> << N , Q >> e. <[fin] ) $=
      ( va vb vr vx wa cltfin wcel cnnc cv wrex wceq c0 wn syl2anc syl cplc cpw
      vs vt vg vd vu vn vm wsfin copk cpw1 wex w3a wi df-sfin 3an6 eeanv simp1l
      wel simp3ll ncfinlower syl3anc simp1r simp3rl reeanv simpl anim12i cin wo
      ctfin simprll simprrl tfinpw1 elin sylanbrc n0i simpl1l wne ne0i tfinprop
      adantr simpld nndisjeq sylc simprlr simprrr simpl1r wb tfinltfin ad2antrl
      orel1 c1c opkltfing simp2rr simp3r eleqtrd addcass syl6eleq 0nelsuc eleq1
      cun eladdc syl5ibcom mtoi df-ne sylibr wss ssun2 sseq2 mpbiri sseld disjr
      n0 ra4 sylbi anim12ii ancoms ad2antll vex snelpw sylib eleq2 imp 3ad2ant1
      wral ad2antrr cfin cvv pwex c0c syl5bir eleq1d syl5ibrcom mpd 3expa exp32
      rexlimdv syl5bi rexlimdvv mp2and csn notbii anbi12i ssun1 adantl biimprcd
      sspwb anim2i dfpss2 simp2ll simp2rl nnpweq simpr2l simp3lr simpr1 simp12l
      wpss con3d cdif simp3rr simp12r elunii df-fin syl6eleqr difex difss ssfin
      mp3an13 elfin undif1 eqtr3i simp23 pssssd ssequn2 syl5eqr simp22r disjdif
      uncom a1i eladdci eqeltrrd simp21 simp3l nncaddccl df-pss ssdif0 simplbi2
      cuni necon3d biimpcd syl6ib necon3ad nnc0suc addceq2 syl6eqr reximi mp2an
      eqss el0c addcex opkeq2 opkeq1 3exp2 mpand exlimdv adantld sylbid sylbird
      syl5 syld opkeq12 imbi1d syl7 3expia exlimdvv 3impia sylbir syl2anb ) CDU
      IZABUIZICAUJZJKZDBUJZJKZUXSCLKZDLKZEMZUKZCKZUYGUAZDKZIZEULZUMZALKZBLKZFMZ
      UKZAKZUYQUAZBKZIZFULZUMZUYBUYDUNZUXTCDEUOABFUOUYNVUDIUYEUYOIZUYFUYPIZUYMV
      UCIZUMVUEUYEUYOUYFUYPUYMVUCUPVUFVUGVUHVUEVUHUYLVUBIZFULEULVUFVUGIZVUEUYLV
      UBEFUQVUJVUIVUEEFVUFVUGVUIVUEVUFVUGVUIUMZEGUSZVULIZGLNZFUBUSZVUOIZUBLNZVU
      EVUKUYEUYIUYIVUNUYEUYOVUGVUIURUYIUYKVUBVUFVUGUTZVURUYGUYGGCVAVBVUKUYOUYSU
      YSVUQUYEUYOVUGVUIVCUYSVUAUYLVUFVUGVDZVUSUYQUYQUBAVAVBVUNVUQIVUMVUPIZUBLNG
      LNVUKVUEVUMVUPGUBLLVEVUKVUTVUEGUBLLVUTVULVUOIZVUKGMZLKZUBMZLKZIZVUEVUMVUL
      VUPVUOVULVULVFVUOVUOVFVGVUKVVFVVAVUEVUKVVFVVAIZIZCVVBVJZOZAVVDVJZOZVUEVVH
      CVVIVHZPOZQZVVNVVJVIZVVJVVHUYHVVMKZVVOVVHUYIUYHVVIKZVVQVUKUYIVVGVURWAVVHV
      VCVULVVRVUKVVCVVEVVAVKZVUKVVFVULVUOVLZUYGVVBVMRUYHCVVIVNVOVVMUYHVPSVVHUYE
      VVILKZVVPUYEUYOVUGVUIVVGVQVVHVVCVVBPVRZVWAVVSVVHVULVWBVVTVVBUYGVSSVVCVWBI
      VWAVVREVVBNVVBEVTWBRCVVIWCRVVNVVJWKWDVVHAVVKVHZPOZQZVWDVVLVIZVVLVVHUYRVWC
      KZVWEVVHUYSUYRVVKKZVWGVUKUYSVVGVUSWAVVHVVEVUOVWHVUKVVCVVEVVAWEZVUKVVFVULV
      UOWFZUYQVVDVMRUYRAVVKVNVOVWCUYRVPSVVHUYOVVKLKZVWFUYEUYOVUGVUIVVGWGVVHVVEV
      VDPVRZVWKVWIVVHVUOVWLVWJVVDUYQVSSVVEVWLIVWKUYHVVKKEVVDNVVDEVTWBRAVVKWCRVW
      DVVLWKWDVVHVUEVVJVVLIZVVIVVKUJZJKZUYDUNVVHVWOVVBVVDUJJKZUYDVVFVWPVWOWHVUK
      VVAVVBVVDWIWJVVHVWPVWBVVDVVBUCMZTWLTZOZUCLNZIZUYDVVFVWPVXAWHVUKVVAUCVVBVV
      DLLWMWJVVHVWTUYDVWBVVHVWSUYDUCLVVHVWQLKZVWSUYDVUKVVGVXBVWSIZUYDVUKVVGVXCU
      MZUYQVVBVWQWLTZTZKZUYDVXDUYQVWRVXFVXDUYQVVDVWRVULVUOVVFVUKVXCWNVUKVVGVXBV
      WSWOWPVVBVWQWLWQWRVXGUDMZUEMZVHPOZUYQVXHVXIXAZOZIZUEVXENUDVVBNVXDUYDUYQVV
      BVXEUDUEXBVXDVXMUYDUDUEVVBVXEVXDUDGUSZVXIVXEKZIZVXMUYDVXDVXPVXMIZIZVXIPVR
      ZUYDVXRVXIPOZQVXSVXRVXTPVXEKZVWQWSVXRVXOVXTVYAVXDVXNVXOVXMWEVXIPVXEWTXCXD
      VXIPXEXFVXSHUEUSZHULVXRUYDHVXIXMVXRVYBUYDHVXRVYBHFUSZHUDUSZQZIZUYDVXMVYBV
      YFUNZVXDVXPVXLVXJVYGVXLVYBVYCVXJVYEVXLVXIUYQHMZVXLVXIUYQXGVXIVXKXGVXIVXHX
      HUYQVXKVXIXIXJXKVXJVYEHVXIYEVYBVYEUNHVXHVXIXLVYEHVXIXNXOXPXQXRVYFVYHUUAZU
      YTKZVYIVXHUAZKZQZIZVXRUYDVYJVYCVYMVYEVYHUYQHXSZXTVYLVYDVYHVXHVYOXTUUBUUCV
      XRVYKUYTXGZVYNUYDVXMVYPVXDVXPVXLVYPVXJVXLVXHUYQXGZVYPVXLVYQVXHVXKXGVXHVXI
      UUDUYQVXKVXHXIXJVXHUYQUUGYAUUEXRVYPVYNIZVYKUYTUUQZVXRUYDVYRVYPVYKUYTOZQZI
      VYSVYNWUAVYPVYJVYMWUAVYJVYTVYLVYTVYLVYJVYKUYTVYIYBUUFUURYCUUHVYKUYTUUIXFV
      XRUYJUFMZKZVYKWUBKZIZUFLNZVYSUYDUNZVXRVVCVULVXNWUFVXDVVCVXQVVCVVEVVAVUKVX
      CUUJWAVXDVULVXQVULVUOVVFVUKVXCUUKWAVXDVXNVXOVXMVKUYGVXHUFVVBUULVBVXRWUEWU
      GUFLVXRWUBLKZWUEVYSUYDVXRWUHWUEVYSUMZIZWUBDOZUYDWUJWUBDVHZPOZQZWUMWUKVIZW
      UKWUJUYJWULKZWUNWUJWUCUYKWUPWUCWUDWUHVYSVXRUUMVXDUYKVXQWUIVUKVVGUYKVXCUYI
      UYKVUBVUFVUGUUNYDYFUYJWUBDVNVOWULUYJVPSWUJWUHUYFWUOVXRWUHWUEVYSUUOVXDUYFV
      XQWUIUYFUYPVUFVUIVVGVXCUUPYFWUBDWCRWUMWUKWKWDWUJWUBBUJZJKZWUKUYDWUJUYTVYK
      UUSZYGKZWURWUJUYTYGKZWUTWUJUYTLUWHZYGWUJVUAUYPUYTWVBKVXDVUAVXQWUIVUKVVGVU
      AVXCUYSVUAUYLVUFVUGUUTYDZYFVXDUYPVXQWUIUYFUYPVUFVUIVVGVXCUVAZYFUYTBLUVBRU
      VCUVDWUSYHKWVAWUSUYTXGWUTUYTVYKUYQFXSYIVXHUDXSYIUVEUYTVYKUVFWUSUYTYHUVGUV
      HSWUTWUSUGMZKZUGLNWUJWURUGWUSUVIWUJWVFWURUGLWUJWVELKZWVFWURVXRWUIWVGWVFIZ
      WURVXRWUIWVHUMZBWUBWVETZOZWURWVIBWVJVHZPOZQZWVMWVKVIZWVKWVIUYTWVLKZWVNWVI
      VUAUYTWVJKWVPVXRWUIVUAWVHVXDVUAVXQWVCWAYDWVIVYKWUSXAZUYTWVJWVIWVQUYTVYKXA
      ZUYTWUSVYKXAWVRWVQUYTVYKUVJWUSVYKUVRUVKWVIVYPWVRUYTOWVIVYKUYTVXRWUHWUEVYS
      WVHUVLZUVMVYKUYTUVNYAUVOWVIWUDWVFVYKWUSVHPOZWVQWVJKWUCWUDWUHVYSVXRWVHUVPZ
      VXRWUIWVGWVFWOZWVTWVIVYKUYTUVQUVSVYKWUSWUBWVEUVTVBUWAUYTBWVJVNVOWVLUYTVPS
      WVIUYPWVJLKZWVOVXRWUIUYPWVHVXDUYPVXQWVDWAYDWVIWUHWVGWWCVXRWUHWUEVYSWVHUWB
      VXRWUIWVGWVFUWCZWUBWVEUWDRBWVJWCRWVMWVKWKWDWVIWURWVKWUBWVJUJZJKZWVIWUBPVR
      ZWVJWUBUHMZTWLTZOZUHLNZWWFWVIWUDWWGWWAWUBVYKVSSWVIWVEWWHWLTZOZUHLNZWWKWVI
      WVEYJOZQZWWOWWNVIZWWNWVIWVFWUSPVRZWWPWWBWVIVYSWWRWVSVYSVYPVYKUYTVRZIWWRVY
      KUYTUWEVYPWWSWWRVYPWUSPVYKUYTWUSPOZUYTVYKXGZVYPVYTUYTVYKUWFVYTVYPWXAVYKUY
      TUWRUWGYKUWIYCXOSWVFWWOWUSPWVFWWOWUSYJKZWWTWWOWVFWXBWVEYJWUSYBUWJWUSUWSUW
      KUWLWDWVIWVGWWQWWDUHWVEUWMYAWWOWWNWKWDWWMWWJUHLWWMWVJWUBWWLTWWIWVEWWLWUBU
      WNWUBWWHWLWQUWOUWPSWUBYHKWVJYHKWWFWWGWWKIWHUFXSZWUBWVEWXCUGXSUWTUHWUBWVJY
      HYHWMUWQVOWVKWUQWWEJBWVJWUBUXAYLYMYNYOYPYQYRYNWUKWUQUYCJWUBDBUXBYLXCYNUXC
      YQYNUXIUXDYKUXJUXEYRYNYPYSYRYNYOYPYQUXFUXGUXHVWMUYBVWOUYDVWMUYAVWNJCAVVIV
      VKUXKYLUXLYMYTYPUXMYSYKYTUXNUXOYKUXPUXQUXRYC $.
      $( [30-Jan-2015] $)
  $}

  ${
    $d M a $.  $d N a $.  $d P a $.
    $( The finite smaller relationship is one-to-one in its first argument.
       Theorem X.1.48 of {{Rosser}}, p. 533. $)
    sfin111 $p |- ( ( _S[fin] ( M , P ) /\ _S[fin] ( N , P ) ) ->
       M = N ) $=
      ( va wsfin wa copk cltfin wcel wo wn wceq cnnc wex df-sfin adantl simp1bi
      sfinltfin adantr sylib cv cpw1 cpw simp2bi ltfinirr syl mtand ancoms mtod
      wi ex ioran sylanbrc w3o wne ne0i exlimiv 3ad2ant3 sylbi ltfintri syl3anc
      c0 w3a df-3or or32 orel1 sylc ) BAEZCAEZFZBCGHIZCBGHIZJZKZVMBCLZJZVOVJVKK
      VLKVNVJVKAAGHIZVJAMIZVQKVIVRVHVICMIZVRDUAZUBZCIVTUCAIZFDNZCADOZUDPAUEUFZC
      ABARUGVJVLVQWEVIVHVLVQUJVIVHFVLVQBACARUKUHUIVKVLULUMVJVKVOJVLJZVPVJVKVOVL
      UNZWFVJBMIZVSBVBUOZWGVHWHVIVHWHVRWABIZWBFZDNZBADOZQSVIVSVHVIVSVRWCWDQPVHW
      IVIVHWHVRWLVCWIWMWLWHWIVRWKWIDWJWIWBBWAUPSUQURUSSBCUTVAVKVOVLVDTVKVOVLVET
      VMVOVFVG $.
      $( [29-Jan-2015] $)
  $}

  ${
    $d a x $.  $d a z $.  $d t x $.  $d x z $.  $d a t $.  $d t z $.
    $( ` Sp[fin] ` is a set. $)
    spfinex $p |- Sp[fin] e. _V $=
      ( va vz vx vt cv wcel cssetk c1c cins3k csik cimak cin wa wn wex copk csn
      bitr4i exbii 3bitri cspfin cvv cncfin cab cnnc cxpk cpw csymdif cpw1 cdif
      cins2k ccompl cint wsfin wel wi wal wral df-spfin wrex wceq elimak anbi1i
      el1c 19.41v df-rex excom 3bitr4i snex opkeq1 eleq1d ceqsexv elssetk opkex
      elin elpw121c eldif otkelins3k opksnelsik srelk otkelins2k notbii anbi12i
      bitri exanali elcompl dfral2 abbi2i ineq2i eqtri inteqi eqtr4i setswithex
      vex inab ssetkex srelkex sikex ins3kex ins2kex difex pw1ex imakex complex
      1cex inex intex eqeltri ) UAUBUCZAEZFZAUDZGUEUEUFHUGUBUFGIGJUKUHZHUIZUIZU
      IZKUJJIGUKZLXOKIXMXOKULJIXQLXOKUKLXPKLZJZIZXQUJZXOKZLZHKZULZLZUMZUBUAXKBE
      ZCEZUNZBAUOZUPBUQZCXJURZMAUDZUMYGCBAUSYFYNYFXLYMAUDZLYNYEYOXLYMAYEXJYDFZN
      YLNZCXJUTZNXJYEFYMYPYRYPCAUOZYQMZCOZYRYPDEZXJPZYCFZDHUTZUUBYIQZVAZUUDMZDO
      ZCOZUUADYCHXJAWNZVBUUBHFZUUDMZDOUUHCOZDOUUEUUJUUMUUNDUUMUUGCOZUUDMUUNUULU
      UOUUDCUUBVDVCUUGUUDCVERSUUDDHVFUUHCDVGVHUUIYTCUUIUUFXJPZYCFZUUPGFZUUPYBFZ
      MYTUUDUUQDUUFYIVIZUUGUUCUUPYCUUBUUFXJVJVKVLUUPGYBVOUURYSUUSYQYIXJCWNZUUKV
      MUUSUUBYHQZQZQZVAZUUBUUPPZYAFZMZDOZBOZYJYKNZMZBOYQUUSUVGDXOUTUUBXOFZUVGMZ
      DOZUVJDYAXOUUPUUFXJVNVBUVGDXOVFUVOUVHBOZDOUVJUVNUVPDUVNUVEBOZUVGMUVPUVMUV
      QUVGBUUBVPVCUVEUVGBVERSUVHBDVGRTUVIUVLBUVIUVDUUPPZYAFZUVRXTFZUVRXQFZNZMUV
      LUVGUVSDUVDUVCVIUVEUVFUVRYAUUBUVDUUPVJVKVLUVRXTXQVQUVTYJUWBUVKUVTUVBUUFPX
      SFYHYIPXRFYJUVBUUFXJXSYHVIZUUTUUKVRYHYIXRBWNZUVAVSYHYIUWDUVAVTTUWAYKUWAUV
      BXJPGFYKUVBUUFXJGUWCUUTUUKWAYHXJUWDUUKVMWDWBWCTSYJYKBWETWCTSTYQCXJVFRWBXJ
      YDUUKWFYLCXJWGVHWHWIXKYMAWOWJWKWLYFXLYEAXIWMYDYCHGYBWPYAXOXTXQXSXRWQWRWSG
      WPWTXAXNHXEXBXBXCXFXEXCXDXFXGXH $.
      $( [20-Jan-2015] $)
  $}

  ${
    $d a x z $.
    $( The cardinality of the universe is in the finite Sp set.  Theorem X.1.49
       of {{Rosser}}, p. 534. $)
    ncvspfin $p |- Nc[fin] _V e. Sp[fin] $=
      ( va vz vx cvv cncfin cv wcel wsfin wel wi wal wral wa cab cspfin ncfinex
      cint elintab simpl mpgbir df-spfin eleqtrri ) DEZUCAFZGZBFCFHBAIJBKCUDLZM
      ZANQZOUCUHGUGUEJAUGAUCDPRUEUFSTCBAUAUB $.
      $( [27-Jan-2015] $)
  $}

  ${
    $d a p $.  $d a q $.  $d a x $.  $d a z $.  $d p q $.  $d p x $.  $d q x $.
    $d q z $.  $d X x $.  $d X y $.  $d x z $.  $d Z x $.  $d Z y $.  $d Z z $.

    $( If ` X ` is in ` Sp[fin] ` and ` Z ` is smaller than ` X ` , then ` Z `
       is also in ` Sp[fin] ` .  Theorem X.1.50 of {{Rosser}}, p. 534. $)
    spfinsfincl $p |- ( ( X e. Sp[fin] /\ _S[fin] ( Z , X ) ) ->
       Z e. Sp[fin] ) $=
      ( vy vz vx va vq vp wsfin cspfin wcel wi cnnc cv wa eleq1 imbi12d wel wal
      wceq cpw1 cpw wex w3a df-sfin sfineq1 imbi2d sfineq2 imbi1d cncfin albidv
      cvv wral weq rcla4v a4v com12 syl9r com23 adantld a2d alimdv cab df-spfin
      cint eleq2i elintab bitri 3imtr4g vtocl2g 3adant3 sylbi pm2.43i impcom
      vex ) BAIZAJKZBJKZVPVQVRLZVPBMKZAMKZCNZUABKWBUBAKOCUCZUDVPVSLZBACUEVTWAWD
      WCDNZENZIZWFJKZWEJKZLZLBWFIZWHVRLZLWDDEBAMMWEBTZWGWKWJWLWEBWFUFWMWIVRWHWE
      BJPUGQWFATZWKVPWLVSWFABUHWNWHVQVRWFAJPUIQWGULUJFNZKZGNZHNZIZGFRZLZGSZHWOU
      MZOZEFRZLZFSZXDDFRZLZFSZWHWIWGXFXIFWGXDXEXHWGXCXEXHLWPWGXEXCXHXEXCWQWFIZW
      TLZGSZWGXHXBXMHWFWOHEUNZXAXLGXNWSXKWTWRWFWQUHUIUKUOXMWGXHXLWGXHLGDGDUNXKW
      GWTXHWQWEWFUFWQWEWOPQUPUQURUSUTVAVBWHWFXDFVCVEZKXGJXOWFHGFVDZVFXDFWFEVOVG
      VHWIWEXOKXJJXOWEXPVFXDFWEDVOVGVHVIVJVKVLVMVN $.
      $( [27-Jan-2015] $)
  $}

  ${
    $d a x $.  $d a z $.  $d B a $.  $d B x $.  $d B z $.  $d x z $.

    $( Inductive principle for ` Sp[fin] ` .  Theorem X.1.51 of {{Rosser}},
       p. 534. $)
    spfininduct $p |- ( ( B e. V /\ Nc[fin] _V e. B /\
       A. x e. Sp[fin] A. z ( ( x e. B /\ _S[fin] ( z , x ) ) -> z e. B ) ) ->
       Sp[fin] C_ B ) $=
      ( va wcel cspfin cvv cv wa wi wal wral wss mpan elin df-ral 19.21v bitr4i
      albii cin cncfin wsfin spfinex inexg ncvspfin biimpri spfinsfincl adantrl
      a1d ancrd syl6ibr ex a2d exp4a a2i syl5bi 2alimi 3imtr4i w3a wel cab cint
      imp3a df-spfin wceq eleq2 imbi2d albidv raleqbi1dv anbi12d biimprd 3impib
      elabg intss1 syl syl5eqss inss2 syl6ss syl3an ) CDFZGCUAZHFZHUBZCFZWDWBFZ
      AIZCFZBIZWGUCZJZWICFZKZBLZAGMZWJWIWBFZKZBLZAWBMZGCNGHFWAWCUDGCHDUEOWDGFZW
      EWFUFWFWTWEJWDGCPUGOWGGFZWMKZBLZALZWGWBFZWQKZBLZALZWOWSXBXFABXEXAWHJXBWQW
      GGCPXBXAWHWQXAWMWHWQKXAWMWHWJWPXAWKWLWPXAWKWLWPKXAWKJZWLWIGFZWLJWPXIWLXJX
      IXJWLXAWJXJWHWGWIUHUIUJUKWIGCPULUMUNUOUPVDUQURWOXAWNKZALXDWNAGQXCXKAXAWMB
      RTSWSXEWRKZALXHWRAWBQXGXLAXEWQBRTSUSWCWFWSUTZGWBCXMGWDEIZFZWJBEVAZKZBLZAX
      NMZJZEVBZVCZWBABEVEXMWBYAFZYBWBNWCWFWSYCWCYCWFWSJZXTYDEWBHXNWBVFZXOWFXSWS
      XNWBWDVGXRWRAXNWBYEXQWQBYEXPWPWJXNWBWIVGVHVIVJVKVNVLVMWBYAVOVPVQGCVRVSVT
      $.
      $( [27-Jan-2015] $)
  $}

  ${
    $d x y z $.
    $( If the universe is finite, then ` Sp[fin] ` is a subset of the non-empty
       naturals.  Theorem X.1.53 of {{Rosser}}, p. 534. $)
    vfinspnn $p |- ( _V e. Fin -> Sp[fin] C_ ( Nn \ { (/) } ) ) $=
      ( vx vz vy cvv cfin wcel cncfin cnnc c0 csn cv wsfin wa wi wal cspfin wne
      cdif ne0i eldifsn wral wss vvex ncfinprop mpan2 anim2i syl sylibr cpw wex
      cpw1 w3a df-sfin adantr exlimiv biimpri sylan2 3adant2 sylbi adantl rgenw
      ax-gen nncex snex difex spfininduct mp3an1 sylancl ) DEFZDGZHIJZRZFZAKZVL
      FZBKZVNLZMVPVLFZNZBOZAPUAZPVLUBZVIVJHFZVJIQZMZVMVIWCDVJFZMZWEVIDDFWGUCDDU
      DUEWFWDWCVJDSUFUGVJHITUHVTAPVSBVQVRVOVQVPHFZVNHFZCKZUKZVPFZWJUIVNFZMZCUJZ
      ULVRVPVNCUMWHWOVRWIWOWHVPIQZVRWNWPCWLWPWMVPWKSUNUOVRWHWPMVPHITUPUQURUSUTV
      BVAVLDFVMWAWBHVKVCIVDVEABVLDVFVGVH $.
      $( [27-Jan-2015] $)
  $}

  ${
    $( If the universe is finite, then ` Nc[fin] 1c ` is the base two log of
       ` Nc[fin] _V ` .  Theorem X.1.54 of {{Rosser}}, p. 534. $)
    1cvsfin $p |- ( _V e. Fin -> _S[fin] ( Nc[fin] 1c , Nc[fin] _V ) ) $=
      ( va cvv cfin wcel c1c cncfin cnnc cpw1 cpw wex w3a 1cex ncfinprop simpld
      cv wa mpan2 vvex simprd eleq1d wsfin wceq pw1eq df1c2 syl6eqr pweq syl6eq
      pwv anbi12d cla4ev syl2anc 3jca df-sfin sylibr ) BCDZEFZGDZBFZGDZAOZHZUPD
      ZUTIZURDZPZAJZKUPURUAUOUQUSVFUOEBDZUQLUOVGPUQEUPDZEBMZNQUOBBDZUSRUOVJPUSB
      URDZBBMZNQUOVHVKVFUOUQVHUOVGUQVHPLVIQSUOUSVKUOVJUSVKPRVLQSVEVHVKPABRUTBUB
      ZVBVHVDVKVMVAEUPVMVABHEUTBUCUDUETVMVCBURVMVCBIBUTBUFUHUGTUIUJUKULUPURAUMU
      N $.
      $( [29-Jan-2015] $)
  $}

  ${
    $( If the universe is finite, then the size of ` 1c ` is in ` Sp[fin] ` .
       Corollary of Theorem X.1.54 of {{Rosser}}, p. 534. $)
    1cspfin $p |- ( _V e. Fin -> Nc[fin] 1c e. Sp[fin] ) $=
      ( cvv cfin wcel cncfin cspfin wsfin ncvspfin 1cvsfin spfinsfincl sylancr
      c1c ) ABCADZECKDZLFMECGHLMIJ $.
      $( [29-Jan-2015] $)
  $}

  ${
    $( If the universe is finite, then the T-raising of the size of the
       universe is equal to the size of ` 1c ` .  Theorem X.1.55 of {{Rosser}},
       p. 534. $)
    tncveqnc1fin $p |- ( _V e. Fin -> _T[fin] Nc[fin] _V = Nc[fin] 1c ) $=
      ( cvv cfin wcel cncfin ctfin cpw1 wceq vvex ncfintfin mpan2 df1c2 ncfineq
      c1c ax-mp syl6eqr ) ABCZADEZAFZDZMDZPAACQSGHAAIJMRGTSGKMRLNO $.
      $( [29-Jan-2015] $)
  $}

  ${
    $( If the universe is finite, then the T-raising of the size of ` 1c ` is
       smaller than the size itself.  Corollary of theorem X.1.56 of
       {{Rosser}}, p. 534. $)
    t1csfin1c $p |- ( _V e. Fin ->
               _S[fin] ( _T[fin] Nc[fin] 1c , Nc[fin] 1c ) ) $=
      ( cvv cfin wcel c1c cncfin ctfin wsfin 1cvsfin sfintfin wceq tncveqnc1fin
      syl wb sfineq2 mpbid ) ABCZDEZFZAEZFZGZRQGZPQSGUAHQSILPTQJUAUBMKTQRNLO $.
      $( [29-Jan-2015] $)
  $}

  ${
    $d N a $.
    $( If the universe is finite, then the T-raising of all non-empty naturals
       are no greater than the size of ` 1c ` .  Theorem X.1.56 of {{Rosser}},
       p. 534. $)
    vfintle $p |- ( ( _V e. Fin /\ N e. Nn /\ N =/= (/) ) ->
        << _T[fin] N , Nc[fin] 1c >> e. <_[fin] ) $=
      ( va cvv cfin wcel cnnc c0 w3a cncfin copk clefin ctfin wa wceq ncfinprop
      simp2 simpld mpan2 adantr 3ad2ant1 wne c1c cv wex n0 3adant2 simp3 simprd
      nnceleq syl22anc 3expia wi ccompl simpr cun uncompl ncfineq ax-mp vex cin
      complex incompl ncfindi mp3an23 syl5eqr ncfinex lefinaddc sylancr eqeltrd
      cplc ex syld exlimdv syl5bi 3impia wb vvex tfinlefin syl2anc tncveqnc1fin
      opkeq12d opkeq2d eleq1d bitrd mpbid ) CDEZAFEZAGUAZHZACIZJZKEZALZUBIZJZKE
      ZWFWGWHWLWHBUCZAEZBUDWFWGMZWLBAUEWSWRWLBWSWRAWQIZNZWLWFWGWRXAWFWGWRHZWGWT
      FEZWRWQWTEZXAWFWGWRPXBXCXDWFWRXCXDMWGWQAOUFZQWFWGWRUGXBXCXDXEUHWQAWTUIUJU
      KWFXAWLULWGWFXAWLWFXAMZWKWTWTWQUMZIZVJZJZKXFAWTWJXIWFXAUNWFWJXINXAWFWJWQX
      GUOZIZXIXKCNXLWJNWQUPXKCUQURWFWQCEZXLXINZBUSZWFXMMXGCEZWQXGUTGNXNWQXOVAZW
      QVBWQXGCCVCVDRVESWAWFXJKEZXAWFWTCEXHFEZXRWQVFWFXSXGXHEZWFXPXSXTMXQXGCORQW
      TXHCVGVHSVIVKSVLVMVNVOWIWLWMWJLZJZKEZWPWIWGWJFEZWLYCVPWFWGWHPWIYDCWJEZWFW
      GYDYEMZWHWFCCEYFVQCCORTQAWJVRVSWIYBWOKWIYAWNWMWFWGYAWNNWHVTTWBWCWDWE $.
      $( [30-Jan-2015] $)
  $}

  ${
    $( If the universe is finite, then ` 1c ` is strictly smaller than the
       universe.  Theorem X.1.57 of {{Rosser}}, p. 534. $)
    vfin1cltv $p |- ( _V e. Fin ->
               << Nc[fin] 1c , Nc[fin] _V >> e. <[fin] ) $=
      ( cvv wcel c1c cncfin cplc copk cltfin wceq ax-mp 1cex wa c0 mpan2 wn c0c
      cnnc ncfinprop simprd wne wb cfin cun uncompl ncfineq cin complex incompl
      ccompl ncfindi mp3an23 syl5reqr opkeq2d 0nel1c 0ex elcompl n0i syl5ibrcom
      mpbir eleq2 el0c syl6ib mtoi addcid1 eqeq1i simpld peano1 a1i syl eqnetrd
      ne0i preaddccan2 syl31anc syl5bbr mtbird clefin ncfinex lefinaddc sylancr
      wo addcex lefinlteq mp3an12 mpbid orcomd ord mpd eqeltrrd ) AUABZCDZWICUH
      ZDZEZFZWIADZFGWHWLWNWIWHWNCWJUBZDZWLWOAHWPWNHCUCWOAUDIWHCABZWPWLHZJWHWQKW
      JABZCWJUELHWRCJUFZCUGCWJAAUIUJMUKULWHWIWLHZNWMGBZWHXAOWKHZWHXCWJLHZLWJBZX
      DNXELCBNUMLCUNUOURWJLUPIWHXCWJOBZXDWHXFXCWJWKBZWHWKPBZXGWHWSXHXGKWTWJAQMZ
      ROWKWJUSUQWJUTVAVBXAWIOEZWLHZWHXCXJWIWLWIVCZVDWHWIPBZOPBZXHXJLSXKXCTWHXMC
      WIBZWHWQXMXOKJCAQMZVEXNWHVFVGWHXHXGXIVEZWHXJWILXJWIHWHXLVGWHXOWILSZWHXMXO
      XPRWICVJVHZVIWKWIOVKVLVMVNWHXAXBWHXBXAWHWMVOBZXBXAVSZWHWIABZXHXTCVPZXQWIW
      KAVQVRWHXRXTYATZXSYBWLABXRYDYCWIWKYCWJVPVTWIWLAAWAWBVHWCWDWEWFWG $.
      $( [30-Jan-2015] $)
  $}

  ${
    $d N a $.
    $( If the universe is finite, then the size of the universe is not the
       T-raising of a natural.  Theorem X.1.58 of {{Rosser}}, p. 534. $)
    vfinncvntnn $p |- ( ( _V e. Fin /\ N e. Nn ) ->
                 _T[fin] N =/= Nc[fin] _V ) $=
      ( va cvv wcel cnnc wa ctfin cncfin wi c0 wceq vvex ncfinprop mpan2 cltfin
      wne copk simpld 3ad2ant1 c1c cfin simprd syl necomd tfineq tfinnul syl6eq
      ne0i neeq1d syl5ibr adantrd w3a wn ltfinirr clefin vfintle vfin1cltv cpw1
      cv wrex tfinprop 3adant1 leltfintr syl3anc mp2and opkeq1 eleq1d syl5ibcom
      1cex mtod df-ne sylibr 3expa expcom pm2.61ine ) CUADZAEDZFZAGZCHZPZIAJAJK
      ZVPWAVQVPWAWBJVTPVPVTJVPCVTDZVTJPVPVTEDZWCVPCCDZWDWCFLCCMZNUBVTCUHUCUDWBV
      SJVTWBVSJGJAJUEUFUGUIUJUKVRAJPZWAVPVQWGWAVPVQWGULZVSVTKZUMWAWHWIVTVTQZODZ
      VPVQWKUMZWGVPWDWLVPWEWDLVPWEFWDWCWFRNZVTUNUCSWHVSVTQZODZWIWKWHVSTHZQUODZW
      PVTQODZWOAUPVPVQWRWGUQSWHVSEDZWPEDZWDWQWRFWOIVQWGWSVPVQWGFWSBUSURVSDBAUTA
      BVARVBVPVQWTWGVPTCDZWTVIVPXAFWTTWPDTCMRNSVPVQWDWGWMSVSWPVTVCVDVEWIWNWJOVS
      VTVTVFVGVHVJVSVTVKVLVMVNVO $.
      $( [29-Jan-2015] $)
  $}

  ${
    $d a x $.
    $( If the universe is finite, then its size is not a T raising of an
       element of ` Sp[fin] ` .  Corollary of theorem X.1.58 of {{Rosser}},
       p. 534. $)
    vfinncvntsp $p |- ( _V e. Fin ->
                 -. Nc[fin] _V e. { a | E. x e. Sp[fin] a = _T[fin] x } ) $=
      ( cvv cfin wcel cncfin cv ctfin wceq cspfin wrex cab wa wne cnnc csn cdif
      wn c0 vfinspnn difss syl6ss sselda vfinncvntnn syldan necomd df-ne nrexdv
      sylib ncfinex eqeq1 rexbidv elab sylnibr ) CDEZCFZAGZHZIZAJKZUPBGZURIZAJK
      ZBLEUOUSAJUOUQJEZMZUPURNUSRVEURUPUOVDUQOEURUPNUOJOUQUOJOSPZQOTOVFUAUBUCUQ
      UDUEUFUPURUGUIUHVCUTBUPCUJVAUPIVBUSAJVAUPURUKULUMUN $.
      $( [27-Jan-2015] $)
  $}

  ${
    $d n z x a b p g d $.
    $( Lemma for ~ vfinspss .  Establish part of the inductive step. $)
    vfinspsslem1 $p |- (
      ( ( _V e. Fin /\ _T[fin] n e. Sp[fin] ) /\
        ( n e. Sp[fin] /\ _S[fin] ( z , _T[fin] n ) ) ) ->
      E. x e. Sp[fin] z = _T[fin] x ) $=
      ( vp va vb vd vg cvv wcel cv cspfin wa c1c wceq cnnc wrex syl cpw1 wex c0
      cfin ctfin wsfin cncfin cplc copk clefin simpl cdif vfinspnn difss syl6ss
      wne csn sselda eldifsn simprbi vfintle syl3anc cltfin wn t1csfin1c adantr
      ad2ant2r wi simpr sfinltfin ex syl2an con3d wb tfincl 1cex mpan2 ad2antrr
      ncfinprop simpld lenltfin syl2anc df-sfin simp1bi ad2antll 3imtr4d tfinex
      cpw mpd vex opklefing mp2an sylib df1c2 pw1eq tfinpw1 syl5eqelr syl5ibcom
      ax-mp eleq2 cin cun eladdc wel wss ssun1 sseq2 mpbiri ssv biantrur bitr4i
      sspw1 exbii anbi1i 19.41v excom pw1ex eqeq2d ceqsexv bitri 3bitri biimpac
      eleq1 nnceleq syl22anc pwex simprr simprd eleq1d anbi12d cla4ev syl3anbrc
      weq pweq sfintfin sfin112 tfin11 simprl eqeltrrd anbi2d syld syl5 sfineq1
      spfinsfincl risset tfineq eqcomd reximi sylbi eqeq1 rexbidv imbi12d com12
      expdimp exlimdv adantld adantrr rexlimdvva syl5bi rexlimdvw ) IUBJZCKZUCZ
      LJZMZUUTLJZBKZUVAUDZMZMZNUEZUCZUVEDKZUFZOZDPQZUVEAKZUCZOZALQZUVHUVEUVJUGU
      HJZUVNUVHUVAUVIUGUHJZUVSUUSUVDUVTUVBUVFUUSUVDMZUUSUUTPJZUUTUAUNZUVTUUSUVD
      UIUUSLPUUTUUSLPUAUOZUJZPUKPUWDULUMUPZUWAUUTUWEJZUWCUUSLUWEUUTUKUPUWGUWBUW
      CUUTPUAUQURRUUTUSUTVEUVHUVIUVAUGVAJZVBZUVJUVEUGVAJZVBZUVTUVSUVHUWJUWHUVCU
      VJUVIUDZUVFUWJUWHVFUVGUUSUWLUVBVCVDUVDUVFVGUWLUVFMUWJUWHUVEUVAUVJUVIVHVIV
      JVKUVHUVAPJZUVIPJZUVTUWIVLUVHUWBUWMUUSUVDUWBUVBUVFUWFVEUUTVMRUVHUWNNUVIJZ
      UUSUWNUWOMZUVBUVGUUSNIJUWPVNNIVQVOVPZVRZUVAUVIVSVTUVHUVEPJZUVJPJZUVSUWKVL
      UVFUWSUVCUVDUVFUWSUWMEKZSZUVEJUXAWFZUVAJMETUVEUVAEWAWBWCZUVHUWNUWTUWRUVIV
      MRUVEUVJVSVTWDWGUVEIJUVJIJUVSUVNVLBWHUVIWEDUVEUVJIIWIWJWKUVHUVMUVRDPUVHUV
      MISZSZUVLJZUVRUVHUXFUVJJUVMUXGUVHUXFNSZUVJNUXEOUXHUXFOWLNUXEWMWQUVHUWPUXH
      UVJJUWQNUVIWNRWOUVJUVLUXFWRWPUXGUXAFKZWSUAOZUXFUXAUXIWTZOZMZFUVKQEUVEQUVH
      UVRUXFUVEUVKEFXAUVHUXMUVREFUVEUVKUVHEBXBZUXMUVRVFFDXBUVHUXNMZUXLUVRUXJUXL
      UXAGKZSZSZOZGTZUXOUVRUXLUXAUXFXCZUXTUXLUYAUXAUXKXCUXAUXIXDUXFUXKUXAXEXFUY
      AHKZUXEXCZUXAUYBSZOZMZHTUYBUXQOZUYEMZGTZHTZUXTHUXAUXEEWHXJUYFUYIHUYFUYGGT
      ZUYEMUYIUYCUYKUYEUYCUXPIXCZUYGMZGTUYKGUYBIHWHXJUYGUYMGUYLUYGUXPXGXHXKXIXL
      UYGUYEGXMXIXKUYJUYHHTZGTUXTUYHHGXNUYNUXSGUYEUXSHUXQUXPGWHZXOZUYGUYDUXRUXA
      UYBUXQWMXPXQXKXRXSWKUXOUXSUVRGUVHUXNUXSUVRUXNUXSMUXRUVEJZUVHUVRUXSUXNUYQU
      XAUXRUVEYAXTUVHUYQUVEUXQUEZUCZOZUVRUVHUYQUYTUVHUYQMUWSUYSPJZUYQUXRUYSJZUY
      TUVHUWSUYQUXDVDUVHVUAUYQUVHUYRPJZVUAUVHVUCUXQUYRJZUUSVUCVUDMZUVBUVGUUSUXQ
      IJVUEUYPUXQIVQVOZVPZVRUYRVMRVDUVHUYQVGUVHVUBUYQUVHVUEVUBVUGUXQUYRWNRVDUXR
      UVEUYSYBYCVIUYTUVHUVRUYTUVHUVRVFUVCUVDUYSUVAUDZMZMZUYSUVPOZALQZVFVUJUYRLJ
      ZVULVUJUXPWFZUEZLJUYRVUOUDZVUMVUJUUTVUOLVUJUWBVUOPJZUVAVUOUCZOZUUTVUOOUUS
      UVDUWBUVBVUHUWFVEUUSVUQUVBVUIUUSVUQVUNVUOJZUUSVUNIJVUQVUTMUXPUYOYDVUNIVQV
      OZVRZVPVUJVUHUYSVURUDZVUSUVCUVDVUHYEVUJVUPVVCUUSVUPUVBVUIUUSVUCVUQUXBUYRJ
      ZUXCVUOJZMZETZVUPUUSVUCVUDVUFVRVVBUUSVUDVUTVVGUUSVUCVUDVUFYFUUSVUQVUTVVAY
      FVVFVUDVUTMEUXPUYOEGYKZVVDVUDVVEVUTVVHUXBUXQUYRUXAUXPWMYGVVHUXCVUNVUOUXAU
      XPYLYGYHYIVTUYRVUOEWAYJVPZUYRVUOYMRVURUYSUVAYNVTUUTVUOYOUTUVCUVDVUHYPYQVV
      IVUOUYRUUBVTVUMUVOUYROZALQVULAUYRLUUCVVJVUKALVVJUVPUYSUVOUYRUUDUUEUUFUUGR
      UYTUVHVUJUVRVULUYTUVGVUIUVCUYTUVFVUHUVDUVEUYSUVAUUAYRYRUYTUVQVUKALUVEUYSU
      VPUUHUUIUUJXFUUKYSYTUULUUMYTUUNUUOUUPUUQYSUURWG $.
      $( [3-Feb-2015] $)
  $}

  ${
    $d a t $.  $d a w $.  $d a x $.  $d a z $.  $d t x $.  $d w x $.  $d w z $.
    $d x z $.  $d n w $.  $d n x $.  $d n z $.
    $( If the universe is finite, then ` Sp[fin] ` is a subset of its ` T `
       raisings and the cardinality of the universe.  Theorem X.1.59 of
       {{Rosser}}, p. 534. $)
    vfinspss $p |- ( _V e. Fin ->
              Sp[fin] C_
              ( { a | E. x e. Sp[fin] a = _T[fin] x } u. { Nc[fin] _V } ) ) $=
      ( vw vz vn vt cvv wcel cv wceq cspfin wrex wsfin wa wi bitri cins3k cimak
      csn vex cfin ctfin cab cncfin cun wal wral wss wo weq tfineq vfinspsslem1
      eqeq2d cbvrexv expr anbi2d anbi1d sfineq2 imbi1d imbi12d mpbiri rexlimdva
      eleq1 com12 syl5bi biimpa c1c 1cvsfin sfin111 tncveqnc1fin eqcomd rcla4ev
      ncvspfin mpan syl eqeq1 rexbidv biimpd syl5 mpand exp3a adantr jaod imp3a
      elun elab elsn orbi12i 3imtr4g ssun1 sseli syl6 alrimiv ralrimiva c0 cxpk
      anbi1i cssetk cins2k cnnc csik cpw csymdif cpw1 cdif cin cidk ccompl copk
      ccnvk elimak df-rex elpw1 r19.41v bitr4i exbii rexcom4 snex opkeq1 eleq1d
      ceqsexv eqtfinrelk rexbii abbi2i tfinrelkex spfinex pw1ex imakex eqeltrri
      wex unex ssun2 ncfinex snid sselii spfininduct mp3an12 ) GUAHZCIZBIZAIZUB
      ZJZAKLZBUCZGUDZSZUEZHZDIZYSMZNZUUJUUHHZOZDUFZCKUGZKUUHUHZYRUUOCKYRYSKHZNZ
      UUNDUUSUULUUJUUEHZUUMUUSYSUUBJZAKLZYSUUFJZUIZUUKNUUJUUBJZAKLZUULUUTUUSUVD
      UUKUVFUUSUVBUUKUVFOZUVCUVBYSEIZUBZJZEKLUUSUVGUVAUVJAEKAEUJUUBUVIYSUUAUVHU
      KUMUNUUSUVJUVGEKUVJUUSUVHKHZNZUVGUVJUVLUVGOYRUVIKHZNZUVKNZUUJUVIMZUVFOZOU
      VNUVKUVPUVFADEULUOUVJUVLUVOUVGUVQUVJUUSUVNUVKUVJUURUVMYRYSUVIKVCUPUQUVJUU
      KUVPUVFYSUVIUUJURUSUTVAVDVBVEYRUVCUVGOUURYRUVCUUKUVFUVCUUKNUUJUUFMZYRUVFU
      VCUUKUVRYSUUFUUJURVFYRVGUDZUUFMZUVRUVFVHUVTUVRNUVSUUJJZYRUVFUUFUVSUUJVIYR
      UVSUUBJZAKLZUWAUVFOYRUVSUUFUBZJZUWCYRUWDUVSVJVKUUFKHUWEUWCVMUWBUWEAUUFKUU
      AUUFJUUBUWDUVSUUAUUFUKUMVLVNVOUWAUWCUVFUWAUWCUVFUWAUWBUVEAKUVSUUJUUBVPVQV
      RVDVOVSVTVSWAWBWCWDUUIUVDUUKUUIYSUUEHZYSUUGHZUIUVDYSUUEUUGWEUWFUVBUWGUVCU
      UDUVBBYSCTZBCUJUUCUVAAKYTYSUUBVPVQWFYSUUFUWHWGWHPWQUUDUVFBUUJDTBDUJUUCUVE
      AKYTUUJUUBVPVQWFWIUUEUUHUUJUUEUUGWJWKWLWMWNUUHGHUUFUUHHUUPUUQUUEUUGWOSZSZ
      UWIWPWRWSZWRXJQWTGWPWRXAWSZVGXBGWPWRQUWLXCVGXDZXDZXDZRXEXAQUWKXFUWNRQXFUW
      ORXFWSXGQXCUWMRWSXEUWMRQXCUWNRXHUWJGWPXEUEZKXDZRZUUEGUUDBUWRYTUWRHZFIZUUA
      SZJZUWTYTXIZUWPHZNZFYJZAKLZUUDUWSUXDFUWQLZUXGFUWPUWQYTBTZXKUXHUWTUWQHZUXD
      NZFYJZUXGUXDFUWQXLUXLUXEAKLZFYJUXGUXKUXMFUXKUXBAKLZUXDNUXMUXJUXNUXDAUWTKX
      MWQUXBUXDAKXNXOXPUXEAFKXQXOPPUXFUUCAKUXFUXAYTXIZUWPHZUUCUXDUXPFUXAUUAXRUX
      BUXCUXOUWPUWTUXAYTXSXTYAUUAYTATUXIYBPYCPYDUWPUWQYEKYFYGYHYIUUFXRYKUUGUUHU
      UFUUGUUEYLUUFGYMYNYOCDUUHGYPYQVO $.
      $( [29-Jan-2015] $)
  $}

  ${
    $d X x y z $.
    $( If the universe is finite, then ` Sp[fin] ` is closed under T-raising.
       Theorem X.1.60 of {{Rosser}}, p. 536. $)
    vfinspclt $p |- ( ( _V e. Fin /\ X e. Sp[fin] ) ->
               _T[fin] X e. Sp[fin] ) $=
      ( vx vy vz cvv wcel cspfin wa cv ctfin c1c wceq tfineq eleq1d elab cssetk
      cxpk cins2k cins3k cimak cfin cab cncfin wi wal wral tncveqnc1fin 1cspfin
      wsfin eqeltrd ncfinex sylibr simprl sfintfin ad2antll spfinsfincl syl2anc
      wss ex vex weq anbi1i 3imtr4g alrimiv ralrimiva c0 csn ccnvk cnnc csymdif
      csik cpw cpw1 cdif cin cidk ccompl cuni1 wrex copk snex elimak eqtfinrelk
      cun opkelcnvk bitri rexbii eluni1 risset 3bitr4i abbi2i tfinrelkex cnvkex
      spfinex imakex uni1ex eqeltrri spfininduct mp3an1 sselda wb elabg adantl
      mpbid ) EUAFZAGFZHABIZJZGFZBUBZFZAJZGFZXEGXJAXEEUCZXJFZCIZXJFZDIZXPUIZHZX
      RXJFZUDZDUEZCGUFZGXJURZXEXNJZGFZXOXEYFKUCGUGUHUJXIYGBXNEUKXGXNLXHYFGXGXNM
      NOULXEYCCGXEXPGFHZYBDYHXPJZGFZXSHZXRJZGFZXTYAYHYKYMYHYKHYJYLYIUIZYMYHYJXS
      UMXSYNYHYJXRXPUNUOYIYLUPUQUSXQYJXSXIYJBXPCUTZBCVAXHYIGXGXPMNOVBXIYMBXRDUT
      BDVAXHYLGXGXRMNOVCVDVEXJEFXOYDYEVFVGZVGZYPQPRZPVHSVIEQPVKRZKVLEQPSYSVJKVM
      ZVMZVMZTVNVKSYRVOUUATSVOUUBTVORVPSVJYTTRVNYTTSVJUUATVQYQEQVNWDZVHZGTZVRZX
      JEXIBUUFXGVGZUUEFZXPXHLZCGVSZXGUUFFXIUUHXPUUGVTUUDFZCGVSUUJCUUDGUUGXGWAZW
      BUUKUUICGUUKUUGXPVTUUCFUUIXPUUGUUCYOUULWEXGXPBUTZYOWCWFWGWFXGUUEUUMWHCXHG
      WIWJWKUUEUUDGUUCWLWMWNWOWPWQCDXJEWRWSUQWTXFXKXMXAXEXIXMBAGXGALXHXLGXGAMNX
      BXCXD $.
      $( [30-Jan-2015] $)
  $}

  ${
    $d a x $.
    $( If the universe is finite, then ` Sp[fin] ` is equal to its T raisings
       and the cardinality of the universe.  Theorem X.1.61 of {{Rosser}},
       p. 536. $)
    vfinspeqtncv $p |- ( _V e. Fin ->
                  Sp[fin] = ( { a | E. x e. Sp[fin] a = _T[fin] x } u.
                  { Nc[fin] _V } ) ) $=
      ( cvv cfin wcel cspfin cv ctfin wceq wrex cab cncfin csn cun vfinspss wss
      wa wi vfinspclt eleq1 biimprd com12 syl rexlimdva abssdv ncvspfin ncfinex
      snss mpbi jctir unss sylib eqssd ) CDEZFBGZAGZHZIZAFJZBKZCLZMZNZABOUNUTFP
      ZVBFPZQVCFPUNVDVEUNUSBFUNURUOFEZAFUNUPFEQUQFEZURVFRUPSURVGVFURVFVGUOUQFTU
      AUBUCUDUEVAFEVEUFVAFCUGUHUIUJUTVBFUKULUM $.
      $( [29-Jan-2015] $)
  $}

  ${
    $d a x t $.
    $( If the universe is finite, then the size of ` Sp[fin] ` is equal to the
       successor of its T-raising.  Theorem X.1.62 of {{Rosser}}, p. 536. $)
    vfinncsp $p |- ( _V e. Fin ->
       Nc[fin] Sp[fin] = ( _T[fin] Nc[fin] Sp[fin] +c 1c ) ) $=
      ( va vx cvv wcel cspfin cncfin wceq wrex csn c1c cin cssetk cins2k cins3k
      vt cxpk cnnc cpw1 cimak wa cfin cv ctfin cab cun vfinspeqtncv ncfineq syl
      cplc c0 vfinncvntsp disjsn sylibr ccnvk csik cpw csymdif cdif cidk ccompl
      wn copk wex elimak df-rex elpw1 anbi1i r19.41v bitr4i exbii rexcom4 bitri
      vex snex opkeq1 eleq1d ceqsexv eqtfinrelk rexbii tfinrelkex spfinex pw1ex
      abbi2i imakex eqeltrri ncfindi mp3an2 mpanl2 mpdan ncfinprop mpan2 simpld
      tfincl simprd wss vfinspnn syl6ss tfinnn syl3anc nnceleq syl22anc ncfinex
      difss ncfinsn addceq12d 3eqtrd ) CUADZEFZAUBZBUBZUCGZBEHZAUDZCFZIZUEZFZXM
      FZXOFZUIZXHUCZJUIXGEXPGXHXQGBAUFEXPUGUHXGXMXOKUJGZXQXTGZXGXNXMDVAYBBAUKXM
      XNULUMXGXMCDZYBYCUJIZIZYEPLMZLUNNQCPLUOMZJUPCPLNYHUQJRZRZRZSURUONYGKYJSNK
      YKSKMUSNUQYISMURYISNUQYJSUTYFCPURUEZERZSZXMCXLAYNXIYNDZOUBZXJIZGZYPXIVBZY
      LDZTZOVCZBEHZXLYOYTOYMHZUUCOYLYMXIAVMZVDUUDYPYMDZYTTZOVCZUUCYTOYMVEUUHUUA
      BEHZOVCUUCUUGUUIOUUGYRBEHZYTTUUIUUFUUJYTBYPEVFVGYRYTBEVHVIVJUUABOEVKVIVLV
      LUUBXKBEUUBYQXIVBZYLDZXKYTUULOYQXJVNYRYSUUKYLYPYQXIVOVPVQXJXIBVMUUEVRVLVS
      VLWCYLYMVTEWAWBWDWEZXGYDTXOCDYBYCXNVNXMXOCCWFWGWHWIXGXRYAXSJXGXRQDZYAQDZX
      MXRDZXMYADZXRYAGXGUUNUUPXGYDUUNUUPTUUMXMCWJWKZWLXGXHQDZUUOXGUUSEXHDZXGECD
      UUSUUTTWAECWJWKZWLZXHWMUHXGUUNUUPUURWNXGUUSEQWOUUTUUQUVBXGEQYEURQWPQYEXCW
      QXGUUSUUTUVAWNBEXHAWRWSXMXRYAWTXAXGXNCDXSJGCXBXNCXDWKXEXF $.
      $( [20-Jan-2015] $)
  $}

  ${
    $( The universe is infinite.  Theorem X.1.63 of {{Rosser}}, p. 536. $)
    vinf $p |- -. _V e. Fin $=
      ( cvv cfin wcel cspfin cncfin noel cevenfin coddfin cin cnnc wne vfinncsp
      c0 wa adantr adantl eqnetrrd syl2anc eqeltrd ex cun csn spfinex ncfinprop
      cdif mpan2 ne0i anim2i syl eldifsn sylibr evenoddnnnul syl6eleqr wo ctfin
      c1c cplc wceq eventfin evennnul sucevenodd ancld oddtfin sucoddeven ancrd
      oddnnul jaod elun elin 3imtr4g mpd evenodddisj syl6eleq mto ) ABCZDEZMCVP
      FVOVPGHIZMVOVPGHUAZCZVPVQCZVOVPJMUBUEZVRVOVPJCZVPMKZNZVPWACVOWBDVPCZNZWDV
      ODACWFUCDAUDUFWEWCWBVPDUGUHUIVPJMUJUKULUMVOVPGCZVPHCZUNWGWHNZVSVTVOWGWIWH
      VOWGWHVOWGWHVOWGNZVPVPUOZUPUQZHVOVPWLURZWGLOZWJWKGCZWLMKZWLHCWGWOVOVPUSPW
      JVPWLMWNWGWCVOVPUTPQWKVARSTVBVOWHWGVOWHWGVOWHNZVPWLGVOWMWHLOZWQWKHCZWPWLG
      CWHWSVOVPVCPWQVPWLMWRWHWCVOVPVFPQWKVDRSTVEVGVPGHVHVPGHVIVJVKVLVMVN $.
      $( [20-Jan-2015] $)
  $}

  ${
    $d n m x a $.
    $( The empty class is not a natural.  Theorem X.1.65 of {{Rosser}},
       p. 536. $)
    nulnnn $p |- -. (/) e. Nn $=
      ( vx vn vm va c0 cnnc wcel cv wceq wne c0c csn ccompl cab cvv df-ne neeq1
      wn wa ex wrex c1c cplc complab df-sn compleqi abbii 3eqtr4i snex eqeltrri
      complex eqid el0c mpbir ne0i ax-mp wel wex cfin vinf elunii ancoms df-fin
      n0 cuni syl6eleqr eleq1 notbid syl5ibrcom necon2ad imp compleqb necon3bii
      mtoi sylib df-nul neeq2i sylibr vex elcompl cun elsuci syl sylan2b adantl
      wi exlimdv syl5bi mpd finds nrex risset mtbir ) EFGAHZEIZAFUAWOAFWNFGWNEJ
      ZWORBHZEJZKEJZCHZEJZWTUBUCZEJZWPBCWNELZMZWRBNZOWQEIZBNZMXGRZBNXEXFXGBUDXD
      XHBEUEUFWRXIBWQEPUGUHXDEUIUKUJWQKEQWQWTEQWQXBEQWQWNEQEKGZWSXJEEIEULEUMUNK
      EUOUPXADCUQZDURWTFGZXCDWTVDXLXKXCDXLXKXCXLXKSZDHZMZEJZXCXMXOOMZJZXPXMXNOJ
      ZXRXLXKXSXLXKXNOXLXKRXNOIZOWTGZRXLYAOUSGZUTXLYAYBXLYASOFVEZUSYAXLOYCGOWTF
      VAVBVCVFTVNXTXKYAXNOWTVGVHVIVJVKXNOXOXQXNOVLVMVOEXQXOVPVQVRXPWNXOGZAURXMX
      CAXOVDXMYDXCAXKYDXCWFXLXKYDXCYDXKADUQRZXCWNXNAVSZVTXKYESXNWNLWAZXBGXCXNWT
      WNYFWBXBYGUOWCWDTWEWGWHWITWGWHWJWNEPVOWKAEFWLWM $.
      $( [20-Jan-2015] $)
  $}

  $( The successor operation is one-to-one over the finite cardinals.  Theorem
     X.1.66 of {{Rosser}}, p. 537. $)
  peano4 $p |- ( ( M e. Nn /\ N e. Nn /\ ( M +c 1c ) = ( N +c 1c ) ) ->
     M = N ) $=
    ( cnnc wcel c1c cplc wceq w3a wa c0 3simpa simp3 peano2 nulnnn eleq1 mtbiri
    wne necon2ai syl 3ad2ant1 prepeano4 syl12anc ) ACDZBCDZAEFZBEFGZHUCUDIUFUEJ
    QZABGUCUDUFKUCUDUFLUCUDUGUFUCUECDZUGAMUHUEJUEJGUHJCDNUEJCOPRSTABUAUB $.
    $( [20-Jan-2015] $)

  $( Successor cancellation law for finite cardinals. $)
  suc11nnc $p |- ( ( M e. Nn /\ N e. Nn ) ->
    ( ( M +c 1c ) = ( N +c 1c ) <-> M = N ) ) $=
    ( cnnc wcel wa c1c cplc wceq peano4 3expia addceq1 impbid1 ) ACDZBCDZEAFGBF
    GHZABHZMNOPABIJABFKL $.
    $( [3-Feb-2015] $)

  $( Cancellation law for natural addition. $)
  addccan1 $p |- ( ( M e. Nn /\ N e. Nn /\ P e. Nn ) ->
      ( ( M +c P ) = ( N +c P ) <-> M = N ) ) $=
    ( cnnc wcel w3a cplc c0 wne wceq wb wa nncaddccl nulnnn mtbiri necon2ai syl
    eleq1 3adant2 preaddccan1 mpdan ) BDEZCDEZADEZFBAGZHIZUECAGJBCJKUBUDUFUCUBU
    DLUEDEZUFBAMUGUEHUEHJUGHDENUEHDROPQSABCTUA $.
    $( [3-Feb-2015] $)

  $( Cancellation law for natural addition. $)
  addccan2 $p |- ( ( M e. Nn /\ N e. Nn /\ P e. Nn ) ->
      ( ( M +c N ) = ( M +c P ) <-> N = P ) ) $=
    ( cnnc wcel w3a cplc c0 wne wceq wb wa nncaddccl nulnnn mtbiri necon2ai syl
    eleq1 3adant3 preaddccan2 mpdan ) BDEZCDEZADEZFBCGZHIZUEBAGJCAJKUBUCUFUDUBU
    CLUEDEZUFBCMUGUEHUEHJUGHDENUEHDROPQSABCTUA $.
    $( [3-Feb-2015] $)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                Ordered Pairs, Relationships, and Functions
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Ordered Pairs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


  $( Declare the constant symbols for ordered pairs. $)
  $c <. >. Phi Proj1 Proj2 $.

  $( Declare the syntax for an ordered pair. $)
  cop $a class <. A , B >. $.

  $( Declare the syntax for the Phi operation. $)
  cphi $a class Phi A $.

  $( Declare the syntax for the first projection operation. $)
  cproj1 $a class Proj1 A $.

  $( Declare the syntax for the second projection operation. $)
  cproj2 $a class Proj2 A $.

  ${
    $d x y A $.  $d x y B $.

    $( Define the phi operator.  This operation increments all the naturals in
       ` A ` and leaves all its other members the same. $)
    df-phi $a |- Phi A = { y |
       E. x e. A y = if ( x e. Nn , ( x +c 1c ) , x ) } $.

    $( Define the type-level ordered pair.  Definition from {{Rosser}},
       p. 281. $)
    df-op $a |- <. A , B >. =
       ( { x | E. y e. A x = Phi y } u.
         { x | E. y e. B x = ( Phi y u. { 0c } ) } ) $.

    $( Define the first projection operation.  This operation recovers the
       first element of an ordered pair.  Definition from {{Rosser}},
       p. 281. $)
    df-proj1 $a |- Proj1 A = { x | Phi x e. A } $.

    $( Define the second projection operation.  This operation recovers the
       second element of an ordered pair.  Definition from {{Rosser}},
       p. 281. $)
    df-proj2 $a |- Proj2 A = { x | ( Phi x u. { 0c } ) e. A } $.
  $}

  ${
    $d A x y z $.
    $( Express the phi operator in terms of the Kuratowski set construction
       functions. $)
    dfphi2 $p |- Phi A = ( ( (
       Image_k
      ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
        ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
            "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
       ( _I_k i^i ( ~ Nn X._k _V ) ) ) "_k A ) $=
      ( vx vy vz cssetk cins3k cins2k cin c1c cpw1 cimak cnnc cidk cv wcel wceq
      cvv wa wo wb cphi ccompl csik cun csymdif cdif cimagek cxpk cplc cif wrex
      copk weq wn iftrue eqeq2d iba simpr con2i biorf syl syl6bb 3bitrd iffalse
      orcom con3i pm2.61i equcom elcompl anbi12i orbi2i bitr4i elun opkelimagek
      vex dfaddc2 eqeq2i opkelxpk mpbiran2 bitri opkelidkg mp2an orbi12i rexbii
      elin eqeq1 rexbidv df-phi elab2 elimak 3bitr4i eqriv ) BAUAZEFZEGZHIJJZKU
      BFWOGWNGEUCUCFUDUEWPJJKUFWPKZUGZLQUHZHZMLUBZQUHZHZUDZAKZBNZCNZLOZXGIUIZXG
      UJZPZCAUKZXGXFULZXDOZCAUKXFWMOXFXEOXKXNCAXKXFXIPZXHRZCBUMZXGXAOZRZSZXNXKX
      PBCUMZXHUNZRZSZXTXHXKYDTXHXKXOXPYDXHXJXIXFXHXIXGUOUPXHXOUQXHXPYCXPSZYDXHY
      CUNXPYETYCXHYAYBURUSYCXPUTVAYCXPVEVBVCYBXKYAYCYDYBXJXGXFXHXIXGVDUPYBYAUQY
      BXPUNYCYDTXPXHXOXHURVFXPYCUTVAVCVGXSYCXPXQYAXRYBCBVHXGLCVOZVIVJVKVLXNXMWT
      OZXMXCOZSXTXMWTXCVMYGXPYHXSYGXMWROZXMWSOZRXPXMWRWSWEYIXOYJXHYIXFWQXGKZPXO
      XGXFWQYFBVOZVNXIYKXFXGIVPVQVLYJXHXFQOZYLXGXFLQYFYLVRVSVJVTYHXMMOZXMXBOZRX
      SXMMXBWEYNXQYOXRXGQOYMYNXQTYFYLXGXFQQWAWBYOXRYMYLXGXFXAQYFYLVRVSVJVTWCVTV
      LWDDNZXJPZCAUKXLDXFWMYLDBUMYQXKCAYPXFXJWFWGCDAWHWICXDAXFYLWJWKWL $.
      $( [3-Feb-2015] $)
  $}

  $( Equality law for the Phi operation. $)
  phieq $p |- ( A = B -> Phi A = Phi B ) $=
    ( wceq cssetk cins3k cins2k cin c1c cpw1 cimak ccompl csik cun csymdif cdif
    cnnc cvv cxpk cphi dfphi2 cimagek cidk imakeq2 3eqtr4g ) ABCDEZDFZGHIIZJKEU
    FFUEFDLLEMNUGIIJOUGJUAPQRGUBPKQRGMZAJUHBJASBSABUHUCATBTUD $.
    $( [3-Feb-2015] $)

  $( The phi operator preserves sethood. $)
  phiexg $p |- ( A e. V -> Phi A e. _V ) $=
    ( wcel cssetk cins3k cins2k cin c1c cpw1 ccompl csik cun cnnc cvv cxpk cidk
    cimak pw1ex nncex vvex cphi csymdif cdif dfphi2 addcexlem 1cex imakex xpkex
    cimagek imagekex inex idkex complex unex imakexg mpan syl5eqel ) ABCZAUADEZ
    DFZGHIZIZQJEUTFUSFDKKELUBVBIIQUCZVBQZUIZMNOZGZPMJZNOZGZLZAQZNAUDVKNCURVLNCV
    GVJVEVFVDVCVBUEVAHUFRRUGUJMNSTUHUKPVIULVHNMSUMTUHUKUNVKANBUOUPUQ $.
    $( [3-Feb-2015] $)

  ${
    phiex.1 $e |- A e. _V $.
    $( The phi operator preserves sethood. $)
    phiex $p |- Phi A e. _V $=
      ( cvv wcel cphi phiexg ax-mp ) ACDAECDBACFG $.
      $( [3-Feb-2015] $)
  $}


  ${
    $d x y z w t A $.  $d x y z w t B $.
    $( Lemma for ~ dfop2 and ~ dfproj22 . $)
    dfop2lem1 $p |- ( << x , y >> e. ~ ( ( Ins2_k SSet_k (+) Ins3_k ( ( `'_k
        Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i Ins2_k SSet_k )
        "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
     ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) )
        ) "_k
     ~P1 ~P1 1c ) <-> y = ( Phi x u. { 0c } ) ) $=
      ( vz vt cv copk cssetk cins3k cpw1 cimak cun cvv c0c csn wcel wn wex wceq
      wa 3bitr4i cins2k cin c1c ccompl csik csymdif cdif cimagek cnnc cxpk cidk
      ccnvk ccomk cphi wb wrex opkex elimak elpw121c anbi1i 19.41v bitr4i exbii
      wel df-rex excom snex opkeq1 eleq1d ceqsexv elsymdif vex otkelins2k bitri
      elssetk otkelins3k elun ancom opkelimagek opkelcnvk dfphi2 eqeq2i anbi12i
      opkelcok phiex clel3 opkelxpk mpbiran2 sneqb elsn 3bitr4ri orbi12i 3bitri
      wo bibi12i notbii elcompl wal dfcleq alex ) AEZBEZFZGUAZGHZXDUBUCIIZJUDHX
      DUAXEUAGUEUEHKUFXFIIJUGXFJUHUILUJUBUKUIUDLUJUBKZUHZULZGUMZMNZNZLUJZKZHZUF
      ZXFJZOZPCBVDZCEZXAUNZXKKZOZUOZPZCQZPZXCXQUDOXBYBRZXRYFXRDEZXCFZXPOZDXFUPZ
      YIXTNZNZNZRZYKSZDQZCQZYFDXPXFXCXAXBUQZURYIXFOZYKSZDQYQCQZDQYLYSUUBUUCDUUB
      YPCQZYKSUUCUUAUUDYKCYIUSUTYPYKCVAVBVCYKDXFVEYQCDVFTYRYECYRYOXCFZXPOZUUEXD
      OZUUEXOOZUOZPYEYKUUFDYOYNVGYPYJUUEXPYIYOXCVHVIVJUUEXDXOVKUUIYDUUGXSUUHYCU
      UGYMXBFGOZXSYMXAXBGXTVGZAVLZBVLZVMXTXBCVLZUUMVOZVNUUHYMXAFZXNOUUPXJOZUUPX
      MOZWNZYCYMXAXBXNUUKUULUUMVPUUPXJXMVQUUSXTYAOZXTXKOZWNYCUUQUUTUURUVAUUJXBX
      AFXIOZSZBQXBYARZXSSZBQUUQUUTUVCUVEBUVCUVBUUJSUVEUUJUVBVRUVBUVDUUJXSXCXHOX
      BXGXAJZRUVBUVDXAXBXGUULUUMVSXBXAXHUUMUULVTYAUVFXBXAWAWBTUUOWCVNVCBYMXAXIG
      UUKUULWDBXTYAXAUULWEWFTUURYMXLOZUVAUURUVGXALOUULYMXAXLLUUKUULWGWHYMXKRXTM
      RUVGUVAXTMUUNWIYMXKUUKWJXTMUUNWJWKVBWLXTYAXKVQVBWMWOWPWMVCWMWPXCXQYTWQYHY
      DCWRYGCXBYBWSYDCWTVNT $.
      $( [2-Jan-2015] $)

    $( Lemma for ~ dfop2 $)
    dfop2lem2 $p |- ( ~ ( ( Ins2_k SSet_k (+)
     Ins3_k ( ( `'_k Image_k ( ( Image_k
      ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
        ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
            "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u. ( _I_k i^i ( ~ Nn X._k _V
        ) ) ) o._k
              SSet_k ) u. ( { { 0c } } X._k _V ) ) ) "_k ~P1 ~P1 1c ) "_k B
        )
     = { x | E. y e. B x = ( Phi y u. { 0c } ) } $=
      ( cv csn cun wrex cssetk cins2k cins3k cin cpw1 cimak ccompl csik csymdif
      cimagek cnnc cvv cxpk cphi c0c wceq c1c cdif cidk ccnvk ccomk wcel elimak
      copk vex dfop2lem1 rexbii bitri abbi2i ) ADZBDZUAUBEZFUCZBCGZAHIZHJZVBKUD
      LLZMNJVBIVCIHOOJFPVDLLMUEVDMQRSTKUFRNSTKFQUGHUHUSESTFJPVDMNZCMZUQVFUIURUQ
      UKVEUIZBCGVABVECUQAULUJVGUTBCBAUMUNUOUP $.
      $( [2-Jan-2015] $)

    $( Express the ordered pair via the set construction functors. $)
    dfop2 $p |- <. A , B >. =
       ( ( Image_k ( ( Image_k
      ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
        ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
            "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u. ( _I_k i^i ( ~ Nn X._k _V
        ) ) ) "_k A ) u.
         ( ~ ( ( Ins2_k SSet_k (+) Ins3_k ( ( `'_k Image_k ( ( Image_k
      ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
        ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
            "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
               ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u.
               ( { { 0c } } X._k _V ) ) ) "_k ~P1 ~P1 1c ) "_k B ) ) $=
      ( vx vy cv wceq wrex cab csn cun cssetk cins3k cins2k cin cpw1 cimak csik
      ccompl cvv cxpk cop cphi c0c c1c csymdif cdif cnnc cidk ccnvk ccomk df-op
      wcel copk vex elimak dfphi2 eqeq2i opkelimagek bitr4i rexbii bicomi bitri
      cimagek abbi2i dfop2lem2 uneq12i eqtr4i ) ABUACEZDEZUBZFZDAGZCHZVHVJUCIZJ
      FDBGCHZJKLZKMZNUDOOZPRLVQMVPMKQQLJUEVROOPUFVRPVCUGSTNUHUGRSTNJZVCZAPZVQVT
      UIKUJVNISTJLUEVRPRBPZJCDABUKWAVMWBVOVLCWAVHWAULVIVHUMVTULZDAGZVLDVTAVHCUN
      ZUOVLWDVKWCDAVKVHVSVIPZFWCVJWFVHVIUPUQVIVHVSDUNWEURUSUTVAVBVDCDBVEVFVG $.
      $( [2-Jan-2015] $)
  $}

  ${
    $d x y A $.
    $( Express the first projection operator via the set construction
       functors. $)
    dfproj12 $p |- Proj1 A =
     ( `'_k Image_k ( ( Image_k
      ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
        ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
            "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u. ( _I_k i^i ( ~ Nn X._k _V
        ) ) ) "_k A ) $=
      ( vx vy wcel cssetk cins3k cins2k cin cpw1 cimak ccompl csik cimagek cnnc
      cv cun cvv cxpk wceq wrex cproj1 cphi cab c1c csymdif cdif ccnvk df-proj1
      cidk copk opkelimagek opkelcnvk dfphi2 eqeq2i rexbii risset elimak abbi2i
      vex 3bitr4ri eqtr4i ) AUABOZUBZADZBUCEFZEGZHUDIIZJKFVFGVEGELLFPUEVGIIJUFV
      GJMNQRHUINKQRHPZMZUGZAJZBAUHVDBVKCOZVCSZCATVLVBUJVJDZCATVDVBVKDVMVNCAVBVL
      UJVIDVLVHVBJZSVNVMVBVLVHBUSZCUSZUKVLVBVIVQVPULVCVOVLVBUMUNUTUOCVCAUPCVJAV
      BVPUQUTURVA $.
      $( [2-Jan-2015] $)

    $( Express the second projection operator via the set construction
       functors. $)
    dfproj22 $p |- Proj2 A = ( `'_k ~ ( ( Ins2_k SSet_k (+)
    Ins3_k ( ( `'_k Image_k ( ( Image_k
      ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
        ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
            "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
            ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k
    SSet_k ) u. ( { { 0c } } X._k _V ) ) ) "_k ~P1 ~P1 1c ) "_k A ) $=
      ( vx vy cv csn cun wcel cssetk cins2k cins3k cin cpw1 ccompl csik csymdif
      cimak cimagek cnnc cvv cxpk cproj2 cphi c0c cab c1c cdif cidk ccnvk ccomk
      df-proj2 copk wrex opkelcnvk dfop2lem1 bitri rexbii elimak risset 3bitr4i
      wceq vex abbi2i eqtr4i ) AUABDZUBUCEZFZAGZBUDHIZHJZVHKUELLZPMJVHIVIIHNNJF
      OVJLLPUFVJPQRSTKUGRMSTKFQUHHUIVEESTFJOVJPMZUHZAPZBAUJVGBVMCDZVDUKVLGZCAUL
      VNVFUTZCAULVDVMGVGVOVPCAVOVDVNUKVKGVPVNVDVKCVABVAZUMBCUNUOUPCVLAVDVQUQCVF
      AURUSVBVC $.
      $( [2-Jan-2015] $)

  $}


  $( Equality theorem for ordered pairs. $)
  opeq1 $p |- ( A = B -> <. A , C >. = <. B , C >. ) $=
    ( cssetk cins3k cins2k cin cpw1 cimak ccompl csik csymdif cimagek cnnc cxpk
    cun cvv csn cop dfop2 wceq c1c cdif cidk ccnvk ccomk imakeq2 uneq1d 3eqtr4g
    c0c ) ABUAZDEZDFZGUBHHZIJEUMFULFDKKEPLUNHHIUCUNIMNQOGUDNJQOGPMZAIZUMUOUEDUF
    UJRRQOPELUNIJCIZPUOBIZUQPACSBCSUKUPURUQABUOUGUHACTBCTUI $.
    $( [2-Jan-2015] $)

  $( Equality theorem for ordered pairs. $)
  opeq2 $p |- ( A = B -> <. C , A >. = <. C , B >. ) $=
    ( cssetk cins3k cins2k cin cpw1 cimak ccompl csik csymdif cimagek cnnc cxpk
    cun cvv csn cop dfop2 wceq c1c cdif cidk ccnvk ccomk imakeq2 uneq2d 3eqtr4g
    c0c ) ABUAZDEZDFZGUBHHZIJEUMFULFDKKEPLUNHHIUCUNIMNQOGUDNJQOGPMZCIZUMUOUEDUF
    UJRRQOPELUNIJZAIZPUPUQBIZPCASCBSUKURUSUPABUQUGUHCATCBTUI $.
    $( [2-Jan-2015] $)

  $( Equality theorem for ordered pairs. $)
  opeq12 $p |- ( ( A = B /\ C = D ) -> <. A , C >. = <. B , D >. ) $=
    ( wceq cop opeq1 opeq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.
    $( [2-Jan-2015] $)


  ${
    opeq1i.1 $e |- A = B $.
    $( Equality inference for ordered pairs. $)
    opeq1i $p |- <. A , C >. = <. B , C >. $=
      ( wceq cop opeq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [16-Dec-2006] $)

    $( Equality inference for ordered pairs. $)
    opeq2i $p |- <. C , A >. = <. C , B >. $=
      ( wceq cop opeq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [16-Dec-2006] $)

    ${
      opeq12i.2 $e |- C = D $.
      $( Equality inference for ordered pairs.  (The proof was shortened by
         Eric Schmidt, 4-Apr-2007.) $)
      opeq12i $p |- <. A , C >. = <. B , D >. $=
        ( cop opeq1i opeq2i eqtri ) ACGBCGBDGABCEHCDBFIJ $.
        $( [16-Dec-2006] $)
    $}
  $}

  ${
    opeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for ordered pairs. $)
    opeq1d $p |- ( ph -> <. A , C >. = <. B , C >. ) $=
      ( wceq cop opeq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [16-Dec-2006] $)

    $( Equality deduction for ordered pairs. $)
    opeq2d $p |- ( ph -> <. C , A >. = <. C , B >. ) $=
      ( wceq cop opeq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [16-Dec-2006] $)

    ${
      opeq12d.2 $e |- ( ph -> C = D ) $.
      $( Equality deduction for ordered pairs.  (The proof was shortened by
         Andrew Salmon, 29-Jun-2011.) $)
      opeq12d $p |- ( ph -> <. A , C >. = <. B , D >. ) $=
        ( cop opeq1d opeq2d eqtrd ) ABDHCDHCEHABCDFIADECGJK $.
        $( [29-Jun-2011] $) $( [16-Dec-2006] $)
    $}
  $}


  $( An ordered pair of two sets is a set. $)
  opexg $p |- ( ( A e. V /\ B e. W ) -> <. A , B >. e. _V ) $=
    ( wcel cssetk cins3k cins2k cin c1c cpw1 ccompl csik cun cnnc cvv cxpk vvex
    cimak xpkex wa cop csymdif cdif cimagek ccnvk ccomk c0c csn dfop2 addcexlem
    cidk 1cex pw1ex imagekex nncex inex idkex complex unex imakexg mpan ssetkex
    imakex ins2kex cnvkex cokex snex ins3kex symdifex unexg syl2an syl5eqel ) A
    CEZBDEZUAABUBFGZFHZIJKZKZSLGVQHVPHFMMGNUCVSKKSUDZVSSZUEZOPQZIZULOLZPQZIZNZU
    EZASZVQWIUFZFUGZUHUIZUIZPQZNZGZUCZVSSZLZBSZNZPABUJVNWJPEZXAPEZXBPEVOWIPEVNX
    CWHWDWGWBWCWAVTVSUKVRJUMUNUNZVDUOOPUPRTUQULWFURWEPOUPUSRTUQUTUOZWIAPCVAVBWT
    PEVOXDWSWRVSVQWQFVCVEWPWLWOWKFWIXFVFVCVGWNPWMVHRTUTVIVJXEVDUSWTBPDVAVBWJXAP
    PVKVLVM $.
    $( [2-Jan-2015] $)

  ${
    opex.1 $e |- A e. _V $.
    opex.2 $e |- B e. _V $.
    $( An ordered pair of two sets is a set. $)
    opex $p |- <. A , B >. e. _V $=
      ( cvv wcel cop opexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [5-Jan-2015] $)
  $}

  $( Equality theorem for first projection operator. $)
  proj1eq $p |- ( A = B -> Proj1 A = Proj1 B ) $=
    ( wceq cssetk cins3k cins2k cin c1c cpw1 cimak ccompl csik cun csymdif cnnc
    cimagek cvv cxpk cproj1 dfproj12 cdif cidk ccnvk imakeq2 3eqtr4g ) ABCDEZDF
    ZGHIIZJKEUGFUFFDLLEMNUHIIJUAUHJPOQRGUBOKQRGMPUCZAJUIBJASBSABUIUDATBTUE $.
    $( [2-Jan-2015] $)

  $( Equality theorem for second projection operator. $)
  proj2eq $p |- ( A = B -> Proj2 A = Proj2 B ) $=
    ( cssetk cins2k cins3k cin cpw1 cimak ccompl csik csymdif cimagek cnnc cxpk
    cun cvv ccnvk csn cproj2 dfproj22 wceq c1c cdif cidk ccomk imakeq2 3eqtr4g
    c0c ) ABUACDZCEZUIFUBGGZHIEUIDUJDCJJEOKUKGGHUCUKHLMPNFUDMIPNFOLQCUEUHRRPNOE
    KUKHIQZAHULBHASBSABULUFATBTUG $.
    $( [2-Jan-2015] $)

  $( The first projection of a set is a set. $)
  proj1exg $p |- ( A e. V -> Proj1 A e. _V ) $=
    ( wcel cssetk cins3k cins2k cin c1c cpw1 cimak ccompl csik cun cimagek cnnc
    cvv cxpk cidk pw1ex imagekex cproj1 csymdif ccnvk dfproj12 addcexlem imakex
    cdif 1cex nncex vvex xpkex inex idkex complex unex cnvkex imakexg syl5eqel
    mpan ) ABCZAUADEZDFZGHIZIZJKEVBFVAFDLLEMUBVDIIJUGZVDJZNZOPQZGZROKZPQZGZMZNZ
    UCZAJZPAUDVOPCUTVPPCVNVMVIVLVGVHVFVEVDUEVCHUHSSUFTOPUIUJUKULRVKUMVJPOUIUNUJ
    UKULUOTUPVOAPBUQUSUR $.
    $( [2-Jan-2015] $)

  $( The second projection of a set is a set. $)
  proj2exg $p |- ( A e. V -> Proj2 A e. _V ) $=
    ( wcel cssetk cins2k cins3k cin c1c cpw1 cimak ccompl csik cun csymdif cnnc
    cimagek cvv cxpk vvex xpkex cproj2 cdif cidk ccnvk c0c csn dfproj22 ssetkex
    ccomk ins2kex addcexlem 1cex pw1ex imakex imagekex nncex inex idkex complex
    unex cnvkex cokex snex ins3kex symdifex imakexg mpan syl5eqel ) ABCZAUADEZD
    FZVJGHIZIZJKFVJEVKEDLLFMNVMIIJUBZVMJZPZOQRZGZUCOKZQRZGZMZPZUDZDUIZUEUFZUFZQ
    RZMZFZNZVMJZKZUDZAJZQAUGWNQCVIWOQCWMWLWKVMVJWJDUHUJWIWEWHWDDWCWBVRWAVPVQVOV
    NVMUKVLHULUMUMZUNUOOQUPSTUQUCVTURVSQOUPUSSTUQUTUOVAUHVBWGQWFVCSTUTVDVEWPUNU
    SVAWNAQBVFVGVH $.
    $( [2-Jan-2015] $)

  ${
    $d A x y z $.  $d B x y z $.
    $( Lemma for ~ phi11 . $)
    phi11lem1 $p |- ( Phi A = Phi B -> A C_ B ) $=
      ( vz vy vx cphi wceq cv wcel cnnc wi wa wrex eqeq2d rexbidv elab2 biimpac
      c1c syl5 syl cplc cif iftrue eqcomd weq eleq1 addceq1 id ifbieq12d sylan2
      rcla4ev ancoms vex addcex eqeq1 df-phi sylibr eleq2 w3a wn iffalse peano2
      syl5ibcom expdimp pm2.18d simpl simpr eqtr2d peano4 syl3anc 3adant2 simp2
      1cex eqeltrrd 3expia rexlimdva syl5bi exp3a adantr mpd eleq1a com12 con3d
      sylbid impcom adantlr simplr ex pm2.61ian ssrdv ) AFZBFZGZCABCHZAIZWMWNBI
      ZWNJIZWOWMWPKZWQWOLZWNRUAZWKIZWRWSWTDHZJIZXBRUAZXBUBZGZDAMZXAWOWQXGWQWOWT
      WQWTWNUBZGZXGWQXHWTWQWTWNUCUDXFXIDWNADCUEZXEXHWTXJXCWQXDXBWTWNXBWNJUFXBWN
      RUGXJUHUIZNUKUJULEHZXEGZDAMZXGEWTWKWNRCUMZVMUNZXLWTGZXMXFDAXLWTXEUOZODEAU
      PZPUQWQXAWRKWOWQXAWMWPXAWMLWTWLIZWQWPWMXAXTWKWLWTURQXTXFDBMZWQWPXMDBMZYAE
      WTWLXPXQXMXFDBXRODEBUPZPWQXFWPDBWQXBBIZXFWPWQYDXFUSXBWNBWQXFXJYDWQXFLZXCW
      QXDWTGXJYEXCWQXFXCUTZXCXFYFLWTXBGZWQXCYFXFYGYFXEXBWTXCXDXBVAZNQWQWTJIYGXC
      WNVBWTXBJUFVCSVDVEZWQXFVFYEWTXEXDWQXFVGYEXCXEXDGYIXCXDXBUCZTVHXBWNVIVJVKW
      QYDXFVLVNVOVPVQSVRVSVTWQUTZWOLZWNWKIZWRYLWNXEGZDAMZYMWOYKYOYKWOWNXHGZYOYK
      XHWNWQWTWNVAUDYNYPDWNAXJXEXHWNXKNUKUJULXNYOEWNWKXOECUEZXMYNDAXLWNXEUOZOXS
      PUQYKYMWRKWOYKYMWMWPYMWMLWNWLIZYKWPWMYMYSWKWLWNURQYSYNDBMZYKWPYBYTEWNWLXO
      YQXMYNDBYROYCPYKYNWPDBYKYDLZYNWPUUAYNLXBWNBYKYNXJYDYKYNLZWNXEXBYKYNVGUUBY
      FXEXBGYNYKYFYNXCWQXCYNWQXCYNWNXDGZWQXCXEXDWNYJNXCXDJIUUCWQKXBVBXDJWNWATWD
      WBWCWEYHTVHWFYKYDYNWGVNWHVPVQSVRVSVTWIWBWJ $.
      $( [3-Feb-2015] $)
  $}

  $( The phi operator is one-to-one.  Theorem X.2.2 of {{Rosser}}, p. 282. $)
  phi11 $p |- ( A = B <-> Phi A = Phi B ) $=
    ( wceq cphi phieq phi11lem1 wss eqcoms eqssd impbii ) ABCADZBDZCZABEMABABFB
    AGLKBAFHIJ $.
    $( [3-Feb-2015] $)

  ${
    $d A x y $.
    $( Cardinal zero is not a member of a phi operation.  Theorem X.2.3 of
       {{Rosser}}, p. 282. $)
    0cnelphi $p |- -. 0c e. Phi A $=
      ( vy vx c0c cphi wcel cv cnnc c1c cplc cif wceq wrex wn 0cnsuc df-ne mpbi
      wne wa eqeq2d iffalse biimpac peano1 syl6eqelr iftrue eqcom syl6bb biimpd
      ex pm2.18d mpcom mto a1i nrex 0cex eqeq1 rexbidv df-phi elab2 mtbir ) DAE
      ZFDBGZHFZVBIJZVBKZLZBAMZVFBAVFNVBAFVFVDDLZVDDRVHNVBOVDDPQVCVFVHVFVCVFVCNZ
      VCVFVISVBDHVIVFDVBLVIVEVBDVCVDVBUATUBUCUDUIUJVCVFVHVCVFDVDLVHVCVEVDDVCVDV
      BUETDVDUFUGUHUKULUMUNCGZVELZBAMVGCDVAUOVJDLVKVFBAVJDVEUPUQBCAURUSUT $.
      $( [3-Feb-2015] $)
  $}

  ${
    $d A z $.  $d B z $.
    $( Lemma for ~ phi011 . $)
    phi011lem1 $p |- ( ( Phi A u. { 0c } ) = ( Phi B u. { 0c } ) ->
      Phi A C_ Phi B ) $=
      ( vz cphi c0c csn wceq cv wcel wn ssun1 sseli eleq2 syl5ib 0cnelphi eleq1
      cun wi mtbiri wo con2i a1i elun df-sn abeq2i orbi2i bitri biimpi ord ee22
      orcomd ssrdv ) ADZEFZQZBDZUNQZGZCUMUPURCHZUMIZUSUQIZUSEGZJZUSUPIZUTUSUOIU
      RVAUMUOUSUMUNKLUOUQUSMNUTVCRURVBUTVBUTEUMIAOUSEUMPSUAUBVAVBVDVAVDVBVAVDVB
      TZVAVDUSUNIZTVEUSUPUNUCVFVBVDVBCUNCEUDUEUFUGUHUKUIUJUL $.
      $( [3-Feb-2015] $)
  $}

  $( ` ( Phi A u. { 0c } ) ` is one-to-one.  Theorem X.2.4 of {{Rosser}},
     p. 282. $)
  phi011 $p |- ( A = B <-> ( Phi A u. { 0c } ) = ( Phi B u. { 0c } ) ) $=
    ( wceq cphi c0c csn cun phi11 uneq1 phi011lem1 eqcoms eqssd impbii bitri
    wss ) ABCADZBDZCZPEFZGZQSGZCZABHRUBPQSIUBPQABJQPOUATBAJKLMN $.
    $( [3-Feb-2015] $)

  ${
    $d A x y z $.  $d B x y z $.
    $( The first projection operator applied to an ordered pair yields its
       first member.  Theorem X.2.7 of {{Rosser}}, p. 282. $)
    proj1op $p |- Proj1 <. A , B >. = A $=
      ( vz vy vx cop cproj1 cv cphi wcel c0c cun wceq wrex wo cab eqeq1 rexbidv
      weq elab csn df-op eleq2i phiex phi11 equcom bitr3i syl6bb risset syl6bbr
      elun vex orbi12i 3bitri phieq eleq1d df-proj1 elab2 wn 0cnelphi 0cex snid
      ssun2 sselii eleq2 mpbiri mto a1i nrex biorfi 3bitr4i eqriv ) CABFZGZACHZ
      IZVMJZVOAJZVPDHZIZKUAZLZMZDBNZOZVOVNJVRVQVPEHZVTMZDANZEPZWFWBMZDBNZEPZLZJ
      VPWIJZVPWLJZOWEVMWMVPEDABUBUCVPWIWLUKWNVRWOWDWHVREVPVOCULZUDZWFVPMZWHDCSZ
      DANVRWRWGWSDAWRWGVPVTMZWSWFVPVTQWTCDSWSVOVSUECDUFUGUHRDVOAUIUJTWKWDEVPWQW
      RWJWCDBWFVPWBQRTUMUNWFIZVMJVQEVOVNWPECSXAVPVMWFVOUOUPEVMUQURWDVRWCDBWCUSV
      SBJWCKVPJZVOUTWCXBKWBJWAWBKWAVTVCKVAVBVDVPWBKVEVFVGVHVIVJVKVL $.
      $( [3-Feb-2015] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( The second projection operator applied to an ordered pair yields its
       second member.  Theorem X.2.8 of {{Rosser}}, p. 283. $)
    proj2op $p |- Proj2 <. A , B >. = B $=
      ( vz vy vx cv cphi c0c cun wcel wceq wrex wo cab rexbidv elab weq 3bitr4i
      eqeq1 bitri cop cproj2 csn df-op eleq2i elun vex phiex snex phi011 equcom
      unex bitr3i rexbii risset orbi12i phieq uneq1d df-proj2 elab2 wn 0cnelphi
      eleq1d ssun2 0cex snid sselii eleq2 mpbii mto a1i nrex biorfi orcom eqriv
      ) CABUAZUBZBCFZGZHUCZIZVPJZWADFZGZKZDALZVRBJZMZVRVQJWGWBWAEFZWDKZDALZENZW
      IWDVTIZKZDBLZENZIZJZWHVPWQWAEDABUDUEWRWAWLJZWAWPJZMWHWAWLWPUFWSWFWTWGWKWF
      EWAVSVTVRCUGZUHHUIULZWIWAKZWJWEDAWIWAWDSOPWAWMKZDBLZDCQZDBLWTWGXDXFDBXDCD
      QXFVRWCUJCDUKUMUNWOXEEWAXBXCWNXDDBWIWAWMSOPDVRBUORUPTTWIGZVTIZVPJWBEVRVQX
      AECQZXHWAVPXIXGVSVTWIVRUQURVCEVPUSUTWGWGWFMWHWFWGWEDAWEVAWCAJWEHWDJZWCVBW
      EHWAJXJVTWAHVTVSVDHVEVFVGWAWDHVHVIVJVKVLVMWGWFVNTRVO $.
      $( [3-Feb-2015] $)
  $}


  $( The ordered pair theorem.  Two ordered pairs are equal iff their
     components are equal. $)
  opth $p |- ( <. A , B >. = <. C , D >. <-> ( A = C /\ B = D ) ) $=
    ( cop wceq cproj1 proj1eq proj1op 3eqtr3g cproj2 proj2eq proj2op jca opeq12
    wa impbii ) ABEZCDEZFZACFZBDFZPTUAUBTRGSGACRSHABICDIJTRKSKBDRSLABMCDMJNACBD
    OQ $.
    $( [2-Jan-2015] $)

  $( An ordered pair is a set iff its components are sets. $)
  opexb $p |- ( <. A , B >. e. _V <-> ( A e. _V /\ B e. _V ) ) $=
    ( cop cvv wcel wa cproj1 proj1op proj1exg syl5eqelr cproj2 proj2op proj2exg
    jca opexg impbii ) ABCZDEZADEZBDEZFRSTRAQGDABHQDIJRBQKDABLQDMJNABDDOP $.
    $( [2-Jan-2015] $)


  ${
    $d y z w A $.  $d y z w B $.  $d x y z w $.
    hbop.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbop.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for ordered pairs. $)
    hbop $p |- ( y e. <. A , B >. -> A. x y e. <. A , B >. ) $=
      ( vz vw cop cv cphi wceq wrex cab cun wel ax-17 hbel hbrex hbab c0c df-op
      csn wcel hbeq hbun hbxfreq ) ABCDIGJZHJZKZLZHCMZGNZUHUJUAUCOZLZHDMZGNZOGH
      CDUBBAUMUQULAGBUKAHCAGBUICGHPAQZERUKAQSTUPAGBUOAHDAGBUIDURFRAHGUHUNHGPAQU
      HUNUDAQUESTUFUG $.
      $( [14-Nov-1995] $)
  $}


  ${
    $d y z B $.  $d y z A $.  $d y ph $.  $d x y z $.
    hbopd.1 $e |- ( ph -> A. x ph ) $.
    hbopd.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hbopd.3 $e |- ( ph -> ( y e. B -> A. x y e. B ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbop . $)
    hbopd $p |- ( ph -> ( y e. <. A , B >. -> A. x y e. <. A , B >. ) ) $=
      ( vz cv wcel wal cab cop wi hba1 hbab wceq alrimiv abidhb a1i syl opeq12d
      hbop eleq2d albid 3imtr3d ) ACJZIJZDKZBLZIMZUIEKZBLZIMZNZKZUQBLZUHDENZKZU
      TBLUQUROABCULUOUKBICUJBPQUNBICUMBPQUDUAAUPUSUHAULDUOEAUHDKZVABLOZCLULDRAV
      BCGSBCIDTUBAUHEKZVCBLOZCLUOERAVDCHSBCIETUBUCUEZAUQUTBFVEUFUG $.
      $( [4-Feb-2008] $)
  $}


  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    eqvinop.1 $e |- B e. _V $.
    eqvinop.2 $e |- C e. _V $.
    $( A variable introduction law for ordered pairs.  Analog of Lemma 15 of
       [Monk2] p. 109. $)
    eqvinop $p |- ( A = <. B , C >. <-> E. x E. y ( A = <. x , y >. /\
                  <. x , y >. = <. B , C >. ) ) $=
      ( cv cop wceq wa wex opth ancom bitri anbi2i an13 exbii eqeq2d ceqsexv
      19.42v opeq2 3bitri opeq1 bitr2i ) CAHZBHZIZJZUHDEIZJZKZBLZALUFDJZCUFEIZJ
      ZKZALCUJJZUMUQAUMUNUGEJZUIKZKZBLUNUTBLZKUQULVABULUIUSUNKZKVAUKVCUIUKUNUSK
      VCUFUGDEMUNUSNOPUIUSUNQORUNUTBUAVBUPUNUIUPBEGUSUHUOCUGEUFUBSTPUCRUPURADFU
      NUOUJCUFDEUDSTUE $.
      $( [28-May-1995] $)
  $}

  ${
    $d x z w A $.  $d y z w A $.  $d z w ph $.
    $( Substitution of class ` A ` for ordered pair ` <. x , y >. ` .
       (Unnecessary distinct variable restrictions were removed by Andrew
       Salmon, 11-Jul-2011.) $)
    copsexg $p |- ( A = <. x , y >. ->
                  ( ph <-> E. x E. y ( A = <. x , y >. /\ ph ) ) ) $=
      ( vz vw cv cop wceq wa wex wb wi vex 19.8a weq syl5 syl5bi weu euequ1 wal
      eqvinop 19.23bi ex opth anbi1i 2exbii hbe1 anim2i anassrs a1i eximd biidd
      hbae drex1 sylibd anass exbii 19.40 hbnae dveeq2 19.9d anim1d syl6 exlimi
      wn pm2.61i equcom eubii mpbi eupick mpan com12 sylan9 sylbi impbid anbi1d
      eqeq1 2exbidv bibi2d imbi12d mpbiri adantr exlimivv pm2.43i ) DBGZCGZHZIZ
      AWIAJZCKBKZLZWIDEGZFGZHZIZWOWHIZJZFKEKWIWLMZEFDWFWGBNCNUBWRWSEFWPWSWQWPWS
      WQAWQAJZCKZBKZLZMWQAXBWQAXBWTXBCXABOUCUDWQEBPZFCPZJZXBAMWMWNWFWGUEZXBXFAJ
      ZCKZBKZXFAWTXHBCWQXFAXGUFUGXJXDXEAJZCKZJZBKZXFAXIXNBXMBUHCBPCUAZXIXNMXOXI
      XMCKXNXOXHXMCCBCUNXHXMMXOXDXEAXMXKXLXDXKCOUIUJUKULXMXMCBXOXMUMUOUPXOVFZXI
      XMXNXIXDXKJZCKZXPXMXHXQCXDXEAUQURXRXDCKZXLJXPXMXDXKCUSXPXSXDXLXDXPCCBCUTC
      BEVAVBVCQRXMBOVDVGVEXDXNXLXEAXNXDXLXDBSZXNXDXLMBEPZBSXTBETYAXDBBEVHVIVJXD
      XLBVKVLVMXLXEAXECSZXLXEAMCFPZCSYBCFTYCXECCFVHVIVJXEACVKVLVMVNQRVOVPWPWIWQ
      WLXCDWOWHVRZWPWKXBAWPWJWTBCWPWIWQAYDVQVSVTWAWBWCWDVOWE $.
      $( [25-Jul-2011] $) $( [27-Dec-1996] $)
  $}

  ${
    $d x y ps $.  $d x y A $.  $d x y B $.
    $( Closed theorem form of ~ copsex2g . $)
    copsex2t $p |- ( ( A. x A. y ( ( x = A /\ y = B ) -> ( ph <-> ps ) )
      /\ ( A e. V /\ B e. W ) ) ->
                  ( E. x E. y ( <. A , B >. = <. x , y >. /\ ph ) <-> ps ) ) $=
      ( wcel wa cv wceq wb wal wex cop elisset hbe1 ax-17 hbbi wi anim12i eeanv
      sylibr hba1 hba2 hbex opeq12 copsexg eqcoms syl adantl 19.21bi imp bitr3d
      ax-4 ex exlimd sylan2 ) EGIZFHIZJZCKZELZDKZFLZJZABMZUAZDNZCNZVGDOZCOZEFPZ
      VCVEPZLAJZDOZCOZBMZVBVDCOZVFDOZJVMUTVTVAWACEGQDFHQUBVDVFCDUCUDVKVMVSVKVLV
      SCVJCUEVRBCVQCRBCSTVKVGVSDVIDCUFVRBDVQDCVPDRUGBDSTVKVGVSVKVGJAVRBVGAVRMZV
      KVGVOVNLWBVCEVEFUHWBVNVOACDVNUIUJUKULVKVGVHVKVIDVJCUPUMUNUOUQURURUNUS $.
      $( [17-Feb-2013] $)
  $}

  ${
    $d x y ps $.  $d x y A $.  $d x y B $.
    copsex2g.1 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Implicit substitution inference for ordered pairs. $)
    copsex2g $p |- ( ( A e. V /\ B e. W ) ->
                  ( E. x E. y ( <. A , B >. = <. x , y >. /\ ph ) <-> ps ) ) $=
      ( wcel cv wceq wex cop wa wb elisset hbe1 ax-17 hbbi eeanv opeq12 copsexg
      hbex eqcoms syl bitr3d exlimi sylbir syl2an ) EGJCKZELZCMZDKZFLZDMZEFNZUK
      UNNZLAOZDMZCMZBPZFHJCEGQDFHQUMUPOULUOOZDMZCMVBULUOCDUAVDVBCVABCUTCRBCSTVC
      VBDVABDUTDCUSDRUDBDSTVCAVABVCURUQLAVAPZUKEUNFUBVEUQURACDUQUCUEUFIUGUHUHUI
      UJ $.
      $( [28-May-1995] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.  $d x y z w D $.
    $d x y z w ps $.  $d x y z w R $.  $d x y z w S $.
    copsex4g.1 $e |- ( ( ( x = A /\ y = B ) /\ ( z = C /\ w = D ) ) ->
                     ( ph <-> ps ) ) $.
    $( An implicit substitution inference for 2 ordered pairs. $)
    copsex4g $p |- ( ( ( A e. R /\ B e. S ) /\ ( C e. R /\ D e. S ) ) ->
                      ( E. x E. y E. z E. w ( ( <. A , B >. = <. x , y >. /\
                      <. C , D >. = <. z , w >. ) /\ ph ) <-> ps ) ) $=
      ( cop cv wceq wa wex wcel eqcom opth anbi12i anbi1i 2exbii cgsex4g syl5bb
      bitri id ) GHNZCOZDOZNZPZIJNZEOZFOZNZPZQZAQZFRERZDRCRUJGPUKHPQZUOIPUPJPQZ
      QZAQZFRERZDRCRGKSHLSQIKSJLSQQBVAVFCDUTVEEFUSVDAUMVBURVCUMULUIPVBUIULTUJUK
      GHUAUGURUQUNPVCUNUQTUOUPIJUAUGUBUCUDUDABVDCDEFGHIJKLVDUHMUEUF $.
      $( [5-Aug-1995] $)
  $}


  ${
    $d A z w t u v $.  $d B z w t u v $.  $d C t z $.
    $( Express equality to an ordered pair. $)
    eqop $p |- ( A = <. B , C >. <->
       A. z ( z e. A <->
          ( E. t e. B z = Phi t \/ E. t e. C z = ( Phi t u. { 0c } ) ) ) ) $=
      ( cop wceq cv wcel wb wal cphi wrex c0c csn cun wo cab bitri abid orbi12i
      dfcleq df-op eleq2i elun bibi2i albii ) CDEFZGAHZCIZUIUHIZJZAKUJUIBHLZGBD
      MZUIUMNOPGBEMZQZJZAKACUHUBULUQAUKUPUJUKUIUNARZIZUIUOARZIZQZUPUKUIURUTPZIV
      BUHVCUIABDEUCUDUIURUTUESUSUNVAUOUNATUOATUASUFUGS $.
      $( [6-Jan-2015] $)
  $}


  ${
    $d x y z A $.
    $( "At most one" remains true inside ordered pair quantification. $)
    mosubopt $p |- ( A. y A. z E* x ph ->
                 E* x E. y E. z ( A = <. y , z >. /\ ph ) ) $=
      ( wmo wal cv cop wceq wex wa hba1 hbe1 hbmo wi hbex a4s exlimd wn copsexg
      ax-17 mobid biimpcd simpl 2eximi exlimiv con3i exmo ori syl pm2.61d1 ) AB
      FZDGZCGZECHDHIJZDKZCKZUPALZDKZCKZBFZUOUQVBCUNCMVACBUTCNOUNUQVBPCUNUPVBDUM
      DMVADBUTDCUSDNQOUMUPVBPDUPUMVBUPAVABUPBUBACDEUAUCUDRSRSURTVABKZTVBVCURVAU
      RBUSUPCDUPAUEUFUGUHVCVBVABUIUJUKUL $.
      $( [28-Aug-2007] $)
  $}


  ${
    $d x y z A $.
    mosubop.1 $e |- E* x ph $.
    $( "At most one" remains true inside ordered pair quantification. $)
    mosubop $p |- E* x E. y E. z ( A = <. y , z >. /\ ph ) $=
      ( wmo wal cv cop wceq wa wex gen2 mosubopt ax-mp ) ABGZDHCHECIDIJKALDMCMB
      GQCDFNABCDEOP $.
      $( [28-May-1995] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    $( The phi operation distributes over union. $)
    phiun $p |- Phi ( A u. B ) = ( Phi A u. Phi B ) $=
      ( vx vy cv cnnc wcel c1c cplc cif wceq cun wrex cab wo rexun abbii df-phi
      cphi uneq12i unab eqtri 3eqtr4i ) CEDEZFGUDHIUDJKZDABLZMZCNUEDAMZUEDBMZOZ
      CNZUFSASZBSZLZUGUJCUEDABPQDCUFRUNUHCNZUICNZLUKULUOUMUPDCARDCBRTUHUICUAUBU
      C $.
      $( [20-Feb-2015] $)

    $( The phi operation applied to a set disjoint from the naturals has no
       effect. $)
    phidisjnn $p |- ( ( A i^i Nn ) = (/) -> Phi A = A ) $=
      ( vx vy cnnc cin c0 wceq cv wcel c1c cplc cif wrex wb wal cphi wa syl6bbr
      weq wn wral disj biimpi r19.21bi iffalse syl eqeq2d equcom risset alrimiv
      rexbidva cab df-phi eqeq1i abeq1 bitri sylibr ) ADEFGZBHZCHZDIZUTJKZUTLZG
      ZCAMZUSAIZNZBOZAPZAGZURVGBURVECBSZCAMVFURVDVKCAURUTAIQZVDBCSVKVLVCUTUSVLV
      ATZVCUTGURVMCAURVMCAUACADUBUCUDVAVBUTUEUFUGCBUHRUKCUSAUIRUJVJVEBULZAGVHVI
      VNACBAUMUNVEBAUOUPUQ $.
      $( [20-Feb-2015] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                Ordered-pair class abstractions (class builders)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend class notation to include ordered-pair class abstraction (class
     builder). $)
  copab $a class { <. x , y >. | ph } $.

  ${
    $d x z $.  $d y z $.  $d z ph $.
    $( Define the class abstraction of a collection of ordered pairs.
       Definition 3.3 of [Monk1] p. 34.  Usually ` x ` and ` y ` are distinct,
       although the definition doesn't strictly require it (see ~ dfid2 for a
       case where they are not distinct).  The brace notation is called "class
       abstraction" by Quine; it is also (more commonly) called a "class
       builder" in the literature. $)
    df-opab $a |- { <. x , y >. | ph } =
                  { z | E. x E. y ( z = <. x , y >. /\ ph ) } $.
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.  $d z ps $.  $d z ch $.
    opabbid.1 $e |- ( ph -> A. x ph ) $.
    opabbid.2 $e |- ( ph -> A. y ph ) $.
    opabbid.3 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal ordered-pair class abstractions (deduction
       rule).  (The proof was shortened by Andrew Salmon, 9-Jul-2011.) $)
    opabbid $p |- ( ph -> { <. x , y >. | ps } = { <. x , y >. | ch } ) $=
      ( vz cv cop wceq wa wex cab copab anbi2d exbid abbidv df-opab 3eqtr4g ) A
      IJDJEJKLZBMZENZDNZIOUBCMZENZDNZIOBDEPCDEPAUEUHIAUDUGDFAUCUFEGABCUBHQRRSBD
      EITCDEITUA $.
      $( [9-Jul-2011] $) $( [21-Feb-2004] $)
  $}

  ${
    $d x ph $.  $d y z ph $.  $d z ps $.  $d z ch $.
    opabbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal ordered-pair class abstractions (deduction
       rule). $)
    opabbidv $p |- ( ph -> { <. x , y >. | ps } = { <. x , y >. | ch } ) $=
      ( ax-17 opabbid ) ABCDEADGAEGFH $.
      $( [15-May-1995] $)
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.  $d z ps $.
    opabbii.1 $e |- ( ph <-> ps ) $.
    $( Equivalent wff's yield equal class abstractions. $)
    opabbii $p |- { <. x , y >. | ph } = { <. x , y >. | ps } $=
      ( vz cv wceq copab eqid wb a1i opabbidv ax-mp ) FGZOHZACDIBCDIHOJPABCDABK
      PELMN $.
      $( [25-Jul-2011] $) $( [15-May-1995] $)
  $}

  ${
    $d x y z w v $.  $d v ph $.  $d v ps $.
    cbvopab.1 $e |- ( ph -> A. z ph ) $.
    cbvopab.2 $e |- ( ph -> A. w ph ) $.
    cbvopab.3 $e |- ( ps -> A. x ps ) $.
    cbvopab.4 $e |- ( ps -> A. y ps ) $.
    cbvopab.5 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables in an ordered-pair class
       abstraction, using implicit substitution. $)
    cbvopab $p |- { <. x , y >. | ph } = { <. z , w >. | ps } $=
      ( vv cv cop wceq wa wex cab ax-17 hban copab opeq12 eqeq2d anbi12d cbvex2
      weq abbii df-opab 3eqtr4i ) LMZCMZDMZNZOZAPZDQCQZLRUJEMZFMZNZOZBPZFQEQZLR
      ACDUABEFUAUPVBLUOVACDEFUNAEUNESGTUNAFUNFSHTUTBCUTCSITUTBDUTDSJTCEUFDFUFPZ
      UNUTABVCUMUSUJUKUQULURUBUCKUDUEUGACDLUHBEFLUHUI $.
      $( [14-Sep-2003] $)
  $}

  ${
    $d x y z w $.  $d z w v ph $.  $d x y v ps $.
    cbvopabv.1 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables in an ordered-pair class
       abstraction, using implicit substitution. $)
    cbvopabv $p |- { <. x , y >. | ph } = { <. z , w >. | ps } $=
      ( ax-17 cbvopab ) ABCDEFAEHAFHBCHBDHGI $.
      $( [15-Oct-1996] $)
  $}

  ${
    $d v w x y $.  $d v w y z $.  $d v w ph $.  $d v w ps $.
    cbvopab1.1 $e |- ( ph -> A. z ph ) $.
    cbvopab1.2 $e |- ( ps -> A. x ps ) $.
    cbvopab1.3 $e |- ( x = z -> ( ph <-> ps ) ) $.
    $( Change first bound variable in an ordered-pair class abstraction, using
       explicit substitution. $)
    cbvopab1 $p |- { <. x , y >. | ph } = { <. z , y >. | ps } $=
      ( vw vv cv cop wceq wa wex cab copab wsbc ax-17 hban opeq1 eqeq2d sbequ12
      hbs1 hbex anbi12d exbidv cbvex hbsb sbequ sbie syl6bb bitri abbii df-opab
      3eqtr4i ) IKZCKZDKZLZMZANZDOZCOZIPUQEKZUSLZMZBNZDOZEOZIPACDQBEDQVDVJIVDUQ
      JKZUSLZMZACVKRZNZDOZJOVJVCVPCJVCJSVOCDVMVNCVMCSACJUDTUEURVKMZVBVODVQVAVMA
      VNVQUTVLUQURVKUSUAUBACJUCUFUGUHVPVIJEVOEDVMVNEVMESACJEFUITUEVIJSVKVEMZVOV
      HDVRVMVGVNBVRVLVFUQVKVEUSUAUBVRVNACVERBAJECUJABCEGHUKULUFUGUHUMUNACDIUOBE
      DIUOUP $.
      $( [6-Oct-2004] $)
  $}

  ${
    $d w x y z $.  $d w ph $.  $d w ps $.
    cbvopab2.1 $e |- ( ph -> A. z ph ) $.
    cbvopab2.2 $e |- ( ps -> A. y ps ) $.
    cbvopab2.3 $e |- ( y = z -> ( ph <-> ps ) ) $.
    $( Change second bound variable in an ordered-pair class abstraction, using
       explicit substitution. $)
    cbvopab2 $p |- { <. x , y >. | ph } = { <. x , z >. | ps } $=
      ( vw cv cop wceq wa wex cab copab ax-17 hban opeq2 df-opab eqeq2d anbi12d
      cbvex exbii abbii 3eqtr4i ) IJZCJZDJZKZLZAMZDNZCNZIOUGUHEJZKZLZBMZENZCNZI
      OACDPBCEPUNUTIUMUSCULURDEUKAEUKEQFRUQBDUQDQGRUIUOLZUKUQABVAUJUPUGUIUOUHSU
      AHUBUCUDUEACDITBCEITUF $.
      $( [22-Aug-2013] $)
  $}

  ${
    $d x y z w $.  $d z w ph $.
    $( Change first bound variable in an ordered-pair class abstraction, using
       explicit substitution. $)
    cbvopab1s $p |- { <. x , y >. | ph } = { <. z , y >. | [ z / x ] ph } $=
      ( vw cv cop wceq wa wex cab wsbc copab ax-17 hbs1 hban hbex opeq1 df-opab
      eqeq2d sbequ12 anbi12d exbidv cbvex abbii 3eqtr4i ) EFZBFZCFZGZHZAIZCJZBJ
      ZEKUGDFZUIGZHZABUOLZIZCJZDJZEKABCMURDCMUNVAEUMUTBDUMDNUSBCUQURBUQBNABDOPQ
      UHUOHZULUSCVBUKUQAURVBUJUPUGUHUOUIRTABDUAUBUCUDUEABCESURDCESUF $.
      $( [5-Nov-2004] $) $( [31-Jul-2003] $)
  $}

  ${
    $d x y $.  $d y z $.  $d z ph $.  $d x ps $.
    cbvopab1v.1 $e |- ( x = z -> ( ph <-> ps ) ) $.
    $( Rule used to change the first bound variable in an ordered pair
       abstraction, using implicit substitution.  (The proof was shortened by
       Eric Schmidt, 4-Apr-2007.) $)
    cbvopab1v $p |- { <. x , y >. | ph } = { <. z , y >. | ps } $=
      ( ax-17 cbvopab1 ) ABCDEAEGBCGFH $.
      $( [4-Apr-2007] $) $( [31-Jul-2003] $)
  $}

  ${
    $d x y z w $.  $d z w ph $.  $d y w ps $.
    cbvopab2v.1 $e |- ( y = z -> ( ph <-> ps ) ) $.
    $( Rule used to change the second bound variable in an ordered pair
       abstraction, using implicit substitution. $)
    cbvopab2v $p |- { <. x , y >. | ph } = { <. x , z >. | ps } $=
      ( vw cv cop wceq wex cab copab opeq2 eqeq2d anbi12d cbvexv exbii df-opab
      wa abbii 3eqtr4i ) GHZCHZDHZIZJZATZDKZCKZGLUCUDEHZIZJZBTZEKZCKZGLACDMBCEM
      UJUPGUIUOCUHUNDEUEUKJZUGUMABUQUFULUCUEUKUDNOFPQRUAACDGSBCEGSUB $.
      $( [2-Sep-1999] $)
  $}

  ${
    $d w y z A $.  $d w ph $.  $d w x y z $.
    $( Move substitution into a class abstraction. $)
    csbopabg $p |- ( A e. V -> [_ A / x ]_ { <. y , z >. | ph } =
               { <. y , z >. | [ A / x ] ph } ) $=
      ( vw wcel cvv copab csb wsbc wceq cv wa wex cab df-opab sbcexg bitrd elex
      cop csbeq2i csbabg sbcang sbcg anbi1d exbidv abbidv eqcomi a1i 3eqtrd syl
      eqtrd ) EFHEIHZBEACDJZKZABELZCDJZMEFUAUOUQBEGNCNDNUBMZAOZDPZCPZGQZKZUTURO
      ZDPZCPZGQZUSBEUPVDIACDGRUCUOVEVCBELZGQVIVCBGEIUDUOVJVHGUOVJVBBELZCPVHVBCB
      EISUOVKVGCUOVKVABELZDPVGVADBEISUOVLVFDUOVLUTBELZUROVFUTABEIUEUOVMUTURUTBE
      IUFUGTUHTUHTUIUNVIUSMUOUSVIURCDGRUJUKULUM $.
      $( [6-Aug-2007] $)
  $}

  ${
    $d x z $.  $d y z $.  $d ph z $.  $d ps z $.
    $( Union of two ordered pair class abstractions. $)
    unopab $p |- ( { <. x , y >. | ph } u. { <. x , y >. | ps } ) =
               { <. x , y >. | ( ph \/ ps ) } $=
      ( vz cv cop wceq wa wex cab wo copab unab 19.43 andi exbii bitr2i df-opab
      cun bitr3i abbii eqtri uneq12i 3eqtr4i ) EFCFDFGHZAIZDJZCJZEKZUFBIZDJZCJZ
      EKZTZUFABLZIZDJZCJZEKZACDMZBCDMZTUPCDMUOUIUMLZEKUTUIUMENVCUSEVCUHULLZCJUS
      UHULCOVDURCURUGUKLZDJVDUQVEDUFABPQUGUKDORQUAUBUCVAUJVBUNACDESBCDESUDUPCDE
      SUE $.
      $( [30-Sep-2002] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Binary relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend wff notation to include the general binary relation predicate.
     Note that the syntax is simply three class symbols in a row.  Since binary
     relations are the only possible wff expressions consisting of three class
     expressions in a row, the syntax is unambiguous. $)
  wbr $a wff A R B $.

  $( Define a general binary relation.  Note that the syntax is simply three
     class symbols in a row.  Definition 6.18 of [TakeutiZaring] p. 29
     generalized to arbitrary classes.  Class ` R ` normally denotes a relation
     that compares two classes ` A ` and ` B ` .  This definition is
     well-defined, although not very meaningful, when classes ` A ` and/or
     ` B ` are proper classes (i.e. are not sets).  On the other hand, we often
     find uses for this definition when ` R ` is a proper class. $)
  df-br $a |- ( A R B <-> <. A , B >. e. R ) $.

  $( Equality theorem for binary relations. $)
  breq $p |- ( R = S -> ( A R B <-> A S B ) ) $=
    ( wceq cop wcel wbr eleq2 df-br 3bitr4g ) CDEABFZCGLDGABCHABDHCDLIABCJABDJK
    $.
    $( [4-Jun-1995] $)

  $( Equality theorem for a binary relation. $)
  breq1 $p |- ( A = B -> ( A R C <-> B R C ) ) $=
    ( wceq cop wcel wbr opeq1 eleq1d df-br 3bitr4g ) ABEZACFZDGBCFZDGACDHBCDHMN
    ODABCIJACDKBCDKL $.
    $( [31-Dec-1993] $)

  $( Equality theorem for a binary relation. $)
  breq2 $p |- ( A = B -> ( C R A <-> C R B ) ) $=
    ( wceq cop wcel wbr opeq2 eleq1d df-br 3bitr4g ) ABEZCAFZDGCBFZDGCADHCBDHMN
    ODABCIJCADKCBDKL $.
    $( [31-Dec-1993] $)

  $( Equality theorem for a binary relation. $)
  breq12 $p |- ( ( A = B /\ C = D ) -> ( A R C <-> B R D ) ) $=
    ( wceq wbr breq1 breq2 sylan9bb ) ABFACEGBCEGCDFBDEGABCEHCDBEIJ $.
    $( [8-Feb-1996] $)

  ${
    breqi.1 $e |- R = S $.
    $( Equality inference for binary relations. $)
    breqi $p |- ( A R B <-> A S B ) $=
      ( wceq wbr wb breq ax-mp ) CDFABCGABDGHEABCDIJ $.
      $( [19-Feb-2005] $)
  $}

  ${
    breq1i.1 $e |- A = B $.
    $( Equality inference for a binary relation. $)
    breq1i $p |- ( A R C <-> B R C ) $=
      ( wceq wbr wb breq1 ax-mp ) ABFACDGBCDGHEABCDIJ $.
      $( [8-Feb-1996] $)

    $( Equality inference for a binary relation. $)
    breq2i $p |- ( C R A <-> C R B ) $=
      ( wceq wbr wb breq2 ax-mp ) ABFCADGCBDGHEABCDIJ $.
      $( [8-Feb-1996] $)

    ${
      breq12i.2 $e |- C = D $.
      $( Equality inference for a binary relation.  (The proof was shortened by
         Eric Schmidt, 4-Apr-2007.) $)
      breq12i $p |- ( A R C <-> B R D ) $=
        ( wceq wbr wb breq12 mp2an ) ABHCDHACEIBDEIJFGABCDEKL $.
        $( [4-Apr-2007] $) $( [8-Feb-1996] $)
    $}
  $}

  ${
    breq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for a binary relation. $)
    breq1d $p |- ( ph -> ( A R C <-> B R C ) ) $=
      ( wceq wbr wb breq1 syl ) ABCGBDEHCDEHIFBCDEJK $.
      $( [8-Feb-1996] $)

    $( Equality deduction for a binary relation. $)
    breqd $p |- ( ph -> ( C A D <-> C B D ) ) $=
      ( wceq wbr wb breq syl ) ABCGDEBHDECHIFDEBCJK $.
      $( [29-Oct-2011] $)

    $( Equality deduction for a binary relation. $)
    breq2d $p |- ( ph -> ( C R A <-> C R B ) ) $=
      ( wceq wbr wb breq2 syl ) ABCGDBEHDCEHIFBCDEJK $.
      $( [8-Feb-1996] $)

    ${
      breq12d.2 $e |- ( ph -> C = D ) $.
      $( Equality deduction for a binary relation.  (The proof was shortened by
         Andrew Salmon, 9-Jul-2011.) $)
      breq12d $p |- ( ph -> ( A R C <-> B R D ) ) $=
        ( wceq wbr wb breq12 syl2anc ) ABCIDEIBDFJCEFJKGHBCDEFLM $.
        $( [9-Jul-2011] $) $( [8-Feb-1996] $)
    $}

    ${
      breq123d.2 $e |- ( ph -> R = S ) $.
      breq123d.3 $e |- ( ph -> C = D ) $.
      $( Equality deduction for a binary relation. $)
      breq123d $p |- ( ph -> ( A R C <-> B S D ) ) $=
        ( wbr breq12d breqd bitrd ) ABDFKCEFKCEGKABCDEFHJLAFGCEIMN $.
        $( [29-Oct-2011] $)
    $}

    ${
      breqan12i.2 $e |- ( ps -> C = D ) $.
      $( Equality deduction for a binary relation. $)
      breqan12d $p |- ( ( ph /\ ps ) -> ( A R C <-> B R D ) ) $=
        ( wceq wbr wb breq12 syl2an ) ACDJEFJCEGKDFGKLBHICDEFGMN $.
        $( [8-Feb-1996] $)

      $( Equality deduction for a binary relation. $)
      breqan12rd $p |- ( ( ps /\ ph ) -> ( A R C <-> B R D ) ) $=
        ( wbr wb breqan12d ancoms ) ABCEGJDFGJKABCDEFGHILM $.
        $( [8-Feb-1996] $)
    $}
  $}

  $( Two classes are different if they don't have the same relationship to a
     third class. $)
  nbrne1 $p |- ( ( A R B /\ -. A R C ) -> B =/= C ) $=
    ( wbr wn wne wceq breq2 biimpcd necon3bd imp ) ABDEZACDEZFBCGMNBCBCHMNBCADI
    JKL $.
    $( [3-Jun-2012] $)

  $( Two classes are different if they don't have the same relationship to a
     third class. $)
  nbrne2 $p |- ( ( A R C /\ -. B R C ) -> A =/= B ) $=
    ( wbr wn wne wceq breq1 biimpcd necon3bd imp ) ACDEZBCDEZFABGMNABABHMNABCDI
    JKL $.
    $( [3-Jun-2012] $)

  ${
    eqbrtr.1 $e |- A = B $.
    eqbrtr.2 $e |- B R C $.
    $( Substitution of equal classes into a binary relation. $)
    eqbrtri $p |- A R C $=
      ( wbr breq1i mpbir ) ACDGBCDGFABCDEHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqbrtrd.1 $e |- ( ph -> A = B ) $.
    eqbrtrd.2 $e |- ( ph -> B R C ) $.
    $( Substitution of equal classes into a binary relation. $)
    eqbrtrd $p |- ( ph -> A R C ) $=
      ( wbr breq1d mpbird ) ABDEHCDEHGABCDEFIJ $.
      $( [8-Oct-1999] $)
  $}

  ${
    eqbrtrr.1 $e |- A = B $.
    eqbrtrr.2 $e |- A R C $.
    $( Substitution of equal classes into a binary relation. $)
    eqbrtrri $p |- B R C $=
      ( eqcomi eqbrtri ) BACDABEGFH $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqbrtrrd.1 $e |- ( ph -> A = B ) $.
    eqbrtrrd.2 $e |- ( ph -> A R C ) $.
    $( Substitution of equal classes into a binary relation. $)
    eqbrtrrd $p |- ( ph -> B R C ) $=
      ( eqcomd eqbrtrd ) ACBDEABCFHGI $.
      $( [24-Oct-1999] $)
  $}

  ${
    breqtr.1 $e |- A R B $.
    breqtr.2 $e |- B = C $.
    $( Substitution of equal classes into a binary relation. $)
    breqtri $p |- A R C $=
      ( wbr breq2i mpbi ) ABDGACDGEBCADFHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    breqtrd.1 $e |- ( ph -> A R B ) $.
    breqtrd.2 $e |- ( ph -> B = C ) $.
    $( Substitution of equal classes into a binary relation. $)
    breqtrd $p |- ( ph -> A R C ) $=
      ( wbr breq2d mpbid ) ABCEHBDEHFACDBEGIJ $.
      $( [24-Oct-1999] $)
  $}

  ${
    breqtrr.1 $e |- A R B $.
    breqtrr.2 $e |- C = B $.
    $( Substitution of equal classes into a binary relation. $)
    breqtrri $p |- A R C $=
      ( eqcomi breqtri ) ABCDECBFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    breqtrrd.1 $e |- ( ph -> A R B ) $.
    breqtrrd.2 $e |- ( ph -> C = B ) $.
    $( Substitution of equal classes into a binary relation. $)
    breqtrrd $p |- ( ph -> A R C ) $=
      ( eqcomd breqtrd ) ABCDEFADCGHI $.
      $( [24-Oct-1999] $)
  $}

  ${
    3brtr3.1 $e |- A R B $.
    3brtr3.2 $e |- A = C $.
    3brtr3.3 $e |- B = D $.
    $( Substitution of equality into both sides of a binary relation. $)
    3brtr3i $p |- C R D $=
      ( eqbrtrri breqtri ) CBDEACBEGFIHJ $.
      $( [11-Aug-1999] $)
  $}

  ${
    3brtr4.1 $e |- A R B $.
    3brtr4.2 $e |- C = A $.
    3brtr4.3 $e |- D = B $.
    $( Substitution of equality into both sides of a binary relation. $)
    3brtr4i $p |- C R D $=
      ( eqbrtri breqtrri ) CBDECABEGFIHJ $.
      $( [11-Aug-1999] $)
  $}

  ${
    3brtr3d.1 $e |- ( ph -> A R B ) $.
    3brtr3d.2 $e |- ( ph -> A = C ) $.
    3brtr3d.3 $e |- ( ph -> B = D ) $.
    $( Substitution of equality into both sides of a binary relation. $)
    3brtr3d $p |- ( ph -> C R D ) $=
      ( wbr breq12d mpbid ) ABCFJDEFJGABDCEFHIKL $.
      $( [18-Oct-1999] $)
  $}

  ${
    3brtr4d.1 $e |- ( ph -> A R B ) $.
    3brtr4d.2 $e |- ( ph -> C = A ) $.
    3brtr4d.3 $e |- ( ph -> D = B ) $.
    $( Substitution of equality into both sides of a binary relation. $)
    3brtr4d $p |- ( ph -> C R D ) $=
      ( wbr breq12d mpbird ) ADEFJBCFJGADBECFHIKL $.
      $( [21-Feb-2005] $)
  $}

  ${
    3brtr3g.1 $e |- ( ph -> A R B ) $.
    3brtr3g.2 $e |- A = C $.
    3brtr3g.3 $e |- B = D $.
    $( Substitution of equality into both sides of a binary relation. $)
    3brtr3g $p |- ( ph -> C R D ) $=
      ( wbr breq12i sylib ) ABCFJDEFJGBDCEFHIKL $.
      $( [16-Jan-1997] $)
  $}

  ${
    3brtr4g.1 $e |- ( ph -> A R B ) $.
    3brtr4g.2 $e |- C = A $.
    3brtr4g.3 $e |- D = B $.
    $( Substitution of equality into both sides of a binary relation. $)
    3brtr4g $p |- ( ph -> C R D ) $=
      ( wbr breq12i sylibr ) ABCFJDEFJGDBECFHIKL $.
      $( [16-Jan-1997] $)
  $}

  ${
    syl5eqbr.1 $e |- A = B $.
    syl5eqbr.2 $e |- ( ph -> B R C ) $.
    $( B chained equality inference for a binary relation. $)
    syl5eqbr $p |- ( ph -> A R C ) $=
      ( eqid 3brtr4g ) ACDBDEGFDHI $.
      $( [11-Oct-1999] $)
  $}

  ${
    syl5eqbrr.1 $e |- B = A $.
    syl5eqbrr.2 $e |- ( ph -> B R C ) $.
    $( B chained equality inference for a binary relation. $)
    syl5eqbrr $p |- ( ph -> A R C ) $=
      ( eqid 3brtr3g ) ACDBDEGFDHI $.
      $( [17-Sep-2004] $)
  $}

  ${
    syl5breq.1 $e |- A R B $.
    syl5breq.2 $e |- ( ph -> B = C ) $.
    $( B chained equality inference for a binary relation. $)
    syl5breq $p |- ( ph -> A R C ) $=
      ( wbr a1i breqtrd ) ABCDEBCEHAFIGJ $.
      $( [11-Oct-1999] $)
  $}

  ${
    syl5breqr.1 $e |- A R B $.
    syl5breqr.2 $e |- ( ph -> C = B ) $.
    $( B chained equality inference for a binary relation. $)
    syl5breqr $p |- ( ph -> A R C ) $=
      ( eqcomd syl5breq ) ABCDEFADCGHI $.
      $( [24-Apr-2005] $)
  $}

  ${
    syl6eqbr.1 $e |- ( ph -> A = B ) $.
    syl6eqbr.2 $e |- B R C $.
    $( A chained equality inference for a binary relation. $)
    syl6eqbr $p |- ( ph -> A R C ) $=
      ( wbr breq1d mpbiri ) ABDEHCDEHGABCDEFIJ $.
      $( [12-Oct-1999] $)
  $}

  ${
    syl6eqbrr.1 $e |- ( ph -> B = A ) $.
    syl6eqbrr.2 $e |- B R C $.
    $( A chained equality inference for a binary relation. $)
    syl6eqbrr $p |- ( ph -> A R C ) $=
      ( eqcomd syl6eqbr ) ABCDEACBFHGI $.
      $( [4-Jan-2006] $)
  $}

  ${
    syl6breq.1 $e |- ( ph -> A R B ) $.
    syl6breq.2 $e |- B = C $.
    $( A chained equality inference for a binary relation. $)
    syl6breq $p |- ( ph -> A R C ) $=
      ( eqid 3brtr3g ) ABCBDEFBHGI $.
      $( [11-Oct-1999] $)
  $}

  ${
    syl6breqr.1 $e |- ( ph -> A R B ) $.
    syl6breqr.2 $e |- C = B $.
    $( A chained equality inference for a binary relation. $)
    syl6breqr $p |- ( ph -> A R C ) $=
      ( eqcomi syl6breq ) ABCDEFDCGHI $.
      $( [24-Apr-2005] $)
  $}


  ${
    ssbrd.1 $e |- ( ph -> A C_ B ) $.
    $( Deduction from a subclass relationship of binary relations. $)
    ssbrd $p |- ( ph -> ( C A D -> C B D ) ) $=
      ( cop wcel wbr sseld df-br 3imtr4g ) ADEGZBHMCHDEBIDECIABCMFJDEBKDECKL $.
      $( [30-Apr-2004] $)
  $}

  ${
    ssbri.1 $e |- A C_ B $.
    $( Inference from a subclass relationship of binary relations.  (The proof
       was shortened by Andrew Salmon, 9-Jul-2011.) $)
    ssbri $p |- ( C A D -> C B D ) $=
      ( wss wbr wi ssid a1i ssbrd ax-mp ) AAFZCDAGCDBGHAIMABCDABFMEJKL $.
      $( [9-Jul-2011] $) $( [28-Mar-2007] $)
  $}

  ${
    $d y A $.  $d y B $.  $d y R $.  $d x y $.
    hbbr.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbbr.2 $e |- ( y e. R -> A. x y e. R ) $.
    hbbr.3 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for binary relation. $)
    hbbr $p |- ( A R B -> A. x A R B ) $=
      ( wbr cop wcel df-br hbop hbel hbxfrbi ) CDEICDJZEKACDELABBPEABCDFHMGNO
      $.
      $( [1-Sep-1999] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d y z R $.  $d x y z $.  $d y ph $.
    hbbrd.1 $e |- ( ph -> A. x ph ) $.
    hbbrd.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hbbrd.3 $e |- ( ph -> ( y e. R -> A. x y e. R ) ) $.
    hbbrd.4 $e |- ( ph -> ( y e. B -> A. x y e. B ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbbr .  (The
       proof was shortened by Andrew Salmon, 9-Jul-2011.) $)
    hbbrd $p |- ( ph -> ( A R B -> A. x A R B ) ) $=
      ( cop wcel wal wbr hbopd hbeld df-br albii 3imtr4g ) ADEKZFLZUABMDEFNZUBB
      MABCTFGABCDEGHJOIPDEFQZUBUABUCRS $.
      $( [9-Jul-2011] $) $( [13-Dec-2005] $)
  $}

  ${
    $d y z $.  $d w x $.  $d w R z $.  $d w A z $.
    $( Relationship between a binary relation and a class abstraction.
       (Contributed by Andrew Salmon, 8-Jul-2011.) $)
    brab1 $p |- ( x R A <-> x e. { z | z R A } ) $=
      ( vw cv wbr wsbc wcel ax-17 sbco2 breq1 sbie sbbii bitr2i df-clab 3bitr4i
      cab ) BFZCDGZBEFZHZEAFZHZTBUCHUCCDGZUCTBRITBAETEJKUDUACDGZEUCHUEUBUFEATUF
      BEUFBJSUACDLMNUFUEEAUEEJUAUCCDLMOTABPQ $.
      $( [9-Jul-2011] $) $( [7-Apr-1994] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d y z C $.  $d y z D $.  $d y z R $.
    $d x y z $.
    $( Move substitution in and out of a binary relation.  (The proof was
       shortened by Andrew Salmon, 9-Jul-2011.) $)
    sbcbrg $p |- ( A e. D -> ( [ A / x ] B R C <->
           [_ A / x ]_ B [_ A / x ]_ R [_ A / x ]_ C ) ) $=
      ( vy vz wbr wsb csb wsbc dfsbcq wceq csbeq1 breq123d wel hbcsb1 csbeq1a
      cv ax-17 hbbr weq sbie vtoclbg ) CDFIZAGJAGTZCKZAUGDKZAUGFKZIZUFABLABCKZA
      BDKZABFKZIGBEUFAUGBMUGBNUHULUIUMUJUNAUGBCOAUGBFOAUGBDOPUFUKAGAHUHUIUJAHUG
      CHGQAUAZRAHUGFUORAHUGDUORUBAGUCCUHDUIFUJAUGCSAUGFSAUGDSPUDUE $.
      $( [9-Jul-2011] $) $( [13-Dec-2005] $)
  $}

  ${
    $d y A $.  $d y C $.  $d y D $.  $d x y R $.
    $( Move substitution in and out of a binary relation. $)
    sbcbr12g $p |- ( A e. D ->
                 ( [ A / x ] B R C <-> [_ A / x ]_ B R [_ A / x ]_ C ) ) $=
      ( wcel wbr wsbc csb sbcbrg csbconstgfv breqd bitrd ) BEGZCDFHABIABCJZABDJ
      ZABFJZHPQFHABCDEFKORFPQABFELMN $.
      $( [13-Dec-2005] $)
  $}

  ${
    $d y A $.  $d x y C $.  $d y D $.  $d x y R $.
    $( Move substitution in and out of a binary relation. $)
    sbcbr1g $p |- ( A e. D ->
                  ( [ A / x ] B R C <-> [_ A / x ]_ B R C ) ) $=
      ( wcel wbr wsbc csb sbcbr12g csbconstgfv breq2d bitrd ) BEGZCDFHABIABCJZA
      BDJZFHPDFHABCDEFKOQDPFABDELMN $.
      $( [13-Dec-2005] $)
  $}

  ${
    $d y A $.  $d x y B $.  $d y D $.  $d x y R $.
    $( Move substitution in and out of a binary relation. $)
    sbcbr2g $p |- ( A e. D ->
                  ( [ A / x ] B R C <-> B R [_ A / x ]_ C ) ) $=
      ( wcel wbr wsbc csb sbcbr12g csbconstgfv breq1d bitrd ) BEGZCDFHABIABCJZA
      BDJZFHCQFHABCDEFKOPCQFABCELMN $.
      $( [13-Dec-2005] $)
  $}

  $( Binary relationship implies sethood of both parts. $)
  brex $p |- ( A R B -> ( A e. _V /\ B e. _V ) ) $=
    ( cop wcel cvv wbr wa elex df-br opexb bicomi 3imtr4i ) ABDZCENFEZABCGAFEBF
    EHZNCIABCJOPABKLM $.
    $( [7-Jan-2015] $)


  $( The union of two binary relations. $)
  brun $p |- ( A ( R u. S ) B <-> ( A R B \/ A S B ) ) $=
    ( cop cun wcel wo wbr elun df-br orbi12i 3bitr4i ) ABEZCDFZGNCGZNDGZHABOIAB
    CIZABDIZHNCDJABOKRPSQABCKABDKLM $.
    $( [21-Dec-2008] $)

  $( The intersection of two relations.  (Contributed by FL, 7-Oct-2008.) $)
  brin $p |- ( A ( R i^i S ) B <-> ( A R B /\ A S B ) ) $=
    ( cop cin wcel wa wbr elin df-br anbi12i 3bitr4i ) ABEZCDFZGNCGZNDGZHABOIAB
    CIZABDIZHNCDJABOKRPSQABCKABDKLM $.
    $( [1-Dec-2010] $) $( [6-Oct-2008] $)

  $( The difference of two binary relations.  (Contributed by Scott Fenton,
     11-Apr-2011.) $)
  brdif $p |- ( A ( R \ S ) B <-> ( A R B /\ -. A S B ) ) $=
    ( cop cdif wcel wn wa wbr eldif df-br notbii anbi12i 3bitr4i ) ABEZCDFZGPCG
    ZPDGZHZIABQJABCJZABDJZHZIPCDKABQLUARUCTABCLUBSABDLMNO $.
    $( [12-Apr-2012] $) $( [11-Apr-2011] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                Ordered-pair class abstractions (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x z w v $.  $d y z w v $.  $d ph z w v $.
    $( The law of concretion.  Special case of Theorem 9.5 of [Quine] p. 61.
       (The proof was shortened by Andrew Salmon, 25-Jul-2011.) $)
    opabid $p |- ( <. x , y >. e. { <. x , y >. | ph } <-> ph ) $=
      ( vz cv cop wceq wa wex copab vex opex copsexg bicomd df-opab elab2 ) DEZ
      BEZCEZFZGZAHCIBIZADTABCJRSBKCKLUAAUBABCQMNABCDOP $.
      $( [25-Jul-2011] $) $( [14-Apr-1995] $)
  $}

  ${
    $d x z A $.  $d y z A $.  $d z ph $.
    $( Membership in a class abstraction of pairs. $)
    elopab $p |- ( A e. { <. x , y >. | ph } <->
                 E. x E. y ( A = <. x , y >. /\ ph ) ) $=
      ( vz copab wcel cvv cv cop wceq wex elex vex eleq1 mpbiri adantr exlimivv
      wa opex eqeq1 anbi1d 2exbidv df-opab elab2g pm5.21nii ) DABCFZGDHGZDBIZCI
      ZJZKZASZCLBLZDUGMUMUHBCULUHAULUHUKHGUIUJBNCNTDUKHOPQREIZUKKZASZCLBLUNEDUG
      HUODKZUQUMBCURUPULAUODUKUAUBUCABCEUDUEUF $.
      $( [24-Mar-1998] $)
  $}

  ${
    $d x z v $.  $d y z v $.  $d w z $.  $d ph v $.
    hbopab.1 $e |- ( ph -> A. z ph ) $.
    $( Bound-variable hypothesis builder for class abstraction.  (Unnecessary
       distinct variable restrictions were removed by Andrew Salmon,
       11-Jul-2011.) $)
    hbopab $p |- ( w e. { <. x , y >. | ph } ->
                 A. z w e. { <. x , y >. | ph } ) $=
      ( vv copab cv cop wceq wa wex cab df-opab ax-17 hban hbex hbab hbxfreq )
      DEABCHGIBICIJKZALZCMZBMZGNABCGOUDDGEUCDBUBDCUAADUADPFQRRST $.
      $( [25-Jul-2011] $) $( [1-Sep-1999] $)
  $}

  ${
    $d x w $.  $d y w $.  $d x z $.  $d w ph $.
    $( The first abstraction variable in an ordered-pair class abstraction
       (class builder) is effectively not free. $)
    hbopab1 $p |- ( z e. { <. x , y >. | ph } ->
                 A. x z e. { <. x , y >. | ph } ) $=
      ( vw copab cv cop wceq wa wex cab df-opab hbe1 hbab hbxfreq ) BDABCFEGBGC
      GHIAJCKZBKZELABCEMRBEDQBNOP $.
      $( [16-May-1995] $)
  $}

  ${
    $d x w $.  $d y w $.  $d y z $.  $d w ph $.
    $( The second abstraction variable in an ordered-pair class abstraction
       (class builder) is effectively not free. $)
    hbopab2 $p |- ( z e. { <. x , y >. | ph } ->
                 A. y z e. { <. x , y >. | ph } ) $=
      ( vw copab cv cop wceq wa wex cab df-opab hbe1 hbex hbab hbxfreq ) CDABCF
      EGBGCGHIAJZCKZBKZELABCEMTCEDSCBRCNOPQ $.
      $( [16-May-1995] $)
  $}


  ${
    $d x y z v $.  $d x y w v $.  $d v ph $.
    $( The law of concretion in terms of substitutions.  (The proof was
       shortened by Andrew Salmon, 25-Jul-2011.) $)
    opelopabsb $p |- ( <. z , w >. e. { <. x , y >. | ph }
                 <-> [ w / y ] [ z / x ] ph ) $=
      ( cv cop wceq wa wex weq copab wcel wsb eqcom ancom 3bitr4i anbi1i 2exbii
      opth excom bitri elopab 2sb5 ) DFZEFZGZBFZCFZGZHZAIZCJBJZCEKZBDKZIZAIZBJC
      JZUGABCLMABDNCENUMUQCJBJURULUQBCUKUPAUJUGHUOUNIUKUPUHUIUEUFTUGUJOUNUOPQRS
      UQBCUAUBABCUGUCACBEDUDQ $.
      $( [25-Jul-2011] $) $( [30-Sep-2002] $)

    ${
      brabsb.1 $e |- R = { <. x , y >. | ph } $.
      $( The law of concretion in terms of substitutions. $)
      brabsb $p |- ( z R w <-> [ w / y ] [ z / x ] ph ) $=
        ( cv wbr copab cop wcel wsbc breqi df-br opelopabsb 3bitri ) DHZEHZFIRS
        ABCJZIRSKTLABRMCSMRSFTGNRSTOABCDEPQ $.
        $( [17-Mar-2008] $)
    $}
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y ch $.  $d z ph $.
    $( Closed theorem form of ~ opelopab . $)
    opelopabt $p |- ( ( A. x A. y ( x = A -> ( ph <-> ps ) )
                     /\ A. x A. y ( y = B -> ( ps <-> ch ) )
                     /\ ( A e. V /\ B e. W ) ) ->
                    ( <. A , B >. e. { <. x , y >. | ph } <-> ch ) ) $=
      ( cop copab wcel cv wceq wa wex wb wi wal w3a elopab prth 2alimi copsex2t
      19.26-2 bitr syl6 sylbir sylan 3impa syl5bb ) FGJZADEKLULDMZEMZJNAOEPDPZU
      MFNZABQZRZESDSZUNGNZBCQZRZESDSZFHLGILOZTCADEULUAUSVCVDUOCQZUSVCOZUPUTOZAC
      QZRZESDSZVDVEVFURVBOZESDSVJURVBDEUEVKVIDEVKVGUQVAOVHUPUQUTVAUBABCUFUGUCUH
      ACDEFGHIUDUIUJUK $.
      $( [19-Feb-2013] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ps $.
    opelopabga.1 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( The law of concretion.  Theorem 9.5 of [Quine] p. 61.  (Contributed by
       Mario Carneiro, 19-Dec-2013.) $)
    opelopabga $p |- ( ( A e. V /\ B e. W ) ->
                    ( <. A , B >. e. { <. x , y >. | ph } <-> ps ) ) $=
      ( cop copab wcel cv wceq wa wex elopab copsex2g syl5bb ) EFJZACDKLTCMDMJN
      AODPCPEGLFHLOBACDTQABCDEFGHIRS $.
      $( [19-Dec-2013] $)

    ${
      brabga.2 $e |- R = { <. x , y >. | ph } $.
      $( The law of concretion for a binary relation.  (Contributed by Mario
         Carneiro, 19-Dec-2013.) $)
      brabga $p |- ( ( A e. V /\ B e. W ) -> ( A R B <-> ps ) ) $=
        ( wbr cop copab wcel wa df-br eleq2i bitri opelopabga syl5bb ) EFGLZEFM
        ZACDNZOZEHOFIOPBUBUCGOUEEFGQGUDUCKRSABCDEFHIJTUA $.
        $( [19-Dec-2013] $)
    $}

    $d x y C $.  $d x y D $.
    $( Ordered pair membership in an ordered pair class abstraction.
       (Contributed by Mario Carneiro, 19-Dec-2013.) $)
    opelopab2a $p |- ( ( A e. C /\ B e. D ) -> ( <. A , B >. e.
                 { <. x , y >. | ( ( x e. C /\ y e. D ) /\ ph ) } <-> ps ) ) $=
      ( wcel wa cop cv copab wceq eleq1 bi2anan9 anbi12d opelopabga bianabs ) E
      GJZFHJZKZEFLCMZGJZDMZHJZKZAKZCDNJBUIUCBKCDEFGHUDEOZUFFOZKUHUCABUJUEUAUKUG
      UBUDEGPUFFHPQIRST $.
      $( [19-Dec-2013] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ps $.
    opelopaba.1 $e |- A e. _V $.
    opelopaba.2 $e |- B e. _V $.
    opelopaba.3 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( The law of concretion.  Theorem 9.5 of [Quine] p. 61.  (Contributed by
       Mario Carneiro, 19-Dec-2013.) $)
    opelopaba $p |- ( <. A , B >. e. { <. x , y >. | ph } <-> ps ) $=
      ( cvv wcel cop copab wb opelopabga mp2an ) EJKFJKEFLACDMKBNGHABCDEFJJIOP
      $.
      $( [19-Dec-2013] $)

    ${
      braba.4 $e |- R = { <. x , y >. | ph } $.
      $( The law of concretion for a binary relation. $)
      braba $p |- ( A R B <-> ps ) $=
        ( cvv wcel wbr wb brabga mp2an ) ELMFLMEFGNBOHIABCDEFGLLJKPQ $.
        $( [19-Dec-2013] $)
    $}
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ch $.
    opelopabg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    opelopabg.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( The law of concretion.  Theorem 9.5 of [Quine] p. 61. $)
    opelopabg $p |- ( ( A e. V /\ B e. W ) ->
                    ( <. A , B >. e. { <. x , y >. | ph } <-> ch ) ) $=
      ( cv wceq sylan9bb opelopabga ) ACDEFGHIDLFMABELGMCJKNO $.
      $( [19-Dec-2013] $) $( [28-May-1995] $)

    ${
      brabg.5 $e |- R = { <. x , y >. | ph } $.
      $( The law of concretion for a binary relation. $)
      brabg $p |- ( ( A e. C /\ B e. D ) -> ( A R B <-> ch ) ) $=
        ( cv wceq sylan9bb brabga ) ACDEFGJHIDNFOABENGOCKLPMQ $.
        $( [19-Dec-2013] $) $( [16-Aug-1999] $)
    $}
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y ch $.
    opelopab2.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    opelopab2.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( Ordered pair membership in an ordered pair class abstraction. $)
    opelopab2 $p |- ( ( A e. C /\ B e. D ) -> ( <. A , B >. e.
                 { <. x , y >. | ( ( x e. C /\ y e. D ) /\ ph ) } <-> ch ) ) $=
      ( cv wceq sylan9bb opelopab2a ) ACDEFGHIDLFMABELGMCJKNO $.
      $( [19-Dec-2013] $) $( [14-Oct-2007] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ch $.
    opelopab.1 $e |- A e. _V $.
    opelopab.2 $e |- B e. _V $.
    opelopab.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    opelopab.4 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( The law of concretion.  Theorem 9.5 of [Quine] p. 61. $)
    opelopab $p |- ( <. A , B >. e. { <. x , y >. | ph } <-> ch ) $=
      ( cvv wcel cop copab wb opelopabg mp2an ) FLMGLMFGNADEOMCPHIABCDEFGLLJKQR
      $.
      $( [16-May-1995] $)

    ${
      brab.5 $e |- R = { <. x , y >. | ph } $.
      $( The law of concretion for a binary relation. $)
      brab $p |- ( A R B <-> ch ) $=
        ( cvv wcel wbr wb brabg mp2an ) FNOGNOFGHPCQIJABCDEFGNNHKLMRS $.
        $( [16-Aug-1999] $)
    $}
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w z ph $.  $d w z ps $.
    opelopabaf.x $e |- ( ps -> A. x ps ) $.
    opelopabaf.y $e |- ( ps -> A. y ps ) $.
    opelopabaf.1 $e |- A e. _V $.
    opelopabaf.2 $e |- B e. _V $.
    opelopabaf.3 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( The law of concretion.  Theorem 9.5 of [Quine] p. 61.  This version of
       ~ opelopab uses bound-variable hypotheses in place of distinct variable
       conditions."  (Contributed by Mario Carneiro, 19-Dec-2013.) $)
    opelopabaf $p |- ( <. A , B >. e. { <. x , y >. | ph } <-> ps ) $=
      ( vw vz copab wcel cv wsbc ax-17 wceq cvv cop hbs1 hbsb sbequ12 sylan9bbr
      cbvopab eleq2i wa dfsbcq sbbid wb sbc2iegf mp2an syl6bb opelopaba bitri )
      EFUAZACDNZOUQADLPZQZCMPZQZMLNZOBURVCUQAVBCDMLAMRALRUTCMUBUTCMDADLUBUCDPUS
      SAUTCPVASVBADLUDUTCMUDUEUFUGVBBMLEFIJVAESZUSFSZUHVBADFQZCEQZBVEVBVFCVAQVD
      VGVEUTVFCMVECRADUSFUIUJVFCVAEUIUEETOFTOZVGBUKIJABCDEFTTGHVHCRKULUMUNUOUP
      $.
      $( [19-Dec-2013] $)
  $}

  ${
    $d w x y z A $.  $d w y z B $.  $d w z ch $.  $d w z ph $.
    opelopabf.x $e |- ( ps -> A. x ps ) $.
    opelopabf.y $e |- ( ch -> A. y ch ) $.
    opelopabf.1 $e |- A e. _V $.
    opelopabf.2 $e |- B e. _V $.
    opelopabf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    opelopabf.4 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( The law of concretion.  Theorem 9.5 of [Quine] p. 61.  This version of
       ~ opelopab uses bound-variable hypotheses in place of distinct variable
       conditions." $)
    opelopabf $p |- ( <. A , B >. e. { <. x , y >. | ph } <-> ch ) $=
      ( vz vw copab cv wsbc ax-17 wceq cop wcel sbequ12 sylan9bb cbvopab eleq2i
      hbs1 hbsb sbhypf sbbid opelopab bitri ) FGUAZADEPZUBUMADNQZRZEOQZRZNOPZUB
      CUNUSUMAURDENOANSAOSUPEODADNUGUHUPEOUGDQUOTAUPEQUQTURADNUCUPEOUCUDUEUFURB
      EUQRCNOFGJKUOFTZUPBEOUTESABDNFHLUIUJBCEOGIMUIUKUL $.
      $( [19-Dec-2008] $)
  $}

  ${
    $d ph z $.  $d ps z $.  $d x z $.  $d y z $.
    $( Equivalence of ordered pair abstraction subclass and implication.
       (Revised by Mario Carneiro, 19-May-2013.) $)
    ssopab2 $p |- ( A. x A. y ( ph -> ps ) ->
        { <. x , y >. | ph } C_ { <. x , y >. | ps } ) $=
      ( vz wi wal cv cop wceq wex cab copab hba1 ax-4 anim2d eximd a4s df-opab
      wa ss2abdv 3sstr4g ) ABFZDGZCGZEHCHDHIJZATZDKZCKZELUFBTZDKZCKZELACDMBCDMU
      EUIULEUEUHUKCUDCNUDUHUKFCUDUGUJDUCDNUDABUFUCDOPQRQUAACDESBCDESUB $.
      $( [19-May-2013] $) $( [27-Dec-1996] $)
  $}

  ${
    $d ph z $.  $d ps z $.  $d x z $.  $d y z $.
    $( Equivalence of ordered pair abstraction subclass and implication. $)
    ssopab2b $p |- ( { <. x , y >. | ph } C_ { <. x , y >. | ps } <->
               A. x A. y ( ph -> ps ) ) $=
      ( vz copab wss wi wal hbopab1 hbss hbopab2 cv vex wex cab df-opab copsexg
      wa alrimi cop opex wceq sseq12i ss2ab sylbi imbi12d syl5ibr syl5bi vtocle
      ax-4 ssopab2 impbii ) ACDFZBCDFZGZABHZDIZCIUPURCCEUNUOACDEJBCDEJKUPUQDDEU
      NUOACDELBCDELKUPUQHECMZDMZUAZUSUTCNDNUBUPEMZVAUCZASDOCOZEPZVCBSDOCOZEPZGZ
      VCUQUNVEUOVGACDEQBCDEQUDVHUQVCVDVFHZVHVIEIVIVDVFEUEVIEUKUFVCAVDBVFACDVBRB
      CDVBRUGUHUIUJTTABCDULUM $.
      $( [27-Dec-1996] $)
  $}

  ${
    ssopab2i.1 $e |- ( ph -> ps ) $.
    $( Inference of ordered pair abstraction subclass from implication. $)
    ssopab2i $p |- { <. x , y >. | ph } C_ { <. x , y >. | ps } $=
      ( wi wal copab wss ssopab2 ax-gen mpg ) ABFZDGACDHBCDHICABCDJMDEKL $.
      $( [5-Apr-1995] $)
  $}

  ${
    $d x ph $.  $d y ph $.
    ssopab2dv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference of ordered pair abstraction subclass from implication. $)
    ssopab2dv $p |- ( ph -> { <. x , y >. | ps } C_ { <. x , y >. | ch } ) $=
      ( wi wal copab wss alrimivv ssopab2 syl ) ABCGZEHDHBDEICDEIJANDEFKBCDELM
      $.
      $( [24-Jun-2014] $) $( [19-Jan-2014] $)
  $}

  ${
    $d z ph $.  $d z x $.  $d z y $.
    $( Non-empty ordered pair class abstraction. $)
    opabn0 $p |- ( { <. x , y >. | ph } =/= (/) <-> E. x E. y ph ) $=
      ( vz copab c0 wne cv wcel wex cop wceq wa n0 elopab exbii exrot3 vex opex
      isseti 19.41v mpbiran 2exbii bitri 3bitri ) ABCEZFGDHZUFIZDJUGBHZCHZKZLZA
      MZCJBJZDJZACJBJZDUFNUHUNDABCUGOPUOUMDJZCJBJUPUMDBCQUQABCUQULDJADUKUIUJBRC
      RSTULADUAUBUCUDUE $.
      $( [10-Oct-2007] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Set construction functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c 1st $. $( First member of an ordered pair $)
  $c Swap $.
  $c SSet $.
  $c o. $.
  $c " $.
  $c SI $.

  $( Extend the definition of a class to include the first member an ordered
     pair function. $)
  c1st $a class 1st $.

  $( Extend the definition of a class to include the swap function. $)
  cswap $a class Swap $.

  $( Extend the definition of a class to include the subset relationship. $)
  csset $a class SSet $.

  $( Extend the definition of a class to include the singleton image. $)
  csi $a class SI A $.

  $( Extend the definition of a class to include the composition of two
     classes. $)
  ccom $a class ( A o. B ) $.

  $( Extend the definition of a class to include the image of one class under
     another. $)
  cima $a class ( A " B ) $.

  ${
    $d x y z $.
    $( Define a function that extracts the first member, or abscissa, of an
       ordered pair. $)
    df-1st $a |- 1st = { <. x , y >. | E. z x = <. y , z >. } $.
  $}

  ${
    $d x y z w $.
    $( Define a function that swaps the two elements of an ordered pair. $)
    df-swap $a |- Swap = { <. x , y >. |
             E. z E. w ( x = <. z , w >. /\ y = <. w , z >. ) } $.
  $}

  ${
    $d x y $.
    $( Define a relationship that holds between subsets. $)
    df-sset $a |- SSet = { <. x , y >. | x C_ y } $.
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( Define the composition of two classes. $)
    df-co $a |- ( A o. B ) = { <. x , y >. | E. z ( x B z /\ z A y ) } $.
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Define the image of one class under another. $)
    df-ima $a |- ( A " B ) = { x | E. y e. B y A x } $.
  $}

  ${
    $d A x y z w $.
    $( Define the singleton image of a class. $)
    df-si $a |- SI A = { <. x , y >. |
       E. z E. w ( x = { z } /\ y = { w } /\ z A w ) } $.
  $}

  ${
    $d A x y z w $.
    $( Membership in ` 1st ` . $)
    el1st $p |- ( A e. 1st <-> E. x E. y A = <. <. x , y >. , x >. ) $=
      ( vz c1st wcel cv cop wceq wex wa copab df-1st eleq2i bitri excom exancom
      elopab vex exbii opex opeq1 eqeq2d ceqsexv exdistr 3bitr3ri ) CEFZCDGZAGZ
      HZIZUHUIBGZHZIZBJZKZAJDJZCUMUIHZIZBJZAJZUGCUODALZFUQEVBCDABMNUODACROUQUPD
      JZAJVAUPDAPVCUTAUKUNKZDJZBJVDBJDJUTVCVDBDPVEUSBVEUNUKKDJUSUKUNDQUKUSDUMUI
      ULASBSUAUNUJURCUHUMUIUBUCUDOTUKUNDBUEUFTOO $.
      $( [5-Jan-2015] $)
  $}

  ${
    $d A x y z w $.  $d B x y z w $.  $d C x y z w $.
    $( The binary relationship over the ` 1st ` function. $)
    br1stg $p |- ( ( A e. V /\ B e. W ) ->
       ( <. A , B >. 1st C <-> A = C ) ) $=
      ( vz vw vx vy cv cop c1st wbr wceq wb breq1d eqeq1 wex wa bitri opeq1 weq
      bibi12d opeq2 bibi1d wcel df-br el1st w3a eqcom opth anbi1i df-3an bitr4i
      2exbii vex biidd ceqsex2v 3bitri vtocl2g ) FJZGJZKZCLMZVACNZOAVBKZCLMZACN
      ZOABKZCLMZVHOFGABDEVAANZVDVGVEVHVKVCVFCLVAAVBUAPVAACQUCVBBNZVGVJVHVLVFVIC
      LVBBAUDPUEVDVCCKZLUFVMHJZIJZKZVNKZNZIRHRZVEVCCLUGHIVMUHVSHFUBZIGUBZVNCNZU
      IZIRHRVEVRWCHIVRVQVMNZWCVMVQUJWDVPVCNZWBSZWCVPVNVCCUKWFVTWASZWBSWCWEWGWBV
      NVOVAVBUKULVTWAWBUMUNTTUOWBVEVEHIVAVBFUPGUPVNVACQWAVEUQURTUSUT $.
      $( [5-Jan-2015] $)
  $}

  ${
    $d A x y z w t $.  $d B x y z w t $.
    setconslem1.1 $e |- A e. _V $.
    setconslem1.2 $e |- B e. _V $.
    $( Lemma for the set construction theorems. $)
    setconslem1 $p |- ( << { A } , B >> e.
                 ( SSet_k o._k SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( (
        Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) <->
                E. x e. B A = Phi x ) $=
      ( vt vz csn cv copk cssetk cins3k cpw1 cimak cvv wcel wa wex wceq exbii
      cins2k cin c1c ccompl csik csymdif cdif cimagek cnnc cxpk cidk ccnvk cphi
      cun ccomk wrex w3a wb snex opkelsikg mp2an excom 3anass eqcom sneqb bitri
      vex anbi1i opkeq1 eleq1d anbi2d ceqsexv 3bitri 19.41v 3bitr2i opkelimagek
      anass opkelcnvk dfphi2 eqeq2i 3bitr4i elssetk anbi12i opkelcok df-rex
      ancom ) BHZFIZJKLZKUAZUBUCMMZNUDLWJUAWIUAKUEUELUNUFWKMMNUGWKNUHUIOUJUBUKU
      IUDOUJUBUNZUHZULZUEZPZWHCJZKPZQZFRZAIZCPZBXAUMZSZQZARZWGCJKWOUOPXDACUPWTW
      HXAHZSZBXAJZWNPZWRQZQZARZFRXLFRZARXFWSXMFWSXHXJQZARZWRQXOWRQZARXMWPXPWRWP
      WGGIZHZSZXHXRXAJZWNPZUQZARGRZYCGRZARXPWGOPWHOPWPYDURBUSZFVGGAWGWHWNOOUTVA
      YCGAVBYEXOAYEXRBSZXHYBQZQZGRXOYCYIGYCXTYHQYIXTXHYBVCXTYGYHXTXSWGSYGWGXSVD
      XRBGVGVEVFVHVFTYHXOGBDYGYBXJXHYGYAXIWNXRBXAVIVJVKVLVFTVMVHXOWRAVNXQXLAXHX
      JWRVQTVOTXLAFVBXNXEAXNXJXGCJZKPZQZXDXBQXEXKYLFXGXAUSXHWRYKXJXHWQYJKWHXGCV
      IVJVKVLXJXDYKXBXABJWMPBWLXANZSXJXDXABWLAVGZDVPBXAWMDYNVRXCYMBXAVSVTWAXACY
      NEWBWCXDXBWFVMTVOFWGCKWOYFEWDXDACWEWA $.
      $( [6-Jan-2015] $)

    $( Lemma for the set construction theorems. $)
    setconslem2 $p |- ( << { A } , B >> e. ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) <->
         E. x e. B A = ( Phi x u. { 0c } ) ) $=
      ( vt vy vz csn copk cssetk cins3k cimak cvv wcel wceq wex 3bitr4i bitri
      wa cv cins2k cin c1c cpw1 ccompl csik csymdif cdif cimagek cnnc cxpk cidk
      cun ccnvk ccomk c0c wrex elpw121c anbi1i 19.41v bitr4i exbii df-rex excom
      cphi snex opkeq1 eleq1d ceqsexv elin otkelins2k vex otkelins3k opksnelsik
      elssetk wb wal wn elimak elsymdif wel opkelimagek opkelcnvk dfphi2 eqeq2i
      opkex wo anbi12i ancom opkelcok phiex opkelxpk mpbiran2 elsn orbi12i elun
      clel3 sneqb bibi12i xchbinx exnal 3bitri con2bii dfcleq elcompl 3bitr4ri
      ) FUAZBIZCJZJZKUBZXLKLZXLUCUDUEUEZMUFLXLUBXMUBKUGUGLUNUHXNUEUEMUIXNMUJUKN
      ULUCUMUKUFNULUCUNZUJZUOZKUPZUQIZIZNULZUNZLZUHZXNMZUFZUGZLZUCZOZFXNURZAUAZ
      COZBYLVFZXSUNZPZTZAQZXJYIXNMOYPACURYKXHYLIZIZIZPZYJTZFQZAQZYRXHXNOZYJTZFQ
      UUCAQZFQYKUUEUUGUUHFUUGUUBAQZYJTUUHUUFUUIYJAXHUSUTUUBYJAVAVBVCYJFXNVDUUCA
      FVERUUDYQAUUDUUAXJJZYIOZUUJXLOZUUJYHOZTYQYJUUKFUUAYTVGUUBXKUUJYIXHUUAXJVH
      VIVJUUJXLYHVKUULYMUUMYPUULYSCJKOYMYSXICKYLVGZBVGZEVLYLCAVMZEVPSUUMYSXIJYG
      OYLBJZYFOZYPYSXICYGUUNUUOEVNYLBYFUUPDVOGUAZBOZUUSYOOZVQZGVRZUUQYEOZVSYPUU
      RUVDUVCUVDXHUUSIZIZIZPZXHUUQJZYDOZTZFQZGQZUVBVSZGQUVCVSUVDUVJFXNURZUVMFYD
      XNUUQYLBWGZVTUUFUVJTZFQUVKGQZFQUVOUVMUVQUVRFUVQUVHGQZUVJTUVRUUFUVSUVJGXHU
      SUTUVHUVJGVAVBVCUVJFXNVDUVKGFVERSUVLUVNGUVLUVGUUQJZYDOZUVNUVJUWAFUVGUVFVG
      UVHUVIUVTYDXHUVGUUQVHVIVJUWAUVTXLOZUVTYCOZVQUVBUVTXLYCWAUWBUUTUWCUVAUWBUV
      EBJKOUUTUVEYLBKUUSVGZUUPDVLUUSBGVMZDVPSUWCUVEYLJZYBOZUVAUVEYLBYBUWDUUPDVN
      UWFXROZUWFYAOZWHUUSYNOZUUSXSOZWHUWGUVAUWHUWJUWIUWKUVEHUAZJKOZUWLYLJXQOZTZ
      HQUWLYNPZGHWBZTZHQUWHUWJUWOUWRHUWOUWQUWPTUWRUWMUWQUWNUWPUUSUWLUWEHVMZVPYL
      UWLJXPOUWLXOYLMZPUWNUWPYLUWLXOUUPUWSWCUWLYLXPUWSUUPWDYNUWTUWLYLWEWFRWIUWQ
      UWPWJSVCHUVEYLXQKUWDUUPWKHUUSYNYLUUPWLWRRUWIUVEXTOZUWKUWIUXAYLNOUUPUVEYLX
      TNUWDUUPWMWNUVEXSPUUSUQPUXAUWKUUSUQUWEWSUVEXSUWDWOUUSUQUWEWORSWPUWFXRYAWQ
      UUSYNXSWQRSWTXASVCUVBGXBXCXDGBYOXEUUQYEUVPXFXGXCWIXCVCSFYIXNXJXICWGVTYPAC
      VDR $.
      $( [6-Jan-2015] $)
  $}

  ${
    $d A x y t $.  $d B x y t $.  $d C x y t $.
    setconslem3.1 $e |- A e. _V $.
    setconslem3.2 $e |- B e. _V $.
    setconslem3.3 $e |- C e. _V $.
    $( Lemma for set construction functions.  Set up a mapping between
       Kuratowski and Quine ordered pairs. $)
    setconslem3 $p |- ( << { { A } } , << B , C >> >> e.
        ~ ( ( Ins3_k SI_k SI_k SSet_k (+)
          Ins2_k
            ( Ins3_k ( SSet_k o._k SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k ~ (
        ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
              Ins2_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) ) "_k
          ~P1 ~P1 ~P1 ~P1 1c ) <-> A = <. B , C >. ) $=
      ( vx vy vt wcel wceq csn cun copk cssetk cins3k cins2k cimak wex snex c0c
      cv cphi wrex wo wb wal csik cin c1c cpw1 ccompl csymdif cdif cimagek cnnc
      cvv cxpk ccnvk ccomk wn cop wa opkex elimak df-rex elpw141c anbi1i 19.41v
      bitr4i exbii excom 3bitri opkeq1 eleq1d ceqsexv otkelins3k opksnelsik vex
      elsymdif elssetk bitri otkelins2k setconslem1 setconslem2 orbi12i bibi12i
      cidk elun xchbinx exnal con2bii eqop elcompl 3bitr4ri ) GUBZAJZWPHUBUCZKH
      BUDZWPWRUALZMKHCUDZUEZUFZGUGZALZLZBCNZNZOUHZUHZPZOOPZOQZUIUJUKUKZRULPXMQX
      LQXKMUMXNUKUKZRUNXNRUOUPUQURUIWHUPULUQURUIMUOUSZUHUTZPZXMXMXPOUTWTLUQURMP
      UMXNRULUHPUIXNRZQZMZQZUMZXORZJZVAABCVBKXHYDULJYEXDYEIUBZWPLZLZLZLZLZKZYFX
      HNZYCJZVCZISZGSZXCVAZGSXDVAYEYNIXOUDYFXOJZYNVCZISZYQIYCXOXHXFXGVDZVEYNIXO
      VFUUAYOGSZISYQYTUUCIYTYLGSZYNVCUUCYSUUDYNGYFVGVHYLYNGVIVJVKYOGIVLVJVMYPYR
      GYPYKXHNZYCJZYRYNUUFIYKYJTYLYMUUEYCYFYKXHVNVOVPUUFUUEXKJZUUEYBJZUFXCUUEXK
      YBVTUUGWQUUHXBUUGYIXFNXJJYHXENXIJZWQYIXFXGXJYHTZXETZBCVDZVQYHXEXIYGTATVRU
      UIYGANOJWQYGAOWPTZDVRWPAGVSZDWAWBVMUUHYIXGNZYAJUUOXRJZUUOXTJZUEXBYIXFXGYA
      UUJUUKUULWCUUOXRXTWIUUPWSUUQXAUUPYGBNXQJWSYGBCXQUUMEFVQHWPBUUNEWDWBUUQYGC
      NXSJXAYGBCXSUUMEFWCHWPCUUNFWEWBWFVMWGWJWBVKXCGWKVMWLGHABCWMXHYDUUBWNWO $.
      $( [7-Jan-2015] $)
  $}

  ${
    $d A x y z t $.
    $( Lemma for set construction functions.  Create a mapping between the two
       types of ordered pair abstractions. $)
    setconslem4 $p |- U.1 U.1 ( ( ( ( _V X._k _V ) X._k _V ) i^i
     `'_k ~ ( ( Ins3_k SI_k SI_k SSet_k (+)
          Ins2_k
            ( Ins3_k ( SSet_k o._k SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k ~ (
        ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
              Ins2_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) ) "_k
          ~P1 ~P1 ~P1 ~P1 1c ) ) "_k A ) =
    { <. x , y >. | << x , y >> e. A } $=
      ( vt cvv cxpk cssetk csik cins3k cins2k cin cpw1 cimak ccompl cun wcel wa
      csn wex bitri vz c1c csymdif cdif cimagek cnnc cidk ccnvk ccomk c0c cuni1
      copk copab cop wceq wrex snex elimak df-rex elin anbi2i an12 vex opkelxpk
      cv mpbiran2 elvvk anbi1i 19.41vv bitr4i exbii exrot3 opkex opkeq1 anbi12d
      eleq1 eleq1d ceqsexv setconslem3 ancom 2exbii eluni1 elopab 3bitr4i eqriv
      opkelcnvk ) UAEEFZEFZGHHIZGGIZGJZKUBLLZMNIWKJWJJWIOUCWLLLZMUDWLMUEUFEFKUG
      UFNEFKOUEUHZHUIIWKWKWNGUIUJRREFOIUCWLMNHIKWLMJOJUCWMMNZUHZKZCMZUKZUKZAVEZ
      BVEZULZCPZABUMZUAVEZRZRZWRPZXFXAXBUNUOZXDQZBSASZXFWTPZXFXEPXIDVEZXHULZWQP
      ZDCUPZXLDWQCXHXGUQZURXQXNXCUOZXNCPZXOWPPZQZQZDSZBSASZXLXQXTXPQZDSZYEXPDCU
      SYGYCBSASZDSYEYFYHDYFXTXOWHPZYAQZQZYHXPYJXTXOWHWPUTVAYKYIYBQZYHXTYIYAVBYL
      XSBSASZYBQYHYIYMYBYIXNWGPZYMYIYNXHEPXRXNXHWGEDVCXRVDVFABXNVGTVHXSYBABVIVJ
      TTVKYCDABVLTTYDXKABYDXDXCXHULZWPPZQZXKYBYQDXCXAXBVMZXSXTXDYAYPXNXCCVPXSXO
      YOWPXNXCXHVNVQVOVRYQXDXJQXKYPXJXDYPXHXCULWOPXJXCXHWOYRXRWFXFXAXBUAVCZAVCB
      VCVSTVAXDXJVTTTWATTXMXGWSPXIXFWSYSWBXGWRXFUQWBTXDABXFWCWDWE $.
      $( [7-Jan-2015] $)
  $}


  $( Lemma for set construction theorems.  The big expression in the middle of
     ~ setconslem4 forms a set. $)
  setconslem5 $p |- ~ ( ( Ins3_k SI_k SI_k SSet_k (+)
          Ins2_k
            ( Ins3_k ( SSet_k o._k SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k ~ (
      ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
              Ins2_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
      Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
      "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) ) "_k
          ~P1 ~P1 ~P1 ~P1 1c ) e. _V $=
    ( cssetk csik cins3k cins2k cin cpw1 cimak ccompl cun csymdif cnnc cvv cxpk
    ssetkex sikex ins3kex pw1ex imakex vvex xpkex cdif cimagek cidk ccnvk ccomk
    c1c c0c csn addcexlem 1cex imagekex nncex inex idkex complex cnvkex ins2kex
    unex cokex snex symdifex ) ABZBZCZAACZADZEUFFZFZGHCVFDVEDVDIJVHFZFZGUAZVHGZ
    UBZKLMZEZUCKHZLMZEZIZUBZUDZBZUEZCZVFVFWAAUEZUGUHZUHZLMZIZCZJZVHGZHZBZCZEZVH
    GZDZIZDZJZVJGXAVJVDWTVCVBANOOPWSWDWRWCAWBNWAVTVSVOVRVMVNVLVKVHUIVGUFUJQQZRU
    KKLULSTUMUCVQUNVPLKULUOSTUMURUKUPZOUSPWQWPVHVFWOANUQZWNWMWLWKVHVFWJXDWIWEWH
    WAAXCNUSWGLWFUTSTURPVAXBRUOOPUMXBRUQURUQVAVIVHXBQQRUO $.
    $( [7-Jan-2015] $)

  ${
    $d A x y z w t $.
    $( Lemma for the set construction functions.  Invert the expression from
       ~ setconslem4 . $)
    setconslem6 $p |- ( ( ( _V X._k ( _V X._k _V ) ) i^i
     ~ ( ( Ins3_k SI_k SI_k SSet_k (+)
          Ins2_k
            ( Ins3_k ( SSet_k o._k SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k ~ (
        ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
              Ins2_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) ) "_k
          ~P1 ~P1 ~P1 ~P1 1c ) ) "_k ~P1 ~P1 A ) =
    { z | E. x E. y ( z = << x , y >> /\ <. x , y >. e. A ) } $=
      ( vt vw cv copk wcel wa wex cvv cxpk cssetk cins3k cins2k cpw1 cimak wrex
      cin wceq cop csik c1c ccompl cun csymdif cdif cimagek cnnc cidk ccnvk c0c
      ccomk csn elimak df-rex elpw12 anbi1i r19.41v bitr4i exbii rexcom4 opkeq1
      vex snex eleq1d ceqsexv 3bitr2i bitri exancom opkelxpk mpbiran elvvk elin
      rexbii 19.41vv 3bitr4i exrot3 anass 19.42v opkeq2 setconslem3 syl6bb opex
      anbi1d exbidv eleq1 pm5.32i 3bitri 2exbii abbi2i ) CGZAGZBGZHZUAZWNWOUBZD
      IZJZBKAKZCLLLMZMZNUCUCOZNNOZNPZTUDQQZRUEOXFPXEPXDUFUGXGQQZRUHXGRUIUJLMTUK
      UJUELMTUFUIULZUCUNOXFXFXINUNUMUOUOLMUFOUGXGRUEUCOTXGRPUFPUGXHRUEZTZDQQZRZ
      WMXMIEGZWMHZXKIZEXLSZFGZUOZUOZWMHZXKIZFDSZXAEXKXLWMCVEZUPXQXNXLIZXPJZEKZY
      CXPEXLUQYGXNXTUAZXPJZFDSZEKYIEKZFDSYCYFYJEYFYHFDSZXPJYJYEYLXPFXNDURUSYHXP
      FDUTVAVBYIFEDVCYKYBFDXPYBEXTXSVFZYHXOYAXKXNXTWMVDVGVHVPVIVJYCXRDIZYBJFKYB
      YNJZFKZXAYBFDUQYNYBFVKYPWQYAXJIZJZYNJZFKZBKAKZXAYPYRBKAKZYNJZFKYSBKAKZFKU
      UAYOUUCFYBUUBYNYAXCIZYQJWQBKAKZYQJYBUUBUUEUUFYQUUEWMXBIZUUFUUEXTLIUUGYMXT
      WMLXBYMYDVLVMABWMVNVJUSYAXCXJVOWQYQABVQVRUSVBUUDUUCFYRYNABVQVBYSFABVSVIYT
      WTABYTWQYQYNJZJZFKWQUUHFKZJWTYSUUIFWQYQYNVTVBWQUUHFWAWQUUJWSWQUUJXRWRUAZY
      NJZFKWSWQUUHUULFWQYQUUKYNWQYQXTWPHZXJIUUKWQYAUUMXJWMWPXTWBVGXRWNWOFVEAVEZ
      BVEZWCWDWFWGYNWSFWRWNWOUUNUUOWEXRWRDWHVHWDWIWJWKVJWJWJWL $.
      $( [7-Jan-2015] $)
  $}

  ${
    $d A t x y $.  $d B t x y $.  $d C t x y $.
    setconslem7.1 $e |- A e. _V $.
    setconslem7.2 $e |- B e. _V $.
    setconslem7.3 $e |- C e. _V $.
    $( Lemma for the set construction theorems.  Reorganized version of
       ~ setconslem3 . $)
    setconslem7 $p |- ( << { { C } } , << A , B >> >> e. ~ ( ( Ins2_k Ins3_k
        SSet_k (+)
        ( Ins2_k Ins2_k ( SSet_k o._k SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k
        ~ ( ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
          Ins3_k SI_k SI_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) )
      "_k ~P1 ~P1 ~P1 ~P1 1c ) <-> A = <. B , C >. ) $=
      ( vx vy vt wcel csn cun copk cssetk cins3k cimak csik wex bitri snex cphi
      cv wceq wrex c0c wal cins2k cin c1c cpw1 ccompl csymdif cdif cimagek cnnc
      wo wb cvv cxpk cidk ccnvk ccomk wn wa opkex elimak df-rex elpw141c anbi1i
      cop 19.41v bitr4i exbii excom opkeq1 eleq1d ceqsexv otkelins2k otkelins3k
      elsymdif elssetk setconslem1 opksnelsik setconslem2 orbi12i bibi12i exnal
      vex elun notbii con2bii eqop elcompl 3bitr4ri ) GUBZAJZWOHUBUAZUCHBUDZWOW
      QUEKZLUCHCUDZUPZUQZGUFZCKZKZABMZMZNOZUGZNXHNUGZUHUIUJUJZPUKOXJUGXINQQOLUL
      XKUJUJZPUMXKPUNUOURUSUHUTUOUKURUSUHLUNVAZQVBZUGZUGZXJXJXMNVBWSKURUSLOULXK
      PUKQOUHXKPZQZQZOZLZULZXLPZJZVCABCVJUCXGYCUKJYDXCYDXBVCZGRZXCVCYDIUBZWOKZK
      ZKZKZKZUCZYGXGMZYBJZVDZIRZGRZYFYDYOIXLUDZYRIYBXLXGXEXFVEZVFYSYGXLJZYOVDZI
      RZYRYOIXLVGUUCYPGRZIRYRUUBUUDIUUBYMGRZYOVDUUDUUAUUEYOGYGVHVIYMYOGVKVLVMYP
      GIVNVLSSYQYEGYQYLXGMZYBJZYEYOUUGIYLYKTYMYNUUFYBYGYLXGVOVPVQUUGUUFXIJZUUFY
      AJZUQZVCYEUUFXIYAVTUUJXBUUHWPUUIXAUUHYJXFMZXHJZWPYJXEXFXHYITZXDTZABVEZVRU
      ULYHAMNJWPYHABNWOTZDEVSWOAGWHZDWASSUUIUUFXPJZUUFXTJZUPXAUUFXPXTWIUURWRUUS
      WTUURUUKXOJZWRYJXEXFXOUUMUUNUUOVRUUTYHBMXNJWRYHABXNUUPDEVRHWOBUUQEWBSSUUS
      YJXEMXSJZWTYJXEXFXSUUMUUNUUOVSUVAYIXDMXRJZWTYIXDXRYHTCTWCUVBYHCMXQJWTYHCX
      QUUPFWCHWOCUUQFWDSSSWESWFWJSSVMSXBGWGSWKGHABCWLXGYCYTWMWN $.
      $( [4-Feb-2015] $)
  $}


  ${
    $d x y z w a b c t $.
    $( Express the ` 1st ` function via the set construction functions. $)
    df1st2 $p |- 1st = U.1 U.1 ( ( ( ( _V X._k _V ) X._k _V ) i^i
     `'_k ~ ( ( Ins3_k SI_k SI_k SSet_k (+)
          Ins2_k
            ( Ins3_k ( SSet_k o._k SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k ~ (
        ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
              Ins2_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) ) "_k
          ~P1 ~P1 ~P1 ~P1 1c ) ) "_k (
~ ( ( Ins2_k Ins3_k SSet_k (+)
        ( Ins2_k Ins2_k ( SSet_k o._k SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k
        ~ ( ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
          Ins3_k SI_k SI_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) )
      "_k ~P1 ~P1 ~P1 ~P1 1c ) "_k ~P1 1c ) ) $=
      ( vx vy vz vt cssetk cins3k cins2k cin cpw1 cimak ccompl csik cun csymdif
      cv cvv cxpk csn wcel wex copk c1c cdif cimagek cnnc ccnvk ccomk c0c copab
      cidk cop wceq cuni1 c1st wa wrex opkex elimak df-rex anbi1i 19.41v bitr4i
      elpw11c exbii excom bitri snex opkeq1 ceqsexv vex setconslem7 setconslem4
      eleq1d opabbii df-1st 3eqtr4ri ) AOZBOZUAZEFZGZEVTEGZHUBIZIZJKFWBGWAELLFZ
      MNWDIIZJUCWDJUDUEPQHUJUEKPQHMUDUFZLUGZGGWBWBWGEUGUHRRPQMFNWDJKLFHWDJZLLFM
      NWFJKZWCJZSZABUIVQVRCOZUKULZCTZABUIPPQPQWEWHFWIGMGNWFJKUFHWKJUMUMUNWLWOAB
      WLDOZWMRZRZULZWPVSUAZWJSZUOZDTZCTZWOWLXADWCUPZXDDWJWCVSVQVRUQURXEWPWCSZXA
      UOZDTZXDXADWCUSXHXBCTZDTXDXGXIDXGWSCTZXAUOXIXFXJXACWPVCUTWSXACVAVBVDXBCDV
      EVBVFVFXCWNCXCWRVSUAZWJSZWNXAXLDWRWQVGWSWTXKWJWPWRVSVHVMVIVQVRWMAVJBVJCVJ
      VKVFVDVFVNABWKVLABCVOVP $.
      $( [4-Feb-2015] $)
  $}

  $( The ` 1st ` function is a set. $)
  1stex $p |- 1st e. _V $=
    ( cvv cxpk cssetk csik cins3k cins2k cin cpw1 cimak ccompl cun csymdif cnnc
    vvex xpkex inex ssetkex ins3kex ins2kex imakex c1st cdif cimagek cidk ccnvk
    c1c ccomk c0c cuni1 df1st2 setconslem5 cnvkex addcexlem 1cex pw1ex imagekex
    csn nncex idkex complex unex sikex cokex snex symdifex uni1ex eqeltri ) UAA
    ABZABZCDDEZCCEZCFZGUFHZHZIJEVLFVKFZVJKLVNHZHZIUBZVNIZUCZMABZGZUDMJZABZGZKZU
    CZUEZDZUGZEVLVLWHCUGZUHUQZUQZABZKZEZLZVNIZJZDZEZGZVNIZFKFLVQIJZUEZGZVOWJFZF
    ZXCDZDZEZKZLZVQIZJZVMIZIZUIZUIAUJXRXQXFXPVIXEVHAAANNONOXDUKULPXOVMXNXMVQVOX
    LVKCQRSXHXKXGWJCWIQWHWGWFWBWEVTWAVSVRVNUMVMUFUNUOZUOZTUPMAURNOPUDWDUSWCAMUR
    UTNOPVAUPULZVBVCSSXJXIXCXBVNVLXACQSZWTWSWRWQVNVLWPYBWOWKWNWHCYAQVCWMAWLVDNO
    VARVEXTTUTVBRPXTTVBVBRVAVEVPVNXTUOUOTUTXSTTVFVFVG $.
    $( [6-Jan-2015] $)

  ${
    $d A x y z w t $.
    $( Membership in the ` Swap ` function. $)
    elswap $p |- ( A e. Swap <->
            E. x E. y A = <. <. x , y >. , <. y , x >. >. ) $=
      ( vz vw cswap wcel cv cop wceq wex copab df-swap eleq2i bitri 2exbii opex
      wa vex eqeq2d elopab exrot4 19.42vv w3a df-3an ancom opeq1 opeq2 ceqsex2v
      bitr2i 3bitr3i ) CFGZCDHZEHZIZJZUMAHZBHZIZJZUNURUQIZJZRZBKAKZRZEKDKZCUSVA
      IZJZBKAKZULCVDDELZGVFFVJCDEABMNVDDECUAOUPVCRZBKAKZEKDKVKEKDKZBKAKVFVIVKDE
      ABUBVLVEDEUPVCABUCPVMVHABVMUTVBUPUDZEKDKVHVKVNDEVNVCUPRVKUTVBUPUEVCUPUFUJ
      PUPCUSUNIZJVHDEUSVAUQURASZBSZQURUQVQVPQUTUOVOCUMUSUNUGTVBVOVGCUNVAUSUHTUI
      OPUKO $.
      $( [6-Jan-2015] $)
  $}

  ${
    $d x y z w t u v $.
    $( Express the ` Swap ` function via set construction operators. $)
    dfswap2 $p |- Swap = ( ( ~ ( ( Ins2_k Ins2_k SSet_k (+)
       ( ( ( Ins2_k
( Ins2_k Ins3_k ( SSet_k o._k
              SI_k
               `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u. ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
  Ins3_k SI_k SI_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) i^i
          Ins3_k SI_k SI_k SI_k SI_k SI_k
          Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i Ins2_k SSet_k
        ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u. ( _I_k i^i ( ~ Nn X._k _V ) ) ) )
        "_k
           ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 1c ) u.
         ( ( Ins2_k
( Ins3_k SI_k SI_k
  ( SSet_k o._k
    SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i Ins2_k
        SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u. ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
  Ins2_k Ins3_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) i^i
            Ins3_k SI_k SI_k SI_k SI_k SI_k
                 ~ ( ( Ins2_k SSet_k (+)
                       Ins3_k
( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i Ins2_k SSet_k )
        "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u. ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k
        SSet_k ) u.
                              ( { { 0c } } X._k _V ) ) ) "_k
                   ~P1 ~P1 1c ) ) "_k
           ~P1 ~P1 ~P1 ~P1 ~P1 ~P1 1c ) ) )
                    "_k ~P1 ~P1 ~P1 ~P1 1c )
               "_k ~P1 1c ) "_k _V ) $=
      ( vz vt vw vv vu cins3k cimak csik cun csn wceq wex copk wcel wrex bitr4i
      wa 3bitri snex opksnelsik vx vy cssetk cins2k cin c1c cpw1 ccompl csymdif
      cswap cdif cimagek cnnc cvv cxpk cidk ccnvk ccomk c0c cv cop opkex elimak
      df-rex elpw11c anbi1i 19.41v exbii excom opkeq1 eleq1d ceqsexv wel wb wal
      wn elpw141c elsymdif otkelins2k vex elssetk wo cphi elpw161c 3bitr4i elin
      otkelins3k setconslem1 setconslem2 bitri orbi12i df-op eleq2i opkelimagek
      elun cab abid dfphi2 eqeq2i anbi12i dfop2lem1 bibi12i notbii exnal dfcleq
      con2bii elcompl 3bitr4ri bitr2i elswap elimakv eqriv ) UAUJUCUDZUDZUCUCFZ
      XMUEUFUGZUGZGUHFXNXOUDUCHHFIUIXQUGUGZGUKXQGULUMUNUOUEUPUMUHUNUOUEIZULZUQZ
      HURZFZUDZXMXMYAUCURUSJZJUNUOIFUIXQGUHZHZFUEXQGZHZHZFZIZUDZXTHZHZHZHZHZFZU
      EZXRUGUGZGZYBHZHZFZYHFZUDZIZUDZYGHZHZHZHZFZUEZUUAGZIZUIZXRGZUHZXPGZUNGZUA
      UTZUBUTZAUTZVAZUVEUVDVAZVAZKZALZUBLUVDUVCMZUVANZUBLUVCUJNUVCUVBNUVJUVLUBU
      VLBUTZUVEJZJZKZUVMUVKMZUUTNZQZBLZALZUVJUVLUVRBXPOUVMXPNZUVRQZBLZUWABUUTXP
      UVKUVDUVCVBZVCUVRBXPVDUWDUVSALZBLUWAUWCUWFBUWCUVPALZUVRQUWFUWBUWGUVRAUVMV
      EVFUVPUVRAVGPVHUVSABVIPRUVTUVIAUVTUVOUVKMZUUTNZUVIUVRUWIBUVOUVNSZUVPUVQUW
      HUUTUVMUVOUVKVJVKVLCUAVMZCUTZUVHNZVNZCVOZUWHUUSNZVPUVIUWIUWPUWOUWPUVMUWLJ
      ZJZJZJZJZKZUVMUWHMZUURNZQZBLZCLZUWNVPZCLUWOVPUWPUXDBXROUVMXRNZUXDQZBLZUXG
      BUURXRUWHUVOUVKVBZVCUXDBXRVDUXKUXECLZBLUXGUXJUXMBUXJUXBCLZUXDQUXMUXIUXNUX
      DCUVMVQVFUXBUXDCVGPVHUXECBVIPRUXFUXHCUXFUXAUWHMZUURNZUXOXNNZUXOUUQNZVNZVP
      UXHUXDUXPBUXAUWTSZUXBUXCUXOUURUVMUXAUWHVJVKVLUXOXNUUQVRUXSUWNUXQUWKUXRUWM
      UXQUWSUVKMXMNUWQUVCMUCNUWKUWSUVOUVKXMUWRSZUWJUWEVSUWQUVDUVCUCUWLSZUBVTZUA
      VTZVSUWLUVCCVTZUYDWARUXOUUBNZUXOUUPNZWBUWLDUTZWCZKZDUVFOZUWLUYIYEIKZDUVGO
      ZWBZUXRUWMUYFUYKUYGUYMUYFUYHUVFNZUYJQZDLZUYKUYFUVMUXOMZYTNZBUUAOZUVMUYHJZ
      JZJZJZJZJZJZKZUYSQZBLZDLZUYQBYTUUAUXOUXAUWHVBZVCUVMUUANZUYSQZBLVUIDLZBLUY
      TVUKVUNVUOBVUNVUHDLZUYSQVUOVUMVUPUYSDUVMWDZVFVUHUYSDVGPVHUYSBUUAVDVUIDBVI
      WEVUJUYPDVUJVUGUXOMZYTNZVURYMNZVURYSNZQUYPUYSVUSBVUGVUFSZVUHUYRVURYTUVMVU
      GUXOVJZVKVLVURYMYSWFVUTUYOVVAUYJVUEUWHMZYLNZUYHEUTWCZKZEUVDOZUYHVVFYEIKZE
      UVEOZWBZVUTUYOVVEVVDYDNZVVDYKNZWBVVKVVDYDYKWOVVLVVHVVMVVJVVLVUCUVKMZYCNVU
      AUVDMZYBNVVHVUCUVOUVKYCVUBSZUWJUWEVSVUAUVDUVCYBUYHSZUYCUYDWGEUYHUVDDVTZUY
      CWHRVVMVUCUVOMZYJNVUBUVNMZYINZVVJVUCUVOUVKYJVVPUWJUWEWGVUBUVNYIVUASZUVESZ
      TVWAVUAUVEMZYHNVVJVUAUVEYHVVQAVTZTEUYHUVEVVRVWEWIWJRWKWJVUEUXAUWHYLVUDSZU
      XTUXLVSUYOUYHVVHDWPZVVJDWPZIZNUYHVWGNZUYHVWHNZWBVVKUVFVWIUYHDEUVDUVEWLWMU
      YHVWGVWHWOVWJVVHVWKVVJVVHDWQVVJDWQWKRWEVVAVUEUXAMZYRNVUDUWTMZYQNZUYJVUEUX
      AUWHYRVWFUXTUXLWGVUDUWTYQVUCSZUWSSZTVWNVUCUWSMZYPNVUBUWRMZYONZUYJVUCUWSYP
      VVPUYATVUBUWRYOVWBUWQSZTVWSVUAUWQMZYNNUYHUWLMZXTNZUYJVUAUWQYNVVQUYBTUYHUW
      LXTVVRUYETVXCUWLXSUYHGZKUYJUYHUWLXSVVRUYEWNUYIVXDUWLUYHWRWSPRRRWTRVHRUYJD
      UVFVDPVUHUYRUUONZQZBLZDLZUYHUVGNZUYLQZDLUYGUYMVXGVXJDVXGVURUUONZVURUUINZV
      URUUNNZQVXJVXEVXKBVUGVVBVUHUYRVURUUOVVCVKVLVURUUIUUNWFVXLVXIVXMUYLVXLVVGE
      UVEOZVVIEUVDOZWBZVXIVXLVVDUUHNVVDUUENZVVDUUGNZWBVXPVUEUXAUWHUUHVWFUXTUXLV
      SVVDUUEUUGWOVXQVXNVXRVXOVXQVVSUUDNVVTUUCNZVXNVUCUVOUVKUUDVVPUWJUWEWGVUBUV
      NUUCVWBVWCTVXSVWDYBNVXNVUAUVEYBVVQVWETEUYHUVEVVRVWEWHWJRVXRVVNUUFNVVOYHNV
      XOVUCUVOUVKUUFVVPUWJUWEVSVUAUVDUVCYHVVQUYCUYDWGEUYHUVDVVRUYCWIRWKRVXIUYHV
      XNDWPZVXODWPZIZNUYHVXTNZUYHVYANZWBVXPUVGVYBUYHDEUVEUVDWLWMUYHVXTVYAWOVYCV
      XNVYDVXOVXNDWQVXODWQWKRPVXMVWLUUMNVWMUULNZUYLVUEUXAUWHUUMVWFUXTUXLWGVUDUW
      TUULVWOVWPTVYEVWQUUKNVWRUUJNZUYLVUCUWSUUKVVPUYATVUBUWRUUJVWBVWTTVYFVXAYGN
      VXBYFNUYLVUAUWQYGVVQUYBTUYHUWLYFVVRUYETDCXARRRWTRVHUYGVXEBUUAOZVXFDLZBLZV
      XHBUUOUUAUXOVULVCVYGVUMVXEQZBLVYIVXEBUUAVDVYJVYHBVYJVUPVXEQVYHVUMVUPVXEVU
      QVFVUHVXEDVGPVHWJVXFBDVIRUYLDUVGVDWEWKUXOUUBUUPWOUWMUWLUYKCWPZUYMCWPZIZNU
      WLVYKNZUWLVYLNZWBUYNUVHVYMUWLCDUVFUVGWLWMUWLVYKVYLWOVYNUYKVYOUYMUYKCWQUYM
      CWQWKRWEXBXCRVHUWNCXDRXFCUVCUVHXEUWHUUSUXLXGXHWJVHXIVHUBAUVCXJUBUVAUVCUYD
      XKWEXL $.
      $( [6-Jan-2015] $)
  $}

  $( The ` Swap ` function is a set. $)
  swapex $p |- Swap e. _V $=
    ( cssetk cins2k cins3k cin cpw1 cimak ccompl csik cun csymdif ins2kex pw1ex
    cnnc cvv imakex vvex inex unex sikex ins3kex cswap c1c cdif cxpk cidk ccnvk
    cimagek ccomk c0c dfswap2 ssetkex addcexlem 1cex imagekex nncex xpkex idkex
    csn complex cnvkex cokex snex symdifex eqeltri ) UAABZBZAACZVEDUBEZEZFGCVFV
    GBAHHCIJVIEZEZFUCZVIFZUGZMNUDZDZUEMGZNUDZDZIZUGZUFZHZUHZCZBZVEVEWBAUHZUIURZ
    URZNUDZIZCZJZVIFZGZHZCZDZVIFZHZHZCZIZBZWAHZHZHZHZHZCZDZVKEZEZFZWDHZHZCZWSCZ
    BZIZBZWPHZHZHZHZCZDZXMFZIZJZVKFZGZVHFZNFNUJYMNYLVHYKYJVKVFYIVEAUKKZKXNYHXKX
    MXDXJXCWFXBWEWDAWCUKWBWAVTVPVSVNVOVMVLVIULVHUBUMLZLZOUNMNUOPUPQUEVRUQVQNMUO
    USPUPQRUNZUTZSVAZTKXAWTWSWRVIVEWQYNWPWOWNWMVIVEWLYNWKWGWJWBAYRUKVAWINWHVBPU
    PRTVCYPOUSSZTQYPOZSSTRKXIXHXGXFXEWAYQSSSSSTQXLVKVJVIYPLLZLLZOYGXMYAYFXTXQXS
    XPXOWDYSSSTXRWSUUATKRKYEYDYCYBWPYTSSSSTQUUCORVCUUBOUSYOOPOVD $.
    $( [6-Jan-2015] $)

  ${
    $d x y $.
    $( Express the ` SSet ` relationship via the set construction functors. $)
    dfsset2 $p |- SSet = U.1 U.1 ( ( ( ( _V X._k _V ) X._k _V ) i^i
     `'_k ~ ( ( Ins3_k SI_k SI_k SSet_k (+)
          Ins2_k
            ( Ins3_k ( SSet_k o._k SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k ~ (
        ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
              Ins2_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) ) "_k
          ~P1 ~P1 ~P1 ~P1 1c ) ) "_k SSet_k ) $=
      ( vx vy cv cssetk wcel copab cvv cxpk csik cins3k cins2k cin cimak ccompl
      cpw1 cun csymdif cimagek cnnc ccnvk copk wss c1c cdif ccomk c0c csn cuni1
      cidk csset wb vex opkelssetkg mp2an opabbii setconslem4 df-sset 3eqtr4ri
      ) ACZBCZUADEZABFUSUTUBZABFGGHGHDIIJZDDJZDKZLUCOOZMNJVEKVDKVCPQVFOOZMUDVFM
      RSGHLUISNGHLPRTZIUEJVEVEVHDUEUFUGUGGHPJQVFMNIJLVFMKPKQVGMNTLDMUHUHUJVAVBA
      BUSGEUTGEVAVBUKAULBULUSUTGGUMUNUOABDUPABUQUR $.
      $( [7-Jan-2015] $)
  $}

  $( The subset relationship is a set. $)
  ssetex $p |- SSet e. _V $=
    ( cvv cxpk cssetk csik cins3k cins2k cin cpw1 cimak ccompl cun csymdif cnnc
    cimagek ccnvk ccomk csn cuni1 vvex xpkex csset c1c cdif dfsset2 setconslem5
    cidk c0c cnvkex inex ssetkex imakex uni1ex eqeltri ) UAAABZABZCDDEZCCEZCFZG
    UBHHZIJEURFUQFUPKLUSHHZIUCUSINMABGUFMJABGKNOZDPEURURVACPUGQQABKELUSIJDEGUSI
    FKFLUTIJZOZGZCIZRZRAUDVFVEVDCUOVCUNAAASSTSTVBUEUHUIUJUKULULUM $.
    $( [6-Jan-2015] $)

  ${
    $d A x y z t w $.  $d B x y z t w $.
    $( Express the image functor in terms of the set construction functions. $)
    dfima2 $p |- ( A " B ) =
      ( ( ( ( _V X._k ( _V X._k _V ) ) i^i
     ~ ( ( Ins3_k SI_k SI_k SSet_k (+)
          Ins2_k
            ( Ins3_k ( SSet_k o._k SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k ~ (
        ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
              Ins2_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) ) "_k
          ~P1 ~P1 ~P1 ~P1 1c ) ) "_k ~P1 ~P1 A ) "_k B ) $=
      ( vx vy vw vt cv cvv cxpk cssetk csik cins3k cins2k cin cpw1 cimak ccompl
      cun csymdif wcel cima wbr wrex cab c1c cdif cimagek cnnc cidk ccnvk ccomk
      vz c0c csn df-ima copk vex elimak cop setconslem6 opeq1 eleq1d opkelopkab
      weq opeq2 df-br bitr4i rexbii bitri abbi2i eqtr4i ) ABUACGZDGZAUBZCBUCZDU
      DHHHIIJKKLZJJLZJMZNUEOOZPQLVRMVQMVPRSVSOOZPUFVSPUGUHHINUIUHQHINRUGUJZKUKL
      VRVRWAJUKUMUNUNHIRLSVSPQKLNVSPMRMSVTPQNAOOPZBPZDCABUOVODWCVMWCTVLVMUPWBTZ
      CBUCVOCWBBVMDUQZURWDVNCBWDVLVMUSZATZVNEGZFGZUSZATVLWIUSZATWGULEFWBVLVMEFU
      LAUTECVDWJWKAWHVLWIVAVBFDVDWKWFAWIVMVLVEVBCUQWEVCVLVMAVFVGVHVIVJVK $.
      $( [7-Jan-2015] $)
  $}

  $( The image of a set under a set is a set. $)
  imaexg $p |- ( ( A e. V /\ B e. W ) -> ( A " B ) e. _V ) $=
    ( wcel cvv cxpk cssetk csik cins3k cins2k cin cpw1 cimak ccompl cun csymdif
    cimagek cnnc vvex wa cima c1c cdif cidk ccnvk ccomk c0c dfima2 pw1exg xpkex
    csn setconslem5 inex imakexg mpan 3syl sylan syl5eqel ) ACEZBDEZUAABUBFFFGZ
    GZHIIJZHHJZHKZLUCMMZNOJVFKVEKVDPQVGMMZNUDVGNRSFGLUESOFGLPRUFZIUGJVFVFVIHUGU
    HULULFGPJQVGNOIJLVGNKPKQVHNOZLZAMZMZNZBNZFABUIUTVNFEZVAVOFEUTVLFEVMFEZVPACU
    JVLFUJVKFEVQVPVCVJFVBTFFTTUKUKUMUNVKVMFFUOUPUQVNBFDUOURUS $.
    $( [7-Jan-2015] $)

  ${
    imaex.1 $e |- A e. _V $.
    imaex.2 $e |- B e. _V $.
    $( The image of a set under a set is a set. $)
    imaex $p |- ( A " B ) e. _V $=
      ( cvv wcel cima imaexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [7-Jan-2015] $)
  $}

  ${
    $d A a b c x y z $.  $d B a b c x y z $.
    $( Express Quine composition via Kuratowski composition. $)
    dfco1 $p |- ( A o. B ) =
U.1 U.1 ( ( ( ( _V X._k _V ) X._k _V ) i^i
     `'_k ~ ( ( Ins3_k SI_k SI_k SSet_k (+)
          Ins2_k
            ( Ins3_k ( SSet_k o._k SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k ~ (
        ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
              Ins2_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) ) "_k
          ~P1 ~P1 ~P1 ~P1 1c ) ) "_k
( ( ( ( _V X._k ( _V X._k _V ) ) i^i
     ~ ( ( Ins3_k SI_k SI_k SSet_k (+)
          Ins2_k
            ( Ins3_k ( SSet_k o._k SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k ~ (
        ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
              Ins2_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) ) "_k
          ~P1 ~P1 ~P1 ~P1 1c ) ) "_k ~P1 ~P1 A )
o._k
( ( ( _V X._k ( _V X._k _V ) ) i^i
     ~ ( ( Ins3_k SI_k SI_k SSet_k (+)
          Ins2_k
            ( Ins3_k ( SSet_k o._k SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k ~ (
        ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
              Ins2_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) ) "_k
          ~P1 ~P1 ~P1 ~P1 1c ) ) "_k ~P1 ~P1 B ) ) ) $=
      ( vx vy vz va vb vc cv cvv cxpk cssetk csik cins3k cins2k cpw1 cimak wcel
      cin cop copk c1c ccompl cun csymdif cdif cimagek cnnc ccnvk ccomk c0c csn
      cidk copab wbr wa wex cuni1 ccom vex opkelcok setconslem6 weq opeq1 opeq2
      eleq1d opkelopkab df-br bitr4i anbi12i exbii opabbii setconslem4 3eqtr4ri
      bitri df-co ) CIZDIZUAJJJKZKLMMNZLLNZLOZSUBPPZQUCNWBOWAOVTUDUEWCPPZQUFWCQ
      UGUHJKSUMUHUCJKSUDUGUIZMUJNWBWBWELUJUKULULJKUDNUEWCQUCMNSWCQOUDOUEWDQUCZS
      ZAPPQZWGBPPQZUJZRZCDUNVQEIZBUOZWLVRAUOZUPZEUQZCDUNVSJKWFUISWJQURURABUSWKW
      PCDWKVQWLUAWIRZWLVRUAWHRZUPZEUQWPEVQVRWHWICUTZDUTZVAWSWOEWQWMWRWNWQVQWLTZ
      BRZWMFIZGIZTZBRVQXETZBRXCHFGWIVQWLFGHBVBFCVCXFXGBXDVQXEVDVFGEVCXGXBBXEWLV
      QVEVFWTEUTZVGVQWLBVHVIWRWLVRTZARZWNXFARWLXETZARXJHFGWHWLVRFGHAVBFEVCXFXKA
      XDWLXEVDVFGDVCXKXIAXEVRWLVEVFXHXAVGWLVRAVHVIVJVKVOVLCDWJVMCDEABVPVN $.
      $( [7-Jan-2015] $)
  $}

  $( The composition of two sets is a set. $)
  coexg $p |- ( ( A e. V /\ B e. W ) -> ( A o. B ) e. _V ) $=
    ( wcel cvv cxpk cssetk csik cins3k cins2k cin cpw1 cimak ccompl cun csymdif
    ccomk vvex pw1exg ccom c1c cdif cimagek cnnc cidk ccnvk c0c csn cuni1 dfco1
    wa xpkex setconslem5 cnvkex inex imakexg sylancr cokexg syl2an uni1exg 3syl
    syl syl5eqel ) ACEZBDEZULZABUAFFGZFGZHIIJZHHJZHKZLUBMMZNOJVLKVKKVJPQVMMMZNU
    CVMNUDUEFGLUFUEOFGLPUDUGZIRJVLVLVOHRUHUIUIFGPJQVMNOIJLVMNKPKQVNNOZUGZLZFVHG
    ZVPLZAMZMZNZVTBMZMZNZRZNZUJZUJZFABUKVGWHFEZWIFEWJFEVGVRFEWGFEZWKVIVQVHFFFSS
    UMZSUMVPUNUOUPVEWCFEZWFFEZWLVFVEVTFEZWBFEZWNVSVPFVHSWMUMUNUPZVEWAFEWQACTWAF
    TVCVTWBFFUQURVFWPWEFEZWOWRVFWDFEWSBDTWDFTVCVTWEFFUQURWCWFFFUSUTVRWGFFUQURWH
    FVAWIFVAVBVD $.
    $( [7-Jan-2015] $)

  ${
    coex.1 $e |- A e. _V $.
    coex.2 $e |- B e. _V $.
    $( The composition of two sets is a set. $)
    coex $p |- ( A o. B ) e. _V $=
      ( cvv wcel ccom coexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [7-Jan-2015] $)
  $}

  ${
    $d A x y z w a b c $.
    $( Express singleton image in terms of the Kuratowski singleton image. $)
    dfsi2 $p |- SI A =
U.1 U.1 ( ( ( ( _V X._k _V ) X._k _V ) i^i
     `'_k ~ ( ( Ins3_k SI_k SI_k SSet_k (+)
          Ins2_k
            ( Ins3_k ( SSet_k o._k SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k ~ (
        ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
              Ins2_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) ) "_k
          ~P1 ~P1 ~P1 ~P1 1c ) ) "_k
SI_k ( ( ( _V X._k ( _V X._k _V ) ) i^i
     ~ ( ( Ins3_k SI_k SI_k SSet_k (+)
          Ins2_k
            ( Ins3_k ( SSet_k o._k SI_k `'_k Image_k ( ( Image_k ( ( Ins3_k ~ (
        ( Ins3_k SSet_k i^i Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) ) u.
              Ins2_k ( ( Ins2_k SSet_k i^i
    Ins3_k SI_k ~ ( ( Ins2_k SSet_k (+)
         Ins3_k ( ( `'_k Image_k ( ( Image_k ( ( Ins3_k ~ ( ( Ins3_k SSet_k i^i
        Ins2_k SSet_k ) "_k ~P1 ~P1 1c ) \
      ( ( Ins2_k Ins2_k SSet_k
          (+)
          ( Ins2_k Ins3_k SSet_k u.
            Ins3_k SI_k SI_k SSet_k ) )
            "_k ~P1 ~P1 ~P1 ~P1 1c ) )
  "_k ~P1 ~P1 1c ) i^i ( Nn X._k _V ) ) u.
  ( _I_k i^i ( ~ Nn X._k _V ) ) ) o._k SSet_k ) u. ( { { 0c } } X._k _V ) ) )
        "_k
         ~P1 ~P1 1c ) )
    "_k ~P1 ~P1 1c ) ) ) "_k
          ~P1 ~P1 ~P1 ~P1 1c ) ) "_k ~P1 ~P1 A ) ) $=
      ( vz vw vx vy va vb cv cvv cxpk cssetk csik cins3k cins2k cin cpw1 ccompl
      cimak cun wcel vc copk c1c csymdif cdif cimagek cnnc cidk ccnvk ccomk c0c
      csn copab wceq wbr w3a wex cuni1 csi wb vex opkelsikg cop setconslem6 weq
      mp2an opeq1 eleq1d opeq2 opkelopkab df-br bitr4i 2exbii bitri setconslem4
      3anbi3i opabbii df-si 3eqtr4ri ) BHZCHZUBIIIJZJKLLMZKKMZKNZOUCPPZRQMWENWD
      NWCSUDWFPPZRUEWFRUFUGIJOUHUGQIJOSUFUIZLUJMWEWEWHKUJUKULULIJSMUDWFRQLMOWFR
      NSNUDWGRQZOAPPRZLZTZBCUMVTDHZULUNZWAEHZULUNZWMWOAUOZUPZEUQDUQZBCUMWBIJWIU
      IOWKRURURAUSWLWSBCWLWNWPWMWOUBWJTZUPZEUQDUQZWSVTITWAITWLXBUTBVACVADEVTWAW
      JIIVBVFXAWRDEWTWQWNWPWTWMWOVCZATZWQFHZGHZVCZATWMXFVCZATXDUAFGWJWMWOFGUAAV
      DFDVEXGXHAXEWMXFVGVHGEVEXHXCAXFWOWMVIVHDVAEVAVJWMWOAVKVLVPVMVNVQBCWKVOBCD
      EAVRVS $.
      $( [7-Jan-2015] $)
  $}

  $( The singleton image of a set is a set. $)
  siexg $p |- ( A e. V -> SI A e. _V ) $=
    ( wcel cvv cxpk cssetk csik cins3k cins2k cin cpw1 cimak ccompl cun csymdif
    cimagek cnnc vvex xpkex 3syl csi c1c cdif cidk ccnvk ccomk c0c cuni1 pw1exg
    csn dfsi2 setconslem5 inex imakexg mpan sikexg cnvkex uni1exg syl5eqel ) AB
    CZAUADDEZDEZFGGHZFFHZFIZJUBKKZLMHVEIVDIVCNOVFKKZLUCVFLPQDEJUDQMDEJNPUEZGUFH
    VEVEVHFUFUGUJUJDENHOVFLMGHJVFLINIOVGLMZUEZJZDVAEZVIJZAKZKZLZGZLZUHZUHZDAUKU
    TVRDCZVSDCVTDCUTVPDCZVQDCZWAUTVNDCVODCZWBABUIVNDUIVMDCWDWBVLVIDVARDDRRSZSUL
    UMVMVODDUNUOTVPDUPVKDCWCWAVBVJVADWERSVIULUQUMVKVQDDUNUOTVRDURVSDURTUS $.
    $( [7-Jan-2015] $)

  ${
    siex.1 $e |- A e. _V $.
    $( The singleton image of a set is a set. $)
    siex $p |- SI A e. _V $=
      ( cvv wcel csi siexg ax-mp ) ACDAECDBACFG $.
      $( [7-Jan-2015] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Membership in an image.  Theorem 34 of [Suppes] p. 65. $)
    elima $p |- ( A e. ( B " C ) <-> E. x e. C x B A ) $=
      ( vy cima wcel cvv wbr wrex elex brex simprd rexlimivw wceq breq2 rexbidv
      cv df-ima elab2g pm5.21nii ) BCDFZGBHGZARZBCIZADJZBUBKUEUCADUEUDHGUCUDBCL
      MNUDERZCIZADJUFEBUBHUGBOUHUEADUGBUDCPQEACDSTUA $.
      $( [19-Apr-2004] $)

    $( Membership in an image.  Theorem 34 of [Suppes] p. 65. $)
    elima2 $p |- ( A e. ( B " C ) <-> E. x ( x e. C /\ x B A ) ) $=
      ( cima wcel cv wbr wrex wa wex elima df-rex bitri ) BCDEFAGZBCHZADIODFPJA
      KABCDLPADMN $.
      $( [11-Aug-2004] $)

    $( Membership in an image.  Theorem 34 of [Suppes] p. 65. $)
    elima3 $p |- ( A e. ( B " C ) <-> E. x ( x e. C /\ <. x , A >. e. B ) ) $=
      ( cima wcel cv cop wrex wa wex wbr elima df-br rexbii bitri df-rex ) BCDE
      FZAGZBHCFZADIZSDFTJAKRSBCLZADIUAABCDMUBTADSBCNOPTADQP $.
      $( [14-Aug-1994] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Binary relationship form of the subset relationship. $)
    brssetg $p |- ( ( A e. V /\ B e. W ) -> ( A SSet B <-> A C_ B ) ) $=
      ( vx vy cv wss csset sseq1 sseq2 df-sset brabg ) EGZFGZHAOHABHEFABCDINAOJ
      OBAKEFLM $.
      $( [11-Feb-2015] $)
  $}

  ${
    brsset.1 $e |- A e. _V $.
    brsset.2 $e |- B e. _V $.
    $( Binary relationship form of the subset relationship. $)
    brsset $p |- ( A SSet B <-> A C_ B ) $=
      ( cvv wcel csset wbr wss wb brssetg mp2an ) AEFBEFABGHABIJCDABEEKL $.
      $( [11-Feb-2015] $)
  $}

  ${
    brssetsn.1 $e |- A e. _V $.
    brssetsn.2 $e |- B e. _V $.
    $( Set membership in terms of the subset relationship. $)
    brssetsn $p |- ( { A } SSet B <-> A e. B ) $=
      ( csn csset wbr wss wcel snex brsset snss bitr4i ) AEZBFGNBHABINBAJDKABCL
      M $.
      $( [11-Feb-2015] $)

    $( Set membership in terms of the subset relationship. $)
    opelssetsn $p |- ( <. { A } , B >. e. SSet <-> A e. B ) $=
      ( csn cop csset wcel wbr df-br brssetsn bitr3i ) AEZBFGHMBGIABHMBGJABCDKL
      $.
      $( [11-Feb-2015] $)
  $}

  ${
    $d A w $.  $d A x $.  $d A y $.  $d A z $.  $d B w $.  $d B x $.  $d B y $.
    $d B z $.  $d R w $.  $d R x $.  $d R y $.  $d R z $.  $d w x $.  $d w y $.
    $d w z $.  $d x y $.  $d x z $.  $d y z $.

    $( Binary relationship over a singleton image. $)
    brsi $p |- ( A SI R B <->
          E. x E. y ( A = { x } /\ B = { y } /\ x R y ) ) $=
      ( vz vw wbr cvv wcel wa cv csn wceq w3a wex snex eleq1 eqeq1 2exbidv brex
      csi pm3.2i bi2anan9 mpbiri 3adant3 exlimivv 3anbi1d df-si brabg pm5.21nii
      3anbi2d ) CDEUBZHCIJZDIJZKZCALZMZNZDBLZMZNZUQUTEHZOZBPAPZCDUMUAVDUPABUSVB
      UPVCUSVBKUPURIJZVAIJZKVFVGUQQUTQUCUSUNVFVBUOVGCURIRDVAIRUDUEUFUGFLZURNZGL
      ZVANZVCOZBPAPUSVKVCOZBPAPVEFGCDIIUMVHCNZVLVMABVNVIUSVKVCVHCURSUHTVJDNZVMV
      DABVOVKVBUSVCVJDVASULTFGABEUIUJUK $.
      $( [11-Feb-2015] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Indexed union and intersection
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c U_ $. $( Underlined big cup. $)
  $c |^|_ $. $( Underlined big cap. $)

  $( Extend class notation to include indexed union.  Note:  Historically
     (prior to 21-Oct-2005), set.mm used the notation ` U. x e. A B ` , with
     the same union symbol as ~ cuni .  While that syntax was unambiguous, it
     did not allow for LALR parsing of the syntax constructions in set.mm.  The
     new syntax uses as distinguished symbol ` U_ ` instead of ` U. ` and does
     allow LALR parsing.  Thanks to Peter Backes for suggesting this change. $)
  ciun $a class U_ x e. A B $.

  $( Extend class notation to include indexed intersection.  Note:
     Historically (prior to 21-Oct-2005), set.mm used the notation
     ` |^| x e. A B ` , with the same intersection symbol as ~ cint .  Although
     that syntax was unambiguous, it did not allow for LALR parsing of the
     syntax constructions in set.mm.  The new syntax uses a distinguished
     symbol ` |^|_ ` instead of ` |^| ` and does allow LALR parsing.  Thanks to
     Peter Backes for suggesting this change. $)
  ciin $a class |^|_ x e. A B $.

  ${
    $d x y $.  $d y A $.  $d y B $.
    $( Define indexed union.  Definition indexed union in [Stoll] p. 45.  In
       most applications, ` A ` is independent of ` x ` (although this is not
       required by the definition), and ` B ` depends on ` x ` i.e. can be read
       informally as ` B ( x ) ` .  We call ` x ` the index, ` A ` the index
       set, and ` B ` the indexed set.  In most books, ` x e. A ` is written as
       a subscript or underneath a union symbol ` U. ` .  We use a special
       union symbol ` U_ ` to make it easier to distinguish from plain class
       union.  In many theorems, you will see that ` x ` and ` A ` are in the
       same distinct variable group (meaning ` A ` cannot depend on ` x ` ) and
       that ` B ` and ` x ` do not share a distinct variable group (meaning
       that can be thought of as ` B ( x ) ` i.e. can be substituted with a
       class expression containing ` x ` ).  An alternate definition tying
       indexed union to ordinary union is ~ dfiun2 .  Theorem ~ uniiun provides
       a definition of ordinary union in terms of indexed union.  Theorems
       ~ fniunfv and ~ funiunfv are useful when ` B ` is a function. $)
    df-iun $a |- U_ x e. A B = { y | E. x e. A y e. B } $.

    $( Define indexed intersection.  Definition of [Stoll] p. 45.  See the
       remarks for its sibling operation of indexed union ~ df-iun .  An
       alternate definition tying indexed intersection to ordinary intersection
       is ~ dfiin2 .  Theorem ~ intiin provides a definition of ordinary
       intersection in terms of indexed intersection. $)
    df-iin $a |- |^|_ x e. A B = { y | A. x e. A y e. B } $.
  $}

  ${
    $d x y A $.  $d y B $.  $d y C $.
    $( Membership in indexed union. $)
    eliun $p |- ( A e. U_ x e. B C <-> E. x e. B A e. C ) $=
      ( vy ciun wcel wrex elex rexlimivw cv wceq eleq1 rexbidv df-iun pm5.21nii
      cvv elab2g ) BACDFZGBQGZBDGZACHZBSIUATACBDIJEKZDGZACHUBEBSQUCBLUDUAACUCBD
      MNAECDORP $.
      $( [3-Sep-2003] $)

    $( Membership in indexed intersection. $)
    eliin $p |- ( A e. V -> ( A e. |^|_ x e. B C <-> A. x e. B A e. C ) ) $=
      ( vy cv wcel wral ciin wceq eleq1 ralbidv df-iin elab2g ) FGZDHZACIBDHZAC
      IFBACDJEPBKQRACPBDLMAFCDNO $.
      $( [3-Sep-2003] $)
  $}

  ${
    $d y z A $.  $d x z B $.  $d z C $.  $d x y $.
    $( Commutation of indexed unions. $)
    iuncom $p |- U_ x e. A U_ y e. B C = U_ y e. B U_ x e. A C $=
      ( vz ciun cv wcel wrex rexcom eliun rexbii 3bitr4i eqriv ) FACBDEGZGZBDAC
      EGZGZFHZPIZACJZTRIZBDJZTQITSITEIZBDJZACJUEACJZBDJUBUDUEABCDKUAUFACBTDELMU
      CUGBDATCELMNATCPLBTDRLNO $.
      $( [18-Dec-2008] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d x y z $.
    $( Commutation of union with indexed union.  (Contributed by Mario
       Carneiro, 18-Jan-2014.) $)
    iuncom4 $p |- U_ x e. A U. B = U. U_ x e. A B $=
      ( vy vz cuni ciun cv wcel wa wex df-rex rexbii rexcom4 bitri exbii eluni2
      wrex eliun 3bitr4i r19.41v anbi1i eqriv ) DABCFZGZABCGZFZDHZUDIZABRZUHEHZ
      IZEUFRZUHUEIUHUGIULECRZABRZUKCIZABRZULJZEKZUJUMUOUPULJZABRZEKZUSUOUTEKZAB
      RVBUNVCABULECLMUTAEBNOVAUREUPULABUAPOUIUNABEUHCQMUMUKUFIZULJZEKUSULEUFLVE
      UREVDUQULAUKBCSUBPOTAUHBUDSEUHUFQTUC $.
      $( [18-Jan-2014] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Indexed union of a constant class, i.e. where ` B ` does not depend on
       ` x ` .  (The proof was shortened by Andrew Salmon, 25-Jul-2011.) $)
    iunconst $p |- ( A =/= (/) -> U_ x e. A B = B ) $=
      ( vy c0 wne ciun cv wcel wrex r19.9rzv eliun syl6rbbr eqrdv ) BEFZDABCGZC
      ODHZCIZRABJQPIRABKAQBCLMN $.
      $( [25-Jul-2011] $) $( [5-Sep-2004] $)
  $}

  ${
    $d x y $.  $d y z A $.  $d x z B $.  $d z C $.
    $( Law combining indexed union with indexed intersection.  Eq.  (14),
       p. 109, in _Set Theory, with an Introduction to Descriptive Set Theory_
       by K. Kuratowski and A. Mostowski (2nd ed., 1976).  (This theorem also
       appears as the last example at
       ~ http://en.wikipedia.org/wiki/Union%5F%28set%5Ftheory%29 .)  (The proof
       was shortened by Andrew Salmon, 25-Jul-2011.) $)
    iuniin $p |- U_ x e. A |^|_ y e. B C C_ |^|_ y e. B U_ x e. A C $=
      ( vz ciin ciun cv wcel wrex wral r19.12 cvv vex eliin ax-mp eliun 3imtr4i
      wb rexbii ralbii ssriv ) FACBDEGZHZBDACEHZGZFIZUDJZACKZUHUFJZBDLZUHUEJUHU
      GJZUHEJZBDLZACKUNACKZBDLUJULUNABCDMUIUOACUHNJZUIUOTFOZBUHDENPQUAUKUPBDAUH
      CERUBSAUHCUDRUQUMULTURBUHDUFNPQSUC $.
      $( [25-Jul-2011] $) $( [17-Aug-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.
    $( Subclass theorem for indexed union.  (The proof was shortened by Andrew
       Salmon, 25-Jul-2011.) $)
    iunss1 $p |- ( A C_ B -> U_ x e. A C C_ U_ x e. B C ) $=
      ( vy wss ciun cv wcel wrex ssrexv eliun 3imtr4g ssrdv ) BCFZEABDGZACDGZOE
      HZDIZABJSACJRPIRQISABCKARBDLARCDLMN $.
      $( [25-Jul-2011] $) $( [10-Dec-2004] $)

    $( Subclass theorem for indexed union. $)
    iinss1 $p |- ( A C_ B -> |^|_ x e. B C C_ |^|_ x e. A C ) $=
      ( vy wss ciin cv wcel wral ssralv cvv wb vex eliin ax-mp 3imtr4g ssrdv )
      BCFZEACDGZABDGZSEHZDIZACJZUCABJZUBTIZUBUAIZUCABCKUBLIZUFUDMENZAUBCDLOPUHU
      GUEMUIAUBBDLOPQR $.
      $( [24-Jan-2012] $)

    $( Equality theorem for indexed union. $)
    iuneq1 $p |- ( A = B -> U_ x e. A C = U_ x e. B C ) $=
      ( wss wa ciun wceq iunss1 anim12i eqss 3imtr4i ) BCEZCBEZFABDGZACDGZEZPOE
      ZFBCHOPHMQNRABCDIACBDIJBCKOPKL $.
      $( [27-Jun-1998] $)

    $( Equality theorem for restricted existential quantifier. $)
    iineq1 $p |- ( A = B -> |^|_ x e. A C = |^|_ x e. B C ) $=
      ( vy wceq cv wcel wral cab ciin raleq abbidv df-iin 3eqtr4g ) BCFZEGDHZAB
      IZEJQACIZEJABDKACDKPRSEQABCLMAEBDNAECDNO $.
      $( [27-Jun-1998] $)
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    $( Subclass theorem for indexed union.  (The proof was shortened by Andrew
       Salmon, 25-Jul-2011.) $)
    ss2iun $p |- ( A. x e. A B C_ C -> U_ x e. A B C_ U_ x e. A C ) $=
      ( vy wss wral ciun cv wcel wrex ssel ralimi rexim syl eliun 3imtr4g ssrdv
      wi ) CDFZABGZEABCHZABDHZUAEIZCJZABKZUDDJZABKZUDUBJUDUCJUAUEUGSZABGUFUHSTU
      IABCDUDLMUEUGABNOAUDBCPAUDBDPQR $.
      $( [25-Jul-2011] $) $( [26-Nov-2003] $)

    $( Equality theorem for indexed union. $)
    iuneq2 $p |- ( A. x e. A B = C -> U_ x e. A B = U_ x e. A C ) $=
      ( wss wral wa ciun wceq ss2iun anim12i eqss ralbii r19.26 bitri 3imtr4i )
      CDEZABFZDCEZABFZGZABCHZABDHZEZUCUBEZGCDIZABFZUBUCIRUDTUEABCDJABDCJKUGQSGZ
      ABFUAUFUHABCDLMQSABNOUBUCLP $.
      $( [22-Oct-2003] $)

    $( Equality theorem for indexed intersection.  (The proof was shortened by
       Andrew Salmon, 25-Jul-2011.) $)
    iineq2 $p |- ( A. x e. A B = C -> |^|_ x e. A B = |^|_ x e. A C ) $=
      ( vy wceq wral cv wcel cab ciin wb eleq2 ralimi syl abbidv df-iin 3eqtr4g
      ralbi ) CDFZABGZEHZCIZABGZEJUBDIZABGZEJABCKABDKUAUDUFEUAUCUELZABGUDUFLTUG
      ABCDUBMNUCUEABSOPAEBCQAEBDQR $.
      $( [25-Jul-2011] $) $( [22-Oct-2003] $)
  $}

  ${
    iuneq2i.1 $e |- ( x e. A -> B = C ) $.
    $( Equality inference for indexed union. $)
    iuneq2i $p |- U_ x e. A B = U_ x e. A C $=
      ( wceq ciun iuneq2 mprg ) CDFABCGABDGFABABCDHEI $.
      $( [22-Oct-2003] $)

    $( Equality inference for indexed intersection. $)
    iineq2i $p |- |^|_ x e. A B = |^|_ x e. A C $=
      ( wceq ciin iineq2 mprg ) CDFABCGABDGFABABCDHEI $.
      $( [22-Oct-2003] $)
  $}

  ${
    iineq2d.1 $e |- ( ph -> A. x ph ) $.
    iineq2d.2 $e |- ( ( ph /\ x e. A ) -> B = C ) $.
    $( Equality deduction for indexed intersection. $)
    iineq2d $p |- ( ph -> |^|_ x e. A B = |^|_ x e. A C ) $=
      ( wceq wral ciin cv wcel ex ralrimi iineq2 syl ) ADEHZBCIBCDJBCEJHAQBCFAB
      KCLQGMNBCDEOP $.
      $( [7-Dec-2011] $)
  $}

  ${
    $d x ph $.
    iuneq2dv.1 $e |- ( ( ph /\ x e. A ) -> B = C ) $.
    $( Equality deduction for indexed union. $)
    iuneq2dv $p |- ( ph -> U_ x e. A B = U_ x e. A C ) $=
      ( wceq wral ciun ralrimiva iuneq2 syl ) ADEGZBCHBCDIBCEIGAMBCFJBCDEKL $.
      $( [5-Oct-2006] $) $( [3-Aug-2004] $)

    $( Equality deduction for indexed intersection. $)
    iineq2dv $p |- ( ph -> |^|_ x e. A B = |^|_ x e. A C ) $=
      ( ax-17 iineq2d ) ABCDEABGFH $.
      $( [3-Jan-2007] $) $( [3-Aug-2004] $)
  $}

  ${
    $d w z A $.  $d w z B $.  $d w x y z $.
    hbiun.1 $e |- ( z e. A -> A. y z e. A ) $.
    hbiun.2 $e |- ( z e. B -> A. y z e. B ) $.
    $( Bound-variable hypothesis builder for indexed union.  (Contributed by
       Mario Carneiro, 25-Jan-2014.) $)
    hbiun $p |- ( z e. U_ x e. A B -> A. y z e. U_ x e. A B ) $=
      ( vw ciun cv wcel wrex cab df-iun hblem hbrex hbab hbxfreq ) BCADEIHJEKZA
      DLZHMAHDENTBHCSBADBCADFOBCHEGOPQR $.
      $( [25-Jan-2014] $)

    $( Bound-variable hypothesis builder for indexed intersection.
       (Contributed by Mario Carneiro, 25-Jan-2014.) $)
    hbiin $p |- ( z e. |^|_ x e. A B -> A. y z e. |^|_ x e. A B ) $=
      ( vw ciin cv wcel wral cab df-iin hblem hbral hbab hbxfreq ) BCADEIHJEKZA
      DLZHMAHDENTBHCSBADBCADFOBCHEGOPQR $.
      $( [25-Jan-2014] $)
  $}

  ${
    $d z A $.  $d z B $.  $d x y z $.
    $( Bound-variable hypothesis builder for indexed union. $)
    hbiu1 $p |- ( y e. U_ x e. A B -> A. x y e. U_ x e. A B ) $=
      ( vz ciun cv wcel wrex cab df-iun hbre1 hbab hbxfreq ) ABACDFEGDHZACIZEJA
      ECDKPAEBOACLMN $.
      $( [12-Oct-2003] $)

    $( Bound-variable hypothesis builder for indexed intersection. $)
    hbii1 $p |- ( y e. |^|_ x e. A B -> A. x y e. |^|_ x e. A B ) $=
      ( vz ciin cv wcel wral cab df-iin hbra1 hbab hbxfreq ) ABACDFEGDHZACIZEJA
      ECDKPAEBOACLMN $.
      $( [15-Oct-2003] $)
  $}

  ${
    $d y z w A $.  $d y z w B $.  $d w C z $.  $d w x y z $.
    $( Alternate definition of indexed union when ` B ` is a set.  Definition
       15(a) of [Suppes] p. 44.  (The proof was shortened by Andrew Salmon,
       25-Jul-2011.) $)
    dfiun2g $p |- ( A. x e. A B e. C ->
                  U_ x e. A B = U. { y | E. x e. A y = B } ) $=
      ( vz wcel wral ciun cv wceq wrex cab cuni wa wex hbra1 wb ra4 syl6bb syl6
      clel3g rexbida rexcom4 r19.41v exbii exancom bitri eliun eluniab 3bitr4g
      imp eqrdv ) DEGZACHZFACDIZBJZDKZACLZBMNZUOFJZDGZACLZVAUQGZUSOBPZVAUPGVAUT
      GUOVCURVDOZACLZBPZVEUOVCVFBPZACLVHUOVBVIACUNACQUOAJCGZVBVIRZUOVJUNVKUNACS
      BVADEUBUAULUCVFABCUDTVHUSVDOZBPVEVGVLBURVDACUEUFUSVDBUGUHTAVACDUIUSBVAUJU
      KUM $.
      $( [25-Jul-2011] $) $( [23-Mar-2006] $)
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    dfiun2.1 $e |- B e. _V $.
    $( Alternate definition of indexed union when ` B ` is a set.  Definition
       15(a) of [Suppes] p. 44.  (Unnecessary distinct variable restrictions
       were removed by David Abernethy, 19-Jun-2012.) $)
    dfiun2 $p |- U_ x e. A B = U. { y | E. x e. A y = B } $=
      ( cvv wcel ciun cv wceq wrex cab cuni dfiun2g a1i mprg ) DFGZACDHBIDJACKB
      LMJACABCDFNQAICGEOP $.
      $( [19-Jun-2012] $) $( [27-Jun-1998] $)
  $}

  ${
    $d y z w A $.  $d y z w B $.  $d w C $.  $d w x y z $.
    $( Alternate definition of indexed intersection when ` B ` is a set.
       (Contributed by Jeff Hankins, 27-Aug-2009.) $)
    dfiin2g $p |- ( A. x e. A B e. C
               -> |^|_ x e. A B = |^| { y | E. x e. A y = B } ) $=
      ( vw vz wcel wral cv cab wceq wrex wi wal ciin df-ral wb eqeq1 albii cint
      eleq2 biimprcd alrimiv eqid imbi12d cla4gv mpii impbid2 imim2i alimi albi
      pm5.74d syl sylbi alcom 19.21v 3bitr2ri r19.23v vex rexbidv imbi1i bitr4i
      elab bitri syl6bb syl5bb abbidv df-iin df-int 3eqtr4g ) DEHZACIZFJZDHZACI
      ZFKGJZBJZDLZACMZBKZHZVNVQHZNZGOZFKACDPWAUAVMVPWEFVPAJCHZVONZAOZVMWEVOACQV
      MWHWFVQDLZWCNZGOZNZAOZWEVMWFVLNZAOZWHWMRZVLACQWOWGWLRZAOWPWNWQAWNWFVOWKVL
      VOWKRWFVLVOWKVOWJGWIWCVOVQDVNUBZUCUDVLWKDDLZVODUEWJWSVONGDEWIWIWSWCVOVQDD
      SWRUFUGUHUIUJUMUKWGWLAULUNUOWMWJACIZGOZWEXAWFWJNZAOZGOXBGOZAOWMWTXCGWJACQ
      TXBAGUPXDWLAWFWJGUQTURWTWDGWTWIACMZWCNWDWIWCACUSWBXEWCVTXEBVQGUTVRVQLVSWI
      ACVRVQDSVAVDVBVCTVEVFVGVHAFCDVIFGWAVJVK $.
      $( [20-Sep-2011] $) $( [27-Aug-2009] $)
  $}

  ${
    $d y z w A $.  $d y z w B $.  $d w x y z $.
    dfiin2.1 $e |- B e. _V $.
    $( Alternate definition of indexed intersection when ` B ` is a set.
       Definition 15(b) of [Suppes] p. 44.  (The proof was shortened by Andrew
       Salmon, 25-Jul-2011.) $)
    dfiin2 $p |- |^|_ x e. A B = |^| { y | E. x e. A y = B } $=
      ( vz ciin cv wceq wrex cab cint wcel wral wi wal clel4 ralbii ralcom4 cvv
      r19.23v albii 3bitri wb vex eliin ax-mp elintab 3bitr4i eqriv ) FACDGZBHZ
      DIZACJZBKLZFHZDMZACNZUNUPULMZOZBPZUPUKMZUPUOMURUMUSOZBPZACNVCACNZBPVAUQVD
      ACBUPDEQRVCABCSVEUTBUMUSACUAUBUCUPTMVBURUDFUEZAUPCDTUFUGUNBUPVFUHUIUJ $.
      $( [25-Jul-2011] $) $( [28-Jun-1998] $)
  $}

  ${
    $d w y A $.  $d w x A $.  $d w z B $.  $d w z C $.
    cbviun.1 $e |- ( z e. B -> A. y z e. B ) $.
    cbviun.2 $e |- ( z e. C -> A. x z e. C ) $.
    cbviun.3 $e |- ( x = y -> B = C ) $.
    $( Rule used to change the bound variables in an indexed union, with the
       substitution specified implicitly by the hypothesis.  (Unnecessary
       distinct variable restrictions were removed by Andrew Salmon,
       25-Jul-2011.) $)
    cbviun $p |- U_ x e. A B = U_ y e. A C $=
      ( vw ciun cv wcel wrex hblem wceq eleq2d cbvrex eliun 3bitr4i eqriv ) JAD
      EKZBDFKZJLZEMZADNUDFMZBDNUDUBMUDUCMUEUFABDBCJEGOACJFHOALBLPEFUDIQRAUDDESB
      UDDFSTUA $.
      $( [25-Jul-2011] $) $( [26-Mar-2006] $)

    $( Change bound variables in an indexed intersection.  (Contributed by Jeff
       Hankins, 26-Aug-2009.) $)
    cbviin $p |- |^|_ x e. A B = |^|_ y e. A C $=
      ( vw ciin cv wcel wral hblem wceq cvv wb eliin ax-mp eleq2d 3bitr4i eqriv
      cbvral vex ) JADEKZBDFKZJLZEMZADNZUHFMZBDNZUHUFMZUHUGMZUIUKABDBCJEGOACJFH
      OALBLPEFUHIUAUDUHQMZUMUJRJUEZAUHDEQSTUOUNULRUPBUHDFQSTUBUC $.
      $( [26-Aug-2009] $)
  $}

  ${
    $d x A $.  $d y A $.  $d y z B $.  $d x z C $.
    cbviunv.1 $e |- ( x = y -> B = C ) $.
    $( Rule used to change the bound variables in an indexed union, with the
       substitution specified implicitly by the hypothesis. $)
    cbviunv $p |- U_ x e. A B = U_ y e. A C $=
      ( vz cv wcel ax-17 cbviun ) ABGCDEGHZDIBJLEIAJFK $.
      $( [25-Jul-2011] $) $( [15-Sep-2003] $)

    $( Change bound variables in an indexed intersection.  (Contributed by Jeff
       Hankins, 26-Aug-2009.) $)
    cbviinv $p |- |^|_ x e. A B = |^|_ y e. A C $=
      ( vz cv wcel ax-17 cbviin ) ABGCDEGHZDIBJLEIAJFK $.
      $( [26-Aug-2009] $)
  $}

  ${
    $d x y C $.  $d y A $.  $d y B $.
    $( Subset theorem for an indexed union.  (The proof was shortened by Andrew
       Salmon, 25-Jul-2011.) $)
    iunss $p |- ( U_ x e. A B C_ C <-> A. x e. A B C_ C ) $=
      ( vy ciun wss cv wcel wrex cab wal wral df-iun sseq1i abss ralbii ralcom4
      wi dfss2 r19.23v albii 3bitrri 3bitri ) ABCFZDGEHZCIZABJZEKZDGUHUFDIZSZEL
      ZCDGZABMZUEUIDAEBCNOUHEDPUNUGUJSZELZABMUOABMZELULUMUPABECDTQUOAEBRUQUKEUG
      UJABUAUBUCUD $.
      $( [25-Jul-2011] $) $( [13-Sep-2003] $)
  $}

  ${
    $d x y C $.  $d y A $.  $d y B $.
    $( Subset implication for an indexed union.  (The proof was shortened by
       Andrew Salmon, 25-Jul-2011.) $)
    ssiun $p |- ( E. x e. A C C_ B -> C C_ U_ x e. A B ) $=
      ( vy wss wrex ciun cv wcel ssel reximi r19.37av syl eliun syl6ibr ssrdv
      wi ) DCFZABGZEDABCHZTEIZDJZUBCJZABGZUBUAJTUCUDRZABGUCUERSUFABDCUBKLUCUDAB
      MNAUBBCOPQ $.
      $( [25-Jul-2011] $) $( [3-Sep-2003] $)
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    $( Identity law for subset of an indexed union.  (The proof was shortened
       by Andrew Salmon, 25-Jul-2011.) $)
    ssiun2 $p |- ( x e. A -> B C_ U_ x e. A B ) $=
      ( vy cv wcel ciun wrex ra4e ex eliun syl6ibr ssrdv ) AEBFZDCABCGZNDEZCFZQ
      ABHZPOFNQRQABIJAPBCKLM $.
      $( [25-Jul-2011] $) $( [12-Oct-2003] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y D $.
    ssiun2s.1 $e |- ( x = C -> B = D ) $.
    $( Subset relationship for an indexed union. $)
    ssiun2s $p |- ( C e. A -> D C_ U_ x e. A B ) $=
      ( vy ciun wss cv wcel ax-17 hbiu1 hbss wceq sseq1d ssiun2 vtoclgaf ) CABC
      HZIESIAGDBGJZDKALAGESTEKALAGBCMNAJDOCESFPABCQR $.
      $( [26-Oct-2003] $)
  $}

  ${
    $d x y $.  $d x B $.  $d y C $.  $d x D $.
    $( A subclass condition on the members of two indexed classes ` C ( x ) `
       and ` D ( y ) ` that implies a subclass relation on their indexed
       unions.  Generalization of Proposition 8.6 of [TakeutiZaring] p. 59.
       Compare ~ uniss2 . $)
    iunss2 $p |- ( A. x e. A E. y e. B C C_ D ->
                 U_ x e. A C C_ U_ y e. B D ) $=
      ( wss wrex wral ciun ssiun ralimi iunss sylibr ) EFGBDHZACIEBDFJZGZACIACE
      JPGOQACBDFEKLACEPMN $.
      $( [9-Dec-2004] $)
  $}

  ${
    $d y z A $.  $d x y z B $.  $d z ph $.
    $( The indexed union of a restricted class abstraction. $)
    iunrab $p |- U_ x e. A { y e. B | ph } = { y e. B | E. x e. A ph } $=
      ( vz cv wsbc wrex crab wcel cab ciun df-rab ax-17 hbs1 hbrex wceq sbequ12
      wa rexbidv cbvrab eliun elrabsf rexbii r19.42v 3bitri abbi2i 3eqtr4ri ) A
      CFGZHZBDIZFEJUJEKZULTZFLABDIZCEJBDACEJZMZULFENUOULCFBEBGZEKZCOZUSFOUOFOUK
      CBDURDKCOACFPQCGUJRAUKBDACFSUAUBUNFUQUJUQKUJUPKZBDIUMUKTZBDIUNBUJDUPUCVAV
      BBDACBUJEUTUDUEUMUKBDUFUGUHUI $.
      $( [3-Jan-2004] $)
  $}

  ${
    $d y A $.  $d x y $.
    $( The indexed union of a class abstraction. $)
    iunab $p |- U_ x e. A { y | ph } = { y | E. x e. A ph } $=
      ( cvv crab ciun wrex cab iunrab wceq cv wcel rabab a1i iuneq2i 3eqtr3i )
      BDACEFZGABDHZCEFBDACIZGSCIABCDEJBDRTRTKBLDMACNOPSCNQ $.
      $( [27-Dec-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.
    iunxdif2.1 $e |- ( x = y -> C = D ) $.
    $( Indexed union with a class difference as its index. $)
    iunxdif2 $p |- ( A. x e. A E. y e. ( A \ B ) C C_ D ->
                 U_ y e. ( A \ B ) D = U_ x e. A C ) $=
      ( wss cdif wrex wral ciun wceq iunss2 difss iunss1 ax-mp cbviunv sseqtr4i
      wa jctil eqss sylibr ) EFHBCDIZJACKZBUDFLZACELZHZUGUFHZTUFUGMUEUIUHABCUDE
      FNUFBCFLZUGUDCHUFUJHCDOBUDCFPQABCEFGRSUAUFUGUBUC $.
      $( [10-Dec-2004] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d y z C $.  $d x y z $.
    ssiinf.1 $e |- ( y e. C -> A. x y e. C ) $.
    $( Subset theorem for an indexed intersection.  (Contributed by FL,
       15-Oct-2012.) $)
    ssiinf $p |- ( C C_ |^|_ x e. A B <-> A. x e. A C C_ B ) $=
      ( ciin wss cv wcel wi wal wral dfss2 cvv wb vex eliin ax-mp albii ralcom4
      imbi2i ralbii r19.21 3bitrri 3bitri ) EACDGZHBIZEJZUHUGJZKZBLUIUHDJZACMZK
      ZBLZEDHZACMZBEUGNUKUNBUJUMUIUHOJUJUMPBQAUHCDORSUBTUQUIULKZBLZACMURACMZBLU
      OUPUSACBEDNUCURABCUAUTUNBUIULACFUDTUEUF $.
      $( [15-Oct-2012] $)
  $}

  ${
    $d x y C $.  $d y A $.  $d y B $.
    $( Subset theorem for an indexed intersection. $)
    ssiin $p |- ( C C_ |^|_ x e. A B <-> A. x e. A C C_ B ) $=
      ( vy cv wcel ax-17 ssiinf ) AEBCDEFDGAHI $.
      $( [15-Oct-2003] $)
  $}

  ${
    $d x y C $.  $d y A $.  $d y B $.
    $( Subset implication for an indexed intersection.  (The proof was
       shortened by Andrew Salmon, 25-Jul-2011.) $)
    iinss $p |- ( E. x e. A B C_ C -> |^|_ x e. A B C_ C ) $=
      ( vy wss wrex ciin cv wcel wral cvv wb vex eliin ax-mp wi reximi r19.36av
      ssel syl syl5bi ssrdv ) CDFZABGZEABCHZDEIZUFJZUGCJZABKZUEUGDJZUGLJUHUJMEN
      AUGBCLOPUEUIUKQZABGUJUKQUDULABCDUGTRUIUKABSUAUBUC $.
      $( [25-Jul-2011] $) $( [15-Oct-2003] $)
  $}

  ${
    $d A y $.  $d B y $.  $d x y $.
    $( An indexed intersection is included in any of its members.  (Contributed
       by FL, 15-Oct-2012.) $)
    iinss2 $p |- ( x e. A -> |^|_ x e. A B C_ B ) $=
      ( vy cv wcel ciin wral wi cvv wb vex eliin ax-mp ra4 sylbi com12 ssrdv )
      AEBFZDABCGZCDEZTFZSUACFZUBUCABHZSUCIUAJFUBUDKDLAUABCJMNUCABOPQR $.
      $( [15-Oct-2012] $)
  $}

  ${
    $d x y A $.
    $( Class union in terms of indexed union.  Definition in [Stoll] p. 43. $)
    uniiun $p |- U. A = U_ x e. A x $=
      ( vy cuni cv wcel wrex cab ciun dfuni2 df-iun eqtr4i ) BDCEAEZFABGCHABMIC
      ABJACBMKL $.
      $( [28-Jun-1998] $)

    $( Class intersection in terms of indexed intersection.  Definition in
       [Stoll] p. 44. $)
    intiin $p |- |^| A = |^|_ x e. A x $=
      ( vy cint cv wcel wral cab ciin dfint2 df-iin eqtr4i ) BDCEAEZFABGCHABMIC
      ABJACBMKL $.
      $( [28-Jun-1998] $)

    $( An indexed union of singletons recovers the index set. $)
    iunid $p |- U_ x e. A { x } = A $=
      ( vy cv csn ciun wceq cab wrex df-sn equcom abbii eqtri a1i iuneq2i iunab
      wcel risset abid2 eqtr3i 3eqtri ) ABADZEZFABUBCDZGZCHZFUEABIZCHZBABUCUFUC
      UFGUBBQUCUDUBGZCHUFCUBJUIUECCAKLMNOUEACBPUDBQZCHUHBUJUGCAUDBRLCBSTUA $.
      $( [18-Dec-2008] $) $( [6-Sep-2005] $)
  $}

  ${
    $d x y $.  $d y A $.
    $( An indexed union of the empty set is empty.  (The proof was shortened by
       Andrew Salmon, 25-Jul-2011.) $)
    iun0 $p |- U_ x e. A (/) = (/) $=
      ( vy c0 ciun cv wcel wrex wn noel a1i nrex eliun mtbir 2false eqriv ) CAB
      DEZDCFZQGZRDGZSTABHTABTIAFBGRJZKLARBDMNUAOP $.
      $( [25-Jul-2011] $) $( [26-Mar-2003] $)

    $( An empty indexed union is empty.  (The proof was shortened by Andrew
       Salmon, 25-Jul-2011.) $)
    0iun $p |- U_ x e. (/) A = (/) $=
      ( vy c0 ciun cv wcel wrex rex0 eliun mtbir noel 2false eqriv ) CADBEZDCFZ
      OGZPDGQPBGZADHRAIAPDBJKPLMN $.
      $( [25-Jul-2011] $) $( [4-Dec-2004] $)

    $( An empty indexed intersection is the universal class. $)
    0iin $p |- |^|_ x e. (/) A = _V $=
      ( vy c0 ciin cv wcel wral cab cvv df-iin vex ral0 2th abbi2i eqtr4i ) ADB
      ECFZBGZADHZCIJACDBKSCJQJGSCLRAMNOP $.
      $( [20-Oct-2005] $)

    $( Indexed intersection with a universal index class.  When ` A ` doesn't
       depend on ` x ` , this evaluates to ` A ` by ~ 19.3 and ~ abid2 .  When
       ` A = x ` , this evaluates to ` (/) ` . $)
    viin $p |- |^|_ x e. _V A = { y | A. x y e. A } $=
      ( cvv ciin cv wcel wral cab wal df-iin ralv abbii eqtri ) ADCEBFCGZADHZBI
      OAJZBIABDCKPQBOALMN $.
      $( [11-Sep-2008] $)
  $}

  ${
    $d x y A $.  $d y B $.
    $( There is a non-empty class in an indexed collection ` B ( x ) ` iff the
       indexed union of them is non-empty.  (The proof was shortened by Andrew
       Salmon, 25-Jul-2011.) $)
    iunn0 $p |- ( E. x e. A B =/= (/) <-> U_ x e. A B =/= (/) ) $=
      ( vy cv wcel wex wrex c0 wne rexcom4 eliun exbii bitr4i n0 rexbii 3bitr4i
      ciun ) DEZCFZDGZABHZSABCRZFZDGZCIJZABHUCIJUBTABHZDGUETADBKUDUGDASBCLMNUFU
      AABDCOPDUCOQ $.
      $( [25-Jul-2011] $) $( [15-Oct-2003] $)
  $}

  ${
    $d y z A $.  $d z ph $.  $d x y z $.
    $( Indexed intersection of a class builder. $)
    iinab $p |- |^|_ x e. A { y | ph } = { y | A. x e. A ph } $=
      ( vz cab wcel wral wsbc ciin df-clab ralbii abbii df-iin ax-17 hbs1 hbral
      cv wceq sbequ12 ralbidv cbvab 3eqtr4i ) ERZACFZGZBDHZEFACUDIZBDHZEFBDUEJA
      BDHZCFUGUIEUFUHBDAECKLMBEDUENUJUICEUJEOUHCBDBRDGCOACEPQCRUDSAUHBDACETUAUB
      UC $.
      $( [6-Dec-2011] $)

    $d x A $.  $d x B $.
    $( Indexed intersection of a restricted class builder. $)
    iinrab $p |- ( A =/= (/)
          -> |^|_ x e. A { y e. B | ph } = { y e. B | A. x e. A ph } ) $=
      ( c0 wne cv wcel wa wral cab crab ciin r19.28zv abbidv df-rab a1i iineq2i
      wceq iinab eqtri 3eqtr4g ) DFGZCHEIZAJZBDKZCLZUEABDKZJZCLBDACEMZNZUICEMUD
      UGUJCUEABDOPULBDUFCLZNUHBDUKUMUKUMTBHDIACEQRSUFBCDUAUBUICEQUC $.
      $( [6-Dec-2011] $)

    $d y B $.
    $( Indexed intersection of a restricted class builder. $)
    iinrab2 $p |- ( |^|_ x e. A { y e. B | ph } i^i B )
                      = { y e. B | A. x e. A ph } $=
      ( crab ciin cin wral wceq c0 cvv iineq1 0iin syl6eq incom inv1 eqtri rzal
      ineq1d rabid2 ralcom bitr2i sylib wne iinrab wss ssrab2 dfss mpbi syl6eqr
      eqtrd pm2.61ine ) BDACEFZGZEHZABDIZCEFZJDKDKJZUPEURUSUPLEHZEUSUOLEUSUOBKU
      NGLBDKUNMBUNNOTUTELHELEPEQROUSACEIZBDIZEURJZVABDSVCUQCEIVBUQCEUAACBEDUBUC
      UDULDKUEZUPUREHZURVDUOUREABCDEUFTUREUGURVEJUQCEUHUREUIUJUKUM $.
      $( [6-Dec-2011] $)
  $}

  ${
    $d y A $.  $d x y B $.  $d y C $.
    $( Indexed union of intersection.  Generalization of half of theorem
       "Distributive laws" in [Enderton] p. 30.  Use ~ uniiun to recover
       Enderton's theorem. $)
    iunin2 $p |- U_ x e. A ( B i^i C ) = ( B i^i U_ x e. A C ) $=
      ( vy cin ciun cv wcel wrex r19.42v elin rexbii eliun anbi2i 3bitr4i eqriv
      wa ) EABCDFZGZCABDGZFZEHZSIZABJZUCCIZUCUAIZRZUCTIUCUBIUFUCDIZRZABJUFUIABJ
      ZRUEUHUFUIABKUDUJABUCCDLMUGUKUFAUCBDNOPAUCBSNUCCUALPQ $.
      $( [26-Mar-2004] $)

    $( Indexed intersection of union.  Generalization of half of theorem
       "Distributive laws" in [Enderton] p. 30.  Use ~ intiin to recover
       Enderton's theorem. $)
    iinun2 $p |- |^|_ x e. A ( B u. C ) = ( B u. |^|_ x e. A C ) $=
      ( vy cun ciin cv wcel wral wo r19.32v elun ralbii cvv eliin ax-mp 3bitr4i
      wb vex orbi2i eqriv ) EABCDFZGZCABDGZFZEHZUCIZABJZUGCIZUGUEIZKZUGUDIZUGUF
      IUJUGDIZKZABJUJUNABJZKUIULUJUNABLUHUOABUGCDMNUKUPUJUGOIZUKUPSETZAUGBDOPQU
      ARUQUMUISURAUGBUCOPQUGCUEMRUB $.
      $( [19-Aug-2004] $)

    $( Indexed union of class difference.  Generalization of half of theorem
       "De Morgan's laws" in [Enderton] p. 31.  Use ~ intiin to recover
       Enderton's theorem. $)
    iundif2 $p |- U_ x e. A ( B \ C ) = ( B \ |^|_ x e. A C ) $=
      ( vy cdif ciun ciin cv wcel wrex wn wa eldif rexbii r19.42v rexnal cvv wb
      wral vex eliin ax-mp xchbinxr anbi2i 3bitri eliun 3bitr4i eqriv ) EABCDFZ
      GZCABDHZFZEIZUJJZABKZUNCJZUNULJZLZMZUNUKJUNUMJUPUQUNDJZLZMZABKUQVBABKZMUT
      UOVCABUNCDNOUQVBABPVDUSUQVDVAABTZURVAABQUNRJURVESEUAAUNBDRUBUCUDUEUFAUNBU
      JUGUNCULNUHUI $.
      $( [19-Aug-2004] $)
  $}

  ${
    $d x B $.  $d y C $.  $d x D $.  $d x y $.
    $( Rearrange indexed unions over intersection. $)
    2iunin $p |- U_ x e. A U_ y e. B ( C i^i D )
        = ( U_ x e. A C i^i U_ y e. B D ) $=
      ( cin ciun wceq cv wcel iunin2 a1i iuneq2i incom eqtri 3eqtri ) ACBDEFGHZ
      HACEBDFHZGZHZSACEHZGZUBSGACRTRTIAJCKZBDEFLMNUAACSEGZHUCACTUETUEIUDESOMNAC
      SELPSUBOQ $.
      $( [18-Dec-2008] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.
    $( Indexed intersection of class difference.  Generalization of half of
       theorem "De Morgan's laws" in [Enderton] p. 31.  Use ~ uniiun to recover
       Enderton's theorem. $)
    iindif2 $p |- ( A =/= (/) ->
                 |^|_ x e. A ( B \ C ) = ( B \ U_ x e. A C ) ) $=
      ( vy c0 wne cdif ciin ciun cv wcel wn wa r19.28zv eldif bicomi ralbii cvv
      wral wrex ralnex eliun xchbinxr anbi2i 3bitr3g wb vex eliin ax-mp 3bitr4g
      eqrdv ) BFGZEABCDHZIZCABDJZHZUMEKZUNLZABTZURCLZURUPLZMZNZURUOLZURUQLUMVAU
      RDLZMZNZABTVAVGABTZNUTVDVAVGABOVHUSABUSVHURCDPQRVIVCVAVIVFABUAVBVFABUBAUR
      BDUCUDUEUFURSLVEUTUGEUHAURBUNSUIUJURCUPPUKUL $.
      $( [5-Oct-2006] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d y V $.
    iinxsng.1 $e |- ( x = A -> B = C ) $.
    $( A singleton index picks out an instance of an indexed intersection's
       argument. $)
    iinxsng $p |- ( A e. V -> |^|_ x e. { A } B = C ) $=
      ( vy wcel csn ciin cv wceq wi wal wral cvv wb vex eliin ax-mp df-sn albii
      df-ral abeq2i imbi1i 3bitri ax-17 eleq2d ceqsalg syl5bb eqrdv ) BEHZGABIZ
      CJZDGKZUNHZAKZBLZUOCHZMZANZULUODHZUPUSAUMOZUQUMHZUSMZANVAUOPHUPVCQGRAUOUM
      CPSTUSAUMUCVEUTAVDURUSURAUMABUAUDUEUBUFUSVBABEVBAUGURCDUOFUHUIUJUK $.
      $( [15-Jan-2012] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x y D $.  $d x y E $.  $d y V $.
    $d y W $.
    iinxprg.1 $e |- ( x = A -> C = D ) $.
    iinxprg.2 $e |- ( x = B -> C = E ) $.
    $( Indexed intersection with an unordered pair index. $)
    iinxprg $p |- ( ( A e. V /\ B e. W )
        -> |^|_ x e. { A , B } C = ( D i^i E ) ) $=
      ( vy wcel wa cv wceq wi wal ax-17 eleq2d ceqsalg cpr ciin cin bi2anan9 wb
      wral cvv vex eliin ax-mp df-ral elpr imbi1i jaob bitri albii 19.26 3bitri
      wo elin 3bitr4g eqrdv ) BGLZCHLZMZKABCUAZDUBZEFUCZVEANZBOZKNZDLZPZAQZVICO
      ZVLPZAQZMZVKELZVKFLZMVKVGLZVKVHLVCVNVSVDVQVTVLVSABGVSARVJDEVKISTVLVTACHVT
      ARVODFVKJSTUDWAVLAVFUFZVIVFLZVLPZAQZVRVKUGLWAWBUEKUHAVKVFDUGUIUJVLAVFUKWE
      VMVPMZAQVRWDWFAWDVJVOUSZVLPWFWCWGVLVIBCAUHULUMVJVLVOUNUOUPVMVPAUQUOURVKEF
      UTVAVB $.
      $( [25-Jan-2012] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.
    iunxsn.1 $e |- A e. _V $.
    iunxsn.2 $e |- ( x = A -> B = C ) $.
    $( A singleton index picks out an instance of an indexed union's
       argument. $)
    iunxsn $p |- U_ x e. { A } B = C $=
      ( vy csn ciun cv wcel wrex eliun wceq eleq2d rexsn bitri eqriv ) GABHZCIZ
      DGJZTKUACKZASLUADKZAUASCMUBUCABEAJBNCDUAFOPQR $.
      $( [26-Mar-2004] $)
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    $( Separate a union in an indexed union. $)
    iunun $p |- U_ x e. A ( B u. C ) = ( U_ x e. A B u. U_ x e. A C ) $=
      ( vy cv cun wcel wrex cab ciun elun rexbii r19.43 bitri abbii unab eqtr4i
      wo df-iun uneq12i 3eqtr4i ) EFZCDGZHZABIZEJZUCCHZABIZEJZUCDHZABIZEJZGZABU
      DKABCKZABDKZGUGUIULSZEJUNUFUQEUFUHUKSZABIUQUEURABUCCDLMUHUKABNOPUIULEQRAE
      BUDTUOUJUPUMAEBCTAEBDTUAUB $.
      $( [27-Dec-2004] $)

    $( Separate a union in the index of an indexed union. $)
    iunxun $p |- U_ x e. ( A u. B ) C = ( U_ x e. A C u. U_ x e. B C ) $=
      ( vy cun ciun cv wcel wrex wo wa wex df-rex elun anbi1i andir bitri exbii
      eliun 19.43 orbi12i bitr4i 3bitri 3bitr4i eqriv ) EABCFZDGZABDGZACDGZFZEH
      ZDIZAUGJZULUIIZULUJIZKZULUHIULUKIUNAHZUGIZUMLZAMURBIZUMLZURCIZUMLZKZAMZUQ
      UMAUGNUTVEAUTVAVCKZUMLVEUSVGUMURBCOPVAVCUMQRSVFVBAMZVDAMZKUQVBVDAUAUOVHUP
      VIUOUMABJVHAULBDTUMABNRUPUMACJVIAULCDTUMACNRUBUCUDAULUGDTULUIUJOUEUF $.
      $( [26-Mar-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( A relationship involving union and indexed intersection.  Exercise 23 of
       [Enderton] p. 33. $)
    iinuni $p |- ( A u. |^| B ) = |^|_ x e. B ( A u. x ) $=
      ( vy cint cv ciin wcel wo wral r19.32v elun ralbii elint2 orbi2i 3bitr4ri
      cun vex cvv wb eliin ax-mp 3bitr4i eqriv ) DBCEZQZACBAFZQZGZDFZBHZUJUEHZI
      ZUJUHHZACJZUJUFHUJUIHZUKUJUGHZIZACJUKUQACJZIUOUMUKUQACKUNURACUJBUGLMULUSU
      KAUJCDRZNOPUJBUELUJSHUPUOTUTAUJCUHSUAUBUCUD $.
      $( [25-Nov-2003] $)

    $( A relationship involving union and indexed union.  Exercise 25 of
       [Enderton] p. 33.  (The proof was shortened by Andrew Salmon,
       25-Jul-2011.) $)
    iununi $p |- ( ( B = (/) -> A = (/) ) <->
                ( A u. U. B ) = U_ x e. B ( A u. x ) ) $=
      ( vy c0 wceq wi cun cv wcel wrex wo elun wn biorf orbi2i bitri wex neq0
      wa cuni ciun rexbii wb wne df-ne r19.45zv sylbir n0i con2i rexbidv bitr3d
      syl ja syl5rbb eluni2 eliun 3bitr4g eqrdv eleq2 eluni ax-17 19.45 3bitr4i
      df-rex 3bitr3g biimpd 19.39 simpl imim12i eximi 3syl 19.37v sylib exlimdv
      orc 3imtr4g con4d impbii ) CEFZBEFZGZBCUAZHZACBAIZHZUBZFZWBDWDWGWBDIZBJZW
      IWEJZACKZLZWIWFJZACKZWIWDJZWIWGJZWOWJWKLZACKZWBWMWNWRACWIBWEMUCVTWAWSWMUD
      ZVTNZCEUEWTCEUFWJWKACUGUHWAWJNZWTWJWABWIUIUJXBWLWSWMXBWKWRACWJWKOUKWJWLOU
      LUMUNUOWPWJWIWCJZLZWMWIBWCMZXCWLWJAWICUPPQAWICWFUQZURUSWHWAVTWHWJDRWECJZA
      RZWANXAWHWJXHDWHWJXGGZARZWJXHGWHWJWKXGTZLZARZXGWNTZARZGXLXNGZARXJWHXMXOWH
      WPWQXMXOWDWGWIUTXDWJXKARZLWPXMXCXQWJAWICVAPXEWJXKAWJAVBVCVDWQWOXOXFWNACVE
      QVFVGXLXNAVHXPXIAWJXLXNXGWJXKVPXGWNVIVJVKVLWJXGAVMVNVODBSACSVQVRVS $.
      $( [25-Jul-2011] $) $( [25-Nov-2003] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Subclass relationship for power class and union. $)
    sspwuni $p |- ( A C_ ~P B <-> U. A C_ B ) $=
      ( vx cv cpw wcel wral wss cuni vex elpw ralbii dfss3 unissb 3bitr4i ) CDZ
      BEZFZCAGPBHZCAGAQHAIBHRSCAPBCJKLCAQMCABNO $.
      $( [5-May-2009] $) $( [18-Jul-2006] $)

    $( Two ways to express a collection of subclasses. $)
    pwssb $p |- ( A C_ ~P B <-> A. x e. A x C_ B ) $=
      ( cpw wss cuni cv wral sspwuni unissb bitri ) BCDEBFCEAGCEABHBCIABCJK $.
      $( [19-Jul-2006] $)
  $}

  $( Relationship for power class and union. $)
  elpwuni $p |- ( B e. A -> ( A C_ ~P B <-> U. A = B ) ) $=
    ( cpw wss cuni wcel wceq sspwuni unissel expcom eqimss impbid1 syl5bb ) ABC
    DAEZBDZBAFZNBGZABHPOQOPQABIJNBKLM $.
    $( [13-May-2007] $) $( [18-Jul-2006] $)

  ${
    $d x y A $.
    $( The power class of an intersection in terms of indexed intersection.
       Exercise 24(a) of [Enderton] p. 33. $)
    iinpw $p |- ~P |^| A = |^|_ x e. A ~P x $=
      ( vy cint cpw cv ciin wss wcel wral ssint vex elpw ralbii bitr4i wb eliin
      cvv ax-mp 3bitr4i eqriv ) CBDZEZABAFZEZGZCFZUBHZUGUEIZABJZUGUCIUGUFIZUHUG
      UDHZABJUJAUGBKUIULABUGUDCLZMNOUGUBUMMUGRIUKUJPUMAUGBUERQSTUA $.
      $( [29-Nov-2003] $)

    $( Inclusion of an indexed union of a power class in the power class of the
       union of its index.  Part of Exercise 24(b) of [Enderton] p. 33. $)
    iunpwss $p |- U_ x e. A ~P x C_ ~P U. A $=
      ( vy cpw ciun cuni wss wrex wcel ssiun eliun vex elpw rexbii bitri uniiun
      cv sseq2i 3imtr4i ssriv ) CABAQZDZEZBFZDZCQZUAGZABHZUFABUAEZGZUFUCIZUFUEI
      ZABUAUFJUKUFUBIZABHUHAUFBUBKUMUGABUFUACLZMNOULUFUDGUJUFUDUNMUDUIUFABPROST
      $.
      $( [25-Nov-2003] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                Epsilon and identity relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constant symbols. $)
  $c _E $. $( Letter E (for epsilon relation) $)
  $c _I $.  $( Letter I (for identity relation) $)

  $( Extend class notation to include the epsilon relation. $)
  cep $a class _E $.

  $( Extend the definition of a class to include identity relation. $)
  cid $a class _I $.

  ${
    $d x y $.
    $( Define the epsilon relation.  Similar to Definition 6.22 of
       [TakeutiZaring] p. 30. $)
    df-eprel $a |- _E = { <. x , y >. | x e. y } $.
  $}

  ${
    $d x y A $.  $d x y B $.
    epelc.1 $e |- B e. _V $.
    $( The epsilon relation and the membership relation are the same. $)
    epelc $p |- ( A _E B <-> A e. B ) $=
      ( vx vy cep wbr cvv wcel brex simpld wb wel cv eleq1 eleq2 df-eprel brabg
      elex mpan2 pm5.21nii ) ABFGZAHIZABIZUBUCBHIZABFJKABSUCUEUBUDLCDEMAENZIUDD
      EABHHFDNAUFOUFBAPDEQRTUA $.
      $( [13-Aug-1995] $)
  $}

  ${
    $( The epsilon relation and the membership relation are the same. $)
    epel $p |- ( x _E y <-> x e. y ) $=
      ( cv vex epelc ) ACBCBDE $.
      $( [13-Aug-1995] $)
  $}

  ${
    $d x y $.
    $( Define the identity relation.  Definition 9.15 of [Quine] p. 64. $)
    df-id $a |- _I = { <. x , y >. | x = y } $.
  $}

  ${
    $d w z x $.  $d w z y $.
    $( A stronger version of ~ df-id that doesn't require ` x ` and ` y ` to be
       distinct.  Ordinarily, we wouldn't use this as a definition, since
       non-distinct dummy variables would make soundness verification more
       difficult (as the proof here shows).  The proof can be instructive in
       showing how distinct variable requirements may be eliminated, a task
       that is not necessarily obvious. $)
    dfid3 $p |- _I = { <. x , y >. | x = y } $=
      ( vw vz cid cv cop wceq wa wex cab copab df-opab wal exbii eqeq2d equequ2
      wb opeq2 wi df-id ancom equcom anbi1i bitri vex ceqsexv equid 3bitri hbe1
      biantru 19.9 bitr4i anbi12d drex1 drex2 syl5bb wn hbnae dveel2 nalequcoms
      a4s wcel hbopd hbeleqd dveeq1 hband a1i cbvexd exbid pm2.61i abbii 3eqtri
      a17d eqtr4i ) ECFZAFZBFZGZHZVQVRHZIZBJZAJZCKZWAABLEVQDFZHZADLVPVQWFGZHZWG
      IZDJZAJZCKWEADUAWGADCMWLWDCWAANZWLWDRWLVPVQVQGZHZVQVQHZIZAJZAJZWMWDWLWRWS
      WKWQAWKWFVQHZWIIZDJWOWQWJXADWJWGWIIXAWIWGUBWGWTWIADUCUDUEOWIWODVQAUFWTWHW
      NVPWFVQVQSPUGWPWOAUHUKUIOWRAWQAUJULUMWRWCABAWQWBABWAWQWBRAWAWOVTWPWAWAWNV
      SVPVQVRVQSPABAQUNVBUOUPUQWMURZWKWCAABAUSXBWJWBDBABBUSZXBWIWGBXBBCWHXCXBBC
      VQWFXCVPVQVCZXDBNTBABACUTVAXBVPWFVCBVNVDVEWGWGBNTBABADVFVAVGWFVRHZWJWBRTX
      BXEWIVTWGWAXEWHVSVPWFVRVQSPDBAQUNVHVIVJVKVLVMWAABCMVO $.
      $( [5-Feb-2008] $)
  $}

  $( Alternate definition of the identity relation. $)
  dfid2 $p |- _I = { <. x , x >. | x = x } $=
    ( dfid3 ) AAB $.
    $( [15-Mar-2007] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Functions and relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c X. $. $( Times symbol (cross product symbol) (read: 'cross') $)
  $c `' $. $( Small elevated smiley (converse operation) $)
  $c dom $. $( Domain $)
  $c ran $. $( Range $)
  $c |` $. $( Right hook (restriction symbol) $)
  $c Rel $. $( Relation predicate $)
  $c Fun $. $( Function predicate $)
  $c Fn $. $( Function connective $)
  $c : $. $( Colon $)
  $c --> $. $( Domain-codomain connective $)
  $c -1-1-> $. $( 'One-to-one' domain-codomain connective $)
  $c -onto-> $. $( 'Onto' domain-codomain connective $)
  $c -1-1-onto-> $. $( 'One-to-one' and 'onto' domain-codomain connective $)
  $c ` $. $( Left apostrophe (function value symbol) $)
  $c Isom $. $( Isomorphism $)
  $c 2nd $. $( Second function. $)

  $( Extend the definition of a class to include the cross product. $)
  cxp $a class ( A X. B ) $.

  $( Extend the definition of a class to include the converse of a class. $)
  ccnv $a class `' A $.

  $( Extend the definition of a class to include the domain of a class. $)
  cdm $a class dom A $.

  $( Extend the definition of a class to include the range of a class. $)
  crn $a class ran A $.

  $( Extend the definition of a class to include the restriction of a class.
     (Read:  The restriction of ` A ` to ` B ` .) $)
  cres $a class ( A |` B ) $.

  $( Extend the definition of a wff to include the relation predicate.  (Read:
     ` A ` is a relation.) $)
  wrel $a wff Rel A $.

  $( Extend the definition of a wff to include the function predicate.  (Read:
     ` A ` is a function.) $)
  wfun $a wff Fun A $.

  $( Extend the definition of a wff to include the function predicate with a
     domain.  (Read: ` A ` is a function on ` B ` .) $)
  wfn $a wff A Fn B $.

  $( Extend the definition of a wff to include the function predicate with
     domain and codomain.  (Read: ` F ` maps ` A ` into ` B ` .) $)
  wf $a wff F : A --> B $.

  $( Extend the definition of a wff to include one-to-one functions.  (Read:
     ` F ` maps ` A ` one-to-one into ` B ` .)  The notation ("1-1" above the
     arrow) is from Definition 6.15(5) of [TakeutiZaring] p. 27. $)
  wf1 $a wff F : A -1-1-> B $.

  $( Extend the definition of a wff to include onto functions.  (Read: ` F `
     maps ` A ` onto ` B ` .)  The notation ("onto" below the arrow) is from
     Definition 6.15(4) of [TakeutiZaring] p. 27. $)
  wfo $a wff F : A -onto-> B $.

  $( Extend the definition of a wff to include one-to-one onto functions.
     (Read: ` F ` maps ` A ` one-to-one onto ` B ` .)  The notation ("1-1"
     above the arrow and "onto" below the arrow) is from Definition 6.15(6) of
     [TakeutiZaring] p. 27. $)
  wf1o $a wff F : A -1-1-onto-> B $.

  $( Extend the definition of a class to include the value of a function.
     (Read:  The value of ` F ` at ` A ` , or " ` F ` of ` A ` .") $)
  cfv $a class ( F ` A ) $.

  $( Extend the definition of a wff to include the isomorphism property.
     (Read: ` H ` is an ` R ` , ` S ` isomorphism of ` A ` onto ` B ` .) $)
  wiso $a wff H Isom R , S ( A , B ) $.

  $( Extend the definition of a class to include the second function. $)
  c2nd $a class 2nd $.

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.
    $( Define the cross product of two classes.  Definition 9.11 of [Quine]
       p. 64. $)
    df-xp $a |- ( A X. B ) = { <. x , y >. | ( x e. A /\ y e. B ) } $.

    $( Define the relation predicate.  Definition 6.4(1) of [TakeutiZaring]
       p. 23.  For alternate definitions, see ~ dfrel2 and ~ dfrel3 . $)
    df-rel $a |- ( Rel A <-> A C_ ( _V X. _V ) ) $.

    $( Define the converse of a class.  Definition 9.12 of [Quine] p. 64.  We
       use Quine's breve accent (smile) notation.  Like Quine, we use it as a
       prefix, which eliminates the need for parentheses.  Many authors use the
       postfix superscript "to the minus one."  "Converse" is Quine's
       terminology; some authors call it "inverse," especially when the
       argument is a function. $)
    df-cnv $a |- `' A = { <. x , y >. | y A x } $.


    $( Define the range of a class.  The notation " ` ran ` " is used by
       Enderton; other authors sometimes use script R or script W. $)
    df-rn $a |- ran A = ( A " _V ) $.

    $( Define the domain of a class.  The notation " ` dom ` " is used by
       Enderton; other authors sometimes use script D. $)
    df-dm $a |- dom A = ran `' A $.

    $( Define the restriction of a class.  Definition 6.6(1) of [TakeutiZaring]
       p. 24. $)
    df-res $a |- ( A |` B ) = ( A i^i ( B X. _V ) ) $.

    $( Define a function.  Definition 10.1 of [Quine] p. 65.  For alternate
       definitions, see ~ dffun2 , ~ dffun3 , ~ dffun4 , ~ dffun5 , ~ dffun6 ,
       ~ dffun7 , ~ dffun8 , and ~ dffun9 . $)
    df-fun $a |- ( Fun A <-> ( Rel A /\ ( A o. `' A ) C_ _I ) ) $.

    $( Define a function with domain.  Definition 6.15(1) of [TakeutiZaring]
       p. 27.  For alternate definitions, see ~ dffn2 , ~ dffn3 , ~ dffn4 , and
       ~ dffn5 . $)
    df-fn $a |- ( A Fn B <-> ( Fun A /\ dom A = B ) ) $.

    $( Define a function (mapping) with domain and codomain.  Definition
       6.15(3) of [TakeutiZaring] p. 27.  For alternate definitions, see
       ~ dff2 , ~ dff3 , and ~ dff4 . $)
    df-f $a |- ( F : A --> B <-> ( F Fn A /\ ran F C_ B ) ) $.

    $( Define a one-to-one function.  For equivalent definitions see ~ dff12
       and ~ dff13 .  Compare Definition 6.15(5) of [TakeutiZaring] p. 27.  We
       use their notation ("1-1" above the arrow). $)
    df-f1 $a |- ( F : A -1-1-> B <-> ( F : A --> B /\ Fun `' F ) ) $.

    $( Define an onto function.  Definition 6.15(4) of [TakeutiZaring] p. 27.
       We use their notation ("onto" under the arrow).  For alternate
       definitions, see ~ dffo2 , ~ dffo3 , ~ dffo4 , and ~ dffo5 . $)
    df-fo $a |- ( F : A -onto-> B <-> ( F Fn A /\ ran F = B ) ) $.

    $( Define a one-to-one onto function.  For equivalent definitions see
       ~ dff1o2 , ~ dff1o3 , ~ dff1o4 , and ~ dff1o5 .  Compare Definition
       6.15(6) of [TakeutiZaring] p. 27.  We use their notation ("1-1" above
       the arrow and "onto" below the arrow). $)
    df-f1o $a |- ( F : A -1-1-onto-> B <->
                ( F : A -1-1-> B /\ F : A -onto-> B ) ) $.

    $( Define the value of a function.  Definition taken from fv4 in set.mm.
       This works for a general definition here due to the different existence
       properties of our ordered pairs. $)
    df-fv $a |- ( F ` A ) = ( iota x A F x ) $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $( Define the isomorphism predicate.  We read this as " ` H ` is an ` R ` ,
       ` S ` isomorphism of ` A ` onto ` B ` ."  Normally, ` R ` and ` S ` are
       ordering relations on ` A ` and ` B ` respectively.  Definition 6.28 of
       [TakeutiZaring] p. 32, whose notation is the same as ours except that
       ` R ` and ` S ` are subscripts. $)
    df-iso $a |- ( H Isom R , S ( A , B ) <-> ( H : A -1-1-onto-> B /\
                 A. x e. A A. y e. A ( x R y <-> ( H ` x ) S ( H ` y ) ) ) ) $.

  $}

  ${
    $d x y z $.
    $( Define the ` 2nd ` function.  This function extracts the second member
       of an ordered pair. $)
    df-2nd $a |- 2nd = { <. x , y >. | E. z x = <. z , y >. } $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    $( Equality theorem for cross product. $)
    xpeq1 $p |- ( A = B -> ( A X. C ) = ( B X. C ) ) $=
      ( vx vy wceq cv wcel wa copab cxp eleq2 anbi1d opabbidv df-xp 3eqtr4g ) A
      BFZDGZAHZEGCHZIZDEJRBHZTIZDEJACKBCKQUAUCDEQSUBTABRLMNDEACODEBCOP $.
      $( [4-Jul-1994] $)

    $( Equality theorem for cross product. $)
    xpeq2 $p |- ( A = B -> ( C X. A ) = ( C X. B ) ) $=
      ( vx vy wceq cv wcel wa copab cxp eleq2 anbi2d opabbidv df-xp 3eqtr4g ) A
      BFZDGCHZEGZAHZIZDEJRSBHZIZDEJCAKCBKQUAUCDEQTUBRABSLMNDECAODECBOP $.
      $( [5-Jul-1994] $)

    $( Membership in a cross product.  Uses fewer axioms than ~ elxp . $)
    elxpi $p |- ( A e. ( B X. C ) -> E. x E. y ( A = <. x , y >. /\
               ( x e. B /\ y e. C ) ) ) $=
      ( vz cv cop wceq wcel wa wex cab cxp eqeq1 anbi1d 2exbidv elabg ibi copab
      df-xp df-opab eqtri eleq2s ) CAGZBGZHZIZUEDJUFEJKZKZBLALZCFGZUGIZUIKZBLAL
      ZFMZDENZCUPJUKUOUKFCUPULCIZUNUJABURUMUHUIULCUGOPQRSUQUIABTUPABDEUAUIABFUB
      UCUD $.
      $( [4-Jul-1994] $)

    $( Membership in a cross product. $)
    elxp $p |- ( A e. ( B X. C ) <-> E. x E. y ( A = <. x , y >. /\
               ( x e. B /\ y e. C ) ) ) $=
      ( cxp wcel cv wa copab cop wceq wex df-xp eleq2i elopab bitri ) CDEFZGCAH
      ZDGBHZEGIZABJZGCSTKLUAIBMAMRUBCABDENOUAABCPQ $.
      $( [4-Jul-1994] $)

    $( Membership in a cross product. $)
    elxp2 $p |- ( A e. ( B X. C ) <-> E. x e. B E. y e. C A = <. x , y >. ) $=
      ( cv wcel cop wceq wrex wa wex cxp df-rex r19.42v an13 exbii 3bitr3i elxp
      3bitr4ri ) AFZDGZCUABFZHIZBEJZKZALUDUBUCEGZKKZBLZALUEADJCDEMGUFUIAUBUDKZB
      EJUGUJKZBLUFUIUJBENUBUDBEOUKUHBUGUBUDPQRQUEADNABCDEST $.
      $( [23-Feb-2004] $)
  $}

  $( Equality theorem for cross product.  (Contributed by FL, 31-Aug-2009.) $)
  xpeq12 $p |- ( ( A = B /\ C = D ) -> ( A X. C ) = ( B X. D ) ) $=
    ( wceq cxp xpeq1 xpeq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.
    $( [31-Aug-2009] $)

  ${
    xpeq1i.1 $e |- A = B $.
    $( Equality inference for cross product. $)
    xpeq1i $p |- ( A X. C ) = ( B X. C ) $=
      ( wceq cxp xpeq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [21-Dec-2008] $)

    $( Equality inference for cross product. $)
    xpeq2i $p |- ( C X. A ) = ( C X. B ) $=
      ( wceq cxp xpeq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [21-Dec-2008] $)
  $}

  ${
    xpeq12i.1 $e |- A = B $.
    xpeq12i.2 $e |- C = D $.
    $( Equality inference for cross product.  (Contributed by FL,
       31-Aug-2009.) $)
    xpeq12i $p |- ( A X. C ) = ( B X. D ) $=
      ( wceq cxp xpeq12 mp2an ) ABGCDGACHBDHGEFABCDIJ $.
      $( [31-Aug-2009] $)
  $}

  ${
    xpeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for cross product.  (Contributed by Jeff Madsen,
       17-Jun-2010.) $)
    xpeq1d $p |- ( ph -> ( A X. C ) = ( B X. C ) ) $=
      ( wceq cxp xpeq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [17-Jun-2010] $)

    $( Equality deduction for cross product.  (Contributed by Jeff Madsen,
       17-Jun-2010.) $)
    xpeq2d $p |- ( ph -> ( C X. A ) = ( C X. B ) ) $=
      ( wceq cxp xpeq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [17-Jun-2010] $)

    xpeq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality deduction for cross product. $)
    xpeq12d $p |- ( ph -> ( A X. C ) = ( B X. D ) ) $=
      ( wceq cxp xpeq12 syl2anc ) ABCHDEHBDICEIHFGBCDEJK $.
      $( [8-Dec-2013] $)
  $}

  ${
    $d y z w A $.  $d y z w B $.  $d x y z w $.
    hbxp.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbxp.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for cross product.  (The proof was
       shortened by Andrew Salmon, 12-Aug-2011.) $)
    hbxp $p |- ( y e. ( A X. B ) -> A. x y e. ( A X. B ) ) $=
      ( vz vw cxp cv wcel wa copab df-xp hblem hban hbopab hbxfreq ) ABCDIGJCKZ
      HJDKZLZGHMGHCDNUAGHABSTAABGCEOABHDFOPQR $.
      $( [12-Aug-2011] $) $( [15-Sep-2003] $)
  $}


  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.
    $( Ordered pair membership in a cross product.  (The proof was shortened by
       Andrew Salmon, 12-Aug-2011.) $)
    opelxp $p |- ( <. A , B >. e. ( C X. D ) <-> ( A e. C /\ B e. D ) ) $=
      ( vx vy cop cv wceq wcel wa wex cxp eqcom bitri anbi1i an4 2exbii df-clel
      opth elxp anbi12i eeanv bitr4i 3bitr4i ) ABGZEHZFHZGZIZUGCJZUHDJZKZKZFLEL
      UGAIZUKKZUHBIZULKZKZFLELZUFCDMJACJZBDJZKZUNUSEFUNUOUQKZUMKUSUJVDUMUJUIUFI
      VDUFUINUGUHABTOPUOUQUKULQOREFUFCDUAVCUPELZURFLZKUTVAVEVBVFEACSFBDSUBUPURE
      FUCUDUE $.
      $( [12-Aug-2011] $) $( [15-Nov-1994] $)

    $( Binary relation on a cross product. $)
    brxp $p |- ( A ( C X. D ) B <-> ( A e. C /\ B e. D ) ) $=
      ( cxp wbr cop wcel wa df-br opelxp bitri ) ABCDEZFABGMHACHBDHIABMJABCDKL
      $.
      $( [22-Apr-2004] $)
  $}

  ${
    $d A w y z $.  $d B w y z $.  $d C w y z $.  $d D w y z $.  $d w x y z $.
    $( Distribute proper substitution through the cross product of two
       classes.  (Contributed by Alan Sare, 10-Nov-2012. ) $)
    csbxpg $p |- ( A e. D -> [_ A / x ]_ ( B X. C ) =
                ( [_ A / x ]_ B X. [_ A / x ]_ C ) ) $=
      ( vz vw vy wcel cxp csb cv wa wex cab wsbc copab df-xp df-opab bitrd wceq
      cop eqtri csbeq2i csbabg sbcexg sbcang sbcg sbcel2g anbi12d exbidv abbidv
      3eqtrd syl6eqr ) BEIZABCDJZKZFLGLZHLZUBUAZURABCKZIZUSABDKZIZMZMZHNZGNZFOZ
      VAVCJZUOUQABUTURCIZUSDIZMZMZHNZGNZFOZKVPABPZFOVIABUPVQEUPVMGHQVQGHCDRVMGH
      FSUCUDVPAFBEUEUOVRVHFUOVRVOABPZGNVHVOGABEUFUOVSVGGUOVSVNABPZHNVGVNHABEUFU
      OVTVFHUOVTUTABPZVMABPZMVFUTVMABEUGUOWAUTWBVEUTABEUHUOWBVKABPZVLABPZMVEVKV
      LABEUGUOWCVBWDVDABURCEUIABUSDEUIUJTUJTUKTUKTULUMVJVEGHQVIGHVAVCRVEGHFSUCU
      N $.
      $( [10-Nov-2012] $)
  $}


  ${
    $d x y z A $.  $d x y z B $.  $d y z ph $.  $d x ps $.
    rabxp.1 $e |- ( x = <. y , z >. -> ( ph <-> ps ) ) $.
    $( Membership in a class builder restricted to a cross product. $)
    rabxp $p |- { x e. ( A X. B ) | ph }
             = { <. y , z >. | ( y e. A /\ z e. B /\ ps ) } $=
      ( cv cxp wcel wa cab cop wceq w3a wex crab copab elxp anbi1i anass anbi2d
      19.41vv df-3an syl6bbr pm5.32i bitri 2exbii 3bitr2i abbii df-opab 3eqtr4i
      df-rab ) CIZFGJZKZALZCMUODIZEIZNOZUSFKZUTGKZBPZLZEQDQZCMACUPRVDDESURVFCUR
      VAVBVCLZLZEQDQZALVHALZEQDQVFUQVIADEUOFGTUAVHADEUDVJVEDEVJVAVGALZLVEVAVGAU
      BVAVKVDVAVKVGBLVDVAABVGHUCVBVCBUEUFUGUHUIUJUKACUPUNVDDECULUM $.
      $( [20-Feb-2014] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Representation of a constant function using ordered pairs. $)
    fconstopab $p |- ( A X. { B } ) = { <. x , y >. | ( x e. A /\ y = B ) } $=
      ( csn cxp cv wcel wa copab wceq df-xp df-sn abeq2i anbi2i opabbii eqtri )
      CDEZFAGCHZBGZRHZIZABJSTDKZIZABJABCRLUBUDABUAUCSUCBRBDMNOPQ $.
      $( [12-Oct-1999] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y z C $.  $d x y z R $.
    vtoclr.2 $e |- ( ( x R y /\ y R z ) -> x R z ) $.
    $( Variable to class conversion of transitive relation. $)
    vtoclr $p |- ( ( A R B /\ B R C ) -> A R C ) $=
      ( cvv wcel wa wbr brex wi cv wceq breq1 imbi12d imbi2d breq2 simprd mpcom
      anim12i anbi1d anbi12d imbi1d anbi2d vtoclg vtocl2g imp ) DIJEIJZKZFIJZKD
      EGLZEFGLZKZDFGLZUNULUOUMDEGMUOUKUMEFGMUAUCULUMUPUQNZUMAOZBOZGLZUTFGLZKZUS
      FGLZNZNUMDUTGLZVBKZUQNZNUMURNABDEIIUSDPZVEVHUMVIVCVGVDUQVIVAVFVBUSDUTGQUD
      USDFGQRSUTEPZVHURUMVJVGUPUQVJVFUNVBUOUTEDGTUTEFGQUEUFSVAUTCOZGLZKZUSVKGLZ
      NVECFIVKFPZVMVCVNVDVOVLVBVAVKFUTGTUGVKFUSGTRHUHUIUJUB $.
      $( [9-Jun-1998] $)
  $}


  ${
    $d x y z A $.  $d x y z B $.  $d y z ph $.  $d x ps $.
    ralxp.1 $e |- ( x = <. y , z >. -> ( ph <-> ps ) ) $.
    $( Universal quantification restricted to a cross product is equivalent to
       a double restricted quantification.  The hypothesis specifies an
       implicit substitution. $)
    ralxp $p |- ( A. x e. ( A X. B ) ph <-> A. y e. A A. z e. B ps ) $=
      ( cxp wral cv wcel wa cop opelxp wex wi ax-17 hbim exlimi rcla4cv syl5bir
      ralrimivv wceq elxp simpl 2eximi sylbi hbra1 hbra2 syl5bi imbi12d syl5ibr
      ra42 eleq1 syl pm2.43b ralrimiv impbii ) ACFGIZJZBEGJZDFJZVABDEFGDKZFLEKZ
      GLMZVDVENZUTLZVABVDVEFGOZABCVGUTHUAUBUCVCACUTVCCKZUTLZAVKVJVGUDZEPZDPZVCV
      KAQZQZVKVLVFMZEPDPVNDEVJFGUEVQVLDEVLVFUFUGUHVMVPDVCVODVBDFUIVODRSVLVPEVCV
      OEBDEFGUJVOERSVCVOVLVHBQVHVFVCBVIBDEFGUNUKVLVKVHABVJVGUTUOHULUMTTUPUQURUS
      $.
      $( [7-Feb-2004] $)

    $( Existential quantification restricted to a cross product is equivalent
       to a double restricted quantification. $)
    rexxp $p |- ( E. x e. ( A X. B ) ph <-> E. y e. A E. z e. B ps ) $=
      ( wn cxp wral wrex cv cop wceq notbid ralxp ralnex ralbii dfrex2 3bitr4i
      bitri notbii ) AIZCFGJZKZIBEGLZIZDFKZIACUELUGDFLUFUIUFBIZEGKZDFKUIUDUJCDE
      FGCMDMEMNOABHPQUKUHDFBEGRSUBUCACUETUGDFTUA $.
      $( [14-Sep-2006] $) $( [11-Nov-1995] $)
  $}

  ${
    $d u v w x y A $.  $d u v w x y z B $.  $d u v w ph $.  $d u v w ps $.
    ralxpf.1 $e |- ( ph -> A. y ph ) $.
    ralxpf.2 $e |- ( ph -> A. z ph ) $.
    ralxpf.3 $e |- ( ps -> A. x ps ) $.
    ralxpf.4 $e |- ( x = <. y , z >. -> ( ph <-> ps ) ) $.
    $( Version of ~ ralxp with bound-variable hypotheses. $)
    ralxpf $p |- ( A. x e. ( A X. B ) ph <-> A. y e. A A. z e. B ps ) $=
      ( vw vu vv wral wsb cbvralsv cv wceq hbsb cxp ralbii ax-17 wcel hbral weq
      hbs1 sbequ12 ralbidv cbvral cop wex vex eqvinop hbbi sbhypf opth sylan9bb
      wa wb sylbi exlimi ralxp 3bitr4ri bitri ) ACFGUAZOACLPZLVFOZBEGOZDFOZACLV
      FQBDMPZEGOZMFOVKENPZNGOZMFOVJVHVLVNMFVKENGQUBVIVLDMFVIMUCVKDEGERZGUDDUCBD
      MUGZUEDMUFZBVKEGBDMUHZUIUJVGVMLMNFGLRZMRZNRZUKZSVSDRZVOUKZSZWDWBSZUSZEULZ
      DULVGVMUTZDEVSVTWAMUMNUMUNWHWIDVGVMDACLDHTVKENDVPTUOWGWIEVGVMEACLEITVKENU
      GUOWEVGBWFVMABCLWDJKUPWFVQENUFZUSBVMUTWCVOVTWAUQVQBVKWJVMVRVKENUHURVAURVB
      VBVAVCVDVE $.
      $( [20-Dec-2008] $) $( [18-Aug-2006] $)

    $( Version of ~ rexxp with bound-variable hypotheses. $)
    rexxpf $p |- ( E. x e. ( A X. B ) ph <-> E. y e. A E. z e. B ps ) $=
      ( wn cxp wral wrex hbn cv cop wceq dfrex2 notbid ralxpf ralnex 3bitr4i
      ralbii bitri notbii ) ALZCFGMZNZLBEGOZLZDFNZLACUIOUKDFOUJUMUJBLZEGNZDFNUM
      UHUNCDEFGADHPAEIPBCJPCQDQEQRSABKUAUBUOULDFBEGUCUEUFUGACUITUKDFTUD $.
      $( [19-Dec-2008] $)
  $}

  ${
    $d w x y A $.  $d w x y z B $.  $d w C $.  $d w D $.
    iunxpf.1 $e |- ( w e. C -> A. y w e. C ) $.
    iunxpf.2 $e |- ( w e. C -> A. z w e. C ) $.
    iunxpf.3 $e |- ( w e. D -> A. x w e. D ) $.
    iunxpf.4 $e |- ( x = <. y , z >. -> C = D ) $.
    $( Indexed union on a cross product is equals a double indexed union.  The
       hypothesis specifies an implicit substitution. $)
    iunxpf $p |- U_ x e. ( A X. B ) C = U_ y e. A U_ z e. B D $=
      ( cxp ciun cv wcel wrex cop wceq eliun eleq2d rexxpf rexbii bitri 3bitr4i
      eqriv ) DAEFMZGNZBECFHNZNZDOZGPZAUGQUKHPZCFQZBEQZUKUHPUKUJPZULUMABCEFIJKA
      OBOCORSGHUKLUAUBAUKUGGTUPUKUIPZBEQUOBUKEUITUQUNBECUKFHTUCUDUEUF $.
      $( [19-Dec-2008] $)
  $}

  ${
    brelg.1 $e |- R C_ ( C X. D ) $.
    $( Two things in a binary relation belong to the relation's domain. $)
    brel $p |- ( A R B -> ( A e. C /\ B e. D ) ) $=
      ( wbr cxp wcel wa ssbri brxp sylib ) ABEGABCDHZGACIBDIJENABFKABCDLM $.
      $( [17-May-1996] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Membership in a cross product. $)
    elxp3 $p |- ( A e. ( B X. C ) <->
            E. x E. y ( <. x , y >. = A /\ <. x , y >. e. ( B X. C ) ) ) $=
      ( cxp wcel cv cop wceq wa wex elxp eqcom opelxp anbi12i 2exbii bitr4i ) C
      DEFZGCAHZBHZIZJZTDGUAEGKZKZBLALUBCJZUBSGZKZBLALABCDEMUHUEABUFUCUGUDUBCNTU
      ADEOPQR $.
      $( [5-Mar-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Distributive law for cross product over union.  Theorem 103 of [Suppes]
       p. 52. $)
    xpundi $p |- ( A X. ( B u. C ) ) = ( ( A X. B ) u. ( A X. C ) ) $=
      ( vx vy cv wcel cun wa copab cxp wo elun anbi2i andi bitri opabbii unopab
      eqtr4i df-xp uneq12i 3eqtr4i ) DFAGZEFZBCHZGZIZDEJZUCUDBGZIZDEJZUCUDCGZIZ
      DEJZHZAUEKABKZACKZHUHUJUMLZDEJUOUGURDEUGUCUIULLZIURUFUSUCUDBCMNUCUIULOPQU
      JUMDERSDEAUETUPUKUQUNDEABTDEACTUAUB $.
      $( [12-Aug-2004] $)

    $( Distributive law for cross product over union.  Similar to Theorem 103
       of [Suppes] p. 52. $)
    xpundir $p |- ( ( A u. B ) X. C ) = ( ( A X. C ) u. ( B X. C ) ) $=
      ( vx vy cv cun wcel wa copab cxp wo elun anbi1i andir bitri unopab eqtr4i
      opabbii df-xp uneq12i 3eqtr4i ) DFZABGZHZEFCHZIZDEJZUCAHZUFIZDEJZUCBHZUFI
      ZDEJZGZUDCKACKZBCKZGUHUJUMLZDEJUOUGURDEUGUIULLZUFIURUEUSUFUCABMNUIULUFOPS
      UJUMDEQRDEUDCTUPUKUQUNDEACTDEBCTUAUB $.
      $( [30-Sep-2002] $)
  $}

  ${
    $d w y z A $.  $d w y z B $.  $d w x y z C $.
    $( Distributive law for cross product over indexed union.  (Revised by
       Mario Carneiro, 27-Apr-2014.) $)
    xpiundi $p |- ( C X. U_ x e. A B ) = U_ x e. A ( C X. B ) $=
      ( vz vw vy ciun cxp cv wrex wcel wa wex eliun exbii df-rex rexbii 3bitr4i
      elxp2 cop wceq rexcom anbi1i rexcom4 r19.41v 3bitri eqriv ) EDABCHZIZABDC
      IZHZEJZFJGJZUAUBZGUIKZFDKZUMUKLZABKZUMUJLUMULLUOGCKZABKZFDKUTFDKZABKUQUSU
      TFADBUCUPVAFDUNUILZUOMZGNUNCLZABKZUOMZGNZUPVAVDVGGVCVFUOAUNBCOUDPUOGUIQVA
      VEUOMZGNZABKVIABKZGNVHUTVJABUOGCQRVIAGBUEVKVGGVEUOABUFPUGSRURVBABFGUMDCTR
      SFGUMDUITAUMBUKOSUH $.
      $( [27-Apr-2014] $)

    $( Distributive law for cross product over indexed union.  (Revised by
       Mario Carneiro, 27-Apr-2014.) $)
    xpiundir $p |- ( U_ x e. A B X. C ) = U_ x e. A ( B X. C ) $=
      ( vz vy vw ciun cxp cv cop wrex wcel wa df-rex rexbii eliun elxp2 3bitr4i
      wex wceq rexcom4 anbi1i r19.41v bitr4i exbii 3bitr4ri eqriv ) EABCHZDIZAB
      CDIZHZEJZFJZGJKUAGDLZFUILZUMUKMZABLZUMUJMUMULMUNUIMZUONZFTZUOFCLZABLZUPUR
      UNCMZUONZFTZABLVEABLZFTVCVAVEAFBUBVBVFABUOFCOPUTVGFUTVDABLZUONVGUSVHUOAUN
      BCQUCVDUOABUDUEUFUGUOFUIOUQVBABFGUMCDRPSFGUMUIDRAUMBUKQSUH $.
      $( [27-Apr-2014] $)
  $}

  $( The cross product of two unions. $)
  xpun $p |- ( ( A u. B ) X. ( C u. D ) ) =
            ( ( ( A X. C ) u. ( A X. D ) ) u. ( ( B X. C ) u. ( B X. D ) ) ) $=
    ( cun cxp xpundi xpundir uneq12i un4 3eqtri ) ABEZCDEFLCFZLDFZEACFZBCFZEZAD
    FZBDFZEZEOREPSEELCDGMQNTABCHABDHIOPRSJK $.
    $( [12-Aug-2004] $)

  ${
    $d w x y z A $.
    $( Membership in universal class of ordered pairs. $)
    elvv $p |- ( A e. ( _V X. _V ) <-> E. x E. y A = <. x , y >. ) $=
      ( cvv cxp wcel cv cop wceq wa wex elxp vex pm3.2i biantru 2exbii bitr4i )
      CDDEFCAGZBGZHIZRDFZSDFZJZJZBKAKTBKAKABCDDLTUDABUCTUAUBAMBMNOPQ $.
      $( [4-Jul-1994] $)

    $( Membership in universal class of ordered triples. $)
    elvvv $p |- ( A e. ( ( _V X. _V ) X. _V )
                 <-> E. x E. y E. z A = <. <. x , y >. , z >. ) $=
      ( vw cvv cxp wcel cv cop wceq wa wex vex bitr3i 3bitri exbii exrot3 bitri
      elxp excom 19.41vv elvv biantru anbi1i ancom opeq1 eqeq2d ceqsexv 2exbii
      opex ) DFFGZFGHDEIZCIZJZKZUMULHZUNFHZLZLZCMEMUTEMZCMZDAIZBIZJZUNJZKZCMBMA
      MZECDULFTUTECUAVBVGBMAMZCMVHVAVICVAUMVEKZUPLZBMAMZEMZVIVLUTEVLVJBMAMZUPLU
      SUPLUTVJUPABUBVNUSUPVNUQUSABUMUCURUQCNUDOUEUSUPUFPQVMVKEMZBMAMVIVKEABRVOV
      GABUPVGEVEVCVDANBNUKVJUOVFDUMVEUNUGUHUIUJSOQVGCABRSP $.
      $( [17-Dec-2008] $)
  $}

  $( Intersection of binary relation with cross product. $)
  brinxp2 $p |- ( A ( R i^i ( C X. D ) ) B <->
                ( A e. C /\ B e. D /\ A R B ) ) $=
    ( wbr cxp wa wcel cin w3a ancom brxp anbi1i bitri brin df-3an 3bitr4i ) ABE
    FZABCDGZFZHZACIZBDIZHZSHZABETJFUCUDSKUBUASHUFSUALUAUESABCDMNOABETPUCUDSQR
    $.
    $( [3-Mar-2007] $)

  $( Intersection of binary relation with cross product. $)
  brinxp $p |- ( ( A e. C /\ B e. D ) ->
               ( A R B <-> A ( R i^i ( C X. D ) ) B ) ) $=
    ( cxp cin wbr wcel wa w3a brinxp2 df-3an bitri baibr ) ABECDFGHZACIZBDIZJZA
    BEHZPQRTKSTJABCDELQRTMNO $.
    $( [9-Mar-1997] $)

  ${
    $d x y A $.  $d x y B $.
    $( An abstraction relation is a subset of a related cross product. $)
    opabssxp $p |- { <. x , y >. | ( ( x e. A /\ y e. B ) /\ ph ) }
                   C_ ( A X. B ) $=
      ( cv wcel wa copab cxp simpl ssopab2i df-xp sseqtr4i ) BFDGCFEGHZAHZBCIOB
      CIDEJPOBCOAKLBCDEMN $.
      $( [16-Jul-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y ps $.
    optocl.1 $e |- D = ( B X. C ) $.
    optocl.2 $e |- ( <. x , y >. = A -> ( ph <-> ps ) ) $.
    optocl.3 $e |- ( ( x e. B /\ y e. C ) -> ph ) $.
    $( Implicit substitution of class for ordered pair. $)
    optocl $p |- ( A e. D -> ps ) $=
      ( cxp wcel cv cop wceq wa wex elxp3 sylbi opelxp syl5ib exlimivv eleq2s
      imp ) BEFGLZHEUFMCNZDNZOZEPZUIUFMZQZDRCRBCDEFGSULBCDUJUKBUKAUJBUKUGFMUHGM
      QAUGUHFGUAKTJUBUEUCTIUD $.
      $( [5-Mar-1995] $)
  $}

  ${
    $d x y z w A $.  $d z w B $.  $d x y z w C $.  $d x y z w D $.
    $d x y ps $.  $d z w ch $.  $d z w R $.
    2optocl.1 $e |- R = ( C X. D ) $.
    2optocl.2 $e |- ( <. x , y >. = A -> ( ph <-> ps ) ) $.
    2optocl.3 $e |- ( <. z , w >. = B -> ( ps <-> ch ) ) $.
    2optocl.4 $e |- ( ( ( x e. C /\ y e. D ) /\ ( z e. C /\ w e. D ) ) ->
                   ph ) $.
    $( Implicit substitution of classes for ordered pairs. $)
    2optocl $p |- ( ( A e. R /\ B e. R ) -> ch ) $=
      ( wcel wi cv cop wceq imbi2d wa ex optocl com12 impcom ) ILQHLQZCUHBRUHCR
      FGIJKLMFSZGSZTIUABCUHOUBUHUIJQUJKQUCZBUKARUKBRDEHJKLMDSZESZTHUAABUKNUBULJ
      QUMKQUCUKAPUDUEUFUEUG $.
      $( [12-Mar-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d z w v u B $.  $d v u C $.  $d x y z w v u D $.
    $d x y z w v u F $.  $d z w v u R $.  $d x y ps $.  $d z w ch $.
    $d v u th $.
    3optocl.1 $e |- R = ( D X. F ) $.
    3optocl.2 $e |- ( <. x , y >. = A -> ( ph <-> ps ) ) $.
    3optocl.3 $e |- ( <. z , w >. = B -> ( ps <-> ch ) ) $.
    3optocl.4 $e |- ( <. v , u >. = C -> ( ch <-> th ) ) $.
    3optocl.5 $e |- ( ( ( x e. D /\ y e. F ) /\ ( z e. D /\ w e. F )
                    /\ ( v e. D /\ u e. F ) ) -> ph ) $.
    $( Implicit substitution of classes for ordered pairs. $)
    3optocl $p |- ( ( A e. R /\ B e. R /\ C e. R ) -> th ) $=
      ( wcel wa wi cv cop wceq imbi2d 3expia 2optocl com12 optocl impcom 3impa
      ) KOUBZLOUBZMOUBZDUQUOUPUCZDURCUDURDUDIJMNPOQIUEZJUEZUFMUGCDURTUHURUSNUBU
      TPUBUCZCVAAUDVABUDVACUDEFGHKLNPOQEUEZFUEZUFKUGABVARUHGUEZHUEZUFLUGBCVASUH
      VBNUBVCPUBUCVDNUBVEPUBUCVAAUAUIUJUKULUMUN $.
      $( [12-Mar-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u D $.  $d x y z w v u S $.  $d x y ph $.  $d z w v u ps $.
    opbrop.1 $e |- ( ( ( z = A /\ w = B ) /\ ( v = C /\ u = D ) ) ->
                     ( ph <-> ps ) ) $.
    opbrop.2 $e |- R = { <. x , y >. | ( ( x e. ( S X. S ) /\
                      y e. ( S X. S ) ) /\
                      E. z E. w E. v E. u ( ( x = <. z , w >. /\
                      y = <. v , u >. ) /\ ph ) ) } $.
    $( Ordered pair membership in a relation.  Special case. $)
    opbrop $p |- ( ( ( A e. S /\ B e. S ) /\ ( C e. S /\ D e. S ) ) ->
                   ( <. A , B >. R <. C , D >. <-> ps ) ) $=
      ( wcel wa cv wex cop cxp wbr copsex4g anbi2d cvv opexg eleq1 anbi1d eqeq1
      wb 4exbidv anbi12d brabg syl2an opelxp anbi12i biimpri biantrurd 3bitr4d
      wceq ) INQJNQRZKNQLNQRZRZIJUAZNNUBZQZKLUAZVFQZRZVEESFSUAZVAZVHGSHSUAZVAZR
      ZARZHTGTFTETZRZVJBRVEVHMUCZBVDVQBVJABEFGHIJKLNNOUDUEVBVEUFQVHUFQVSVRUKVCI
      JNNUGKLNNUGCSZVFQZDSZVFQZRZVTVKVAZWBVMVAZRZARZHTGTFTETZRVGWCRZVLWFRZARZHT
      GTFTETZRVRCDVEVHUFUFMVTVEVAZWDWJWIWMWNWAVGWCVTVEVFUHUIWNWHWLEFGHWNWGWKAWN
      WEVLWFVTVEVKUJUIUIULUMWBVHVAZWJVJWMVQWOWCVIVGWBVHVFUHUEWOWLVPEFGHWOWKVOAW
      OWFVNVLWBVHVMUJUEUIULUMPUNUOVDVJBVJVDVGVBVIVCIJNNUPKLNNUPUQURUSUT $.
      $( [5-Aug-1995] $)
  $}

  ${
    $d x y z A $.
    $( The cross product with the empty set is empty.  Part of Theorem 3.13(ii)
       of [Monk1] p. 37. $)
    xp0r $p |- ( (/) X. A ) = (/) $=
      ( vz vx vy c0 cxp cv wcel cop wceq wa wex elxp noel simprl mto nex 2false
      bitri eqriv ) BEAFZEBGZUAHUBCGZDGZIJZUCEHZUDAHZKKZDLZCLZUBEHZCDUBEAMUJUKU
      ICUHDUHUFUCNUEUFUGOPQQUBNRST $.
      $( [4-Jul-1994] $)
  $}

  $( Equality theorem for the relation predicate. $)
  releq $p |- ( A = B -> ( Rel A <-> Rel B ) ) $=
    ( wceq cvv cxp wss wrel sseq1 df-rel 3bitr4g ) ABCADDEZFBKFAGBGABKHAIBIJ $.
    $( [1-Aug-1994] $)

  ${
    releqi.1 $e |- A = B $.
    $( Equality inference for the relation predicate. $)
    releqi $p |- ( Rel A <-> Rel B ) $=
      ( wceq wrel wb releq ax-mp ) ABDAEBEFCABGH $.
      $( [8-Dec-2006] $)
  $}

  ${
    releqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for the relation predicate. $)
    releqd $p |- ( ph -> ( Rel A <-> Rel B ) ) $=
      ( wceq wrel wb releq syl ) ABCEBFCFGDBCHI $.
      $( [8-Mar-2014] $)
  $}

  ${
    $d y A $.  $d x y $.
    hbrel.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for a relation. $)
    hbrel $p |- ( Rel A -> A. x Rel A ) $=
      ( wrel cvv cxp wss df-rel cv wcel ax-17 hbss hbxfrbi ) CECFFGZHACIABCODBJ
      OKALMN $.
      $( [31-Jan-2004] $)
  $}

  $( Subclass theorem for relation predicate.  Theorem 2 of [Suppes] p. 58. $)
  relss $p |- ( A C_ B -> ( Rel B -> Rel A ) ) $=
    ( wss cvv cxp wrel sstr2 df-rel 3imtr4g ) ABCBDDEZCAJCBFAFABJGBHAHI $.
    $( [15-Aug-1994] $)

  ${
    $d x y z A $.  $d x y z B $.
    $( A subclass relationship depends only on a relation's ordered pairs.
       Theorem 3.2(i) of [Monk1] p. 33.  (The proof was shortened by Andrew
       Salmon, 27-Aug-2011.) $)
    ssrel $p |- ( Rel A -> ( A C_ B <->
                A. x A. y ( <. x , y >. e. A -> <. x , y >. e. B ) ) ) $=
      ( vz wrel wss cv cop wcel wi wal ssel alrimivv wceq wex eleq1 imbi12d cvv
      dfss2 biimprcd 2alimi 19.23vv sylib com23 alimdv df-rel elvv imbi2i albii
      a2d cxp 3bitri 3imtr4g com12 impbid2 ) CFZCDGZAHBHIZCJZUSDJZKZBLALZURVBAB
      CDUSMNVCUQURVCEHZCJZVDUSOZBPAPZKZELZVEVDDJZKZELUQURVCVHVKEVCVEVGVJVCVGVEV
      JVCVFVKKZBLALVGVKKVBVLABVFVKVBVFVEUTVJVAVDUSCQVDUSDQRUAUBVFVKABUCUDUEUKUF
      UQCSSULZGVEVDVMJZKZELVICUGECVMTVOVHEVNVGVEABVDUHUIUJUMECDTUNUOUP $.
      $( [27-Aug-2011] $) $( [2-Aug-1994] $)

    $( Extensionality principle for relations.  Theorem 3.2(ii) of [Monk1]
       p. 33. $)
    eqrel $p |- ( ( Rel A /\ Rel B ) -> ( A = B <->
                A. x A. y ( <. x , y >. e. A <-> <. x , y >. e. B ) ) ) $=
      ( wrel wa wss cv cop wcel wi wal wceq ssrel bi2anan9 eqss 2albiim 3bitr4g
      wb ) CEZDEZFCDGZDCGZFAHBHIZCJZUDDJZKBLALZUFUEKBLALZFCDMUEUFSBLALTUBUGUAUC
      UHABCDNABDCNOCDPUEUFABQR $.
      $( [2-Aug-1994] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    relssi.1 $e |- Rel A $.
    relssi.2 $e |- ( <. x , y >. e. A -> <. x , y >. e. B ) $.
    $( Inference from subclass principle for relations. $)
    relssi $p |- A C_ B $=
      ( wss cv cop wcel wi wal wrel wb ssrel ax-mp ax-gen mpgbir ) CDGZAHBHIZCJ
      TDJKZBLZACMSUBALNEABCDOPUABFQR $.
      $( [31-Mar-1998] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ph $.
    relssdv.1 $e |- ( ph -> Rel A ) $.
    relssdv.2 $e |- ( ph -> ( <. x , y >. e. A -> <. x , y >. e. B ) ) $.
    $( Deduction from subclass principle for relations. $)
    relssdv $p |- ( ph -> A C_ B ) $=
      ( wss cv cop wcel wi wal alrimivv wrel wb ssrel syl mpbird ) ADEHZBICIJZD
      KUAEKLZCMBMZAUBBCGNADOTUCPFBCDEQRS $.
      $( [11-Sep-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    eqrelriv.1 $e |- ( <. x , y >. e. A <-> <. x , y >. e. B ) $.
    $( Inference from extensionality principle for relations.  (Contributed by
       FL, 15-Oct-2012.) $)
    eqrelriv $p |- ( ( Rel A /\ Rel B ) -> A = B ) $=
      ( wrel wa wceq cv cop wcel wb wal gen2 eqrel mpbiri ) CFDFGCDHAIBIJZCKQDK
      LZBMAMRABENABCDOP $.
      $( [15-Oct-2012] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    eqreliiv.1 $e |- Rel A $.
    eqreliiv.2 $e |- Rel B $.
    eqreliiv.3 $e |- ( <. x , y >. e. A <-> <. x , y >. e. B ) $.
    $( Inference from extensionality principle for relations. $)
    eqrelriiv $p |- A = B $=
      ( wrel wceq eqrelriv mp2an ) CHDHCDIEFABCDGJK $.
      $( [17-Mar-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    eqbrriv.1 $e |- Rel A $.
    eqbrriv.2 $e |- Rel B $.
    eqbrriv.3 $e |- ( x A y <-> x B y ) $.
    $( Inference from extensionality principle for relations. $)
    eqbrriv $p |- A = B $=
      ( cv wbr cop wcel df-br 3bitr3i eqrelriiv ) ABCDEFAHZBHZCIOPDIOPJZCKQDKGO
      PCLOPDLMN $.
      $( [12-Dec-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d ph x $.  $d ph y $.
    eqrelrdv.1 $e |- Rel A $.
    eqrelrdv.2 $e |- Rel B $.
    eqrelrdv.3 $e |- ( ph -> ( <. x , y >. e. A <-> <. x , y >. e. B ) ) $.
    $( Deduce equality of relations from equivalence of membership.
       (Contributed by Rodolfo Medina, 10-Oct-2010.) $)
    eqrelrdv $p |- ( ph -> A = B ) $=
      ( cv cop wcel wb wal wceq alrimivv wrel eqrel mp2an sylibr ) ABICIJZDKTEK
      LZCMBMZDENZAUABCHODPEPUCUBLFGBCDEQRS $.
      $( [10-Oct-2010] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d ph x $.  $d ph y $.
    eqrelrdv2.1 $e |- ( ph
       -> ( <. x , y >. e. A <-> <. x , y >. e. B ) ) $.
    $( A version of ~ eqrelrdv .  (Contributed by Rodolfo Medina,
       10-Oct-2010.) $)
    eqrelrdv2 $p |- ( ( ( Rel A /\ Rel B ) /\ ph ) -> A = B ) $=
      ( wrel wa wceq cv cop wcel wb wal alrimivv adantl eqrel adantr mpbird ) D
      GEGHZAHDEIZBJCJKZDLUBELMZCNBNZAUDTAUCBCFOPTUAUDMABCDEQRS $.
      $( [10-Oct-2010] $)
  $}

  ${
    $d w x y z A $.  $d w x y z B $.
    $( A subclass relationship determined by ordered triples.  Use ~ relrelss
       to express the antecedent in terms of the relation predicate.  (The
       proof was shortened by Andrew Salmon, 27-Aug-2011.) $)
    ssrelrel $p |- ( A C_ ( ( _V X. _V ) X. _V ) -> ( A C_ B <->
                   A. x A. y A. z ( <. <. x , y >. , z >. e. A
                       -> <. <. x , y >. , z >. e. B ) ) ) $=
      ( vw cvv cxp wss cv cop wcel wi wal ssel alrimiv wex eleq1 sylib dfss2
      alrimivv wceq elvvv imbi12d biimprcd alimi 19.23v 2alimi syl5bi com23 a2d
      19.23vv alimdv 3imtr4g com12 impbid2 ) DGGHGHZIZDEIZAJBJKCJKZDLZUTELZMZCN
      ZBNANZUSVDABUSVCCDEUTOPUAVEURUSVEFJZDLZVFUQLZMZFNVGVFELZMZFNURUSVEVIVKFVE
      VGVHVJVEVHVGVJVHVFUTUBZCQZBQAQZVEVKABCVFUCVEVMVKMZBNANVNVKMVDVOABVDVLVKMZ
      CNVOVCVPCVLVKVCVLVGVAVJVBVFUTDRVFUTERUDUEUFVLVKCUGSUHVMVKABULSUIUJUKUMFDU
      QTFDETUNUOUP $.
      $( [27-Aug-2011] $) $( [17-Dec-2008] $)

    $( Extensionality principle for ordered triples (used by 2-place operations
       ~ df-oprab ), analogous to ~ eqrel .  Use ~ relrelss to express the
       antecedent in terms of the relation predicate. $)
    eqrelrel $p |- ( ( A u. B ) C_ ( ( _V X. _V ) X. _V ) -> ( A = B <->
                   A. x A. y A. z ( <. <. x , y >. , z >. e. A
                       <-> <. <. x , y >. , z >. e. B ) ) ) $=
      ( cun cvv cxp wss wa wceq cv cop wcel wb wal unss wi ssrelrel bi2anan9
      eqss 2albiim albii 19.26 bitri 3bitr4g sylbir ) DEFGGHGHZIDUHIZEUHIZJZDEK
      ZALBLMCLMZDNZUMENZOCPBPZAPZODEUHQUKDEIZEDIZJUNUORCPBPZAPZUOUNRCPBPZAPZJZU
      LUQUIURVAUJUSVCABCDESABCEDSTDEUAUQUTVBJZAPVDUPVEAUNUOBCUBUCUTVBAUDUEUFUG
      $.
      $( [17-Dec-2008] $)
  $}

  ${
    $d x y A $.
    $( A member of a relation is an ordered pair. $)
    elrel $p |- ( ( Rel R /\ A e. R ) -> E. x E. y A = <. x , y >. ) $=
      ( wrel wcel wa cvv cxp cop wceq wex wss df-rel biimpi sselda elvv sylib
      cv ) DEZCDFGCHHIZFCASBSJKBLALTDUACTDUAMDNOPABCQR $.
      $( [17-Sep-2006] $)
  $}

  ${
    relsn.1 $e |- A e. _V $.
    $( A singleton is a relation iff it is an ordered pair. $)
    relsn $p |- ( Rel { A } <-> A e. ( _V X. _V ) ) $=
      ( csn wrel cvv cxp wss wcel df-rel snss bitr4i ) ACZDLEEFZGAMHLIAMBJK $.
      $( [24-Sep-2013] $)

    relsnop.2 $e |- B e. _V $.
    $( A singleton of an ordered pair is a relation. $)
    relsnop $p |- Rel { <. A , B >. } $=
      ( cop csn wrel cvv cxp wcel opelxp mpbir2an opex relsn mpbir ) ABEZFGPHHI
      JZQAHJBHJCDABHHKLPABCDMNO $.
      $( [17-May-1998] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.
    $( Subset theorem for cross product.  Generalization of Theorem 101 of
       [Suppes] p. 52.  (The proof was shortened by Andrew Salmon,
       27-Aug-2011.) $)
    xpss12 $p |- ( ( A C_ B /\ C C_ D ) -> ( A X. C ) C_ ( B X. D ) ) $=
      ( vx vy wss wa cv wcel copab cxp ssel im2anan9 ssopab2dv df-xp 3sstr4g )
      ABGZCDGZHZEIZAJZFIZCJZHZEFKUABJZUCDJZHZEFKACLBDLTUEUHEFRUBUFSUDUGABUAMCDU
      CMNOEFACPEFBDPQ $.
      $( [27-Aug-2011] $) $( [26-Aug-1995] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( A cross product is included in the ordered pair universe.  Exercise 3 of
       [TakeutiZaring] p. 25. $)
    xpss $p |- ( A X. B ) C_ ( _V X. _V ) $=
      ( cvv wss cxp ssv xpss12 mp2an ) ACDBCDABECCEDAFBFACBCGH $.
      $( [2-Aug-1994] $)
  $}

  $( A cross product is a relation.  Theorem 3.13(i) of [Monk1] p. 37. $)
  relxp $p |- Rel ( A X. B ) $=
    ( cxp wrel cvv wss xpss df-rel mpbir ) ABCZDJEECFABGJHI $.
    $( [2-Aug-1994] $)

  $( Subset relation for cross product.  (Contributed by Jeff Hankins,
     30-Aug-2009.) $)
  xpss1 $p |- ( A C_ B -> ( A X. C ) C_ ( B X. C ) ) $=
    ( wss cxp ssid xpss12 mpan2 ) ABDCCDACEBCEDCFABCCGH $.
    $( [8-Mar-2011] $) $( [14-Aug-2009] $)

  $( Subset relation for cross product.  (Contributed by Jeff Hankins,
     30-Aug-2009.) $)
  xpss2 $p |- ( A C_ B -> ( C X. A ) C_ ( C X. B ) ) $=
    ( wss cxp ssid xpss12 mpan ) CCDABDCAECBEDCFCCABGH $.
    $( [8-Mar-2011] $) $( [14-Aug-2009] $)

  ${
    $d A x y z $.  $d B x y z $.
    br1st.1 $e |- B e. _V $.
    $( Binary relationship equivalence for the ` 1st ` function. $)
    br1st $p |- ( A 1st B <-> E. x A = <. B , x >. ) $=
      ( vy vz c1st wbr cvv wcel cop wceq wex brex simpld vex opex eleq1 exbidv
      cv mpbiri exlimiv wb eqeq1 opeq1 eqeq2d df-1st brabg mpan2 pm5.21nii ) BC
      GHZBIJZBCATZKZLZAMZUKULCIJZBCGNOUOULAUOULUNIJCUMDAPQBUNIRUAUBULUQUKUPUCDE
      TZFTZUMKZLZAMBUTLZAMUPEFBCIIGURBLVAVBAURBUTUDSUSCLZVBUOAVCUTUNBUSCUMUEUFS
      EFAUGUHUIUJ $.
      $( [8-Jan-2015] $)

    $( Binary relationship equivalence for the ` 2nd ` function. $)
    br2nd $p |- ( A 2nd B <-> E. x A = <. x , B >. ) $=
      ( vy vz c2nd wbr cvv wcel cop wceq wex brex simpld vex opex eleq1 exbidv
      cv mpbiri exlimiv wb eqeq1 opeq2 eqeq2d df-2nd brabg mpan2 pm5.21nii ) BC
      GHZBIJZBATZCKZLZAMZUKULCIJZBCGNOUOULAUOULUNIJUMCAPDQBUNIRUAUBULUQUKUPUCDE
      TZUMFTZKZLZAMBUTLZAMUPEFBCIIGURBLVAVBAURBUTUDSUSCLZVBUOAVCUTUNBUSCUMUEUFS
      EFAUGUHUIUJ $.
      $( [8-Jan-2015] $)

    ${
      $d A w $.  $d B w $.  $d C x y z w $.
      brswap.2 $e |- C e. _V $.
      $( Binary relationship equivalence for the ` Swap ` function. $)
      brswap2 $p |- ( A Swap <. B , C >. <-> A = <. C , B >. ) $=
        ( vx vz vw vy cop cswap cvv wcel wceq opex cv wa wex eqeq1 2exbidv brex
        wbr simpld eleq1 mpbiri anbi1d w3a anbi2d eqcom opth bitri anbi1i ancom
        df-3an 3bitr4ri syl6bbr excom syl6bb opeq2 opeq1 ceqsex2v df-swap brabg
        wb eqeq2d mpan2 pm5.21nii ) ABCJZKUBZALMZACBJZNZVIVJVHLMZAVHKUAUCVLVJVK
        LMCBEDOAVKLUDUEVJVMVIVLVDBCDEOFPZGPZHPZJZNZIPZVPVOJZNZQZHRGRAVQNZWAQZHR
        GRZVLFIAVHLLKVNANZWBWDGHWFVRWCWAVNAVQSUFTVSVHNZWEVPBNZVOCNZWCUGZGRHRZVL
        WGWEWJHRGRWKWGWDWJGHWGWDWCVHVTNZQZWJWGWAWLWCVSVHVTSUHWLWCQWHWIQZWCQWMWJ
        WLWNWCWLVTVHNWNVHVTUIVPVOBCUJUKULWCWLUMWHWIWCUNUOUPTWJGHUQURWCAVOBJZNVL
        HGBCDEWHVQWOAVPBVOUSVEWIWOVKAVOCBUTVEVAURFIGHVBVCVFVG $.
        $( [8-Jan-2015] $)
    $}
  $}

  $( The union of two relations is a relation.  Compare Exercise 5 of
     [TakeutiZaring] p. 25. $)
  relun $p |- ( Rel ( A u. B ) <-> ( Rel A /\ Rel B ) ) $=
    ( cvv cxp wss wa cun wrel unss df-rel anbi12i 3bitr4ri ) ACCDZEZBMEZFABGZME
    AHZBHZFPHABMIQNROAJBJKPJL $.
    $( [12-Aug-1994] $)

  $( The intersection with a relation is a relation. $)
  relin1 $p |- ( Rel A -> Rel ( A i^i B ) ) $=
    ( cin wss wrel wi inss1 relss ax-mp ) ABCZADAEJEFABGJAHI $.
    $( [16-Aug-1994] $)

  $( The intersection with a relation is a relation. $)
  relin2 $p |- ( Rel B -> Rel ( A i^i B ) ) $=
    ( cin wss wrel wi inss2 relss ax-mp ) ABCZBDBEJEFABGJBHI $.
    $( [17-Jan-2006] $)

  $( A difference cutting down a relation is a relation. $)
  reldif $p |- ( Rel A -> Rel ( A \ B ) ) $=
    ( cdif wss wrel wi difss relss ax-mp ) ABCZADAEJEFABGJAHI $.
    $( [31-Mar-1998] $)

  ${
    $d y A $.  $d y B $.  $d x y $.
    $( An indexed union is a relation iff each member of its indexed family is
       a relation. $)
    reliun $p |- ( Rel U_ x e. A B <-> A. x e. A Rel B ) $=
      ( vy ciun wrel cv wcel wrex cab cvv cxp wss wral df-iun releqi df-rel wal
      wi 3bitri abss dfss2 bitri ralbii ralcom4 r19.23v albii bitr4i ) ABCEZFDG
      ZCHZABIZDJZFUMKKLZMZCFZABNZUIUMADBCOPUMQUOULUJUNHZSZDRZUQULDUNUAUQUKURSZD
      RZABNVAABNZDRUTUPVBABUPCUNMVBCQDCUNUBUCUDVAADBUEVCUSDUKURABUFUGTUHT $.
      $( [19-Dec-2008] $)
  $}

  $( An indexed intersection is a relation if if at least one of the member of
     the indexed family is a relation. $)
  reliin $p |- ( E. x e. A Rel B -> Rel |^|_ x e. A B ) $=
    ( cvv cxp wss wrex ciin wrel iinss df-rel rexbii 3imtr4i ) CDDEZFZABGABCHZN
    FCIZABGPIABCNJQOABCKLPKM $.
    $( [8-Mar-2014] $)

  ${
    $d x A $.
    $( The union of a class is a relation iff any member is a relation.
       Exercise 6 of [TakeutiZaring] p. 25 and its converse. $)
    reluni $p |- ( Rel U. A <-> A. x e. A Rel x ) $=
      ( cuni wrel cv ciun wral uniiun releqi reliun bitri ) BCZDABAEZFZDMDABGLN
      ABHIABMJK $.
      $( [21-Dec-2008] $) $( [13-Aug-2004] $)

    $( The intersection of a class is a relation if at least one member is a
       relation. $)
    relint $p |- ( E. x e. A Rel x -> Rel |^| A ) $=
      ( cv wrel wrex ciin cint reliin intiin releqi sylibr ) ACZDABEABLFZDBGZDA
      BLHNMABIJK $.
      $( [8-Mar-2014] $)
  $}

  $( The empty set is a relation. $)
  rel0 $p |- Rel (/) $=
    ( c0 wrel cvv cxp wss 0ss df-rel mpbir ) ABACCDZEIFAGH $.
    $( [26-Apr-1998] $)

  ${
    $d ph z $.  $d u v x z $.  $d u v y z $.
    relopabi.1 $e |- A = { <. x , y >. | ph } $.
    $( A class of ordered pairs is a relation.  (The proof was shortened by
       Mario Carneiro, 21-Dec-2013.) $)
    relopabi $p |- Rel A $=
      ( vz wrel cvv cxp wss cv cop wceq wa wex cab copab df-opab wcel vex eqtri
      opelxp mpbir2an eleq1 mpbiri adantr exlimivv abssi eqsstri df-rel mpbir )
      DGDHHIZJDFKZBKZCKZLZMZANZCOBOZFPZULDABCQUTEABCFRUAUSFULURUMULSZBCUQVAAUQV
      AUPULSZVBUNHSUOHSBTCTUNUOHHUBUCUMUPULUDUEUFUGUHUIDUJUK $.
      $( [21-Dec-2013] $)
  $}

  $( A class of ordered pairs is a relation.  (Unnecessary distinct variable
     restrictions were removed by Alan Sare, 9-Jul-2013.)  (The proof was
     shortened by Mario Carneiro, 21-Dec-2013.) $)
  relopab $p |- Rel { <. x , y >. | ph } $=
    ( copab eqid relopabi ) ABCABCDZGEF $.
    $( [9-Jul-2013] $) $( [8-Mar-1995] $)

  ${
    $d w x y z A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d ph z w $.
    $d ps z w $.
    $( The identity relation is a relation.  Part of Exercise 4.12(p) of
       [Mendelson] p. 235. $)
    reli $p |- Rel _I $=
      ( vx vy cv wceq cid dfid3 relopabi ) ACBCDABEABFG $.
      $( [21-Dec-2013] $) $( [26-Apr-1998] $)

    $( The membership relation is a relation. $)
    rele $p |- Rel _E $=
      ( vx vy cv wcel cep df-eprel relopabi ) ACBCDABEABFG $.
      $( [21-Dec-2013] $) $( [26-Apr-1998] $)

    $( A relation expressed as an ordered pair abstraction. $)
    opabid2 $p |- ( Rel A -> { <. x , y >. | <. x , y >. e. A } = A ) $=
      ( vz vw wrel cv cop wcel copab wceq wb wal vex opeq1 eleq1d opelopab gen2
      opeq2 relopab eqrel mpan mpbiri ) CFZAGZBGZHZCIZABJZCKZDGZEGZHZUIIUMCIZLZ
      EMDMZUODEUHUKUFHZCIUNABUKULDNENUEUKKUGUQCUEUKUFOPUFULKUQUMCUFULUKSPQRUIFU
      DUJUPLUHABTDEUICUAUBUC $.
      $( [11-Dec-2006] $)

    $( Intersection of two ordered pair class abstractions. $)
    inopab $p |- ( { <. x , y >. | ph } i^i { <. x , y >. | ps } ) =
               { <. x , y >. | ( ph /\ ps ) } $=
      ( vz vw copab cin wrel relopab relin1 ax-mp cop wcel wsbc sban opelopabsb
      wa cv sbbii anbi12i 3bitr4ri elin 3bitr4i eqrelriiv ) EFACDGZBCDGZHZABRZC
      DGZUFIUHIACDJUFUGKLUICDJESZFSZMZUFNZUMUGNZRZUICUKOZDULOZUMUHNUMUJNACUKOZB
      CUKOZRZDULOUSDULOZUTDULOZRURUPUSUTDFPUQVADFABCEPTUNVBUOVCACDEFQBCDEFQUAUB
      UMUFUGUCUICDEFQUDUE $.
      $( [30-Sep-2002] $)

    $( The intersection of two cross products.  Exercise 9 of [TakeutiZaring]
       p. 25.  (The proof was shortened by Andrew Salmon, 27-Aug-2011.) $)
    inxp $p |- ( ( A X. B ) i^i ( C X. D ) ) =
                   ( ( A i^i C ) X. ( B i^i D ) ) $=
      ( vx vy cv wcel wa copab cin cxp inopab elin anbi12i bitr4i opabbii eqtri
      an4 df-xp ineq12i 3eqtr4i ) EGZAHZFGZBHZIZEFJZUCCHZUEDHZIZEFJZKZUCACKZHZU
      EBDKZHZIZEFJZABLZCDLZKUNUPLUMUGUKIZEFJUSUGUKEFMVBUREFVBUDUIIZUFUJIZIURUDU
      FUIUJSUOVCUQVDUCACNUEBDNOPQRUTUHVAULEFABTEFCDTUAEFUNUPTUB $.
      $( [27-Aug-2011] $) $( [3-Aug-1994] $)

    $( Distributive law for cross product over intersection.  Theorem 102 of
       [Suppes] p. 52. $)
    xpindi $p |- ( A X. ( B i^i C ) ) = ( ( A X. B ) i^i ( A X. C ) ) $=
      ( cxp cin inxp inidm xpeq1i eqtr2i ) ABDACDEAAEZBCEZDAKDABACFJAKAGHI $.
      $( [26-Sep-2004] $)

    $( Distributive law for cross product over intersection.  Similar to
       Theorem 102 of [Suppes] p. 52. $)
    xpindir $p |- ( ( A i^i B ) X. C ) = ( ( A X. C ) i^i ( B X. C ) ) $=
      ( cxp cin inxp inidm xpeq2i eqtr2i ) ACDBCDEABEZCCEZDJCDACBCFKCJCGHI $.
      $( [26-Sep-2004] $)
  $}

  ${
    $d x y A $.  $d x y ph $.
    opabbi2dv.1 $e |- Rel A $.
    opabbi2dv.3 $e |- ( ph -> ( <. x , y >. e. A <-> ps ) ) $.
    $( Deduce equality of a relation and an ordered-pair class builder.
       Compare ~ abbi2dv . $)
    opabbi2dv $p |- ( ph -> A = { <. x , y >. | ps } ) $=
      ( cv cop wcel copab wrel wceq opabid2 ax-mp opabbidv syl5eqr ) AECHDHIEJZ
      CDKZBCDKELSEMFCDENOARBCDGPQ $.
      $( [24-Feb-2014] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( For sets, the identity relation is the same as equality. $)
    ideqg $p |- ( B e. V -> ( A _I B <-> A = B ) ) $=
      ( vx vy wcel cid wbr wceq cvv wa brex adantl simpr adantr eqeltrd jca weq
      elex cv eqeq1 eqeq2 df-id brabg pm5.21nd ) BCFZABGHZABIZAJFZBJFZKZUGUKUFA
      BGLMUFUHKZUIUJULABJUFUHNUFUJUHBCSOZPUMQDERAETZIUHDEABJJGDTAUNUAUNBAUBDEUC
      UDUE $.
      $( [27-Aug-2011] $) $( [30-Apr-2004] $)

    $( For sets, the identity relation is the same as equality. $)
    ideqg2 $p |- ( A e. V -> ( A _I B <-> A = B ) ) $=
      ( vx vy wcel cid wbr wceq cvv wa brex adantl elex simpl eleq1 biimpac jca
      sylan cv weq eqeq1 eqeq2 df-id brabg pm5.21nd ) ACFZABGHZABIZAJFZBJFZKZUH
      ULUGABGLMUGUJUIULACNUJUIKUJUKUJUIOUIUJUKABJPQRSDEUAAETZIUIDEABJJGDTAUMUBU
      MBAUCDEUDUEUF $.
      $( [8-Jan-2015] $)
  $}

  ${
    ideq.1 $e |- B e. _V $.
    $( For sets, the identity relation is the same as equality. $)
    ideq $p |- ( A _I B <-> A = B ) $=
      ( cvv wcel cid wbr wceq wb ideqg ax-mp ) BDEABFGABHICABDJK $.
      $( [1-Jun-2008] $) $( [13-Aug-1995] $)
  $}

  ${
    $d x A $.
    $( A set is identical to itself.  (The proof was shortened by Andrew
       Salmon, 27-Aug-2011.) $)
    ididg $p |- ( A e. V -> A _I A ) $=
      ( wcel cid wbr wceq eqid ideqg mpbiri ) ABCAADEAAFAGAABHI $.
      $( [27-Aug-2011] $) $( [28-May-2008] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.
    $( Subclass theorem for composition.  (Contributed by FL, 30-Dec-2010.) $)
    coss1 $p |- ( A C_ B -> ( A o. C ) C_ ( B o. C ) ) $=
      ( vx vy vz wss cv wbr wa wex copab id ssbrd anim2d eximdv ssopab2dv df-co
      ccom 3sstr4g ) ABGZDHEHZCIZUBFHZAIZJZEKZDFLUCUBUDBIZJZEKZDFLACSBCSUAUGUJD
      FUAUFUIEUAUEUHUCUAABUBUDUAMNOPQDFEACRDFEBCRT $.
      $( [30-Dec-2010] $)

    $( Subclass theorem for composition. $)
    coss2 $p |- ( A C_ B -> ( C o. A ) C_ ( C o. B ) ) $=
      ( vx vy vz wss cv wbr wa wex copab id ssbrd anim1d eximdv ssopab2dv df-co
      ccom 3sstr4g ) ABGZDHZEHZAIZUCFHCIZJZEKZDFLUBUCBIZUEJZEKZDFLCASCBSUAUGUJD
      FUAUFUIEUAUDUHUEUAABUBUCUAMNOPQDFECARDFECBRT $.
      $( [5-Apr-2013] $)
  $}

  $( Equality theorem for composition of two classes. $)
  coeq1 $p |- ( A = B -> ( A o. C ) = ( B o. C ) ) $=
    ( wss wa ccom wceq coss1 anim12i eqss 3imtr4i ) ABDZBADZEACFZBCFZDZONDZEABG
    NOGLPMQABCHBACHIABJNOJK $.
    $( [3-Jan-1997] $)

  $( Equality theorem for composition of two classes. $)
  coeq2 $p |- ( A = B -> ( C o. A ) = ( C o. B ) ) $=
    ( wss wa ccom wceq coss2 anim12i eqss 3imtr4i ) ABDZBADZECAFZCBFZDZONDZEABG
    NOGLPMQABCHBACHIABJNOJK $.
    $( [3-Jan-1997] $)

  ${
    coeq1i.1 $e |- A = B $.
    $( Equality inference for composition of two classes. $)
    coeq1i $p |- ( A o. C ) = ( B o. C ) $=
      ( wceq ccom coeq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [16-Nov-2000] $)

    $( Equality inference for composition of two classes. $)
    coeq2i $p |- ( C o. A ) = ( C o. B ) $=
      ( wceq ccom coeq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [16-Nov-2000] $)
  $}

  ${
    coeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for composition of two classes. $)
    coeq1d $p |- ( ph -> ( A o. C ) = ( B o. C ) ) $=
      ( wceq ccom coeq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [16-Nov-2000] $)

    $( Equality deduction for composition of two classes. $)
    coeq2d $p |- ( ph -> ( C o. A ) = ( C o. B ) ) $=
      ( wceq ccom coeq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [16-Nov-2000] $)
  $}

  ${
    coeq12i.1 $e |- A = B $.
    coeq12i.2 $e |- C = D $.
    $( Equality inference for composition of two classes.  (Contributed by FL,
       7-Jun-2012.) $)
    coeq12i $p |- ( A o. C ) = ( B o. D ) $=
      ( ccom coeq1i coeq2i eqtri ) ACGBCGBDGABCEHCDBFIJ $.
      $( [7-Jun-2012] $)
  $}

  ${
    coeq12d.1 $e |- ( ph -> A = B ) $.
    coeq12d.2 $e |- ( ph -> C = D ) $.
    $( Equality deduction for composition of two classes.  (Contributed by FL,
       7-Jun-2012.) $)
    coeq12d $p |- ( ph -> ( A o. C ) = ( B o. D ) ) $=
      ( ccom coeq1d coeq2d eqtrd ) ABDHCDHCEHABCDFIADECGJK $.
      $( [7-Jun-2012] $)
  $}

  ${
    $d y z w v A $.  $d y z w v B $.  $d x y z w v $.
    hbco.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbco.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for function value. $)
    hbco $p |- ( y e. ( A o. B ) -> A. x y e. ( A o. B ) ) $=
      ( vz vv vw ccom cv wbr wa wex copab df-co wcel ax-17 hbbr hban hbxfreq
      hbex hbopab ) ABCDJGKZHKZDLZUEIKZCLZMZHNZGIOGIHCDPUJGIABUIAHUFUHAABUDUEDB
      KZUDQARFUKUEQARZSABUEUGCULEUKUGQARSTUBUCUA $.
      $( [1-Sep-1999] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.
    $( Binary relation on a composition. $)
    brco $p |- ( A ( C o. D ) B <-> E. x ( A D x /\ x C B ) ) $=
      ( vy vz ccom wbr cvv wcel wa wex brex simpld simprd anim12i wceq exbidv
      cv exlimiv breq1 anbi1d breq2 anbi2d df-co brabg pm5.21nii ) BCDEHZIBJKZC
      JKZLZBATZEIZUMCDIZLZAMZBCUINUPULAUNUJUOUKUNUJUMJKZBUMENOUOURUKUMCDNPQUAFT
      ZUMEIZUMGTZDIZLZAMUNVBLZAMUQFGBCJJUIUSBRZVCVDAVEUTUNVBUSBUMEUBUCSVACRZVDU
      PAVFVBUOUNVACUMDUDUESFGADEUFUGUH $.
      $( [21-Sep-2004] $)

    $( Ordered pair membership in a composition.  (The proof was shortened by
       Andrew Salmon, 27-Aug-2011.) $)
    opelco $p |- ( <. A , B >. e. ( C o. D ) <-> E. x ( A D x /\ x C B ) ) $=
      ( cop ccom wcel wbr cv wa wex df-br brco bitr3i ) BCFDEGZHBCPIBAJZEIQCDIK
      ALBCPMABCDENO $.
      $( [27-Aug-2011] $) $( [27-Dec-1996] $)
  $}


  ${
    $d x y A $.  $d x y B $.
    $( Subset theorem for converse. $)
    cnvss $p |- ( A C_ B -> `' A C_ `' B ) $=
      ( vy vx wss wbr copab ccnv cop wcel ssel 3imtr4g ssopab2dv df-cnv 3sstr4g
      cv df-br ) ABEZCPZDPZAFZDCGSTBFZDCGAHBHRUAUBDCRSTIZAJUCBJUAUBABUCKSTAQSTB
      QLMDCANDCBNO $.
      $( [22-Mar-1998] $)
  $}

  $( Equality theorem for converse. $)
  cnveq $p |- ( A = B -> `' A = `' B ) $=
    ( wss wa ccnv wceq cnvss anim12i eqss 3imtr4i ) ABCZBACZDAEZBEZCZNMCZDABFMN
    FKOLPABGBAGHABIMNIJ $.
    $( [13-Aug-1995] $)

  ${
    cnveqi.1 $e |- A = B $.
    $( Equality inference for converse. $)
    cnveqi $p |- `' A = `' B $=
      ( wceq ccnv cnveq ax-mp ) ABDAEBEDCABFG $.
      $( [23-Dec-2008] $)
  $}

  ${
    cnveqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for converse. $)
    cnveqd $p |- ( ph -> `' A = `' B ) $=
      ( wceq ccnv cnveq syl ) ABCEBFCFEDBCGH $.
      $( [6-Dec-2013] $)
  $}

  ${
    $d x y A $.  $d x y R $.
    $( Membership in a converse.  Equation 5 of [Suppes] p. 62. $)
    elcnv $p |- ( A e. `' R <-> E. x E. y ( A = <. x , y >. /\ y R x ) ) $=
      ( ccnv wcel cv wbr copab cop wceq wa wex df-cnv eleq2i elopab bitri ) CDE
      ZFCBGZAGZDHZABIZFCTSJKUALBMAMRUBCABDNOUAABCPQ $.
      $( [24-Mar-1998] $)

    $( Membership in a converse.  Equation 5 of [Suppes] p. 62. $)
    elcnv2 $p |- ( A e. `' R <->
                 E. x E. y ( A = <. x , y >. /\ <. y , x >. e. R ) ) $=
      ( ccnv wcel cv cop wceq wbr wa wex elcnv df-br anbi2i 2exbii bitri ) CDEF
      CAGZBGZHIZSRDJZKZBLALTSRHDFZKZBLALABCDMUBUDABUAUCTSRDNOPQ $.
      $( [11-Aug-2004] $)
  $}

  ${
    $d y z w A $.  $d x y z w $.
    hbcnv.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for converse. $)
    hbcnv $p |- ( y e. `' A -> A. x y e. `' A ) $=
      ( vz vw cv ccnv wcel cop wceq wbr wex elcnv ax-17 hbbr hban hbex hbxfrbi
      wa ) BGZCHIUAEGZFGZJKZUCUBCLZTZFMZEMAEFUACNUGAEUFAFUDUEAUDAOABUCUBCUAUCIA
      ODUAUBIAOPQRRS $.
      $( [31-Jan-2004] $)
  $}

  ${
    $d A x y $.  $d B x y $.  $d R x y $.
    $( The converse of a binary relation swaps arguments.  Theorem 11 of
       [Suppes] p. 61. $)
    brcnv $p |- ( A `' R B <-> B R A ) $=
      ( vy vx ccnv wbr cvv wcel wa ancomd cv breq2 breq1 df-cnv brabg pm5.21nii
      brex ) ABCFZGAHIZBHIZJBACGZABSRUBUATBACRKDLZELZCGUCACGUBEDABHHSUDAUCCMUCB
      ACNEDCOPQ $.
      $( [13-Aug-1995] $)

    $( Ordered-pair membership in converse. $)
    opelcnv $p |- ( <. A , B >. e. `' R <-> <. B , A >. e. R ) $=
      ( ccnv wbr cop wcel brcnv df-br 3bitr3i ) ABCDZEBACEABFKGBAFCGABCHABKIBAC
      IJ $.
      $( [13-Aug-1995] $)

  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( Distributive law of converse over class composition.  Theorem 26 of
       [Suppes] p. 64.  (The proof was shortened by Andrew Salmon,
       27-Aug-2011.) $)
    cnvco $p |- `' ( A o. B ) = ( `' B o. `' A ) $=
      ( vx vy vz cv ccom wbr copab ccnv wa wex brcnv anbi12i ancom bitr3i exbii
      brco bitri opabbii df-cnv df-co 3eqtr4i ) CFZDFZABGZHZDCIUEEFZAJZHZUHUDBJ
      ZHZKZELZDCIUFJUKUIGUGUNDCUGUDUHBHZUHUEAHZKZELUNEUDUEABRUQUMEUQULUJKUMULUO
      UJUPUHUDBMUEUHAMNULUJOPQSTDCUFUADCEUKUIUBUC $.
      $( [27-Aug-2011] $) $( [19-Mar-1998] $)
  $}

  ${
    $d x y z w A $.
    $( The converse of a class union is the (indexed) union of the converses of
       its members. $)
    cnvuni $p |- `' U. A = U_ x e. A `' x $=
      ( vy vz vw cuni ccnv cv ciun wcel wrex cop wa elcnv2 eluni2 anbi2i bitr4i
      wceq wex rexcom4 r19.42v 2exbii rexbii exbii 3bitrri 3bitri eliun eqriv )
      CBFZGZABAHZGZIZCHZUJJZUNULJZABKZUNUMJUOUNDHZEHZLRZUSURLZUIJZMZESDSUTVAUKJ
      ZMZABKZESZDSZUQDEUNUINVCVFDEVCUTVDABKZMVFVBVIUTAVABOPUTVDABUAQUBUQVEESZDS
      ZABKVJABKZDSVHUPVKABDEUNUKNUCVJADBTVLVGDVEAEBTUDUEUFAUNBULUGQUH $.
      $( [11-Aug-2004] $)
  $}


  ${
    $d x y A $.  $d x y B $.
    $( Membership in a range. $)
    elrn $p |- ( A e. ran B <-> E. x x B A ) $=
      ( crn wcel cvv cima cv wbr wrex wex df-rn eleq2i elima rexv 3bitri ) BCDZ
      EBCFGZEAHBCIZAFJSAKQRBCLMABCFNSAOP $.
      $( [2-Apr-2004] $)

    $( Membership in a range. $)
    elrn2 $p |- ( A e. ran B <-> E. x <. x , A >. e. B ) $=
      ( crn wcel cv wbr wex cop elrn df-br exbii bitri ) BCDEAFZBCGZAHNBICEZAHA
      BCJOPANBCKLM $.
      $( [10-Jul-1994] $)

  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( Membership in a domain.  Theorem 4 of [Suppes] p. 59. $)
    eldm $p |- ( A e. dom B <-> E. y A B y ) $=
      ( cdm wcel cv ccnv wbr wex crn df-dm eleq2i elrn bitri brcnv exbii ) BCDZ
      EZAFZBCGZHZAIZBSCHZAIRBTJZEUBQUDBCKLABTMNUAUCASBCOPN $.
      $( [2-Apr-2004] $)

    $( Membership in a domain.  Theorem 4 of [Suppes] p. 59. $)
    eldm2 $p |- ( A e. dom B <-> E. y <. A , y >. e. B ) $=
      ( cdm wcel cv wbr wex cop eldm df-br exbii bitri ) BCDEBAFZCGZAHBNICEZAHA
      BCJOPABNCKLM $.
      $( [1-Aug-1994] $)
  $}

  ${
    $d x y A $.
    $( Alternate definition of domain. $)
    dfdm2 $p |- dom A = { x | E. y x A y } $=
      ( cv wbr wex cdm eldm abbi2i ) ADZBDCEBFACGBJCHI $.
      $( [5-Feb-2015] $)

    $( Alternate definition of domain.  Definition 6.5(1) of [TakeutiZaring]
       p. 24. $)
    dfdm3 $p |- dom A = { x | E. y <. x , y >. e. A } $=
      ( cv cop wcel wex cdm eldm2 abbi2i ) ADZBDECFBGACHBKCIJ $.
      $( [28-Dec-1996] $)

    $( Alternate definition of range.  Definition 4 of [Suppes] p. 60. $)
    dfrn2 $p |- ran A = { y | E. x x A y } $=
      ( cv wbr wex crn elrn abbi2i ) ADBDZCEAFBCGAJCHI $.
      $( [27-Dec-1996] $)

    $( Alternate definition of range.  Definition 6.5(2) of [TakeutiZaring]
       p. 24. $)
    dfrn3 $p |- ran A = { y | E. x <. x , y >. e. A } $=
      ( crn cv wbr wex cab cop wcel dfrn2 df-br exbii abbii eqtri ) CDAEZBEZCFZ
      AGZBHPQICJZAGZBHABCKSUABRTAPQCLMNO $.
      $( [28-Dec-1996] $)

    $( Alternate definition of range. $)
    dfrn4 $p |- ran A = dom `' A $=
      ( vx vy crn ccnv cdm cv wbr wex wcel brcnv exbii eldm elrn 3bitr4ri eqriv
      ) BADZAEZFZBGZCGZRHZCIUATAHZCITSJTQJUBUCCTUAAKLCTRMCTANOP $.
      $( [5-Feb-2015] $)
  $}

  ${
    $d x y z w v $.  $d z w v A $.
    dfdmf.1 $e |- ( z e. A -> A. x z e. A ) $.
    dfdmf.2 $e |- ( z e. A -> A. y z e. A ) $.
    $( Definition of domain, using bound-variable hypotheses instead of
       distinct variable conditions. $)
    dfdmf $p |- dom A = { x | E. y <. x , y >. e. A } $=
      ( vw vv cdm cv cop wcel wex cab dfdm3 ax-17 hbel wceq opeq2 eleq1d exbidv
      cbvex abbii hbex opeq1 cbvab 3eqtri ) DIGJZHJZKZDLZHMZGNUHBJZKZDLZBMZGNAJ
      ZUMKZDLZBMZANGHDOULUPGUKUOHBBCCUJDCJZUJLBPFQUOHPUIUMRUJUNDUIUMUHSTUBUCUPU
      TGAUOABACCUNDVAUNLAPEQUDUTGPUHUQRZUOUSBVBUNURDUHUQUMUETUAUFUG $.
      $( [8-Mar-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Subset theorem for domain. $)
    dmss $p |- ( A C_ B -> dom A C_ dom B ) $=
      ( vx vy wss cdm cv cop wcel wex ssel eximdv eldm2 3imtr4g ssrdv ) ABEZCAF
      ZBFZPCGZDGHZAIZDJTBIZDJSQISRIPUAUBDABTKLDSAMDSBMNO $.
      $( [11-Aug-1994] $)
  $}

  $( Equality theorem for domain. $)
  dmeq $p |- ( A = B -> dom A = dom B ) $=
    ( wss wa cdm wceq dmss anim12i eqss 3imtr4i ) ABCZBACZDAEZBEZCZNMCZDABFMNFK
    OLPABGBAGHABIMNIJ $.
    $( [11-Aug-1994] $)

  ${
    dmeqi.1 $e |- A = B $.
    $( Equality inference for domain. $)
    dmeqi $p |- dom A = dom B $=
      ( wceq cdm dmeq ax-mp ) ABDAEBEDCABFG $.
      $( [4-Mar-2004] $)
  $}

  ${
    dmeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for domain. $)
    dmeqd $p |- ( ph -> dom A = dom B ) $=
      ( wceq cdm dmeq syl ) ABCEBFCFEDBCGH $.
      $( [4-Mar-2004] $)
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.
    $( Membership of first of an ordered pair in a domain. $)
    opeldm $p |- ( <. A , B >. e. C -> A e. dom C ) $=
      ( vy cop wcel cv wex cdm cvv elex opexb simprbi wceq opeq2 eleq1d cla4egv
      syl mpcom eldm2 sylibr ) ABEZCFZADGZEZCFZDHZACIFBJFZUCUGUCUBJFZUHUBCKUIAJ
      FUHABLMRUFUCDBJUDBNUEUBCUDBAOPQSDACTUA $.
      $( [30-Jul-1995] $)
  $}

  $( Membership of first of a binary relation in a domain. $)
  breldm $p |- ( A R B -> A e. dom R ) $=
    ( wbr cop wcel cdm df-br opeldm sylbi ) ABCDABECFACGFABCHABCIJ $.
    $( [8-Jan-2015] $)

  ${
    $d A x y z $.  $d B x y z $.
    $( The domain of a union is the union of domains.  Exercise 56(a) of
       [Enderton] p. 65.  (The proof was shortened by Andrew Salmon,
       27-Aug-2011.) $)
    dmun $p |- dom ( A u. B ) = ( dom A u. dom B ) $=
      ( vx vy cun cdm cv cop wcel wex cab dfdm3 wo eldm orbi12i elun df-br brun
      wbr bitr3i exbii 19.43 bitri 3bitr4i abbi2i eqtr4i ) ABEZFCGZDGZHUGIZDJZC
      KAFZBFZEZCDUGLUKCUNUHULIZUHUMIZMUHUIASZDJZUHUIBSZDJZMZUHUNIUKUOURUPUTDUHA
      NDUHBNOUHULUMPUKUQUSMZDJVAUJVBDUJUHUIUGSVBUHUIUGQUHUIABRTUAUQUSDUBUCUDUEU
      F $.
      $( [27-Aug-2011] $) $( [12-Aug-1994] $)

    $( The domain of an intersection belong to the intersection of domains.
       Theorem 6 of [Suppes] p. 60. $)
    dmin $p |- dom ( A i^i B ) C_ ( dom A i^i dom B ) $=
      ( vx vy cin cdm cv cop wcel wa wex 19.40 eldm2 elin exbii anbi12i 3imtr4i
      bitri ssriv ) CABEZFZAFZBFZEZCGZDGHZAIZUFBIZJZDKZUGDKZUHDKZJZUEUAIZUEUDIZ
      UGUHDLUNUFTIZDKUJDUETMUPUIDUFABNORUOUEUBIZUEUCIZJUMUEUBUCNUQUKURULDUEAMDU
      EBMPRQS $.
      $( [15-Sep-2004] $)

  $}

  ${
    $d x y z A $.
    $( The domain of a union.  Part of Exercise 8 of [Enderton] p. 41. $)
    dmuni $p |- dom U. A = U_ x e. A dom x $=
      ( vy vz cuni cdm cv ciun cop wcel wex wrex eluni exbii excom 19.41v ancom
      wa eldm2 bitri anbi1i bicomi 3bitri df-rex bitr4i eliun 3bitr4i eqriv ) C
      BEZFZABAGZFZHZCGZDGIZUIJZDKZUNULJZABLZUNUJJUNUMJUQUKBJZURRZAKZUSUQUOUKJZU
      TRZAKZDKVDDKZAKVBUPVEDAUOBMNVDDAOVFVAAVFVCDKZUTRZVAVCUTDPVAVHVAURUTRVHUTU
      RQURVGUTDUNUKSUATUBTNUCURABUDUEDUNUISAUNBULUFUGUH $.
      $( [3-Feb-2004] $)
  $}

  ${
    $d x y z $.  $d z ph $.
    $( The domain of a class of ordered pairs. $)
    dmopab $p |- dom { <. x , y >. | ph } = { x | E. y ph } $=
      ( vz copab cdm cv cop wcel wex cab hbopab1 dfdmf opabid exbii abbii eqtri
      hbopab2 ) ABCEZFBGCGHSIZCJZBKACJZBKBCDSABCDLABCDRMUAUBBTACABCNOPQ $.
      $( [16-May-1995] $)
  $}

  ${
    $d x y A $.
    $( Upper bound for the domain of a restricted class of ordered pairs. $)
    dmopabss $p |- dom { <. x , y >. | ( x e. A /\ ph ) } C_ A $=
      ( cv wcel wa copab cdm wex cab dmopab 19.42v abbii ssab2 eqsstri ) BEDFZA
      GZBCHIRCJZBKZDRBCLTQACJZGZBKDSUBBQACMNUABDOPP $.
      $( [31-Jan-2004] $)
  $}

  ${
    $d x y A $.
    $( The domain of a restricted class of ordered pairs. $)
    dmopab3 $p |- ( A. x e. A E. y ph <->
               dom { <. x , y >. | ( x e. A /\ ph ) } = A ) $=
      ( wex wral cv wcel wi wal wa wb copab cdm wceq df-ral pm4.71 albii dmopab
      cab 19.42v abbii eqtri eqeq1i eqcom abeq2 3bitr2ri 3bitri ) ACEZBDFBGDHZU
      IIZBJUJUJUIKZLZBJZUJAKZBCMNZDOZUIBDPUKUMBUJUIQRUQULBTZDODUROUNUPURDUPUOCE
      ZBTURUOBCSUSULBUJACUAUBUCUDDURUEULBDUFUGUH $.
      $( [31-Jan-2004] $)
  $}

  ${
    $d x y $.
    $( The domain of the empty set is empty.  Part of Theorem 3.8(v) of [Monk1]
       p. 36.  (The proof was shortened by Andrew Salmon, 27-Aug-2011.) $)
    dm0 $p |- dom (/) = (/) $=
      ( vx vy c0 cdm wceq cv wcel wn eq0 cop wex noel nex eldm2 mtbir mpgbir )
      CDZCEAFZQGZHAAQISRBFJZCGZBKUABTLMBRCNOP $.
      $( [27-Aug-2011] $) $( [4-Jul-1994] $)

    $( The domain of the identity relation is the universe.  (The proof was
       shortened by Andrew Salmon, 27-Aug-2011.) $)
    dmi $p |- dom _I = _V $=
      ( vx vy cid cdm cvv wceq cv wcel eqv wbr wex weq a9e vex ideq bitri exbii
      equcom mpbir eldm mpgbir ) CDZEFAGZUBHZAAUBIUDUCBGZCJZBKZUGBALZBKBAMUFUHB
      UFABLUHUCUEBNOABRPQSBUCCTSUA $.
      $( [27-Aug-2011] $) $( [30-Apr-1998] $)

    $( The domain of the universe is the universe. $)
    dmv $p |- dom _V = _V $=
      ( cvv cdm ssv cid dmi wss dmss ax-mp eqsstr3i eqssi ) ABZAKCADBZKEDAFLKFD
      CDAGHIJ $.
      $( [8-Aug-2003] $)
  $}

  ${
    $d x y A $.
    $( An empty domain implies an empty range. $)
    dm0rn0 $p |- ( dom A = (/) <-> ran A = (/) ) $=
      ( vx vy cv wbr wex cab c0 wceq wcel wb wal alnex noel albii abeq1 3bitr4i
      wn nbn eqeq1i cdm crn excom xchbinx bitr4i 3bitr3i dfdm2 dfrn2 ) BDZCDZAE
      ZCFZBGZHIZUKBFZCGZHIZAUAZHIAUBZHIULUIHJZKZBLZUOUJHJZKZCLZUNUQULRZBLZUORZC
      LZVBVEVGUOCFZRVIVGULBFVJULBMUKBCUCUDUOCMUEVFVABUTULUINSOVHVDCVCUOUJNSOUFU
      LBHPUOCHPQURUMHBCAUGTUSUPHBCAUHTQ $.
      $( [21-May-1998] $)

    $( A relation is empty iff its domain is empty. $)
    reldm0 $p |- ( Rel A -> ( A = (/) <-> dom A = (/) ) ) $=
      ( vx vy wrel c0 wceq cv cop wcel wb wal cdm rel0 eqrel mpan2 wn eq0 eldm2
      wex albii notbii alnex noel nbn 3bitr2i bitr2i syl6bb ) ADZAEFZBGZCGHZAIZ
      UKEIZJZCKZBKZALZEFZUHEDUIUPJMBCAENOURUJUQIZPZBKUPBUQQUTUOBUTULCSZPULPZCKU
      OUSVACUJARUAULCUBVBUNCUMULUKUCUDTUETUFUG $.
      $( [15-Sep-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The domain of a cross product.  Part of Theorem 3.13(x) of [Monk1]
       p. 37.  (The proof was shortened by Andrew Salmon, 27-Aug-2011.) $)
    dmxp $p |- ( B =/= (/) -> dom ( A X. B ) = A ) $=
      ( vy vx c0 wne cxp cdm cv wcel wa copab df-xp dmeqi wex wral n0 ralrimivw
      wceq biimpi dmopab3 sylib syl5eq ) BEFZABGZHCIAJDIBJZKCDLZHZAUEUGCDABMNUD
      UFDOZCAPUHASUDUICAUDUIDBQTRUFCDAUAUBUC $.
      $( [27-Aug-2011] $) $( [28-Jul-1995] $)
  $}

  $( The domain of a square cross product. $)
  dmxpid $p |- dom ( A X. A ) = A $=
    ( cxp cdm wceq c0 dm0 xpeq1 xp0r syl6eq dmeqd id 3eqtr4a dmxp pm2.61ine ) A
    ABZCZADAEAEDZECEPAFQOEQOEABEAEAGAHIJQKLAAMN $.
    $( [28-Jul-1995] $)

  $( The domain of the intersection of two square cross products.  Unlike
     ~ dmin , equality holds. $)
  dmxpin $p |- dom ( ( A X. A ) i^i ( B X. B ) ) = ( A i^i B ) $=
    ( cxp cin cdm inxp dmeqi dmxpid eqtri ) AACBBCDZEABDZKCZEKJLAABBFGKHI $.
    $( [29-Jan-2008] $)

  $( The cross product of a class with itself is one-to-one.  (The proof was
     shortened by Andrew Salmon, 27-Aug-2011.) $)
  xpid11 $p |- ( ( A X. A ) = ( B X. B ) <-> A = B ) $=
    ( cxp wceq cdm dmeq dmxpid 3eqtr3g xpeq12 anidms impbii ) AACZBBCZDZABDZNLE
    MEABLMFAGBGHONABABIJK $.
    $( [27-Aug-2011] $) $( [5-Nov-2006] $)

  $( The domain of the double converse of a class (which doesn't have to be a
     relation as in ~ dfrel2 ). $)
  dmcnvcnv $p |- dom `' `' A = dom A $=
    ( cdm ccnv crn df-dm dfrn4 eqtr2i ) ABACZDHCBAEHFG $.
    $( [5-Feb-2015] $)

  $( The range of the double converse of a class. $)
  rncnvcnv $p |- ran `' `' A = ran A $=
    ( crn ccnv cdm dfrn4 df-dm eqtr2i ) ABACZDHCBAEHFG $.
    $( [8-Apr-2007] $)

  ${
    $d x y A $.  $d x y B $.
    $( The first member of an ordered pair in a relation belongs to the domain
       of the relation. $)
    elreldm $p |- ( ( Rel A /\ B e. A ) -> Proj1 B e. dom A ) $=
      ( vx vy cv cop wceq wex wrel wcel wa cproj1 elrel wi opeldm eleq1 proj1eq
      cdm proj1op syl6eq eleq1d imbi12d mpbiri exlimivv adantld mpcom ) BCEZDEZ
      FZGZDHCHZAIZBAJZKBLZARZJZCDBAMUKUMUPULUJUMUPNZCDUJUQUIAJZUGUOJZNUGUHAOUJU
      MURUPUSBUIAPUJUNUGUOUJUNUILUGBUIQUGUHSTUAUBUCUDUEUF $.
      $( [28-Jul-2004] $)
  $}


  $( Equality theorem for restrictions. $)
  reseq1 $p |- ( A = B -> ( A |` C ) = ( B |` C ) ) $=
    ( wceq cvv cxp cin cres ineq1 df-res 3eqtr4g ) ABDACEFZGBLGACHBCHABLIACJBCJ
    K $.
    $( [7-Aug-1994] $)

  $( Equality theorem for restrictions. $)
  reseq2 $p |- ( A = B -> ( C |` A ) = ( C |` B ) ) $=
    ( wceq cvv cxp cin cres xpeq1 ineq2d df-res 3eqtr4g ) ABDZCAEFZGCBEFZGCAHCB
    HMNOCABEIJCAKCBKL $.
    $( [8-Aug-1994] $)

  ${
    reseqi.1 $e |- A = B $.
    $( Equality inference for restrictions. $)
    reseq1i $p |- ( A |` C ) = ( B |` C ) $=
      ( wceq cres reseq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [21-Oct-2014] $)

    $( Equality inference for restrictions.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    reseq2i $p |- ( C |` A ) = ( C |` B ) $=
      ( wceq cres reseq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [22-Jun-2011] $)

    reseqi.2 $e |- C = D $.
    $( Equality inference for restrictions. $)
    reseq12i $p |- ( A |` C ) = ( B |` D ) $=
      ( cres reseq1i reseq2i eqtri ) ACGBCGBDGABCEHCDBFIJ $.
      $( [21-Oct-2014] $)
  $}

  ${
    reseqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for restrictions. $)
    reseq1d $p |- ( ph -> ( A |` C ) = ( B |` C ) ) $=
      ( wceq cres reseq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [21-Oct-2014] $)

    $( Equality deduction for restrictions.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    reseq2d $p |- ( ph -> ( C |` A ) = ( C |` B ) ) $=
      ( wceq cres reseq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [22-Jun-2011] $)

    reseqd.2 $e |- ( ph -> C = D ) $.
    $( Equality deduction for restrictions. $)
    reseq12d $p |- ( ph -> ( A |` C ) = ( B |` D ) ) $=
      ( cres reseq1d reseq2d eqtrd ) ABDHCDHCEHABCDFIADECGJK $.
      $( [21-Oct-2014] $)
  $}

  ${
    $d y B $.  $d x y $.
    hbres.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbres.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for restriction.  (Unnecessary
       distinct variable restrictions were removed by David Abernethy,
       19-Jun-2012.) $)
    hbres $p |- ( y e. ( A |` B ) -> A. x y e. ( A |` B ) ) $=
      ( cres cvv cxp cin df-res cv wcel ax-17 hbxp hbin hbxfreq ) ABCDGCDHIZJCD
      KBACREABDHFBLHMANOPQ $.
      $( [24-Jul-2012] $) $( [15-Sep-2003] $)
  $}


  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    $( Equality theorem for image. $)
    imaeq1 $p |- ( A = B -> ( A " C ) = ( B " C ) ) $=
      ( vy vx wceq cv wbr wrex cab cima breq rexbidv abbidv df-ima 3eqtr4g ) AB
      FZDGZEGZAHZDCIZEJRSBHZDCIZEJACKBCKQUAUCEQTUBDCRSABLMNEDACOEDBCOP $.
      $( [14-Aug-1994] $)

    $( Equality theorem for image. $)
    imaeq2 $p |- ( A = B -> ( C " A ) = ( C " B ) ) $=
      ( vy vx wceq cv wbr wrex cab cima rexeq abbidv df-ima 3eqtr4g ) ABFZDGEGC
      HZDAIZEJQDBIZEJCAKCBKPRSEQDABLMEDCANEDCBNO $.
      $( [14-Aug-1994] $)
  $}

  ${
    imaeq1i.1 $e |- A = B $.
    $( Equality theorem for image. $)
    imaeq1i $p |- ( A " C ) = ( B " C ) $=
      ( wceq cima imaeq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [21-Dec-2008] $)

    $( Equality theorem for image. $)
    imaeq2i $p |- ( C " A ) = ( C " B ) $=
      ( wceq cima imaeq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [21-Dec-2008] $)
  $}

  ${
    imaeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for image.  (Contributed by FL, 15-Dec-2006.) $)
    imaeq1d $p |- ( ph -> ( A " C ) = ( B " C ) ) $=
      ( wceq cima imaeq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [12-Dec-2006] $)

    $( Equality theorem for image.  (Contributed by FL, 15-Dec-2006.) $)
    imaeq2d $p |- ( ph -> ( C " A ) = ( C " B ) ) $=
      ( wceq cima imaeq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [12-Dec-2006] $)
  $}


  ${
    $d A t x $.  $d B t x $.  $d C t x $.
    $( Membership in an image under a unit power class. $)
    elimapw1 $p |- ( A e. ( B " ~P1 C ) <-> E. x e. C <. { x } , A >. e. B ) $=
      ( vt cpw1 cima wcel cv wbr wrex csn cop elima wceq wa bitr4i bitri rexbii
      wex df-rex elpw1 anbi1i r19.41v exbii rexcom4 snex breq1 ceqsexv df-br )
      BCDFZGHEIZBCJZEUKKZAIZLZBMCHZADKZEBCUKNUNUPBCJZADKZURUNULUPOZUMPZETZADKZU
      TUNULUKHZUMPZETZVDUMEUKUAVGVBADKZETVDVFVHEVFVAADKZUMPVHVEVIUMAULDUBUCVAUM
      ADUDQUEVBAEDUFQRVCUSADUMUSEUPUOUGULUPBCUHUISRUSUQADUPBCUJSRR $.
      $( [19-Feb-2015] $)

    $( Membership in an image under two unit power classes. $)
    elimapw12 $p |- ( A e. ( B " ~P1 ~P1 C ) <->
             E. x e. C <. { { x } } , A >. e. B ) $=
      ( vt cpw1 cima wcel cv csn cop wrex elimapw1 wex df-rex wceq elpw1 anbi1i
      wa bitri r19.41v bitr4i exbii rexcom4 opeq1d eleq1d ceqsexv rexbii bitr3i
      snex sneq ) BCDFZFGHEIZJZBKZCHZEULLZAIZJZJZBKZCHZADLZEBCULMUQUMULHZUPSZEN
      ZVCUPEULOVFUMUSPZUPSZADLZENZVCVEVIEVEVGADLZUPSVIVDVKUPAUMDQRVGUPADUAUBUCV
      JVHENZADLVCVHAEDUDVLVBADUPVBEUSURUJVGUOVACVGUNUTBUMUSUKUEUFUGUHUITTT $.
      $( [18-Mar-2015] $)


    $( Membership in an image under three unit power classes. $)
    elimapw13 $p |- ( A e. ( B " ~P1 ~P1 ~P1 C ) <->
             E. x e. C <. { { { x } } } , A >. e. B ) $=
      ( vt cpw1 cima wcel cv csn cop wrex elimapw12 wa df-rex wceq elpw1 bitr4i
      wex bitri anbi1i r19.41v exbii rexcom4 sneqd opeq1d eleq1d ceqsexv rexbii
      snex sneq ) BCDFZFFGHEIZJZJZBKZCHZEULLZAIZJZJZJZBKZCHZADLZEBCULMURUMULHZU
      QNZESZVEUQEULOVHUMUTPZUQNZESZADLZVEVHVJADLZESVLVGVMEVGVIADLZUQNVMVFVNUQAU
      MDQUAVIUQADUBRUCVJAEDUDRVKVDADUQVDEUTUSUJVIUPVCCVIUOVBBVIUNVAUMUTUKUEUFUG
      UHUITTT $.
      $( [18-Mar-2015] $)

  $}

  ${
    $d A x t $.  $d B x t $.
    $( Membership in an image under cardinal one. $)
    elima1c $p |- ( A e. ( B " 1c ) <-> E. x <. { x } , A >. e. B ) $=
      ( c1c cima wcel cvv cpw1 cv csn cop wrex wex imaeq2i eleq2i elimapw1 rexv
      df1c2 3bitri ) BCDEZFBCGHZEZFAIJBKCFZAGLUCAMTUBBDUACRNOABCGPUCAQS $.
      $( [6-Feb-2015] $)

    $( Membership in an image under the unit power class of cardinal one. $)
    elimapw11c $p |- ( A e. ( B " ~P1 1c ) <-> E. x <. { { x } } , A >. e. B )
        $=
      ( vt c1c cpw1 cima wcel cv csn cop wrex wex elimapw1 wa wceq df-rex exbii
      el1c bitri anbi1i 19.41v bitr4i excom snex opeq1d eleq1d ceqsexv 3bitri
      sneq ) BCEFGHDIZJZBKZCHZDELZAIZJZJZBKZCHZAMZDBCENUOUKEHZUNOZDMZUKUQPZUNOZ
      DMZAMZVAUNDEQVDVFAMZDMVHVCVIDVCVEAMZUNOVIVBVJUNAUKSUAVEUNAUBUCRVFDAUDTVGU
      TAUNUTDUQUPUEVEUMUSCVEULURBUKUQUJUFUGUHRUIT $.
      $( [25-Feb-2015] $)
  $}

  ${

    $( Binary relation on a restriction. $)
    brres $p |- ( A ( C |` D ) B <-> ( A C B /\ A e. D ) ) $=
      ( cres wbr cvv cxp cin wa wcel df-res breqi brin anass brex simprd adantr
      pm4.71i brxp anbi2i 3bitr4ri 3bitri ) ABCDEZFABCDGHZIZFABCFZABUEFZJZUGADK
      ZJZABUDUFCDLMABCUENUKBGKZJUGUJULJZJUKUIUGUJULOUKULUGULUJUGAGKULABCPQRSUHU
      MUGABDGTUAUBUC $.
      $( [12-Dec-2006] $)

    $( Ordered pair membership in a restriction.  Exercise 13 of
       [TakeutiZaring] p. 25. $)
    opelres $p |- ( <. A , B >. e. ( C |` D ) <->
                    ( <. A , B >. e. C /\ A e. D ) ) $=
      ( cres wbr wcel wa cop brres df-br anbi1i 3bitr3i ) ABCDEZFABCFZADGZHABIZ
      NGQCGZPHABCDJABNKORPABCKLM $.
      $( [13-Nov-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Alternate definition of image. $)
    dfima3 $p |- ( A " B ) = ran ( A |` B ) $=
      ( vx vy cima cres crn cv cop wcel wex wa opelres ancom bitri exbii elima3
      elrn2 3bitr4ri eqriv ) CABEZABFZGZDHZCHZIZUBJZDKUDBJZUFAJZLZDKUEUCJUEUAJU
      GUJDUGUIUHLUJUDUEABMUIUHNOPDUEUBRDUEABQST $.
      $( [27-Aug-2011] $) $( [19-Apr-2004] $)

    $( Alternate definition of image.  Compare definition (d) of [Enderton]
       p. 44.  (The proof was shortened by Andrew Salmon, 27-Aug-2011.) $)
    dfima4 $p |- ( A " B ) = { y | E. x ( x e. B /\ <. x , y >. e. A ) } $=
      ( cima cv wbr wrex cab wcel cop wa df-ima df-br rexbii df-rex bitri abbii
      wex eqtri ) CDEAFZBFZCGZADHZBIUADJUAUBKCJZLASZBIBACDMUDUFBUDUEADHUFUCUEAD
      UAUBCNOUEADPQRT $.
      $( [27-Aug-2011] $) $( [14-Aug-1994] $)
  $}

  ${
    $d y z w A $.  $d y z B $.  $d x y z w $.
    hbima.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbima.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for image.  (The proof was shortened
       by Andrew Salmon, 27-Aug-2011.) $)
    hbima $p |- ( y e. ( A " B ) -> A. x y e. ( A " B ) ) $=
      ( vz vw cv cima wcel wbr wrex elima wel ax-17 hbel hbbr hbrex hbxfrbi ) B
      IZCDJKGIZUACLZGDMAGUACDNUCAGDABBUBDBGOAPFQAHUBUACHGOAPABBHICBHOAPEQHBOAPR
      ST $.
      $( [27-Aug-2011] $) $( [30-Dec-1996] $)
  $}

  ${
    $d x y z $.  $d B y z $.  $d A y z $.  $d ph y $.
    hbimad.1 $e |- ( ph -> A. x ph ) $.
    hbimad.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hbimad.3 $e |- ( ph -> ( y e. B -> A. x y e. B ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbima .
       (Contributed by FL, 15-Dec-2006.) $)
    hbimad $p |- ( ph -> ( y e. ( A " B ) -> A. x y e. ( A " B ) ) ) $=
      ( vz cv wcel wal cab cima wi hba1 hbab wceq alrimiv abidhb a1i syl eleq2d
      hbima imaeq1d imaeq2d eqtrd albid 3imtr3d ) ACJZIJZDKZBLZIMZUKEKZBLZIMZNZ
      KZUSBLZUJDENZKZVBBLUSUTOABCUNUQUMBICULBPQUPBICUOBPQUDUAAURVAUJAURDUQNVAAU
      NDUQAUJDKZVCBLOZCLUNDRAVDCGSBCIDTUBUEAUQEDAUJEKZVEBLOZCLUQERAVFCHSBCIETUB
      UFUGUCZAUSVBBFVGUHUI $.
      $( [14-Dec-2006] $)
  $}

  ${
    $d A y z $.  $d B y z $.  $d C y z $.  $d x y z $.  $d F y z $.
    $( Move class substitution in and out of the image of a function.
       (Contributed by FL, 15-Dec-2006.) $)
    csbima12g $p |- ( A e. C -> [_ A / x ]_ ( F " B ) =
                 ( [_ A / x ]_ F " [_ A / x ]_ B ) ) $=
      ( vy vz wcel cv cima ax-17 hbcsb1g hbcsb1 csbeq1a imaeq1d imaeq2d 3eqtr3d
      csb wceq csbcog hbimad wel hbima vex weq vtoclef a1i 3eqtrd csbiegf eqtrd
      hbeq ) BDHZFBAFIZECJZRZRFBAUMERZRZFBAUMCRZRZJZABUNRABERZABCRZJZFGBUOUTDUL
      FGUQUSULFKFGBUPDGIBHFKZLFGBURDVDLUAUMBSZUOUPURJZUQURJUTUOVFSZVEVGAUMAGGUO
      VFAGUMUNGFUBAKZMAGUPURAGUMEVHMAGUMCVHMUCUKFUDAFUEZUNUPCJUOVFVIEUPCAUMENOA
      UMUNNVICURUPAUMCNPQUFUGVEUPUQURFBUPNOVEURUSUQFBURNPUHUIAFBUNDTULUTVAUSJVC
      ULUQVAUSAFBEDTOULUSVBVAAFBCDTPUJQ $.
      $( [13-Dec-2006] $)
  $}

  $( Equality theorem for range. $)
  rneq $p |- ( A = B -> ran A = ran B ) $=
    ( wceq cvv cima crn imaeq1 df-rn 3eqtr4g ) ABCADEBDEAFBFABDGAHBHI $.
    $( [29-Dec-1996] $)

  ${
    rneqi.1 $e |- A = B $.
    $( Equality inference for range. $)
    rneqi $p |- ran A = ran B $=
      ( wceq crn rneq ax-mp ) ABDAEBEDCABFG $.
      $( [4-Mar-2004] $)
  $}

  ${
    rneqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for range. $)
    rneqd $p |- ( ph -> ran A = ran B ) $=
      ( wceq crn rneq syl ) ABCEBFCFEDBCGH $.
      $( [4-Mar-2004] $)
  $}

  $( Subset theorem for range. $)
  rnss $p |- ( A C_ B -> ran A C_ ran B ) $=
    ( wss ccnv cdm crn cnvss dmss syl dfrn4 3sstr4g ) ABCZADZEZBDZEZAFBFLMOCNPC
    ABGMOHIAJBJK $.
    $( [22-Mar-1998] $)

  $( The second argument of a binary relation belongs to its range. $)
  brelrn $p |- ( A C B -> B e. ran C ) $=
    ( ccnv wbr cdm wcel crn breldm brcnv bicomi dfrn4 eleq2i 3imtr4i ) BACDZEZB
    OFZGABCEZBCHZGBAOIPRBACJKSQBCLMN $.
    $( [29-Jun-2008] $)

  $( Membership of second member of an ordered pair in a range. $)
  opelrn $p |- ( <. A , B >. e. C -> B e. ran C ) $=
    ( cop wcel wbr crn df-br brelrn sylbir ) ABDCEABCFBCGEABCHABCIJ $.
    $( [8-Jan-2015] $)

  ${
    $d x y z w v $.  $d z w v A $.
    dfrnf.1 $e |- ( z e. A -> A. x z e. A ) $.
    dfrnf.2 $e |- ( z e. A -> A. y z e. A ) $.
    $( Definition of range, using bound-variable hypotheses instead of distinct
       variable conditions. $)
    dfrnf $p |- ran A = { y | E. x <. x , y >. e. A } $=
      ( vv vw crn cv cop wcel wex cab dfrn3 ax-17 hbel wceq opeq1 eleq1d exbidv
      cbvex abbii hbex opeq2 cbvab 3eqtri ) DIGJZHJZKZDLZGMZHNAJZUIKZDLZAMZHNUM
      BJZKZDLZAMZBNGHDOULUPHUKUOGAACCUJDCJZUJLAPEQUOGPUHUMRUJUNDUHUMUISTUBUCUPU
      THBUOBABCCUNDVAUNLBPFQUDUTHPUIUQRZUOUSAVBUNURDUIUQUMUETUAUFUG $.
      $( [14-Aug-1995] $)
  $}

  ${
    $d x y z w $.  $d y z w A $.
    hbrn.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for range.  (The proof was shortened
       by Andrew Salmon, 27-Aug-2011.) $)
    hbrn $p |- ( y e. ran A -> A. x y e. ran A ) $=
      ( vz vw cv crn wcel cop wex elrn2 ax-17 hbel hbex hbxfrbi ) BGZCHIEGQJZCI
      ZEKAEQCLSAEAFBRCFGRIAMDNOP $.
      $( [27-Aug-2011] $) $( [1-Sep-1999] $)
  $}

  ${
    $d x y z w $.  $d y z w A $.
    hbdm.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for domain. $)
    hbdm $p |- ( y e. dom A -> A. x y e. dom A ) $=
      ( cdm ccnv crn df-dm hbcnv hbrn hbxfreq ) ABCECFZGCHABLABCDIJK $.
      $( [30-Jan-2004] $)
  $}

  ${
    $d A z $.  $d B z $.  $d x z $.
    $( Domain of an intersection.  (Contributed by FL, 15-Oct-2012.) $)
    dmiin $p |- dom |^|_ x e. A B C_ |^|_ x e. A dom B $=
      ( vz ciin cdm wss hbii1 hbdm ssiinf cv wcel iinss2 dmss syl mprgbir ) ABC
      EZFZABCFZEGRSGZABADBSRADQADBCHIJAKBLQCGTABCMQCNOP $.
      $( [15-Oct-2012] $)
  $}

  ${
    $d A w y $.  $d B w y $.  $d V w y $.  $d x w y $.
    $( Distribute proper substitution through the range of a class.
       (Contributed by Alan Sare, 10-Nov-2012. ) $)
    csbrng $p |- ( A e. V -> [_ A / x ]_ ran B = ran [_ A / x ]_ B ) $=
      ( vw vy wcel crn csb cop wex cab wsbc dfrn3 csbeq2i csbabg sbcexg sbcel2g
      cv exbidv bitrd abbidv 3eqtrd syl6eqr ) BDGZABCHZIZESFSJZABCIZGZEKZFLZUIH
      UEUGABUHCGZEKZFLZIUNABMZFLULABUFUODEFCNOUNAFBDPUEUPUKFUEUPUMABMZEKUKUMEAB
      DQUEUQUJEABUHCDRTUAUBUCEFUINUD $.
      $( [10-Nov-2012] $)
  $}

  ${
    $d x y z $.  $d z ph $.
    $( The range of a class of ordered pairs. $)
    rnopab $p |- ran { <. x , y >. | ph } = { y | E. x ph } $=
      ( vz copab crn cv cop wcel wex cab hbopab1 dfrnf opabid exbii abbii eqtri
      hbopab2 ) ABCEZFBGCGHSIZBJZCKABJZCKBCDSABCDLABCDRMUAUBCTABABCNOPQ $.
      $( [14-Aug-1995] $)
  $}

  ${
    $d x y $.
    $( The range of a function expressed as a class abstraction. $)
    rnopab2 $p |- ran { <. x , y >. | ( x e. A /\ y = B ) } =
                 { y | E. x e. A y = B } $=
      ( cv wcel wceq wa copab crn wex cab wrex rnopab df-rex abbii eqtr4i ) AEC
      FBEDGZHZABIJSAKZBLRACMZBLSABNUATBRACOPQ $.
      $( [23-Mar-2006] $)
  $}

  $( The range of the empty set is empty.  Part of Theorem 3.8(v) of [Monk1]
     p. 36. $)
  rn0 $p |- ran (/) = (/) $=
    ( c0 cdm wceq crn dm0 dm0rn0 mpbi ) ABACADACEAFG $.
    $( [4-Jul-1994] $)

  ${
    $d x y A $.
    $( A relation is empty iff its range is empty. $)
    relrn0 $p |- ( Rel A -> ( A = (/) <-> ran A = (/) ) ) $=
      ( wrel c0 wceq cdm crn reldm0 dm0rn0 syl6bb ) ABACDAECDAFCDAGAHI $.
      $( [15-Sep-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( Domain of a composition.  Theorem 21 of [Suppes] p. 63.  (The proof was
       shortened by Andrew Salmon, 27-Aug-2011.) $)
    dmcoss $p |- dom ( A o. B ) C_ dom B $=
      ( vx vy vz ccom cdm cv wbr wex wcel wa brco exbii excom bitri simpl eximi
      exlimiv eldm sylbi 3imtr4i ssriv ) CABFZGZBGZCHZDHZUDIZDJZUGEHZBIZEJZUGUE
      KUGUFKUJULUKUHAIZLZDJZEJZUMUJUOEJZDJUQUIURDEUGUHABMNUODEOPUPULEUOULDULUNQ
      SRUADUGUDTEUGBTUBUC $.
      $( [27-Aug-2011] $) $( [19-Mar-1998] $)
  $}

  $( Range of a composition. $)
  rncoss $p |- ran ( A o. B ) C_ ran A $=
    ( ccnv ccom cdm crn dmcoss dfrn4 cnvco dmeqi eqtri 3sstr4i ) BCZACZDZEZNEAB
    DZFZAFMNGRQCZEPQHSOABIJKAHL $.
    $( [19-Mar-1998] $)

  ${
    $d x y z A $.  $d x y z B $.
    $( Domain of a composition.  (The proof was shortened by Andrew Salmon,
       27-Aug-2011.) $)
    dmcosseq $p |- ( ran B C_ dom A -> dom ( A o. B ) = dom B ) $=
      ( vx vy vz crn cdm wss ccom dmcoss a1i cv wbr wcel wa brelrn ssel syl6ibr
      wex eldm syl6ib ancld 19.42v eximdv exbii excom bitri 3imtr4g ssrdv eqssd
      syl5 brco ) BFZAGZHZABIZGZBGZUQURHUOABJKUOCURUQUOCLZDLZBMZDSZUSELZUPMZESZ
      USURNUSUQNUOVBVAUTVCAMZOZESZDSZVEUOVAVHDUOVAVAVFESZOVHUOVAVJUOVAUTUNNZVJV
      AUTUMNUOVKUSUTBPUMUNUTQUKEUTATUAUBVAVFEUCRUDVEVGDSZESVIVDVLEDUSVCABULUEVG
      EDUFUGRDUSBTEUSUPTUHUIUJ $.
      $( [27-Aug-2011] $) $( [28-May-1998] $)

    $( Domain of a composition. $)
    dmcoeq $p |- ( dom A = ran B -> dom ( A o. B ) = dom B ) $=
      ( cdm crn wceq wss ccom eqimss2 dmcosseq syl ) ACZBDZELKFABGCBCELKHABIJ
      $.
      $( [19-Mar-1998] $)
  $}

  $( Range of a composition. $)
  rncoeq $p |- ( dom A = ran B -> ran ( A o. B ) = ran A ) $=
    ( ccnv cdm crn wceq ccom dmcoeq df-dm dfrn4 eqeq12i eqcom bitri cnvco dmeqi
    eqtri 3imtr4i ) BCZDZACZEZFZRTGZDZTDZFADZBEZFZABGZEZAEZFRTHUHUASFUBUFUAUGSA
    IBJKUASLMUJUDUKUEUJUICZDUDUIJULUCABNOPAJKQ $.
    $( [19-Mar-1998] $)

  $( Distribute proper substitution through the restriction of a class.
     (Contributed by Alan Sare, 10-Nov-2012. ) $)
  csbresg $p |- ( A e. V -> [_ A / x ]_ ( B |` C ) =
                 ( [_ A / x ]_ B |` [_ A / x ]_ C ) ) $=
    ( wcel cres csb cvv cxp cin df-res csbeq2i csbing csbxpg csbconstgfv xpeq2d
    eqtrd ineq2d 3eqtrd syl6eqr ) BEFZABCDGZHZABCHZABDHZIJZKZUEUFGUBUDABCDIJZKZ
    HUEABUIHZKUHABUCUJECDLMABECUINUBUKUGUEUBUKUFABIHZJUGABDIEOUBULIUFABIEPQRSTU
    EUFLUA $.
    $( [10-Nov-2012] $)

  $( A restriction to the empty set is empty. $)
  res0 $p |- ( A |` (/) ) = (/) $=
    ( c0 cres cvv cxp cin df-res xp0r ineq2i in0 3eqtri ) ABCABDEZFABFBABGLBADH
    IAJK $.
    $( [12-Nov-1994] $)

  ${
    $( Ordered pair membership in a restriction when the first member belongs
       to the restricting class.  (The proof was shortened by Andrew Salmon,
       27-Aug-2011.) $)
    opres $p |- ( A e. D ->
                    ( <. A , B >. e. ( C |` D ) <-> <. A , B >. e. C ) ) $=
      ( wcel cop wa cres iba opelres syl6rbbr ) ADEZABFZCEZNLGMCDHELNIABCDJK $.
      $( [27-Aug-2011] $) $( [30-Apr-2004] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( A restricted identity relation is equivalent to equality in its
       domain. $)
    resieq $p |- ( B e. A -> ( B ( _I |` A ) C <-> B = C ) ) $=
      ( cid cres wbr wcel wa wceq brres iba ideqg2 bitr3d syl5bb ) BCDAEFBCDFZB
      AGZHZPBCIZBCDAJPOQRPOKBCALMN $.
      $( [30-Apr-2004] $)
  $}

  $( The restriction of a restriction. $)
  resres $p |- ( ( A |` B ) |` C ) = ( A |` ( B i^i C ) ) $=
    ( cres cvv cxp cin df-res ineq1i xpindir ineq2i inass 3eqtr4ri 3eqtri ) ABD
    ZCDOCEFZGABEFZGZPGZABCGZDZOCHORPABHIATEFZGAQPGZGUASUBUCABCEJKATHAQPLMN $.
    $( [27-Mar-2008] $)

  $( Distributive law for restriction over union.  Theorem 31 of [Suppes]
     p. 65. $)
  resundi $p |- ( A |` ( B u. C ) ) = ( ( A |` B ) u. ( A |` C ) ) $=
    ( cun cvv cxp cin cres xpundir ineq2i indi eqtri df-res uneq12i 3eqtr4i ) A
    BCDZEFZGZABEFZGZACEFZGZDZAPHABHZACHZDRASUADZGUCQUFABCEIJASUAKLAPMUDTUEUBABM
    ACMNO $.
    $( [30-Sep-2002] $)

  $( Distributive law for restriction over union. $)
  resundir $p |- ( ( A u. B ) |` C ) = ( ( A |` C ) u. ( B |` C ) ) $=
    ( cun cvv cxp cin cres indir df-res uneq12i 3eqtr4i ) ABDZCEFZGANGZBNGZDMCH
    ACHZBCHZDABNIMCJQORPACJBCJKL $.
    $( [23-Sep-2004] $)

  $( Class restriction distributes over intersection.  (Contributed by FL,
     6-Oct-2008.) $)
  resindi $p |- ( A |` ( B i^i C ) ) = ( ( A |` B ) i^i ( A |` C ) ) $=
    ( cin cvv cxp cres xpindir ineq2i inindi eqtri df-res ineq12i 3eqtr4i ) ABC
    DZEFZDZABEFZDZACEFZDZDZAOGABGZACGZDQARTDZDUBPUEABCEHIARTJKAOLUCSUDUAABLACLM
    N $.
    $( [6-Oct-2008] $)

  $( Class restriction distributes over intersection. $)
  resindir $p |- ( ( A i^i B ) |` C ) = ( ( A |` C ) i^i ( B |` C ) ) $=
    ( cin cvv cxp cres inindir df-res ineq12i 3eqtr4i ) ABDZCEFZDAMDZBMDZDLCGAC
    GZBCGZDABMHLCIPNQOACIBCIJK $.
    $( [18-Dec-2008] $)

  $( Move intersection into class restriction. $)
  inres $p |- ( A i^i ( B |` C ) ) = ( ( A i^i B ) |` C ) $=
    ( cin cvv cxp cres inass df-res ineq2i 3eqtr4ri ) ABDZCEFZDABMDZDLCGABCGZDA
    BMHLCIONABCIJK $.
    $( [18-Dec-2008] $)

  ${
    $d x y A $.  $d x y B $.
    $( The domain of a restriction.  Exercise 14 of [TakeutiZaring] p. 25. $)
    dmres $p |- dom ( A |` B ) = ( B i^i dom A ) $=
      ( vx vy cdm cin cres cv wbr wcel wex 19.41v eldm brres exbii bitri anbi1i
      wa 3bitr4ri ineqri incom eqtr3i ) AEZBFABGZEZBUCFCUCBUECHZDHZAIZUFBJZRZDK
      ZUHDKZUIRUFUEJZUFUCJZUIRUHUIDLUMUFUGUDIZDKUKDUFUDMUOUJDUFUGABNOPUNULUIDUF
      AMQSTUCBUAUB $.
      $( [1-Aug-1994] $)
  $}

  $( A domain restricted to a subclass equals the subclass. $)
  ssdmres $p |- ( A C_ dom B <-> dom ( B |` A ) = A ) $=
    ( cdm wss cin wceq cres df-ss dmres eqeq1i bitr4i ) ABCZDALEZAFBAGCZAFALHNM
    ABAIJK $.
    $( [28-Aug-2004] $) $( [2-Mar-1997] $)

  $( A class includes its restriction.  Exercise 15 of [TakeutiZaring]
     p. 25. $)
  resss $p |- ( A |` B ) C_ A $=
    ( cres cvv cxp cin df-res inss1 eqsstri ) ABCABDEZFAABGAJHI $.
    $( [2-Aug-1994] $)

  $( Commutative law for restriction. $)
  rescom $p |- ( ( A |` B ) |` C ) = ( ( A |` C ) |` B ) $=
    ( cin cres incom reseq2i resres 3eqtr4i ) ABCDZEACBDZEABECEACEBEJKABCFGABCH
    ACBHI $.
    $( [27-Mar-1998] $)

  $( Subclass theorem for restriction. $)
  ssres $p |- ( A C_ B -> ( A |` C ) C_ ( B |` C ) ) $=
    ( wss cvv cxp cin cres ssrin df-res 3sstr4g ) ABDACEFZGBLGACHBCHABLIACJBCJK
    $.
    $( [16-Aug-1994] $)

  $( Subclass theorem for restriction.  (The proof was shortened by Andrew
     Salmon, 27-Aug-2011.) $)
  ssres2 $p |- ( A C_ B -> ( C |` A ) C_ ( C |` B ) ) $=
    ( wss cvv cxp cin cres xpss1 sslin syl df-res 3sstr4g ) ABDZCAEFZGZCBEFZGZC
    AHCBHNOQDPRDABEIOQCJKCALCBLM $.
    $( [27-Aug-2011] $) $( [22-Mar-1998] $)

  $( A restriction is a relation.  Exercise 12 of [TakeutiZaring] p. 25.  (The
     proof was shortened by Andrew Salmon, 27-Aug-2011.) $)
  relres $p |- Rel ( A |` B ) $=
    ( cres cvv cxp wss wrel cin df-res inss2 eqsstri relxp relss mp2 ) ABCZBDEZ
    FPGOGOAPHPABIAPJKBDLOPMN $.
    $( [27-Aug-2011] $) $( [2-Aug-1994] $)

  $( Absorption law for restriction.  Exercise 17 of [TakeutiZaring] p. 25. $)
  resabs1 $p |- ( B C_ C -> ( ( A |` C ) |` B ) = ( A |` B ) ) $=
    ( wss cres cin resres wceq df-ss incom eqeq1i bitri biimpi reseq2d syl5eq )
    BCDZACEBEACBFZEABEACBGPQBAPQBHZPBCFZBHRBCISQBBCJKLMNO $.
    $( [9-Aug-1994] $)

  $( Absorption law for restriction. $)
  resabs2 $p |- ( B C_ C -> ( ( A |` B ) |` C ) = ( A |` B ) ) $=
    ( wss cres rescom resabs1 syl5eq ) BCDABEZCEACEBEIABCFABCGH $.
    $( [27-Mar-1998] $)

  $( Idempotent law for restriction. $)
  residm $p |- ( ( A |` B ) |` B ) = ( A |` B ) $=
    ( wss cres wceq ssid resabs2 ax-mp ) BBCABDZBDIEBFABBGH $.
    $( [27-Mar-1998] $)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Membership in a restriction.  (Contributed by Scott Fenton,
       17-Mar-2011.) $)
    elres $p |- ( A e. ( B |` C )
          <-> E. x e. C E. y ( A = <. x , y >. /\ <. x , y >. e. B ) ) $=
      ( cv cop wceq cres wcel wex wrex eleq1 opelres ancom bitri syl6bb pm5.32i
      wa bitr4i an12 2exbii wrel relres pm4.71ri 19.41vv df-rex exdistr 3bitr4i
      elrel mpan ) CAFZBFZGZHZCDEIZJZSZBKAKZULEJZUOUNDJZSZSZBKAKZUQVBBKZAELZURV
      CABURUOUTVASZSVCUOUQVGUOUQUNUPJZVGCUNUPMVHVAUTSVGULUMDENVAUTOPQRUOUTVAUAP
      UBUQUOBKAKZUQSUSUQVIUPUCUQVIDEUDABCUPUJUKUEUOUQABUFTVFUTVESAKVDVEAEUGUTVB
      ABUHTUI $.
      $( [17-Mar-2011] $)

    ${
      elsnres.1 $e |- C e. _V $.
      $( Memebership in restriction to a singleton.  (Contributed by Scott
         Fenton, 17-Mar-2011.) $)
      elsnres $p |- ( A e. ( B |` { C } )
            <-> E. y ( A = <. C , y >. /\ <. C , y >. e. B ) ) $=
        ( vx csn cres wcel cv cop wceq wa wex elres rexcom4 opeq1 eqeq2d eleq1d
        wrex anbi12d rexsn exbii 3bitri ) BCDGZHIBFJZAJZKZLZUHCIZMZANFUETUKFUET
        ZANBDUGKZLZUMCIZMZANFABCUEOUKFAUEPULUPAUKUPFDEUFDLZUIUNUJUOUQUHUMBUFDUG
        QZRUQUHUMCURSUAUBUCUD $.
        $( [17-Mar-2011] $)
    $}

    $( Simplification law for restriction. $)
    relssres $p |- ( ( Rel A /\ dom A C_ B ) -> ( A |` B ) = A ) $=
      ( vx vy wrel cdm wss wa cres resss a1i simpl cv cop wcel opeldm ssel syl5
      wi adantl ancld opelres syl6ibr relssdv eqssd ) AEZAFZBGZHZABIZAUJAGUIABJ
      KUICDAUJUFUHLUICMZDMZNZAOZUNUKBOZHUMUJOUIUNUOUHUNUOSUFUNUKUGOUHUOUKULAPUG
      BUKQRTUAUKULABUBUCUDUE $.
      $( [15-Mar-2004] $) $( [16-Aug-1994] $)
  $}

  $( A relation restricted to its domain equals itself. $)
  resdm $p |- ( Rel A -> ( A |` dom A ) = A ) $=
    ( wrel cdm wss cres wceq ssid relssres mpan2 ) ABACZJDAJEAFJGAJHI $.
    $( [12-Dec-2006] $)

  ${
    $d x y A $.
    $( Restriction of a class abstraction of ordered pairs. $)
    resopab $p |- ( { <. x , y >. | ph } |` A ) =
                  { <. x , y >. | ( x e. A /\ ph ) } $=
      ( copab cres cvv cxp cin cv wa df-res df-xp biantru opabbii eqtr4i ineq2i
      wcel vex incom eqtri inopab 3eqtri ) ABCEZDFUDDGHZIZBJDRZBCEZUDIZUGAKBCEU
      DDLUFUDUHIUIUEUHUDUEUGCJGRZKZBCEUHBCDGMUGUKBCUJUGCSNOPQUDUHTUAUGABCUBUC
      $.
      $( [5-Nov-2002] $)

    $( A subclass of the identity function is the identity function restricted
       to its domain.  (The proof was shortened by Andrew Salmon,
       27-Aug-2011.) $)
    iss $p |- ( A C_ _I <-> A = ( _I |` dom A ) ) $=
      ( vx vy cid wss cdm cres wceq cv cop wcel wb wal wa ssel wi opeldm syl5bi
      a1i wrel jcad weq wbr df-br vex ideq bitr3i anbi1i wex eldm2 syl6ib opeq2
      eleq1d biimprd syli exlimdv biimpd syl9 imp3a impbid opelres syl6bbr reli
      alrimivv relss mpi relres eqrel sylancl mpbird resss sseq1 mpbiri impbii
      ) ADEZADAFZGZHZVOVRBIZCIZJZAKZWAVQKZLZCMBMZVOWDBCVOWBWADKZVSVPKZNZWCVOWBW
      HVOWBWFWGADWAOZWBWGPVOVSVTAQSUAWHBCUBZWGNVOWBWFWJWGWFVSVTDUCWJVSVTDUDVSVT
      CUEUFUGZUHVOWJWGWBVOWGVSVSJZAKZWJWBWGWBCUIVOWMCVSAUJVOWBWMCWBVOWJWMVOWBWF
      WJWIWKUKWJWMWBWJWLWAAVSVTVSULUMZUNUOUPRWJWMWBWNUQURUSRUTVSVTDVPVAVBVDVOAT
      ZVQTVRWELVODTWOVCADVEVFDVPVGBCAVQVHVIVJVRVOVQDEDVPVKAVQDVLVMVN $.
      $( [27-Aug-2011] $) $( [13-Dec-2003] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Restriction of a class abstraction of ordered pairs. $)
    resopab2 $p |- ( A C_ B -> ( { <. x , y >. | ( x e. B /\ ph ) } |` A ) =
                  { <. x , y >. | ( x e. A /\ ph ) } ) $=
      ( wss cv wcel wa copab cres resopab wi wb ssel pm4.71 sylib anass syl6rbb
      anbi1d opabbidv syl5eq ) DEFZBGZEHZAIZBCJDKUDDHZUFIZBCJUGAIZBCJUFBCDLUCUH
      UIBCUCUIUGUEIZAIUHUCUGUJAUCUGUEMUGUJNDEUDOUGUEPQTUGUEARSUAUB $.
      $( [24-Aug-2007] $)
  $}

  ${
    $d w x y z A $.  $d w x y z R $.
    $( Alternate definition of the restriction operation.  (Contributed by
       Mario Carneiro, 5-Nov-2013.) $)
    dfres2 $p |- ( R |` A ) = { <. x , y >. | ( x e. A /\ x R y ) } $=
      ( vz vw cres cv wcel wbr copab relres relopab cop vex eleq1 breq1 anbi12d
      wa weq breq2 anbi2d opelopab brres ancom bitri df-br 3bitr2ri eqrelriiv )
      EFDCGZAHZCIZUKBHZDJZSZABKZDCLUOABMEHZFHZNZUPIUQCIZUQURDJZSZUQURUJJZUSUJIU
      OUTUQUMDJZSVBABUQUREOFOAETULUTUNVDUKUQCPUKUQUMDQRBFTVDVAUTUMURUQDUAUBUCVC
      VAUTSVBUQURDCUDVAUTUEUFUQURUJUGUHUI $.
      $( [5-Nov-2013] $)
  $}

  ${
    $d A x y $.
    $( The restricted identity expressed with the class builder.  (Contributed
       by FL, 25-Apr-2012.) $)
    opabresid $p |- { <. x , y >. | ( x e. A /\ y = x ) } = ( _I |` A ) $=
      ( weq copab cres cv wcel cid resopab equcom opabbii eqtr4i reseq1i eqtr3i
      wa dfid3 ) BADZABEZCFAGCHRPABEICFRABCJSICSABDZABEIRTABBAKLABQMNO $.
      $( [25-Apr-2012] $)
  $}

  $( The domain of a restricted identity function. $)
  dmresi $p |- dom ( _I |` A ) = A $=
    ( cid cdm wss cres wceq cvv ssv dmi sseqtr4i ssdmres mpbi ) ABCZDBAECAFAGMA
    HIJABKL $.
    $( [27-Aug-2004] $)

  $( MAY BE REVISED - delete this and replace w/ dfres3 (in FL's mathbox) $)
  $( Any relation restricted to the universe is itself. $)
  resid $p |- ( Rel A -> ( A |` _V ) = A ) $=
    ( wrel cdm cvv wss cres wceq ssv relssres mpan2 ) ABACZDEADFAGKHADIJ $.
    $( [16-Mar-2004] $)

  $( A restriction to an image. $)
  resima $p |- ( ( A |` B ) " B ) = ( A " B ) $=
    ( cres crn cima residm rneqi dfima3 3eqtr4i ) ABCZBCZDJDJBEABEKJABFGJBHABHI
    $.
    $( [29-Sep-2004] $)


  $( Image under a restricted class.  (Contributed by FL, 31-Aug-2009.) $)
  resima2 $p |- ( B C_ C -> ( ( A |` C ) " B ) = ( A " B ) ) $=
    ( wss cin cres crn cima wceq sseqin2 biimpi rneqd dfima3 resres rneqi eqtri
    reseq2d 3eqtr4g ) BCDZACBEZFZGZABFZGACFZBHZABHSUAUCSTBASTBIBCJKQLUEUDBFZGUB
    UDBMUFUAACBNOPABMR $.
    $( [31-Aug-2009] $)

  ${
    $d x y A $.  $d x y B $.
    $( The image of the domain of a class is the range of the class. $)
    imadmrn $p |- ( A " dom A ) = ran A $=
      ( vx vy cv wbr cdm wrex cab wex cima wcel wa df-rex breldm pm4.71ri exbii
      crn bitr4i abbii df-ima dfrn2 3eqtr4i ) BDZCDZAEZBAFZGZCHUEBIZCHAUFJAQUGU
      HCUGUCUFKZUELZBIUHUEBUFMUEUJBUEUIUCUDANOPRSCBAUFTBCAUAUB $.
      $( [14-Aug-1994] $)

    $( The image of a class is a subset of its range.  Theorem 3.16(xi) of
       [Monk1] p. 39. $)
    imassrn $p |- ( A " B ) C_ ran A $=
      ( vx vy cv wcel cop wa wex cab cima crn simpr eximi ss2abi dfima4 3sstr4i
      dfrn3 ) CEZBFZSDEGAFZHZCIZDJUACIZDJABKALUCUDDUBUACTUAMNOCDABPCDARQ $.
      $( [31-Mar-1995] $)
  $}

  ${
    $d x y A $.
    $( Image under the identity relation.  Theorem 3.16(viii) of [Monk1]
       p. 38. $)
    imai $p |- ( _I " A ) = A $=
      ( vx vy cid cima cv wcel cop wa wex cab dfima4 wceq wbr df-br ideq bitr3i
      vex anbi2i bitri ancom exbii eleq1 ceqsexv abbii abid2 3eqtri ) DAEBFZAGZ
      UHCFZHDGZIZBJZCKUJAGZCKABCDALUMUNCUMUHUJMZUIIZBJUNULUPBULUIUOIUPUKUOUIUKU
      HUJDNUOUHUJDOUHUJCRZPQSUIUOUATUBUIUNBUJUQUHUJAUCUDTUECAUFUG $.
      $( [30-Apr-1998] $)
  $}

  $( The range of the restricted identity function. $)
  rnresi $p |- ran ( _I |` A ) = A $=
    ( cid cima cres crn dfima3 imai eqtr3i ) BACBADEABAFAGH $.
    $( [27-Aug-2004] $)

  $( The image of a restriction of the identity function.  (Contributed by FL,
     31-Dec-2006.) $)
  resiima $p |- ( B C_ A -> ( ( _I |` A ) " B ) = B ) $=
    ( wss cid cres cima crn dfima3 resabs1 rneqd rnresi syl6eq syl5eq ) BACZDAE
    ZBFOBEZGZBOBHNQDBEZGBNPRDBAIJBKLM $.
    $( [28-Dec-2006] $)

  $( Image of the empty set.  Theorem 3.16(ii) of [Monk1] p. 38. $)
  ima0 $p |- ( A " (/) ) = (/) $=
    ( c0 cima cres crn dfima3 res0 rneqi rn0 3eqtri ) ABCABDZEBEBABFKBAGHIJ $.
    $( [20-May-1998] $)

  $( Image under the empty relation.  (Contributed by FL, 11-Jan-2007.) $)
  0ima $p |- ( (/) " A ) = (/) $=
    ( c0 cima crn imassrn rn0 sseqtri 0ss eqssi ) BACZBJBDBBAEFGJHI $.
    $( [4-Jan-2007] $)

  $( A class whose image under another is empty is disjoint with the other's
     domain.  (Contributed by FL, 24-Jan-2007.) $)
  imadisj $p |- ( ( A " B ) = (/) <-> ( dom A i^i B ) = (/) ) $=
    ( cima wceq cres crn cdm cin dfima3 eqeq1i dm0rn0 dmres incom eqtri 3bitr2i
    c0 ) ABCZPDABEZFZPDRGZPDAGZBHZPDQSPABIJRKTUBPTBUAHUBABLBUAMNJO $.
    $( [15-Jan-2007] $)

  $( A preimage under any class is included in the domain of the class.
     (Contributed by FL, 29-Jan-2007.) $)
  cnvimass $p |- ( `' A " B ) C_ dom A $=
    ( ccnv cima crn cdm imassrn df-dm sseqtr4i ) ACZBDJEAFJBGAHI $.
    $( [29-Jan-2007] $)

  $( The preimage of the range of a class is the domain of the class.
     (Contributed by Jeff Hankins, 15-Jul-2009.) $)
  cnvimarndm $p |- ( `' A " ran A ) = dom A $=
    ( ccnv cdm cima crn imadmrn dfrn4 imaeq2i df-dm 3eqtr4i ) ABZKCZDKEKAEZDACK
    FMLKAGHAIJ $.
    $( [12-Jul-2009] $)

  ${
    $d A x y $.  $d R x y $.
    $( The image of a singleton. $)
    imasn $p |- ( R " { A } ) = { y | A R y } $=
      ( vx cvv wcel csn cima cv wbr wceq wrex df-ima breq1 rexsng abbidv syl5eq
      cab wn c0 ima0 snprc biimpi imaeq2d wex brex exlimiv con3i wne abn0 df-ne
      simpld bitr3i con2bii sylibr 3eqtr4a pm2.61i ) BEFZCBGZHZBAIZCJZARZKURUTD
      IZVACJZDUSLZARVCADCUSMURVFVBAVEVBDBEVDBVACNOPQURSZCTHTUTVCCUAVGUSTCVGUSTK
      BUBUCUDVGVBAUEZSVCTKZVHURVBURAVBURVAEFBVACUFULUGUHVHVIVHVCTUIVISVBAUJVCTU
      KUMUNUOUPUQ $.
      $( [9-Jan-2015] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Membership in an image of a singleton.  (The proof was shortened by
       Andrew Salmon, 27-Aug-2011.) $)
    elimasn $p |- ( C e. ( A " { B } ) <-> <. B , C >. e. A ) $=
      ( vx csn cima wcel cvv cop elex wbr df-br brex simprd sylbir cv cab breq2
      elabg imasn eleq2i bicomi 3bitr4g pm5.21nii ) CABEFZGZCHGZBCIAGZCUEJUHBCA
      KZUGBCALZUIBHGUGBCAMNOUGCBDPZAKZDQZGUIUFUHULUIDCHUKCBARSUEUMCDBATUAUIUHUJ
      UBUCUD $.
      $( [27-Aug-2011] $) $( [15-Mar-2004] $)
  $}

  ${
    $d y F $.  $d x y $.
    $( Two ways to express the class of unique-valued arguments of ` F ` ,
       which is the same as the domain of ` F ` whenever ` F ` is a function.
       The left-hand side of the equality is from Definition 10.2 of [Quine]
       p. 65.  Quine uses the notation "arg ` F ` " for this class (for which
       we have no separate notation).  Observe the resemblance to our ~ df-fv ,
       which was based on the idea in Quine's definition. $)
    args $p |- { x | E. y ( F " { x } ) = { y } } = { x | E! y x F y } $=
      ( cv csn cima wceq wex wbr weu cab imasn eqeq1i exbii euabsn bitr4i abbii
      ) CADZEFZBDZEZGZBHZRTCIZBJZAUCUDBKZUAGZBHUEUBUGBSUFUABRCLMNUDBOPQ $.
      $( [8-May-2005] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Membership in an initial segment.  The idiom ` ( ``' A " { B } ) ` ,
       meaning ` { x | x A B } ` , is used to specify an initial segment in
       (for example) Definition 6.21 of [TakeutiZaring] p. 30.  (The proof was
       shortened by Andrew Salmon, 27-Aug-2011.) $)
    eliniseg $p |- ( C e. ( `' A " { B } ) <-> C A B ) $=
      ( ccnv csn cima wcel cop wbr elimasn df-br brcnv 3bitr2i ) CADZBEFGBCHNGB
      CNICBAINBCJBCNKBCALM $.
      $( [27-Aug-2011] $) $( [28-Apr-2004] $)
  $}

  ${
    $d A x y $.
    epini.1 $e |- A e. _V $.
    $( Any set is equal to its preimage under the converse epsilon relation.
       (Contributed by Mario Carneiro, 9-Mar-2013.) $)
    epini $p |- ( `' _E " { A } ) = A $=
      ( vx cep ccnv csn cima wbr cab imasn brcnv epelc bitri abbii abid2 3eqtri
      cv wcel ) DEZAFGACQZSHZCITARZCIACASJUAUBCUATADHUBATDKTABLMNCAOP $.
      $( [9-Mar-2013] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( An idiom that signifies an initial segment of an ordering, used, for
       example, in Definition 6.21 of [TakeutiZaring] p. 30. $)
    iniseg $p |- ( `' A " { B } ) = { x | x A B } $=
      ( ccnv csn cima cv wbr cab imasn brcnv abbii eqtri ) BDZCEFCAGZNHZAIOCBHZ
      AIACNJPQACOBKLM $.
      $( [28-Apr-2004] $)
  $}

  $( Subset theorem for image. $)
  imass1 $p |- ( A C_ B -> ( A " C ) C_ ( B " C ) ) $=
    ( wss cres crn cima ssres rnss syl dfima3 3sstr4g ) ABDZACEZFZBCEZFZACGBCGM
    NPDOQDABCHNPIJACKBCKL $.
    $( [16-Mar-2004] $)

  $( Subset theorem for image.  Exercise 22(a) of [Enderton] p. 53. $)
  imass2 $p |- ( A C_ B -> ( C " A ) C_ ( C " B ) ) $=
    ( wss cres crn cima ssres2 rnss syl dfima3 3sstr4g ) ABDZCAEZFZCBEZFZCAGCBG
    MNPDOQDABCHNPIJCAKCBKL $.
    $( [22-Mar-1998] $)

  $( The image of a singleton outside the domain is empty. $)
  ndmima $p |- ( -. A e. dom B -> ( B " { A } ) = (/) ) $=
    ( cdm wcel wn csn cima cres crn c0 dfima3 wceq cin dmres incom eqtri disjsn
    biimpri syl5eq dm0rn0 sylib ) ABCZDEZBAFZGBUDHZIZJBUDKUCUECZJLUFJLUCUGUBUDM
    ZJUGUDUBMUHBUDNUDUBOPUHJLUCUBAQRSUETUAS $.
    $( [22-May-1998] $)

  ${
    $d x y A $.
    $( A converse is a relation.  Theorem 12 of [Suppes] p. 62. $)
    relcnv $p |- Rel `' A $=
      ( vy vx cv wbr ccnv df-cnv relopabi ) BDCDAECBAFCBAGH $.
      $( [29-Oct-1996] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.
    $( A composition is a relation.  Exercise 24 of [TakeutiZaring] p. 25. $)
    relco $p |- Rel ( A o. B ) $=
      ( vx vz vy cv wbr wa wex ccom df-co relopabi ) CFDFZBGMEFAGHDICEABJCEDABK
      L $.
      $( [26-Jan-1997] $)
  $}

  ${
    $d x y z R $.
    $( Two ways of saying a relation is transitive.  Definition of transitivity
       in [Schechter] p. 51.  (The proof was shortened by Andrew Salmon,
       27-Aug-2011.) $)
    cotr $p |- ( ( R o. R ) C_ R <->
             A. x A. y A. z ( ( x R y /\ y R z ) -> x R z ) ) $=
      ( ccom wss cv cop wcel wi wal wbr wa wrel relco ssrel df-br bitri albii
      wb ax-mp alcom wex 19.23v brco bitr3i imbi12i bitr4i ) DDEZDFZAGZCGZHZUII
      ZUMDIZJZCKZAKZUKBGZDLUSULDLMZUKULDLZJZCKBKZAKUINUJURTDDOACUIDPUAVCUQAVCVB
      BKZCKUQVBBCUBVDUPCVDUTBUCZVAJUPUTVABUDVEUNVAUOVEUKULUILUNBUKULDDUEUKULUIQ
      UFUKULDQUGRSRSUH $.
      $( [27-Aug-2011] $) $( [27-Dec-1996] $)
  $}

  ${
    $d x y R $.
    $( Two ways of saying a relation is symmetric.  Similar to definition of
       symmetry in [Schechter] p. 51.  (The proof was shortened by Andrew
       Salmon, 27-Aug-2011.) $)
    cnvsym $p |- ( `' R C_ R <-> A. x A. y ( x R y -> y R x ) ) $=
      ( cv cop ccnv wcel wi wal wss wbr alcom wb relcnv ssrel ax-mp brcnv df-br
      wrel bitr3i imbi12i 2albii 3bitr4i ) BDZADZEZCFZGZUFCGZHZAIBIZUJBIAIUGCJZ
      UEUDCKZUDUECKZHZBIAIUJBALUGSULUKMCNBAUGCOPUOUJABUMUHUNUIUMUDUEUGKUHUDUECQ
      UDUEUGRTUDUECRUAUBUC $.
      $( [27-Aug-2011] $) $( [28-Dec-1996] $)

    $( Two ways of saying a relation is antisymmetric.  Definition of
       antisymmetry in [Schechter] p. 51.  (The proof was shortened by Andrew
       Salmon, 27-Aug-2011.) $)
    intasym $p |- ( ( R i^i `' R ) C_ _I <->
                  A. x A. y ( ( x R y /\ y R x ) -> x = y ) ) $=
      ( ccnv cin cid wss cv cop wcel wi wal wbr wa weq wrel df-br bitri bitr3i
      wb relcnv relin2 ssrel mp2b brin brcnv anbi2i vex ideq imbi12i 2albii ) C
      CDZEZFGZAHZBHZIZUMJZUQFJZKZBLALZUOUPCMZUPUOCMZNZABOZKZBLALULPUMPUNVATCUAC
      ULUBABUMFUCUDUTVFABURVDUSVEURUOUPUMMZVDUOUPUMQVGVBUOUPULMZNVDUOUPCULUEVHV
      CVBUOUPCUFUGRSUSUOUPFMVEUOUPFQUOUPBUHUISUJUKR $.
      $( [27-Aug-2011] $) $( [9-Sep-2004] $)

    $( Two ways of saying a relation is irreflexive.  Definition of
       irreflexivity in [Schechter] p. 51.  (The proof was shortened by Andrew
       Salmon, 27-Aug-2011.) $)
    intirr $p |- ( ( R i^i _I ) = (/) <-> A. x -. x R x ) $=
      ( vy cid cin c0 wceq cv cop wcel ccompl wi wal weq wbr wn wss df-br albii
      vex incom eqeq1i disj4 wrel wb reli ssrel ax-mp 3bitri ideq bitr3i notbii
      elcompl bitr4i imbi12i 2albii equcom imbi1i breq2 notbid ceqsalv 3bitr2i
      opex bitri ) BDEZFGZAHZCHZIZDJZVIBKZJZLZCMAMZACNZVGVHBOZPZLZCMZAMVGVGBOZP
      ZAMVFDBEZFGDVKQZVNVEWBFBDUAUBDBUCDUDWCVNUEUFACDVKUGUHUIVRVMACVOVJVQVLVOVG
      VHDOVJVGVHCTZUJVGVHDRUKVQVIBJZPVLVPWEVGVHBRULVIBVGVHATZWDVCUMUNUOUPVSWAAV
      SCANZVQLZCMWAVRWHCVOWGVQACUQURSVQWACVGWFWGVPVTVHVGVGBUSUTVAVDSVB $.
      $( [27-Aug-2011] $) $( [9-Sep-2004] $)
  $}

  ${
    $d x y z w $.  $d z w ph $.
    $( The converse of a class abstraction of ordered pairs.  (The proof was
       shortened by Andrew Salmon, 27-Aug-2011.) $)
    cnvopab $p |- `' { <. x , y >. | ph } = { <. y , x >. | ph } $=
      ( vz vw copab ccnv relcnv relopab cv cop wcel wsb opelopabsb sbcom2 bitri
      opelcnv 3bitr4i eqrelriiv ) DEABCFZGZACBFZTHACBIEJZDJZKTLZACDMBEMZUDUCKZU
      ALUGUBLUEABEMCDMUFABCEDNABECDOPUDUCTQACBDENRS $.
      $( [27-Aug-2011] $) $( [11-Dec-2003] $)
  $}

  ${
    $d x y $.
    $( The converse of the empty set. $)
    cnv0 $p |- `' (/) = (/) $=
      ( vx vy c0 ccnv relcnv rel0 cop wcel noel opelcnv mtbir 2false eqrelriiv
      cv ) ABCDZCCEFANZBNZGZOHZRCHSQPGZCHTIPQCJKRILM $.
      $( [6-Apr-1998] $)

    $( The converse of the identity relation.  Theorem 3.7(ii) of [Monk1]
       p. 36.  (The proof was shortened by Andrew Salmon, 27-Aug-2011.) $)
    cnvi $p |- `' _I = _I $=
      ( vy vx cv cid wbr copab wceq ccnv ideq equcom bitri opabbii df-cnv df-id
      vex 3eqtr4i ) ACZBCZDEZBAFRQGZBAFDHDSTBASQRGTQRBOIABJKLBADMBANP $.
      $( [27-Aug-2011] $) $( [26-Apr-1998] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The converse of a union is the union of converses.  Theorem 16 of
       [Suppes] p. 62.  (The proof was shortened by Andrew Salmon,
       27-Aug-2011.) $)
    cnvun $p |- `' ( A u. B ) = ( `' A u. `' B ) $=
      ( vy vx cv wbr copab cun ccnv unopab brun opabbii eqtr4i uneq12i 3eqtr4ri
      wo df-cnv ) CEZDEZAFZDCGZRSBFZDCGZHZRSABHZFZDCGZAIZBIZHUEIUDTUBPZDCGUGTUB
      DCJUFUJDCRSABKLMUHUAUIUCDCAQDCBQNDCUEQO $.
      $( [27-Aug-2011] $) $( [25-Mar-1998] $)

    $( Distributive law for converse over set difference. $)
    cnvdif $p |- `' ( A \ B ) = ( `' A \ `' B ) $=
      ( vx vy cdif ccnv relcnv wss wrel difss relss mp2 cv cop wcel wn wa eldif
      opelcnv notbii anbi12i bitr4i 3bitr4i eqrelriiv ) CDABEZFZAFZBFZEZUEGUIUG
      HUGIUIIUGUHJAGUIUGKLDMZCMZNZUEOZUKUJNZUGOZUNUHOZPZQZUNUFOUNUIOUMULAOZULBO
      ZPZQURULABRUOUSUQVAUKUJASUPUTUKUJBSTUAUBUKUJUESUNUGUHRUCUD $.
      $( [26-Jun-2014] $)

    $( Distributive law for converse over intersection.  Theorem 15 of [Suppes]
       p. 62. $)
    cnvin $p |- `' ( A i^i B ) = ( `' A i^i `' B ) $=
      ( cdif ccnv cin cnvdif difeq2i eqtri dfin4 cnveqi 3eqtr4i ) AABCZCZDZADZO
      BDZCZCZABEZDOPENOLDZCRALFTQOABFGHSMABIJOPIK $.
      $( [26-Jun-2014] $) $( [25-Mar-1998] $)
  $}

  $( Distributive law for range over union.  Theorem 8 of [Suppes] p. 60. $)
  rnun $p |- ran ( A u. B ) = ( ran A u. ran B ) $=
    ( cun ccnv cdm crn cnvun dmeqi dmun eqtri dfrn4 uneq12i 3eqtr4i ) ABCZDZEZA
    DZEZBDZEZCZNFAFZBFZCPQSCZEUAOUDABGHQSIJNKUBRUCTAKBKLM $.
    $( [24-Mar-1998] $)

  $( The range of an intersection belongs the intersection of ranges.  Theorem
     9 of [Suppes] p. 60. $)
  rnin $p |- ran ( A i^i B ) C_ ( ran A i^i ran B ) $=
    ( cin ccnv cdm crn cnvin dmeqi dmin eqsstri dfrn4 ineq12i 3sstr4i ) ABCZDZE
    ZADZEZBDZEZCZNFAFZBFZCPQSCZEUAOUDABGHQSIJNKUBRUCTAKBKLM $.
    $( [15-Sep-2004] $)

  ${
    $d x y z A $.
    $( The range of a union.  Part of Exercise 8 of [Enderton] p. 41. $)
    rnuni $p |- ran U. A = U_ x e. A ran x $=
      ( vz vy cuni crn cv ciun cop wcel wex wrex eluni exbii excom elrn2 anbi1i
      wa ancom 19.41v 3bitr4ri 3bitri df-rex bitr4i eliun 3bitr4i eqriv ) CBEZF
      ZABAGZFZHZDGCGZIZUHJZDKZUMUKJZABLZUMUIJUMULJUPUJBJZUQRZAKZURUPUNUJJZUSRZA
      KZDKVCDKZAKVAUOVDDAUNBMNVCDAOVEUTAUQUSRVBDKZUSRUTVEUQVFUSDUMUJPQUSUQSVBUS
      DTUANUBUQABUCUDDUMUHPAUMBUKUEUFUG $.
      $( [17-Mar-2004] $)
  $}

  $( Distributive law for image over union.  Theorem 35 of [Suppes] p. 65. $)
  imaundi $p |- ( A " ( B u. C ) ) = ( ( A " B ) u. ( A " C ) ) $=
    ( cun cres crn cima resundi rneqi rnun eqtri dfima3 uneq12i 3eqtr4i ) ABCDZ
    EZFZABEZFZACEZFZDZAOGABGZACGZDQRTDZFUBPUEABCHIRTJKAOLUCSUDUAABLACLMN $.
    $( [30-Sep-2002] $)

  $( The image of a union.  (Contributed by Jeff Hoffman, 17-Feb-2008.) $)
  imaundir $p |- ( ( A u. B ) " C ) = ( ( A " C ) u. ( B " C ) ) $=
    ( cun cima cres crn dfima3 resundir rneqi rnun 3eqtri uneq12i eqtr4i ) ABDZ
    CEZACFZGZBCFZGZDZACEZBCEZDPOCFZGQSDZGUAOCHUDUEABCIJQSKLUBRUCTACHBCHMN $.
    $( [17-Feb-2008] $)

  ${
    $d x y A $.  $d x y B $.  $d x y R $.
    $( An upper bound for intersection with a domain.  Theorem 40 of [Suppes]
       p. 66, who calls it "somewhat surprising." $)
    dminss $p |- ( dom R i^i A ) C_ ( `' R " ( R " A ) ) $=
      ( vx vy cdm cin ccnv cima cv wbr wcel wa wex wrex ra4e elima sylibr brcnv
      ancoms biimpri adantr jca eximi eldm anbi1i 19.41v 3bitr4i elima2 3imtr4i
      elin ssriv ) CBEZAFZBGZBAHZHZCIZDIZBJZUQAKZLZDMZURUOKZURUQUNJZLZDMUQUMKZU
      QUPKVAVEDVAVCVDUTUSVCUTUSLUSCANVCUSCAOCURBAPQSUSVDUTVDUSURUQBRTUAUBUCUQUL
      KZUTLUSDMZUTLVFVBVGVHUTDUQBUDUEUQULAUJUSUTDUFUGDUQUNUOUHUIUK $.
      $( [11-Aug-2004] $)

    $( An upper bound for intersection with an image.  Theorem 41 of [Suppes]
       p. 66. $)
    imainss $p |- ( ( R " A ) i^i B ) C_ ( R " ( A i^i ( `' R " B ) ) ) $=
      ( vy vx cima cin ccnv cv wcel wbr wa wex simpll brcnv 19.8a sylan2br elin
      elima2 anbi1i ancoms adantll jca simplr anbi2i bitri eximi 19.41v 3bitr4i
      sylanbrc 3imtr4i ssriv ) DCAFZBGZCACHZBFZGZFZEIZAJZUSDIZCKZLZVABJZLZEMZUS
      UQJZVBLZEMVAUNJZVAURJVEVHEVEUTVDVAUSUOKZLZDMZLZVBVHVEUTVLUTVBVDNVBVDVLUTV
      DVBVLVBVDVJVLVAUSCOVKDPQUAUBUCUTVBVDUDVGVMVBVGUTUSUPJZLVMUSAUPRVNVLUTDUSU
      OBSUEUFTUJUGVAUMJZVDLVCEMZVDLVIVFVOVPVDEVACASTVAUMBRVCVDEUHUIEVACUQSUKUL
      $.
      $( [11-Aug-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The converse of a cross product.  Exercise 11 of [Suppes] p. 67.  (The
       proof was shortened by Andrew Salmon, 27-Aug-2011.) $)
    cnvxp $p |- `' ( A X. B ) = ( B X. A ) $=
      ( vy vx cv wcel copab ccnv cxp cnvopab ancom opabbii eqtri cnveqi 3eqtr4i
      wa df-xp ) CEAFZDEBFZPZCDGZHZSRPZDCGZABIZHBAIUBTDCGUDTCDJTUCDCRSKLMUEUACD
      ABQNDCBAQO $.
      $( [27-Aug-2011] $) $( [14-Aug-1999] $)
  $}

  $( The cross product with the empty set is empty.  Part of Theorem 3.13(ii)
     of [Monk1] p. 37. $)
  xp0 $p |- ( A X. (/) ) = (/) $=
    ( c0 cxp ccnv xp0r cnveqi cnvxp cnv0 3eqtr3i ) BACZDBDABCBJBAEFBAGHI $.
    $( [12-Apr-2004] $)

  ${
    $d x y z A $.  $d x y z B $.
    $( The cross product of nonempty classes is nonempty.  (Variation of a
       theorem contributed by Raph Levien, 30-Jun-2006.) $)
    xpnz $p |- ( ( A =/= (/) /\ B =/= (/) ) <-> ( A X. B ) =/= (/) ) $=
      ( vx vy c0 wne wa cxp cv wcel wex n0 anbi12i eeanv bitr4i cop opelxp wceq
      syl6eq necon3i ne0i sylbir exlimivv sylbi xpeq1 xp0r xpeq2 xp0 jca impbii
      ) AEFZBEFZGZABHZEFZUMCIZAJZDIZBJZGZDKCKZUOUMUQCKZUSDKZGVAUKVBULVCCALDBLMU
      QUSCDNOUTUOCDUTUPURPZUNJUOUPURABQUNVDUAUBUCUDUOUKULAEUNEAERUNEBHEAEBUEBUF
      STBEUNEBERUNAEHEBEAUGAUHSTUIUJ $.
      $( [19-Apr-2007] $) $( [30-Jun-2006] $)
  $}

  $( At least one member of an empty cross product is empty. $)
  xpeq0 $p |- ( ( A X. B ) = (/) <-> ( A = (/) \/ B = (/) ) ) $=
    ( cxp c0 wceq wne wa wn wo xpnz necon2bbii ianor nne orbi12i 3bitri ) ABCZD
    EADFZBDFZGZHQHZRHZIADEZBDEZISPDABJKQRLTUBUAUCADMBDMNO $.
    $( [27-Aug-2006] $)

  $( Cross products with disjoint sets are disjoint. $)
  xpdisj1 $p |- ( ( A i^i B ) = (/) -> ( ( A X. C ) i^i ( B X. D ) ) = (/) ) $=
    ( cin c0 wceq cxp inxp xpeq1 xp0r syl6eq syl5eq ) ABEZFGZACHBDHENCDEZHZFACB
    DIOQFPHFNFPJPKLM $.
    $( [13-Sep-2004] $)

  $( Cross products with disjoint sets are disjoint. $)
  xpdisj2 $p |- ( ( A i^i B ) = (/) -> ( ( C X. A ) i^i ( D X. B ) ) = (/) ) $=
    ( cin c0 wceq cxp inxp xpeq2 xp0 syl6eq syl5eq ) ABEZFGZCAHDBHECDEZNHZFCADB
    IOQPFHFNFPJPKLM $.
    $( [13-Sep-2004] $)

  $( Cross products with two different singletons are disjoint. $)
  xpsndisj $p |- ( B =/= D -> ( ( A X. { B } ) i^i ( C X. { D } ) ) = (/) ) $=
    ( wne csn cin c0 wceq cxp disjsn2 xpdisj2 syl ) BDEBFZDFZGHIANJCOJGHIBDKNOA
    CLM $.
    $( [3-Jun-2007] $) $( [28-Jul-2004] $)

  $( A double restriction to disjoint classes is the empty set.  (The proof was
     shortened by Andrew Salmon, 27-Aug-2011.) $)
  resdisj $p |- ( ( A i^i B ) = (/) -> ( ( C |` A ) |` B ) = (/) ) $=
    ( cin c0 wceq cres resres reseq2 res0 syl6eq syl5eq ) ABDZEFZCAGBGCMGZECABH
    NOCEGEMECICJKL $.
    $( [27-Aug-2011] $) $( [7-Oct-2004] $)

  $( The range of a cross product.  Part of Theorem 3.13(x) of [Monk1]
     p. 37. $)
  rnxp $p |- ( A =/= (/) -> ran ( A X. B ) = B ) $=
    ( c0 wne cxp crn cdm ccnv dfrn4 cnvxp dmeqi eqtri dmxp syl5eq ) ACDABEZFZBA
    EZGZBPOHZGROISQABJKLBAMN $.
    $( [9-Apr-2007] $) $( [12-Apr-2004] $)

  $( The domain of a cross product is a subclass of the first factor. $)
  dmxpss $p |- dom ( A X. B ) C_ A $=
    ( cxp cdm wss c0 wceq 0ss xpeq2 xp0 syl6eq dmeqd dm0 sseq1d mpbiri wne dmxp
    eqimss syl pm2.61ine ) ABCZDZAEZBFBFGZUCFAEAHUDUBFAUDUBFDFUDUAFUDUAAFCFBFAI
    AJKLMKNOBFPUBAGUCABQUBARST $.
    $( [19-Mar-2007] $)

  $( The range of a cross product is a subclass of the second factor.  (The
     proof was shortened by Andrew Salmon, 27-Aug-2011.) $)
  rnxpss $p |- ran ( A X. B ) C_ B $=
    ( cxp crn cdm ccnv dfrn4 cnvxp dmeqi eqtri dmxpss eqsstri ) ABCZDZBACZEZBNM
    FZEPMGQOABHIJBAKL $.
    $( [27-Aug-2011] $) $( [16-Jan-2006] $)

  $( The range of a square cross product.  (Contributed by FL, 17-May-2010.) $)
  rnxpid $p |- ran ( A X. A ) = A $=
    ( cxp crn wceq c0 rn0 xpeq2 xp0 syl6eq rneqd id 3eqtr4a rnxp pm2.61ine ) AA
    BZCZADAEAEDZECEPAFQOEQOAEBEAEAGAHIJQKLAAMN $.
    $( [17-May-2010] $)

  $( A cross-product subclass relationship is equivalent to the relationship
     for it components. $)
  ssxpb $p |- ( ( A X. B ) =/= (/) -> ( ( A X. B ) C_ ( C X. D ) <->
              ( A C_ C /\ B C_ D ) ) ) $=
    ( cxp c0 wne wss wa cdm wceq xpnz dmxp adantl sylbir adantr eqsstr3d syl6ss
    dmss crn dmxpss rnxp rnss rnxpss jca ex xpss12 impbid1 ) ABEZFGZUICDEZHZACH
    ZBDHZIZUJULUOUJULIZUMUNUPAUKJZCUPAUIJZUQUJURAKZULUJAFGZBFGZIZUSABLZVAUSUTAB
    MNOPULURUQHUJUIUKSNQCDUARUPBUKTZDUPBUITZVDUJVEBKZULUJVBVFVCUTVFVAABUBPOPULV
    EVDHUJUIUKUCNQCDUDRUEUFACBDUGUH $.
    $( [17-Dec-2008] $)

  $( The cross product of non-empty classes is one-to-one. $)
  xp11 $p |- ( ( A =/= (/) /\ B =/= (/) )
      -> ( ( A X. B ) = ( C X. D ) <-> ( A = C /\ B = D ) ) ) $=
    ( c0 wne wa cxp wceq wi xpnz anidm neeq1 anbi2d syl5bbr wss ssxpb syl5ibcom
    eqimss eqss eqimss2 anim12d anbi12i bitr4i syl6ib sylbid com12 sylbi xpeq12
    an4 impbid1 ) AEFBEFGZABHZCDHZIZACIZBDIZGZULUMEFZUOURJABKUOUSURUOUSUSUNEFZG
    ZURUSUSUSGUOVAUSLUOUSUTUSUMUNEMNOUOVAACPZBDPZGZCAPZDBPZGZGZURUOUSVDUTVGUOUM
    UNPUSVDUMUNSABCDQRUOUNUMPUTVGUNUMUACDABQRUBVHVBVEGZVCVFGZGURVBVCVEVFUJUPVIU
    QVJACTBDTUCUDUEUFUGUHACBDUIUK $.
    $( [31-May-2008] $)

  $( Cancellation law for cross-product. $)
  xpcan $p |- ( C =/= (/) -> ( ( C X. A ) = ( C X. B ) <-> A = B ) ) $=
    ( c0 wne cxp wceq wb wa xp11 biantrur syl6bbr wn wi nne xpeq2 syl6eq eqeq1d
    eqid xp0 eqcom syl6bb adantl df-ne wo xpeq0 orel1 syl5bi sylbi adantr simpr
    sylbid jctild eqtr3 syl6 sylan2b impbid1 pm2.61dan ) CDEZADEZCAFZCBFZGZABGZ
    HUSUTIVCCCGZVDIVDCACBJVEVDCSKLUSUTMZIVCVDVFUSADGZVCVDNADOUSVGIZVCVGBDGZIVDV
    HVCVIVGVHVCVBDGZVIVGVCVJHUSVGVCDVBGVJVGVADVBVGVACDFDADCPCTQRDVBUAUBUCUSVJVI
    NZVGUSCDGZMZVKCDUDVJVLVIUEVMVICBUFVLVIUGUHUIUJULUSVGUKUMABDUNUOUPABCPUQUR
    $.
    $( [30-Aug-2011] $)

  $( Cancellation law for cross-product. $)
  xpcan2 $p |- ( C =/= (/) -> ( ( A X. C ) = ( B X. C ) <-> A = B ) ) $=
    ( c0 wne cxp wceq wb wa xp11 eqid biantru syl6bbr wn nne xp0r syl6eq eqeq1d
    xpeq1 eqcom syl6bb adantr wi df-ne wo xpeq0 orel2 syl5bi sylbi adantl simpl
    sylbid jctild eqtr3 syl6 impbid1 sylanb pm2.61ian ) ADEZCDEZACFZBCFZGZABGZH
    ZUSUTIVCVDCCGZIVDACBCJVFVDCKLMUSNADGZUTVEADOVGUTIZVCVDVHVCVGBDGZIVDVHVCVIVG
    VHVCVBDGZVIVGVCVJHUTVGVCDVBGVJVGVADVBVGVADCFDADCSCPQRDVBTUAUBUTVJVIUCZVGUTC
    DGZNZVKCDUDVJVIVLUEVMVIBCUFVLVIUGUHUIUJULVGUTUKUMABDUNUOABCSUPUQUR $.
    $( [30-Aug-2011] $)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Subset of the range of a restriction. $)
    ssrnres $p |- ( B C_ ran ( C |` A ) <-> ran ( C i^i ( A X. B ) ) = B ) $=
      ( vy vx cxp cin crn wceq wss wa cres rnss ax-mp cvv wcel wex elrn2 3bitri
      cv eqss inss2 rnxpss sstri biantrur ssv xpss2 sslin df-res sseqtr4i mpan2
      sstr cop ssel syl6ib ancrd elin opelxp anbi2i opelres anbi1i anass bitr2i
      exbii 19.41v syl6ibr ssrdv impbii 3bitr2ri ) CABFZGZHZBIVLBJZBVLJZKVNBCAL
      ZHZJZVLBUAVMVNVLVJHZBVKVJJVLVRJCVJUBVKVJMNABUCUDUEVNVQVNVLVPJZVQVKVOJVSVK
      CAOFZGZVOVJVTJZVKWAJBOJWBBUFBOAUGNVJVTCUHNCAUIUJVKVOMNBVLVPULUKVQDBVLVQDT
      ZBPZETZWCUMZVOPZEQZWDKZWCVLPZVQWDWHVQWDWCVPPWHBVPWCUNEWCVORUOUPWJWFVKPZEQ
      WGWDKZEQWIEWCVKRWKWLEWKWFCPZWFVJPZKWMWEAPZWDKZKZWLWFCVJUQWNWPWMWEWCABURUS
      WLWMWOKZWDKWQWGWRWDWEWCCAUTVAWMWOWDVBVCSVDWGWDEVESVFVGVHVI $.
      $( [16-Jan-2006] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.
    $( Range of the intersection with a cross product.  (The proof was
       shortened by Andrew Salmon, 27-Aug-2011.) $)
    rninxp $p |- ( ran ( C i^i ( A X. B ) ) = B <->
                 A. y e. B E. x e. A x C y ) $=
      ( cres crn wss wcel wral cxp cin wceq wbr wrex dfss3 ssrnres cima dfima3
      cv eleq2i elima bitr3i ralbii 3bitr3i ) DECFGZHBTZUFIZBDJECDKLGDMATUGENAC
      OZBDJBDUFPCDEQUHUIBDUHUGECRZIUIUJUFUGECSUAAUGECUBUCUDUE $.
      $( [27-Aug-2011] $) $( [17-Jan-2006] $)
  $}

  ${
    $d x A $.  $d x y B $.  $d x y C $.
    $( Domain of the intersection with a cross product. $)
    dminxp $p |- ( dom ( C i^i ( A X. B ) ) = A <->
                 A. x e. A E. y e. B x C y ) $=
      ( cxp cin cdm wceq ccnv crn wbr wrex wral df-dm cnvin cnvxp ineq2i eqtri
      cv rneqi eqeq1i rninxp brcnv rexbii ralbii 3bitri ) ECDFZGZHZCIEJZDCFZGZK
      ZCIBTZATZUKLZBDMZACNUPUOELZBDMZACNUJUNCUJUIJZKUNUIOVAUMVAUKUHJZGUMEUHPVBU
      LUKCDQRSUASUBBADCUKUCURUTACUQUSBDUOUPEUDUEUFUG $.
      $( [17-Jan-2006] $)
  $}

  ${
    $d x y R $.
    $( Alternate definition of relation.  Exercise 2 of [TakeutiZaring]
       p. 25. $)
    dfrel2 $p |- ( Rel R <-> `' `' R = R ) $=
      ( vx vy wrel ccnv wceq relcnv cop wcel opelcnv bitri eqrelriv releq mpbii
      cv mpan impbii ) ADZAEZEZAFZTDZRUASGZBCTABOZCOZHZTIUEUDHSIUFAIUDUESJUEUDA
      JKLPUAUBRUCTAMNQ $.
      $( [15-Aug-2004] $) $( [29-Dec-1996] $)
  $}

  $( Equality theorem for converse.  (Contributed by FL, 19-Sep-2011.) $)
  cnveqb $p |- ( ( Rel A /\ Rel B ) -> ( A = B <-> `' A = `' B ) ) $=
    ( wrel wa wceq ccnv cnveq wi dfrel2 eqeq2 syl5ibr eqcoms sylbi eqeq1 imbi2d
    imp impbid2 ) ACZBCZDABEZAFZBFZEZABGRSUCTHZRUAFZAESUDHZAIUFAUESUDAUEEZUCUEB
    EZHZSUBFZBEUIBIUIBUJUCUHBUJEUEUJEUAUBGBUJUEJKLMUGTUHUCAUEBNOKLMPQ $.
    $( [19-Sep-2011] $)

  $( The double converse of a class strips out all elements that are not
     ordered pairs. $)
  cnvcnv $p |- `' `' A = ( A i^i ( _V X. _V ) ) $=
    ( cvv cxp ccnv cnvin cnveqi wrel wceq inss2 df-rel mpbir dfrel2 mpbi relcnv
    cin wss relxp sseqtr4i dfss eqtr4i 3eqtr3ri ) ABBCZOZDZDZADZUBDZOZDZUCUFDZU
    DUHAUBEFUCGZUEUCHUKUCUBPAUBIUCJKUCLMUIUJUGDZOZUJUFUGEUJULPUJUMHUJUBULUJGUJU
    BPUFNUJJMUBGULUBHBBQUBLMRUJULSMTUA $.
    $( [8-Dec-2003] $)

  $( The double converse of a class equals its restriction to the universe. $)
  cnvcnv2 $p |- `' `' A = ( A |` _V ) $=
    ( ccnv cvv cxp cin cres cnvcnv df-res eqtr4i ) ABBACCDEACFAGACHI $.
    $( [8-Oct-2007] $)

  $( The double converse of a class is a subclass.  Exercise 2 of
     [TakeutiZaring] p. 25. $)
  cnvcnvss $p |- `' `' A C_ A $=
    ( ccnv cvv cxp cin cnvcnv inss1 eqsstri ) ABBACCDZEAAFAIGH $.
    $( [23-Jul-2004] $)
  ${
    $d x y A $.
    $( The domain of a singleton is nonzero iff the singleton argument is an
       ordered pair.  (The proof was shortened by Andrew Salmon,
       27-Aug-2011.) $)
    dmsnn0 $p |- ( A e. ( _V X. _V ) <-> dom { A } =/= (/) ) $=
      ( vx vy cv cop wceq wex csn cdm wcel cvv cxp c0 wne eldm2 opex elsn bitri
      vex exbii eqcom bicomi elvv n0 3bitr4i ) ABDZCDZEZFZCGZBGZUFAHZIZJZBGZAKK
      LJUMMNUOUKUNUJBUNUHULJZCGUJCUFULOUPUICUPUHAFUIUHAUFUGBSCSPQUHAUARTRTUBBCA
      UCBUMUDUE $.
      $( [27-Aug-2011] $) $( [14-Dec-2008] $)
  $}

  $( The range of a singleton is nonzero iff the singleton argument is an
     ordered pair. $)
  rnsnn0 $p |- ( A e. ( _V X. _V ) <-> ran { A } =/= (/) ) $=
    ( cvv cxp wcel csn cdm c0 wne crn dmsnn0 dm0rn0 necon3bii bitri ) ABBCDAEZF
    ZGHNIZGHAJOGPGNKLM $.
    $( [14-Dec-2008] $)

  ${
    $d x y A $.  $d x y B $.
    dmsnop.1 $e |- B e. _V $.
    $( The domain of a singleton of an ordered pair is the singleton of the
       first member. $)
    dmsnop $p |- dom { <. A , B >. } = { A } $=
      ( vx vy cop csn cdm cv wbr wex wceq wcel df-br vex opex elsn opth 3bitri
      wa exbii exancom biidd ceqsexv eldm 3bitr4i eqriv ) DABFZGZHZAGZDIZEIZUIJ
      ZEKZULALZULUJMULUKMUOUPUMBLZTZEKUQUPTEKUPUNUREUNULUMFZUIMUSUHLURULUMUINUS
      UHULUMDOZEOPQULUMABRSUAUPUQEUBUPUPEBCUQUPUCUDSEULUIUEULAUTQUFUG $.
      $( [27-Aug-2011] $) $( [30-Jan-2004] $)
  $}

  ${
    $d A x $.  $d B x $.
    $( The domain of a singleton of an ordered pair is the singleton of the
       first member. $)
    dmsnopg $p |- ( B e. V -> dom { <. A , B >. } = { A } ) $=
      ( vx cv cop csn cdm wceq opeq2 sneqd dmeqd eqeq1d vex dmsnop vtoclg ) ADE
      ZFZGZHZAGZIABFZGZHZUAIDBCQBIZTUDUAUESUCUERUBQBAJKLMAQDNOP $.
      $( [9-Jan-2015] $)
  $}

  ${
    dmprop.1 $e |- C e. _V $.
    dmprop.2 $e |- D e. _V $.
    $( The domain of an unordered pair of ordered pairs. $)
    dmprop $p |- dom { <. A , C >. , <. B , D >. } = { A , B } $=
      ( cop csn cdm cun cpr dmsnop uneq12i df-pr dmeqi dmun eqtri 3eqtr4i ) ACG
      ZHZIZBDGZHZIZJZAHZBHZJSUBKZIZABKUAUFUDUGACELBDFLMUITUCJZIUEUHUJSUBNOTUCPQ
      ABNR $.
      $( [13-Sep-2011] $)
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.  $d D x y $.
    $( The domain of an unordered pair of ordered pairs. $)
    dmpropg $p |- ( ( C e. V /\ D e. W ) ->
             dom { <. A , C >. , <. B , D >. } = { A , B } ) $=
      ( vx vy cv cop cpr cdm wceq opeq2 preq1d dmeqd eqeq1d preq2d vex dmprop
      vtocl2g ) AGIZJZBHIZJZKZLZABKZMACJZUEKZLZUHMUIBDJZKZLZUHMGHCDEFUBCMZUGUKU
      HUOUFUJUOUCUIUEUBCANOPQUDDMZUKUNUHUPUJUMUPUEULUIUDDBNRPQABUBUDGSHSTUA $.
      $( [9-Jan-2015] $)
  $}

  ${
    op1sta.1 $e |- A e. _V $.
    op1sta.2 $e |- B e. _V $.
    $( Extract the first member of an ordered pair.  (Contributed by Raph
       Levien, 4-Dec-2003.) $)
    op1sta $p |- U. dom { <. A , B >. } = A $=
      ( cop csn cdm cuni dmsnop unieqi unisn eqtri ) ABEFGZHAFZHAMNABDIJACKL $.
      $( [4-Dec-2003] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    cnvsn.1 $e |- A e. _V $.
    cnvsn.2 $e |- B e. _V $.
    $( Converse of a singleton of an ordered pair. $)
    cnvsn $p |- `' { <. A , B >. } = { <. B , A >. } $=
      ( vy vx cop csn ccnv relcnv relsnop cv wceq wcel opth ancom vex opex elsn
      wa bitri opelcnv 3bitri 3bitr4ri eqrelriiv ) EFABGZHZIZBAGZHZUGJBADCKELZF
      LZGZUIMZULAMZUKBMZTZUMUJNUMUHNZUNUPUOTUQUKULBAOUPUOPUAUMUIUKULEQZFQZRSURU
      LUKGZUGNVAUFMUQUKULUGUBVAUFULUKUTUSRSULUKABOUCUDUE $.
      $( [11-May-1998] $)

    $( Swap the members of an ordered pair. $)
    opswap $p |- U. `' { <. A , B >. } = <. B , A >. $=
      ( cop csn ccnv cuni cnvsn unieqi opex unisn eqtri ) ABEFGZHBAEZFZHONPABCD
      IJOBADCKLM $.
      $( [14-Dec-2008] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    rnsnop.1 $e |- A e. _V $.
    $( The range of a singleton of an ordered pair is the singleton of the
       second member. $)
    rnsnop $p |- ran { <. A , B >. } = { B } $=
      ( vy vx cop csn crn cv wbr wex wceq wcel df-br vex opex elsn opth bitri
      wa exbii biidd ceqsexv elrn 3bitr4i eqriv ) DABFZGZHZBGZEIZDIZUHJZEKZULBL
      ZULUIMULUJMUNUKALZUOTZEKUOUMUQEUMUKULFZUHMZUQUKULUHNUSURUGLUQURUGUKULEODO
      ZPQUKULABRSSUAUOUOEACUPUOUBUCSEULUHUDULBUTQUEUF $.
      $( [24-Jul-2004] $)
  $}

  ${
    op2nda.1 $e |- A e. _V $.
    op2nda.2 $e |- B e. _V $.
    $( Extract the second member of an ordered pair. $)
    op2nda $p |- U. ran { <. A , B >. } = B $=
      ( cop csn crn cuni rnsnop unieqi unisn eqtri ) ABEFGZHBFZHBMNABCIJBDKL $.
      $( [9-Jan-2015] $)
  $}


  $( Alternate definition of relation. $)
  dfrel3 $p |- ( Rel R <-> ( R |` _V ) = R ) $=
    ( wrel ccnv wceq cvv cres dfrel2 cnvcnv2 eqeq1i bitri ) ABACCZADAEFZADAGKLA
    AHIJ $.
    $( [14-May-2008] $)

  $( The domain of a universal restriction. $)
  dmresv $p |- dom ( A |` _V ) = dom A $=
    ( cvv cres cdm cin dmres incom inv1 3eqtri ) ABCDBADZEJBEJABFBJGJHI $.
    $( [14-May-2008] $)

  $( The range of a universal restriction. $)
  rnresv $p |- ran ( A |` _V ) = ran A $=
    ( ccnv crn cvv cres cnvcnv2 rneqi rncnvcnv eqtr3i ) ABBZCADEZCACJKAFGAHI $.
    $( [14-May-2008] $)


  $( The restriction of the double converse of a class.  (The proof was
     shortened by Andrew Salmon, 27-Aug-2011.) $)
  rescnvcnv $p |- ( `' `' A |` B ) = ( A |` B ) $=
    ( ccnv cres cvv cin cnvcnv2 reseq1i resres wss wceq ssv sseqin2 mpbi 3eqtri
    reseq2i ) ACCZBDAEDZBDAEBFZDABDQRBAGHAEBISBABEJSBKBLBEMNPO $.
    $( [27-Aug-2011] $) $( [8-Apr-2007] $)

  $( The double converse of the restriction of a class. $)
  cnvcnvres $p |- `' `' ( A |` B ) = ( `' `' A |` B ) $=
    ( cres ccnv wrel wceq relres dfrel2 mpbi rescnvcnv eqtr4i ) ABCZDDZLADDBCLE
    MLFABGLHIABJK $.
    $( [3-Jun-2007] $)

  $( The image of the double converse of a class. $)
  imacnvcnv $p |- ( `' `' A " B ) = ( A " B ) $=
    ( ccnv cres crn cima rescnvcnv rneqi dfima3 3eqtr4i ) ACCZBDZEABDZEKBFABFLM
    ABGHKBIABIJ $.
    $( [8-Apr-2007] $)

  ${
    $d s t A $.  $d s t B $.  $d s t F $.
    $( An image under the converse of a restriction.  (Contributed by Jeff
       Hankins, 12-Jul-2009.) $)
    cnvresima $p |- ( `' ( F |` A ) " B ) = ( ( `' F " B ) i^i A ) $=
      ( vt vs cres ccnv cima cin cv wcel cop wa wex elima3 anass opelres anbi1i
      opelcnv bitr2i 3bitr4ri anbi2i exbii 19.41v bitri elin 3bitri eqriv ) DCA
      FZGZBHZCGZBHZAIZDJZUKKEJZBKZUPUOLZUJKZMZENZUQURULKZMZENZUOAKZMZUOUNKZEUOU
      JBOVAVCVEMZENVFUTVHEVHUQVBVEMZMUTUQVBVEPVIUSUQUOUPLZUIKVJCKZVEMUSVIUOUPCA
      QUPUOUISVBVKVEUPUOCSRUAUBTUCVCVEEUDUEVGUOUMKZVEMVFUOUMAUFVLVDVEEUOULBORTU
      GUH $.
      $( [12-Jul-2009] $)
  $}

  $( A class restricted to its domain equals its double converse. $)
  resdm2 $p |- ( A |` dom A ) = `' `' A $=
    ( ccnv cdm cres rescnvcnv wrel relcnv resdm ax-mp dmcnvcnv reseq2i 3eqtr3ri
    wceq ) ABZBZOCZDZAPDOAACZDAPEOFQOMNGOHIPRAAJKL $.
    $( [8-Apr-2007] $)

  $( Restriction to the domain of a restriction. $)
  resdmres $p |- ( A |` dom ( A |` B ) ) = ( A |` B ) $=
    ( cres cdm ccnv cvv cxp in12 df-res resdm2 eqtr3i ineq2i incom 3eqtri dmres
    cin xpeq1i xpindir eqtri 3eqtr4i rescnvcnv ) AABCZDZCZAEEZBCZUBABFGZADZFGZP
    ZPZUEUGPZUDUFUKUGAUIPZPUGUEPULAUGUIHUMUEUGAUHCUMUEAUHIAJKLUGUEMNUDAUCFGZPUK
    AUCIUNUJAUNBUHPZFGUJUCUOFABOQBUHFRSLSUEBITABUAS $.
    $( [8-Apr-2007] $)

  $( The image of the domain of a restriction. $)
  imadmres $p |- ( A " dom ( A |` B ) ) = ( A " B ) $=
    ( cres cdm crn cima resdmres rneqi dfima3 3eqtr4i ) AABCZDZCZEKEALFABFMKABG
    HALIABIJ $.
    $( [8-Apr-2007] $)

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y z C $.
    $( Alternate definition of a class composition, using only one bound
       variable. $)
    dfco2 $p |- ( A o. B )
                = U_ x e. _V ( ( `' B " { x } ) X. ( A " { x } ) ) $=
      ( vy vz ccom cvv ccnv cv csn cima cxp ciun wrel wcel cop wbr wa wex bitri
      relco reliun relxp mprgbir opelco wrex eliun rexv opelxp eliniseg elimasn
      a1i df-br bitr4i anbi12i exbii 3bitrri eqrelriiv ) DEBCFZAGCHAIZJZKZBVAKZ
      LZMZBCUAVENVDNZAGAGVDUBVFUTGOVBVCUCULUDDIZEIZPZUSOVGUTCQZUTVHBQZRZASZVIVE
      OZAVGVHBCUEVNVIVDOZAGUFVOASVMAVIGVDUGVOAUHVOVLAVOVGVBOZVHVCOZRVLVGVHVBVCU
      IVPVJVQVKCUTVGUJVQUTVHPBOVKBUTVHUKUTVHBUMUNUOTUPUQTUR $.
      $( [19-Dec-2008] $)

    $( Generalization of ~ dfco2 , where ` C ` can have any value between
       ` dom A i^i ran B ` and ` _V ` .  (The proof was shortened by Andrew
       Salmon, 27-Aug-2011.) $)
    dfco2a $p |- ( ( dom A i^i ran B ) C_ C -> ( A o. B )
         = U_ x e. C ( ( `' B " { x } ) X. ( A " { x } ) ) ) $=
      ( vy vz vw cdm cvv cv cima ciun wcel wex wa cop sylbi wrex eliun bitri
      crn cin wss ccom ccnv csn cxp wceq elimasn opeldm eliniseg brelrn anim12i
      dfco2 wbr ancoms adantl exlimivv elxp elin ssel syl5 pm4.71rd exbidv rexv
      3imtr4i df-rex 3bitr4g eqrdv syl5eq ) BHZCUAZUBZDUCZBCUDAICUEAJZUFZKZBVPK
      ZUGZLZADVSLZABCUNVNEVTWAVNEJZVSMZANZVODMZWCOZANZWBVTMZWBWAMZVNWCWFAVNWCWE
      WCVOVMMZVNWEWBFJZGJZPUHZWKVQMZWLVRMZOZOZGNFNVOVKMZVOVLMZOZWCWJWQWTFGWPWTW
      MWOWNWTWOWRWNWSWOVOWLPBMWRBVOWLUIVOWLBUJQWNWKVOCUOWSCVOWKUKWKVOCULQUMUPUQ
      URFGWBVQVRUSVOVKVLUTVFVMDVOVAVBVCVDWHWCAIRWDAWBIVSSWCAVETWIWCADRWGAWBDVSS
      WCADVGTVHVIVJ $.
      $( [27-Aug-2011] $) $( [21-Dec-2008] $)

    $( Class composition distributes over union.  (The proof was shortened by
       Andrew Salmon, 27-Aug-2011.) $)
    coundi $p |- ( A o. ( B u. C ) ) = ( ( A o. B ) u. ( A o. C ) ) $=
      ( vx vz vy cv wbr wa wex copab cun ccom wo unopab brun anbi1i andir bitri
      df-co exbii 19.43 bitr2i opabbii eqtri uneq12i 3eqtr4ri ) DGZEGZBHZUIFGAH
      ZIZEJZDFKZUHUICHZUKIZEJZDFKZLZUHUIBCLZHZUKIZEJZDFKZABMZACMZLAUTMUSUMUQNZD
      FKVDUMUQDFOVGVCDFVCULUPNZEJVGVBVHEVBUJUONZUKIVHVAVIUKUHUIBCPQUJUOUKRSUAUL
      UPEUBUCUDUEVEUNVFURDFEABTDFEACTUFDFEAUTTUG $.
      $( [27-Aug-2011] $) $( [21-Dec-2008] $)

    $( Class composition distributes over union.  (The proof was shortened by
       Andrew Salmon, 27-Aug-2011.) $)
    coundir $p |- ( ( A u. B ) o. C ) = ( ( A o. C ) u. ( B o. C ) ) $=
      ( vx vy vz cv wbr wa wex copab cun ccom wo unopab brun anbi2i bitri df-co
      andi exbii 19.43 bitr2i opabbii eqtri uneq12i 3eqtr4ri ) DGEGZCHZUHFGZAHZ
      IZEJZDFKZUIUHUJBHZIZEJZDFKZLZUIUHUJABLZHZIZEJZDFKZACMZBCMZLUTCMUSUMUQNZDF
      KVDUMUQDFOVGVCDFVCULUPNZEJVGVBVHEVBUIUKUONZIVHVAVIUIUHUJABPQUIUKUOTRUAULU
      PEUBUCUDUEVEUNVFURDFEACSDFEBCSUFDFEUTCSUG $.
      $( [27-Aug-2011] $) $( [21-Dec-2008] $)

    $( Restricted first member of a class composition.  (The proof was
       shortened by Andrew Salmon, 27-Aug-2011.) $)
    cores $p |- ( ran B C_ C -> ( ( A |` C ) o. B ) = ( A o. B ) ) $=
      ( vz vy vx crn wss cv wbr cres wa wex copab ccom wcel brelrn ssel df-co
      wb iba brres syl6rbbr syl56 pm5.32d exbidv opabbidv 3eqtr4g ) BGZCHZDIZEI
      ZBJZULFIZACKZJZLZEMZDFNUMULUNAJZLZEMZDFNUOBOABOUJURVADFUJUQUTEUJUMUPUSUMU
      LUIPUJULCPZUPUSTUKULBQUICULRVBUSUSVBLUPVBUSUAULUNACUBUCUDUEUFUGDFEUOBSDFE
      ABSUH $.
      $( [27-Aug-2011] $) $( [12-Oct-2004] $)

    $( Associative law for the restriction of a composition. $)
    resco $p |- ( ( A o. B ) |` C ) = ( A o. ( B |` C ) ) $=
      ( vx vy vz ccom cres relres relco cv wbr wcel wex brco anbi1i 19.41v an32
      wa brres bitr4i exbii 3bitr2i 3bitr4i eqbrriv ) DEABGZCHZABCHZGZUFCIAUHJD
      KZEKZUFLZUJCMZSZUJFKZUHLZUOUKALZSZFNZUJUKUGLUJUKUILUNUJUOBLZUQSZFNZUMSVAU
      MSZFNUSULVBUMFUJUKABOPVAUMFQVCURFVCUTUMSZUQSURUTUQUMRUPVDUQUJUOBCTPUAUBUC
      UJUKUFCTFUJUKAUHOUDUE $.
      $( [12-Dec-2006] $)

    $( Image of the composition of two classes.  (Contributed by Jason
       Orendorff, 12-Dec-2006.) $)
    imaco $p |- ( ( A o. B ) " C ) = ( A " ( B " C ) ) $=
      ( vx vy vz ccom cima cv wbr wrex wcel wex df-rex elima r19.41v exbii brco
      wa rexbii rexcom4 3bitri anbi1i 3bitr4i 3bitr4ri eqriv ) DABGZCHZABCHZHZE
      IZDIZAJZEUIKUKUILZUMSZEMZULUJLULUHLZUMEUINEULAUIOFIZUKBJZUMSZFCKZEMZUSFCK
      ZUMSZEMUQUPVAVDEUSUMFCPQUQURULUGJZFCKUTEMZFCKVBFULUGCOVEVFFCEURULABRTUTFE
      CUAUBUOVDEUNVCUMFUKBCOUCQUDUEUF $.
      $( [11-Dec-2006] $)

    $( The range of the composition of two classes. $)
    rnco $p |- ran ( A o. B ) = ran ( A |` ran B ) $=
      ( vy vx vz ccom crn cres cv wbr wex wcel wa brco exbii excom ancom 19.41v
      elrn 3bitr4i anbi2i brres bitr4i 3bitri eqriv ) CABFZGZABGZHZGZDIZCIZUFJZ
      DKZEIZULUIJZEKZULUGLULUJLUNUKUOBJZUOULAJZMZEKZDKUTDKZEKUQUMVADEUKULABNOUT
      DEPVBUPEVBUSUOUHLZMZUPURDKZUSMUSVEMVBVDVEUSQURUSDRVCVEUSDUOBSUATUOULAUHUB
      UCOUDDULUFSEULUISTUE $.
      $( [12-Dec-2006] $)
  $}

  $( The range of the composition of two classes. $)
  rnco2 $p |- ran ( A o. B ) = ( A " ran B ) $=
    ( ccom crn cres cima rnco dfima3 eqtr4i ) ABCDABDZEDAJFABGAJHI $.
    $( [27-Mar-2008] $)

  $( The domain of a composition.  Exercise 27 of [Enderton] p. 53. $)
  dmco $p |- dom ( A o. B ) = ( `' B " dom A ) $=
    ( ccom cdm ccnv crn cima df-dm cnvco rneqi rnco2 imaeq2i eqtr4i 3eqtri ) AB
    CZDOEZFBEZAEZCZFZQADZGZOHPSABIJTQRFZGUBQRKUAUCQAHLMN $.
    $( [4-Feb-2004] $)

  ${
    $d w x y z A $.  $d w y z B $.  $d w y z C $.
    $( Composition with an indexed union. $)
    coiun $p |- ( A o. U_ x e. C B ) = U_ x e. C ( A o. B ) $=
      ( vy vz vw ciun ccom relco wrel cv wcel wbr wa wex wrex cop eliun df-br
      reliun a1i mprgbir rexbii 3bitr4i anbi1i r19.41v bitr4i rexcom4 eqrelriiv
      exbii opelco bitri ) EFBADCHZIZADBCIZHZBUNJUQKUPKZADADUPUAURALDMBCJUBUCEL
      ZGLZUNNZUTFLZBNZOZGPZUSUTCNZVCOZGPZADQZUSVBRZUOMVJUQMZVEVGADQZGPVIVDVLGVD
      VFADQZVCOVLVAVMVCUSUTRZUNMVNCMZADQVAVMAVNDCSUSUTUNTVFVOADUSUTCTUDUEUFVFVC
      ADUGUHUKVGAGDUIUHGUSVBBUNULVKVJUPMZADQVIAVJDUPSVPVHADGUSVBBCULUDUMUEUJ $.
      $( [21-Dec-2008] $)
  $}

  $( A composition is not affected by a double converse of its first
     argument. $)
  cocnvcnv1 $p |- ( `' `' A o. B ) = ( A o. B ) $=
    ( ccnv ccom cvv cres cnvcnv2 coeq1i crn wss wceq ssv cores ax-mp eqtri ) AC
    CZBDAEFZBDZABDZPQBAGHBIZEJRSKTLABEMNO $.
    $( [8-Oct-2007] $)

  $( A composition is not affected by a double converse of its second
     argument. $)
  cocnvcnv2 $p |- ( A o. `' `' B ) = ( A o. B ) $=
    ( ccnv ccom cres cnvcnv2 coeq2i resco wrel wceq relco dfrel3 mpbi 3eqtr2i
    cvv ) ABCCZDABOEZDABDZOEZRPQABFGABOHRISRJABKRLMN $.
    $( [8-Oct-2007] $)

  $( Absorption of a reverse (preimage) restriction of the second member of a
     class composition. $)
  cores2 $p |- ( dom A C_ C -> ( A o. `' ( `' B |` C ) ) = ( A o. B ) ) $=
    ( cdm wss ccnv cres ccom wceq df-dm sseq1i cores sylbi cnvco cocnvcnv1 wrel
    crn relco dfrel2 mpbi eqtri 3eqtr4g cnveqd 3eqtr3g ) ADZCEZABFZCGZFZHZFZFZA
    BHZFZFZUJUMUFUKUNUFUHAFZHZUGUPHZUKUNUFUPQZCEUQURIUEUSCAJKUGUPCLMUKUIFUPHUQA
    UINUHUPOUAABNUBUCUJPULUJIAUIRUJSTUMPUOUMIABRUMSTUD $.
    $( [11-Dec-2006] $)

  ${
    $d x y z A $.
    $( Composition with the empty set.  Theorem 20 of [Suppes] p. 63. $)
    co02 $p |- ( A o. (/) ) = (/) $=
      ( vx vy vz c0 ccom relco rel0 cv cop wcel wbr wa noel df-br mtbir intnanr
      wex nex opelco 2false eqrelriiv ) BCAEFZEAEGHBIZCIZJZUCKZUFEKUGUDDIZELZUH
      UEALZMZDRUKDUIUJUIUDUHJZEKULNUDUHEOPQSDUDUEAETPUFNUAUB $.
      $( [24-Apr-2004] $)

    $( Composition with the empty set. $)
    co01 $p |- ( (/) o. A ) = (/) $=
      ( ccnv ccom cnv0 coeq2i co02 eqtr2i cnvco 3eqtr4i cnveqi wrel wceq dfrel2
      c0 rel0 mpbi relco 3eqtr3ri ) NBZBZNACZBZBZNUASUBNABZSCZSUBUEUDNCNSNUDDEU
      DFGDNAHIJNKTNLONMPUAKUCUALNAQUAMPR $.
      $( [24-Apr-2004] $)

    $( Composition with the identity relation.  Part of Theorem 3.7(i) of
       [Monk1] p. 36. $)
    coi1 $p |- ( Rel A -> ( A o. _I ) = A ) $=
      ( vx vy vz cid ccom wrel wceq relco cv cop wcel wbr wa wex weq opelco vex
      ideq bitri equcom anbi1i exbii breq1 ceqsexv 3bitri df-br eqrelriv mpan )
      AEFZGAGUJAHAEIBCUJABJZCJZKZUJLZUKULAMZUMALUNUKDJZEMZUPULAMZNZDODBPZURNZDO
      UODUKULAEQUSVADUQUTURUQBDPUTUKUPDRSBDUATUBUCURUODUKBRUPUKULAUDUEUFUKULAUG
      TUHUI $.
      $( [22-Apr-2004] $)

    $( Composition with the identity relation.  Part of Theorem 3.7(i) of
       [Monk1] p. 36. $)
    coi2 $p |- ( Rel A -> ( _I o. A ) = A ) $=
      ( wrel ccom ccnv cnvco wceq relcnv ax-mp cnveqi eqtr3i dfrel2 coeq2 coeq1
      cid coi1 cnvi sylan9eq mpan2 sylbi syl5reqr biimpi eqtrd ) ABZNACZADZDZAU
      CUFNDZUFCZUDUENCZDUHUFUENEUIUEUEBUIUEFAGUEOHIJUCUFAFZUHUDFZAKZUJUGNFZUKPU
      JUMUHUGACUDUFAUGLUGNAMQRSTUCUJULUAUB $.
      $( [22-Apr-2004] $)
  $}


  ${
    $d A x $.  $d B x $.  $d R x $.
    $( Binary relationship of composition with identity. $)
    brcoi1 $p |- ( A ( _I o. R ) B <-> A R B ) $=
      ( vx cid ccom wbr cvv wcel brex simprd cv wceq wa wex brco ancom wb bitri
      vex ideqg2 ax-mp anbi1i exbii breq2 ceqsexgv syl5bb pm5.21nii ) ABECFZGZB
      HIZABCGZUJAHIZUKABUIJKULUMUKABCJKUJDLZBMZAUNCGZNZDOZUKULUJUPUNBEGZNZDOURD
      ABECPUTUQDUTUSUPNUQUPUSQUSUOUPUNHIUSUORDTUNBHUAUBUCSUDSUPULDBHUNBACUEUFUG
      UH $.
      $( [9-Mar-2015] $)
  $}

  $( Composition with a restricted identity relation.  (Contributed by FL,
     19-Jun-2011.) $)
  coires1 $p |- ( Rel A
     -> ( A o. ( _I |` B ) ) = ( A |` B ) ) $=
    ( wrel cid cres ccom resco coi1 reseq1d syl5eqr ) ACZADBEFADFZBEABEADBGKLAB
    AHIJ $.
    $( [19-Jun-2011] $)

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.
    $( Associative law for class composition.  Theorem 27 of [Suppes] p. 64.
       Also Exercise 21 of [Enderton] p. 53.  Interestingly, this law holds for
       any classes whatsoever, not just functions or even relations. $)
    coass $p |- ( ( A o. B ) o. C ) = ( A o. ( B o. C ) ) $=
      ( vx vy vz vw ccom relco cv wbr wa excom anass 2exbii brco bitr4i 3bitr4i
      wex exbii bitr2i anbi2i 19.42v anbi1i 19.41v eqbrriv ) DEABHZCHZABCHZHZUG
      CIAUIIDJZFJZCKZULEJZUGKZLZFSZUKGJZUIKZURUNAKZLZGSZUKUNUHKUKUNUJKUMULURBKZ
      UTLZLZGSZFSZUMVCLZUTLZFSZGSZUQVBVKVIGSFSVGVIGFMVIVEFGUMVCUTNOUAUPVFFUPUMV
      DGSZLVFUOVLUMGULUNABPUBUMVDGUCQTVAVJGVAVHFSZUTLVJUSVMUTFUKURBCPUDVHUTFUEQ
      TRFUKUNUGCPGUKUNAUIPRUF $.
      $( [27-Jan-1997] $)
  $}

  $( A relation is transitive iff its converse is transitive.  (Contributed by
     FL, 19-Sep-2011.) $)
  relcnvtr $p |- ( Rel R ->
     ( ( R o. R ) C_ R <-> ( `' R o. `' R ) C_ `' R ) ) $=
    ( wrel ccom wss ccnv cnvco cnvss syl5eqssr wceq wi sseq1 dfrel2 coeq1 coeq2
    eqtrd id sseq12d biimpd sylbi com12 syl6bi mpsyl impbid2 ) ABZAACZADZAEZUGC
    ZUGDZUFUHUEEUGAAFUEAGHUIUDUFUHEZUGEZUKCZIZUIUJUKDZUDUFJZUGUGFUHUGGUMUNULUKD
    ZUOUJULUKKUDUPUFUDUKAIZUPUFJALUQUPUFUQULUEUKAUQULAUKCUEUKAUKMUKAANOUQPQRSTU
    AUBTUC $.
    $( [19-Sep-2011] $)

  ${
    $d x y A $.
    $( A relation is included in the cross product of its domain and range.
       Exercise 4.12(t) of [Mendelson] p. 235. $)
    relssdmrn $p |- ( Rel A -> A C_ ( dom A X. ran A ) ) $=
      ( vx vy wrel cdm crn cxp wss cv cop wcel wi wal wex 19.8a wa opelxp eldm2
      elrn2 anbi12i bitri sylanbrc gen2 ssrel mpbiri ) ADAAEZAFZGZHBIZCIZJZAKZU
      KUHKZLZCMBMUNBCULULCNZULBNZUMULCOULBOUMUIUFKZUJUGKZPUOUPPUIUJUFUGQUQUOURU
      PCUIARBUJASTUAUBUCBCAUHUDUE $.
      $( [3-Aug-1994] $)
  $}

  $( Two ways to describe the structure of a two-place operation. $)
  relrelss $p |- ( ( Rel A /\ Rel dom A ) <-> A C_ ( ( _V X. _V ) X. _V ) ) $=
    ( wrel cdm wa cvv cxp wss df-rel anbi2i crn relssdmrn xpss12 mpan2 sylan9ss
    ssv xpss sstr sylibr dmss c0 wne wceq vn0 dmxp ax-mp syl6sseq impbii bitri
    jca ) ABZACZBZDUJUKEEFZGZDZAUMEFZGZULUNUJUKHIUOUQUJUNAUKAJZFZUPAKUNUREGUSUP
    GUROUKUMURELMNUQUJUNUQAUMGZUJUQUPUMGUTUMEPAUPUMQMAHRUQUKUPCZUMAUPSETUAVAUMU
    BUCUMEUDUEUFUIUGUH $.
    $( [17-Dec-2008] $)

  ${
    $d x y z w $.
    $( ` Swap ` is a relationship. $)
    relswap $p |- Rel Swap $=
      ( vx vz vw vy cv cop wceq wa wex cswap df-swap relopabi ) AEBEZCEZFGDENMF
      GHCIBIADJADBCKL $.
      $( [8-Jan-2015] $)
  $}

  ${
    $d x y z w $.
    $( ` Swap ` subset relationship. $)
    swapssvvvv $p |- Swap C_ ( ( _V X. _V ) X. ( _V X. _V ) ) $=
      ( vx vy vz vw cswap cvv cxp wss cv cop wcel wi wal wrel wb relswap opelxp
      wex vex mpbir2an ssrel ax-mp wceq elswap eleq1 mpbiri sylbi ax-gen mpgbir
      exlimivv ) EFFGZUKGZHZAIBIJZEKZUNULKZLZBMZAENUMURAMOPABEULUAUBUQBUOUNCIZD
      IZJZUTUSJZJZUCZDRCRUPCDUNUDVDUPCDVDUPVCULKZVEVAUKKZVBUKKZVFUSFKZUTFKZCSZD
      SZUSUTFFQTVGVIVHVKVJUTUSFFQTVAVBUKUKQTUNVCULUEUFUJUGUHUI $.
      $( [8-Jan-2015] $)
  $}

  ${
    $d A a b x y z w t u $.
    $( Definition of converse in terms of image and ` Swap ` . $)
    dfcnv2 $p |- `' A = ( Swap " A ) $=
      ( vx vy vz ccnv cswap cima relcnv cvv cxp wss crn sstri cv cop wa wex vex
      wcel bitri wrel imassrn swapssvvvv rnss ax-mp rnxpss df-rel mpbir brswap2
      wbr wceq anbi1i exbii opex eleq1 ceqsexv bicomi opelcnv wrex elima df-rex
      exancom 3bitr4i eqrelriiv ) BCAEZFAGZAHVFUAVFIIJZKVFFLZVGFAUBVHVGVGJZLZVG
      FVIKVHVJKUCFVIUDUEVGVGUFMMVFUGUHCNZBNZOZASZDNZVLVKOZFUJZVOASZPZDQZVPVESVP
      VFSZVTVNVTVOVMUKZVRPZDQVNVSWCDVQWBVRVOVLVKBRZCRZUIULUMVRVNDVMVKVLWEWDUNVO
      VMAUOUPTUQVLVKAURWAVQDAUSZVTDVPFAUTWFVRVQPDQVTVQDAVAVRVQDVBTTVCVD $.
      $( [8-Jan-2015] $)
  $}

  $( The converse of a set is a set.  Corollary 6.8(1) of [TakeutiZaring]
     p. 26. $)
  cnvexg $p |- ( A e. V -> `' A e. _V ) $=
    ( wcel ccnv cswap cima cvv dfcnv2 swapex imaexg mpan syl5eqel ) ABCZADEAFZG
    AHEGCMNGCIEAGBJKL $.
    $( [17-Mar-1998] $)

  ${
    cnvex.1 $e |- A e. _V $.
    $( The converse of a set is a set.  Corollary 6.8(1) of [TakeutiZaring]
       p. 26. $)
    cnvex $p |- `' A e. _V $=
      ( cvv wcel ccnv cnvexg ax-mp ) ACDAECDBACFG $.
      $( [19-Dec-2003] $)
  $}

  $( A relation is a set iff its converse is a set.  (Contributed by FL,
     3-Mar-2007.) $)
  relcnvexb $p |- ( Rel R -> ( R e. _V <-> `' R e. _V ) ) $=
    ( wrel cvv wcel ccnv cnvexg wceq wi dfrel2 eleq1 syl5ib sylbi impbid2 ) ABZ
    ACDZAEZCDZACFNPEZAGZQOHAIQRCDSOPCFRACJKLM $.
    $( [5-Mar-2007] $)


  $( The range of a set is a set.  Corollary 6.8(3) of [TakeutiZaring] p. 26.
     Similar to Lemma 3D of [Enderton] p. 41. $)
  rnexg $p |- ( A e. V -> ran A e. _V ) $=
    ( wcel crn cvv cima df-rn vvex imaexg mpan2 syl5eqel ) ABCZADAEFZEAGLEECMEC
    HAEBEIJK $.
    $( [8-Jan-2015] $)

  $( The domain of a set is a set.  Corollary 6.8(2) of [TakeutiZaring]
     p. 26. $)
  dmexg $p |- ( A e. V -> dom A e. _V ) $=
    ( wcel cdm ccnv crn cvv df-dm cnvexg rnexg syl syl5eqel ) ABCZADAEZFZGAHMNG
    COGCABINGJKL $.
    $( [8-Jan-2015] $)

  ${
    dmex.1 $e |- A e. _V $.
    $( The domain of a set is a set.  Corollary 6.8(2) of [TakeutiZaring]
       p. 26. $)
    dmex $p |- dom A e. _V $=
      ( cvv wcel cdm dmexg ax-mp ) ACDAECDBACFG $.
      $( [7-Jul-2008] $)

    $( The range of a set is a set.  Corollary 6.8(3) of [TakeutiZaring]
       p. 26.  Similar to Lemma 3D of [Enderton] p. 41. $)
    rnex $p |- ran A e. _V $=
      ( cvv wcel crn rnexg ax-mp ) ACDAECDBACFG $.
      $( [7-Jul-2008] $)
  $}


  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Membership in a cross product.  This version requires no quantifiers or
       dummy variables. $)
    elxp4 $p |- ( A e. ( B X. C ) <-> ( A = <. U. dom { A } , U. ran { A } >.
                 /\ ( U. dom { A } e. B /\ U. ran { A } e. C ) ) ) $=
      ( vx vy wcel cv cop wceq wa wex csn cdm cuni crn sneq unieqd vex pm4.71ri
      syl6req elxp rneqd op2nda adantr exbii snex rnex uniex opeq2 eqeq2d eleq1
      anbi2d anbi12d ceqsexv bitri dmeqd op1sta anbi1i anass 3bitri dmex anbi1d
      cxp opeq1 ) ABCVCFADGZEGZHZIZVEBFZVFCFZJZJZEKZDKVEALZMZNZIZAVEVNOZNZHZIZV
      IVSCFZJZJZJZDKAVPVSHZIZVPBFZWBJZJZDEABCUAVMWEDVMWDVQWAJZWCJWEVMVFVSIZVLJZ
      EKWDVLWMEVLWLVHWLVKVHVSVGLZOZNVFVHVRWOVHVNWNAVGPUBQVEVFDRZERUCTUDSUEVLWDE
      VSVRVNAUFZUGUHZWLVHWAVKWCWLVGVTAVFVSVEUIUJWLVJWBVIVFVSCUKULUMUNUOWAWKWCWA
      VQWAVPVTLZMZNVEWAVOWTWAVNWSAVTPUPQVEVSWPWRUQTSURVQWAWCUSUTUEWDWJDVPVOVNWQ
      VAUHVQWAWGWCWIVQVTWFAVEVPVSVDUJVQVIWHWBVEVPBUKVBUMUNUT $.
      $( [17-Feb-2004] $)
  $}


  $( If a cross product is a set, one of its components must be a set. $)
  xpexr $p |- ( ( A X. B ) e. C -> ( A e. _V \/ B e. _V ) ) $=
    ( cxp wcel cvv wn wi wceq 0ex eleq1 mpbiri pm2.24d a1d wne crn rnexg eleq1d
    c0 rnxp syl5ib a1dd pm2.61ine orrd ) ABDZCEZAFEZBFEZUFUGGZUHHZHASASIZUJUFUK
    UGUHUKUGSFEJASFKLMNASOZUFUHUIUFUEPZFEULUHUECQULUMBFABTRUAUBUCUD $.
    $( [27-Aug-2006] $)

  $( If a nonempty cross product is a set, so are both of its components. $)
  xpexr2 $p |- ( ( ( A X. B ) e. C /\ ( A X. B ) =/= (/) ) ->
               ( A e. _V /\ B e. _V ) ) $=
    ( cxp c0 wne wcel wa cvv xpnz cdm wceq dmxp adantl adantr eqeltrrd crn rnxp
    dmexg rnexg anim12dan ancom2s sylan2br ) ABDZEFUDCGZAEFZBEFZHAIGZBIGZHZABJU
    EUGUFUJUEUGUHUFUIUEUGHUDKZAIUGUKALUEABMNUEUKIGUGUDCSOPUEUFHUDQZBIUFULBLUEAB
    RNUEULIGUFUDCTOPUAUBUC $.
    $( [5-May-2007] $) $( [27-Aug-2006] $)


  ${
    $d x y z w $.
    $( Alternate definition of the ` 2nd ` function. $)
    df2nd2 $p |- 2nd = ( 1st o. Swap ) $=
      ( vx vz vy vw cv cop wceq wex copab cswap wbr c1st wa c2nd ccom vex br1st
      anbi1i ancom exbii 19.41v 3bitr4i excom opex breq2 ceqsexv bitri 3bitr2ri
      brswap2 opabbii df-2nd df-co 3eqtr4i ) AEZBEZCEZFGZBHZACIUNDEZJKZUSUPLKZM
      ZDHZACINLJOURVCACVCUSUPUOFZGZUTMZBHZDHVFDHZBHURVBVGDVAUTMVEBHZUTMVBVGVAVI
      UTBUSUPCPZQRUTVASVEUTBUAUBTVFBDUCVHUQBVHUNVDJKZUQUTVKDVDUPUOVJBPZUDUSVDUN
      JUEUFUNUPUOVJVLUIUGTUHUJACBUKACDLJULUM $.
      $( [8-Jan-2015] $)
  $}

  $( The ` 2nd ` function is a set. $)
  2ndex $p |- 2nd e. _V $=
    ( c2nd c1st cswap ccom cvv df2nd2 1stex swapex coex eqeltri ) ABCDEFBCGHIJ
    $.
    $( [8-Jan-2015] $)

  ${
    $d A x y z w v $.  $d B x y z w v $.
    $( Define cross product via the set construction functions. $)
    dfxp2 $p |- ( A X. B ) = ( ( `' 1st " A ) i^i ( `' 2nd " B ) ) $=
      ( vx vy vz vw vv c1st ccnv c2nd cv cop wceq wrex wbr wcel wex weq 3bitr4i
      wa cxp cima cin eeanv vex opeq2 eqeq2d opeq1 bi2anan9 cla42ev simpl eqtr2
      anidms opth adantl sylbi syl eqtrd impbii brcnv br1st bitri br2nd anbi12i
      exlimivv 2rexbii elxp2 elima elin reeanv eqriv ) CABUAZHIZAUBZJIZBUBZUCZC
      KZDKZEKZLZMZEBNDANVSVRVMOZVTVRVOOZTZEBNDANZVRVLPVRVQPZWBWEDEABVRVSFKZLZMZ
      VRGKZVTLZMZTZGQFQZWJFQZWMGQZTWBWEWJWMFGUDWBWOWBWOWNWBWBTFGVTVSEUEZDUEZFER
      ZWJWBGDRZWMWBWTWIWAVRWHVTVSUFZUGXAWLWAVRWKVSVTUHUGUIUJUMWNWBFGWNVRWIWAWJW
      MUKWNWIWLMZWIWAMZVRWIWLULXCDGRZWTTXDVSWHWKVTUNWTXDXEXBUOUPUQURVEUSWCWPWDW
      QWCVRVSHOWPVSVRHUTFVRVSWSVAVBWDVRVTJOWQVTVRJUTGVRVTWRVCVBVDSVFDEVRABVGVRV
      NPZVRVPPZTWCDANZWDEBNZTWGWFXFXHXGXIDVRVMAVHEVRVOBVHVDVRVNVPVIWCWDDEABVJSS
      VK $.
      $( [8-Jan-2015] $)
  $}


  $( The cross product of two sets is a set.  Proposition 6.2 of
     [TakeutiZaring] p. 23. $)
  xpexg $p |- ( ( A e. V /\ B e. W ) -> ( A X. B ) e. _V ) $=
    ( wcel cxp c1st ccnv cima c2nd cin cvv dfxp2 1stex cnvex imaexg 2ndex inexg
    wa mpan syl2an syl5eqel ) ACEZBDEZSABFGHZAIZJHZBIZKZLABMUCUFLEZUHLEZUILEUDU
    ELEUCUJGNOUEALCPTUGLEUDUKJQOUGBLDPTUFUHLLRUAUB $.
    $( [14-Aug-1994] $)

  ${
    xpex.1 $e |- A e. _V $.
    xpex.2 $e |- B e. _V $.
    $( The cross product of two sets is a set.  Proposition 6.2 of
       [TakeutiZaring] p. 23. $)
    xpex $p |- ( A X. B ) e. _V $=
      ( cvv wcel cxp xpexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [14-Aug-1994] $)
  $}


  $( The restriction of a set to a set is a set. $)
  resexg $p |- ( ( A e. V /\ B e. W ) -> ( A |` B ) e. _V ) $=
    ( wcel wa cres cvv cxp cin df-res vvex xpexg mpan2 inexg sylan2 syl5eqel )
    ACEZBDEZFABGABHIZJZHABKSRTHEZUAHESHHEUBLBHDHMNATCHOPQ $.
    $( [8-Jan-2015] $)

  ${
    resex.1 $e |- A e. _V $.
    resex.2 $e |- B e. _V $.
    $( The restriction of a set to a set is a set. $)
    resex $p |- ( A |` B ) e. _V $=
      ( cvv wcel cres resexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [8-Jan-2015] $)
  $}

  ${
    $d A a b x $.  $d B a b $.
    $( The converse of an intersection is the intersection of the converse.
       (Contributed by FL, 15-Oct-2012.) $)
    cnviin $p |- ( A =/= (/) -> `' |^|_ x e. A B = |^|_ x e. A `' B ) $=
      ( va vb ciin ccnv wrel relcnv cvv wss cv wcel wex df-rel cop wral wb opex
      vex c0 wne wceq cxp wrex wa mpbi eximi n0 df-rex 3imtr4i iinss syl sylibr
      jctr eliin ax-mp opelcnv ralbii bitri 3bitr4i eqrelriv sylancr ) BUAUBZAB
      CFZGZHABCGZFZHZVFVHUCVEIVDVHJJUDZKZVIVDVGVJKZABUEZVKALBMZANVNVLUFZANVDVMV
      NVOAVNVLVGHVLCIVGOUGUOUHABUIVLABUJUKABVGVJULUMVHOUNDEVFVHELZDLZPZVEMZVRCM
      ZABQZVQVPPZVFMWBVHMZVRJMVSWARVPVQETZDTZSAVRBCJUPUQVQVPVEURWCWBVGMZABQZWAW
      BJMWCWGRVQVPWEWDSAWBBVGJUPUQWFVTABVQVPCURUSUTVAVBVC $.
      $( [15-Oct-2012] $)
  $}

  ${
    $d x y z A $.
    $( Alternate definition of a function. $)
    dffun2 $p |- ( Fun A <-> ( Rel A /\
                 A. x A. y A. z ( ( x A y /\ x A z ) -> y = z ) ) ) $=
      ( wfun wrel ccnv ccom cid wss wa cv wbr weq wi wal wex copab bitri bitr4i
      df-fun df-co df-id sseq12i brcnv anbi1i exbii imbi1i 19.23v 2albii alrot3
      ssopab2b anbi2i ) DEDFZDDGZHZIJZKUNALZBLZDMZURCLDMZKZBCNZOZCPBPAPZKDUAUQV
      EUNUQUSURUOMZVAKZAQZVCOZCPBPZVEUQVHBCRZVCBCRZJVJUPVKIVLBCADUOUBBCUCUDVHVC
      BCULSVJVDAPZCPBPVEVIVMBCVIVBAQZVCOVMVHVNVCVGVBAVFUTVAUSURDUEUFUGUHVBVCAUI
      TUJVDABCUKTSUMS $.
      $( [23-Apr-2004] $) $( [29-Dec-1996] $)

    $( Alternate definition of function. $)
    dffun3 $p |- ( Fun A <-> ( Rel A /\
                 A. x E. z A. y ( x A y -> y = z ) ) ) $=
      ( wfun wrel cv wbr wa wceq wal wex dffun2 wmo breq2 mo4 ax-17 mo2 bitr3i
      wi albii anbi2i bitri ) DEDFZAGZBGZDHZUECGZDHZIUFUHJZTCKBKZAKZIUDUGUJTBKC
      LZAKZIABCDMULUNUDUKUMAUKUGBNUMUGUIBCUFUHUEDOPUGBCUGCQRSUAUBUC $.
      $( [23-Apr-2004] $) $( [29-Dec-1996] $)

    $( Alternate definition of a function.  Definition 6.4(4) of
       [TakeutiZaring] p. 24. $)
    dffun4 $p |- ( Fun A <-> ( Rel A /\
                 A. x A. y A. z ( ( <. x , y >. e. A /\ <. x , z >. e. A )
                 -> y = z ) ) ) $=
      ( wfun wrel cv wbr wa wceq wal cop wcel dffun2 df-br anbi12i imbi1i albii
      wi 2albii anbi2i bitri ) DEDFZAGZBGZDHZUDCGZDHZIZUEUGJZSZCKZBKAKZIUCUDUEL
      DMZUDUGLDMZIZUJSZCKZBKAKZIABCDNUMUSUCULURABUKUQCUIUPUJUFUNUHUOUDUEDOUDUGD
      OPQRTUAUB $.
      $( [29-Dec-1996] $)

    $( Alternate definition of function. $)
    dffun5 $p |- ( Fun A <-> ( Rel A /\
                 A. x E. z A. y ( <. x , y >. e. A -> y = z ) ) ) $=
      ( wfun wrel cv wbr wceq wi wal wex wa cop dffun3 df-br imbi1i albii exbii
      wcel anbi2i bitri ) DEDFZAGZBGZDHZUECGIZJZBKZCLZAKZMUCUDUENDTZUGJZBKZCLZA
      KZMABCDOUKUPUCUJUOAUIUNCUHUMBUFULUGUDUEDPQRSRUAUB $.
      $( [29-Dec-1996] $)
  $}

  ${
    $d x y z w v u $.  $d z A w v u $.
    dffunmof.1 $e |- ( z e. A -> A. x z e. A ) $.
    dffunmof.2 $e |- ( z e. A -> A. y z e. A ) $.
    $( Definition of function, using bound-variable hypotheses instead of
       distinct variable conditions. $)
    dffun6f $p |- ( Fun A <-> ( Rel A /\ A. x E* y x A y ) ) $=
      ( vw vv vu wfun cv wbr wceq wal wa wmo wcel ax-17 hbbr albii wi wex breq2
      wrel dffun3 cbvmo mo2 hbmo breq1 mobid cbval 3bitr3ri anbi2i bitr4i ) DJD
      UDZGKZHKZDLZUQIKMUAHNIUBZGNZOUOAKZBKZDLZBPZANZOGHIDUEVEUTUOURHPZGNUPVBDLZ
      BPZGNUTVEVFVHGURVGHBBCUPUQDCKZUPQZBRFVIUQQBRSVGHRUQVBUPDUCUFTVFUSGURHIURI
      RUGTVHVDGAVGABACUPVBDVJAREVIVBQARSUHVDGRUPVAMZVGVCBVKBRUPVAVBDUIUJUKULUMU
      N $.
      $( [15-Aug-2004] $) $( [9-Mar-1995] $)
  $}

  ${
    $d x y z A $.
    $( Alternate definition of a function using "at most one" notation. $)
    dffun6 $p |- ( Fun A <-> ( Rel A /\ A. x E* y x A y ) ) $=
      ( vz cv wcel ax-17 dffun6f ) ABDCDECFZAGIBGH $.
      $( [15-Aug-2004] $) $( [9-Mar-1995] $)

    $( A function has at most one value for each argument. $)
    funmo $p |- ( Fun A -> E* y x A y ) $=
      ( wfun cv wbr wmo wrel wal dffun6 simprbi 19.21bi ) CDZAEBECFBGZAMCHNAIAB
      CJKL $.
      $( [15-Aug-2004] $) $( [24-May-1998] $)
  $}

  $( A function is a relation. $)
  funrel $p |- ( Fun A -> Rel A ) $=
    ( wfun wrel ccnv ccom cid wss df-fun simplbi ) ABACAADEFGAHI $.
    $( [1-Aug-1994] $)

  ${
    $d x y z A $.  $d x y z B $.
    $( Subclass theorem for function predicate.  (The proof was shortened by
       Mario Carneiro, 24-Jun-2014.) $)
    funss $p |- ( A C_ B -> ( Fun B -> Fun A ) ) $=
      ( wss wrel ccnv ccom cid wa wfun relss wi coss1 cnvss coss2 sstrd anim12d
      syl sstr2 df-fun 3imtr4g ) ABCZBDZBBEZFZGCZHADZAAEZFZGCZHBIAIUAUBUFUEUIAB
      JUAUHUDCUEUIKUAUHBUGFZUDABUGLUAUGUCCUJUDCABMUGUCBNQOUHUDGRQPBSAST $.
      $( [24-Jun-2014] $) $( [16-Aug-1994] $)
  $}

  $( Equality theorem for function predicate. $)
  funeq $p |- ( A = B -> ( Fun A <-> Fun B ) ) $=
    ( wss wa wfun wi wceq wb funss anim12i ancoms eqss dfbi2 3imtr4i ) ABCZBACZ
    DAEZBEZFZRQFZDZABGQRHPOUAPSOTBAIABIJKABLQRMN $.
    $( [16-Aug-1994] $)

  ${
    funeqi.1 $e |- A = B $.
    $( Equality inference for the function predicate.  (Contributed by Jonathan
       Ben-Naim, 3-Jun-2011.) $)
    funeqi $p |- ( Fun A <-> Fun B ) $=
      ( wceq wfun wb funeq ax-mp ) ABDAEBEFCABGH $.
      $( [3-Jun-2011] $)
  $}

  ${
    funeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for the function predicate. $)
    funeqd $p |- ( ph -> ( Fun A <-> Fun B ) ) $=
      ( wceq wfun wb funeq syl ) ABCEBFCFGDBCHI $.
      $( [23-Feb-2013] $)
  $}

  ${
    $d y F $.  $d x y $.
    hbfun.1 $e |- ( y e. F -> A. x y e. F ) $.
    $( Bound-variable hypothesis builder for a function. $)
    hbfun $p |- ( Fun F -> A. x Fun F ) $=
      ( wfun wrel ccnv ccom cid wa df-fun hbrel hbcnv hbco wcel ax-17 hbss hban
      wss cv hbxfrbi ) CECFZCCGZHZISZJACKUBUEAABCDLABUDIABCUCDABCDMNBTIOAPQRUA
      $.
      $( [30-Jan-2004] $)
  $}

  ${
    $d x y z F $.
    $( There is exactly one value of a function.  (The proof was shortened by
       Andrew Salmon, 17-Sep-2011.) $)
    funeu $p |- ( ( Fun F /\ x F y ) -> E! y x F y ) $=
      ( wfun cv wbr weu wex 19.8a wmo wi funmo df-mo sylib syl5 imp ) CDZAEBECF
      ZRBGZRRBHZQSRBIQRBJTSKABCLRBMNOP $.
      $( [17-Aug-2011] $) $( [22-Apr-2004] $)

    $( There is exactly one value of a function. $)
    funeu2 $p |- ( ( Fun F /\ <. x , y >. e. F ) -> E! y <. x , y >. e. F ) $=
      ( wfun cv wbr wa weu cop wcel funeu df-br anbi2i eubii 3imtr3i ) CDZAEZBE
      ZCFZGSBHPQRICJZGTBHABCKSTPQRCLZMSTBUANO $.
      $( [3-Aug-1994] $)
  $}

  ${
    $d x y A $.
    $( Alternate definition of a function.  One possibility for the definition
       of a function in [Enderton] p. 42.  (Enderton's definition is ambiguous
       because "there is only one" could mean either "there is at most one" or
       "there is exactly one."  However, ~ dffun8 shows that it doesn't matter
       which meaning we pick.) $)
    dffun7 $p |- ( Fun A <-> ( Rel A /\ A. x e. dom A E* y x A y ) ) $=
      ( wfun wrel cv wbr wmo wal wa cdm wral dffun6 wcel wi moabs imbi1i bitr4i
      wex eldm albii df-ral anbi2i bitri ) CDCEZAFZBFCGZBHZAIZJUEUHACKZLZJABCMU
      IUKUEUIUFUJNZUHOZAIUKUHUMAUHUGBSZUHOUMUGBPULUNUHBUFCTQRUAUHAUJUBRUCUD $.
      $( [4-Nov-2002] $)

    $( Alternate definition of a function.  One possibility for the definition
       of a function in [Enderton] p. 42.  Compare ~ dffun7 .  (The proof was
       shortened by Andrew Salmon, 17-Sep-2011.) $)
    dffun8 $p |- ( Fun A <-> ( Rel A /\ A. x e. dom A E! y x A y ) ) $=
      ( wfun wrel cv wbr wmo cdm wral wa weu dffun7 wi wcel df-mo wb eldm pm5.5
      wex sylbi syl5bb ralbiia anbi2i bitri ) CDCEZAFZBFCGZBHZACIZJZKUFUHBLZAUJ
      JZKABCMUKUMUFUIULAUJUIUHBTZULNZUGUJOZULUHBPUPUNUOULQBUGCRUNULSUAUBUCUDUE
      $.
      $( [18-Sep-2011] $) $( [4-Nov-2002] $)

    $( Alternate definition of a function. $)
    dffun9 $p |- ( Fun A <->
                 ( Rel A /\ A. x e. dom A E* y ( y e. ran A /\ x A y ) ) ) $=
      ( wfun wrel cv wbr wmo cdm wral wa crn wcel dffun7 brelrn pm4.71ri ralbii
      mobii anbi2i bitri ) CDCEZAFZBFZCGZBHZACIZJZKUAUCCLMZUDKZBHZAUFJZKABCNUGU
      KUAUEUJAUFUDUIBUDUHUBUCCOPRQST $.
      $( [28-Mar-2007] $)
  $}

  $( An equivalence for the function predicate. $)
  funfn $p |- ( Fun A <-> A Fn dom A ) $=
    ( wfun cdm wceq wa wfn eqid biantru df-fn bitr4i ) ABZKACZLDZEALFMKLGHALIJ
    $.
    $( [13-Aug-2004] $)

  $( The identity relation is a function.  Part of Theorem 10.4 of [Quine]
     p. 65. $)
  funi $p |- Fun _I $=
    ( cid wfun wrel ccnv ccom wss reli wceq relcnv coi2 ax-mp cnvi eqtri df-fun
    eqimssi mpbir2an ) ABACAADZEZAFGRARQAQCRQHAIQJKLMOANP $.
    $( [30-Apr-1998] $)

  ${
    $d x y z $.
    $( The universe is not a function.  (Contributed by Raph Levien,
       27-Jan-2004.) $)
    nfunv $p |- -. Fun _V $=
      ( vx vy vz cvv cv wbr wa wal wex wne cop wcel vex opex df-br mpbir pm3.2i
      wn syl5bbr exnal wfun wrel weq wi ccompl complex necompl wceq annim breq2
      necomi anbi2d df-ne neeq2 anbi12d cla4ev 19.8a 19.23bi exbii bitri intnan
      mp2b mpbi dffun2 mtbir ) DUADUBZAEZBEZDFZVGCEZDFZGZBCUCZUDZCHZBHZAHZGVQVF
      VNRZCIZBIZAIZVQRZVIVGVHUEZDFZGZVHWCJZGZVSWAWEWFVIWDVIVGVHKDLVGVHAMZBMZNVG
      VHDOPWDVGWCKDLVGWCWHVHWIUFZNVGWCDOPQWCVHVHUGUKQVRWGCWCWJVRVLVMRZGVJWCUHZW
      GVLVMUIWLVLWEWKWFWLVKWDVIVJWCVGDUJULWKVHVJJWLWFVHVJUMVJWCVHUNSUOSUPVSWABV
      TAUQURVBWAVPRZAIWBVTWMAVTVORZBIWMVSWNBVNCTUSVOBTUTUSVPATUTVCVAABCDVDVE $.
      $( [27-Jan-2004] $)
  $}

  ${
    $d x y z $.  $d z ph $.
    $( A class of ordered pairs is a function when there is at most one second
       member for each pair. $)
    funopab $p |- ( Fun { <. x , y >. | ph } <-> A. x E* y ph ) $=
      ( copab wfun wbr wmo wal wrel relopab hbopab1 hbopab2 dffun6f mpbiran cop
      vz cv wcel df-br bitri opabid mobii albii ) ABCDZEZBQZCQZUDFZCGZBHZACGZBH
      UEUDIUJABCJBCPUDABCPKABCPLMNUIUKBUHACUHUFUGOUDRAUFUGUDSABCUATUBUCT $.
      $( [16-May-1995] $)
  $}

  ${
    $d x y $.  $d y A $.
    $( A class of ordered pairs of values is a function. $)
    funopabeq $p |- Fun { <. x , y >. | y = A } $=
      ( cv wceq copab wfun wmo funopab moeq mpgbir ) BDCEZABFGLBHALABIBCJK $.
      $( [14-Nov-1995] $)

    $( A class of ordered pairs of values in the form used by ~ fvopab4 is a
       function. $)
    funopab4 $p |- Fun { <. x , y >. | ( ph /\ y = A ) } $=
      ( cv wceq wa copab wss wfun simpr ssopab2i funopabeq funss mp2 ) ACEDFZGZ
      BCHZPBCHZISJRJQPBCAPKLBCDMRSNO $.
      $( [17-Feb-2013] $)
  $}

  ${
    $d x y z F $.  $d x y z G $.
    $( The composition of two functions is a function.  Exercise 29 of
       [TakeutiZaring] p. 25.  (The proof was shortened by Andrew Salmon,
       17-Sep-2011.) $)
    funco $p |- ( ( Fun F /\ Fun G ) -> Fun ( F o. G ) ) $=
      ( vx vz vy wfun wa cv wbr wex copab wmo wal funmo alrimiv moexexv syl2anr
      ccom funopab sylibr df-co funeqi ) AFZBFZGZCHDHZBIZUFEHAIZGDJZCEKZFZABRZF
      UEUIELZCMUKUEUMCUDUGDLUHELZDMUMUCCDBNUCUNDDEANOUGUHDEPQOUICESTULUJCEDABUA
      UBT $.
      $( [18-Sep-2011] $) $( [26-Jan-1997] $)
  $}

  ${
    $d x y z F $.  $d x y z A $.
    $( A restriction of a function is a function.  Compare Exercise 18 of
       [TakeutiZaring] p. 25. $)
    funres $p |- ( Fun F -> Fun ( F |` A ) ) $=
      ( cres wss wfun wi resss funss ax-mp ) BACZBDBEJEFBAGJBHI $.
      $( [16-Aug-1994] $)
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y A $.
    $( The restriction of a function to the domain of a subclass equals the
       subclass. $)
    funssres $p |- ( ( Fun F /\ G C_ F ) -> ( F |` dom G ) = G ) $=
      ( vx vy wfun wss wa cdm cres wceq cv cop wcel wb wal wi ssel wex imp wrel
      opeldm a1i jcad adantl weu funeu2 eldm2 ancrd eximdv syl5bi eupick syl2an
      exp43 com23 com34 pm2.43d imp3a impbid syl6rbbr relres funrel relss mpan9
      opelres alrimivv eqrel sylancr mpbird ) AEZBAFZGZABHZIZBJZCKZDKZLZVMMZVQB
      MZNZDOCOZVKVTCDVKVSVQAMZVOVLMZGZVRVKVSWDVJVSWDPVIVJVSWBWCBAVQQZVSWCPVJVOV
      PBUAUBUCUDVKWBWCVSVKWBWCVSPVKWBWCWBVSVIVJWBWCWBVSPZPZPVIWBVJWGVIWBVJWCWFV
      IWBGWBDUEWBVSGZDRZWFVJWCGCDAUFVJWCWIWCVSDRVJWIDVOBUGVJVSWHDVJVSWBWEUHUIUJ
      SWBVSDUKULUMUNSUOUPUQURVOVPAVLVDUSVEVKVMTBTZVNWANAVLUTVIATVJWJAVABAVBVCCD
      VMBVFVGVH $.
      $( [19-Mar-2004] $) $( [15-Aug-1994] $)
  $}

  $( Equality of restrictions of a function and a subclass. $)
  fun2ssres $p |- ( ( Fun F /\ G C_ F /\ A C_ dom G ) ->
                  ( F |` A ) = ( G |` A ) ) $=
    ( wfun wss cdm cres wceq wa resabs1 eqcomd funssres reseq1d sylan9eqr 3impa
    ) BDZCBEZACFZEZBAGZCAGZHSPQIZTBRGZAGZUASUDTBARJKUBUCCABCLMNO $.
    $( [2-Jun-2007] $) $( [16-Aug-1994] $)

  ${
    $d x y z F $.  $d x y z G $.
    $( The union of functions with disjoint domains is a function.  Theorem 4.6
       of [Monk1] p. 43. $)
    funun $p |- ( ( ( Fun F /\ Fun G ) /\ ( dom F i^i dom G ) = (/) ) ->
                Fun ( F u. G ) ) $=
      ( vx vy vz wfun wa cdm cin c0 wceq wrel cv wcel wi wal wo opeldm dffun4
      wn cun cop weq funrel relun biimpri syl2an adantr elun anbi12i anddi ax-4
      bitri disj1 imnan bicomi 3imtr4i anim12i orel2 incom eqeq1i orel1 orim12d
      nsyl syl simprbi 19.21bi 19.21bbi jaao sylan9r alrimiv alrimivv sylanbrc
      syl5bi ) AFZBFZGZAHZBHZIZJKZGZABUAZLZCMZDMZUBZWCNZWEEMZUBZWCNZGZDEUCZOZEP
      ZDPCPWCFVQWDWAVOALZBLZWDVPAUDBUDWDWPWQGABUEUFUGUHWBWOCDWBWNEWAWLWGANZWJAN
      ZGZWGBNZWJBNZGZQZVQWMWLWTWRXBGZQZXAWSGZXCQZQZWAXDWLWRXAQZWSXBQZGXIWHXJWKX
      KWGABUIWJABUIUJWRXAWSXBUKUMWAXFWTXHXCWAXETXFWTOWAWEVRNZWEVSNZGZXEXLXMTOZC
      PXOWAXNTZXOCULCVRVSUNXOXPXLXMUOUPUQWRXLXBXMWEWFARWEWIBRURVDXEWTUSVEWAXGTX
      HXCOWAXMXLGZXGXMXLTOZCPZXRWAXQTZXRCULWAVSVRIZJKXSVTYAJVRVSUTVACVSVRUNUMXR
      XTXMXLUOUPUQXAXMWSXLWEWFBRWEWIARURVDXGXCVBVEVCVNVOWTWMVPXCVOWTWMOZDEVOYBE
      PDPZCVOWPYCCPCDEASVFVGVHVPXCWMOZDEVPYDEPDPZCVPWQYECPCDEBSVFVGVHVIVJVKVLCD
      EWCSVM $.
      $( [12-Aug-1994] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    funsn.1 $e |- A e. _V $.
    funsn.2 $e |- B e. _V $.
    $( A singleton of an ordered pair is a function.  Theorem 10.5 of [Quine]
       p. 65. $)
    funsn $p |- Fun { <. A , B >. } $=
      ( vx vy cop csn wfun wrel cv wbr wmo wal relsnop wceq wi moeq vex bitri
      a1i wcel df-br opex elsn opth mobii moanimv mpbir ax-gen dffun6 mpbir2an
      wa ) ABGZHZIUOJEKZFKZUOLZFMZENABCDOUSEUSUPAPZUQBPZFMZQZVBUTFBRUAUSUTVAUMZ
      FMVCURVDFURUPUQGZUOUBZVDUPUQUOUCVFVEUNPVDVEUNUPUQESFSUDUEUPUQABUFTTUGUTVA
      FUHTUIUJEFUOUKUL $.
      $( [1-Oct-2013] $) $( [12-Aug-1994] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( A singleton of an ordered pair is a function.  Theorem 10.5 of [Quine]
       p. 65. $)
    funsng $p |- ( ( A e. V /\ B e. W ) -> Fun { <. A , B >. } ) $=
      ( vx vy cv cop csn wfun wceq opeq1 sneqd funeqd opeq2 vex funsn vtocl2g )
      EGZFGZHZIZJATHZIZJABHZIZJEFABCDSAKZUBUDUGUAUCSATLMNTBKZUDUFUHUCUETBAOMNST
      EPFPQR $.
      $( [1-Oct-2013] $) $( [28-Jun-2011] $)
  $}

  $( A set of two pairs is a function if their first members are different.
     (Contributed by FL, 26-Jun-2011.) $)
  funprg $p |- ( ( A =/= B /\ ( A e. V /\ B e. W ) /\ ( C e. T /\ D e. U ) )
     -> Fun { <. A , C >. , <. B , D >. } ) $=
    ( wcel wa cop csn wfun cdm cin c0 wceq funsng syl2anc dmsnopg simp2l simp3l
    wne w3a cun cpr simp2r simp3r ineq12d disjsn2 3ad2ant1 eqtrd funun syl21anc
    syl df-pr funeqi sylibr ) ABUCZAGIZBHIZJZCEIZDFIZJZUDZACKZLZBDKZLZUEZMZVGVI
    UFZMVFVHMZVJMZVHNZVJNZOZPQVLVFUTVCVNUSUTVAVEUAUSVBVCVDUBZACGERSVFVAVDVOUSUT
    VAVEUGUSVBVCVDUHZBDHFRSVFVRALZBLZOZPVFVPWAVQWBVFVCVPWAQVSACETUOVFVDVQWBQVTB
    DFTUOUIUSVBWCPQVEABUJUKULVHVJUMUNVMVKVGVIUPUQUR $.
    $( [1-Oct-2013] $) $( [26-Jun-2011] $)

  ${
    funpr.1 $e |- A e. _V $.
    funpr.2 $e |- B e. _V $.
    funpr.3 $e |- C e. _V $.
    funpr.4 $e |- D e. _V $.
    $( A function with a domain of two elements.  (Contributed by Jeff Madsen,
       20-Jun-2010.) $)
    funpr $p |- ( A =/= B -> Fun { <. A , C >. , <. B , D >. } ) $=
      ( wne cvv wcel wa cop cpr wfun pm3.2i funprg mp3an23 ) ABIAJKZBJKZLCJKZDJ
      KZLACMBDMNOSTEFPUAUBGHPABCDJJJJQR $.
      $( [1-Oct-2013] $) $( [20-Jun-2010] $)
  $}

  ${
    fnsn.1 $e |- A e. _V $.
    fnsn.2 $e |- B e. _V $.
    $( Functionality and domain of the singleton of an ordered pair.
       (Contributed by Jonathan Ben-Naim, 3-Jun-2011.) $)
    fnsn $p |- { <. A , B >. } Fn { A } $=
      ( cop csn wfn wfun cdm wceq funsn dmsnop df-fn mpbir2an ) ABEFZAFZGOHOIPJ
      ABCDKABDLOPMN $.
      $( [1-Oct-2013] $) $( [3-Jun-2011] $)
  $}

  ${
    $( Domain of a function with a domain of two different values.
       (Contributed by FL, 26-Jun-2011.) $)
    fnprg $p |- ( ( A =/= B /\ ( A e. V /\ B e. W ) /\ ( C e. T /\ D e. U ) )
         -> { <. A , C >. , <. B , D >. } Fn { A , B } ) $=
      ( wne wcel wa w3a cop cpr wfun cdm wceq wfn funprg dmpropg 3ad2ant3 df-fn
      sylanbrc ) ABIZAGJBHJKZCEJDFJKZLACMBDMNZOUGPABNZQZUGUHRABCDEFGHSUFUDUIUEA
      BCDEFTUAUGUHUBUC $.
      $( [1-Oct-2013] $) $( [26-Jun-2011] $)
  $}

  $( The empty set is a function.  Theorem 10.3 of [Quine] p. 65. $)
  fun0 $p |- Fun (/) $=
    ( c0 wfun wrel ccnv ccom cid wss rel0 co01 0ss eqsstri df-fun mpbir2an ) AB
    ACAADZEZFGHOAFNIFJKALM $.
    $( [7-Apr-1998] $)

  $( The double converse of a function is a function. $)
  funcnvcnv $p |- ( Fun A -> Fun `' `' A ) $=
    ( ccnv wss wfun wi cnvcnvss funss ax-mp ) ABBZACADIDEAFIAGH $.
    $( [21-Sep-2004] $)

  ${
    $d f g x y z w v A $.  $d x y B $.  $d x y R $.
    $( A simpler equivalence for single-rooted (see ~ funcnv ). $)
    funcnv2 $p |- ( Fun `' A <-> A. y E* x x A y ) $=
      ( ccnv wfun wrel cv wbr wmo wa dffun6 relcnv biantrur brcnv mobii 3bitr2i
      wal albii ) CDZESFZBGZAGZSHZAIZBQZJUEUBUACHZAIZBQBASKTUECLMUDUGBUCUFAUAUB
      CNORP $.
      $( [9-Aug-2004] $)

    $( The converse of a class is a function iff the class is single-rooted,
       which means that for any ` y ` in the range of ` A ` there is at most
       one ` x ` such that ` x A y ` .  Definition of single-rooted in
       [Enderton] p. 43.  See ~ funcnv2 for a simpler version. $)
    funcnv $p |- ( Fun `' A <-> A. y e. ran A E* x x A y ) $=
      ( cv wbr wmo wal crn wcel wi ccnv wfun wral brelrn pm4.71ri mobii moanimv
      wa bitri albii funcnv2 df-ral 3bitr4i ) ADZBDZCEZAFZBGUECHZIZUGJZBGCKLUGB
      UHMUGUJBUGUIUFRZAFUJUFUKAUFUIUDUECNOPUIUFAQSTABCUAUGBUHUBUC $.
      $( [13-Aug-2004] $)

    $( A condition showing a class is single-rooted.  (See ~ funcnv ). $)
    funcnv3 $p |- ( Fun `' A <-> A. y e. ran A E! x e. dom A x A y ) $=
      ( cv wbr wmo crn wral wex wa ccnv wfun wreu wcel biimpi biantrurd ralbiia
      cdm elrn weu funcnv df-reu breldm pm4.71ri eubii 3bitr2i ralbii 3bitr4i
      eu5 ) ADZBDZCEZAFZBCGZHULAIZUMJZBUNHCKLULACRZMZBUNHUMUPBUNUKUNNZUOUMUSUOA
      UKCSOPQABCUAURUPBUNURUJUQNZULJZATULATUPULAUQUBULVAAULUTUJUKCUCUDUEULAUIUF
      UGUH $.
      $( [26-May-2006] $)

    $( The double converse of a class is a function iff the class is
       single-valued.  Each side is equivalent to Definition 6.4(2) of
       [TakeutiZaring] p. 23, who use the notation "Un(A)" for single-valued.
       Note that ` A ` is not necessarily a function. $)
    fun2cnv $p |- ( Fun `' `' A <-> A. x E* y x A y ) $=
      ( ccnv wfun cv wbr wmo wal funcnv2 brcnv mobii albii bitri ) CDZDEBFZAFZO
      GZBHZAIQPCGZBHZAIBAOJSUAARTBPQCKLMN $.
      $( [13-Aug-2004] $)

    $( A single-valued relation is a function.  (See ~ fun2cnv for
       "single-valued.") Definition 6.4(4) of [TakeutiZaring] p. 24. $)
    svrelfun $p |- ( Fun A <-> ( Rel A /\ Fun `' `' A ) ) $=
      ( vx vy wfun wrel cv wbr wmo wal wa ccnv dffun6 fun2cnv anbi2i bitr4i ) A
      DAEZBFCFAGCHBIZJPAKKDZJBCALRQPBCAMNO $.
      $( [17-Jan-2006] $)

    $( Single-rootedness (see ~ funcnv ) of a class cut down by a cross
       product. $)
    fncnv $p |- ( `' ( R i^i ( A X. B ) ) Fn B <->
                  A. y e. B E! x e. A x R y ) $=
      ( cxp cin ccnv wfn wceq wa wbr wral wcel wmo anbi1i ancom bitri 3bitr4i
      cv wfun cdm wreu df-fn dfrn4 eqeq1i anbi2i wrex rninxp funcnv raleq biimt
      crn wi brin brxp anass mobii moanimv ralbiia syl6bb syl5bb pm5.32i r19.26
      syl6rbbr reu5 ralbii 3bitr2i ) ECDFZGZHZDIVKUAZVKUBZDJZKVLVJUMZDJZKZATZBT
      ZELZACUCZBDMZVKDUDVPVNVLVOVMDVJUEUFUGVPVLKZVTACUHZVRCNZVTKZAOZKZBDMZVQWBV
      PWGBDMZKWDBDMZWJKWCWIVPWKWJABCDEUIPVPVLWJVLVRVSVJLZAOZBVOMZVPWJABVJUJVPWN
      WMBDMWJWMBVODUKWMWGBDVSDNZWGWOWGUNZWMWOWGULWMWOWFKZAOWPWLWQAWLVTVRVSVILZK
      ZWQVRVSEVIUOWSWOWEKZVTKZWQWSWRVTKXAVTWRQWRWTVTWRWEWOKWTVRVSCDUPWEWOQRPRWO
      WEVTUQRRURWOWFAUSRVEUTVAVBVCWDWGBDVDSVLVPQWAWHBDVTACVFVGSVH $.
      $( [5-Mar-2007] $)

    $( Two ways of stating that ` A ` is one-to-one (but not necessarily a
       function).  Each side is equivalent to Definition 6.4(3) of
       [TakeutiZaring] p. 24, who use the notation "Un_2 (A)" for one-to-one
       (but not necessarily a function). $)
    fun11 $p |- ( ( Fun `' `' A /\ Fun `' A ) <->
         A. x A. y A. z A. w ( ( x A y /\ z A w ) -> ( x = z <-> y = w ) ) ) $=
      ( cv wbr wa wceq wal ccnv wfun bi2.04 anbi12i 2albii 19.26-2 alcom 3bitri
      wi albii dfbi2 imbi2i pm4.76 ax-17 breq1 anbi1d imbi1d equsal bitri breq2
      wb 3bitr2i bitr2i wmo fun2cnv mo4 funcnv2 alrot4 3bitr4i ) CFZBFZEGZUTDFZ
      EGZHZVAVCIZSZBJZDJZCJZAFZVCEGZVDHZVKUTIZSZAJZDJCJZHZVKVAEGZVDHZVNVFUKZSZB
      JAJZDJCJZEKZKLZWELZHWBDJCJBJAJWDVHVPHZDJCJVRWCWHCDWCVNVTVFSZSZVFVTVNSZSZH
      ZBJAJWJBJAJZWLBJZAJZHWHWBWMABWBVTVNVFSZVFVNSZHZSVTWQSZVTWRSZHWMWAWSVTVNVF
      UAUBVTWQWRUCWTWJXAWLVTVNVFMVTVFVNMNULOWJWLABPWNVHWPVPWNWJAJZBJVHWJABQXBVG
      BWIVGACVGAUDVNVTVEVFVNVSVBVDVKUTVAEUEUFUGUHTUIWOVOAWKVOBDVOBUDVFVTVMVNVFV
      SVLVDVAVCVKEUJUFUGUHTNROVHVPCDPUMWFVJWGVQWFVBBUNZCJVGDJBJZCJVJCBEUOXCXDCV
      BVDBDVAVCUTEUJUPTXDVICVGBDQTRWGVLAUNZDJVOCJAJZDJZVQADEUQXEXFDVLVDACVKUTVC
      EUEUPTXGVPCJZDJVQXFXHDVOACQTVPDCQUIRNWBABCDURUS $.
      $( [17-Jan-2006] $)

    $( The union of a chain (with respect to inclusion) of functions is a
       function. $)
    fununi $p |- ( A. f e. A ( Fun f /\ A. g e. A ( f C_ g \/ g C_ f ) ) ->
                 Fun U. A ) $=
      ( vx vy vz vw vv cv wfun wss wo wral wa wrel wcel wceq wi wal wex simprbi
      cuni cop funrel adantr ralimi reluni sylibr r19.28av ssel anim1d ax-4 a4s
      dffun4 3syl syl9r adantl anim2d jaod imp funeq sseq1 sseq2 orbi12d anbi2d
      anbi12d cbvral2v ralcom orcom syl5bb bitri anbi12i anidm anandir r19.26-2
      2ralbii bitr2i 3bitr3i eluni eeanv an4 ancom 2exbii 3bitr2i imbi1i 19.23v
      albii impexp 2albii bitr4i 3bitr3ri 3imtr4i alrimiv alrimivv syl sylanbrc
      r2al ) BIZJZWRCIZKZWTWRKZLZCAMZNZBAMZAUBZOZDIZEIZUCZXGPZXIFIZUCZXGPZNZXJX
      MQZRZFSZESDSZXGJXFWROZBAMXHXEYABAWSYAXDWRUDUEUFBAUGUHXFWSXCNZCAMZBAMZXTXE
      YCBAWSXCCAUIUFYDXSDEYDXRFGIZJZHIZJZNZYEYGKZYGYEKZLZNZHAMZGAMZXKYEPZXNYGPZ
      NZXQRZHAMZGAMZYDXRYNYTGAYMYSHAYIYLYSYIYJYSYKYHYJYSRYFYJYRXKYGPZYQNZYHXQYJ
      YPUUBYQYEYGXKUJUKYHUUCXQRZFSZESZDSZUUEUUDYHYGOUUGDEFYGUNUAUUFUUEDUUEEULUM
      UUDFULUOUPUQYFYKYSRYHYKYRYPXNYEPZNZYFXQYKYQUUHYPYGYEXNUJURYFUUIXQRZFSZESZ
      DSZUUKUUJYFYEOUUMDEFYEUNUAUULUUKDUUKEULUMUUJFULUOUPUEUSUTUFUFYDYDNYFYLNZH
      AMGAMZYHYLNZHAMGAMZNZYDYOYDUUOYDUUQYBUUNYFYEWTKZWTYEKZLZNBCGHAAWRYEQZWSYF
      XCUVAWRYEVAUVBXAUUSXBUUTWRYEWTVBWRYEWTVCVDVFWTYGQZUVAYLYFUVCUUSYJUUTYKWTY
      GYEVCWTYGYEVBVDVEVGYDYBBAMCAMUUQYBBCAAVHYBUUPWSYEWRKZWRYEKZLZNCBGHAAWTYEQ
      ZXCUVFWSXCXBXALUVGUVFXAXBVIUVGXBUVDXAUVEWTYEWRVBWTYEWRVCVDVJVEWRYGQZWSYHU
      VFYLWRYGVAUVHUVDYJUVEYKWRYGYEVCWRYGYEVBVDVFVGVKVLYDVMYOUUNUUPNZHAMGAMUURY
      MUVIGHAAYFYHYLVNVPUUNUUPGHAAVOVQVRXRYEAPZYGAPZNZYRNZHTZGTZXQRZUUAXPUVOXQX
      PYPUVJNZGTZYQUVKNZHTZNUVQUVSNZHTGTUVOXLUVRXOUVTGXKAVSHXNAVSVLUVQUVSGHVTUW
      AUVMGHUWAYRUVLNUVMYPUVJYQUVKWAYRUVLWBVKWCWDWEUVMXQRZHSZGSZUVNXQRZGSUUAUVP
      UWCUWEGUVMXQHWFWGUWDUVLYSRZHSGSUUAUWBUWFGHUVLYRXQWHWIYSGHAAWQWJUVNXQGWFWK
      VKWLWMWNWODEFXGUNWP $.
      $( [10-Aug-2004] $)

    $( The union of a chain (with respect to inclusion) of single-rooted sets
       is single-rooted.  (See ~ funcnv for "single-rooted" definition.) $)
    funcnvuni $p |- ( A. f e. A ( Fun `' f /\ A. g e. A ( f C_ g \/ g C_ f ) )
                    -> Fun `' U. A ) $=
      ( vy vx vz vw vv cv ccnv wfun wss wo wral wa wceq wrex wi wal wcel eqeq2d
      cab cnveq cbvrexv funeqd sseq1 sseq2 orbi12d ralbidv anbi12d rcla4v funeq
      biimprcd cnvss orim12i wb sseq12 ancoms syl5ibrcom exp3a syl6com rexlimdv
      cuni com23 alrimdv anim12ii syl5bi alrimiv df-ral vex eqeq1 rexbidv ralab
      elab anbi2i imbi12i albii bitr2i sylib fununi syl ciun cnvuni cnvex eqtri
      dfiun2 funeqi sylibr ) BIZJZKZWICIZLZWLWILZMZCANZOZBANZDIZEIZJZPZEAQZDUBZ
      VCZKZAVCJZKWRFIZKZXHGIZLZXJXHLZMZGXDNZOZFXDNZXFWRXHXAPZEAQZXIXJXAPZEAQZXM
      RZGSZOZRZFSZXPWRYDFXRXHHIZJZPZHAQWRYCXQYHEHAWTYFPXAYGXHWTYFUCUAUDWRYHYCHA
      YFATWRYGKZYFWLLZWLYFLZMZCANZOZYHYCRWQYNBYFAWIYFPZWKYIWPYMYOWJYGWIYFUCUEYO
      WOYLCAYOWMYJWNYKWIYFWLUFWIYFWLUGUHUIUJUKYIYHXIYMYBYHXIYIXHYGULUMYMYHYAGYM
      XTYHXMYMXSYHXMRZEAWTATYMYFWTLZWTYFLZMZXSYPRYLYSCWTAWLWTPYJYQYKYRWLWTYFUGW
      LWTYFUFUHUKYSXSYHXMYSXMXSYHOZYGXALZXAYGLZMYQUUAYRUUBYFWTUNWTYFUNUOYTXKUUA
      XLUUBYHXSXKUUAUPXHYGXJXAUQURXJXAXHYGUQUHUSUTVAVBVDVEVFVAVBVGVHXPXHXDTZXOR
      ZFSYEXOFXDVIUUDYDFUUCXRXOYCXCXRDXHFVJWSXHPXBXQEAWSXHXAVKVLVNXNYBXIXCXTXMG
      DWSXJPXBXSEAWSXJXAVKVLVMVOVPVQVRVSXDFGVTWAXGXEXGEAXAWBXEEAWCEDAXAWTEVJWDW
      FWEWGWH $.
      $( [11-Aug-2004] $)

    $( The union of a chain (with respect to inclusion) of one-to-one functions
       is a one-to-one function. $)
    fun11uni $p |- ( A. f e. A ( ( Fun f /\ Fun `' f ) /\
                   A. g e. A ( f C_ g \/ g C_ f ) ) ->
                   ( Fun U. A /\ Fun `' U. A ) ) $=
      ( cv wfun ccnv wa wo wral cuni simpl anim1i ralimi fununi simpr funcnvuni
      wss syl jca ) BDZEZTFEZGZTCDZQUDTQHCAIZGZBAIZAJZEZUHFEZUGUAUEGZBAIUIUFUKB
      AUCUAUEUAUBKLMABCNRUGUBUEGZBAIUJUFULBAUCUBUEUAUBOLMABCPRS $.
      $( [11-Aug-2004] $)
  $}

  ${
    $d x y F $.  $d x y G $.
    $( The intersection with a function is a function.  Exercise 14(a) of
       [Enderton] p. 53.  (The proof was shortened by Andrew Salmon,
       17-Sep-2011.) $)
    funin $p |- ( Fun F -> Fun ( F i^i G ) ) $=
      ( cin wss wfun wi inss1 funss ax-mp ) ABCZADAEJEFABGJAHI $.
      $( [18-Sep-2011] $) $( [19-Mar-2004] $)
  $}

  $( The restriction of a one-to-one function is one-to-one. $)
  funres11 $p |- ( Fun `' F -> Fun `' ( F |` A ) ) $=
    ( cres wss ccnv wfun wi resss cnvss funss mp2b ) BACZBDLEZBEZDNFMFGBAHLBIMN
    JK $.
    $( [25-Mar-1998] $)

  $( The converse of a restricted function. $)
  funcnvres $p |- ( Fun `' F -> `' ( F |` A ) = ( `' F |` ( F " A ) ) ) $=
    ( ccnv wfun cima cres cdm dfima3 dfrn4 eqtri reseq2i wceq resss cnvss ax-mp
    crn wss funssres mpan2 syl5req ) BCZDZUABAEZFUABAFZCZGZFZUEUCUFUAUCUDPUFBAH
    UDIJKUBUEUAQZUGUELUDBQUHBAMUDBNOUAUERST $.
    $( [27-Mar-1998] $)

  $( Converse of a restricted identity function.  (Contributed by FL,
     4-Mar-2007.) $)
  cnvresid $p |- `' ( _I |` A ) = ( _I |` A ) $=
    ( cid ccnv wfun cres wceq cnvi eqcomi funi funeq mpbii ax-mp cima funcnvres
    imai reseq12i syl6eq ) BCZDZBAEZCZTFBRFZSRBGHUBBDSIBRJKLSUARBAMZETABNRBUCAG
    AOPQL $.
    $( [20-Feb-2007] $)

  $( The converse of a restriction of the converse of a function equals the
     function restricted to the image of its converse. $)
  funcnvres2 $p |- ( Fun F -> `' ( `' F |` A ) = ( F |` ( `' F " A ) ) ) $=
    ( wfun ccnv cres cima wceq funcnvcnv funcnvres syl wrel funrel dfrel2 sylib
    reseq1d eqtrd ) BCZBDZAEDZRDZRAFZEZBUAEQTCSUBGBHARIJQTBUAQBKTBGBLBMNOP $.
    $( [4-May-2005] $)

  $( The image of the preimage of a function. $)
  funimacnv $p |- ( Fun F -> ( F " ( `' F " A ) ) = ( A i^i ran F ) ) $=
    ( wfun ccnv cima cres crn cin funcnvres2 rneqd dfima3 syl6reqr dfrn4 ineq2i
    cdm dmres df-dm 3eqtr2ri syl6eq ) BCZBBDZAEZEZUAAFZDZGZABGZHZTUFBUBFZGUCTUE
    UIABIJBUBKLUHAUAOZHUDOUFUGUJABMNUAAPUDQRS $.
    $( [25-May-2004] $)

  $( A kind of contraposition law that infers a subclass of an image from a
     preimage subclass. $)
  funimass1 $p |- ( ( Fun F /\ A C_ ran F ) ->
                 ( ( `' F " A ) C_ B -> A C_ ( F " B ) ) ) $=
    ( ccnv cima wss wfun crn wa imass2 funimacnv wceq dfss biimpi eqcomd sseq1d
    cin sylan9eq syl5ib ) CDAEZBFCTEZCBEZFCGZACHZFZIZAUBFTBCJUFUAAUBUCUEUAAUDQZ
    AACKUEAUGUEAUGLAUDMNORPS $.
    $( [25-May-2004] $)

  $( A kind of contraposition law that infers an image subclass from a subclass
     of a preimage. $)
  funimass2 $p |- ( ( Fun F /\ A C_ ( `' F " B ) ) -> ( F " A ) C_ B ) $=
    ( ccnv cima wss wfun imass2 crn cin funimacnv sseq2d inss1 sstr2 mpi syl6bi
    imp sylan2 ) ACDBEZFCGZCAEZCSEZFZUABFZASCHTUCUDTUCUABCIZJZFZUDTUBUFUABCKLUG
    UFBFUDBUEMUAUFBNOPQR $.
    $( [4-May-2007] $) $( [25-May-2004] $)

  ${
    $d x y A $.  $d x y B $.  $d x y F $.
    $( The image of a difference is the difference of images. $)
    imadif $p |- ( Fun `' F ->
                 ( F " ( A \ B ) ) = ( ( F " A ) \ ( F " B ) ) ) $=
      ( vy vx cdif cima cv wcel wn wa wbr wex exbii wi wmo sylib bitri elima2
      wo ccnv wfun anandir 19.40 sylbi ax-17 hbe1 hban funmo brcnv mobii mopick
      wal sylan con2d imnan alrimi exancom alnex 3imtr3g anim2d 19.29r sylan2br
      ex syl5 andi ianor anbi2i an32 pm3.24 intnan anass biorfi 3bitr4i impbid1
      mtbir eldif anbi1i notbii anbi12i 3bitr4g eqrdv ) CUAZUBZDCABFZGZCAGZCBGZ
      FZWDEHZAIZWJBIZJZKZWJDHZCLZKZEMZWKWPKZEMZWLWPKZEMZJZKZWOWFIZWOWIIZWDWRXDW
      RWTWMWPKZEMZKZWDXDWRWSXGKZEMXIWQXJEWKWMWPUCNWSXGEUDUEWDXHXCWTWDWPWMKZEMZX
      AJZEUMZXHXCWDXLXNWDXLKZXMEWDXLEWDEUFXKEUGUHXOWLWPJZOXMXOWPWLWDWPEPZXLWPWM
      OWDWOWJWCLZEPXQDEWCUIXRWPEWOWJCUJUKQWPWMEULUNUOWLWPUPQUQVDWPWMEURXAEUSZUT
      VAVEXDWSXMKZEMZWRXCWTXNYAXSWSXMEVBVCXTWQEWSWMXPTZKWSWMKZWSXPKZTZXTWQWSWMX
      PVFXMYBWSWLWPVGVHWQYCYEWKWMWPVIYDYCYDWKWPXPKZKYFWKWPVJVKWKWPXPVLVPVMRVNNQ
      VOXEWJWEIZWPKZEMWREWOCWESYHWQEYGWNWPWJABVQVRNRXFWOWGIZWOWHIZJZKXDWOWGWHVQ
      YIWTYKXCEWOCASYJXBEWOCBSVSVTRWAWB $.
      $( [24-May-1998] $)
  $}

  $( The image of an intersection is the intersection of images.  (Contributed
     by Paul Chapman, 11-Apr-2009.) $)
  imain $p |- ( Fun `' F ->
                ( F " ( A i^i B ) ) = ( ( F " A ) i^i ( F " B ) ) ) $=
    ( ccnv wfun cdif cima cin imadif difeq2d eqtrd dfin4 imaeq2i 3eqtr4g ) CDEZ
    CAABFZFZGZCAGZSCBGZFZFZCABHZGSTHORSCPGZFUBAPCIOUDUASABCIJKUCQCABLMSTLN $.
    $( [11-Apr-2009] $)

  $( Equality theorem for function predicate with domain. $)
  fneq1 $p |- ( F = G -> ( F Fn A <-> G Fn A ) ) $=
    ( wceq wfun cdm wa wfn funeq dmeq eqeq1d anbi12d df-fn 3bitr4g ) BCDZBEZBFZ
    ADZGCEZCFZADZGBAHCAHOPSRUABCIOQTABCJKLBAMCAMN $.
    $( [1-Aug-1994] $)

  $( Equality theorem for function predicate with domain. $)
  fneq2 $p |- ( A = B -> ( F Fn A <-> F Fn B ) ) $=
    ( wceq wfun cdm wa wfn eqeq2 anbi2d df-fn 3bitr4g ) ABDZCEZCFZADZGNOBDZGCAH
    CBHMPQNABOIJCAKCBKL $.
    $( [1-Aug-1994] $)

  ${
    fneq1d.1 $e |- ( ph -> F = G ) $.
    $( Equality deduction for function predicate with domain.  (Contributed by
       Paul Chapman, 22-Jun-2011.) $)
    fneq1d $p |- ( ph -> ( F Fn A <-> G Fn A ) ) $=
      ( wceq wfn wb fneq1 syl ) ACDFCBGDBGHEBCDIJ $.
      $( [4-Sep-2011] $) $( [22-Jun-2011] $)
  $}

  ${
    fneq2d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for function predicate with domain.  (Contributed by
       Paul Chapman, 22-Jun-2011.) $)
    fneq2d $p |- ( ph -> ( F Fn A <-> F Fn B ) ) $=
      ( wceq wfn wb fneq2 syl ) ABCFDBGDCGHEBCDIJ $.
      $( [4-Sep-2011] $) $( [22-Jun-2011] $)
  $}

  ${
    fneq12d.1 $e |- ( ph -> F = G ) $.
    fneq12d.2 $e |- ( ph -> A = B ) $.
    $( Equality deduction for function predicate with domain. $)
    fneq12d $p |- ( ph -> ( F Fn A <-> G Fn B ) ) $=
      ( wfn fneq1d fneq2d bitrd ) ADBHEBHECHABDEFIABCEGJK $.
      $( [26-Jun-2011] $)
  $}

  ${
    fneq1i.1 $e |- F = G $.
    $( Equality inference for function predicate with domain.  (Contributed by
       Paul Chapman, 22-Jun-2011.) $)
    fneq1i $p |- ( F Fn A <-> G Fn A ) $=
      ( wceq wfn wb fneq1 ax-mp ) BCEBAFCAFGDABCHI $.
      $( [4-Sep-2011] $) $( [22-Jun-2011] $)
  $}

  ${
    fneq2i.1 $e |- A = B $.
    $( Equality inference for function predicate with domain. $)
    fneq2i $p |- ( F Fn A <-> F Fn B ) $=
      ( wceq wfn wb fneq2 ax-mp ) ABECAFCBFGDABCHI $.
      $( [4-Sep-2011] $)
  $}

  ${
    $d y F $.  $d y A $.  $d x y $.
    hbfn.1 $e |- ( y e. F -> A. x y e. F ) $.
    hbfn.2 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for a function with domain. $)
    hbfn $p |- ( F Fn A -> A. x F Fn A ) $=
      ( wfn wfun cdm wceq wa df-fn hbfun hbdm hbeq hban hbxfrbi ) DCGDHZDIZCJZK
      ADCLRTAABDEMABBSCABDENFOPQ $.
      $( [30-Jan-2004] $)
  $}

  $( A function with domain is a function. $)
  fnfun $p |- ( F Fn A -> Fun F ) $=
    ( wfn wfun cdm wceq df-fn simplbi ) BACBDBEAFBAGH $.
    $( [1-Aug-1994] $)

  $( A function with domain is a relation. $)
  fnrel $p |- ( F Fn A -> Rel F ) $=
    ( wfn wfun wrel fnfun funrel syl ) BACBDBEABFBGH $.
    $( [1-Aug-1994] $)

  $( The domain of a function. $)
  fndm $p |- ( F Fn A -> dom F = A ) $=
    ( wfn wfun cdm wceq df-fn simprbi ) BACBDBEAFBAGH $.
    $( [2-Aug-1994] $)

  ${
    funfni.1 $e |- ( ( Fun F /\ B e. dom F ) -> ph ) $.
    $( Inference to convert a function and domain antecedent. $)
    funfni $p |- ( ( F Fn A /\ B e. A ) -> ph ) $=
      ( wfn wcel wa wfun cdm fnfun adantr fndm eleq2d biimpar syl2anc ) DBFZCBG
      ZHDIZCDJZGZAQSRBDKLQUARQTBCBDMNOEP $.
      $( [22-Apr-2004] $)
  $}

  $( A function has a unique domain. $)
  fndmu $p |- ( ( F Fn A /\ F Fn B ) -> A = B ) $=
    ( wfn cdm fndm sylan9req ) CADCBDACEBACFBCFG $.
    $( [11-Aug-1994] $)

  $( The first argument of binary relation on a function belongs to the
     function's domain. $)
  fnbr $p |- ( ( F Fn A /\ B F C ) -> B e. A ) $=
    ( wfn cdm wceq wbr wcel fndm wa breldm adantl simpl eleqtrd sylan ) DAEDFZA
    GZBCDHZBAIADJRSKBQASBQIRBCDLMRSNOP $.
    $( [7-May-2004] $)

  $( The first argument of an ordered pair in a function belongs to the
     function's domain. $)
  fnop $p |- ( ( F Fn A /\ <. B , C >. e. F ) -> B e. A ) $=
    ( cop wcel wfn wbr df-br fnbr sylan2br ) BCEDFDAGBCDHBAFBCDIABCDJK $.
    $( [25-Mar-2007] $) $( [8-Aug-1994] $)

  ${
    $d x y F $.  $d x y B $.  $d x A $.
    $( There is exactly one value of a function.  (The proof was shortened by
       Andrew Salmon, 17-Sep-2011.) $)
    fneu $p |- ( ( F Fn A /\ B e. A ) -> E! y B F y ) $=
      ( vx cv wbr weu cdm wcel wfun wceq breq1 eubidv imbi2d wex eldm wmo funmo
      wi exmoeu2 syl5ib sylbi vtoclga impcom funfni ) CAFZDGZAHZBCDCDIZJDKZUIUK
      EFZUGDGZAHZTZUKUITECUJULCLZUNUIUKUPUMUHAULCUGDMNOULUJJUMAPZUOAULDQUKUMARU
      QUNEADSUMAUAUBUCUDUEUF $.
      $( [18-Sep-2011] $) $( [22-Apr-2004] $)

    $( There is exactly one value of a function. $)
    fneu2 $p |- ( ( F Fn A /\ B e. A ) -> E! y <. B , y >. e. F ) $=
      ( wfn wcel wa cv wbr weu cop fneu df-br eubii sylib ) DBECBFGCAHZDIZAJCPK
      DFZAJABCDLQRACPDMNO $.
      $( [7-Nov-1995] $)
  $}

  $( The union of two functions with disjoint domains. $)
  fnun $p |- ( ( ( F Fn A /\ G Fn B ) /\ ( A i^i B ) = (/) ) ->
             ( F u. G ) Fn ( A u. B ) ) $=
    ( wfn wa cin c0 wceq cun wfun cdm wi df-fn ineq12 eqeq1d funun syl6bir dmun
    anbi2d uneq12 syl5eq jctird syl6ibr exp3a impcom an4s syl2anb imp ) CAEZDBE
    ZFABGZHIZCDJZABJZEZUJCKZCLZAIZFDKZDLZBIZFUMUPMZUKCANDBNUQUTUSVBVCUSVBFZUQUT
    FZVCVDVEUMUPVDVEUMFZUNKZUNLZUOIZFUPVDVFVGVIVDVFVEURVAGZHIZFVGVDVKUMVEVDVJUL
    HURAVABOPTCDQRVDVHURVAJUOCDSURAVABUAUBUCUNUONUDUEUFUGUHUI $.
    $( [22-Sep-2004] $)

  ${
    fnunop.x $e |- X e. _V $.
    fnunop.y $e |- Y e. _V $.
    fnunop.f $e |- F Fn D $.
    fnunop.g $e |- G = ( F u. { <. X , Y >. } ) $.
    fnunop.e $e |- E = ( D u. { X } ) $.
    fnunop.d $e |- -. X e. D $.
    $( Extension of a function with a new ordered pair. $)
    fnunsn $p |- G Fn E $=
      ( wfn cop csn cun wa cin c0 mpbir wceq fnsn pm3.2i wcel disjsn fnun mp2an
      wn fneq1i fneq2i bitri ) DBMZCEFNOZPZAEOZPZMZCAMZUMUOMZQAUORSUAZUQURUSIEF
      GHUBUCUTEAUDUHLAEUETAUOCUMUFUGULUNBMUQBDUNJUIBUPUNKUJUKT $.
      $( [28-Sep-2013] $)
  $}

  $( Composition of two functions. $)
  fnco $p |- ( ( F Fn A /\ G Fn B /\ ran G C_ A ) -> ( F o. G ) Fn B ) $=
    ( wfn crn wss w3a ccom wfun cdm wceq fnfun funco syl2an 3adant3 fndm sseq2d
    wa biimpar dmcosseq syl 3adant2 3ad2ant2 eqtrd df-fn sylanbrc ) CAEZDBEZDFZ
    AGZHZCDIZJZUMKZBLUMBEUHUIUNUKUHCJDJUNUIACMBDMCDNOPULUODKZBUHUKUOUPLZUIUHUKS
    UJCKZGZUQUHUSUKUHURAUJACQRTCDUAUBUCUIUHUPBLUKBDQUDUEUMBUFUG $.
    $( [22-May-2006] $)

  $( A function does not change when restricted to its domain. $)
  fnresdm $p |- ( F Fn A -> ( F |` A ) = F ) $=
    ( wfn wrel cdm wss cres wceq fnrel fndm eqimss syl relssres syl2anc ) BACZB
    DBEZAFZBAGBHABIOPAHQABJPAKLBAMN $.
    $( [5-Sep-2004] $)

  $( A function restricted to a class disjoint with its domain is empty. $)
  fnresdisj $p |- ( F Fn A -> ( ( A i^i B ) = (/) <-> ( F |` B ) = (/) ) ) $=
    ( cres c0 wceq cdm wfn wrel wb relres reldm0 ax-mp dmres incom eqtri ineq1d
    cin fndm syl5eq eqeq1d syl5rbb ) CBDZEFZUCGZEFZCAHZABRZEFUCIUDUFJCBKUCLMUGU
    EUHEUGUECGZBRZUHUEBUIRUJCBNBUIOPUGUIABACSQTUAUB $.
    $( [23-Sep-2004] $)

  $( Membership in two functions restricted by each other's domain. $)
  2elresin $p |- ( ( F Fn A /\ G Fn B ) ->
                 ( ( <. x , y >. e. F /\ <. x , z >. e. G ) <->
                   ( <. x , y >. e. ( F |` ( A i^i B ) ) /\
                     <. x , z >. e. ( G |` ( A i^i B ) ) ) ) ) $=
    ( wfn wa cv cop wcel cin cres fnop anim12i opelres simplbi2com resss sseli
    wi an4 elin 3imtr4i anim12d syl ex pm2.43d impbid1 ) FDHZGEHZIZAJZBJZKZFLZU
    MCJZKZGLZIZUOFDEMZNZLZURGVANZLZIZULUTVFULUTUTVFUAZULUTIZUMVALZVGUJUPIZUKUSI
    ZIUMDLZUMELZIVHVIVJVLVKVMDUMUNFOEUMUQGOPUJUKUPUSUBUMDEUCUDVIUPVCUSVEVCUPVIU
    MUNFVAQRVEUSVIUMUQGVAQRUEUFUGUHVCUPVEUSVBFUOFVASTVDGURGVASTPUI $.
    $( [8-Aug-1994] $)

  $( Restriction of a function with a subclass of its domain. $)
  fnssresb $p |- ( F Fn A -> ( ( F |` B ) Fn B <-> B C_ A ) ) $=
    ( cres wfn wfun cdm wceq wa wss df-fn fnfun funres biantrurd ssdmres sseq2d
    syl fndm syl5bbr bitr3d syl5bb ) CBDZBEUBFZUBGBHZIZCAEZBAJZUBBKUFUDUEUGUFUC
    UDUFCFUCACLBCMQNUDBCGZJUFUGBCOUFUHABACRPSTUA $.
    $( [10-Oct-2007] $)

  $( Restriction of a function with a subclass of its domain. $)
  fnssres $p |- ( ( F Fn A /\ B C_ A ) -> ( F |` B ) Fn B ) $=
    ( wfn cres wss fnssresb biimpar ) CADCBEBDBAFABCGH $.
    $( [25-Sep-2004] $) $( [2-Aug-1994] $)

  $( Restriction of a function's domain with an intersection. $)
  fnresin1 $p |- ( F Fn A -> ( F |` ( A i^i B ) ) Fn ( A i^i B ) ) $=
    ( wfn cin wss cres inss1 fnssres mpan2 ) CADABEZAFCKGKDABHAKCIJ $.
    $( [9-Aug-1994] $)

  $( Restriction of a function's domain with an intersection. $)
  fnresin2 $p |- ( F Fn A -> ( F |` ( B i^i A ) ) Fn ( B i^i A ) ) $=
    ( wfn cin wss cres inss2 fnssres mpan2 ) CADBAEZAFCKGKDBAHAKCIJ $.
    $( [9-Aug-1994] $)

  $( Functionality and domain of restricted identity. $)
  fnresi $p |- ( _I |` A ) Fn A $=
    ( cid cres wfn wfun cdm wceq funi funres ax-mp dmresi df-fn mpbir2an ) BACZ
    ADNEZNFAGBEOHABIJAKNALM $.
    $( [27-Aug-2004] $)

  $( The image of a function's domain is its range.  (The proof was shortened
     by Andrew Salmon, 17-Sep-2011.) $)
  fnima $p |- ( F Fn A -> ( F " A ) = ran F ) $=
    ( wfn cima cres crn dfima3 fnresdm rneqd syl5eq ) BACZBADBAEZFBFBAGKLBABHIJ
    $.
    $( [18-Sep-2011] $) $( [4-Nov-2004] $)

  ${
    $d x y F $.
    $( A function with empty domain is empty.  (The proof was shortened by
       Andrew Salmon, 17-Sep-2011.) $)
    fn0 $p |- ( F Fn (/) <-> F = (/) ) $=
      ( wfn wceq wrel cdm fnrel fndm reldm0 biimpar syl2anc wfun fun0 dm0 df-fn
      c0 mpbir2an fneq1 mpbiri impbii ) AOBZAOCZTADZAEOCZUAOAFOAGUBUAUCAHIJUATO
      OBZUDOKOEOCLMOONPOAOQRS $.
      $( [18-Sep-2011] $) $( [15-Apr-1998] $)
  $}

  $( A class that is disjoint with the domain of a function has an empty image
     under the function.  (Contributed by FL, 24-Jan-2007.) $)
  fnimadisj $p |- ( ( F Fn A /\ ( A i^i C ) = (/) ) -> ( F " C ) = (/) ) $=
    ( wfn cin c0 wceq wa cdm cima fndm ineq1d eqeq1d biimpar imadisj sylibr ) C
    ADZABEZFGZHCIZBEZFGZCBJFGQUBSQUARFQTABACKLMNCBOP $.
    $( [23-Jan-2007] $)

  ${
    $d y z A $.  $d y z B $.  $d x y z $.
    iunfopab.1 $e |- B e. _V $.
    $( Two ways to express a function as a class of ordered pairs.  (The proof
       was shortened by Andrew Salmon, 17-Sep-2011.)  (Unnecessary distinct
       variable restrictions were removed by David Abernethy, 19-Sep-2011.) $)
    iunfopab $p |- U_ x e. A { <. x , B >. }
                    = { <. x , y >. | ( x e. A /\ y = B ) } $=
      ( vz cv cop csn wcel wrex cab wceq wa wex ciun copab df-rex vex exbii
      elsn anbi2i opeq2 eqeq2d anbi2d ceqsexv an13 3bitr2i bitri df-iun df-opab
      abbii 3eqtr4i ) FGZAGZDHZIZJZACKZFLUNUOBGZHZMZUOCJZUTDMZNZNZBOZAOZFLACUQP
      VEABQUSVHFUSVCURNZAOVHURACRVIVGAVIVCUNUPMZNZVDVCVBNZNZBOVGURVJVCUNUPFSUAU
      BVLVKBDEVDVBVJVCVDVAUPUNUTDUOUCUDUEUFVMVFBVDVCVBUGTUHTUIULAFCUQUJVEABFUKU
      M $.
      $( [19-Dec-2008] $)
  $}

  ${
    $d x y z A $.  $d z F $.  $d x y z w $.
    fnopabg.1 $e |- F = { <. x , y >. | ( x e. A /\ ph ) } $.
    $( Functionality and domain of an ordered-pair class abstraction. $)
    fnopabg $p |- ( A. x e. A E! y ph <-> F Fn A ) $=
      ( vz vw weu wral wfn cv wcel wa wceq wmo wi sylibr syl ax-17 wfun cdm wal
      copab hbra1 ra4 eumo imim2i moanimv alrimi funopab wex euex dmopab3 sylib
      ralimi df-fn sylanbrc fneq1i hbopab1 hbxfreq hbfn cop fneu2 hbopab2 opeq2
      hbel eleq1d cbveu eleq2i opabid bitri eubii euanv simprbi ralrimi impbii
      ex ) ACIZBDJZEDKZVTBLZDMZANZBCUDZDKZWAVTWEUAZWEUBDOZWFVTWDCPZBUCWGVTWIBVS
      BDUEVTWCVSQZWIVSBDUFWJWCACPZQWIVSWKWCACUGUHWCACUIRSUJWDBCUKRVTACULZBDJWHV
      SWLBDACUMUPABCDUNUOWEDUQURDEWEFUSRWAVSBDBGDEBGEWEFWDBCGUTVAGLZDMBTVBWAWCV
      SWAWCNZWBCLZVCZEMZCIZVSWNWBWMVCZEMZGIWRGDWBEVDWTWQGCCHGWSEHLWSMCTCGEWEFWD
      BCGVEVAVGWQGTWMWOOWSWPEWMWOWBVFVHVIUOWRWCVSWRWDCIWCVSNWQWDCWQWPWEMWDEWEWP
      FVJWDBCVKVLVMWCACVNVLVOSVRVPVQ $.
      $( [30-Jan-2004] $)
  $}

  ${
    $d x y A $.  $d y B $.
    fnopab2g.1 $e |- F = { <. x , y >. | ( x e. A /\ y = B ) } $.
    $( Functionality and domain of an ordered-pair class abstraction. $)
    fnopab2g $p |- ( A. x e. A B e. _V <-> F Fn A ) $=
      ( cvv wcel wral cv wceq weu wfn eueq ralbii fnopabg bitri ) DGHZACIBJDKZB
      LZACIECMRTACBDNOSABCEFPQ $.
      $( [23-Mar-2006] $)
  $}

  ${
    $d x y A $.
    fnopab.1 $e |- ( x e. A -> E! y ph ) $.
    fnopab.2 $e |- F = { <. x , y >. | ( x e. A /\ ph ) } $.
    $( Functionality and domain of an ordered-pair class abstraction. $)
    fnopab $p |- F Fn A $=
      ( weu wral wfn rgen fnopabg mpbi ) ACHZBDIEDJNBDFKABCDEGLM $.
      $( [5-Mar-1996] $)
  $}

  ${
    $d x y A $.  $d y B $.
    fnopab2.1 $e |- B e. _V $.
    fnopab2.2 $e |- F = { <. x , y >. | ( x e. A /\ y = B ) } $.
    $( Functionality and domain of an ordered-pair class abstraction. $)
    fnopab2 $p |- F Fn A $=
      ( cv wceq weu wcel eueq1 a1i fnopab ) BHDIZABCEOBJAHCKBDFLMGN $.
      $( [29-Jan-2004] $)

    $( Domain of an ordered-pair class abstraction that specifies a
       function. $)
    dmopab2 $p |- dom F = A $=
      ( wfn cdm wceq fnopab2 fndm ax-mp ) ECHEICJABCDEFGKCELM $.
      $( [6-Sep-2005] $)
  $}

  $( Equality theorem for functions. $)
  feq1 $p |- ( F = G -> ( F : A --> B <-> G : A --> B ) ) $=
    ( wceq wfn crn wss wa wf fneq1 rneq sseq1d anbi12d df-f 3bitr4g ) CDEZCAFZC
    GZBHZIDAFZDGZBHZIABCJABDJQRUATUCACDKQSUBBCDLMNABCOABDOP $.
    $( [1-Aug-1994] $)

  $( Equality theorem for functions. $)
  feq2 $p |- ( A = B -> ( F : A --> C <-> F : B --> C ) ) $=
    ( wceq wfn crn wss wa wf fneq2 anbi1d df-f 3bitr4g ) ABEZDAFZDGCHZIDBFZQIAC
    DJBCDJOPRQABDKLACDMBCDMN $.
    $( [1-Aug-1994] $)

  $( Equality theorem for functions. $)
  feq3 $p |- ( A = B -> ( F : C --> A <-> F : C --> B ) ) $=
    ( wceq wfn crn wss wa wf sseq2 anbi2d df-f 3bitr4g ) ABEZDCFZDGZAHZIPQBHZIC
    ADJCBDJORSPABQKLCADMCBDMN $.
    $( [1-Aug-1994] $)

  $( Equality theorem for functions.  (Contributed by FL, 14-Jul-2007.)  (The
     proof was shortened by Andrew Salmon, 17-Sep-2011.) $)
  feq23 $p |- ( ( A = C /\ B = D ) -> ( F : A --> B <-> F : C --> D ) ) $=
    ( wceq wf feq2 feq3 sylan9bb ) ACFABEGCBEGBDFCDEGACBEHBDCEIJ $.
    $( [18-Sep-2011] $) $( [14-Jul-2007] $)

  ${
    feq1d.1 $e |- ( ph -> F = G ) $.
    $( Equality deduction for functions. $)
    feq1d $p |- ( ph -> ( F : A --> B <-> G : A --> B ) ) $=
      ( wceq wf wb feq1 syl ) ADEGBCDHBCEHIFBCDEJK $.
      $( [19-Feb-2008] $)
  $}

  ${
    feq2d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for functions.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    feq2d $p |- ( ph -> ( F : A --> C <-> F : B --> C ) ) $=
      ( wceq wf wb feq2 syl ) ABCGBDEHCDEHIFBCDEJK $.
      $( [4-Sep-2011] $) $( [22-Jun-2011] $)
  $}

  ${
    feq12d.1 $e |- ( ph -> F = G ) $.
    feq12d.2 $e |- ( ph -> A = B ) $.
    $( Equality deduction for functions.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    feq12d $p |- ( ph -> ( F : A --> C <-> G : B --> C ) ) $=
      ( wf feq1d feq2d bitrd ) ABDEIBDFICDFIABDEFGJABCDFHKL $.
      $( [22-Jun-2011] $)
  $}

  ${
    feq1i.1 $e |- F = G $.
    $( Equality inference for functions.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    feq1i $p |- ( F : A --> B <-> G : A --> B ) $=
      ( wceq wf wb feq1 ax-mp ) CDFABCGABDGHEABCDIJ $.
      $( [4-Sep-2011] $) $( [22-Jun-2011] $)
  $}

  ${
    feq2i.1 $e |- A = B $.
    $( Equality inference for functions. $)
    feq2i $p |- ( F : A --> C <-> F : B --> C ) $=
      ( wceq wf wb feq2 ax-mp ) ABFACDGBCDGHEABCDIJ $.
      $( [5-Sep-2011] $)
  $}

  ${
    feq23i.1 $e |- A = C $.
    feq23i.2 $e |- B = D $.
    $( Equality inference for functions.  (Contributed by Paul Chapman,
       22-Jun-2011.) $)
    feq23i $p |- ( F : A --> B <-> F : C --> D ) $=
      ( wceq wf wb feq23 mp2an ) ACHBDHABEICDEIJFGABCDEKL $.
      $( [22-Jun-2011] $)
  $}

  ${
    feq23d.1 $e |- ( ph -> A = C ) $.
    feq23d.2 $e |- ( ph -> B = D ) $.
    $( Equality deduction for functions. $)
    feq23d $p |- ( ph -> ( F : A --> B <-> F : C --> D ) ) $=
      ( wceq wf wb feq23 syl2anc ) ABDICEIBCFJDEFJKGHBCDEFLM $.
      $( [8-Jun-2013] $)
  $}

  ${
    $d y F $.  $d y A $.  $d y B $.  $d x y $.
    hbf.1 $e |- ( y e. F -> A. x y e. F ) $.
    hbf.2 $e |- ( y e. A -> A. x y e. A ) $.
    hbf.3 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for a mapping. $)
    hbf $p |- ( F : A --> B -> A. x F : A --> B ) $=
      ( wf wfn crn wss wa df-f hbfn hbrn hbss hban hbxfrbi ) CDEIECJZEKZDLZMACD
      ENTUBAABCEFGOABUADABEFPHQRS $.
      $( [29-Jan-2004] $)
  $}

  ${
    elimf.1 $e |- G : A --> B $.
    $( Eliminate a mapping hypothesis for the weak deduction theorem ~ dedth ,
       when a special case ` G : A --> B ` is provable, in order to convert
       ` F : A --> B ` from a hypothesis to an antecedent. $)
    elimf $p |- if ( F : A --> B , F , G ) : A --> B $=
      ( wf cif feq1 elimhyp ) ABCFZABJCDGZFABDFCDABCKHABDKHEI $.
      $( [24-Aug-2006] $)
  $}

  $( A mapping is a function. $)
  ffn $p |- ( F : A --> B -> F Fn A ) $=
    ( wf wfn crn wss df-f simplbi ) ABCDCAECFBGABCHI $.
    $( [2-Aug-1994] $)

  $( Any function is a mapping into ` _V ` .  (The proof was shortened by
     Andrew Salmon, 17-Sep-2011.) $)
  dffn2 $p |- ( F Fn A <-> F : A --> _V ) $=
    ( wfn crn cvv wss wa wf ssv biantru df-f bitr4i ) BACZMBDZEFZGAEBHOMNIJAEBK
    L $.
    $( [18-Sep-2011] $) $( [31-Oct-1995] $)

  $( A mapping is a function. $)
  ffun $p |- ( F : A --> B -> Fun F ) $=
    ( wf wfn wfun ffn fnfun syl ) ABCDCAECFABCGACHI $.
    $( [3-Aug-1994] $)

  $( A mapping is a relation. $)
  frel $p |- ( F : A --> B -> Rel F ) $=
    ( wf wfn wrel ffn fnrel syl ) ABCDCAECFABCGACHI $.
    $( [3-Aug-1994] $)

  $( The domain of a mapping. $)
  fdm $p |- ( F : A --> B -> dom F = A ) $=
    ( wf wfn cdm wceq ffn fndm syl ) ABCDCAECFAGABCHACIJ $.
    $( [2-Aug-1994] $)

  ${
    fdmi.1 $e |- F : A --> B $.
    $( The domain of a mapping. $)
    fdmi $p |- dom F = A $=
      ( wf cdm wceq fdm ax-mp ) ABCECFAGDABCHI $.
      $( [28-Jul-2008] $)
  $}

  $( The range of a mapping. $)
  frn $p |- ( F : A --> B -> ran F C_ B ) $=
    ( wf wfn crn wss df-f simprbi ) ABCDCAECFBGABCHI $.
    $( [3-Aug-1994] $)

  $( A function maps to its range. $)
  dffn3 $p |- ( F Fn A <-> F : A --> ran F ) $=
    ( wfn crn wss wa wf ssid biantru df-f bitr4i ) BACZLBDZMEZFAMBGNLMHIAMBJK
    $.
    $( [1-Sep-1999] $)

  $( Expanding the codomain of a mapping.  (The proof was shortened by Andrew
     Salmon, 17-Sep-2011.) $)
  fss $p |- ( ( F : A --> B /\ B C_ C ) -> F : A --> C ) $=
    ( wss wf wfn crn wa sstr2 com12 anim2d df-f 3imtr4g impcom ) BCEZABDFZACDFZ
    PDAGZDHZBEZISTCEZIQRPUAUBSUAPUBTBCJKLABDMACDMNO $.
    $( [18-Sep-2011] $) $( [10-May-1998] $)

  $( Composition of two mappings.  (The proof was shortened by Andrew Salmon,
     17-Sep-2011.) $)
  fco $p |- ( ( F : B --> C /\ G : A --> B ) -> ( F o. G ) : A --> C ) $=
    ( wfn crn wss wa ccom wf wi fnco 3expib adantr rncoss sstr mpan adantl df-f
    jctird imp anbi12i 3imtr4i ) DBFZDGZCHZIZEAFZEGBHZIZIDEJZAFZULGZCHZIZBCDKZA
    BEKZIACULKUHUKUPUHUKUMUOUEUKUMLUGUEUIUJUMBADEMNOUGUOUEUNUFHUGUODEPUNUFCQRSU
    AUBUQUHURUKBCDTABETUCACULTUD $.
    $( [18-Sep-2011] $) $( [29-Aug-1999] $)

  $( A mapping is a class of ordered pairs.  (The proof was shortened by Andrew
     Salmon, 17-Sep-2011.) $)
  fssxp $p |- ( F : A --> B -> F C_ ( A X. B ) ) $=
    ( wf cdm crn cxp wss wceq fdm eqimss syl xpss12 syl2anc wrel frel relssdmrn
    frn wi sstr2 3syl mpd ) ABCDZCEZCFZGZABGZHZCUGHZUCUDAHZUEBHUHUCUDAIUJABCJUD
    AKLABCRUDAUEBMNUCCOCUFHUHUISABCPCQCUFUGTUAUB $.
    $( [18-Sep-2011] $) $( [3-Aug-1994] $)

  $( Two ways of specifying a partial function from ` A ` to ` B ` . $)
  funssxp $p |- ( ( Fun F /\ F C_ ( A X. B ) ) <->
             ( F : dom F --> B /\ dom F C_ A ) ) $=
    ( wfun cxp wss wa cdm wf wfn funfn biimpi rnss rnxpss syl6ss anim12i sylibr
    crn df-f jca dmss dmxpss adantl ffun adantr fssxp xpss1 sylan9ss impbii ) C
    DZCABEZFZGZCHZBCIZUNAFZGZUMUOUPUMCUNJZCRZBFZGUOUJURULUTUJURCKLULUSUKRBCUKMA
    BNOPUNBCSQULUPUJULUNUKHACUKUAABUBOUCTUQUJULUOUJUPUNBCUDUEUOUPCUNBEUKUNBCUFU
    NABUGUHTUI $.
    $( [13-Nov-2007] $)

  $( A mapping is a partial function. $)
  ffdm $p |- ( F : A --> B -> ( F : dom F --> B /\ dom F C_ A ) ) $=
    ( wf cdm wss fdm feq2d ibir wceq eqimss syl jca ) ABCDZCEZBCDZOAFZNPNOABCAB
    CGZHINOAJQROAKLM $.
    $( [25-Nov-2007] $)

  $( The members of an ordered pair element of a mapping belong to the
     mapping's domain and codomain. $)
  opelf $p |- ( ( F : A --> B /\ <. C , D >. e. F ) ->
                ( C e. A /\ D e. B ) ) $=
    ( wf cop wcel wa cxp fssxp sseld opelxp syl6ib imp ) ABEFZCDGZEHZCAHDBHIZPR
    QABJZHSPETQABEKLCDABMNO $.
    $( [9-Jan-2015] $)

  $( The union of two functions with disjoint domains. $)
  fun $p |- ( ( ( F : A --> C /\ G : B --> D ) /\ ( A i^i B ) = (/) ) ->
             ( F u. G ) : ( A u. B ) --> ( C u. D ) ) $=
    ( cin c0 wceq wf wa cun wfn crn wss fnun expcom wi rnun df-f unss12 anim12d
    syl5eqss a1i anbi12i an4 bitri 3imtr4g impcom ) ABGHIZACEJZBDFJZKZABLZCDLZE
    FLZJZUJEAMZFBMZKZENZCOZFNZDOZKZKZUPUNMZUPNZUOOZKUMUQUJUTVGVEVIUTUJVGABEFPQV
    EVIRUJVEVHVAVCLUOEFSVACVCDUAUCUDUBUMURVBKZUSVDKZKVFUKVJULVKACETBDFTUEURVBUS
    VDUFUGUNUOUPTUHUI $.
    $( [22-Sep-2004] $)

  $( Composition of two functions. $)
  fnfco $p |- ( ( F Fn A /\ G : B --> A ) -> ( F o. G ) Fn B ) $=
    ( wf wfn crn wss wa ccom df-f fnco 3expb sylan2b ) BADECAFZDBFZDGAHZICDJBFZ
    BADKOPQRABCDLMN $.
    $( [22-May-2006] $)

  $( Restriction of a function with a subclass of its domain. $)
  fssres $p |- ( ( F : A --> B /\ C C_ A ) -> ( F |` C ) : C --> B ) $=
    ( wf wss cres wfn crn df-f fnssres resss rnss ax-mp sstr mpan anim12i an32s
    wa sylanb sylibr ) ABDEZCAFZSDCGZCHZUDIZBFZSZCBUDEUBDAHZDIZBFZSUCUHABDJUIUC
    UKUHUIUCSUEUKUGACDKUFUJFZUKUGUDDFULDCLUDDMNUFUJBOPQRTCBUDJUA $.
    $( [23-Sep-2004] $)

  $( Restriction of a restricted function with a subclass of its domain. $)
  fssres2 $p |- ( ( ( F |` A ) : A --> B /\ C C_ A ) ->
                ( F |` C ) : C --> B ) $=
    ( cres wf wss wa fssres wb resabs1 feq1d adantl mpbid ) ABDAEZFZCAGZHCBOCEZ
    FZCBDCEZFZABCOIQSUAJPQCBRTDCAKLMN $.
    $( [21-Jul-2005] $)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.
    $( Composition of a mapping and restricted identity.  (The proof was
       shortened by Andrew Salmon, 17-Sep-2011.) $)
    fcoi1 $p |- ( F : A --> B -> ( F o. ( _I |` A ) ) = F ) $=
      ( wf wfn cid cres ccom wceq ffn wfun cdm wa df-fn wss eqimss ccnv reseq1i
      cnvi syl cnveqi cnvresid eqtr2i coeq2i cores2 syl5eq wrel sylan9eqr sylbi
      funrel coi1 ) ABCDCAEZCFAGZHZCIZABCJULCKZCLZAIZMUOCANURUPUNCFHZCURUQAOZUN
      USIUQAPUTUNCFQZAGZQZHUSUMVCCVCUMQUMVBUMVAFASRUAAUBUCUDCFAUEUFTUPCUGUSCICU
      JCUKTUHUIT $.
      $( [18-Sep-2011] $) $( [13-Dec-2003] $)

    $( Composition of restricted identity and a mapping.  (The proof was
       shortened by Andrew Salmon, 17-Sep-2011.) $)
    fcoi2 $p |- ( F : A --> B -> ( ( _I |` B ) o. F ) = F ) $=
      ( wf wfn crn wss wa cid cres ccom wceq df-f cores wrel coi2 syl sylan9eqr
      fnrel sylbi ) ABCDCAEZCFBGZHIBJCKZCLABCMUBUAUCICKZCICBNUACOUDCLACSCPQRT
      $.
      $( [18-Sep-2011] $) $( [13-Dec-2003] $)
  $}

  ${
    $d y F $.  $d y A $.  $d y B $.  $d y C $.
    $( There is exactly one value of a function in its codomain. $)
    feu $p |- ( ( F : A --> B /\ C e. A ) -> E! y e. B <. C , y >. e. F ) $=
      ( wf wcel wa cv cop weu wreu wfn ffn fneu2 sylan wb opelf simprd ex mpbid
      pm4.71rd eubidv adantr df-reu sylibr ) BCEFZDBGZHZAIZCGZDUJJEGZHZAKZULACL
      UIULAKZUNUGEBMUHUOBCENABDEOPUGUOUNQUHUGULUMAUGULUKUGULUKUGULHUHUKBCDUJERS
      TUBUCUDUAULACUEUF $.
      $( [10-Dec-2003] $)
  $}

  ${
    $d x y F $.  $d x y A $.  $d x y B $.
    $( The converse of a restriction of a function. $)
    fcnvres $p |- ( F : A --> B -> `' ( F |` A ) = ( `' F |` B ) ) $=
      ( vy vx wf cres ccnv relcnv relres cv cop wa wbr wb df-br opelcnv opelres
      wcel bitri wfn ffn fnbr sylan crn wss frn brelrn syl2an sylan2br pm5.32da
      ssel2 2thd anbi1i 3bitr4g eqrelrdv ) ABCFZDECAGZHZCHZBGZURIUTBJUQEKZDKZLZ
      CSZVBASZMZVEVCBSZMZVCVBLZUSSZVJVASZUQVEVFVHVEUQVBVCCNZVFVHOVBVCCPUQVMMVFV
      HUQCAUAVMVFABCUBAVBVCCUCUDUQCUEZBUFVCVNSVHVMABCUGVBVCCUHVNBVCULUIUMUJUKVK
      VDURSVGVCVBURQVBVCCARTVLVJUTSZVHMVIVCVBUTBRVOVEVHVCVBCQUNTUOUP $.
      $( [26-Mar-1998] $)
  $}

  $( The preimage of a class disjoint with a mapping's codomain is empty.
     (Contributed by FL, 24-Jan-2007.) $)
  fimacnvdisj $p |- ( ( F : A --> B /\ ( B i^i C ) = (/) ) ->
    ( `' F " C ) = (/) ) $=
    ( wf cin c0 wceq wa ccnv cdm cima wss crn dfrn4 frn adantr syl5eqssr ssdisj
    sylancom imadisj sylibr ) ABDEZBCFGHZIZDJZKZCFGHZUFCLGHUCUDUGBMUHUEUGDNZBDO
    UCUIBMUDABDPQRUGBCSTUFCUAUB $.
    $( [23-Jan-2007] $)

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x F $.
    fint.1 $e |- B =/= (/) $.
    $( Function into an intersection.  (The proof was shortened by Andrew
       Salmon, 17-Sep-2011.) $)
    fint $p |- ( F : A --> |^| B <-> A. x e. B F : A --> x ) $=
      ( wfn crn cint wss wa cv wral wf ssint anbi2i c0 wne wb r19.28zv df-f
      ax-mp bitr4i ralbii 3bitr4i ) DBFZDGZCHZIZJZUEUFAKZIZJZACLZBUGDMBUJDMZACL
      UIUEUKACLZJZUMUHUOUEAUFCNOCPQUMUPREUEUKACSUAUBBUGDTUNULACBUJDTUCUD $.
      $( [18-Sep-2011] $) $( [14-Oct-1999] $)
  $}

  $( Mapping into an intersection.  (The proof was shortened by Andrew Salmon,
     17-Sep-2011.) $)
  fin $p |- ( F : A --> ( B i^i C ) <-> ( F : A --> B /\ F : A --> C ) ) $=
    ( wfn crn cin wss wa wf ssin anbi2i anandi bitr3i df-f anbi12i 3bitr4i ) DA
    EZDFZBCGZHZIZRSBHZIZRSCHZIZIZATDJABDJZACDJZIUBRUCUEIZIUGUJUARSBCKLRUCUEMNAT
    DOUHUDUIUFABDOACDOPQ $.
    $( [18-Sep-2011] $) $( [14-Sep-1999] $)

  $( If a mapping is a set, its domain is a set.  (The proof was shortened by
     Andrew Salmon, 17-Sep-2011.) $)
  dmfex $p |- ( ( F e. C /\ F : A --> B ) -> A e. _V ) $=
    ( wf wcel cvv cdm wceq wi fdm dmexg eleq1 syl5ib syl impcom ) ABDEZDCFZAGFZ
    QDHZAIZRSJABDKRTGFUASDCLTAGMNOP $.
    $( [18-Sep-2011] $) $( [27-Aug-2006] $)

  $( The empty function. $)
  f0 $p |- (/) : (/) --> A $=
    ( c0 wfn crn wss wfun cdm wceq fun0 dm0 df-fn mpbir2an rn0 0ss eqsstri df-f
    wf ) BABQBBCZBDZAERBFBGBHIJBBKLSBAMANOBABPL $.
    $( [14-Aug-1999] $)

  $( A class is a function with empty codomain iff it and its domain are
     empty. $)
  f00 $p |- ( F : A --> (/) <-> ( F = (/) /\ A = (/) ) ) $=
    ( c0 wf wceq wa wfn wfun cdm ffun crn wss frn ss0 syl dm0rn0 df-fn sylanbrc
    sylibr fn0 sylib fdm eqtr3d jca f0 feq1 feq2 sylan9bb mpbiri impbii ) ACBDZ
    BCEZACEZFZUKULUMUKBCGZULUKBHBIZCEZUOACBJUKBKZCEZUQUKURCLUSACBMURNOBPSZBCQRB
    TUAUKUPACACBUBUTUCUDUNUKCCCDZCUEULUKACCDUMVAACBCUFACCCUGUHUIUJ $.
    $( [10-Dec-2003] $)

  ${
    $d x y A $.  $d x y B $.
    fconst.1 $e |- B e. _V $.
    $( A cross product with a singleton is a constant function.  (The proof was
       shortened by Andrew Salmon, 17-Sep-2011.) $)
    fconst $p |- ( A X. { B } ) : A --> { B } $=
      ( vx vy csn cxp wf wfn crn wss fconstopab fnopab2 rnxpss df-f mpbir2an )
      ABFZAQGZHRAIRJQKDEABRCDEABLMAQNAQROP $.
      $( [18-Sep-2011] $) $( [14-Aug-1999] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( A cross product with a singleton is a constant function. $)
    fconstg $p |- ( B e. V -> ( A X. { B } ) : A --> { B } ) $=
      ( vx cv csn cxp wf wceq sneq xpeq2d feq1 feq3 sylan9bb syl2anc vex fconst
      wb vtoclg ) ADEZFZAUAGZHZABFZAUDGZHZDBCTBIZUBUEIZUAUDIZUCUFRUGUAUDATBJZKU
      JUHUCAUAUEHUIUFAUAUBUELUAUDAUEMNOATDPQS $.
      $( [19-Oct-2004] $)
    $( A cross product with a singleton is a constant function. $)
    fnconstg $p |- ( B e. V -> ( A X. { B } ) Fn A ) $=
      ( wcel csn cxp wf wfn fconstg ffn syl ) BCDABEZALFZGMAHABCIALMJK $.
      $( [24-Jul-2014] $)
  $}

  $( Equality theorem for one-to-one functions. $)
  f1eq1 $p |- ( F = G -> ( F : A -1-1-> B <-> G : A -1-1-> B ) ) $=
    ( wceq wf ccnv wfun wa wf1 feq1 cnveq funeqd anbi12d df-f1 3bitr4g ) CDEZAB
    CFZCGZHZIABDFZDGZHZIABCJABDJQRUATUCABCDKQSUBCDLMNABCOABDOP $.
    $( [10-Feb-1997] $)

  $( Equality theorem for one-to-one functions. $)
  f1eq2 $p |- ( A = B -> ( F : A -1-1-> C <-> F : B -1-1-> C ) ) $=
    ( wceq wf ccnv wfun wa wf1 feq2 anbi1d df-f1 3bitr4g ) ABEZACDFZDGHZIBCDFZQ
    IACDJBCDJOPRQABCDKLACDMBCDMN $.
    $( [10-Feb-1997] $)

  $( Equality theorem for one-to-one functions. $)
  f1eq3 $p |- ( A = B -> ( F : C -1-1-> A <-> F : C -1-1-> B ) ) $=
    ( wceq wf ccnv wfun wa wf1 feq3 anbi1d df-f1 3bitr4g ) ABEZCADFZDGHZICBDFZQ
    ICADJCBDJOPRQABCDKLCADMCBDMN $.
    $( [10-Feb-1997] $)

  ${
    $d y F $.  $d y A $.  $d y B $.  $d x y $.
    hbf1.1 $e |- ( y e. F -> A. x y e. F ) $.
    hbf1.2 $e |- ( y e. A -> A. x y e. A ) $.
    hbf1.3 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for a one-to-one function. $)
    hbf1 $p |- ( F : A -1-1-> B -> A. x F : A -1-1-> B ) $=
      ( wf1 wf ccnv wfun wa df-f1 hbf hbcnv hbfun hban hbxfrbi ) CDEICDEJZEKZLZ
      MACDENTUBAABCDEFGHOABUAABEFPQRS $.
      $( [16-May-2004] $)
  $}

  ${
    $d x y F $.
    $( Alternate definition of a one-to-one function. $)
    dff12 $p |- ( F : A -1-1-> B <-> ( F : A --> B /\ A. y E* x x F y ) ) $=
      ( wf1 wf ccnv wfun wa cv wbr wmo wal df-f1 funcnv2 anbi2i bitri ) CDEFCDE
      GZEHIZJSAKBKELAMBNZJCDEOTUASABEPQR $.
      $( [22-Sep-2004] $) $( [31-Dec-1996] $)
  $}

  $( A one-to-one mapping is a mapping. $)
  f1f $p |- ( F : A -1-1-> B -> F : A --> B ) $=
    ( wf1 wf ccnv wfun df-f1 simplbi ) ABCDABCECFGABCHI $.
    $( [31-Dec-1996] $)

  $( A one-to-one mapping is a function on its domain. $)
  f1fn $p |- ( F : A -1-1-> B -> F Fn A ) $=
    ( wf1 wf wfn f1f ffn syl ) ABCDABCECAFABCGABCHI $.
    $( [8-Mar-2014] $)

  $( A one-to-one mapping is a function. $)
  f1fun $p |- ( F : A -1-1-> B -> Fun F ) $=
    ( wf1 wfn wfun f1fn fnfun syl ) ABCDCAECFABCGACHI $.
    $( [8-Mar-2014] $)

  $( A one-to-one onto mapping is a relation. $)
  f1rel $p |- ( F : A -1-1-> B -> Rel F ) $=
    ( wf1 wfn wrel f1fn fnrel syl ) ABCDCAECFABCGACHI $.
    $( [8-Mar-2014] $)

  $( The domain of a one-to-one mapping. $)
  f1dm $p |- ( F : A -1-1-> B -> dom F = A ) $=
    ( wf1 wfn cdm wceq f1fn fndm syl ) ABCDCAECFAGABCHACIJ $.
    $( [8-Mar-2014] $)

  ${
    $( A function that is one-to-one is also one-to-one on some superset of its
       range.  (Contributed by Mario Carneiro, 12-Jan-2013.) $)
    f1ss $p |- ( ( F : A -1-1-> B /\ B C_ C ) -> F : A -1-1-> C ) $=
      ( wf1 wss wa wf ccnv wfun f1f fss sylan df-f1 simprbi adantr sylanbrc ) A
      BDEZBCFZGACDHZDIJZACDERABDHZSTABDKABCDLMRUASRUBUAABDNOPACDNQ $.
      $( [12-Jan-2013] $)
  $}

  $( Two ways to express that a set ` A ` (not necessarily a function) is
     one-to-one.  Each side is equivalent to Definition 6.4(3) of
     [TakeutiZaring] p. 24, who use the notation "Un_2 (A)" for one-to-one.  We
     do not introduce a separate notation since we rarely use it. $)
  f1cnvcnv $p |- ( `' `' A : dom A -1-1-> _V
             <-> ( Fun `' A /\ Fun `' `' A ) ) $=
    ( cdm cvv ccnv wf1 wf wfun wa df-f1 wfn dffn2 wceq dmcnvcnv mpbiran2 bitr3i
    df-fn wrel relcnv dfrel2 mpbi funeqi anbi12i ancom 3bitri ) ABZCADZDZEUECUG
    FZUGDZGZHUGGZUFGZHULUKHUECUGIUHUKUJULUHUGUEJZUKUEUGKUMUKUGBUELAMUGUEPNOUIUF
    UFQUIUFLARUFSTUAUBUKULUCUD $.
    $( [13-Aug-2004] $)

  $( Composition of one-to-one functions.  Exercise 30 of [TakeutiZaring]
     p. 25. $)
  f1co $p |- ( ( F : B -1-1-> C /\ G : A -1-1-> B ) ->
              ( F o. G ) : A -1-1-> C ) $=
    ( wf ccnv wfun wa ccom wf1 fco funco cnvco funeqi sylibr anim12i an4s df-f1
    ancoms anbi12i 3imtr4i ) BCDFZDGZHZIZABEFZEGZHZIZIACDEJZFZUKGZHZIZBCDKZABEK
    ZIACUKKUCUGUEUIUOUCUGIULUEUIIUNABCDELUIUEUNUIUEIUHUDJZHUNUHUDMUMURDENOPTQRU
    PUFUQUJBCDSABESUAACUKSUB $.
    $( [28-May-1998] $)

  $( Equality theorem for onto functions. $)
  foeq1 $p |- ( F = G -> ( F : A -onto-> B <-> G : A -onto-> B ) ) $=
    ( wceq wfn crn wa wfo fneq1 rneq eqeq1d anbi12d df-fo 3bitr4g ) CDEZCAFZCGZ
    BEZHDAFZDGZBEZHABCIABDIPQTSUBACDJPRUABCDKLMABCNABDNO $.
    $( [1-Aug-1994] $)

  $( Equality theorem for onto functions. $)
  foeq2 $p |- ( A = B -> ( F : A -onto-> C <-> F : B -onto-> C ) ) $=
    ( wceq wfn crn wa wfo fneq2 anbi1d df-fo 3bitr4g ) ABEZDAFZDGCEZHDBFZPHACDI
    BCDINOQPABDJKACDLBCDLM $.
    $( [1-Aug-1994] $)

  $( Equality theorem for onto functions. $)
  foeq3 $p |- ( A = B -> ( F : C -onto-> A <-> F : C -onto-> B ) ) $=
    ( wceq wfn crn wa wfo eqeq2 anbi2d df-fo 3bitr4g ) ABEZDCFZDGZAEZHOPBEZHCAD
    ICBDINQROABPJKCADLCBDLM $.
    $( [1-Aug-1994] $)

  ${
    $d y F $.  $d y A $.  $d y B $.  $d x y $.
    hbfo.1 $e |- ( y e. F -> A. x y e. F ) $.
    hbfo.2 $e |- ( y e. A -> A. x y e. A ) $.
    hbfo.3 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for an onto function. $)
    hbfo $p |- ( F : A -onto-> B -> A. x F : A -onto-> B ) $=
      ( wfo wfn crn wceq wa df-fo hbfn hbrn hbeq hban hbxfrbi ) CDEIECJZEKZDLZM
      ACDENTUBAABCEFGOABBUADABEFPHQRS $.
      $( [16-May-2004] $)
  $}

  $( An onto mapping is a mapping. $)
  fof $p |- ( F : A -onto-> B -> F : A --> B ) $=
    ( wfn crn wceq wa wss wfo wf eqimss anim2i df-fo df-f 3imtr4i ) CADZCEZBFZG
    PQBHZGABCIABCJRSPQBKLABCMABCNO $.
    $( [3-Aug-1994] $)

  $( An onto mapping is a function. $)
  fofun $p |- ( F : A -onto-> B -> Fun F ) $=
    ( wfo wf wfun fof ffun syl ) ABCDABCECFABCGABCHI $.
    $( [29-Mar-2008] $)

  $( An onto mapping is a function on its domain. $)
  fofn $p |- ( F : A -onto-> B -> F Fn A ) $=
    ( wfo wf wfn fof ffn syl ) ABCDABCECAFABCGABCHI $.
    $( [16-Dec-2008] $)

  $( The codomain of an onto function is its range. $)
  forn $p |- ( F : A -onto-> B -> ran F = B ) $=
    ( wfo wfn crn wceq df-fo simprbi ) ABCDCAECFBGABCHI $.
    $( [3-Aug-1994] $)

  $( Alternate definition of an onto function. $)
  dffo2 $p |- ( F : A -onto-> B <-> ( F : A --> B /\ ran F = B ) ) $=
    ( wfo wf crn wceq wa fof forn jca wfn ffn df-fo biimpri sylan impbii ) ABCD
    ZABCEZCFBGZHRSTABCIABCJKSCALZTRABCMRUATHABCNOPQ $.
    $( [22-Mar-2006] $)

  $( The image of the domain of an onto function. $)
  foima $p |- ( F : A -onto-> B -> ( F " A ) = B ) $=
    ( wfo cima crn cdm imadmrn wf wceq fof fdm imaeq2 3syl syl5reqr forn eqtrd
    ) ABCDZCAEZCFZBRTCCGZEZSCHRABCIUAAJUBSJABCKABCLUAACMNOABCPQ $.
    $( [29-Nov-2002] $)

  $( A function maps onto its range. $)
  dffn4 $p |- ( F Fn A <-> F : A -onto-> ran F ) $=
    ( wfn crn wceq wa wfo eqid biantru df-fo bitr4i ) BACZLBDZMEZFAMBGNLMHIAMBJ
    K $.
    $( [10-May-1998] $)

  $( A function maps its domain onto its range. $)
  funforn $p |- ( Fun A <-> A : dom A -onto-> ran A ) $=
    ( wfun cdm wfn crn wfo funfn dffn4 bitri ) ABAACZDJAEAFAGJAHI $.
    $( [23-Jul-2004] $)

  $( An onto function has unique domain and range. $)
  fodmrnu $p |- ( ( F : A -onto-> B /\ F : C -onto-> D ) ->
                ( A = C /\ B = D ) ) $=
    ( wfo wa wceq wfn fofn fndmu syl2an crn forn sylan9req jca ) ABEFZCDEFZGACH
    ZBDHQEAIECISRABEJCDEJACEKLQRBEMDABENCDENOP $.
    $( [5-Nov-2006] $)

  $( Restriction of a function. $)
  fores $p |- ( ( Fun F /\ A C_ dom F ) ->
              ( F |` A ) : A -onto-> ( F " A ) ) $=
    ( wfun cdm wss cres cima wfo funres anim1i wfn wceq df-fn crn dfima3 eqcomi
    wa df-fo mpbiran2 ssdmres anbi2i 3bitr4i sylibr ) BCZABDEZQBAFZCZUEQZABAGZU
    FHZUDUGUEABIJUFAKZUGUFDALZQUJUHUFAMUJUKUFNZUILUIUMBAOPAUIUFRSUEULUGABTUAUBU
    C $.
    $( [4-Mar-1997] $)

  $( Composition of onto functions. $)
  foco $p |- ( ( F : B -onto-> C /\ G : A -onto-> B ) ->
             ( F o. G ) : A -onto-> C ) $=
    ( wf crn wceq ccom wfo fco ad2ant2r cdm fdm eqtr3 sylan rncoeq eqeq1d dffo2
    wa biimpar an32s adantrl jca anbi12i 3imtr4i ) BCDFZDGZCHZTZABEFZEGZBHZTZTZ
    ACDEIZFZUPGZCHZTBCDJZABEJZTACUPJUOUQUSUGUKUQUIUMABCDEKLUJUMUSUKUGUMUIUSUGUM
    TDMZULHZUIUSUGVBBHUMVCBCDNVBULBOPVCUSUIVCURUHCDEQRUAPUBUCUDUTUJVAUNBCDSABES
    UEACUPSUF $.
    $( [22-Mar-2006] $)

  $( A nonzero constant function is onto. $)
  foconst $p |- ( ( F : A --> { B } /\ F =/= (/) ) -> F : A -onto-> { B } ) $=
    ( csn wf c0 wne wa crn wceq wfo wn wrel wb frel relrn0 necon3abid syl wss
    wo frn sssn sylib ord sylbid imdistani dffo2 sylibr ) ABDZCEZCFGZHUJCIZUIJZ
    HAUICKUJUKUMUJUKULFJZLZUMUJCMZUKUONAUICOUPUNCFCPQRUJUNUMUJULUISUNUMTAUICUAU
    LBUBUCUDUEUFAUICUGUH $.
    $( [12-Jan-2007] $)

  $( Equality theorem for one-to-one onto functions. $)
  f1oeq1 $p |- ( F = G -> ( F : A -1-1-onto-> B <-> G : A -1-1-onto-> B ) ) $=
    ( wceq wf1 wfo wa wf1o f1eq1 foeq1 anbi12d df-f1o 3bitr4g ) CDEZABCFZABCGZH
    ABDFZABDGZHABCIABDIOPRQSABCDJABCDKLABCMABDMN $.
    $( [10-Feb-1997] $)

  $( Equality theorem for one-to-one onto functions. $)
  f1oeq2 $p |- ( A = B -> ( F : A -1-1-onto-> C <-> F : B -1-1-onto-> C ) ) $=
    ( wceq wf1 wfo wa wf1o f1eq2 foeq2 anbi12d df-f1o 3bitr4g ) ABEZACDFZACDGZH
    BCDFZBCDGZHACDIBCDIOPRQSABCDJABCDKLACDMBCDMN $.
    $( [10-Feb-1997] $)

  $( Equality theorem for one-to-one onto functions. $)
  f1oeq3 $p |- ( A = B -> ( F : C -1-1-onto-> A <-> F : C -1-1-onto-> B ) ) $=
    ( wceq wf1 wfo wa wf1o f1eq3 foeq3 anbi12d df-f1o 3bitr4g ) ABEZCADFZCADGZH
    CBDFZCBDGZHCADICBDIOPRQSABCDJABCDKLCADMCBDMN $.
    $( [10-Feb-1997] $)

  $( Equality theorem for one-to-one onto functions.  (Contributed by FL,
     14-Jul-2012.) $)
  f1oeq23 $p |- ( ( A = B /\ C = D ) ->
   ( F : A -1-1-onto-> C <-> F : B -1-1-onto-> D ) ) $=
    ( wceq wf1o f1oeq2 f1oeq3 sylan9bb ) ABFACEGBCEGCDFBDEGABCEHCDBEIJ $.
    $( [14-Jul-2012] $)

  ${
    $d y F $.  $d y A $.  $d y B $.  $d x y $.
    hbf1o.1 $e |- ( y e. F -> A. x y e. F ) $.
    hbf1o.2 $e |- ( y e. A -> A. x y e. A ) $.
    hbf1o.3 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for a one-to-one onto function. $)
    hbf1o $p |- ( F : A -1-1-onto-> B -> A. x F : A -1-1-onto-> B ) $=
      ( wf1o wf1 wfo wa df-f1o hbf1 hbfo hban hbxfrbi ) CDEICDEJZCDEKZLACDEMRSA
      ABCDEFGHNABCDEFGHOPQ $.
      $( [16-May-2004] $)
  $}

  $( A one-to-one onto mapping is a one-to-one mapping. $)
  f1of1 $p |- ( F : A -1-1-onto-> B -> F : A -1-1-> B ) $=
    ( wf1o wf1 wfo df-f1o simplbi ) ABCDABCEABCFABCGH $.
    $( [12-Dec-2003] $)

  $( A one-to-one onto mapping is a mapping. $)
  f1of $p |- ( F : A -1-1-onto-> B -> F : A --> B ) $=
    ( wf1o wf1 wf f1of1 f1f syl ) ABCDABCEABCFABCGABCHI $.
    $( [12-Dec-2003] $)

  $( A one-to-one onto mapping is function on its domain. $)
  f1ofn $p |- ( F : A -1-1-onto-> B -> F Fn A ) $=
    ( wf1o wf wfn f1of ffn syl ) ABCDABCECAFABCGABCHI $.
    $( [12-Dec-2003] $)

  $( A one-to-one onto mapping is a function. $)
  f1ofun $p |- ( F : A -1-1-onto-> B -> Fun F ) $=
    ( wf1o wfn wfun f1ofn fnfun syl ) ABCDCAECFABCGACHI $.
    $( [12-Dec-2003] $)

  $( A one-to-one onto mapping is a relation. $)
  f1orel $p |- ( F : A -1-1-onto-> B -> Rel F ) $=
    ( wf1o wfun wrel f1ofun funrel syl ) ABCDCECFABCGCHI $.
    $( [13-Dec-2003] $)

  $( The domain of a one-to-one onto mapping. $)
  f1odm $p |- ( F : A -1-1-onto-> B -> dom F = A ) $=
    ( wf1o wfn cdm wceq f1ofn fndm syl ) ABCDCAECFAGABCHACIJ $.
    $( [8-Mar-2014] $)

  $( Alternate definition of one-to-one onto function.  (The proof was
     shortened by Andrew Salmon, 22-Oct-2011.) $)
  dff1o2 $p |- ( F : A -1-1-onto-> B
        <-> ( F Fn A /\ Fun `' F /\ ran F = B ) ) $=
    ( wf1o wf1 wfo wa wf ccnv wfun wfn crn w3a df-f1o df-f1 df-fo anbi12i ancom
    wceq 3anass an12 bitri anbi1i bitr4i wss eqimss df-f biimpri sylan2 3adant2
    anass pm4.71i 3bitr4i 3bitri ) ABCDABCEZABCFZGABCHZCIJZGZCAKZCLZBSZGZGZUTUR
    VBMZABCNUOUSUPVCABCOABCPQUQURVCGZGZVEUQGZVDVEVGVFUQGVHUQVFRVEVFUQVEUTURVBGG
    VFUTURVBTUTURVBUAUBUCUDUQURVCUKVEUQUTVBUQURVBUTVABUEZUQVABUFUQUTVIGABCUGUHU
    IUJULUMUN $.
    $( [22-Oct-2011] $) $( [10-Feb-1997] $)

  $( Alternate definition of one-to-one onto function.  (The proof was
     shortened by Andrew Salmon, 22-Oct-2011.) $)
  dff1o3 $p |- ( F : A -1-1-onto-> B <-> ( F : A -onto-> B /\ Fun `' F ) ) $=
    ( wfn ccnv wfun crn wceq w3a wf1o wfo df-3an an32 bitri dff1o2 df-fo anbi1i
    wa 3bitr4i ) CADZCEFZCGBHZIZTUBRZUARZABCJABCKZUARUCTUARUBRUETUAUBLTUAUBMNAB
    COUFUDUAABCPQS $.
    $( [22-Oct-2011] $) $( [25-Mar-1998] $)

  $( A one-to-one onto function is an onto function. $)
  f1ofo $p |- ( F : A -1-1-onto-> B -> F : A -onto-> B ) $=
    ( wf1o wfo ccnv wfun dff1o3 simplbi ) ABCDABCECFGABCHI $.
    $( [28-Apr-2004] $)

  $( Alternate definition of one-to-one onto function.  (The proof was
     shortened by Andrew Salmon, 22-Oct-2011.) $)
  dff1o4 $p |- ( F : A -1-1-onto-> B <-> ( F Fn A /\ `' F Fn B ) ) $=
    ( wf1o wfn ccnv wfun crn w3a wa dff1o2 3anass cdm dfrn4 eqeq1i anbi2i df-fn
    wceq bitr4i 3bitri ) ABCDCAEZCFZGZCHZBRZIUAUCUEJZJUAUBBEZJABCKUAUCUELUFUGUA
    UFUCUBMZBRZJUGUEUIUCUDUHBCNOPUBBQSPT $.
    $( [22-Oct-2011] $) $( [25-Mar-1998] $)

  $( Alternate definition of one-to-one onto function.  (The proof was
     shortened by Andrew Salmon, 22-Oct-2011.) $)
  dff1o5 $p |- ( F : A -1-1-onto-> B <-> ( F : A -1-1-> B /\ ran F = B ) ) $=
    ( wf1o wf1 wfo wa crn wceq df-f1o wf biantrurd dffo2 syl6rbbr pm5.32i bitri
    f1f ) ABCDABCEZABCFZGRCHBIZGABCJRSTRTABCKZTGSRUATABCQLABCMNOP $.
    $( [22-Oct-2011] $) $( [10-Dec-2003] $)

  $( A one-to-one function maps onto its range. $)
  f1orn $p |- ( F : A -1-1-onto-> ran F <-> ( F Fn A /\ Fun `' F ) ) $=
    ( wfn ccnv wfun crn wceq w3a wa wf1o df-3an dff1o2 eqid biantru 3bitr4i ) B
    ACZBDEZBFZRGZHPQIZSIARBJTPQSKARBLSTRMNO $.
    $( [13-Aug-2004] $)

  $( A one-to-one function maps one-to-one onto its range. $)
  f1f1orn $p |- ( F : A -1-1-> B -> F : A -1-1-onto-> ran F ) $=
    ( wf1 wfn ccnv wfun crn wf1o f1fn wf df-f1 simprbi f1orn sylanbrc ) ABCDZCA
    ECFGZACHCIABCJPABCKQABCLMACNO $.
    $( [4-Sep-2004] $)

  $( The converse of a one-to-one onto function is also one-to-one onto.  (The
     proof was shortened by Andrew Salmon, 22-Oct-2011.) $)
  f1ocnv $p |- ( F : A -1-1-onto-> B -> `' F : B -1-1-onto-> A ) $=
    ( wfn ccnv wa wf1o wrel fnrel wceq dfrel2 fneq1 biimprd sylbi anim2i ancoms
    wi mpcom dff1o4 3imtr4i ) CADZCEZBDZFUCUBEZADZFZABCGBAUBGUCUAUFUAUEUCCHZUAU
    EACIUGUDCJZUAUEQCKUHUEUAAUDCLMNROPABCSBAUBST $.
    $( [22-Oct-2011] $) $( [11-Feb-1997] $)

  $( A relation is a one-to-one onto function iff its converse is a one-to-one
     onto function with domain and range interchanged. $)
  f1ocnvb $p |- ( Rel F ->
                ( F : A -1-1-onto-> B <-> `' F : B -1-1-onto-> A ) ) $=
    ( wrel wf1o ccnv f1ocnv wceq wb dfrel2 f1oeq1 sylbi syl5ib impbid2 ) CDZABC
    EZBACFZEZABCGRABQFZEZOPBAQGOSCHTPICJABSCKLMN $.
    $( [8-Dec-2003] $)

  $( The restriction of a one-to-one function maps one-to-one onto the
     image. $)
  f1ores $p |- ( ( F : A -1-1-> B /\ C C_ A ) -> ( F |` C ) : C -1-1-onto->
            ( F " C ) ) $=
    ( wf ccnv wfun wa wss cima cres wfo wf1 wf1o cdm ffun adantr sseq2d biimpar
    fdm fores syl2anc funres11 anim12i an32s df-f1 anbi1i dff1o3 3imtr4i ) ABDE
    ZDFGZHZCAIZHCDCJZDCKZLZUOFGZHZABDMZUMHCUNUONUJUMUKURUJUMHZUPUKUQUTDGZCDOZIZ
    UPUJVAUMABDPQUJVCUMUJVBACABDTRSCDUAUBCDUCUDUEUSULUMABDUFUGCUNUOUHUI $.
    $( [25-Mar-1998] $)

  $( The converse of a one-to-one-onto restricted function.  (Contributed by
     Paul Chapman, 21-Apr-2008.) $)
  f1orescnv $p |- ( ( Fun `' F /\ ( F |` R ) : R -1-1-onto-> P ) ->
                    ( `' F |` P ) : P -1-1-onto-> R ) $=
    ( ccnv wfun cres wf1o wa f1ocnv adantl wceq wb cima funcnvres dfima3 dff1o5
    crn wf1 simprbi syl5eq reseq2d sylan9eq f1oeq1 syl mpbid ) CDZEZBACBFZGZHZA
    BUHDZGZABUFAFZGZUIULUGBAUHIJUJUKUMKULUNLUGUIUKUFCBMZFUMBCNUIUOAUFUIUOUHQZAC
    BOUIBAUHRUPAKBAUHPSTUAUBABUKUMUCUDUE $.
    $( [21-Apr-2008] $)

  $( Preimage of an image. $)
  f1imacnv $p |- ( ( F : A -1-1-> B /\ C C_ A )
                 -> ( `' F " ( F " C ) ) = C ) $=
    ( wf1 wss wa ccnv cima cres resima wfun wceq df-f1 simprbi adantr funcnvres
    wf 3syl wf1o imaeq1 f1ores f1ocnv crn cdm imadmrn fdm imaeq2 syl5reqr f1ofo
    f1of wfo forn syl eqtrd eqtr3d syl5eqr ) ABDEZCAFZGZDHZDCIZIVAVBJZVBIZCVAVB
    KUTDCJZHZVBIZVDCUTVALZVFVCMVGVDMURVHUSURABDRVHABDNOPCDQVFVCVBUASUTCVBVETVBC
    VFTZVGCMABCDUBCVBVEUCVIVGVFUDZCVIVJVFVFUEZIZVGVFUFVIVBCVFRVKVBMVLVGMVBCVFUK
    VBCVFUGVKVBVFUHSUIVIVBCVFULVJCMVBCVFUJVBCVFUMUNUOSUPUQ $.
    $( [30-Sep-2004] $)

  $( A reverse version of ~ f1imacnv .  (Contributed by Jeffrey Hankins,
     16-Jul-2009.) $)
  foimacnv $p |- ( ( F : A -onto-> B /\ C C_ B )
                 -> ( F " ( `' F " C ) ) = C ) $=
    ( wfo wss ccnv cima cres resima wfun wceq fofun adantr funcnvres2 crn dfrn4
    wa cdm syl5eqr imaeq1 3syl wfn resss cnvss ax-mp cnvcnvss sstri funss mpsyl
    dfima3 eqtr2i jctir df-fn sylibr df-dm forn sseq2d biimpar syl6sseq ssdmres
    sylib df-fo sylanbrc foima syl eqtr3d ) ABDEZCBFZRZDDGZCHZHDVLIZVLHZCDVLJVJ
    VKCIZGZVLHZVNCVJDKZVPVMLVQVNLVHVRVIABDMZNCDOVPVMVLUAUBVJVLCVPEZVQCLVJVPVLUC
    ZVPPZCLVTVJVPKZVPSZVLLZRWAVJWCWEVHWCVIVPDFVHVRWCVPVKGZDVOVKFVPWFFVKCUDVOVKU
    EUFDUGUHVSVPDUIUJNVLVOPWDVKCUKVOQULUMVPVLUNUOVJWBVOSZCVOUPVJCVKSZFWGCLVJCDP
    ZWHVHCWIFVIVHWIBCABDUQURUSDQUTCVKVAVBTVLCVPVCVDVLCVPVEVFVGT $.
    $( [9-Jul-2009] $)

  $( The union of two one-to-one onto functions with disjoint domains and
     ranges. $)
  f1oun $p |- ( ( ( F : A -1-1-onto-> B /\ G : C -1-1-onto-> D )
            /\ ( ( A i^i C ) = (/) /\ ( B i^i D ) = (/) ) )
           -> ( F u. G ) : ( A u. C ) -1-1-onto-> ( B u. D ) ) $=
    ( wf1o wa cin c0 wceq cun wfn ccnv wi dff1o4 fnun ex cnvun fneq1i im2anan9
    sylibr an4s syl2anb syl6ibr imp ) ABEGZCDFGZHZACIJKZBDIJKZHZACLZBDLZEFLZGZU
    IULUOUMMZUONZUNMZHZUPUGEAMZENZBMZHFCMZFNZDMZHULUTOZUHABEPCDFPVAVDVCVFVGVAVD
    HZUJUQVCVFHZUKUSVHUJUQACEFQRVIUKUSVIUKHVBVELZUNMUSBDVBVEQUNURVJEFSTUBRUAUCU
    DUMUNUOPUEUF $.
    $( [26-Mar-1998] $)

  ${
    $d A u v x z $.  $d A u v y $.  $d B u v y $.  $d B u v z $.
    $d C u v x z $.  $d D u v $.  $d S u v x $.  $d y z $.
    fun11iun.1 $e |- ( x = y -> B = C ) $.
    fun11iun.2 $e |- B e. _V $.
    $( The union of a chain (with respect to inclusion) of one-to-one functions
       is a one-to-one function.  (Contributed by Mario Carneiro,
       20-May-2013.) $)
    fun11iun $p |- ( A. x e. A ( B : D -1-1-> S /\
                       A. y e. A ( B C_ C \/ C C_ B ) ) ->
                     U_ x e. A B : U_ x e. A D -1-1-> S ) $=
      ( vz vu vv wss wa wfun wceq wrex wcel syl wex wf1 wo wral ciun wf wfn crn
      ccnv cdm cv cab cuni vex eqeq1 rexbidv elab r19.29 ax-17 hbre1 hbab hbral
      weq hban wi f1eq1 biimparc f1fun df-f1 simprbi jca adantlr eqeq2d cbvrexv
      syl6bb sseq12 ancoms orbi12d biimprcd expdimp rexlimivw imp sylan sylan2b
      wb ralrimiva adantll a1i rexlimi fun11uni simpld dfiun2 funeqi sylibr cop
      an32s hbra1 ra4 eldm2 eleq2d syl5bbr adantr rexbida eliun rexcom4 3bitr4i
      f1dm exbii 3bitr4g eqrdv df-fn sylanbrc elrn2 f1f frn syl5bir syl6 syl5bi
      sseld rexlimd ssrdv df-f simprd cnveqi ) FGDUAZDEMZEDMZUBZBCUCZNZACUCZACF
      UDZGACDUDZUEZYLUHZOZYKGYLUAYJYLYKUFZYLUGZGMYMYJYLOZYLUIZYKPYPYJJUJZDPZACQ
      ZJUKZULZOZYRYJUUEUUDUHZOZYJKUJZOZUUHUHOZNZUUHLUJZMZUULUUHMZUBZLUUCUCZNZKU
      UCUCUUEUUGNYJUUQKUUCUUHUUCRYJUUHDPZACQZUUQUUBUUSJUUHKUMJKVBUUAUURACYTUUHD
      UNUOUPYJUUSNYIUURNZACQUUQYIUURACUQUUTUUQACUUKUUPAUUKAURUUOALUUCUUBAJLUUAA
      CUSUTUUOAURVAVCUUTUUQVDAUJCRZUUTUUKUUPYDUURUUKYHYDUURNFGUUHUAZUUKUURUVBYD
      FGUUHDVEVFUVBUUIUUJFGUUHVGUVBFGUUHUEUUJFGUUHVHVIVJSVKYHUURUUPYDYHUURNZUUO
      LUUCUULUUCRUVCUULEPZBCQZUUOUUBUVEJUULLUMJLVBZUUBUULDPZACQUVEUVFUUAUVGACYT
      UULDUNUOUVGUVDABCABVBDEUULHVLVMVNUPYHUVEUURUUOYHUVENYGUVDNZBCQZUURUUOYGUV
      DBCUQUVIUURUUOUVHUURUUOVDBCYGUVDUURUUOUVDUURNZUUOYGUVJUUMYEUUNYFUURUVDUUM
      YEWDUUHDUULEVOVPUULEUUHDVOVQVRVSVTWAWBWOWCWEWFVJWGWHSWCWEUUCKLWISZWJYLUUD
      AJCDIWKZWLWMYJKYSYKYJUUHUULWNZDRZLTZACQZUUHFRZACQUUHYSRZUUHYKRYJUVOUVQACY
      IACWPZYJUVANYIUVOUVQWDZYJUVAYIYIACWQZWAYDUVTYHUVOUUHDUIZRYDUVQLUUHDWRYDUW
      BFUUHFGDXFWSWTXASXBUVMYLRZLTUVNACQZLTUVRUVPUWCUWDLAUVMCDXCZXGLUUHYLWRUVNA
      LCXDXEAUUHCFXCXHXIYLYKXJXKYJLYQGUULYQRZUVNKTZACQZYJUULGRZUWCKTUWDKTUWFUWH
      UWCUWDKUWEXGKUULYLXLUVNAKCXDXEYJUWGUWIACUVSUWIAURYJUVAYIUWGUWIVDZUWAYDUWJ
      YHUWGUULDUGZRYDUWIKUULDXLYDUWKGUULYDFGDUEUWKGMFGDXMFGDXNSXRXOXAXPXSXQXTYK
      GYLYAXKYJUUGYOYJUUEUUGUVKYBYNUUFYLUUDUVLYCWLWMYKGYLVHXK $.
      $( [20-May-2013] $)
  $}

  $( The restriction of a one-to-one onto function to a difference maps onto
     the difference of the images.  (Contributed by Paul Chapman,
     11-Apr-2009.) $)
  resdif $p |- ( ( Fun `' F /\ ( F |` A ) : A -onto-> C /\
                               ( F |` B ) : B -onto-> D ) ->
                 ( F |` ( A \ B ) ) : ( A \ B ) -1-1-onto-> ( C \ D ) ) $=
    ( ccnv wfun cres wfo cdif cima wf1o wss wceq syl wb ax-mp crn dfima3 wa w3a
    cdm fofun difss fof fdm syl5sseqr fores syl2anc resabs1 foeq1 rneqi 3eqtr4i
    wf foeq3 bitri sylib funres11 dff1o3 biimpri syl2anr 3adant3 syl5eq anim12i
    forn imadif difeq12 sylan9eq sylan2 3impb f1oeq3 mpbid ) EFGZACEAHZIZBDEBHZ
    IZUAZABJZEVSKZEVSHZLZVSCDJZWALZVMVOWBVQVOVSVTWAIZWAFGZWBVMVOVSVNVSKZVNVSHZI
    ZWEVOVNGVSVNUBZMWIACVNUCVOAVSWJABUDZVOACVNUNWJANACVNUEACVNUFOUGVSVNUHUIWIVS
    WGWAIZWEWHWANZWIWLPVSAMWMWKEVSAUJQZVSWGWHWAUKQWGVTNWLWEPWHRWARWGVTWHWAWNULV
    NVSSEVSSUMWGVTVSWAUOQUPUQVSEURWBWEWFTVSVTWAUSUTVAVBVRVTWCNZWBWDPVMVOVQWOVOV
    QTVMEAKZCNZEBKZDNZTZWOVOWQVQWSVOWPVNRCEASACVNVEVCVQWRVPRDEBSBDVPVEVCVDVMWTV
    TWPWRJWCABEVFWPCWRDVGVHVIVJVTWCVSWAVKOVL $.
    $( [11-Apr-2009] $)

  $( The restriction of a one-to-one onto function to an intersection maps onto
     the intersection of the images.  (Contributed by Paul Chapman,
     11-Apr-2009.) $)
  resin $p |- ( ( Fun `' F /\ ( F |` A ) : A -onto-> C /\
                               ( F |` B ) : B -onto-> D ) ->
      ( F |` ( A i^i B ) ) : ( A i^i B ) -1-1-onto-> ( C i^i D ) ) $=
    ( ccnv wfun cres wfo w3a cdif wf1o cin resdif f1ofo syl wceq wb dfin4 ax-mp
    syld3an3 f1oeq3 f1oeq2 reseq2i f1oeq1 3bitrri sylib ) EFGZACEAHIZBDEBHIZJZA
    ABKZKZCCDKZKZEUMHZLZABMZCDMZEURHZLZUHUIUJULUNEULHZIZUQUKULUNVBLVCABCDENULUN
    VBOPAULCUNENUAVAURUOUTLZUMUOUTLZUQUSUOQVAVDRCDSUSUOURUTUBTURUMQVDVERABSZURU
    MUOUTUCTUTUPQVEUQRURUMEVFUDUMUOUTUPUETUFUG $.
    $( [11-Apr-2009] $)

  $( Composition of one-to-one onto functions. $)
  f1oco $p |- ( ( F : B -1-1-onto-> C /\ G : A -1-1-onto-> B ) ->
              ( F o. G ) : A -1-1-onto-> C ) $=
    ( wf1 wfo wa ccom wf1o f1co foco anim12i an4s df-f1o anbi12i 3imtr4i ) BCDF
    ZBCDGZHZABEFZABEGZHZHACDEIZFZACUDGZHZBCDJZABEJZHACUDJRUASUBUGRUAHUESUBHUFAB
    CDEKABCDELMNUHTUIUCBCDOABEOPACUDOQ $.
    $( [19-Mar-1998] $)

  $( The composition of a one-to-one onto function and its converse equals the
     identity relation restricted to the function's range. $)
  f1ococnv2 $p |- ( F : A -1-1-onto-> B -> ( F o. `' F ) = ( _I |` B ) ) $=
    ( wf1o ccnv ccom cid cdm cres wss wceq wf wfun f1of ffun wrel simprbi eqtrd
    df-fun 3syl iss sylib crn f1odm wfo f1ocnv f1ofo forn eqtr4d dmcoeq syl fdm
    reseq2d ) ABCDZCCEZFZGUPHZIZGBIUNUPGJZUPURKUNABCLCMZUSABCNABCOUTCPUSCSQTUPU
    AUBUNUQBGUNUQUOHZBUNCHZUOUCZKUQVAKUNVBAVCABCUDUNBAUODZBAUOUEVCAKABCUFZBAUOU
    GBAUOUHTUICUOUJUKUNVDBAUOLVABKVEBAUONBAUOULTRUMR $.
    $( [13-Dec-2003] $)

  $( The composition of a one-to-one onto function's converse and itself equals
     the identity relation restricted to the function's domain. $)
  f1ococnv1 $p |- ( F : A -1-1-onto-> B -> ( `' F o. F ) = ( _I |` A ) ) $=
    ( wf1o ccnv ccom cres wrel wceq f1orel dfrel2 sylib coeq2d f1ocnv f1ococnv2
    cid syl eqtr3d ) ABCDZCEZTEZFZTCFPAGZSUACTSCHUACIABCJCKLMSBATDUBUCIABCNBATO
    QR $.
    $( [13-Dec-2003] $)

  $( The converse of an injective function is bijective.  (Contributed by FL,
     11-Nov-2011.) $)
  f1cnv $p |- ( F : A -1-1-> B -> `' F : ran F -1-1-onto-> A ) $=
    ( wf1 crn wf1o ccnv f1f1orn f1ocnv syl ) ABCDACEZCFKACGFABCHAKCIJ $.
    $( [11-Nov-2011] $)

  $( Composition of an injective function with its converse.  (Contributed by
     FL, 11-Nov-2011.) $)
  f1cocnv1 $p |- ( F : A -1-1-> B -> ( `' F o. F ) = ( _I |` A ) ) $=
    ( wf1 crn wf1o ccnv ccom cid cres wceq f1f1orn f1ococnv1 syl ) ABCDACEZCFCG
    CHIAJKABCLAOCMN $.
    $( [11-Nov-2011] $)

  $( Composition of an injective function with its converse.  (Contributed by
     FL, 11-Nov-2011.) $)
  f1cocnv2 $p |- ( F : A -1-1-> B -> ( F o. `' F ) = ( _I |` ran F ) ) $=
    ( wf1 crn wf1o ccnv ccom cid cres wceq f1f1orn f1ococnv2 syl ) ABCDACEZCFCC
    GHIOJKABCLAOCMN $.
    $( [11-Nov-2011] $)

  ${
    $d x F $.  $d x A $.  $d x B $.
    f11o.1 $e |- F e. _V $.
    $( Relationship between a mapping and an onto mapping.  Figure 38 of
       [Enderton] p. 145. $)
    ffoss $p |- ( F : A --> B <-> E. x ( F : A -onto-> x /\ x C_ B ) ) $=
      ( wf cv wfo wss wa wex crn wfn df-f dffn4 anbi1i bitri rnex wceq foeq3
      sseq1 anbi12d cla4ev sylbi fof fss sylan exlimiv impbii ) BCDFZBAGZDHZUKC
      IZJZAKZUJBDLZDHZUPCIZJZUOUJDBMZURJUSBCDNUTUQURBDOPQUNUSAUPDERUKUPSULUQUMU
      RUKUPBDTUKUPCUAUBUCUDUNUJAULBUKDFUMUJBUKDUEBUKCDUFUGUHUI $.
      $( [10-May-1998] $)

    $( Relationship between one-to-one and one-to-one onto function. $)
    f11o $p |- ( F : A -1-1-> B <-> E. x ( F : A -1-1-onto-> x /\ x C_ B ) ) $=
      ( wf ccnv wfun wa cv wfo wss wex wf1 wf1o ffoss anbi1i df-f1 dff1o3 bitri
      an32 exbii 19.41v 3bitr4i ) BCDFZDGHZIBAJZDKZUGCLZIZAMZUFIZBCDNBUGDOZUIIZ
      AMZUEUKUFABCDEPQBCDRUOUJUFIZAMULUNUPAUNUHUFIZUIIUPUMUQUIBUGDSQUHUFUIUATUB
      UJUFAUCTUD $.
      $( [4-Apr-1998] $)
  $}

  $( The empty set maps one-to-one into any class. $)
  f10 $p |- (/) : (/) -1-1-> A $=
    ( c0 wf1 wf ccnv wfun f0 fun0 cnv0 funeqi mpbir df-f1 mpbir2an ) BABCBABDBE
    ZFZAGOBFHNBIJKBABLM $.
    $( [7-Apr-1998] $)

  $( One-to-one onto mapping of the empty set. $)
  f1o00 $p |- ( F : (/) -1-1-onto-> A <-> ( F = (/) /\ A = (/) ) ) $=
    ( c0 wf1o wfn ccnv wceq dff1o4 fn0 biimpi adantr cdm dm0 cnveq syl6eq sylbi
    wa cnv0 fneq1d jca biimpa fndm syl syl5reqr biimpri eqid mpbir fneq2 mpbiri
    sylan9bb impbii bitri ) CABDBCEZBFZAEZQZBCGZACGZQZCABHUPUSUPUQURUMUQUOUMUQB
    IZJKUPCCLZAMUPCAEZVAAGUMUOVBUMAUNCUMUQUNCGUTUQUNCFCBCNROZPSUAACUBUCUDTUSUMU
    OUQUMURUMUQUTUEKUSUOCCEZVDCCGCUFCIUGUQUOVBURVDUQAUNCVCSACCUHUJUITUKUL $.
    $( [15-Apr-1998] $)

  $( Onto mapping of the empty set. $)
  fo00 $p |- ( F : (/) -onto-> A <-> ( F = (/) /\ A = (/) ) ) $=
    ( c0 wfo wf1o wceq wf1 wfn fofn fn0 f10 f1eq1 mpbiri sylbi syl ancri df-f1o
    wa sylibr f1ofo impbii f1o00 bitri ) CABDZCABEZBCFZACFRUDUEUDCABGZUDRUEUDUG
    UDBCHZUGCABIUHUFUGBJUFUGCACGAKCABCLMNOPCABQSCABTUAABUBUC $.
    $( [22-Mar-2006] $)

  $( One-to-one onto mapping of the empty set. $)
  f1o0 $p |- (/) : (/) -1-1-onto-> (/) $=
    ( wf1o wf1 wfo f10 wfn crn wceq wfun cdm fun0 dm0 df-fn mpbir2an rn0 df-f1o
    c0 df-fo ) PPPAPPPBPPPCZPDRPPEZPFPGSPHPIPGJKPPLMNPPPQMPPPOM $.
    $( [16-Feb-2004] $) $( [10-Sep-2004] $)

  $( A restriction of the identity relation is a one-to-one onto function.
     (The proof was shortened by Andrew Salmon, 22-Oct-2011.) $)
  f1oi $p |- ( _I |` A ) : A -1-1-onto-> A $=
    ( cid cres wf1o wfn ccnv fnresi cnvresid fneq1i mpbir dff1o4 mpbir2an ) AAB
    ACZDMAEZMFZAEZAGZPNQAOMAHIJAAMKL $.
    $( [22-Oct-2011] $) $( [30-Apr-1998] $)

  $( The identity relation is a one-to-one onto function on the universe. $)
  f1ovi $p |- _I : _V -1-1-onto-> _V $=
    ( cvv cid cres wf1o f1oi wceq wb wrel reli dfrel3 mpbi f1oeq1 ax-mp ) AABAC
    ZDZAABDZAENBFZOPGBHQIBJKAANBLMK $.
    $( [16-May-2004] $)

  ${
    f1osn.1 $e |- A e. _V $.
    f1osn.2 $e |- B e. _V $.
    $( A singleton of an ordered pair is one-to-one onto function.  (The proof
       was shortened by Andrew Salmon, 22-Oct-2011.) $)
    f1osn $p |- { <. A , B >. } : { A } -1-1-onto-> { B } $=
      ( csn cop wf1o wfn ccnv fnsn cnvsn fneq1i mpbir dff1o4 mpbir2an ) AEZBEZA
      BFEZGRPHRIZQHZABCDJTBAFEZQHBADCJQSUAABCDKLMPQRNO $.
      $( [22-Oct-2011] $) $( [18-May-1998] $)
  $}

  ${
    $d A a b $.  $d B b $.
    $( A singleton of an ordered pair is one-to-one onto function.
       (Contributed by Mario Carneiro, 12-Jan-2013.) $)
    f1osng $p |- ( ( A e. V /\ B e. W ) ->
                   { <. A , B >. } : { A } -1-1-onto-> { B } ) $=
      ( va vb cv csn cop wf1o wceq sneq f1oeq2 syl opeq1 f1oeq1 3syl bitrd vex
      wb f1oeq3 opeq2 f1osn vtocl2g ) EGZHZFGZHZUEUGIZHZJZAHZUHAUGIZHZJZULBHZAB
      IZHZJZEFABCDUEAKZUKULUHUJJZUOUTUFULKUKVATUEALUFULUHUJMNUTUIUMKUJUNKVAUOTU
      EAUGOUIUMLULUHUJUNPQRUGBKZUOULUPUNJZUSVBUHUPKUOVCTUGBLUHUPULUNUANVBUMUQKU
      NURKVCUSTUGBAUBUMUQLULUPUNURPQRUEUGESFSUCUD $.
      $( [12-Jan-2013] $)
  $}

  ${
    $d x y A $.  $d x y F $.
    $( Alternate definition of function value.  Definition 10.11 of [Quine]
       p. 68.  (The proof was shortened by Andrew Salmon, 17-Sep-2011.) $)
    fv2 $p |- ( F ` A ) = U. { x | A. y ( A F y <-> y = x ) } $=
      ( cfv cv wbr cio weq wb wal cab cuni df-fv dfiota2 eqtri ) CDECBFDGZBHQBA
      IJBKALMBCDNQBAOP $.
      $( [18-Sep-2011] $) $( [30-Apr-2004] $)
  $}

  ${
    $d x A $.  $d x F $.
    $( A function's value at a proper class is the empty set. $)
    fvprc $p |- ( -. A e. _V -> ( F ` A ) = (/) ) $=
      ( vx cvv wcel wn cfv cv wbr cio c0 df-fv weu wceq wex euex simpld exlimiv
      brex syl con3i iotanul syl5eq ) ADEZFZABGACHZBIZCJZKCABLUEUGCMZFUHKNUIUDU
      IUGCOUDUGCPUGUDCUGUDUFDEAUFBSQRTUAUGCUBTUC $.
      $( [20-May-1998] $)
  $}

  ${
    $d x A $.  $d x y B $.  $d x y F $.
    $( Membership in a function value. $)
    elfv $p |- ( A e. ( F ` B ) <->
               E. x ( A e. x /\ A. y ( B F y <-> y = x ) ) ) $=
      ( cfv wcel cv wbr weq wb wal cab cuni wa wex fv2 eleq2i eluniab bitri ) C
      DEFZGCDBHEIBAJKBLZAMNZGCAHGUBOAPUAUCCABDEQRUBACST $.
      $( [30-Apr-2004] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.  $d x G $.
    $( Equality theorem for function value. $)
    fveq1 $p |- ( F = G -> ( F ` A ) = ( G ` A ) ) $=
      ( vx wceq cv wbr cio cfv breq iotabidv df-fv 3eqtr4g ) BCEZADFZBGZDHAOCGZ
      DHABIACINPQDAOBCJKDABLDACLM $.
      $( [29-Dec-1996] $)

    $( Equality theorem for function value. $)
    fveq2 $p |- ( A = B -> ( F ` A ) = ( F ` B ) ) $=
      ( vx wceq cv wbr cio cfv breq1 iotabidv df-fv 3eqtr4g ) ABEZADFZCGZDHBOCG
      ZDHACIBCINPQDABOCJKDACLDBCLM $.
      $( [29-Dec-1996] $)
  $}

  ${
    fveq1i.1 $e |- F = G $.
    $( Equality inference for function value. $)
    fveq1i $p |- ( F ` A ) = ( G ` A ) $=
      ( wceq cfv fveq1 ax-mp ) BCEABFACFEDABCGH $.
      $( [2-Sep-2003] $)
  $}

  ${
    fveq1d.1 $e |- ( ph -> F = G ) $.
    $( Equality deduction for function value. $)
    fveq1d $p |- ( ph -> ( F ` A ) = ( G ` A ) ) $=
      ( wceq cfv fveq1 syl ) ACDFBCGBDGFEBCDHI $.
      $( [2-Sep-2003] $)
  $}

  ${
    fveq2i.1 $e |- A = B $.
    $( Equality inference for function value. $)
    fveq2i $p |- ( F ` A ) = ( F ` B ) $=
      ( wceq cfv fveq2 ax-mp ) ABEACFBCFEDABCGH $.
      $( [28-Jul-1999] $)
  $}

  ${
    fveq2d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for function value. $)
    fveq2d $p |- ( ph -> ( F ` A ) = ( F ` B ) ) $=
      ( wceq cfv fveq2 syl ) ABCFBDGCDGFEBCDHI $.
      $( [29-May-1999] $)
  $}

  ${
    fveq12d.1 $e |- ( ph -> F = G ) $.
    fveq12d.2 $e |- ( ph -> A = B ) $.
    $( Equality deduction for function value.  (Contributed by FL,
       22-Dec-2008.) $)
    fveq12d $p |- ( ph -> ( F ` A ) = ( G ` B ) ) $=
      ( cfv fveq1d fveq2d eqtrd ) ABDHBEHCEHABDEFIABCEGJK $.
      $( [1-Dec-2010] $) $( [22-Dec-2008] $)
  $}

  ${
    $d y z F $.  $d y z A $.  $d x y z $.
    hbfv.1 $e |- ( y e. F -> A. x y e. F ) $.
    hbfv.2 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for function value. $)
    hbfv $p |- ( y e. ( F ` A ) -> A. x y e. ( F ` A ) ) $=
      ( vz cfv cv wbr cio df-fv wel ax-17 hbbr hbiota hbxfreq ) ABCDHCGIZDJZGKG
      CDLSAGBABCRDFEBGMANOPQ $.
      $( [14-Nov-1995] $)
  $}

  ${
    $d y z A $.  $d y z F $.  $d y ph $.  $d x y z $.
    hbfvd.1 $e |- ( ph -> A. x ph ) $.
    hbfvd.2 $e |- ( ph -> ( y e. F -> A. x y e. F ) ) $.
    hbfvd.3 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbfv .  If a
       closed theorem version is desired, see ~ hbfvd2 . $)
    hbfvd $p |- ( ph -> ( y e. ( F ` A ) -> A. x y e. ( F ` A ) ) ) $=
      ( vz cv wcel wal cab cfv wi hba1 hbab wceq alrimiv abidhb a1i syl fveq12d
      hbfv eleq2d albid 3imtr3d ) ACJZIJZDKZBLZIMZUIEKZBLZIMZNZKZUQBLZUHDENZKZU
      TBLUQUROABCULUOUNBICUMBPQUKBICUJBPQUDUAAUPUSUHAULDUOEAUHEKZVABLOZCLUOERAV
      BCGSBCIETUBAUHDKZVCBLOZCLULDRAVDCHSBCIDTUBUCUEZAUQUTBFVEUFUG $.
      $( [10-Nov-2005] $)
  $}

  ${
    $d y z A $.  $d y z F $.  $d x y z $.
    hbfvd2.1 $e |- ( ph -> A. x A. y ph ) $.
    hbfvd2.2 $e |- ( ph -> ( y e. F -> A. x y e. F ) ) $.
    hbfvd2.3 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbfv .  This
       variant of ~ hbfvd allows us to create a closed theorem form by
       replacing the uncommitted antecedent ` ph ` with an appropriate
       substitution instance. $)
    hbfvd2 $p |- ( ph -> ( y e. ( F ` A ) -> A. x y e. ( F ` A ) ) ) $=
      ( vz cv wcel wal cab cfv wi hba1 hbab wceq alrimi syl hbfv 19.21bi abidhb
      a1i fveq12d eleq2d ax-4 a7s albid 3imtr3d ) ACJZIJZDKZBLZIMZULEKZBLZIMZNZ
      KZUTBLZUKDENZKZVCBLUTVAOABCUOURUQBICUPBPQUNBICUMBPQUAUDAUSVBUKAUODUREAUKE
      KZVDBLOZCLURERAVECAACLZBFUBZGSBCIEUCTAUKDKZVHBLOZCLUODRAVICVGHSBCIDUCTUEU
      FZAUTVCBAVFBLABLZFAVKCBVKCUGUHTVJUIUJ $.
      $( [10-Nov-2005] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d y z C $.  $d y z F $.  $d x y z $.
    $( Move class substitution in and out of a function value. $)
    csbfv12g $p |- ( A e. C ->
                 [_ A / x ]_ ( F ` B ) = ( [_ A / x ]_ F ` [_ A / x ]_ B ) ) $=
      ( vy vz wcel cv cfv csb ax-17 hbcsb1g hbfvd hbcsb1 csbeq1a fveq12d csbcog
      wceq wel hbfv vex weq eqtr3d vtoclef fveq1d fveq2d 3eqtrd csbiegf 3eqtr3d
      hbeq a1i ) BDHZFBAFIZCEJZKZKFBAUNCKZKZFBAUNEKZKZJZABUOKABCKZABEKZJFGBUPVA
      DUMFGURUTUMFLFGBUSDGIBHFLZMFGBUQDVDMNUNBSZUPUQUSJZUQUTJVAUPVFSZVEVGAUNAGG
      UPVFAGUNUOGFTALZOAGUQUSAGUNEVHOAGUNCVHOUAUKFUBAFUCZUOUPVFAUNUOPVICUQEUSAU
      NEPAUNCPQUDUEULVEUQUSUTFBUSPUFVEUQURUTFBUQPUGUHUIAFBUODRUMURVBUTVCAFBEDRA
      FBCDRQUJ $.
      $( [11-Nov-2005] $)
  $}

  ${
    $d y A $.  $d y C $.  $d x y F $.
    $( Move class substitution in and out of a function value. $)
    csbfv2g $p |- ( A e. C -> [_ A / x ]_ ( F ` B ) =
                  ( F ` [_ A / x ]_ B ) ) $=
      ( wcel cfv csb csbfv12g csbconstgfv fveq1d eqtrd ) BDFZABCEGHABCHZABEHZGN
      EGABCDEIMNOEABEDJKL $.
      $( [10-Nov-2005] $)

    $( Substitution for a function value. $)
    csbfvg $p |- ( A e. C -> [_ A / x ]_ ( F ` x ) = ( F ` A ) ) $=
      ( wcel cv cfv csb csbfv2g csbvarg fveq2d eqtrd ) BCEZABAFZDGHABNHZDGBDGAB
      NCDIMOBDABCJKL $.
      $( [1-Jan-2006] $)
  $}

  ${
    $d x A $.  $d x F $.
    $( The value of a class exists.  Corollary 6.13 of [TakeutiZaring]
       p. 27. $)
    fvex $p |- ( F ` A ) e. _V $=
      ( vx cfv cv wbr cio cvv df-fv iotaex eqeltri ) ABDACEBFZCGHCABILCJK $.
      $( [30-Dec-1996] $)
  $}

  $( Move a conditional outside of a function.  (Contributed by Jeff Madsen,
     2-Sep-2009.) $)
  fvif $p |- ( F ` if ( ph , A , B ) ) = if ( ph , ( F ` A ) , ( F ` B ) ) $=
    ( cif cfv fveq2 ifsb ) ABCABCEZDFBDFCDFIBDGICDGH $.
    $( [2-Sep-2009] $)

  ${
    $d x y z F $.  $d x y z A $.
    $( Alternate definition of the value of a function.  Definition 6.11 of
       [TakeutiZaring] p. 26. $)
    fv3 $p |- ( F ` A ) = { x | ( E. y ( x e. y /\ A F y ) /\
              E! y A F y ) } $=
      ( vz wel cv wbr wa wex weu cfv wcel weq wb wal elfv wi breq2 sylib anim2i
      bi2 alimi vex ceqsalv eximi elequ2 anbi12d cbvexv 19.40 simprd sylibr jca
      df-eu hbeu1 ax-17 hba1 hban hbex hbim ax-14 syl6 com23 imp3a anc2ri com12
      bi1 a4s eximdv syl5bi exlimi imp impbii bitri abbi2i ) ABFZCBGZDHZIZBJZVR
      BKZIZACDLZAGZWCMAEFZVRBENZOZBPZIZEJZWBEBWDCDQWJWBWJVTWAWJWECEGZDHZIZEJVTW
      IWMEWHWLWEWHWFVRRZBPWLWGWNBVRWFUBUCVRWLBWKEUDVQWKCDSUETUAUFWMVSEBEBNWEVPW
      LVREBAUGWKVQCDSUHUITWJWHEJZWAWJWEEJWOWEWHEUJUKVRBEUNZULUMVTWAWJVSWAWJRBWA
      WJBVRBUOWIBEWEWHBWEBUPWGBUQURUSUTWAWOVSWJWPVSWHWIEWHVSWIWHVSWEWGVSWERBWGV
      PVRWEWGVRVPWEWGVRWFVPWERVRWFVGBEAVAVBVCVDVHVEVFVIVJVKVLVMVNVO $.
      $( [30-Apr-2004] $)
  $}

  ${
    $d x F $.  $d x A $.  $d x B $.
    $( The value of a restricted function. $)
    fvres $p |- ( A e. B -> ( ( F |` B ) ` A ) = ( F ` A ) ) $=
      ( vx wcel cv cres wbr cio cfv iba brres syl6rbbr iotabidv df-fv 3eqtr4g
      wa ) ABEZADFZCBGZHZDIASCHZDIATJACJRUAUBDRUBUBRQUARUBKASCBLMNDATODACOP $.
      $( [16-Feb-2004] $) $( [2-Aug-1994] $)
  $}

  $( The value of a member of the domain of a subclass of a function. $)
  funssfv $p |- ( ( Fun F /\ G C_ F /\ A e. dom G ) ->
                ( F ` A ) = ( G ` A ) ) $=
    ( wfun wss cdm wcel cfv wceq wa cres fvres eqcomd funssres fveq1d sylan9eqr
    3impa ) BDZCBEZACFZGZABHZACHZIUARSJZUBABTKZHZUCUAUFUBATBLMUDAUECBCNOPQ $.
    $( [29-May-2007] $) $( [15-Aug-1994] $)

  ${
    $d y z w F $.  $d y z w A $.  $d z w B $.
    $( Function value.  Theorem 6.12(1) of [TakeutiZaring] p. 27. $)
    tz6.12-1 $p |- ( ( A F B /\ E! y A F y ) -> ( F ` A ) = B ) $=
      ( vw vz cv wbr weu wceq ax-17 breq2 wa wcel wi wex bitri cvv syl com12
      cfv cbveu wel fv3 abeq2i ancom exancom anbi2i eupicka brex simprd imbi12d
      wal eleq2 cla4gv pm2.43d sylbi adantr adantl anbi12d cla4egv mpcom anim1i
      anasss sylibr expcom impbid eqrdv sylan2b ) BAGZDHZAIBCDHZBEGZDHZEIZBDUAZ
      CJVKVNAEVKEKVNAKVJVMBDLUBVLVOMZFVPCVQFGZVPNZVRCNZVLVSVTOVOVSVLVTVSVOVNFEU
      CZMEPZMZVLVTOZVSWAVNMZEPZVOMZWCWGFVPFEBDUDUEZWGVOWFMWCWFVOUFWFWBVOWAVNEUG
      UHQQWCVNWAOZEUMZWDVNWAEUIWJVLVTVLWJWDVLCRNZWJWDOVLBRNWKBCDUJUKZWIWDECRVMC
      JZVNVLWAVTVMCBDLZVMCVRUNZULUOSTUPSUQTURVTVQVSVTVQMWGVSVTVLVOWGVTVLMZWFVOW
      KWPWFVLWKVTWLUSWEWPECRWMWAVTVNVLWOWNUTVAVBVCVDWHVEVFVGVHVI $.
      $( [30-Apr-2004] $)

    $( Function value.  Theorem 6.12(1) of [TakeutiZaring] p. 27. $)
    tz6.12 $p |- ( ( <. A , B >. e. F /\ E! y <. A , y >. e. F ) ->
                 ( F ` A ) = B ) $=
      ( cop wcel wbr cv weu cfv wceq df-br eubii tz6.12-1 syl2anbr ) BCEDFBCDGB
      AHZDGZAIBDJCKBPEDFZAIBCDLQRABPDLMABCDNO $.
      $( [10-Jul-1994] $)
  $}

  ${
    $d x y z w $.  $d z w v F $.
    tz6.12f.1 $e |- ( w e. F -> A. y w e. F ) $.
    $( Function value, using bound-variable hypotheses instead of distinct
       variable conditions. $)
    tz6.12f $p |- ( ( <. x , y >. e. F /\ E! y <. x , y >. e. F ) ->
                 ( F ` x ) = y ) $=
      ( vz cv cop wcel weu cfv wceq ax-17 weq opeq2 eleq1d cbveu tz6.12 sylan2b
      hbel ) AGZBGZHZDIZBJUDUAFGZHZDIZFJUADKUBLUDUGBFUDFMBCCUFDCGUFIBMETBFNUCUF
      DUBUEUAOPQFUAUBDRS $.
      $( [30-Aug-1999] $)
  $}

  ${
    $d x y z A $.  $d x y z F $.
    $( Function value when ` F ` is not a function.  Theorem 6.12(2) of
       [TakeutiZaring] p. 27. $)
    tz6.12-2 $p |- ( -. E! y A F y -> ( F ` A ) = (/) ) $=
      ( vx vz cv wbr weu wn cfv wel wa wex cab c0 fv3 wcel vex weq anbi1d con3i
      elequ1 exbidv elab simprbi eq0rdv syl5eq ) BAFCGZAHZIZBCJDAKZUHLZAMZUILZD
      NZODABCPUJEUOEFZUOQZUIUQEAKZUHLZAMZUIUNUTUILDUPERDESZUMUTUIVAULUSAVAUKURU
      HDEAUBTUCTUDUEUAUFUG $.
      $( [30-Apr-2004] $)
  $}

  ${
    $d y F $.  $d y A $.  $d y B $.
    $( Corollary of Theorem 6.12(1) of [TakeutiZaring] p. 27. $)
    tz6.12c $p |- ( E! y A F y -> ( ( F ` A ) = B <-> A F B ) ) $=
      ( cv wbr weu cfv wceq wex euex wi hbeu1 ax-17 hbim tz6.12-1 breq2 biimprd
      expcom syli com12 exlimi mpcom syl5ibcom impbid ) BAEZDFZAGZBDHZCIZBCDFZU
      HBUIDFZUJUKUGAJUHULUGAKUGUHULLAUHULAUGAMULANOUHUGULUGUHUIUFIZULUGUHUMABUF
      DPSUMULUGUIUFBDQRTUAUBUCUICBDQUDUKUHUJABCDPSUE $.
      $( [30-Apr-2004] $)
  $}

  ${
    $d y F $.  $d y A $.  $d y B $.
    $( Corollary of Theorem 6.12(2) of [TakeutiZaring] p. 27. $)
    tz6.12i $p |- ( B =/= (/) -> ( ( F ` A ) = B -> A F B ) ) $=
      ( vy cfv wceq c0 wne wbr wi cv tz6.12-2 necon1ai eqid tz6.12c mpbii neeq1
      weu syl breq2 imbi12d com12 ) ACEZBFZBGHZABCIZUDUCGHZAUCCIZJUEUFJUGADKCID
      RZUHUIUCGDACLMUIUCUCFUHUCNDAUCCOPSUDUGUEUHUFUCBGQUCBACTUAPUB $.
      $( [6-Apr-2007] $) $( [30-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y F $.
    $( The value of a class outside its domain is the empty set. $)
    ndmfv $p |- ( -. A e. dom F -> ( F ` A ) = (/) ) $=
      ( vx cdm wcel cv wbr wex cfv c0 wceq eldm wn weu euex tz6.12-2 syl sylnbi
      con3i ) ABDEACFBGZCHZABIJKZCABLUAMTCNZMUBUCUATCOSCABPQR $.
      $( [24-Aug-1995] $)
  $}

  ${
    ndmfvrcl.1 $e |- dom F = S $.
    ndmfvrcl.2 $e |- -. (/) e. S $.
    $( Reverse closure law for function with the empty set not in its
       domain. $)
    ndmfvrcl $p |- ( ( F ` A ) e. S -> A e. S ) $=
      ( cfv wcel cdm wn c0 ndmfv eleq1d mtbiri con4i syl6eleq ) ACFZBGZACHZBARG
      ZQSIZQJBGETPJBACKLMNDO $.
      $( [26-Apr-1996] $)
  $}

  $( If a function value has a member, the argument belongs to the domain. $)
  elfvdm $p |- ( A e. ( F ` B ) -> B e. dom F ) $=
    ( cfv wcel c0 wne cdm ne0i ndmfv necon1ai syl ) ABCDZEMFGBCHEZMAINMFBCJKL
    $.
    $( [12-Feb-2007] $)

  $( The value of a non-member of a restriction is the empty set. $)
  nfvres $p |- ( -. A e. B -> ( ( F |` B ) ` A ) = (/) ) $=
    ( wcel wn cres cdm cfv c0 wceq cin wa dmres eleq2i elin bitri simplbi con3i
    ndmfv syl ) ABDZEACBFZGZDZEAUBHIJUDUAUDUAACGZDZUDABUEKZDUAUFLUCUGACBMNABUEO
    PQRAUBST $.
    $( [13-Nov-1995] $)

  ${
    $d x y A $.  $d x y F $.
    $( If the restriction of a class to a singleton is not a function, its
       value is the empty set.  (The proof was shortened by Andrew Salmon,
       22-Oct-2011.) $)
    nfunsn $p |- ( -. Fun ( F |` { A } ) -> ( F ` A ) = (/) ) $=
      ( vx vy cfv c0 wceq csn cres wfun wn wrel cv wbr wmo wal weu eumo sylbi
      wa wcel brres wb vex elsn breq1 biimpac immoi syl tz6.12-2 alrimiv relres
      nsyl4 jctil dffun6 sylibr con1i ) ABEFGZBAHZIZJZURKZUTLZCMZDMZUTNZDOZCPZT
      VAVBVHVCVBVGCAVEBNZDQZVGURVJVIDOVGVIDRVFVIDVFVDVEBNZVDUSUAZTVIVDVEBUSUBVL
      VKVIVLVDAGVKVIUCVDACUDUEVDAVEBUFSUGSUHUIDABUJUMUKBUSULUNCDUTUOUPUQ $.
      $( [22-Oct-2011] $) $( [8-Aug-2010] $)
  $}

  $( Function value of the empty set.  (Contributed by Stefan O'Rear,
     26-Nov-2014.) $)
  fv01 $p |- ( (/) ` A ) = (/) $=
    ( c0 cdm wcel wn cfv wceq noel dm0 eleq2i mtbir ndmfv ax-mp ) ABCZDZEABFBGO
    ABDAHNBAIJKABLM $.
    $( [26-Nov-2014] $)

  $( Equal values imply equal values in a restriction. $)
  fveqres $p |- ( ( F ` A ) = ( G ` A ) ->
                ( ( F |` B ) ` A ) = ( ( G |` B ) ` A ) ) $=
    ( wcel cfv wceq cres wi fvres eqeq12d biimprd wn nfvres eqtr4d a1d pm2.61i
    c0 ) ABEZACFZADFZGZACBHFZADBHFZGZISUEUBSUCTUDUAABCJABDJKLSMZUEUBUFUCRUDABCN
    ABDNOPQ $.
    $( [13-Nov-1995] $)

  ${
    $d x y A $.  $d x y F $.  $d x y B $.
    $( The second argument of a binary relation on a function is the function's
       value. $)
    funbrfv $p |- ( Fun F -> ( A F B -> ( F ` A ) = B ) ) $=
      ( vx vy wfun wbr cfv wceq cvv wcel wa brex adantl cv breq1 anbi2d imbi12d
      wi fveq2 eqeq1d breq2 eqeq2 weu funeu tz6.12-1 sylan2 anabss7 vtocl2g ex
      mpcom ) CFZABCGZACHZBIZAJKBJKLZULUMLZUOUMUPULABCMNULDOZEOZCGZLZURCHZUSIZS
      ULAUSCGZLZUNUSIZSUQUOSDEABJJURAIZVAVEVCVFVGUTVDULURAUSCPQVGVBUNUSURACTUAR
      USBIZVEUQVFUOVHVDUMULUSBACUBQUSBUNUCRULUTVCVAUTUTEUDVCDECUEEURUSCUFUGUHUI
      UKUJ $.
      $( [30-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y F $.  $d x y B $.
    $( The second element in an ordered pair member of a function is the
       function's value. $)
    funopfv $p |- ( Fun F -> ( <. A , B >. e. F -> ( F ` A ) = B ) ) $=
      ( cop wcel wbr wfun cfv wceq df-br funbrfv syl5bir ) ABDCEABCFCGACHBIABCJ
      ABCKL $.
      $( [19-Jul-1996] $)
  $}

  ${
    $d x F $.  $d x A $.  $d x B $.  $d x C $.
    $( Equivalence of function value and binary relation. $)
    fnbrfvb $p |- ( ( F Fn A /\ B e. A ) ->
                   ( ( F ` B ) = C <-> B F C ) ) $=
      ( vx wfn wcel wa cv wbr weu cfv wceq wb fneu tz6.12c syl ) DAFBAGHBEIDJEK
      BDLCMBCDJNEABDOEBCDPQ $.
      $( [17-Feb-2013] $)
  $}

  $( Equivalence of function value and ordered pair membership. $)
  fnopfvb $p |- ( ( F Fn A /\ B e. A ) ->
                   ( ( F ` B ) = C <-> <. B , C >. e. F ) ) $=
    ( wfn wcel wa cfv wceq wbr cop fnbrfvb df-br syl6bb ) DAEBAFGBDHCIBCDJBCKDF
    ABCDLBCDMN $.
    $( [9-Jan-2015] $)

  $( Equivalence of function value and binary relation. $)
  funbrfvb $p |- ( ( Fun F /\ A e. dom F ) ->
                   ( ( F ` A ) = B <-> A F B ) ) $=
    ( wfun cdm wfn wcel cfv wceq wbr wb funfn fnbrfvb sylanb ) CDCCEZFAOGACHBIA
    BCJKCLOABCMN $.
    $( [9-Jan-2015] $)

  $( Equivalence of function value and ordered pair membership.  Theorem
     4.3(ii) of [Monk1] p. 42. $)
  funopfvb $p |- ( ( Fun F /\ A e. dom F ) ->
                   ( ( F ` A ) = B <-> <. A , B >. e. F ) ) $=
    ( wfun cdm wcel wa cfv wceq wbr cop funbrfvb df-br syl6bb ) CDACEFGACHBIABC
    JABKCFABCLABCMN $.
    $( [9-Jan-2015] $)

  ${
    $d x y z w A $.  $d x y B $.  $d x y z w F $.  $d x y C $.

    $( Function value in terms of a binary relation.  (Contributed by Mario
       Carneiro, 19-Mar-2014.) $)
    funbrfv2bg $p |- ( Fun F ->
                       ( A F B <-> ( A e. dom F /\ ( F ` A ) = B ) ) ) $=
      ( wfun wbr cdm wcel cfv wceq breldm a1i pm4.71rd funbrfvb pm5.32da bitr4d
      wa wi ) CDZABCEZACFGZSPTACHBIZPRSTSTQRABCJKLRTUASABCMNO $.
      $( [19-Mar-2014] $)

    $( Representation of a function in terms of its values. $)
    dffn5 $p |- ( F Fn A <->
                   F = { <. x , y >. | ( x e. A /\ y = ( F ` x ) ) } ) $=
      ( vz vw wfn cv wcel cfv wceq wa copab cop wb wal fnop vex weq wrel syl5bb
      ex pm4.71rd eqcom fnopfvb pm5.32da bitr4d eleq1 fveq2 eqeq2d eqeq1 anbi2d
      anbi12d opelopab syl6bbr alrimivv fnrel relopab eqrel sylancl mpbird fvex
      eqid fnopab2 fneq1 mpbiri impbii ) DCGZDAHZCIZBHZVIDJZKZLZABMZKZVHVPEHZFH
      ZNZDIZVSVOIZOZFPEPZVHWBEFVHVTVQCIZVRVQDJZKZLZWAVHVTWDVTLWGVHVTWDVHVTWDCVQ
      VRDQUBUCVHWDWFVTWFWEVRKVHWDLVTVRWEUDCVQVRDUEUAUFUGVNWDVKWEKZLWGABVQVRERFR
      AESZVJWDVMWHVIVQCUHWIVLWEVKVIVQDUIUJUMBFSWHWFWDVKVRWEUKULUNUOUPVHDTVOTVPW
      COCDUQVNABUREFDVOUSUTVAVPVHVOCGABCVLVOVIDVBVOVCVDCDVOVEVFVG $.
      $( [29-Jan-2004] $)

    $( The range of a function expressed as a collection of the function's
       values. $)
    fnrnfv $p |- ( F Fn A -> ran F = { y | E. x e. A y = ( F ` x ) } ) $=
      ( wfn crn cv cop wcel wex cab wceq wrex dfrn3 wa fnop ex pm4.71rd fnopfvb
      cfv pm5.32da bitr4d exbidv eqcom rexbii df-rex syl6bbr abbidv syl5eq
      bitri ) DCEZDFAGZBGZHDIZAJZBKUMULDTZLZACMZBKABDNUKUOURBUKUOULCIZUPUMLZOZA
      JZURUKUNVAAUKUNUSUNOVAUKUNUSUKUNUSCULUMDPQRUKUSUTUNCULUMDSUAUBUCURUTACMVB
      UQUTACUMUPUDUEUTACUFUJUGUHUI $.
      $( [20-Oct-2005] $)

    $( A member of a function's range is a value of the function. $)
    fvelrnb $p |- ( F Fn A -> ( B e. ran F <-> E. x e. A ( F ` x ) = B ) ) $=
      ( vy wfn crn wcel cv cfv wceq wrex cab fnrnfv eleq2d cvv fvex eleq1 mpbii
      syl6bb rexlimivw eqeq1 eqcom rexbidv elab3 ) DBFZCDGZHCEIZAIZDJZKZABLZEMZ
      HUJCKZABLZUFUGUMCAEBDNOULUOECUNCPHZABUNUJPHUPUIDQUJCPRSUAUHCKZUKUNABUQUKC
      UJKUNUHCUJUBCUJUCTUDUET $.
      $( [31-Oct-1995] $)

    $( Alternate definition of the image of a function.  (Contributed by Raph
       Levien, 20-Nov-2006.) $)
    dfimafn $p |- ( ( Fun F /\ A C_ dom F ) ->
                  ( F " A ) = { y | E. x e. A ( F ` x ) = y } ) $=
      ( wfun cdm wss wa cv cfv wceq wrex cab cima wcel wb ssel2 funbrfvb sylan2
      wbr anassrs rexbidva abbidv df-ima syl6reqr ) DEZCDFZGZHZAIZDJBIZKZACLZBM
      UJUKDTZACLZBMDCNUIUMUOBUIULUNACUFUHUJCOZULUNPZUHUPHUFUJUGOUQCUGUJQUJUKDRS
      UAUBUCBADCUDUE $.
      $( [20-Nov-2006] $)

    $( Alternate definition of the image of a function as an indexed union of
       singletons of function values.  (Contributed by Raph Levien,
       20-Nov-2006.) $)
    dfimafn2 $p |- ( ( Fun F /\ A C_ dom F ) ->
                   ( F " A ) = U_ x e. A { ( F ` x ) } ) $=
      ( vy wfun cdm wss wa cima cv cfv wceq cab ciun wrex dfimafn iunab syl6eqr
      csn wcel df-sn eqcom abbii eqtri a1i iuneq2i ) CEBCFGHZCBIZABAJZCKZDJZLZD
      MZNZABUJSZNUGUHULABODMUNADBCPULADBQRABUOUMUOUMLUIBTUOUKUJLZDMUMDUJUAUPULD
      UKUJUBUCUDUEUFR $.
      $( [20-Nov-2006] $)

    $( Membership relation for the values of a function whose image is a
       subclass.  (Contributed by Raph Levien, 20-Nov-2006.) $)
    funimass4 $p |- ( ( Fun F /\ A C_ dom F ) ->
                    ( ( F " A ) C_ B <-> A. x e. A ( F ` x ) e. B ) ) $=
      ( vy cima wss cv wcel wi wal wfun cdm wa cfv wral dfss2 wceq wrex syl5bb
      wbr wb ssel2 eqcom funbrfvb sylan2 anassrs rexbidva elima syl6rbbr imbi1d
      r19.23v syl6bbr albidv ralcom4 fvex eleq1 ceqsalv ralbii bitr3i syl6bb )
      DBFZCGEHZVBIZVCCIZJZEKZDLZBDMZGZNZAHZDOZCIZABPZEVBCQVKVGVCVMRZVEJZABPZEKZ
      VOVKVFVREVKVFVPABSZVEJVRVKVDVTVEVKVTVLVCDUAZABSVDVKVPWAABVHVJVLBIZVPWAUBZ
      VJWBNVHVLVIIZWCBVIVLUCVPVMVCRVHWDNWAVCVMUDVLVCDUETUFUGUHAVCDBUIUJUKVPVEAB
      ULUMUNVSVQEKZABPVOVQAEBUOWEVNABVEVNEVMVLDUPVCVMCUQURUSUTVAT $.
      $( [20-Nov-2006] $)

    $( Function value in an image.  Part of Theorem 4.4(iii) of [Monk1] p. 42.
       (The proof was shortened by Andrew Salmon, 22-Oct-2011.) $)
    fvelima $p |- ( ( Fun F /\ A e. ( F " B ) ) ->
                  E. x e. B ( F ` x ) = A ) $=
      ( wfun cima wcel cv cfv wceq wrex wbr elima funbrfv reximdv syl5bi imp )
      DEZBDCFGZAHZDIBJZACKZSTBDLZACKRUBABDCMRUCUAACTBDNOPQ $.
      $( [22-Oct-2011] $) $( [29-Apr-2004] $)
  $}

  ${
    $d y A $.  $d x y B $.  $d x y C $.  $d x y F $.
    $( Function value in an image.  (The proof was shortened by Andrew Salmon,
       22-Oct-2011.)  (An unnecessary distinct variable restriction was removed
       by David Abernethy, 17-Dec-2011.) $)
    fvelimab $p |- ( ( F Fn A /\ B C_ A ) -> ( C e. ( F " B ) <->
                  E. x e. B ( F ` x ) = C ) ) $=
      ( vy wfn wss wa cima wcel cv cfv wceq wrex cvv anim2i eleq1 wb wi rexbidv
      elex fvex mpbii rexlimivw eqeq2 bibi12d imbi2d wfun cdm fnfun adantr fndm
      cab sseq2d biimpar dfimafn syl2anc abeq2d vtoclg impcom pm5.21nd ) EBGZCB
      HZIZDECJZKZALZEMZDNZACOZVEDPKZIVGVLVEDVFUBQVKVLVEVJVLACVJVIPKVLVHEUCVIDPR
      UDUEQVLVEVGVKSZVEFLZVFKZVIVNNZACOZSZTVEVMTFDPVNDNZVRVMVEVSVOVGVQVKVNDVFRV
      SVPVJACVNDVIUFUAUGUHVEVQFVFVEEUIZCEUJZHZVFVQFUNNVCVTVDBEUKULVCWBVDVCWABCB
      EUMUOUPAFCEUQURUSUTVAVB $.
      $( [25-Dec-2011] $) $( [20-Jan-2007] $)
  $}

  ${
    $d x B $.  $d x C $.  $d x F $.  $d x V $.
    $( Membership in the preimage of a singleton, under a function.
       (Contributed by Mario Carneiro, 12-May-2014.) $)
    fniniseg $p |- ( F Fn A ->
                 ( C e. ( `' F " { B } ) <-> ( C e. A /\ ( F ` C ) = B ) ) ) $=
      ( ccnv csn cima wcel wbr wfn cfv wceq eliniseg cdm breldm eleq2d pm4.71rd
      wa fndm syl5ib fnbrfvb pm5.32da bitr4d syl5bb ) CDEBFGHCBDIZDAJZCAHZCDKBL
      ZRZDBCMUFUEUGUERUIUFUEUGUECDNZHUFUGCBDOUFUJACADSPTQUFUGUHUEACBDUAUBUCUD
      $.
      $( [12-May-2014] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y F $.
    $( The indexed intersection of a function's values is the intersection of
       its range. $)
    fniinfv $p |- ( F Fn A -> |^|_ x e. A ( F ` x ) = |^| ran F ) $=
      ( vy wfn crn cint cv cfv wceq wrex cab ciin fnrnfv inteqd dfiin2 syl6reqr
      fvex ) CBEZCFZGDHAHZCIZJABKDLZGABUBMSTUCADBCNOADBUBUACRPQ $.
      $( [20-Oct-2005] $)

    $( Singleton of function value. $)
    fnsnfv $p |- ( ( F Fn A /\ B e. A ) -> { ( F ` B ) } = ( F " { B } ) ) $=
      ( vy wfn wcel wa cv cfv wceq cab wbr csn cima eqcom fnbrfvb syl5bb abbidv
      df-sn imasn 3eqtr4g ) CAEBAFGZDHZBCIZJZDKBUCCLZDKUDMCBMNUBUEUFDUEUDUCJUBU
      FUCUDOABUCCPQRDUDSDBCTUA $.
      $( [22-May-1998] $)
  $}

  $( The image of a pair under a funtion.  (Contributed by Jeff Madsen,
     6-Jan-2011.) $)
  fnimapr $p |- ( ( F Fn A /\ B e. A /\ C e. A ) ->
                          ( F " { B , C } ) = { ( F ` B ) , ( F ` C ) } ) $=
    ( wfn wcel w3a csn cima cun cfv fnsnfv 3adant3 3adant2 uneq12d eqcomd df-pr
    cpr wceq imaeq2i imaundi eqtri 3eqtr4g ) DAEZBAFZCAFZGZDBHZIZDCHZIZJZBDKZHZ
    CDKZHZJZDBCRZIZUMUORUGUQULUGUNUIUPUKUDUEUNUISUFABDLMUDUFUPUKSUEACDLNOPUSDUH
    UJJZIULURUTDBCQTDUHUJUAUBUMUOQUC $.
    $( [6-Jan-2011] $)

  ${
    $d F x y $.  $d A x y $.
    $( A simplified expression for the value of a function when we know it's a
       function. $)
    funfv $p |- ( Fun F -> ( F ` A ) = U. ( F " { A } ) ) $=
      ( vx vy cvv cima cuni wceq cv wbr wmo wal wi wn c0 syl unieqd uni0 syl6eq
      eqtr4d wfun wcel cfv csn wrel dffun6 simprbi ax-17 breq1 mobid cla4gv cio
      cab wex weu df-mo euex con3i iotanul alnex bitri biimpri iotaequ ja sylbi
      ab0 df-fv imasn unieqi 3eqtr4g syl6com fvprc biimpi imaeq2d ima0 pm2.61d1
      snprc eqtri ) BUAZAEUBZABUCZBAUDZFZGZHZVSCIZDIZBJZDKZCLZVTWEMVSBUEWJCDBUF
      UGVTWJAWGBJZDKZWEWIWLCAEWFAHZWHWKDWMDUHWFAWGBUIUJUKWLWKDULZWKDUMZGZWAWDWL
      WKDUNZWKDUOZMWNWPHZWKDUPWQWRWSWQNZWNOWPWTWRNWNOHWRWQWKDUQURWKDUSPWTWPOGZO
      WTWOOWOOHZWTXBWKNDLWTWKDVFWKDUTVAVBQRSTWKDVCVDVEDABVGWCWODABVHVIVJVKPVTNZ
      WAOWDABVLXCWDBOFZGZOXCWCXDXCWBOBXCWBOHAVQVMVNQXEXAOXDOBVOVIRVRSTVP $.
      $( [22-May-1998] $)
  $}

  ${
    $d y A $.  $d y F $.
    $( The value of a function.  Definition of function value in [Enderton]
       p. 43. $)
    funfv2 $p |- ( Fun F -> ( F ` A ) = U. { y | A F y } ) $=
      ( wfun cfv csn cima cuni cv wbr cab funfv imasn unieqi syl6eq ) CDBCECBFG
      ZHBAICJAKZHBCLPQABCMNO $.
      $( [11-May-2005] $) $( [22-May-1998] $)
  $}

  ${
    $d w z A $.  $d w z F $.  $d w y z $.
    funfv2f.1 $e |- ( z e. A -> A. y z e. A ) $.
    funfv2f.2 $e |- ( z e. F -> A. y z e. F ) $.
    $( The value of a function.  Version of ~ funfv2 using a bound-variable
       hypotheses instead of distinct variable conditions. $)
    funfv2f $p |- ( Fun F -> ( F ` A ) = U. { y | A F y } ) $=
      ( vw wfun cfv cv wbr cab cuni funfv2 wcel ax-17 hbbr breq2 cbvab unieqi
      syl6eq ) DHCDICGJZDKZGLZMCAJZDKZALZMGCDNUDUGUCUFGAABCUBDEFBJUBOAPQUFGPUBU
      ECDRSTUA $.
      $( [19-Feb-2006] $)
  $}

  $( Value of the union of two functions when the domains are separate.
     (Contributed by FL, 7-Nov-2011.) $)
  fvun $p |- ( ( ( Fun F /\ Fun G ) /\ ( dom F i^i dom G ) = (/) ) ->
                ( ( F u. G ) ` A ) = ( ( F ` A ) u. ( G ` A ) ) ) $=
    ( wfun wa cdm cin c0 wceq cun cfv csn cima cuni funun funfv imaundir eqcomd
    syl a1i unieqd uniun anim12i adantr uneq12 syl5eq 3eqtrd ) BDZCDZEZBFCFGHIZ
    EZABCJZKZUMALZMZNZBUOMZCUOMZJZNZABKZACKZJZULUMDUNUQIBCOAUMPSULUPUTUPUTIULBC
    UOQTUAULVAURNZUSNZJZVDURUSUBULVEVBIZVFVCIZEZVGVDIUJVJUKUHVHUIVIUHVBVEABPRUI
    VCVFACPRUCUDVEVBVFVCUESUFUG $.
    $( [7-Nov-2011] $)

  ${
    $d A x $.  $d B x $.  $d X x $.
    $( The value of a union when the argument is in the first domain.
       (Contributed by Scott Fenton, 29-Jun-2013.) $)
    fvun1 $p |- ( ( F Fn A /\ G Fn B /\ ( ( A i^i B ) = (/) /\ X e. A ) ) ->
    ( ( F u. G ) ` X ) = ( F ` X ) ) $=
      ( vx wfn cin c0 wceq wcel wa cun cfv wfun cdm fnfun 3ad2ant2 fndm wn fvun
      w3a 3ad2ant1 ineq12 syl2an eqeq1d biimprd adantrd 3impia syl21anc cv wral
      wi eleq1 notbid rcla4cv sylbi imp 3ad2ant3 eleq2d mtbird ndmfv syl uneq2d
      disj eqtrd un0 syl6eq ) CAGZDBGZABHZIJZEAKZLZUBZECDMNZECNZIMZVQVOVPVQEDNZ
      MZVRVOCOZDOZCPZDPZHZIJZVPVTJVIVJWAVNACQUCVJVIWBVNBDQRVIVJVNWFVIVJLZVLWFVM
      WGWFVLWGWEVKIVIWCAJWDBJZWEVKJVJACSBDSZWCAWDBUDUEUFUGUHUIECDUAUJVOVSIVQVOE
      WDKZTVSIJVOWJEBKZVNVIWKTZVJVLVMWLVLFUKZBKZTZFAULVMWLUMFABVEWOWLFEAWMEJWNW
      KWMEBUNUOUPUQURUSVOWDBEVJVIWHVNWIRUTVAEDVBVCVDVFVQVGVH $.
      $( [29-Jun-2013] $)
  $}

  $( The value of a union when the argument is in the second domain.
     (Contributed by Scott Fenton, 29-Jun-2013.) $)
  fvun2 $p |- ( ( F Fn A /\ G Fn B /\ ( ( A i^i B ) = (/) /\ X e. B ) ) ->
    ( ( F u. G ) ` X ) = ( G ` X ) ) $=
    ( wfn cin c0 wceq wcel w3a cun cfv uncom fveq1i incom eqeq1i anbi1i fvun1
    wa syl3an3b 3com12 syl5eq ) CAFZDBFZABGZHIZEBJZTZKECDLZMEDCLZMZEDMZEUJUKCDN
    OUEUDUIULUMIZUIUEUDBAGZHIZUHTUNUGUPUHUFUOHABPQRBADCESUAUBUC $.
    $( [29-Jun-2013] $)

  ${
    $d y z A $.  $d y z F $.  $d y z G $.
    $( Domains of a function composition. $)
    dmfco $p |- ( ( Fun G /\ A e. dom G ) ->
               ( A e. dom ( F o. G ) <-> ( G ` A ) e. dom F ) ) $=
      ( vy vz wfun cdm wcel wa cv wbr wex cfv ccom wceq fvex breq1 ceqsexv eldm
      exbidv eqcom funbrfvb syl5bb anbi1d syl5rbbr brco exbii bitri 3bitr4g ) C
      FACGHIZADJZCKZUKEJZBKZIZDLZELZACMZUMBKZELABCNZGHZURBGHUJUPUSEUSUKUROZUNIZ
      DLUJUPUNUSDURACPUKURUMBQRUJVCUODUJVBULUNVBURUKOUJULUKURUAAUKCUBUCUDTUETVA
      AUMUTKZELUQEAUTSVDUPEDAUMBCUFUGUHEURBSUI $.
      $( [27-Jan-1997] $)

    $d C y z $.
    $( Value of a function composition.  Similar to second part of Theorem 3H
       of [Enderton] p. 47.  (The proof was shortened by Andrew Salmon,
       22-Oct-2011.) $)
    fvco2 $p |- ( ( G Fn A /\ C e. A ) ->
             ( ( F o. G ) ` C ) = ( F ` ( G ` C ) ) ) $=
      ( vy vz csn cima cv wceq cab cfv wbr cio df-iota df-fv imasn eqeq1i abbii
      cuni wfn wcel wa ccom fnsnfv imaeq2d syl6reqr eqeq1d abbidv unieqd unieqi
      imaco 3eqtr4i 3eqtr4g ) DAUABAUBUCZCDUDZBGZHZEIGZJZEKZTZCBDLZGZHZUSJZEKZT
      ZBUPLZVCCLZUOVAVGUOUTVFEUOURVEUSUOVECDUQHZHURUOVDVKCABDUEUFCDUQULUGUHUIUJ
      BFIZUPMZFNVMFKZUSJZEKZTVIVBVMFEOFBUPPVAVPUTVOEURVNUSFBUPQRSUKUMVCVLCMZFNV
      QFKZUSJZEKZTVJVHVQFEOFVCCPVGVTVFVSEVEVRUSFVCCQRSUKUMUN $.
      $( [22-Oct-2011] $) $( [9-Oct-2004] $)

  $}

  $( Value of a function composition.  Similar to Exercise 5 of [TakeutiZaring]
     p. 28. $)
  fvco $p |- ( ( Fun G /\ A e. dom G ) ->
               ( ( F o. G ) ` A ) = ( F ` ( G ` A ) ) ) $=
    ( wfun cdm wfn wcel ccom cfv wceq funfn fvco2 sylanb ) CDCCEZFANGABCHIACIBI
    JCKNABCLM $.
    $( [22-Apr-2006] $)

  $( Value of a function composition. $)
  fvco3 $p |- ( ( G : A --> B /\ C e. A ) ->
             ( ( F o. G ) ` C ) = ( F ` ( G ` C ) ) ) $=
    ( wf wfn wcel ccom cfv wceq ffn fvco2 sylan ) ABEFEAGCAHCDEIJCEJDJKABELACDE
    MN $.
    $( [21-Aug-2006] $) $( [3-Jan-2004] $)

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y D $.
    $( Closed theorem form of ~ fvopab4 . $)
    fvopab4t $p |- ( ( A. x A. y ( x = A -> B = C )
      /\ A. x F = { <. x , y >. | ( x e. D /\ y = B ) }
      /\ ( A e. D /\ C e. V ) ) -> ( F ` A ) = C ) $=
      ( wcel wa cv wceq wi wal copab cvv cfv elex wfun wb anim2i funopab4 simp2
      w3a cop 19.21bi funeqd mpbiri simp3l eqidd eleq1 eqeq2 bi2anan9 ex 2alimi
      a2i 3ad2ant1 eqeq1 anbi2d gen2 simp3 opelopabt syl3anc mpbir2and eleqtrrd
      a1i funopfv sylc syl3an3 ) CFIZEHIZJAKZCLZDELZMZBNANZGVLFIZBKZDLZJZABOZLZ
      ANZVJEPIZJZCGQELZVKWDVJEHRUAVPWCWEUDZGSZCEUEZGIWFWGWHWASVQABDUBWGGWAWGWBA
      VPWCWEUCUFZUGUHWGWIWAGWGWIWAIZVJEELZVPWCVJWDUIWGEUJWGVMVTVJVRELZJZTZMZBNA
      NZWMWNVJWLJZTMZBNANZWEWKWRTVPWCWQWEVOWPABVMVNWOVMVNWOVMVQVJVNVSWMVLCFUKDE
      VRULUMUNUPUOUQWTWGWSABWMWMWLVJVREEURUSUTVFVPWCWEVAVTWNWRABCEFPVBVCVDWJVEC
      EGVGVHVI $.
      $( [21-Feb-2013] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y ch $.
    fvopab3.1 $e |- B e. _V $.
    fvopab3.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    fvopab3.3 $e |- ( y = B -> ( ps <-> ch ) ) $.
    fvopab3.4 $e |- ( x e. C -> E! y ph ) $.
    fvopab3.5 $e |- F = { <. x , y >. | ( x e. C /\ ph ) } $.
    $( Value of a function given by ordered-pair class abstraction. $)
    fvopab3 $p |- ( A e. C -> ( ( F ` A ) = B <-> ch ) ) $=
      ( wcel cv wa wceq cvv wb cop copab cfv eleq1 anbi12d anbi2d opelopabg wfn
      mpan2 fnopab fnopfvb mpan eleq2i syl6bb ibar 3bitr4d ) FHOZFGUAZDPZHOZAQZ
      DEUBZOZUQCQZFIUCGRZCUQGSOVCVDTJVAUQBQVDDEFGHSUSFRUTUQABUSFHUDKUEEPGRBCUQL
      UFUGUIUQVEURIOZVCIHUHUQVEVFTADEHIMNUJHFGIUKULIVBURNUMUNUQCUOUP $.
      $( [6-Mar-1996] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y ch $.
    fvopab3ig.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    fvopab3ig.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    fvopab3ig.3 $e |- ( x e. C -> E* y ph ) $.
    fvopab3ig.4 $e |- F = { <. x , y >. | ( x e. C /\ ph ) } $.
    $( Value of a function given by ordered-pair class abstraction. $)
    fvopab3ig $p |- ( ( A e. C /\ B e. D ) -> ( ch -> ( F ` A ) = B ) ) $=
      ( wcel wa cv cfv wceq wmo copab cop funopab wi moanimv mpbir mpgbir simpl
      wfun eleq1 anbi12d anbi2d opelopabg biimprd funopfv fveq1i eqeq1i syl6ibr
      mpand ee02 ) FHOZGIOZPZCFDQZHOZAPZDEUAZRZGSZFJRZGSVGUIZVCCFGUBVGOZVIVKVFE
      TZDVFDEUCVMVEAETUDMVEAEUEUFUGVCVACVLVAVBUHVCVLVACPZVFVABPVNDEFGHIVDFSVEVA
      ABVDFHUJKUKEQGSBCVALULUMUNUSFGVGUOUTVJVHGFJVGNUPUQUR $.
      $( [23-Oct-1999] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y D $.
    fvopab4g.1 $e |- ( x = A -> B = C ) $.
    fvopab4g.2 $e |- F = { <. x , y >. | ( x e. D /\ y = B ) } $.
    $( Value of a function given by ordered-pair class abstraction. $)
    fvopab4g $p |- ( ( A e. D /\ C e. R ) -> ( F ` A ) = C ) $=
      ( wcel wa wceq cfv eqid cv eqeq2d eqeq1 wmo moeq a1i fvopab3ig mpi ) CFKE
      GKLEEMZCHNEMEOBPZDMZUEEMUDABCEFGHAPZCMDEUEIQUEEERUFBSUGFKBDTUAJUBUC $.
      $( [23-Oct-1999] $)

    ${
      fvopab4.3 $e |- C e. _V $.
      $( Value of a function given by ordered-pair class abstraction. $)
      fvopab4 $p |- ( A e. D -> ( F ` A ) = C ) $=
        ( wcel cvv cfv wceq fvopab4g mpan2 ) CFKELKCGMENJABCDEFLGHIOP $.
        $( [23-Oct-1999] $)
    $}
  $}

  ${
    $d v w z A $.  $d u v w y B $.  $d z w v C $.  $d v w x y D $.  $d u x z $.
    fvopab4gf.1 $e |- ( z e. A -> A. x z e. A ) $.
    fvopab4gf.2 $e |- ( z e. C -> A. x z e. C ) $.
    fvopab4gf.3 $e |- ( x = A -> B = C ) $.
    fvopab4gf.4 $e |- F = { <. x , y >. | ( x e. D /\ y = B ) } $.
    $( Value of a function given by an ordered-pair class abstraction.  This
       version of ~ fvopab4g uses bound-variable hypotheses instead of distinct
       variable conditions. $)
    fvopab4gf $p |- ( ( A e. D /\ C e. R ) -> ( F ` A ) = C ) $=
      ( vw vv wcel wa cfv cv ax-17 csb wceq copab wel hbcsb1 hbeleq hban weq wb
      eleq1 adantr csbeq1a eqeqan12rd anbi12d cbvopab eqtri fveq1i csbhypf eqid
      id1 fvopab4g syl5eq ) DGPFHPQDIRDNSZGPZOSZAVCEUAZUBZQZNOUCZRFDIVIIASZGPZB
      SZEUBZQZABUCVIMVNVHABNOVNNTVNOTVDVGAVDATAOVFAOVCEONUDATUEUFUGVHBTANUHZBOU
      HZQVKVDVMVGVOVKVDUIVPVJVCGUJUKVPVOVLVEEVFVPUTAVCEULUMUNUOUPUQNODVFFGHVIAN
      CDEFJKLURVIUSVAVB $.
      $( [20-Dec-2008] $) $( [8-Nov-2005] $)
  $}

  ${
    $d z A $.  $d y B $.  $d z B $.  $d x y C $.  $d x z $.
    fvopab4sf.1 $e |- A e. _V $.
    fvopab4sf.2 $e |- B e. _V $.
    fvopab4sf.3 $e |- ( z e. A -> A. x z e. A ) $.
    fvopab4sf.4 $e |- F = { <. x , y >. | ( x e. C /\ y = B ) } $.
    $( Value of a function given by ordered-pair class abstraction, using
       explicit class substitution.  TODO:  Eliminate redundant first
       hypothesis. $)
    fvopab4sf $p |- ( A e. C -> ( F ` A ) = [_ A / x ]_ B ) $=
      ( wcel csb cvv cfv wceq csbex hbcsb1 csbeq1a fvopab4gf mpan2 ) DFLADEMZNL
      DGOUBPADEHIQABCDEUBFNGJACDEJRADESKTUA $.
      $( [26-Mar-2006] $)
  $}

  ${
    $d w A $.  $d w y z B $.  $d w x y z C $.  $d w F $.
    fvopab4s.1 $e |- B e. _V $.
    fvopab4s.2 $e |- F = { <. x , y >. | ( x e. C /\ y = B ) } $.
    $( Value of a function given by ordered-pair class abstraction, using
       explicit class substitution. $)
    fvopab4s $p |- ( A e. C -> ( F ` A ) = [_ A / x ]_ B ) $=
      ( vw vz cv cfv csb wceq fveq2 csbeq1 eqeq12d vex wcel ax-17 fvopab4sf
      vtoclga ) IKZFLZAUCDMZNCFLZACDMZNICEUCCNUDUFUEUGUCCFOAUCCDPQABJUCDEFIRGJK
      UCSATHUAUB $.
      $( [26-Mar-2006] $)
  $}

  ${
    $d x y A $.
    fvopab4ndm.1 $e |- F = { <. x , y >. | ( x e. A /\ ph ) } $.
    $( Value of a function given by an ordered-pair class abstraction, outside
       of its domain. $)
    fvopab4ndm $p |- ( -. B e. A -> ( F ` B ) = (/) ) $=
      ( wcel wn cdm cfv c0 wceq cv wa copab dmeqi dmopabss eqsstri sseli con3i
      ndmfv syl ) EDHZIEFJZHZIEFKLMUFUDUEDEUEBNDHAOBCPZJDFUGGQABCDRSTUAEFUBUC
      $.
      $( [28-Mar-2008] $)
  $}

  ${
    $d x y z w A $.  $d y z w B $.  $d x y z w C $.
    fvopabg.1 $e |- ( x = A -> B = C ) $.
    $( The value of a function given by ordered-pair class abstraction. $)
    fvopabg $p |- ( ( A e. V /\ C e. W ) ->
                    ( { <. x , y >. | y = B } ` A ) = C ) $=
      ( wcel cvv cv wceq copab cfv elex wa vex biantrur opabbii fvopab4g sylan
      ) CFICJIEGICBKDLZABMZNELCFOABCDEJGUCHUBAKJIZUBPABUDUBAQRSTUA $.
      $( [2-Sep-2003] $)
  $}

  ${
    $d x y z w A $.  $d z w B $.  $d x y z w C $.
    fvopabn.1 $e |- ( x = A -> B = C ) $.
    $( This somewhat non-intuitive theorem tells us the value of its function
       is the empty set when the class ` C ` it would otherwise map to is a
       proper class.  This is a technical lemma that can help eliminate
       redundant sethood antecedents otherwise required by ~ fvopabg . $)
    fvopabn $p |- ( -. C e. _V -> ( { <. x , y >. | y = B } ` A ) = (/) ) $=
      ( vz cvv wcel wn cv wceq copab cfv wbr cio c0 df-fv weu syl wex euex brex
      wa eqeq2d eqeq1 eqid brabg ibi vex syl6eqelr exlimiv con3i iotanul syl5eq
      wb ) EHIZJZCBKZDLZABMZNCGKZVAOZGPZQGCVARURVCGSZJVDQLVEUQVEVCGUAUQVCGUBVCU
      QGVCEVBHVCVBELZVCCHIVBHIUDVCVFUPCVBVAUCUTUSELVFABCVBHHVAAKCLDEUSFUEUSVBEU
      FVAUGUHTUIGUJUKULTUMVCGUNTUO $.
      $( [21-Oct-2003] $)
  $}

  ${
    $d z w v A $.  $d y w v B $.  $d z w v C $.  $d x y w v $.  $d x z $.
    fvopabgf.1 $e |- ( z e. A -> A. x z e. A ) $.
    fvopabgf.2 $e |- ( z e. C -> A. x z e. C ) $.
    fvopabgf.3 $e |- ( x = A -> B = C ) $.
    $( The value of a function given by ordered-pair class abstraction. $)
    fvopabgf $p |- ( ( A e. D /\ C e. R ) ->
                    ( { <. x , y >. | y = B } ` A ) = C ) $=
      ( vv vw wcel cv wceq copab cfv ax-17 weq wa csb wel hbcsb1 hbeleq csbeq1a
      wb id1 eqeqan12d ancoms cbvopab fveq1i csbhypf fvopabg syl5eq ) DGNFHNUAD
      BOZEPZABQZRDLOZAMOZEUBZPZMLQZRFDURVCUQVBABMLUQMSUQLSALVAALUTELMUCASUDUEVB
      BSBLTZAMTZUQVBUGVDVEUPUSEVAVDUHAUTEUFUIUJUKULMLDVAFGHAMCDEFIJKUMUNUO $.
      $( [21-Oct-2003] $)

    $( The value of a function given by an ordered-pair class abstraction is
       the empty set when the class it would otherwise map to is a proper
       class.  This version of ~ fvopabn uses bound-variable hypotheses instead
       of distinct variable conditions. $)
    fvopabnf $p |- ( -. C e. _V -> ( { <. x , y >. | y = B } ` A ) = (/) ) $=
      ( vv vw cvv wcel wn cv wceq copab cfv ax-17 weq csb wel hbcsb1 hbeleq id1
      c0 wb csbeq1a eqeqan12d ancoms cbvopab fveq1i csbhypf fvopabn syl5eq ) FL
      MNDBOZEPZABQZRDJOZAKOZEUAZPZKJQZRUFDURVCUQVBABKJUQKSUQJSAJVAAJUTEJKUBASUC
      UDVBBSBJTZAKTZUQVBUGVDVEUPUSEVAVDUEAUTEUHUIUJUKULKJDVAFAKCDEFGHIUMUNUO $.
      $( [21-Dec-2008] $) $( [21-Oct-2003] $)
  $}

  ${
    $d z A $.  $d y B $.  $d z C $.  $d x y $.  $d x u $.  $d x z $.
    fvopabf.1 $e |- ( z e. A -> A. x z e. A ) $.
    fvopabf.2 $e |- ( z e. C -> A. x z e. C ) $.
    fvopabf.3 $e |- A e. _V $.
    fvopabf.4 $e |- C e. _V $.
    fvopabf.5 $e |- ( x = A -> B = C ) $.
    $( The value of a function given by ordered-pair class abstraction. $)
    fvopabf $p |- ( { <. x , y >. | y = B } ` A ) = C $=
      ( cvv wcel cv wceq copab cfv fvopabgf mp2an ) DLMFLMDBNEOABPQFOIJABCDEFLL
      GHKRS $.
      $( [14-Sep-2003] $)
  $}

  ${
    $d x z A $.  $d y B $.  $d x z C $.  $d x y z $.
    fvopab.1 $e |- A e. _V $.
    fvopab.2 $e |- C e. _V $.
    fvopab.3 $e |- ( x = A -> B = C ) $.
    $( The value of a function given by an ordered-pair class abstraction. $)
    fvopab $p |- ( { <. x , y >. | y = B } ` A ) = C $=
      ( vz cv wcel ax-17 fvopabf ) ABICDEIJZCKALNEKALFGHM $.
      $( [17-Apr-1995] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d x y z $.
    $( Value of a function given by an ordered-pair class abstraction. $)
    fvopab2 $p |- ( ( x e. A /\ B e. C ) ->
                   ( { <. x , y >. | ( x e. A /\ y = B ) } ` x ) = B ) $=
      ( vz wcel cv wceq wa copab cfv wex wi elisset ax-17 hbopab2 hbfv cvv weu
      hbeq hbim vex eleq1 mpbii euanv opabid eubii eueq anbi2i 3bitr4ri tz6.12f
      cop sylanbr sylan2b exp43 pm2.43a mpdi com12 eqeq2 sylibd exlimi impcom
      syl ) DEGZAHZCGZVFVGBHZDIZJZABKZLZDIZVEVIBMVGVMNZBDEOVIVNBVGVMBVGBPBFFVLD
      BFVFVKVJABFQZFHZVFGBPRVPDGBPUAUBVIVGVLVHIZVMVGVIVQVGVIDSGZVQVIVHSGVRBUCVH
      DSUDUEVIVGVRVQNVGVIVGVRVQVGVRJZVJVFVHUMVKGZBTZVQVJBTVGVIBTZJWAVSVGVIBUFVT
      VJBVJABUGZUHVRWBVGBDUIUJUKVJVTWAVQWCABFVKVOULUNUOUPUQURUSVHDVLUTVAVBVDVC
      $.
      $( [2-Feb-2004] $) $( [30-Aug-1999] $)
  $}

  ${
    $d x z A $.  $d y z B $.  $d x y $.
    fvopabs.1 $e |- A e. _V $.
    fvopabs.2 $e |- B e. _V $.
    $( The value of a function given by an ordered-pair class abstraction,
       using class substitution. $)
    fvopabs $p |- ( { <. x , y >. | y = B } ` A ) = [_ A / x ]_ B $=
      ( vz csb cv wcel ax-17 hbcsb1 csbex csbeq1a fvopabf ) ABGCDACDHGICJAKZAGC
      DPLEACDEFMACDNO $.
      $( [25-Mar-2006] $)
  $}

  ${
    $d x y z A $.  $d z F $.  $d z ph $.  $d x ps $.
    fvopab5.1 $e |- F = { <. x , y >. | ph } $.
    fvopab5.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( The value of a function that is expressed as an ordered pair
       abstraction. $)
    fvopab5 $p |- ( ( Fun F /\ A e. B ) -> ( F ` A ) = U. { y | ps } ) $=
      ( vz wfun wcel cfv cv cab cuni ax-17 wceq cop syl5bb copab hbopab2 eleq2i
      wbr hbxfreq funfv2f elisset df-br bitri wb hbopab1 hbel hbbi opeq1 eleq1d
      wex opabid bitr3d exlimi abbidv syl unieqd sylan9eq ) GKEFLZEGMEDNZGUDZDO
      ZPBDOZPDJEGJNZELDQDJGACDUAZHACDJUBUEUFVDVGVHVDCNZERZCUPZVGVHRCEFUGVMVFBDV
      FEVESZVJLZVMBVFVNGLVOEVEGUHGVJVNHUCUIVLVOBUJCVOBCCJJVNVJVIVNLCQACDJUKULBC
      QUMVLVKVESZVJLZVOBVLVPVNVJVKEVEUNUOVQAVLBACDUQITURUSTUTVAVBVC $.
      $( [19-Feb-2006] $)
  $}

  ${
    $d A x y $.  $d ps x y $.  $d B y $.  $d C x y $.
    fvopab6.1 $e |- F = { <. x , y >. | ( ph /\ y = B ) } $.
    fvopab6.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    fvopab6.3 $e |- ( x = A -> B = C ) $.
    $( Value of a function given by ordered-pair class abstraction.
       (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    fvopab6 $p |- ( ( A e. D /\ C e. R /\ ps ) -> ( F ` A ) = C ) $=
      ( wcel cv wceq wa cab cuni wfun w3a cfv wmo copab wal funeqi funopab moeq
      bitri moani mpgbir simp1 eqeq2d anbi12d fvopab5 simpr pm3.2 abbidv unieqd
      sylancr impbid2 df-sn eqcomi unieqi unisng syl5eq sylan9eqr 3adant1 eqtrd
      csn ) EHNZGINZBUAZEJUBZBDOZGPZQZDRZSZGVMJTZVKVNVSPVTAVOFPZQZDUCZCVTWBCDUD
      ZTWCCUEJWDKUFWBCDUGUIWAADDFUHUJUKVKVLBULWBVQCDEHJKCOEPZABWAVPLWEFGVOMUMUN
      UOUTVLBVSGPVKBVLVSVPDRZSZGBVRWFBVQVPDBVQVPBVPUPBVPUQVAURUSVLWGGVJZSGWFWHW
      HWFDGVBVCVDGIVEVFVGVHVI $.
      $( [2-Sep-2009] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y F $.  $d x y G $.  $d x ph $.
    $( Equality of functions is determined by their values.  Exercise 4 of
       [TakeutiZaring] p. 28. $)
    eqfnfv $p |- ( ( F Fn A /\ G Fn B ) -> ( F = G <->
                 ( A = B /\ A. x e. A ( F ` x ) = ( G ` x ) ) ) ) $=
      ( vy wfn wa wceq cv cfv wral wi wcel wb wal adantl fnopfvb syl5ib wn rgen
      fndmu eqidd jctir fneq1 anbi1d fveq1 eqeq1d ralbidv anbi2d imbi12d mpbiri
      com12 fneq2 biimparc cop df-ral pm2.27 eqeq1 adantlr adantll bibi12d syld
      expcom cdm fndm opeldm eleq2 con3d syl adantr impcom 2falsed a1dd pm2.61i
      alrimdv alimdv syl5bi wrel fnrel eqrel syl2an sylibrd sylan2 exp32 impbid
      ex imp4b ) DBGZECGZHZDEIZBCIZAJZDKZWNEKZIZABLZHZWLWKWSWLWKWSMEBGZWJHZWMWP
      WPIZABLZHZMXAWMXCBCEUBXBABWNBNZWPUCUAUDWLWKXAWSXDWLWIWTWJBDEUEUFWLWRXCWMW
      LWQXBABWLWOWPWPWNDEUGUHUIUJUKULUMWIWJWMWRWLWIWJWMWRWLMZWJWMHWIWTXFWMWTWJB
      CEUNUOWIWTHZWRWNFJZUPZDNZXIENZOZFPZAPZWLWRXEWQMZAPXGXNWQABUQXGXOXMAXGXOXL
      FXEXGXOXLMZMXGXEXPXGXEHZXOWQXLXEXOWQMXGXEWQURQWQWOXHIZWPXHIZOXQXLWOWPXHUS
      XQXRXJXSXKWIXEXRXJOWTBWNXHDRUTWTXEXSXKOWIBWNXHERVAVBSVCVDXETZXGXLXOXTXGXL
      XTXGHXJXKXGXTXJTZWIXTYAMZWTWIDVEZBIZYBBDVFYDXJXEXJWNYCNYDXEWNXHDVGYCBWNVH
      SVIVJVKVLXGXTXKTZWTXTYEMZWIWTEVEZBIZYFBEVFYHXKXEXKWNYGNYHXEWNXHEVGYGBWNVH
      SVIVJQVLVMWGVNVOVPVQVRWIDVSEVSWLXNOWTBDVTBEVTAFDEWAWBWCWDWEWHWF $.
      $( [5-Feb-2004] $) $( [3-Aug-1994] $)

    $( Equality of functions is determined by their values.  Special case of
       Exercise 4 of [TakeutiZaring] p. 28 (with domain equality omitted).
       (The proof was shortened by Andrew Salmon, 22-Oct-2011.) $)
    eqfnfv2 $p |- ( ( F Fn A /\ G Fn A ) -> ( F = G <->
                 A. x e. A ( F ` x ) = ( G ` x ) ) ) $=
      ( wfn wa wceq cv cfv wral eqfnfv eqid biantrur syl6bbr ) CBEDBEFCDGBBGZAH
      ZCIPDIGABJZFQABBCDKOQBLMN $.
      $( [22-Oct-2011] $) $( [3-Aug-1994] $)

    $d x B $.
    $( Derive equality of functions from equality of their values.
       (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    eqfnfv3 $p |- ( ( F Fn A /\ G Fn B ) -> ( F = G <-> ( B C_ A /\ A. x e. A
                                  ( x e. B /\ ( F ` x ) = ( G ` x ) ) ) ) ) $=
      ( wfn wa wceq cv cfv wral wcel eqfnfv eqss ancom bitri anbi1i anass dfss3
      wss r19.26 bitr4i anbi2i 3bitri syl6bb ) DBFECFGDEHBCHZAIZDJUGEJHZABKZGZC
      BTZUGCLZUHGABKZGZABCDEMUJUKBCTZGZUIGUKUOUIGZGUNUFUPUIUFUOUKGUPBCNUOUKOPQU
      KUOUIRUQUMUKUQULABKZUIGUMUOURUIABCSQULUHABUAUBUCUDUE $.
      $( [2-Sep-2009] $)
    eqfnfvd.1 $e |- ( ph -> F Fn A ) $.
    eqfnfvd.2 $e |- ( ph -> G Fn A ) $.
    eqfnfvd.3 $e |- ( ( ph /\ x e. A ) -> ( F ` x ) = ( G ` x ) ) $.
    $( Deduction for equality of functions.  (Contributed by Mario Carneiro,
       24-Jul-2014.) $)
    eqfnfvd $p |- ( ph -> F = G ) $=
      ( wceq cv cfv wral ralrimiva wfn wb eqfnfv2 syl2anc mpbird ) ADEIZBJZDKTE
      KIZBCLZAUABCHMADCNECNSUBOFGBCDEPQR $.
      $( [24-Jul-2014] $)
  $}

  ${
    $d x z A $.  $d y z F $.  $d y z G $.  $d x y $.
    eqfnfvf2.1 $e |- ( y e. F -> A. x y e. F ) $.
    eqfnfvf2.2 $e |- ( y e. G -> A. x y e. G ) $.
    $( Equality of functions is determined by their values.  Special case of
       Exercise 4 of [TakeutiZaring] p. 28 (with domain equality omitted).
       This version of ~ eqfnfv2 uses bound-variable hypotheses instead of
       distinct variable conditions. $)
    eqfnfv2f $p |- ( ( F Fn A /\ G Fn A ) -> ( F = G <->
                 A. x e. A ( F ` x ) = ( G ` x ) ) ) $=
      ( vz wfn wa wceq cv cfv wral eqfnfv2 wcel ax-17 hbfv hbeq fveq2 eqeq12d
      cbvral syl6bb ) DCIECIJDEKHLZDMZUDEMZKZHCNALZDMZUHEMZKZACNHCDEOUGUKHACABB
      UEUFABUDDFBLUDPAQZRABUDEGULRSUKHQUDUHKUEUIUFUJUDUHDTUDUHETUAUBUC $.
      $( [22-Mar-2009] $) $( [29-Jan-2004] $)
  $}

  ${
    $d F x $.  $d G x $.
    $( Equality of functions is determined by their values.  (Contributed by
       Scott Fenton, 19-Jun-2011.) $)
    eqfunfv $p |- ( ( Fun F /\ Fun G ) -> ( F = G <->
                    ( dom F = dom G /\
                      A. x e. dom F ( F ` x ) = ( G ` x ) ) ) ) $=
      ( wfun cdm wfn wceq cv cfv wral wa wb funfn eqfnfv syl2anb ) BDBBEZFCCEZF
      BCGPQGAHZBIRCIGAPJKLCDBMCMAPQBCNO $.
      $( [10-Jul-2011] $) $( [19-Jun-2011] $)
  $}

  ${
    $d x B $.  $d x F $.  $d x G $.
    $( Equality of restricted functions is determined by their values. $)
    fvreseq $p |- ( ( ( F Fn A /\ G Fn A ) /\ B C_ A ) ->
         ( ( F |` B ) = ( G |` B ) <-> A. x e. B ( F ` x ) = ( G ` x ) ) ) $=
      ( wfn wa wss cres wceq cv cfv wral fnssres anim12i anandirs eqfnfv2 fvres
      wb wcel eqeq12d ralbiia syl6bb syl ) DBFZEBFZGCBHZGDCIZCFZECIZCFZGZUHUJJZ
      AKZDLZUNELZJZACMZSUEUFUGULUEUGGUIUFUGGUKBCDNBCENOPULUMUNUHLZUNUJLZJZACMUR
      ACUHUJQVAUQACUNCTUSUOUTUPUNCDRUNCERUAUBUCUD $.
      $( [6-Feb-2004] $) $( [3-Aug-1994] $)
  $}

  ${
    $d x y z A $.  $d y B $.  $d z F $.  $d w x z C $.  $d w F $.
    elrnopabg.1 $e |- F = { <. x , y >. | ( x e. A
             /\ y = B ) } $.
    $( Membership in the range of an ordered pair class abstraction. $)
    elrnopabg $p |- ( A. x e. A B e. D ->
                    ( C e. ran F <-> E. x e. A C = B ) ) $=
      ( vz vw wcel wral cvv wceq wrex wb cv cfv wa ax-17 crn elex ralimi biimpi
      wfn weu eueq fnopabg sylib fvelrnb copab hbopab1 hbxfreq hbfv hbeq eqeq1d
      fveq2 cbvrex hbra1 ra4 ancld imp fveq1i fvopab2 syl5eq syl6bb syl rexbida
      eqcom syl5bb sylan9bbr mpdan ) DFKZACLDMKZACLZEGUAKZEDNZACOZPZVMVNACDFUBU
      CVOGCUEZVSVOBQDNZBUFZACLVTVNWBACVNWBBDUGUDUCWAABCGHUHUIVTVPIQZGRZENZICOZV
      OVRICEGUJWFAQZGRZENZACOVOVRWEWIIACAJJWDEAJWCGAJGWGCKZWASZABUKZHWKABJULUMJ
      QZWCKATUNWMEKATUOWIITWCWGNWDWHEWCWGGUQUPURVOWIVQACVNACUSVOWJSWJVNSZWIVQPV
      OWJWNVOWJVNVNACUTVAVBWNWIDENVQWNWHDEWNWHWGWLRDWGGWLHVCABCDMVDVEUPDEVIVFVG
      VHVJVKVLVG $.
      $( [27-Aug-2007] $)
  $}

  ${
    $d x y z A $.  $d y B $.  $d z F $.  $d w x z C $.  $d w F $.
    elrnopab.1 $e |- B e. _V $.
    elrnopab.2 $e |- F = { <. x , y >. | ( x e. A
             /\ y = B ) } $.
    $( Membership in the range of an ordered pair class abstraction. $)
    elrnopab $p |- ( C e. ran F <-> E. x e. A C = B ) $=
      ( cvv wcel crn wceq wrex wb elrnopabg cv a1i mprg ) DIJZEFKJEDLACMNACABCD
      EIFHOSAPCJGQR $.
      $( [30-Aug-2004] $)
  $}

  ${
    $d x y A $.  $d x y F $.
    $( The range of a choice function (a function that chooses an element from
       each member of its domain) is included in the union of its domain. $)
    chfnrn $p |- ( ( F Fn A /\ A. x e. A ( F ` x ) e. x ) -> ran F C_ U. A ) $=
      ( vy wfn cv cfv wcel wral wa cuni wrex wceq fvelrnb biimpd hbra1 wi eleq1
      crn ra4 biimpcd syl6 reximdai sylan9 eluni2 syl6ibr ssrdv ) CBEZAFZCGZUIH
      ZABIZJZDCSZBKZUMDFZUNHZUPUIHZABLZUPUOHUHUQUJUPMZABLZULUSUHUQVAABUPCNOULUT
      URABUKABPULUIBHUKUTURQUKABTUTUKURUJUPUIRUAUBUCUDAUPBUEUFUG $.
      $( [31-Aug-1999] $)
  $}

  ${
    $d x F $.  $d x A $.
    $( Ordered pair with function value.  Part of Theorem 4.3(i) of [Monk1]
       p. 41. $)
    funfvop $p |- ( ( Fun F /\ A e. dom F ) -> <. A , ( F ` A ) >. e. F ) $=
      ( wfun cdm wcel wa cfv wceq cop eqid funopfvb mpbii ) BCABDEFABGZMHAMIBEM
      JAMBKL $.
      $( [14-Oct-1996] $)
  $}

  $( Two ways to say that ` A ` is in the domain of ` F ` .  (Contributed by
     Mario Carneiro, 1-May-2014.) $)
  funfvbrb $p |- ( Fun F -> ( A e. dom F <-> A F ( F ` A ) ) ) $=
    ( wfun cdm wcel cfv wbr wa cop funfvop df-br sylibr breldm adantl impbida )
    BCZABDEZAABFZBGZPQHARIBESABJARBKLSQPARBMNO $.
    $( [1-May-2014] $)

  $( A member of a preimage is a function value argument. $)
  fvimacnvi $p |- ( ( Fun F /\ A e. ( `' F " B ) ) -> ( F ` A ) e. B ) $=
    ( wfun ccnv cima wcel cfv csn wss snssi funimass2 sylan2 fvex snss cdm wceq
    wa cnvimass sseli wfn funfn fnsnfv sylanb sseq1d syl5bb mpbird ) CDZACEBFZG
    ZRZACHZBGZCAIZFZBJZUJUHUNUIJUPAUIKUNBCLMUMULIZBJUKUPULBACNOUKUQUOBUJUHACPZG
    ZUQUOQZUIURACBSTUHCURUAUSUTCUBURACUCUDMUEUFUG $.
    $( [4-May-2007] $)

  $( The argument of a function value belongs to the preimage of any class
     containing the function value.  (Contributed by Raph Levien, 20-Nov-2006.
     He remarks:  "This proof is unsatisfying, because it seems to me that
     ~ funimass2 could probably be strengthened to a biconditional.") $)
  fvimacnv $p |- ( ( Fun F /\ A e. dom F ) ->
                 ( ( F ` A ) e. B <-> A e. ( `' F " B ) ) ) $=
    ( wfun cdm wcel wa cfv ccnv cima csn cop funfvop opelcnv sylibr elimasn wss
    fvex snss imass2 sylbi sseld syl5com wi fvimacnvi ex adantr impbid ) CDZACE
    FZGZACHZBFZACIZBJZFZUKAUNULKZJZFZUMUPUKULALUNFZUSUKAULLCFUTACMULACNOUNULAPO
    UMURUOAUMUQBQURUOQULBACRSUQBUNTUAUBUCUIUPUMUDUJUIUPUMABCUEUFUGUH $.
    $( [20-Nov-2006] $)

  ${
    $d F x $.  $d A x $.  $d B x $.
    $( A kind of contraposition law that infers an image subclass from a
       subclass of a preimage.  (Contributed by Raph Levien, 20-Nov-2006.  He
       remarks:  "Likely this could be proved directly, and ~ fvimacnv would be
       the special case of ` A ` being a singleton, but it works this way round
       too.") $)
    funimass3 $p |- ( ( Fun F /\ A C_ dom F ) ->
                    ( ( F " A ) C_ B <-> A C_ ( `' F " B ) ) ) $=
      ( vx wfun cdm wss wa cima cv ccnv wcel wral funimass4 wb ssel fvimacnv ex
      cfv syl9r imp31 ralbidva bitrd dfss3 syl6bbr ) CEZACFZGZHZCAIBGZDJZCKBIZL
      ZDAMZAULGUIUJUKCSBLZDAMUNDABCNUIUOUMDAUFUHUKALZUOUMOZUHUPUKUGLZUFUQAUGUKP
      UFURUQUKBCQRTUAUBUCDAULUDUE $.
      $( [20-Nov-2006] $)

    $( A subclass of a preimage in terms of function values. $)
    funimass5 $p |- ( ( Fun F /\ A C_ dom F ) ->
                    ( A C_ ( `' F " B ) <-> A. x e. A ( F ` x ) e. B ) ) $=
      ( wfun cdm wss wa cima ccnv cv cfv wcel wral funimass3 funimass4 bitr3d )
      DEBDFGHDBICGBDJCIGAKDLCMABNBCDOABCDPQ $.
      $( [15-May-2007] $)

    $( Two ways of specifying that a function is constant on a subdomain. $)
    funconstss $p |- ( ( Fun F /\ A C_ dom F ) ->
                     ( A. x e. A ( F ` x ) = B <-> A C_ ( `' F " { B } ) ) ) $=
      ( wfun cdm wss wa cv cfv wceq wral cima csn ccnv wcel funimass4 fvex elsn
      ralbii syl6rbb funimass3 bitrd ) DEBDFGHZAIZDJZCKZABLZDBMCNZGZBDOUIMGUDUJ
      UFUIPZABLUHABUIDQUKUGABUFCUEDRSTUABUIDUBUC $.
      $( [8-Mar-2007] $)
  $}


  $( Membership in the preimage of a set under a function.  (Contributed by
     Jeff Madsen, 2-Sep-2009.) $)
  elpreima $p |- ( F Fn A -> ( B e. ( `' F " C )
                              <-> ( B e. A /\ ( F ` B ) e. C ) ) ) $=
    ( wfn ccnv cima wcel cfv wa cdm cnvimass sseli fndm eleq2d syl5ib fvimacnvi
    wfun fnfun sylan ex jcad wb fvimacnv funfni biimpd expimpd impbid ) DAEZBDF
    CGZHZBAHZBDICHZJUIUKULUMUKBDKZHUIULUJUNBDCLMUIUNABADNOPUIUKUMUIDRUKUMADSBCD
    QTUAUBUIULUMUKUIULJUMUKUMUKUCABDBCDUDUEUFUGUH $.
    $( [2-Sep-2009] $)

  ${
    $d x F $.  $d x A $.  $d x B $.
    $( Preimage of a union.  (Contributed by Jeff Madsen, 2-Sep-2009.) $)
    unpreima $p |- ( Fun F -> ( `' F " ( A u. B ) )
                                  = ( ( `' F " A ) u. ( `' F " B ) ) ) $=
      ( vx wfun cdm wfn ccnv cun cima wceq funfn cv wcel wa wo wb elun elpreima
      cfv anbi2i andi bitri a1i orbi12d syl5bb 3bitr4d eqrdv sylbi ) CECCFZGZCH
      ZABIZJZULAJZULBJZIZKCLUKDUNUQUKDMZUJNZURCTZUMNZOZUSUTANZOZUSUTBNZOZPZURUN
      NURUQNZVBVGQUKVBUSVCVEPZOVGVAVIUSUTABRUAUSVCVEUBUCUDUJURUMCSVHURUONZURUPN
      ZPUKVGURUOUPRUKVJVDVKVFUJURACSUJURBCSUEUFUGUHUI $.
      $( [2-Sep-2009] $)

    $( Preimage of an intersection.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    inpreima $p |- ( Fun F -> ( `' F " ( A i^i B ) )
                                  = ( ( `' F " A ) i^i ( `' F " B ) ) ) $=
      ( vx wfun cdm wfn ccnv cin cima wceq funfn cv wcel wa cfv anbi2i elpreima
      wb elin a1i anandi syl6bb anbi12d 3bitr4d syl6bbr eqrdv sylbi ) CECCFZGZC
      HZABIZJZUKAJZUKBJZIZKCLUJDUMUPUJDMZUMNZUQUNNZUQUONZOZUQUPNUJUQUINZUQCPZUL
      NZOZVBVCANZOZVBVCBNZOZOZURVAUJVEVBVFVHOZOZVJVEVLSUJVDVKVBVCABTQUAVBVFVHUB
      UCUIUQULCRUJUSVGUTVIUIUQACRUIUQBCRUDUEUQUNUOTUFUGUH $.
      $( [2-Sep-2009] $)

    $( The preimage of a restricted function.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    respreima $p |- ( Fun F -> ( `' ( F |` B ) " A )
                                    = ( ( `' F " A ) i^i B ) ) $=
      ( vx wfun cres ccnv cima cin cdm wfn cv wcel wb cfv wa bitri syl elpreima
      elin funfn ancom anbi1i fvres eleq1d adantl pm5.32i a1i an32 syl6bb fnfun
      wceq funres dmres jctir df-fn sylibr anbi1d syl5bb 3bitr4d sylbi eqrdv )
      CEZDCBFZGAHZCGAHZBIZVCCCJZKZDLZVEMZVJVGMZNCUAVIVJBVHIZMZVJVDOZAMZPZVJVHMZ
      VJCOZAMZPZVJBMZPZVKVLVIVQVRWBPZVTPZWCVQWENVIVQWDVPPWEVNWDVPVNWBVRPWDVJBVH
      TWBVRUBQUCWDVPVTWBVPVTNVRWBVOVSAVJBCUDUEUFUGQUHVRWBVTUIUJVIVDVMKZVKVQNVIV
      DEZVDJVMULZPWFVIWGWHVIVCWGVHCUKBCUMRCBUNUOVDVMUPUQVMVJAVDSRVLVJVFMZWBPVIW
      CVJVFBTVIWIWAWBVHVJACSURUSUTVAVB $.
      $( [2-Sep-2009] $)
  $}

  $( The preimage of the codomain of a mapping is the mapping's domain.
     (Contributed by FL, 25-Jan-2007.) $)
  fimacnv $p |- ( F : A --> B -> ( `' F " B ) = A ) $=
    ( ccnv cima crn imassrn cdm df-dm fdm wss ssid a1i eqsstrd syl5eqssr syl5ss
    wf frn wfun wb ffun syl5sseqr funimass3 syl2anc mpbid eqssd ) ABCQZCDZBEZAU
    GUIUHFZAUHBGUGUJCHZACIUGUKAAABCJZAAKUGALZMNOPUGCAEZBKZAUIKZUGUNCFBCAGABCRPU
    GCSAUKKUOUPTABCUAUGAAUKUMULUBABCUCUDUEUF $.
    $( [25-Jan-2007] $)

  $( Ordered pair with function value.  Part of Theorem 4.3(i) of [Monk1]
     p. 41. $)
  fnopfv $p |- ( ( F Fn A /\ B e. A ) -> <. B , ( F ` B ) >. e. F ) $=
    ( cfv cop wcel funfvop funfni ) BBCDECFABCBCGH $.
    $( [30-Sep-2004] $)

  ${
    $d x y F $.  $d x A $.
    $( A function's value belongs to its range. $)
    fvelrn $p |- ( ( Fun F /\ A e. dom F ) -> ( F ` A ) e. ran F ) $=
      ( vx wfun cdm wcel wa cv cfv cop wex crn simpr funfvop wceq opeq1 cla4egv
      eleq1d sylc elrn2 sylibr ) BDZABEZFZGZCHZABIZJZBFZCKZUGBLFUEUDAUGJZBFZUJU
      BUDMABNUIULCAUCUFAOUHUKBUFAUGPRQSCUGBTUA $.
      $( [14-Oct-1996] $)
  $}

  $( A function's value belongs to its range. $)
  fnfvelrn $p |- ( ( F Fn A /\ B e. A ) -> ( F ` B ) e. ran F ) $=
    ( cfv crn wcel fvelrn funfni ) BCDCEFABCBCGH $.
    $( [15-Oct-1996] $)

  $( A function's value belongs to its codomain. $)
  ffvelrn $p |- ( ( F : A --> B /\ C e. A ) -> ( F ` C ) e. B ) $=
    ( wf wcel wa cfv crn wfn ffn fnfvelrn sylan wi frn sseld adantr mpd ) ABDEZ
    CAFZGCDHZDIZFZUABFZSDAJTUCABDKACDLMSUCUDNTSUBBUAABDOPQR $.
    $( [12-Aug-1999] $)

  ${
    ffvrni.1 $e |- F : A --> B $.
    $( A function's value belongs to its codomain. $)
    ffvelrni $p |- ( C e. A -> ( F ` C ) e. B ) $=
      ( wf wcel cfv ffvelrn mpan ) ABDFCAGCDHBGEABCDIJ $.
      $( [6-Apr-2005] $)
  $}

  ${
    $d w x y z A $.  $d w x y z F $.
    $( A function expressed as the range of another function.  (Contributed by
       Mario Carneiro, 22-Jun-2013.) $)
    fnasrn $p |- ( F Fn A -> F = ran { <. x , y >. |
        ( x e. A /\ y = <. x , ( F ` x ) >. ) } ) $=
      ( vz vw cv cfv cop wceq wrex wcel wa wb wal wi eleq1 vex wrel cvv wfn cab
      copab crn weq cdm fndm opeldm eleq2 syl5ib biimpcd adantrd rexlimiv fveq2
      syl eqeq1d ceqsrexv adantl fnopfvb bitr2d pm5.21ndd opex eqeq1 eqcom opth
      a1i ex bitri syl6bb rexbidv elab syl6bbr alrimivv fnrel cxp fvex mpbir2an
      opelxp mpbiri rexlimivw abssi df-rel mpbir sylancl mpbird rnopab2 syl6eqr
      wss eqrel ) DCUAZDBGZAGZWLDHZIZJZACKZBUBZWLCLZWOMABUCUDWJDWQJZEGZFGZIZDLZ
      XBWQLZNZFOEOZWJXEEFWJXCAEUEZWMXAJZMZACKZXDWJWTCLZXCXJWJDUFZCJZXCXKPCDUGXC
      WTXLLXMXKWTXADUHXLCWTUIUJUOXJXKPWJXIXKACWRXGXKXHXGWRXKWLWTCQUKULUMVFWJXKX
      CXJNWJXKMXJWTDHZXAJZXCXKXJXONWJXHXOAWTCXGWMXNXAWLWTDUNUPUQURCWTXADUSUTVGV
      AWPXJBXBWTXAERFRVBWKXBJZWOXIACXPWOXBWNJZXIWKXBWNVCXQWNXBJXIXBWNVDWLWMWTXA
      VEVHVIVJVKVLVMWJDSWQSZWSXFNCDVNXRWQTTVOZWHWPBXSWOWKXSLZACWOXTWNXSLZYAWLTL
      WMTLARWLDVPWLWMTTVRVQWKWNXSQVSVTWAWQWBWCEFDWQWIWDWEABCWNWFWG $.
      $( [22-Jun-2013] $)
  $}

  ${
    $d x y A $.  $d x y C $.  $d x y D $.  $d y B $.
    f0cl.1 $e |- F : A --> B $.
    f0cl.2 $e |- (/) e. B $.
    $( Unconditional closure of a function when the range includes the empty
       set.  (Contributed by Mario Carneiro, 12-Sep-2013.) $)
    f0cli $p |- ( F ` C ) e. B $=
      ( wcel cfv ffvelrni cdm fdmi eleq2i wn c0 ndmfv syl6eqel sylnbir pm2.61i
      ) CAGZCDHZBGZABCDEISCDJZGZUAUBACABDEKLUCMTNBCDOFPQR $.
      $( [12-Sep-2013] $)
  $}

  $( Alternate definition of a mapping. $)
  dff2 $p |- ( F : A --> B <-> ( F Fn A /\ F C_ ( A X. B ) ) ) $=
    ( wf wfn cxp wss wa ffn fssxp jca crn rnss rnxpss syl6ss anim2i df-f sylibr
    impbii ) ABCDZCAEZCABFZGZHZTUAUCABCIABCJKUDUACLZBGZHTUCUFUAUCUEUBLBCUBMABNO
    PABCQRS $.
    $( [14-Nov-2007] $)

  ${
    $d f g x y z A $.  $d f g x y z B $.  $d x y z F $.
    $( Alternate definition of a mapping. $)
    dff3 $p |- ( F : A --> B <->
              ( F C_ ( A X. B ) /\ A. x e. A E! y x F y ) ) $=
      ( wss cv wbr wral wa wcel cdm adantr sylibr syl sylanbrc crn wrel wal wi
      wf cxp weu fssxp wex wmo cfv cop wfun ffun eleq2d biimpar funfvop syl2anc
      fdm df-br fvex breq2 cla4ev funmo eu5 ralrimiva jca wfn wceq relxp df-ral
      relss mpi wn dmss dmxpss syl6ss breldm ssel syl5 exlimdv con3d df-mo syl6
      pm2.21 a1dd pm2.27 eumo pm2.61d2 alimdv syl5bi dffun6 euex exlimiv ralimi
      imp dfss3 anim12i eqss df-fn rnss rnxpss df-f impbii ) CDEUAZECDUBZFZAGZB
      GZEHZBUCZACIZJZXAXCXHCDEUDXAXGACXAXDCKZJZXFBUEZXFBUFZXGXKXDXDEUGZEHZXLXKX
      DXNUHEKZXOXKEUIZXDELZKZXPXAXQXJCDEUJZMXAXSXJXAXRCXDCDEUOUKULXDEUMUNXDXNEU
      PNXFXOBXNXDEUQXEXNXDEURUSOXAXMXJXAXQXMXTABEUTOMXFBVAPVBVCXIECVDZEQZDFZXAX
      IXQXRCVEZYAXIERZXMASZXQXCYEXHXCXBRYECDVFEXBVHVIMXCXHYFXHXJXGTZASXCYFXGACV
      GXCYGXMAXCXJYGXMTXCXJVJZXMYGXCYHXLVJZXMXCXLXJXCXRCFZXLXJTXCXRXBLCEXBVKCDV
      LVMZYJXFXJBXFXSYJXJXDXEEVNZXRCXDVOVPVQOVRYIXLXGTXMXLXGWAXFBVSNVTWBXJYGXGX
      MXJXGWCXFBWDVTWEWFWGWLABEWHPXIYJCXRFZJYDXCYJXHYMYKXHXSACIYMXGXSACXGXLXSXF
      BWIXFXSBYLWJOWKACXRWMNWNXRCWONECWPPXCYCXHXCYBXBQDEXBWQCDWRVMMCDEWSPWT $.
      $( [20-Mar-2007] $)

    $( Alternate definition of a mapping. $)
    dff4 $p |- ( F : A --> B <->
              ( F C_ ( A X. B ) /\ A. x e. A E! y e. B x F y ) ) $=
      ( wf cxp wss cv wbr weu wral wa wreu dff3 wcel crn brelrn rnss rnxpss
      syl6ss sseld syl5 pm4.71rd eubidv df-reu syl6bbr ralbidv pm5.32i bitri )
      CDEFECDGZHZAIZBIZEJZBKZACLZMULUOBDNZACLZMABCDEOULUQUSULUPURACULUPUNDPZUOM
      ZBKURULUOVABULUOUTUOUNEQZPULUTUMUNERULVBDUNULVBUKQDEUKSCDTUAUBUCUDUEUOBDU
      FUGUHUIUJ $.
      $( [20-Mar-2007] $)

    $( An onto mapping expressed in terms of function values. $)
    dffo3 $p |- ( F : A -onto-> B <-> ( F : A --> B /\
                  A. y e. B E. x e. A y = ( F ` x ) ) ) $=
      ( wfo wf crn wceq wa cv cfv wrex wral dffo2 cab wb wcel wal wi wfn fnrnfv
      ffn eqeq1d simpr ffvelrn adantr eqeltrd exp31 rexlimdv biantrurd syl6rbbr
      syl dfbi2 albidv abeq1 df-ral 3bitr4g bitrd pm5.32i bitri ) CDEFCDEGZEHZD
      IZJVBBKZAKZELZIZACMZBDNZJCDEOVBVDVJVBVDVIBPZDIZVJVBECUAZVDVLQCDEUCVMVCVKD
      ABCEUBUDUMVBVIVEDRZQZBSVNVITZBSVLVJVBVOVPBVBVPVIVNTZVPJVOVBVQVPVBVHVNACVB
      VFCRZVHVNVBVRJZVHJVEVGDVSVHUEVSVGDRVHCDVFEUFUGUHUIUJUKVIVNUNULUOVIBDUPVIB
      DUQURUSUTVA $.
      $( [29-Oct-2006] $)

    $( Alternate definition of an onto mapping. $)
    dffo4 $p |- ( F : A -onto-> B <->
                ( F : A --> B /\ A. y e. B E. x e. A x F y ) ) $=
      ( wfo wf cv wbr wrex wral wa fof wcel wex crn eleq2d wi wceq sylibr ancrd
      elrn syl5bbr biimpar cdm breldm fdm syl5ib eximdv adantr df-rex ralrimiva
      forn syl mpd jca cfv wfn ffn eqcom fnbrfvb biimprd sylan reximdva ralimdv
      syl5bb imdistani dffo3 impbii ) CDEFZCDEGZAHZBHZEIZACJZBDKZLZVJVKVPCDEMZV
      JVOBDVJVMDNZLZVLCNZVNLZAOZVOVTVNAOZWCVJWDVSWDVMEPZNVJVSAVMEUBVJWEDVMCDEUM
      QUCUDVJWDWCRVSVJVNWBAVJVNWAVNVLEUEZNVJWAVLVMEUFVJWFCVLVJVKWFCSVRCDEUGUNQU
      HUAUIUJUOVNACUKTULUPVQVKVMVLEUQZSZACJZBDKZLVJVKVPWJVKVOWIBDVKVNWHACVKECUR
      ZWAVNWHRCDEUSWKWALZWHVNWHWGVMSWLVNVMWGUTCVLVMEVAVFVBVCVDVEVGABCDEVHTVI $.
      $( [20-Mar-2007] $)

    $( Alternate definition of an onto mapping. $)
    dffo5 $p |- ( F : A -onto-> B <->
                ( F : A --> B /\ A. y e. B E. x x F y ) ) $=
      ( wfo wf cv wbr wrex wral wa wex dffo4 rexex ralimi anim2i wcel wfn wi ex
      ffn fnbr syl ancrd eximdv df-rex syl6ibr ralimdv imdistani impbii bitri )
      CDEFCDEGZAHZBHZEIZACJZBDKZLZUMUPAMZBDKZLZABCDENUSVBURVAUMUQUTBDUPACOPQUMV
      AURUMUTUQBDUMUTUNCRZUPLZAMUQUMUPVDAUMUPVCUMECSZUPVCTCDEUBVEUPVCCUNUOEUCUA
      UDUEUFUPACUGUHUIUJUKUL $.
      $( [20-Mar-2007] $)
  $}

  ${
    $d F x y $.  $d A x y $.  $d B x y $.  $d C x y $.
    $( Property of a surjective function.  (Contributed by Jeff Madsen,
       4-Jan-2011.) $)
    foelrn $p |- ( ( F : A -onto-> B /\ C e. B )
                                  -> E. x e. A C = ( F ` x ) ) $=
      ( vy wfo cv cfv wceq wrex wral wcel wf dffo3 simprbi eqeq1 rcla4cva sylan
      rexbidv ) BCEGZFHZAHEIZJZABKZFCLZDCMDUCJZABKZUABCENUFAFBCEOPUEUHFDCUBDJUD
      UGABUBDUCQTRS $.
      $( [4-Jan-2011] $)
  $}

  ${
    $d F x y z $.  $d G x y z $.  $d A y z $.  $d B x y z $.  $d C x y z $.
    $( If a composition of two functions is surjective, then the function on
       the left is surjective.  (Contributed by Jeff Madsen, 16-Jun-2011.) $)
    foco2 $p |- ( ( F : B --> C /\ G : A --> B /\
                        ( F o. G ) : A -onto-> C ) -> F : B -onto-> C ) $=
      ( vy vx vz wf ccom wfo w3a cv cfv wceq wrex wral wa wcel adantll sylanbrc
      simp1 foelrn ffvelrn fvco3 fveq2 rcla4ev syl2anc eqeq1 rexbidv syl5ibrcom
      eqeq2d rexlimdva syl5 impl ralrimiva 3impa dffo3 ) BCDIZABEIZACDEJZKZLUSF
      MZGMZDNZOZGBPZFCQZBCDKUSUTVBUBUSUTVBVHUSUTRZVBRVGFCVIVBVCCSZVGVBVJRVCHMZV
      ANZOZHAPVIVGHACVCVAUCVIVMVGHAVIVKASZRZVGVMVLVEOZGBPZVOVKENZBSZVLVRDNZOZVQ
      UTVNVSUSABVKEUDTUTVNWAUSABVKDEUETVPWAGVRBVDVROVEVTVLVDVRDUFULUGUHVMVFVPGB
      VCVLVEUIUJUKUMUNUOUPUQGFBCDURUA $.
      $( [16-Jun-2011] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d y z C $.  $d z F $.
    fopab2.1 $e |- F = { <. x , y >. | ( x e. A /\ y = C ) } $.
    $( Functionality of an ordered-pair class abstraction. $)
    fopab2 $p |- ( A. x e. A C e. B <-> F : A --> B ) $=
      ( vz wcel wral wf crn wss cv wceq cvv sylib wa wi ax-17 wfn weu elex eueq
      ralimi fnopabg copab rneqi wal wex rnopab abeq2i ra4 eleq1a imim2i exlimd
      hbra1 imp3a syl syl5bi alrimiv hbopab2 hbrn dfss2f syl5eqss df-f sylanbrc
      sylibr cdm fdm dmopab3 isset ralbii dmeqi eqeq1i 3bitr4ri hbopab1 hbxfrbi
      feq1i hbf ffvelrn adantr wb fveq1i fvopab2 syl5eq eleq1d adantll mpbid ex
      cfv ralimdaa mpd impbii ) EDIZACJZCDFKZWPFCUAZFLZDMWQWPBNZEOZBUBZACJWRWOX
      BACWOEPIZXBEDUCBEUDQUEXAABCFGUFQWPWSANZCIZXARZABUGZLZDFXGGUHWPWTXHIZWTDIZ
      SZBUIXHDMWPXKBXIXFAUJZWPXJXLBXHXFABUKULWPXFXJAWOACUQXJATWPXEWOSZXFXJSWOAC
      UMXMXEXAXJWOXAXJSXEEDWTUNUOURUSUPUTVABHXHDBHXGXFABHVBVCHNZDIZBTVDVHVECDFV
      FVGWQXCACJZWPWQFVIZCOZXPCDFVJXABUJZACJXGVIZCOXPXRXAABCVKXCXSACBEVLVMXQXTC
      FXGGVNVOVPQWQXCWOACWQCDXGKACDFXGGVSAHCDXGXFABHVQXNCIATXOATVTVRWQXERZXCWOY
      AXCRXDFWKZDIZWOYAYCXCCDXDFWAWBXEXCYCWOWCWQXEXCRZYBEDYDYBXDXGWKEXDFXGGWDAB
      CEPWEWFWGWHWIWJWLWMWN $.
      $( [29-Jan-2004] $)

    $( Inclusion of a function in a cross product. $)
    fopabssxp $p |- ( A. x e. A C e. B -> F C_ ( A X. B ) ) $=
      ( wcel wral wf cxp wss fopab2 fssxp sylbi ) EDHACICDFJFCDKLABCDEFGMCDFNO
      $.
      $( [5-Jun-2007] $)

    ${
      rnssopab.2 $e |- C e. _V $.
      $( Range of a function that is expressed as an ordered-pair class
         abstraction. $)
      rnssopab $p |- ( A. x e. A C e. B <-> ran F C_ B ) $=
        ( vz wcel wral crn wss wf fopab2 frn cv wceq cfv cvv wa hbopab1 hbxfreq
        sylbi copab hbrn ax-17 fveq1i fvopab2 mpan2 syl5eq wfn fnopab2 fnfvelrn
        hbss mpan eqeltrrd ssel syl5 ralrimi impbii ) EDJZACKZFLZDMZVCCDFNVEABC
        DEFGOCDFPUDVEVBACAIVDDAIFAIFAQZCJZBQERUAZABUEZGVHABIUBUCUFIQDJAUGUOVGEV
        DJVEVBVGVFFSZEVDVGVJVFVISZEVFFVIGUHVGETJVKERHABCETUIUJUKFCULVGVJVDJABCE
        FHGUMCVFFUNUPUQVDDEURUSUTVA $.
        $( [23-May-2006] $)

      $( Functionality of an ordered-pair class abstraction. $)
      fopab3 $p |- ( ran F C_ B <-> F : A --> B ) $=
        ( crn wss wcel wral wf rnssopab fopab2 bitr3i ) FIDJEDKACLCDFMABCDEFGHN
        ABCDEFGOP $.
        $( [23-May-2006] $)
    $}

    ${
      fopab.2 $e |- ( x e. A -> C e. B ) $.
      $( Functionality of an ordered-pair class abstraction. $)
      fopab $p |- F : A --> B $=
        ( wcel wral wf rgen fopab2 mpbi ) EDIZACJCDFKOACHLABCDEFGMN $.
        $( [19-Mar-2005] $)
    $}
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y F $.
    $( A function maps to a class to which all values belong. $)
    ffnfv $p |- ( F : A --> B <-> ( F Fn A /\ A. x e. A ( F ` x ) e. B ) ) $=
      ( vy wf wfn cv cfv wcel wral ffn ffvelrn ralrimiva jca crn wss simpl wceq
      wa wrex fvelrnb biimpd hbra1 ax-17 wi ra4 eleq1 biimpcd syl6 sylan9 ssrdv
      rexlimd df-f sylanbrc impbii ) BCDFZDBGZAHZDIZCJZABKZTZUQURVBBCDLUQVAABBC
      USDMNOVCURDPZCQUQURVBRVCEVDCUREHZVDJZUTVESZABUAZVBVECJZURVFVHABVEDUBUCVBV
      GVIABVAABUDVIAUEVBUSBJVAVGVIUFVAABUGVGVAVIUTVECUHUIUJUMUKULBCDUNUOUP $.
      $( [3-Dec-2003] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d y z F $.  $d x y z $.
    ffnfvf.1 $e |- ( y e. A -> A. x y e. A ) $.
    ffnfvf.2 $e |- ( y e. B -> A. x y e. B ) $.
    ffnfvf.3 $e |- ( y e. F -> A. x y e. F ) $.
    $( A function maps to a class to which all values belong.  This version of
       ~ ffnfv uses bound-variable hypotheses instead of distinct variable
       conditions. $)
    ffnfvf $p |- ( F : A --> B <-> ( F Fn A /\ A. x e. A ( F ` x ) e. B ) ) $=
      ( vz wf wfn cv cfv wcel wral wa ffnfv ax-17 hbfv hbel wceq eleq1d cbvralf
      fveq2 anbi2i bitri ) CDEJECKZILZEMZDNZICOZPUGALZEMZDNZACOZPICDEQUKUOUGUJU
      NIABCBLZCNIRFABBUIDABUHEHUPUHNARSGTUNIRUHULUAUIUMDUHULEUDUBUCUEUF $.
      $( [28-Sep-2006] $)
  $}

  ${
    $d x y A $.  $d x B $.  $d x y F $.
    $( An upper bound for range determined by function values. $)
    fnfvrnss $p |- ( ( F Fn A /\ A. x e. A ( F ` x ) e. B ) -> ran F C_ B ) $=
      ( wfn cv cfv wcel wral wa wf crn wss ffnfv frn sylbir ) DBEAFDGCHABIJBCDK
      DLCMABCDNBCDOP $.
      $( [8-Oct-2004] $)

    $( Representation of a mapping in terms of its values. $)
    fopabfv $p |- ( F : A --> B <->
         ( F = { <. x , y >. | ( x e. A /\ y = ( F ` x ) ) }
         /\ A. x e. A ( F ` x ) e. B ) ) $=
      ( wf wfn cv cfv wcel wral wa wceq copab ffnfv dffn5 anbi1i bitri ) CDEFEC
      GZAHZEIZDJACKZLETCJBHUAMLABNMZUBLACDEOSUCUBABCEPQR $.
      $( [21-Feb-2004] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.
    $( A necessary and sufficient condition for a restricted function.
       (Contributed by Mario Carneiro, 14-Nov-2013.) $)
    ffvresb $p |- ( Fun F -> ( ( F |` A ) : A --> B <->
        A. x e. A ( x e. dom F /\ ( F ` x ) e. B ) ) ) $=
      ( wfun cres wf cv cdm wcel cfv wa wral fdm wss cin dmres inss2 adantl wfn
      eqsstri a1i eqsstr3d sselda wceq fvres ffvelrn eqeltrrd jca ralrimiva crn
      simpl ralimi sylibr fnssres sylanb sylan2 eleq1d syl5ibr ralimia fnfvrnss
      dfss3 funfn simpr syl2anc df-f sylanbrc ex impbid2 ) DEZBCDBFZGZAHZDIZJZV
      MDKZCJZLZABMZVLVRABVLVMBJZLZVOVQVLBVNVMVLBVKIZVNBCVKNWBVNOVLWBBVNPVNDBQBV
      NRUAUBUCUDWAVMVKKZVPCVTWCVPUEVLVMBDUFZSBCVMVKUGUHUIUJVJVSVLVJVSLZVKBTZVKU
      KCOZVLVSVJBVNOZWFVSVOABMWHVRVOABVOVQULUMABVNVBUNVJDVNTWHWFDVCVNBDUOUPUQZW
      EWFWCCJZABMZWGWIVSWKVJVRWJABVRWJVTVQVOVQVDVTWCVPCWDURUSUTSABCVKVAVEBCVKVF
      VGVHVI $.
      $( [14-Nov-2013] $)
  $}

  ${
    $d x y A $.  $d u x B $.  $d w z B $.  $d u F $.  $d u x G $.  $d u H $.
    $d w S $.  $d y R $.  $d w R z $.  $d w T z $.  $d x v A $.  $d v T $.
    fopabco.1 $e |- R e. _V $.
    fopabco.2 $e |- S e. _V $.
    fopabco.3 $e |- T e. _V $.
    fopabco.4 $e |- ( z = R -> S = T ) $.
    fopabco.5 $e |- F = { <. x , y >. | ( x e. A /\ y = R ) } $.
    fopabco.6 $e |- G = { <. z , w >. | ( z e. B /\ w = S ) } $.
    fopabco.7 $e |- H = { <. x , v >. | ( x e. A /\ v = T ) } $.
    $( Composition of two functions expressed as ordered-pair class
       abstractions.  Note that ` v ` may be assigned to ` w ` , ` y ` , or
       ` z ` if desired.  (Unnecessary distinct variable restrictions were
       removed by David Abernethy, 21-Jan-2012.) $)
    fopabco $p |- ( ran F C_ B -> ( G o. F ) = H ) $=
      ( vu crn wss ccom wceq cv wral wcel copab hbopab1 hbxfreq hbrn ax-17 hbss
      cfv wa fveq1i cvv fvopab2 mpan2 syl5eq fveq2d adantl fnopab2 df-f biimpri
      wf wfn ffvelrn sylan wb eleq1d mpbid fvopab4 syl eqtrd cdm dmopab2 eleq2i
      mpan wfun fnfun fvco sylbir 3eqtr4d ex ralrimi fnco mp3an12 hbco eqfnfv2f
      ax-mp sylancl mpbird ) KUBZGUCZLKUDZMUEZAUFZWQUOZWSMUOZUEZAFUGZWPXBAFAUAW
      OGAUAKAUAKWSFUHZBUFHUEUPZABUIZRXEABUAUJUKZULUAUFZGUHAUMUNWPXDXBWPXDUPZWSK
      UOZLUOZJWTXAXIXKHLUOZJXDXKXLUEWPXDXJHLXDXJWSXFUOZHWSKXFRUQXDHURUHXMHUENAB
      FHURUSUTVAZVBVCXIHGUHZXLJUEXIXJGUHZXOWPFGKVGZXDXPKFVHZWPXQABFHKNRVDZXQXRW
      PUPFGKVEVFVTFGWSKVIVJXDXPXOVKWPXDXJHGXNVLVCVMCDHIJGLQSPVNVOVPXDWTXKUEZWPX
      DWSKVQZUHZXTYAFWSABFHKNRVRVSKWAZYBXTXRYCXSFKWBWLWSLKWCVTWDVCXDXAJUEZWPXDJ
      URUHZYDPXDYEUPXAWSXDEUFJUEUPZAEUIZUOJWSMYGTUQAEFJURUSVAUTVCWEWFWGWPWQFVHZ
      MFVHWRXCVKLGVHXRWPYHCDGILOSVDXSGFLKWHWIAEFJMPTVDAUAFWQMAUALKXHLUHAUMXGWJA
      UAMYGTYFAEUAUJUKWKWMWN $.
      $( [21-Jan-2012] $) $( [21-Aug-2007] $)
  $}

  ${
    $d x y z A $.  $d w x y z B $.  $d w y z C $.  $d w y z D $.  $d w z F $.
    $d w z G $.
    fopabcos.1 $e |- C e. _V $.
    fopabcos.2 $e |- D e. _V $.
    fopabcos.3 $e |- F = { <. x , y >. | ( x e. A /\ y = C ) } $.
    fopabcos.4 $e |- G = { <. x , y >. | ( x e. B /\ y = D ) } $.
    $( MAY BE REVISED - prove from fopabco4? $)
    $( Composition of two functions expressed as ordered-pair class
       abstractions. $)
    fopabcos $p |- ( ran G C_ A -> ( F o. G ) =
                  { <. x , y >. | ( x e. B /\ y = [_ D / x ]_ C ) } ) $=
      ( vz wcel csb wceq cfv adantl wfn cvv crn wss ccom cv copab wral fvopab4s
      wa fnopab2 fnfvelrn mpan wi ssel adantr mpd eqeltrrd syl cdm dmopab2 wfun
      eleq2i fnfun ax-mp fvco sylbir fveq2d eqtrd eqid wal vex ax-gen csbnest1g
      csbex mp2an syl6eq 3eqtr4d ralrimiva fnco mp3an12 eqfnfv2 sylancl mpbird
      wb ) HUAZCUBZGHUCZAUDDNBUDAFEOZPUHABUEZPZMUDZWFQZWJWHQZPZMDUFZWEWMMDWEWJD
      NZUHZAWJFOZGQZAWQEOZWKWLWPWQCNWRWSPWPWJHQZWQCWOWTWQPWEABWJFDHJLUGZRWPWTWD
      NZWTCNZWOXBWEHDSZWOXBABDFHJLUIZDWJHUJUKRWEXBXCULWOWDCWTUMUNUOUPABWQECGIKU
      GUQWOWKWRPWEWOWKWTGQZWRWOWJHURZNZWKXFPZXGDWJABDFHJLUSVAHUTZXHXIXDXJXEDHVB
      VCWJGHVDUKVEWOWTWQGXAVFVGRWOWLWSPWEWOWLAWJWGOZWSABWJWGDWHAFEJIVMZWHVHZUGW
      JTNFTNZAVIXKWSPMVJXNAJVKAWJFETTVLVNVORVPVQWEWFDSZWHDSWIWNWCGCSXDWEXOABCEG
      IKUIXECDGHVRVSABDWGWHXLXMUIMDWFWHVTWAWB $.
      $( [22-May-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y F $.
    fsn.1 $e |- A e. _V $.
    fsn.2 $e |- B e. _V $.
    $( A function maps a singleton to a singleton iff it is the singleton of a
       ordered pair. $)
    fsn $p |- ( F : { A } --> { B } <-> F = { <. A , B >. } ) $=
      ( vx vy csn cop wceq cv wcel wb wal wa elsn2 weu eleq1d vex wrel wf opelf
      anbi12i sylib ex wreu snid mpan2 eueq1 biantru euanv opeq2 pm5.32i anbi1i
      ancom 3bitr4ri df-reu bitr4i 3bitr2i sylibr opeq12 syl5ibrcom impbid opex
      feu eubii elsn opth bitr2i syl6bb alrimivv frel relsnop eqrel mpbird wf1o
      sylancl f1osn f1oeq1 mpbiri f1of syl impbii ) AHZBHZCUAZCABIZHZJZWFWIFKZG
      KZIZCLZWLWHLZMZGNFNZWFWOFGWFWMWJAJZWKBJZOZWNWFWMWSWFWMWSWFWMOWJWDLZWKWELZ
      OWSWDWEWJWKCUBWTWQXAWRWJADPWKBEPZUCUDUEWFWMWSWGCLZWFAWKIZCLZGWEUFZXCWFAWD
      LXFADUGGWDWEACVEUHXCXCWRGQZOXCWROZGQZXFXGXCGBEUIUJXCWRGUKXIXAXEOZGQXFXHXJ
      GWRXEOWRXCOXJXHWRXEXCWRXDWGCWKBAULRUMXAWRXEXBUNXCWRUOUPVFXEGWEUQURUSUTWSW
      LWGCWJAWKBVARVBVCWNWLWGJWSWLWGWJWKFSGSVDVGWJWKABVHVIVJVKWFCTWHTWIWPMWDWEC
      VLABDEVMFGCWHVNVQVOWIWDWECVPZWFWIXKWDWEWHVPABDEVRWDWECWHVSVTWDWECWAWBWC
      $.
      $( [10-Dec-2003] $)
  $}

  ${
    $d A a b $.  $d B b $.  $d F a b $.
    $( A function maps a singleton to a singleton iff it is the singleton of an
       ordered pair. $)
    fsng $p |- ( ( A e. C /\ B e. D ) ->
                 ( F : { A } --> { B } <-> F = { <. A , B >. } ) ) $=
      ( va vb cv csn wf cop wceq wb sneq feq2d opeq1 sneqd eqeq2d bibi12d vex
      feq3 syl opeq2 fsn vtocl2g ) FHZIZGHZIZEJZEUFUHKZIZLZMAIZUIEJZEAUHKZIZLZM
      UNBIZEJZEABKZIZLZMFGABCDUFALZUJUOUMURVDUGUNUIEUFANOVDULUQEVDUKUPUFAUHPQRS
      UHBLZUOUTURVCVEUIUSLUOUTMUHBNUIUSUNEUAUBVEUQVBEVEUPVAUHBAUCQRSUFUHEFTGTUD
      UE $.
      $( [26-Oct-2012] $)
  $}

  ${
    fsn2.1 $e |- A e. _V $.
    $( A function that maps a singleton to a class is the singleton of an
       ordered pair. $)
    fsn2 $p |- ( F : { A } --> B <->
               ( ( F ` A ) e. B /\ F = { <. A , ( F ` A ) >. } ) ) $=
      ( csn wf cfv wcel cop wceq snid ffvelrn mpan2 wfn ffn crn dffn3 cima syl
      wa biimpi wb cdm imadmrn fndm imaeq2d syl5eqr fnsnfv eqtr4d mpbid jca wss
      feq3 snssi fss ancoms sylan impbii fvex fsn anbi2i bitri ) AEZBCFZACGZBHZ
      VCVEEZCFZTZVFCAVEIEJZTVDVIVDVFVHVDAVCHZVFADKZVCBACLMVDCVCNZVHVCBCOVMVCCPZ
      CFZVHVMVOVCCQUAVMVNVGJVOVHUBVMVNCVCRZVGVMVNCCUCZRVPCUDVMVQVCCVCCUEUFUGVMV
      KVGVPJVLVCACUHMUIVNVGVCCUMSUJSUKVFVGBULZVHVDVEBUNVHVRVDVCVGBCUOUPUQURVHVJ
      VFAVECDACUSUTVAVB $.
      $( [19-May-2004] $)
  $}

  ${
    xpsn.1 $e |- A e. _V $.
    xpsn.2 $e |- B e. _V $.
    $( The cross product of two singletons. $)
    xpsn $p |- ( { A } X. { B } ) = { <. A , B >. } $=
      ( csn cxp wf cop wceq fconst fsn mpbi ) AEZBEZMNFZGOABHEIMBDJABOCDKL $.
      $( [4-Nov-2006] $)
  $}

  $( If ` A ` is not in ` C ` , then the restriction of a singleton of
     ` <. A , B >. ` to ` C ` is null.  (Contributed by Scott Fenton,
     15-Apr-2011.) $)
  ressnop0 $p |- ( -. A e. C -> ( { <. A , B >. } |` C ) = (/) ) $=
    ( wcel wn cop cvv cxp csn cres c0 wceq opelxp simplbi con3i cin incom eqtri
    df-res disjsn biimpri syl5eq syl ) ACDZEABFZCGHZDZEZUEIZCJZKLUGUDUGUDBGDABC
    GMNOUHUJUFUIPZKUJUIUFPUKUICSUIUFQRUKKLUHUFUETUAUBUC $.
    $( [1-Oct-2013] $) $( [15-Apr-2011] $)

  ${
    fpr.1 $e |- A e. _V $.
    fpr.2 $e |- B e. _V $.
    fpr.3 $e |- C e. _V $.
    fpr.4 $e |- D e. _V $.
    $( A function with a domain of two elements.  (Contributed by Jeff Madsen,
       20-Jun-2010.)  (The proof was shortened by Andrew Salmon,
       22-Oct-2011.) $)
    fpr $p |- ( A =/= B
                -> { <. A , C >. , <. B , D >. } : { A , B } --> { C , D } ) $=
      ( wne cop cpr wfn crn wa jctir sylibr csn cun rnsnop df-pr wss wfun funpr
      wf cdm wceq dmprop df-fn uneq12i rneqi rnun eqtri 3eqtr4i eqimssi df-f )
      ABIZACJZBDJZKZABKZLZUSMZCDKZUAZNUTVCUSUDUPVAVDUPUSUBZUSUEUTUFZNVAUPVEVFAB
      CDEFGHUCABCDGHUGOUSUTUHPVBVCUQQZMZURQZMZRZCQZDQZRVBVCVHVLVJVMACESBDFSUIVB
      VGVIRZMVKUSVNUQURTUJVGVIUKULCDTUMUNOUTVCUSUOP $.
      $( [22-Oct-2011] $) $( [20-Jun-2010] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x F $.
    $( A function restricted to a singleton. $)
    fnressn $p |- ( ( F Fn A /\ B e. A ) ->
                  ( F |` { B } ) = { <. B , ( F ` B ) >. } ) $=
      ( vx wcel wfn csn cres cfv cop wceq cv wi sneq reseq2d fveq2 opeq12 mpdan
      wa cvv sneqd eqeq12d imbi2d wss vex snss fnssres sylan2b wf fsn2 biantrur
      dffn2 fvres ax-mp opeq2i sneqi eqeq2i bitr3i 3bitri expcom vtoclga impcom
      fvex snid sylib ) BAECAFZCBGZHZBBCIZJZGZKZVFCDLZGZHZVMVMCIZJZGZKZMVFVLMDB
      AVMBKZVSVLVFVTVOVHVRVKVTVNVGCVMBNOVTVQVJVTVPVIKVQVJKVMBCPVMBVPVIQRUAUBUCV
      FVMAEZVSVFWASVOVNFZVSWAVFVNAUDWBVMADUEZUFAVNCUGUHWBVNTVOUIVMVOIZTEZVOVMWD
      JZGZKZSZVSVNVOULVMTVOWCUJWIWHVSWEWHVMVOVCUKWGVRVOWFVQWDVPVMVMVNEWDVPKVMWC
      VDVMVNCUMUNUOUPUQURUSVEUTVAVB $.
      $( [9-Oct-2004] $)

    $( The value of a function restricted to a singleton. $)
    fressnfv $p |- ( ( F Fn A /\ B e. A ) ->
                 ( ( F |` { B } ) : { B } --> C <-> ( F ` B ) e. C ) ) $=
      ( vx wcel wfn csn cres wf cfv wb cv wi wceq sneq reseq2 syl wa cop eleq1d
      feq1d feq2 bitrd fveq2 bibi12d imbi2d fnressn vex snid fvres ax-mp opeq2i
      sneqi eqeq2i fsn2 eleq1i iba syl5rbbr syl5bb sylbir expcom vtoclga impcom
      ) BAFDAGZBHZCDVFIZJZBDKZCFZLZVEEMZHZCDVMIZJZVLDKZCFZLZNVEVKNEBAVLBOZVRVKV
      EVSVOVHVQVJVSVMVFOZVOVHLVLBPVTVOVMCVGJVHVTVMCVNVGVMVFDQUBVMVFCVGUCUDRVSVP
      VICVLBDUEUAUFUGVEVLAFZVRVEWASVNVLVPTZHZOZVRAVLDUHWDVNVLVLVNKZTZHZOZVRWGWC
      VNWFWBWEVPVLVLVMFWEVPOVLEUIZUJVLVMDUKULZUMUNUOVOWECFZWHSZWHVQVLCVNWIUPVQW
      KWHWLWEVPCWJUQWHWKURUSUTVARVBVCVD $.
      $( [9-Oct-2004] $)
  $}

  $( The value of a constant function. $)
  fvconst $p |- ( ( F : A --> { B } /\ C e. A ) -> ( F ` C ) = B ) $=
    ( csn wf wcel wa cfv wceq ffvelrn elsni syl ) ABEZDFCAGHCDIZNGOBJANCDKOBLM
    $.
    $( [30-May-1999] $)

  ${
    $d x y z A $.  $d x y z B $.
    fopabsn.1 $e |- A e. _V $.
    fopabsn.2 $e |- B e. _V $.
    $( The singleton of an ordered pair expressed as an ordered pair class
       abstraction.  (The proof was shortened by Andrew Salmon,
       22-Oct-2011.) $)
    fopabsn $p |- { <. A , B >. } =
                  { <. x , y >. | ( x e. { A } /\ y = B ) } $=
      ( csn cxp cop cv wcel wceq wa copab xpsn fconstopab eqtr3i ) CGZDGHCDIGAJ
      RKBJDLMABNCDEFOABRDPQ $.
      $( [22-Oct-2011] $) $( [6-Jun-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    fopabap.0a $e |- A e. _V $.
    fopabap.0b $e |- B e. _V $.
    fopabap.1 $e |- ( R u. { A } ) = S $.
    fopabap.2 $e |- ( x = A -> C = B ) $.
    $( Append an additional value to a function. $)
    fopabap $p |- ( { <. x , y >. | ( x e. R /\ y = C ) } u. { <. A , B >. } )
                  = { <. x , y >. | ( x e. S /\ y = C ) } $=
      ( cv wcel wceq wa copab cop csn cun wo uneq2i unopab eleq2i bitr3i anbi1i
      fopabsn andir wb elsn2 eqeq2d sylbi pm5.32i orbi2i 3bitrri opabbii 3eqtri
      elun ) ALZFMZBLZENZOZABPZCDQRZSVCURCRZMZUTDNZOZABPZSVBVHTZABPURGMZVAOZABP
      VDVIVCABCDHIUFUAVBVHABUBVJVLABVLUSVFTZVAOVBVFVAOZTVJVKVMVAVKURFVESZMVMVOG
      URJUCURFVEUQUDUEUSVFVAUGVNVHVBVFVAVGVFURCNZVAVGUHURCHUIVPEDUTKUJUKULUMUNU
      OUP $.
      $( [15-Jun-2007] $) $( [6-Jun-2006] $)
  $}

  ${
    $d x A $.
    $( The value of the identity function. $)
    fvi $p |- ( A e. V -> ( _I ` A ) = A ) $=
      ( vx cv cid cfv wceq fveq2 id eqeq12d cvv wfn wcel wfun cdm funi mpbir2an
      dmi df-fn vex wa cop weq equid wbr ideq df-br bitr3i fnopfvb mpbiri mp2an
      mpbi vtoclg ) CDZEFZUNGZAEFZAGCABUNAGZUOUQUNAUNAEHURIJEKLZUNKMZUPUSENEOKG
      PREKSQCTZUSUTUAUPUNUNUBEMZCCUCZVBCUDVCUNUNEUEVBUNUNVAUFUNUNEUGUHULKUNUNEU
      IUJUKUM $.
      $( [1-May-2004] $)
  $}

  $( The value of a restricted identity function. $)
  fvresi $p |- ( B e. A -> ( ( _I |` A ) ` B ) = B ) $=
    ( wcel cid cres cfv fvres fvi eqtrd ) BACBDAEFBDFBBADGBAHI $.
    $( [19-May-2004] $)

  $( Remove an ordered pair not participating in a function value.  (Revised by
     Mario Carneiro, 28-May-2014.) $)
  fvunsn $p |- ( B =/= D
       -> ( ( A u. { <. B , C >. } ) ` D ) = ( A ` D ) ) $=
    ( wne cop csn cun cres cfv c0 wcel wceq syl cvv fvres fvprc eqtr4d pm2.61i
    wn resundir elsni necon3ai ressnop0 uneq2d un0 syl6eq syl5eq fveq1d 3eqtr3g
    snidg ) BDEZDABCFGZHZDGZIZJZDAUOIZJZDUNJZDAJZULDUPURULUPURUMUOIZHZURAUMUOUA
    ULVCURKHURULVBKURULBUOLZTVBKMVDBDBDUBUCBCUOUDNUEURUFUGUHUIDOLZUQUTMZVEDUOLZ
    VFDOUKZDUOUNPNVETZUQKUTDUPQDUNQRSVEUSVAMZVEVGVJVHDUOAPNVIUSKVADURQDAQRSUJ
    $.
    $( [28-May-2014] $) $( [1-Oct-2013] $)

  ${
    fvsn.1 $e |- A e. _V $.
    fvsn.2 $e |- B e. _V $.
    $( The value of a singleton of an ordered pair is the second member. $)
    fvsn $p |- ( { <. A , B >. } ` A ) = B $=
      ( cop csn wfun wcel cfv wceq funsn opex snid funopfv mp2 ) ABEZFZGPQHAQIB
      JABCDKPABCDLMABQNO $.
      $( [12-Aug-1994] $)
  $}

  ${
    $d A a b $.  $d B b $.
    $( The value of a singleton of an ordered pair is the second member. $)
    fvsng $p |- ( ( A e. V /\ B e. W ) -> ( { <. A , B >. } ` A ) = B ) $=
      ( va vb cv cop csn cfv opeq1 sneqd id fveq12d eqeq1d opeq2 fveq1d eqeq12d
      wceq vex fvsn vtocl2g ) EGZUCFGZHZIZJZUDSAAUDHZIZJZUDSAABHZIZJZBSEFABCDUC
      ASZUGUJUDUNUCAUFUIUNUEUHUCAUDKLUNMNOUDBSZUJUMUDBUOAUIULUOUHUKUDBAPLQUOMRU
      CUDETFTUAUB $.
      $( [26-Oct-2012] $)
  $}

  ${
    fvsnun.1 $e |- A e. _V $.
    fvsnun.2 $e |- B e. _V $.
    fvsnun.3 $e |- G = ( { <. A , B >. } u. ( F |` ( C \ { A } ) ) ) $.
    $( The value of a function with one of its ordered pairs replaced, at the
       replaced ordered pair.  See also ~ fvsnun2 . $)
    fvsnun1 $p |- ( G ` A ) = B $=
      ( csn cres cfv wcel wceq fvres ax-mp cun c0 cin eqtri 3eqtri snid reseq1i
      cop cdif resundir incom disjdif resdisj uneq2i un0 fveq1i fvsn eqtr3i ) A
      EAIZJZKZAEKZBAUNLZUPUQMAFUAZAUNENOUPAABUCIZUNJZKZAUTKZBAUOVAUOUTDCUNUDZJZ
      PZUNJVAVEUNJZPZVAEVFUNHUBUTVEUNUEVHVAQPVAVGQVAVDUNRZQMVGQMVIUNVDRQVDUNUFU
      NCUGSVDUNDUHOUIVAUJSTUKURVBVCMUSAUNUTNOABFGULTUM $.
      $( [23-Sep-2007] $)

    $( The value of a function with one of its ordered pairs replaced, at
       arguments other than the replaced one.  See also ~ fvsnun1 . $)
    fvsnun2 $p |- ( D e. ( C \ { A } ) -> ( G ` D ) = ( F ` D ) ) $=
      ( csn cdif wcel cres cfv fvres cop cun c0 wceq 3eqtri reseq1i cin disjdif
      resundir wfn wb fnsn fnresdisj ax-mp mpbi residm uneq12i uncom un0 fveq1i
      syl5eq eqtr3d ) DCAJZKZLZDFUSMZNZDFNDENZDUSFOUTVBDEUSMZNVCDVAVDVAABPJZVDQ
      ZUSMVEUSMZVDUSMZQZVDFVFUSIUAVEVDUSUDVIRVDQVDRQVDVGRVHVDURUSUBRSZVGRSZURCU
      CVEURUEVJVKUFABGHUGURUSVEUHUIUJEUSUKULRVDUMVDUNTTUODUSEOUPUQ $.
      $( [23-Sep-2007] $)
  $}

  ${
    fvpr1.1 $e |- A e. _V $.
    fvpr1.2 $e |- C e. _V $.
    $( The value of a function with a domain of two elements.  (Contributed by
       Jeff Madsen, 20-Jun-2010.) $)
    fvpr1 $p |- ( A =/= B -> ( { <. A , C >. , <. B , D >. } ` A ) = C ) $=
      ( wne cop cpr cfv csn df-pr fveq1i wceq necom fvunsn sylbi syl5eq fvsn
      cun syl6eq ) ABGZAACHZBDHZIZJZAUCKZJZCUBUFAUGUDKTZJZUHAUEUIUCUDLMUBBAGUJU
      HNABOUGBDAPQRACEFSUA $.
      $( [1-Oct-2013] $) $( [20-Jun-2010] $)
  $}

  ${
    fvpr2.1 $e |- B e. _V $.
    fvpr2.2 $e |- D e. _V $.
    $( The value of a function with a domain of two elements.  (Contributed by
       Jeff Madsen, 20-Jun-2010.) $)
    fvpr2 $p |- ( A =/= B -> ( { <. A , C >. , <. B , D >. } ` B ) = D ) $=
      ( wne cop cpr cfv wceq fvpr1 necom prcom fveq1i eqeq1i 3imtr4i ) BAGBBDHZ
      ACHZIZJZDKABGBSRIZJZDKBADCEFLABMUCUADBUBTSRNOPQ $.
      $( [1-Oct-2013] $) $( [20-Jun-2010] $)
  $}

  $( The value of a constant function. $)
  fvconst2g $p |- ( ( B e. D /\ C e. A ) -> ( ( A X. { B } ) ` C ) = B ) $=
    ( wcel csn cxp wf cfv wceq fconstg fvconst sylan ) BDEABFZANGZHCAECOIBJABDK
    ABCOLM $.
    $( [20-Aug-2005] $)

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x F $.
    $( A constant function expressed as a cross product. $)
    fconst2g $p |- ( B e. C -> ( F : A --> { B } <-> F = ( A X. { B } ) ) ) $=
      ( vx wcel csn wf cxp wceq wa cv cfv wral fvconst adantlr fvconst2g eqtr4d
      adantll wfn ralrimiva wb fnconstg eqfnfv2 syl2an mpbird expcom syl5ibrcom
      ffn fconstg feq1 impbid ) BCFZABGZDHZDAUNIZJZUOUMUQUOUMKZUQELZDMZUSUPMZJZ
      EANZURVBEAURUSAFZKUTBVAUOVDUTBJUMABUSDOPUMVDVABJUOABUSCQSRUAUODATUPATUQVC
      UBUMAUNDUIABCUCEADUPUDUEUFUGUMUOUQAUNUPHABCUJAUNDUPUKUHUL $.
      $( [27-Nov-2007] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.
    fvconst2.1 $e |- B e. _V $.
    $( The value of a constant function. $)
    fvconst2 $p |- ( C e. A -> ( ( A X. { B } ) ` C ) = B ) $=
      ( cvv wcel csn cxp cfv wceq fvconst2g mpan ) BEFCAFCABGHIBJDABCEKL $.
      $( [16-Apr-2005] $)

    $( A constant function expressed as a cross product. $)
    fconst2 $p |- ( F : A --> { B } <-> F = ( A X. { B } ) ) $=
      ( cvv wcel csn wf cxp wceq wb fconst2g ax-mp ) BEFABGZCHCANIJKDABECLM $.
      $( [20-Aug-1999] $)
  $}

  $( Two ways to express that a function is constant. $)
  fconst5 $p |- ( ( F Fn A /\ A =/= (/) ) -> ( F = ( A X. { B } ) <->
                 ran F = { B } ) ) $=
    ( wfn c0 wne wa csn cxp wceq crn wi eqeq2d syl5ib adantl cvv adantrd adantr
    rneq wb rnxp wcel wf wfo df-fo fof sylbir fconst2g exp3a fnrel snprc relrn0
    wn wrel biimprd eqeq2 xpeq2 xp0 syl6eq 3imtr4d ex sylbi syl5 pm2.61i impbid
    ) CADZAEFZGZCABHZIZJZCKZVIJZVGVKVMLVFVKVLVJKZJVGVMCVJSVGVNVIVLAVIUAMNOBPUBZ
    VHVMVKLZLVOVFVPVGVOVFVMVKVFVMGZAVICUCZVOVKVQAVICUDVRAVICUEAVICUFUGABPCUHNUI
    QVOUMZVFVPVGVFCUNZVSVPACUJVSVIEJZVTVPLBUKWAVTVPWAVTGVLEJZCEJZVMVKVTWBWCLWAV
    TWCWBCULUOOWAVMWBTVTVIEVLUPRWAVKWCTVTWAVJECWAVJAEIEVIEAUQAURUSMRUTVAVBVCQVD
    VE $.
    $( [27-Nov-2007] $)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.
    $( A constant function expressed in terms of its functionality, domain, and
       value.  See also ~ fconst2 . $)
    fconstfv $p |- ( F : A --> { B } <->
                   ( F Fn A /\ A. x e. A ( F ` x ) = B ) ) $=
      ( vy vz csn wf wfn cv cfv wceq wral wa syl6bb wcel wrex eqeq1d sylan9bbr
      c0 ffn fvconst ralrimiva jca wi fneq2 fn0 feq1 mpbiri syl6bi feq2 sylibrd
      f0 adantrd wne crn wb fvelrnb weq fveq2 rcla4cva rexbidva r19.9rzv bicomd
      an32s vex elsn eqcom bitr2i eqrdv exp31 imdistand wfo df-fo fof pm2.61ine
      sylbir syl6 impbii ) BCGZDHZDBIZAJZDKZCLZABMZNZWAWBWFBVTDUAWAWEABBCWCDUBU
      CUDWGWAUEBTBTLZWBWAWFWHWBTVTDHZWAWHWBDTLZWIWHWBDTIWJBTDUFDUGOWJWITVTTHVTU
      MTVTDTUHUIUJBTVTDUKULUNBTUOZWGWBDUPZVTLZNZWAWKWBWFWMWKWBWFWMWKWBNWFNZEWLV
      TWOEJZWLPZCWPLZWPVTPZWKWFWBWQWRUQWBWQFJZDKZWPLZFBQZWKWFNWRFBWPDURWFXCWRFB
      QZWKWRWFXBWRFBWFWTBPNXACWPWEXACLAWTBAFUSWDXACWCWTDUTRVARVBWKWRXDWRFBVCVDS
      SVEWSWPCLWRWPCEVFVGWPCVHVIOVJVKVLWNBVTDVMWABVTDVNBVTDVOVQVRVPVS $.
      $( [27-Aug-2004] $)

    $( Two ways to express a constant function. $)
    fconst3 $p |- ( F : A --> { B } <->
                  ( F Fn A /\ A C_ ( `' F " { B } ) ) ) $=
      ( vx csn wf wfn cv cfv wceq wral wa ccnv cima wss fconstfv wfun cdm fnfun
      wb fndm eqimss2 syl funconstss syl2anc pm5.32i bitri ) ABEZCFCAGZDHCIBJDA
      KZLUIACMUHNOZLDABCPUIUJUKUICQACRZOZUJUKTACSUIULAJUMACUAAULUBUCDABCUDUEUFU
      G $.
      $( [15-Mar-2007] $)
  $}

  $( Two ways to express a constant function. $)
  fconst4 $p |- ( F : A --> { B } <->
                ( F Fn A /\ ( `' F " { B } ) = A ) ) $=
    ( csn wf wfn ccnv cima wss wa wceq fconst3 cnvimass fndm syl5sseq biantrurd
    cdm eqss syl6bbr pm5.32i bitri ) ABDZCECAFZACGUBHZIZJUCUDAKZJABCLUCUEUFUCUE
    UDAIZUEJUFUCUGUEUCCQUDACUBMACNOPUDARSTUA $.
    $( [8-Mar-2007] $)

  $( A function's value in a preimage belongs to the image. $)
  funfvima $p |- ( ( Fun F /\ B e. dom F ) -> ( B e. A ->
                 ( F ` B ) e. ( F " A ) ) ) $=
    ( wfun cdm wcel wa cfv cima wi cres cin dmres eleq2i elin crn funres fvelrn
    bitri sylan fvres eleq1d syl6rbbr syl5ibrcom ex syl5bir exp3a com12 pm2.43b
    dfima3 imp3a ) CDZBCEZFZGBAFZBCHZCAIZFZUOULUNUOURJZULUOUNUSJULUOUNUSUOUNGZB
    CAKZEZFZULUSVCBAUMLZFUTVBVDBCAMNBAUMOSULVCUSULVCGURUOBVAHZVAPZFZULVADVCVGAC
    QBVARTUOVGUPVFFURUOVEUPVFBACUAUBUQVFUPCAUJNUCUDUEUFUGUHUKUI $.
    $( [23-Sep-2003] $)

  $( A function's value in an included preimage belongs to the image. $)
  funfvima2 $p |- ( ( Fun F /\ A C_ dom F ) -> ( B e. A ->
                  ( F ` B ) e. ( F " A ) ) ) $=
    ( wfun cdm wss wcel cfv cima wi ssel funfvima ex com23 a2d syl5 imp ) CDZAC
    EZFZBAGZBCHCAIGZJZTUABSGZJRUCASBKRUAUDUBRUDUAUBRUDUCABCLMNOPQ $.
    $( [3-Feb-1997] $)

  ${
    $d x A $.  $d x F $.  $d x G $.
    $( A class including a function contains the function's value in the image
       of the singleton of the argument. $)
    funfvima3 $p |- ( ( Fun F /\ F C_ G ) -> ( A e. dom F ->
                    ( F ` A ) e. ( G " { A } ) ) ) $=
      ( wss wfun cdm wcel cfv csn wi wa cop funfvop ssel2 sylan2 elimasn sylibr
      cima exp32 impcom ) BCDZBEZABFGZABHZCAIRGZJUAUBUCUEUAUBUCKZKAUDLZCGZUEUFU
      AUGBGUHABMBCUGNOCAUDPQST $.
      $( [23-Mar-2004] $)
  $}

  ${
    $d x y F $.
    $( Upper bound for the class of values of a class. $)
    fvclss $p |- { y | E. x y = ( F ` x ) } C_ ( ran F u. { (/) } ) $=
      ( cv cfv wceq wex crn c0 csn cun wcel wo wn wne wbr eqcom tz6.12i syl6ibr
      syl5bi eximdv com12 elrn necon1bd vex elsn orrd elun sylibr abssi ) BDZAD
      ZCEZFZAGZBCHZIJZKZUOUKUPLZUKUQLZMUKURLUOUSUTUOUSNUKIFUTUOUSUKIUOUKIOZULUK
      CPZAGZUSVAUOVCVAUNVBAUNUMUKFVAVBUKUMQULUKCRTUAUBAUKCUCSUDUKIBUEUFSUGUKUPU
      QUHUIUJ $.
      $( [9-Nov-1995] $)
  $}

  ${
    $d A y z $.  $d B y z $.  $d C w $.  $d D y $.  $d w x y $.  $d w z y $.
    abrexco.1 $e |- B e. _V $.
    abrexco.2 $e |- ( y = B -> C = D ) $.
    $( Composition of two image maps ` C ( y ) ` and ` B ( w ) ` . $)
    abrexco $p |- { x | E. y e. { z | E. w e. A z = B } x = C } =
        { x | E. w e. A x = D } $=
      ( cv wceq wrex cab wa wex wcel df-rex vex eqeq1 rexbidv elab anbi1i exbii
      r19.41v bitr4i bitri rexcom4 eqeq2d ceqsexv rexbii 3bitr2i abbii ) AKZGLZ
      BCKZFLZDEMZCNZMZUNHLZDEMZAUTBKZFLZUOOZDEMZBPZVEBPZDEMVBUTVCUSQZUOOZBPVGUO
      BUSRVJVFBVJVDDEMZUOOVFVIVKUOURVKCVCBSUPVCLUQVDDEUPVCFTUAUBUCVDUODEUEUFUDU
      GVEDBEUHVHVADEUOVABFIVDGHUNJUIUJUKULUM $.
      $( [27-May-2013] $)
  $}


  ${
    $d x y z A $.  $d y z B $.  $d y z C $.
    $( The image of an indexed union is the indexed union of the images.
       (Contributed by Mario Carneiro, 18-Jun-2014.) $)
    imaiun $p |- ( A " U_ x e. B C ) = U_ x e. B ( A " C ) $=
      ( vy vz ciun cima cv wcel cop wex wrex rexcom4 elima3 rexbii eliun anbi1i
      wa r19.41v bitr4i exbii 3bitr4ri 3bitr4i eqriv ) EBACDGZHZACBDHZGZFIZUFJZ
      UJEIZKBJZSZFLZULUHJZACMZULUGJULUIJUJDJZUMSZFLZACMUSACMZFLUQUOUSAFCNUPUTAC
      FULBDOPUNVAFUNURACMZUMSVAUKVBUMAUJCDQRURUMACTUAUBUCFULBUFOAULCUHQUDUE $.
      $( [18-Jun-2014] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( The image of a union is the indexed union of the images.  Theorem 3K(a)
       of [Enderton] p. 50.  (The proof was shortened by Mario Carneiro,
       18-Jun-2014.) $)
    imauni $p |- ( A " U. B ) = U_ x e. B ( A " x ) $=
      ( cuni cima cv ciun uniiun imaeq2i imaiun eqtri ) BCDZEBACAFZGZEACBMEGLNB
      ACHIABCMJK $.
      $( [18-Jun-2014] $) $( [9-Aug-2004] $)
  $}

  ${
    $d w x y z A $.  $d w x y z F $.
    $( The indexed union of a function's values is the union of its range.
       Compare Definition 5.4 of [Monk1] p. 50. $)
    fniunfv $p |- ( F Fn A -> U_ x e. A ( F ` x ) = U. ran F ) $=
      ( vy wfn crn cuni cv cfv wceq wrex cab ciun fnrnfv unieqd dfiun2 syl6reqr
      fvex ) CBEZCFZGDHAHZCIZJABKDLZGABUBMSTUCADBCNOADBUBUACRPQ $.
      $( [27-Sep-2004] $)

    $( The indexed union of a function's values is the union of its image under
       the index class.

       Note:  This theorem depends on the fact that our function value is the
       empty set outside of its domain.  If the antecedent is changed to
       ` F Fn A ` , the theorem can be proved without this dependency. $)
    funiunfv $p |- ( Fun F -> U_ x e. A ( F ` x ) = U. ( F " A ) ) $=
      ( vy vz vw wfun cv cfv ciun wcel wceq wa cuni fvex wrex wex c0 wn syl5eq
      copab crn cima fveq2 fvopab4 iuneq2i wfn fnopab2 fniunfv ax-mp eqtr3i cab
      rnopab2 unieqi wel wbr eqcom idd wi funbrfv adantr wb cdm n0i ndmfv eqeq1
      eqid syl5ib con1d mpan9 funbrfvb sylan2 pm5.21ndd syl5bb rexbidv pm5.32da
      expr exbidv eluniab eluni elima anbi2i exbii bitri 3bitr4g eqrdv ) CGZABA
      HZCIZJZDHZBKEHZWKCIZLZMDEUAZUBZNZCBUCZNZABWHWOIZJZWJWQABWTWIDEWHWMWIBWOWK
      WHCUDWOVGZWHCOUEUFWOBUGXAWQLDEBWMWOWKCOXBUHABWOUIUJUKWGWQWNDBPZEULZNZWSWP
      XDDEBWMUMUNWGFXEWSWGFEUOZXCMZEQXFWKWLCUPZDBPZMZEQZFHZXEKXLWSKZWGXGXJEWGXF
      XCXIWGXFMZWNXHDBWNWMWLLZXNXHWLWMUQXNXOXOXHXNXOURWGXHXOUSXFWKWLCUTVAWGXFXO
      XOXHVBZXFXOMWGWKCVCKZXPXFWLRLZSXOXQWLXLVDXOXQXRXQSWMRLXOXRWKCVEWMWLRVFVHV
      IVJWKWLCVKVLVQVMVNVOVPVRXCEXLVSXMXFWLWRKZMZEQXKEXLWRVTXTXJEXSXIXFDWLCBWAW
      BWCWDWEWFTT $.
      $( [26-Mar-2006] $)
  $}

  ${
    $d x z A $.  $d y z F $.  $d x y $.
    funiunfvf.1 $e |- ( y e. F -> A. x y e. F ) $.
    $( The indexed union of a function's values is the union of its image under
       the index class.  This version of ~ funiunfv uses a bound-variable
       hypothesis in place of a distinct variable condition.  (Unnecessary
       distinct variable restrictions were removed by David Abernethy,
       15-Apr-2013.) $)
    funiunfvf $p |- ( Fun F -> U_ x e. A ( F ` x ) = U. ( F " A ) ) $=
      ( vz wfun cv ciun cima cuni wcel ax-17 hbfv fveq2 cbviun funiunfv syl5eqr
      cfv ) DGACAHZDSZIFCFHZDSZIDCJKFABCUCUAABUBDEBHZUBLAMNUDUALFMUBTDOPFCDQR
      $.
      $( [15-Apr-2013] $)  $( [26-Mar-2006] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.
    $( Membership in the union of an image of a function. $)
    eluniima $p |- ( Fun F ->
                   ( B e. U. ( F " A ) <-> E. x e. A B e. ( F ` x ) ) ) $=
      ( cv cfv wcel wrex ciun wfun cima cuni eliun funiunfv eleq2d syl5rbbr ) C
      AEDFZGABHCABQIZGDJZCDBKLZGACBQMSRTCABDNOP $.
      $( [28-Sep-2006] $)

    $( Membership in the union of the range of a function. $)
    elunirn $p |- ( Fun F ->
                     ( A e. U. ran F <-> E. x e. dom F A e. ( F ` x ) ) ) $=
      ( crn cuni wcel cdm cima wfun cv cfv wrex imadmrn unieqi eluniima syl5bbr
      eleq2i ) BCDZEZFBCCGZHZEZFCIBAJCKFATLUBSBUARCMNQATBCOP $.
      $( [24-Sep-2006] $)
  $}

  ${
    $d x y z A $.  $d z B $.  $d x y z F $.
    $( A one-to-one function in terms of function values.  Compare Theorem
       4.8(iv) of [Monk1] p. 43. $)
    dff13 $p |- ( F : A -1-1-> B <-> ( F : A --> B /\
             A. x e. A A. y e. A ( ( F ` x ) = ( F ` y ) -> x = y ) ) ) $=
      ( vz cv wbr wal wa cfv wceq wi wral wb wcel breldm eleq2d syl5ib eqcom wf
      wf1 wmo weq wfn ffn fndm anim12d pm4.71rd fnbrfvb syl5bb bi2anan9 anandis
      cdm pm5.32da bitr4d imbi1d impexp syl6bb albidv 19.21v 19.23v fvex eqvinc
      dff12 wex imbi1i bitr4i imbi2i bitri 2albidv breq1 mo4 albii alcom 3bitri
      r2al 3bitr4g syl pm5.32i ) CDEUBCDEUAZAGZFGZEHZAUCZFIZJWAWBEKZBGZEKZLZABU
      DZMZBCNACNZJAFCDEVEWAWFWMWAECUEZWFWMOCDEUFWNWDWHWCEHZJZWKMZFIZBIZAIZWBCPZ
      WHCPZJZWLMZBIAIWFWMWNWRXDABWNWRXCWCWGLZWCWILZJZWKMZMZFIZXDWNWQXIFWNWQXCXG
      JZWKMXIWNWPXKWKWNWPXCWPJXKWNWPXCWNWDXAWOXBWDWBEUNZPWNXAWBWCEQWNXLCWBCEUGZ
      RSWOWHXLPWNXBWHWCEQWNXLCWHXMRSUHUIWNXCXGWPWNXAXBXGWPOWNXAJZXEWDWNXBJZXFWO
      XEWGWCLXNWDWCWGTCWBWCEUJUKXFWIWCLXOWOWCWITCWHWCEUJUKULUMUOUPUQXCXGWKURUSU
      TXJXCXHFIZMXDXCXHFVAXPWLXCXPXGFVFZWKMWLXGWKFVBWJXQWKFWGWIWBEVCVDVGVHVIVJU
      SVKWFWQBIZAIZFIXRFIZAIWTWEXSFWDWOABWBWHWCEVLVMVNXRFAVOXTWSAWQFBVOVNVPWLAB
      CCVQVRVSVTVJ $.
      $( [29-Oct-1996] $)
  $}

  ${
    $d x y w v A $.  $d w v B $.  $d z w v F $.  $d x y z $.
    f1fvf.1 $e |- ( z e. F -> A. x z e. F ) $.
    f1fvf.2 $e |- ( z e. F -> A. y z e. F ) $.
    $( A one-to-one function in terms of function values.  Compare Theorem
       4.8(iv) of [Monk1] p. 43. $)
    dff13f $p |- ( F : A -1-1-> B <-> ( F : A --> B /\
             A. x e. A A. y e. A ( ( F ` x ) = ( F ` y ) -> x = y ) ) ) $=
      ( vw vv cv cfv wceq wi wral wa wcel ax-17 hbfv hbim wf1 dff13 hbeq eqeq2d
      fveq2 eqeq2 imbi12d cbvral ralbii hbral eqeq1d eqeq1 ralbidv bitri anbi2i
      wf ) DEFUADEFUPZIKZFLZJKZFLZMZURUTMZNZJDOZIDOZPUQAKZFLZBKZFLZMZVGVIMZNZBD
      OZADOZPIJDEFUBVFVOUQVFUSVJMZURVIMZNZBDOZIDOVOVEVSIDVDVRJBDVBVCBBCCUSVABCU
      RFHCKZURQZBRSBCUTFHVTUTQBRSUCVCBRTVPVQJVPJRVQJRTUTVIMZVBVPVCVQWBVAVJUSUTV
      IFUEUDUTVIURUFUGUHUIVSVNIADVRABDVIDQARVPVQAACCUSVJACURFGWAARSACVIFGVTVIQA
      RSUCVQARTUJVNIRURVGMZVRVMBDWCVPVKVQVLWCUSVHVJURVGFUEUKURVGVIULUGUMUHUNUOU
      N $.
      $( [31-Jul-2003] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y F $.
    $( Equality of function values for a one-to-one function. $)
    f1fveq $p |- ( ( F : A -1-1-> B /\ ( C e. A /\ D e. A ) ) ->
                 ( ( F ` C ) = ( F ` D ) <-> C = D ) ) $=
      ( vx vy wf1 wcel wa cfv wceq wi cv fveq2 eqeq1d eqeq1 imbi12d imbi2d wral
      eqeq2d eqeq2 wf dff13 simprbi ra42 syl com12 vtocl2ga impcom impbid1 ) AB
      EHZCAIDAIJZJCEKZDEKZLZCDLZUMULUPUQMZULFNZEKZGNZEKZLZUSVALZMZMULUNVBLZCVAL
      ZMZMULURMFGCDAAUSCLZVEVHULVIVCVFVDVGVIUTUNVBUSCEOPUSCVAQRSVADLZVHURULVJVF
      UPVGUQVJVBUOUNVADEOUAVADCUBRSULUSAIVAAIJZVEULVEGATFATZVKVEMULABEUCVLFGABE
      UDUEVEFGAAUFUGUHUIUJCDEOUK $.
      $( [11-Feb-1997] $)
  $}

  ${
    $d F z $.  $d A z $.  $d Y z $.  $d X z $.  $d B z $.
    $( Membership in the image of a 1-1 map.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    f1elima $p |- ( ( F : A -1-1-> B /\ X e. A /\ Y C_ A )
                                -> ( ( F ` X ) e. ( F " Y ) <-> X e. Y ) ) $=
      ( vz wf1 wcel wss w3a cfv cima cv wceq wrex wb wfn wi wa anassrs fvelimab
      f1fn sylan 3adant2 ssel impac f1fveq ancom2s biimpd biimpcd sylan9 anasss
      eleq1 sylan2 rexlimdva 3impa fveq2 eqeq1d rcla4ev mpan2 impbid1 bitrd
      eqid ) ABCGZDAHZEAIZJZDCKZCELHZFMZCKZVHNZFEOZDEHZVDVFVIVMPZVEVDCAQVFVOABC
      UBFAEVHCUAUCUDVGVMVNVDVEVFVMVNRVDVESZVFSVLVNFEVPVFVJEHZVLVNRZVFVQSVPVJAHZ
      VQSVRVFVQVSEAVJUEUFVPVSVQVRVPVSSVLVJDNZVQVNVDVEVSVLVTRVDVEVSSSVLVTVDVSVEV
      LVTPABVJDCUGUHUITVTVQVNVJDEUMUJUKULUNTUOUPVNVHVHNZVMVHVCVLWAFDEVTVKVHVHVJ
      DCUQURUSUTVAVB $.
      $( [2-Sep-2009] $)
  $}

  ${
    $d x y A $.  $d x y F $.
    $( A one-to-one onto function in terms of function values. $)
    dff1o6 $p |- ( F : A -1-1-onto-> B <-> ( F Fn A /\ ran F = B /\
             A. x e. A A. y e. A ( ( F ` x ) = ( F ` y ) -> x = y ) ) ) $=
      ( wf1o wf1 wfo wa wf cv cfv wceq wi wral wfn crn w3a df-f1o dff13 anbi12i
      df-fo df-3an wss eqimss anim2i df-f sylibr pm4.71ri anbi1i 3bitrri 3bitri
      an32 ) CDEFCDEGZCDEHZICDEJZAKZELBKZELMUQURMNBCOACOZIZECPZEQZDMZIZIZVAVCUS
      RZCDESUNUTUOVDABCDETCDEUBUAVFVDUSIUPVDIZUSIVEVAVCUSUCVDVGUSVDUPVDVAVBDUDZ
      IUPVCVHVAVBDUEUFCDEUGUHUIUJUPVDUSUMUKUL $.
      $( [29-Mar-2008] $)
  $}

  $( The converse value of the value of a one-to-one onto function. $)
  f1ocnvfv1 $p |- ( ( F : A -1-1-onto-> B /\ C e. A ) ->
                 ( `' F ` ( F ` C ) ) = C ) $=
    ( wf1o wcel wa ccnv ccom cfv cid cres wceq f1ococnv1 fveq1d adantr wf fvco3
    f1of sylan fvresi adantl 3eqtr3d ) ABDEZCAFZGCDHZDIZJZCKALZJZCDJUFJZCUDUHUJ
    MUEUDCUGUIABDNOPUDABDQUEUHUKMABDSABCUFDRTUEUJCMUDACUAUBUC $.
    $( [20-May-2004] $)

  $( The value of the converse value of a one-to-one onto function. $)
  f1ocnvfv2 $p |- ( ( F : A -1-1-onto-> B /\ C e. B ) ->
                 ( F ` ( `' F ` C ) ) = C ) $=
    ( wf1o wcel ccnv cfv wceq wrel f1orel dfrel2 fveq1d adantr f1ocnv f1ocnvfv1
    wa sylib sylan eqtr3d ) ABDEZCBFZQCDGZHZUCGZHZUDDHZCUAUFUGIUBUAUDUEDUADJUED
    IABDKDLRMNUABAUCEUBUFCIABDOBACUCPST $.
    $( [20-May-2004] $)

  $( Relationship between the value of a one-to-one onto function and the value
     of its converse.  (Contributed by Raph Levien, 10-Apr-2004.) $)
  f1ocnvfv $p |- ( ( F : A -1-1-onto-> B /\ C e. A ) ->
                  ( ( F ` C ) = D -> ( `' F ` D ) = C ) ) $=
    ( cfv wceq ccnv wf1o wcel wa fveq2 eqcoms f1ocnvfv1 eqeq2d syl5ib ) CEFZDGD
    EHZFZQRFZGZABEICAJKZSCGUADQDQRLMUBTCSABCENOP $.
    $( [10-Apr-2004] $)

  $( Relationship between the value of a one-to-one onto function and the value
     of its converse. $)
  f1ocnvfvb $p |- ( ( F : A -1-1-onto-> B /\ C e. A /\ D e. B ) ->
                  ( ( F ` C ) = D <-> ( `' F ` D ) = C ) ) $=
    ( wf1o wcel w3a cfv wceq ccnv wi f1ocnvfv 3adant3 wa fveq2 eqcoms f1ocnvfv2
    eqeq2d syl5ib 3adant2 impbid ) ABEFZCAGZDBGZHCEIZDJZDEKIZCJZUCUDUGUILUEABCD
    EMNUCUEUIUGLUDUIUFUHEIZJZUCUEOZUGUKCUHCUHEPQULUJDUFABDERSTUAUB $.
    $( [9-Aug-2006] $) $( [20-May-2004] $)

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x F $.
    $( There is one domain element for each value of a one-to-one onto
       function. $)
    f1ofveu $p |- ( ( F : A -1-1-onto-> B /\ C e. B ) ->
                  E! x e. A ( F ` x ) = C ) $=
      ( wf1o wcel wa cv cfv wceq wreu cop ccnv wf f1ocnv f1of syl feu sylan wfn
      wb f1ofn fnopfvb opelcnv syl6bbr reubidva adantr mpbird ) BCEFZDCGZHAIZEJ
      DKZABLZDULMENZGZABLZUJCBUOOZUKUQUJCBUOFURBCEPCBUOQRACBDUOSTUJUNUQUBZUKUJE
      BUAZUSBCEUCUTUMUPABUTULBGHUMULDMEGUPBULDEUDDULEUEUFUGRUHUI $.
      $( [26-May-2006] $)
  $}

  $( The value of the converse of a one-to-one onto function belongs to its
     domain. $)
  f1ocnvdm $p |- ( ( F : A -1-1-onto-> B /\ C e. B ) ->
                    ( `' F ` C ) e. A ) $=
    ( wf1o ccnv wf wcel cfv f1ocnv f1of syl ffvelrn sylan ) ABDEZBADFZGZCBHCPIA
    HOBAPEQABDJBAPKLBACPMN $.
    $( [26-May-2006] $)

  ${
    $d x A $.  $d y B $.  $d x y F $.  $d y ph $.  $d x ps $.
    cbvfo.1 $e |- ( ( F ` x ) = y -> ( ph <-> ps ) ) $.
    $( Change bound variable between domain and range of function. $)
    cbvfo $p |- ( F : A -onto-> B -> ( A. x e. A ph <-> A. y e. B ps ) ) $=
      ( wral cv wcel wi wal wceq wa wex a1i jcad eximdv syl5bi wfo cdm crn wfun
      wb fofun cfv wbr elrn breldm funbrfv hba1 ax-17 biimpcd imim2i a4s exlimd
      imp3a syl9 alrimdv eldm brelrn biimprcd impbid syl df-ral 3bitr4g fof fdm
      wf raleqdv forn 3bitr3d ) EFGUAZACGUBZIZBDGUCZIZACEIBDFIVNCJZVOKZALZCMZDJ
      ZVQKZBLZDMZVPVRVNGUDZWBWFUEEFGUFWGWBWFWGWBWEDWGWDVTVSGUGWCNZOZCPZWBBWDVSW
      CGUHZCPWGWJCWCGUIWGWKWICWGWKVTWHWKVTLWGVSWCGUJQVSWCGUKZRSTWBWIBCWACULBCUM
      WAWIBLCWAVTWHBAWHBLVTWHABHUNUOURUPUQUSUTWGWFWACWGVTWDWHOZDPZWFAVTWKDPWGWN
      DVSGVAWGWKWMDWGWKWDWHWKWDLWGVSWCGVBQWLRSTWFWMADWEDULADUMWEWMALDWEWDWHABWH
      ALWDWHABHVCUOURUPUQUSUTVDVEACVOVFBDVQVFVGVNACVOEVNEFGVJVOENEFGVHEFGVIVEVK
      VNBDVQFEFGVLVKVM $.
      $( [23-Feb-1997] $)

    $( Change bound variable between domain and range of function. $)
    cbvexfo $p |- ( F : A -onto-> B -> ( E. x e. A ph <-> E. y e. B ps ) ) $=
      ( wfo wn wral wrex cv cfv wceq notbid cbvfo dfrex2 3bitr4g ) EFGIZAJZCEKZ
      JBJZDFKZJACELBDFLTUBUDUAUCCDEFGCMGNDMOABHPQPACERBDFRS $.
      $( [23-Feb-1997] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y H $.  $d x y G $.
    $d x y R $.  $d x y S $.  $d x y T $.
    $( Equality theorem for isomorphisms. $)
    isoeq1 $p |- ( H = G ->
          ( H Isom R , S ( A , B ) <-> G Isom R , S ( A , B ) ) ) $=
      ( vx vy wceq wf1o cv wbr cfv wb wral wa wiso f1oeq1 fveq1 df-iso 2ralbidv
      breq12d bibi2d anbi12d 3bitr4g ) FEIZABFJZGKZHKZCLZUHFMZUIFMZDLZNZHAOGAOZ
      PABEJZUJUHEMZUIEMZDLZNZHAOGAOZPABCDFQABCDEQUFUGUPUOVAABFERUFUNUTGHAAUFUMU
      SUJUFUKUQULURDUHFESUIFESUBUCUAUDGHABCDFTGHABCDETUE $.
      $( [17-May-2004] $)

    $( Equality theorem for isomorphisms. $)
    isoeq2 $p |- ( R = T ->
          ( H Isom R , S ( A , B ) <-> H Isom T , S ( A , B ) ) ) $=
      ( vx vy wceq wf1o cv wbr cfv wb wral wa wiso breq bibi1d df-iso 2ralbidv
      anbi2d 3bitr4g ) CEIZABFJZGKZHKZCLZUFFMUGFMDLZNZHAOGAOZPUEUFUGELZUINZHAOG
      AOZPABCDFQABEDFQUDUKUNUEUDUJUMGHAAUDUHULUIUFUGCERSUAUBGHABCDFTGHABEDFTUC
      $.
      $( [17-May-2004] $)

    $( Equality theorem for isomorphisms. $)
    isoeq3 $p |- ( S = T ->
          ( H Isom R , S ( A , B ) <-> H Isom R , T ( A , B ) ) ) $=
      ( vx vy wceq wf1o cv wbr cfv wb wral wa wiso breq bibi2d df-iso 2ralbidv
      anbi2d 3bitr4g ) DEIZABFJZGKZHKZCLZUFFMZUGFMZDLZNZHAOGAOZPUEUHUIUJELZNZHA
      OGAOZPABCDFQABCEFQUDUMUPUEUDULUOGHAAUDUKUNUHUIUJDERSUAUBGHABCDFTGHABCEFTU
      C $.
      $( [17-May-2004] $)

    $( Equality theorem for isomorphisms. $)
    isoeq4 $p |- ( A = C ->
          ( H Isom R , S ( A , B ) <-> H Isom R , S ( C , B ) ) ) $=
      ( vx vy wceq wf1o cv wbr cfv wb wral wa wiso f1oeq2 raleq df-iso anbi12d
      raleqbi1dv 3bitr4g ) ACIZABFJZGKZHKZDLUFFMUGFMELNZHAOZGAOZPCBFJZUHHCOZGCO
      ZPABDEFQCBDEFQUDUEUKUJUMACBFRUIULGACUHHACSUBUAGHABDEFTGHCBDEFTUC $.
      $( [17-May-2004] $)

    $( Equality theorem for isomorphisms. $)
    isoeq5 $p |- ( B = C ->
          ( H Isom R , S ( A , B ) <-> H Isom R , S ( A , C ) ) ) $=
      ( vx vy wceq wf1o cv wbr cfv wb wral wa wiso f1oeq3 anbi1d df-iso 3bitr4g
      ) BCIZABFJZGKZHKZDLUDFMUEFMELNHAOGAOZPACFJZUFPABDEFQACDEFQUBUCUGUFBCAFRSG
      HABDEFTGHACDEFTUA $.
      $( [17-May-2004] $)
  $}


  ${
    $d y z w H $.  $d y z w R $.  $d y z w S $.  $d y z w A $.  $d y z w B $.
    $d x y z w $.
    hbiso.1 $e |- ( y e. H -> A. x y e. H ) $.
    hbiso.2 $e |- ( y e. R -> A. x y e. R ) $.
    hbiso.3 $e |- ( y e. S -> A. x y e. S ) $.
    hbiso.4 $e |- ( y e. A -> A. x y e. A ) $.
    hbiso.5 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for an isomorphism.  (The proof was
       shortened by Andrew Salmon, 22-Oct-2011.) $)
    hbiso $p |- ( H Isom R , S ( A , B ) -> A. x H Isom R , S ( A , B ) ) $=
      ( vz vw cv wbr cfv wral hblem wcel wiso wf1o wb wa df-iso hbf1o hbbr hbfv
      ax-17 hbbi hbral hban hbxfrbi ) CDEFGUACDGUBZMOZNOZEPZUOGQZUPGQZFPZUCZNCR
      ZMCRZUDAMNCDEFGUEUNVCAABCDGHKLUFVBAMCABMCKSVAANCABNCKSUQUTAABUOUPEBOZUOTA
      UIZIVDUPTAUIZUGABURUSFABUOGHVEUHJABUPGHVFUHUGUJUKUKULUM $.
      $( [22-Oct-2011] $) $( [17-May-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $( An isomorphism is a one-to-one onto function. $)
    isof1o $p |- ( H Isom R , S ( A , B ) -> H : A -1-1-onto-> B ) $=
      ( vx vy wiso wf1o cv wbr cfv wb wral df-iso simplbi ) ABCDEHABEIFJZGJZCKQ
      ELRELDKMGANFANFGABCDEOP $.
      $( [27-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $d x y C $.  $d x y D $.
    $( An isomorphism connects binary relations via its function values. $)
    isorel $p |- ( ( H Isom R , S ( A , B ) /\ ( C e. A /\ D e. A ) ) ->
                 ( C R D <-> ( H ` C ) S ( H ` D ) ) ) $=
      ( vx vy wiso cv wbr cfv wb wral wcel wa wceq fveq2 bibi12d df-iso simprbi
      wf1o breq1 breq1d breq2 breq2d rcla42v mpan9 ) ABEFGJZHKZIKZELZUKGMZULGMZ
      FLZNZIAOHAOZCAPDAPQCDELZCGMZDGMZFLZNZUJABGUCURHIABEFGUAUBUQVCCULELZUTUOFL
      ZNHICDAAUKCRZUMVDUPVEUKCULEUDVFUNUTUOFUKCGSUETULDRZVDUSVEVBULDCEUFVGUOVAU
      TFULDGSUGTUHUI $.
      $( [27-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y R $.
    $( Identity law for isomorphism.  Proposition 6.30(1) of [TakeutiZaring]
       p. 33. $)
    isoid $p |- ( _I |` A ) Isom R , R ( A , A ) $=
      ( vx vy cid cres wiso wf1o wbr cfv wral f1oi wcel fvresi breqan12d bicomd
      cv wb wa rgen2a df-iso mpbir2an ) AABBEAFZGAAUCHCQZDQZBIZUDUCJZUEUCJZBIZR
      ZDAKCAKALUJCDAUDAMZUEAMZSUIUFUKULUGUDUHUEBAUDNAUENOPTCDAABBUCUAUB $.
      $( [27-Apr-2004] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w R $.  $d x y z w S $.
    $d x y z w H $.
    $( Converse law for isomorphism.  Proposition 6.30(2) of [TakeutiZaring]
       p. 33. $)
    isocnv $p |- ( H Isom R , S ( A , B ) -> `' H Isom S , R ( B , A ) ) $=
      ( vx vy vz vw wf1o cv wbr cfv wb wral wa wiso wcel wceq f1ocnvfv2 adantrr
      ccnv f1ocnv adantr adantrl breq12d adantlr wf syl ffvelrn anim12dan breq1
      f1of fveq2 breq1d bibi12d bicom syl6bb breq2 rcla42va sylan an32s sylanl1
      breq2d bitr3d ralrimivva jca df-iso 3imtr4i ) ABEJZFKZGKZCLZVKEMZVLEMZDLZ
      NZGAOFAOZPZBAEUBZJZHKZIKZDLZWBVTMZWCVTMZCLZNZIBOHBOZPABCDEQBADCVTQVSWAWIV
      JWAVRABEUCZUDVSWHHIBBVSWBBRZWCBRZPZPWEEMZWFEMZDLZWDWGVJWMWPWDNVRVJWMPWNWB
      WOWCDVJWKWNWBSWLABWBETUAVJWLWOWCSWKABWCETUEUFUGVJBAVTUHZVRWMWPWGNZVJWAWQW
      JBAVTUMUIWQWMVRWRWQWMPWEARZWFARZPVRWRWQWKWSWLWTBAWBVTUJBAWCVTUJUKVQWRWNVO
      DLZWEVLCLZNZFGWEWFAAVKWESZVQXBXANXCXDVMXBVPXAVKWEVLCULXDVNWNVODVKWEEUNUOU
      PXBXAUQURVLWFSZXAWPXBWGXEVOWOWNDVLWFEUNVDVLWFWECUSUPUTVAVBVCVEVFVGFGABCDE
      VHHIBADCVTVHVI $.
      $( [27-Apr-2004] $)
    $( Converse law for isomorphism.  (Contributed by Mario Carneiro,
       30-Jan-2014.) $)
    isocnv2 $p |- ( H Isom R , S ( A , B ) <->
                    H Isom `' R , `' S ( A , B ) ) $=
      ( vx vy wf1o cv ccnv wbr cfv wb wral wa wiso brcnv bibi12i 2ralbii df-iso
      ralcom bitri anbi2i 3bitr4ri ) ABEHZFIZGIZCJZKZUFELZUGELZDJZKZMZGANFANZOU
      EUGUFCKZUKUJDKZMZFANGANZOABUHULEPABCDEPUOUSUEUOURGANFANUSUNURFGAAUIUPUMUQ
      UFUGCQUJUKDQRSURFGAAUAUBUCFGABUHULETGFABCDETUD $.
      $( [30-Jan-2014] $)
  $}

  ${
    $d A x y $.  $d B x y $.  $d H x y $.  $d R x y $.  $d S x y $.
    $( An isomorphism from one well-order to another can be restricted on
       either well-order.  (Contributed by Mario Carneiro, 15-Jan-2013.) $)
    isores2 $p |- ( H Isom R , S ( A , B ) <->
                      H Isom R , ( S i^i ( B X. B ) ) ( A , B ) ) $=
      ( vx vy wf1o cv wbr cfv wb wral wa cxp wiso wcel ffvelrn ralbidva df-iso
      cin wf f1of adantrr adantrl brinxp syl2anc anassrs bibi2d pm5.32i 3bitr4i
      sylan ) ABEHZFIZGIZCJZUNEKZUOEKZDJZLZGAMZFAMZNUMUPUQURDBBOUAZJZLZGAMZFAMZ
      NABCDEPABCVCEPUMVBVGUMVAVFFAUMUNAQZNZUTVEGAVIUOAQZNUSVDUPUMVHVJUSVDLZUMAB
      EUBZVHVJNZVKABEUCVLVMNUQBQZURBQZVKVLVHVNVJABUNERUDVLVJVOVHABUOERUEUQURBBD
      UFUGULUHUISSUJFGABCDETFGABCVCETUK $.
      $( [15-Jan-2013] $)
  $}

  ${
    $( An isomorphism from one well-order to another can be restricted on
       either well-order.  (Contributed by Mario Carneiro, 15-Jan-2013.) $)
    isores1 $p |- ( H Isom R , S ( A , B ) <->
                      H Isom ( R i^i ( A X. A ) ) , S ( A , B ) ) $=
      ( wiso cxp cin ccnv isocnv isores2 sylib wf1o wb isof1o isoeq1 sylbi 3syl
      syl mpbid wrel f1orel wceq dfrel2 sylibr impbii ) ABCDEFZABCAAGHZDEFZUGAB
      UHDEIZIZFZUIUGBADUHUJFZULUGBADCUJFZUMABCDEJBADCUJKZLBADUHUJJSUGABEMZEUAZU
      LUINZABCDEOABEUBZUQUKEUCZUREUDZABUHDEUKPQRTUIABCDUKFZUGUIUNVBUIUMUNABUHDE
      JUOUEBADCUJJSUIUPUQVBUGNZABUHDEOUSUQUTVCVAABCDEUKPQRTUF $.
      $( [15-Jan-2013] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u R $.  $d x y z w v u S $.  $d x y z w v u T $.
    $d x y z w v u G $.  $d x y z w v u H $.
    $( Composition (transitive) law for isomorphism.  Proposition 6.30(3) of
       [TakeutiZaring] p. 33. $)
    isotr $p |- ( ( H Isom R , S ( A , B ) /\ G Isom S , T ( B , C ) ) ->
               ( G o. H ) Isom R , T ( A , C ) ) $=
      ( vz vw vu vv vx vy cv wbr cfv wb wral wa wf1o ccom f1oco ad2ant2r ancoms
      wiso wcel wi wf f1of ffvelrn anim12d syl adantr wceq breq1 breq1d bibi12d
      ex fveq2 breq2 breq2d rcla42v com12 adantl sylan9 imp weq adantll adantlr
      impcom ad2antrr fvco3 breqan12d anandis 3bitr4d ralrimivva df-iso anbi12i
      sylan jca 3imtr4i ) ABHUAZIOZJOZDPZWDHQZWEHQZEPZRZJASIASZTZBCGUAZKOZLOZEP
      ZWNGQZWOGQZFPZRZLBSKBSZTZTZACGHUBZUAZMOZNOZDPZXFXDQZXGXDQZFPZRZNASMASZTAB
      DEHUFZBCEFGUFZTACDFXDUFXCXEXMXBWLXEWMWCXEXAWKABCGHUCUDUEXCXLMNAAXCXFAUGZX
      GAUGZTZTXFHQZXGHQZEPZXSGQZXTGQZFPZXHXKXCXRYAYDRZWLXRXSBUGZXTBUGZTZXBYEWCX
      RYHUHZWKWCABHUIZYIABHUJZYJXPYFXQYGYJXPYFABXFHUKUSYJXQYGABXGHUKUSULUMUNXAY
      HYEUHWMYHXAYEWTYEXSWOEPZYBWRFPZRKLXSXTBBWNXSUOZWPYLWSYMWNXSWOEUPYNWQYBWRF
      WNXSGUTUQURWOXTUOZYLYAYMYDWOXTXSEVAYOWRYCYBFWOXTGUTVBURVCVDVEVFVGWLXRXHYA
      RZXBWKXRYPWCXRWKYPWJYPXFWEDPZXSWHEPZRIJXFXGAAIMVHZWFYQWIYRWDXFWEDUPYSWGXS
      WHEWDXFHUTUQURJNVHZYQXHYRYAWEXGXFDVAYTWHXTXSEWEXGHUTVBURVCVKVIVJXCYJXRXKY
      DRZWCYJWKXBYKVLYJXPXQUUAYJXPTYJXQTXIYBXJYCFABXFGHVMABXGGHVMVNVOVTVPVQWAXN
      WLXOXBIJABDEHVRKLBCEFGVRVSMNACDFXDVRWB $.
      $( [27-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $d x y C $.  $d x y D $.
    $( Isomorphisms preserve minimal elements.  Note that ` ( ``' R " { D } ) `
       is Takeuti and Zaring's idiom for the initial segment
       ` { x | x R D } ` .  Proposition 6.31(1) of [TakeutiZaring] p. 33. $)
    isomin $p |- ( ( H Isom R , S ( A , B ) /\ ( C C_ A /\ D e. A ) ) ->
               ( ( C i^i ( `' R " { D } ) ) = (/) <->
               ( ( H " C ) i^i ( `' S " { ( H ` D ) } ) ) = (/) ) ) $=
      ( vy vx wcel wa ccnv csn cima cin wceq wbr wrex wex 3bitr4i wss c0 cfv cv
      wiso wn wb ssel2 anim1i an32s isorel fvex breq1 ceqsexv eqcom wf1o isof1o
      wfn f1ofn simpl fnbrfvb syl2an syl5bb anbi1d exbidv syl5bbr bitrd anassrs
      syl sylan2 rexbidva elin eliniseg anbi2i bitri exbii df-rex elima anbi12i
      neq0 r19.41v rexcom4 3bitr4g con4bid ) ABEFGUEZCAUAZDAJZKZKZCELDMNZOZUBPZ
      GCNZFLDGUCZMNZOZUBPZWIHUDZDEQZHCRZWRIUDZGQZXAWNFQZKZISZHCRZWLUFZWQUFZWIWS
      XEHCWEWHWRCJZWSXEUGZWHXIKWEWRAJZWGKZXJWFXIWGXLWFXIKXKWGCAWRUHUIUJWEXLKZWS
      WRGUCZWNFQZXEABWRDEFGUKXOXAXNPZXCKZISXMXEXCXOIXNWRGULXAXNWNFUMUNXMXQXDIXM
      XPXBXCXPXNXAPZXMXBXAXNUOWEGAURZXKXRXBUGXLWEABGUPXSABEFGUQABGUSVIXKWGUTAWR
      XAGVAVBVCVDVEVFVGVJVHVKWRWKJZHSXIWSKZHSXGWTXTYAHXTXIWRWJJZKYAWRCWJVLYBWSX
      IEDWRVMVNVOVPHWKVTWSHCVQTXAWPJZISXDHCRZISXHXFYCYDIXAWMJZXAWOJZKXBHCRZXCKY
      CYDYEYGYFXCHXAGCVRFWNXAVMVSXAWMWOVLXBXCHCWATVPIWPVTXDHICWBTWCWD $.
      $( [19-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $d x y D $.
    $( Isomorphisms preserve initial segments.  Proposition 6.31(2) of
       [TakeutiZaring] p. 33. $)
    isoini $p |- ( ( H Isom R , S ( A , B ) /\ D e. A ) ->
               ( H " ( A i^i ( `' R " { D } ) ) ) =
               ( B i^i ( `' S " { ( H ` D ) } ) ) ) $=
      ( vx vy wcel wa ccnv cfv csn cima cin wbr wrex bitri wb syl wiso cab elin
      cv eliniseg anbi2i wceq crn wfo wf1o isof1o f1ofo forn eleq2d wfn fvelrnb
      f1ofn bitr3d anbi1d adantr anbi1i anass wi fnbrfvb adantrr bicomd anbi12d
      sylan isorel ancom breq1 pm5.32i 3bitr3g exp32 com23 imp pm5.32d rexbidv2
      syl5bb r19.41v syl6bb bitr4d abbi2dv df-ima syl6reqr ) ABDEFUAZCAIZJZBEKC
      FLZMNZOZGUDZHUDZFPZGADKCMNZOZQZHUBFWPNWHWQHWKWMWKIZWMBIZWMWIEPZJZWHWQWRWS
      WMWJIZJXAWMBWJUCXBWTWSEWIWMUEUFRWHXAWLFLZWMUGZGAQZWTJZWQWFXAXFSWGWFWSXEWT
      WFWMFUHZIZWSXEWFXGBWMWFABFUIZXGBUGWFABFUJZXIABDEFUKZABFULTABFUMTUNWFFAUOZ
      XHXESWFXJXLXKABFUQTZGAWMFUPTURUSUTWHWQXDWTJZGAQXFWHWNXNGWPAWLWPIZWNJZWLAI
      ZWLCDPZWNJZJZWHXQXNJXPXQXRJZWNJXTXOYAWNXOXQWLWOIZJYAWLAWOUCYBXRXQDCWLUEUF
      RVAXQXRWNVBRWHXQXSXNWFWGXQXSXNSZVCWFXQWGYCWFXQWGYCWFXQWGJJZWNXRJXDXCWIEPZ
      JXSXNYDWNXDXRYEYDXDWNWFXQXDWNSZWGWFXLXQYFXMAWLWMFVDVHVEVFABWLCDEFVIVGWNXR
      VJXDYEWTXCWMWIEVKVLVMVNVOVPVQVSVRXDWTGAVTWAWBVSWCHGFWPWDWE $.
      $( [20-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y H $.
    $d x y R $.  $d x y S $.
    isoini2.1 $e |- C = ( A i^i ( `' R " { X } ) ) $.
    isoini2.2 $e |- D = ( B i^i ( `' S " { ( H ` X ) } ) ) $.
    $( Isomorphisms are isomorphisms on their initial segments.  (Contributed
       by Mario Carneiro, 29-Mar-2014.) $)
    isoini2 $p |- ( ( H Isom R , S ( A , B ) /\ X e. A ) ->
                    ( H |` C ) Isom R , S ( C , D ) ) $=
      ( vx vy wiso wcel wf1o wbr cfv wb wral cima wa cres cv wf1 wss isof1o syl
      f1of1 adantr ccnv csn inss1 eqsstri f1ores sylancl isoini imaeq2i 3eqtr4g
      cin wceq f1oeq3 mpbid df-iso simprbi ssralv ralimdv mpsyl fvres breqan12d
      bibi2d ralbidva ralbiia sylibr sylanbrc ) ABEFGMZHANZUAZCDGCUBZOZKUCZLUCZ
      EPZVTVRQZWAVRQZFPZRZLCSZKCSZCDEFVRMVQCGCTZVROZVSVQABGUDZCAUEZWJVOWKVPVOAB
      GOZWKABEFGUFABGUHUGUICAEUJHUKTZUSZAIAWNULUMZABCGUNUOVQWIDUTWJVSRVQGWOTBFU
      JHGQUKTUSWIDABHEFGUPCWOGIUQJURWIDCVRVAUGVBVQWBVTGQZWAGQZFPZRZLCSZKCSZWHWL
      VQXAKASZXBWPWLVQWTLASZKASZXCWPVOXEVPVOWMXEKLABEFGVCVDUIWLXDXAKAWTLCAVEVFV
      GXAKCAVEVGWGXAKCVTCNZWFWTLCXFWACNZUAWEWSWBXFXGWCWQWDWRFVTCGVHWACGVHVIVJVK
      VLVMKLCDEFVRVCVN $.
      $( [29-Mar-2014] $)
  $}

  ${
    $d x y z w v u A $.  $d x y v u B $.  $d x y z w v u H $.
    $d x y z w v u R $.  $d v u S $.
    $( Any one-to-one onto function determines an isomorphism with an induced
       relation ` S ` .  Proposition 6.33 of [TakeutiZaring] p. 34. $)
    f1oiso $p |- ( ( H : A -1-1-onto-> B /\ S = { <. z , w >. |
     E. x e. A E. y e. A ( ( z = ( H ` x ) /\ w = ( H ` y ) ) /\ x R y ) } ) ->
                  H Isom R , S ( A , B ) ) $=
      ( vv vu cv cfv wceq wa wbr wrex wb wcel anbi1d wf1o copab wral wiso simpl
      wf1 f1of1 cop df-br eleq2 fvex eqeq1 2rexbidv anbi2d opelopab anass eqcom
      f1fveq syl6bb anassrs syl5bb rexbidv rexbidva breq1 ceqsrexv adantl bitrd
      r19.42v breq2 sylan9bb anandis sylan9bbr an32s ralrimivva df-iso sylanbrc
      syl5rbb sylan ) EFIUAZHCLZALZIMZNZDLZBLZIMZNZOZWAWEGPZOZBEQAEQZCDUBZNZOVS
      JLZKLZGPZWNIMZWOIMZHPZRZKEUCJEUCZEFGHIUDVSWMUEVSEFIUFZWMXAEFIUGXBWMOZWTJK
      EEWSWQWRUHZHSZXCWNESZWOESZOZOWPWQWRHUIXBXHWMXEWPRWMXEXDWLSZXBXHOZWPHWLXDU
      JXIWQWBNZWRWFNZOZWIOZBEQZAEQZXJWPWKXKWGOZWIOZBEQAEQXPCDWQWRWNIUKWOIUKVTWQ
      NZWJXRABEEXSWHXQWIXSWCXKWGVTWQWBULTTUMWDWRNZXRXNABEEXTXQXMWIXTWGXLXKWDWRW
      FULUNTUMUOXBXFXGXPWPRXBXFOZXPXLWNWEGPZOZBEQZXBXGOZWPYAXPWAWNNZXLWIOZBEQZO
      ZAEQZYDYAXOYIAEYAWAESZOZXOYFYGOZBEQYIYLXNYMBEXNXKYGOYLYMXKXLWIUPYLXKYFYGX
      BXFYKXKYFRXBXFYKOOXKWNWANYFEFWNWAIURWNWAUQUSUTTVAVBYFYGBEVHUSVCXFYJYDRXBY
      HYDAWNEYFYGYCBEYFWIYBXLWAWNWEGVDUNVBVEVFVGYEYDWEWONZYBOZBEQZWPYEYCYOBEYEW
      EESZOXLYNYBXBXGYQXLYNRXBXGYQOOXLWOWENYNEFWOWEIURWOWEUQUSUTTVCXGYPWPRXBYBW
      PBWOEWEWOWNGVIVEVFVGVJVKVAVLVMVQVNVRJKEFGHIVOVP $.
      $( [30-Apr-2004] $)
  $}

  ${
    $d A w x y z $.  $d B w x y z $.  $d H w x y z $.  $d R w x y z $.
    f1oiso2.1 $e |- S = { <. x , y >. |
      ( ( x e. B /\ y e. B ) /\ ( `' H ` x ) R ( `' H ` y ) ) } $.
    $( Any one-to-one onto function determines an isomorphism with an induced
       relation ` S ` .  (Contributed by Mario Carneiro, 9-Mar-2013.) $)
    f1oiso2 $p |- ( H : A -1-1-onto-> B -> H Isom R , S ( A , B ) ) $=
      ( vz vw cv cfv wceq wa wbr wrex wcel 3adant3 eqcomd syl2anc wf1o wiso w3a
      copab ccnv f1ocnvdm adantrr f1ocnvfv2 anim12dan simp3 fveq2 eqeq2d anbi2d
      adantrl breq2 anbi12d rcla4ev syl12anc anbi1d breq1 rexbidv simp3ll simp1
      3expib simp2l wf ffvelrn sylan eqeltrd simp3lr simp2r simp3r f1ocnvfv mpd
      f1of wi 3brtr4d jca31 3exp rexlimdvv impbid opabbidv syl5eq f1oiso mpdan
      ) CDGUAZFAKZIKZGLZMZBKZJKZGLZMZNZWHWLEOZNZJCPZICPZABUDZMCDEFGUBWFFWGDQZWK
      DQZNZWGGUEZLZWKXDLZEOZNZABUDWTHWFXHWSABWFXHWSWFXCXGWSWFXCXGUCZXECQZWGXEGL
      ZMZWNNZXEWLEOZNZJCPZWSWFXCXJXGWFXAXJXBCDWGGUFUGRXIXFCQZXLWKXFGLZMZNZXGXPW
      FXCXQXGWFXBXQXACDWKGUFUNRWFXCXTXGWFXAXLXBXSWFXANXKWGCDWGGUHSWFXBNXRWKCDWK
      GUHSUIRWFXCXGUJXOXTXGNJXFCWLXFMZXMXTXNXGYAWNXSXLYAWMXRWKWLXFGUKULUMWLXFXE
      EUOUPUQURWRXPIXECWHXEMZWQXOJCYBWOXMWPXNYBWJXLWNYBWIXKWGWHXEGUKULUSWHXEWLE
      UTUPVAUQTVDWFWQXHIJCCWFWHCQZWLCQZNZWQXHWFYEWQUCZXAXBXGYFWGWIDWJWNWPWFYEVB
      ZYFWFYCWIDQZWFYEWQVCZWFYCYDWQVEZWFCDGVFZYCYHCDGVOZCDWHGVGVHTVIYFWKWMDWJWN
      WPWFYEVJZYFWFYDWMDQZYIWFYCYDWQVKZWFYKYDYNYLCDWLGVGVHTVIYFWHWLXEXFEWFYEWOW
      PVLYFWIWGMZXEWHMZYFWGWIYGSYFWFYCYPYQVPYIYJCDWHWGGVMTVNYFWMWKMZXFWLMZYFWKW
      MYMSYFWFYDYRYSVPYIYOCDWLWKGVMTVNVQVRVSVTWAWBWCIJABCDEFGWDWE $.
      $( [9-Mar-2013] $)
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    opbr1st.1 $e |- A e. _V $.
    opbr1st.2 $e |- B e. _V $.
    $( Binary relationship of an ordered pair over ` 1st ` . $)
    opbr1st $p |- ( <. A , B >. 1st C <-> A = C ) $=
      ( vx vy cop c1st wbr cvv wcel wceq brex simprd cv wex wa eqcom bitri opth
      eleq1 mpbii breq2 eqeq2 br1st biidd ceqsexv ancom exbii 3bitr4i pm5.21nii
      vex vtoclbg ) ABHZCIJZCKLZACMZUPUOKLUQUOCINOURAKLUQDACKUBUCUOFPZIJZAUSMZU
      PURFCKUSCUOIUDUSCAUEUTUOUSGPZHZMZGQZVAGUOUSFUMUFVBBMZUSAMZRZGQVGVEVAVGVGG
      BEVFVGUGUHVDVHGVDVCUOMZVHUOVCSVIVGVFRVHUSVBABUAVGVFUITTUJAUSSUKTUNUL $.
      $( [6-Feb-2015] $)

    $( Binary relationship of an ordered pair over ` 2nd ` . $)
    opbr2nd $p |- ( <. A , B >. 2nd C <-> B = C ) $=
      ( vx vy cop c2nd wbr cvv wcel wceq brex simprd eleq1 cv wex eqcom bitri
      mpbii breq2 eqeq2 vex br2nd wa biidd ceqsexv opth exbii 3bitr4i pm5.21nii
      vtoclbg ) ABHZCIJZCKLZBCMZUOUNKLUPUNCINOUQBKLUPEBCKPUAUNFQZIJZBURMZUOUQFC
      KURCUNIUBURCBUCUSUNGQZURHZMZGRZUTGUNURFUDUEVAAMZURBMZUFZGRVFVDUTVFVFGADVE
      VFUGUHVCVGGVCVBUNMVGUNVBSVAURABUITUJBURSUKTUMUL $.
      $( [6-Feb-2015] $)
  $}

  ${
    $d x y $.
    $( The subset relationship is a relationship. $)
    relsset $p |- Rel SSet $=
      ( vx vy cv wss csset df-sset relopabi ) ACBCDABEABFG $.
      $( [11-Feb-2015] $)
  $}

  ${
    $d x y $.
    $( Alternate definition of the identity relationship. $)
    dfid4 $p |- _I = ( SSet i^i `' SSet ) $=
      ( vx vy cid csset ccnv cin reli wss inss1 relsset relss mp2 weq cv wa wbr
      wrel vex brsset bitri eqss ideq brin brcnv anbi12i 3bitr4i eqbrriv ) ABCD
      DEZFZGUIDHDQUIQDUHIJUIDKLABMANZBNZHZUKUJHZOZUJUKCPUJUKUIPZUJUKUAUJUKBRZUB
      UOUJUKDPZUJUKUHPZOUNUJUKDUHUCUQULURUMUJUKARZUPSURUKUJDPUMUJUKDUDUKUJUPUSS
      TUETUFUG $.
      $( [11-Feb-2015] $)
  $}

  $( The identity relationship is a set. $)
  idex $p |- _I e. _V $=
    ( cid csset ccnv cin cvv dfid4 ssetex cnvex inex eqeltri ) ABBCZDEFBKGBGHIJ
    $.
    $( [11-Feb-2015] $)

  ${
    $d x y z w t $.
    $( ` 1st ` is a mapping from ` ( _V X. _V ) ` onto the universe. $)
    1stfo $p |- 1st : ( _V X. _V ) -onto-> _V $=
      ( vx vy vz vw vt cvv c1st wceq cv wbr weq wal cop wex br1st mpbir2an wcel
      wa vex mpbir cxp wfo wfn crn wfun cdm wrel df-1st relopabi anbi12i bitr4i
      eeanv eqtr2 opth simplbi syl exlimivv sylbi gen2 ax-gen dffun2 exbii eldm
      elvv 3bitr4i eqriv df-fn eqv equid opbr1st opex breq1 cla4ev ax-mp mpgbir
      wi elrn df-fo ) FFUAZFGUBGVSUCZGUDZFHZVTGUEZGUFZVSHWCGUGAIZBIZGJZWECIZGJZ
      RZBCKZVPZCLBLZALWEWFWHMHCNZABGABCUHUIWMAWLBCWJWEWFDIZMZHZWEWHEIZMZHZRZEND
      NZWKWJWQDNZWTENZRXBWGXCWIXDDWEWFBSZOEWEWHCSOUJWQWTDEULUKXAWKDEXAWPWSHZWKW
      EWPWSUMXFWKDEKWFWOWHWRUNUOUPUQURUSUTABCGVAPAWDVSWGBNWNBNWEWDQWEVSQWGWNBCW
      EWFXEOVBBWEGVCBCWEVDVEVFGVSVGPWBWEWAQZAAWAVHXGWFWEGJZBNZWEWEMZWEGJZXIXKAA
      KAVIWEWEWEASZXLVJTXHXKBXJWEWEXLXLVKWFXJWEGVLVMVNBWEGVQTVOVSFGVRP $.
      $( [12-Feb-2015] $)

    $( ` 2nd ` is a mapping from ` ( _V X. _V ) ` onto the universe. $)
    2ndfo $p |- 2nd : ( _V X. _V ) -onto-> _V $=
      ( vx vy vz vw vt cvv c2nd wceq cv wbr wa weq wal cop wex vex br2nd bitr4i
      mpbir2an wcel cxp wfo wfn crn wfun cdm wrel df-2nd relopabi anbi12i eeanv
      eqtr2 opth simprbi syl exlimivv sylbi gen2 ax-gen dffun2 eldm exbii excom
      wi 3bitri elvv eqriv df-fn eqv equid opbr2nd mpbir opex breq1 cla4ev elrn
      ax-mp mpgbir df-fo ) FFUAZFGUBGVTUCZGUDZFHZWAGUEZGUFZVTHWDGUGAIZBIZGJZWFC
      IZGJZKZBCLZVDZCMBMZAMWFWIWGNHZCOZABGABCUHUIWNAWMBCWKWFDIZWGNZHZWFEIZWINZH
      ZKZEODOZWLWKWSDOZXBEOZKXDWHXEWJXFDWFWGBPZQEWFWICPQUJWSXBDEUKRXCWLDEXCWRXA
      HZWLWFWRXAULXHDELWLWQWGWTWIUMUNUOUPUQURUSABCGUTSAWEVTWFWETZWOBOCOZWFVTTXI
      WHBOWPBOXJBWFGVAWHWPBCWFWGXGQVBWOBCVCVECBWFVFRVGGVTVHSWCWFWBTZAAWBVIXKWGW
      FGJZBOZWFWFNZWFGJZXMXOAALAVJWFWFWFAPZXPVKVLXLXOBXNWFWFXPXPVMWGXNWFGVNVOVQ
      BWFGVPVLVRVTFGVSS $.
      $( [12-Feb-2015] $)
  $}

  ${
    $d A x y z $.
    $( Alternate definition of domain. $)
    dfdm4 $p |- dom A = ( 1st " A ) $=
      ( vx vy vz cdm c1st cima cv cop wcel wex wbr wrex wceq rexcom4 vex rexbii
      br1st risset exbii 3bitr4ri eldm2 elima 3bitr4i eqriv ) BAEZFAGZBHZCHIZAJ
      ZCKZDHZUHFLZDAMZUHUFJUHUGJULUINZCKZDAMUODAMZCKUNUKUODCAOUMUPDACULUHBPRQUJ
      UQCDUIASTUACUHAUBDUHFAUCUDUE $.
      $( [23-Feb-2015] $)

    $( Alternate definition of range. $)
    dfrn5 $p |- ran A = ( 2nd " A ) $=
      ( vy vx vz crn c2nd cima cv cop wcel wex wbr wrex wceq rexcom4 vex rexbii
      br2nd risset exbii 3bitr4ri elrn2 elima 3bitr4i eqriv ) BAEZFAGZCHBHZIZAJ
      ZCKZDHZUHFLZDAMZUHUFJUHUGJULUINZCKZDAMUODAMZCKUNUKUODCAOUMUPDACULUHBPRQUJ
      UQCDUIASTUACUHAUBDUHFAUCUDUE $.
      $( [23-Feb-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.
    $d B a $.  $d B b $.  $d b x $.  $d B x $.  $d b y $.  $d B y $.  $d x y $.

    $( Binary relationship of ` Swap ` . $)
    brswap $p |- ( A Swap B <-> E. x E. y ( A = <. x , y >. /\ B = <. y , x >.
        ) ) $=
      ( va vb cswap cvv wcel wa cv cop wceq wex opex eleq1 mpbiri eqeq1 2exbidv
      vex wbr brex anim12i exlimivv anbi1d anbi2d df-swap brabg pm5.21nii ) CDG
      UACHIZDHIZJZCAKZBKZLZMZDUNUMLZMZJZBNANZCDGUBUSULABUPUJURUKUPUJUOHIUMUNATZ
      BTZOCUOHPQURUKUQHIUNUMVBVAODUQHPQUCUDEKZUOMZFKZUQMZJZBNANUPVFJZBNANUTEFCD
      HHGVCCMZVGVHABVIVDUPVFVCCUORUESVEDMZVHUSABVJVFURUPVEDUQRUFSEFABUGUHUI $.
      $( [23-Feb-2015] $)
  $}

  ${
    $d a b x y $.
    $( The converse of ` Swap ` is ` Swap ` . $)
    cnvswap $p |- `' Swap = Swap $=
      ( va vb vy vx cswap ccnv relcnv relswap cv cop wceq wa ancom 2exbii brcnv
      wex wbr brswap excom 3bitri 3bitr4i eqbrriv ) ABEFZEEGHBIZCIZDIZJKZAIZUFU
      EJKZLZCPDPZUIUGLZCPDPUHUDUCQZUHUDEQUJULDCUGUIMNUMUDUHEQUJDPCPUKUHUDEOCDUD
      UHRUJCDSTDCUHUDRUAUB $.
      $( [23-Feb-2015] $)
  $}

  ${
    $d p q r x y z w $.
    $( ` Swap ` is a bijection over all ordered pairs. $)
    swapf1o $p |- Swap : ( _V X. _V ) -1-1-onto-> ( _V X. _V ) $=
      ( vp vq vr vx vy vz vw cvv cswap wfn wceq cv wbr weq wal cop wex mpbir2an
      wa brswap cxp wf1o ccnv wfun cdm wrel relswap anbi12i ee4anv bitr4i eqtr2
      wi ancom opth 3bitr4i sylib eqeq12 biimprd mpan9 an4s exlimivv sylbi gen2
      ax-gen dffun2 wcel exbii exrot3 opex isseti 19.42v mpbiran2 2exbii 3bitri
      vex eldm elvv eqriv df-fn cnvswap fneq1i mpbir dff1o4 ) HHUAZWDIUBIWDJZIU
      CZWDJZWEIUDZIUEZWDKWHIUFALZBLZIMZWJCLZIMZSZBCNZULZCOBOZAOUGWRAWQBCWOWJDLZ
      ELZPZKZWKWTWSPZKZSZWJFLZGLZPZKZWMXGXFPZKZSZSZGQFQZEQDQZWPWOXEEQDQZXLGQFQZ
      SXOWLXPWNXQDEWJWKTZFGWJWMTUHXEXLDEFGUIUJXNWPDEXMWPFGXBXIXDXKWPXBXISZXCXJK
      ZXDXKSZWPXSXAXHKZXTWJXAXHUKDFNZEGNZSYDYCSYBXTYCYDUMWSWTXFXGUNWTWSXGXFUNUO
      UPYAWPXTWKXCWMXJUQURUSUTVAVAVBVCVDABCIVERAWIWDWLBQZXBEQDQZWJWIVFWJWDVFYEX
      PBQXEBQZEQDQYFWLXPBXRVGXEBDEVHYGXBDEYGXBXDBQBXCWTWSEVODVOVIVJXBXDBVKVLVMV
      NBWJIVPDEWJVQUOVRIWDVSRZWGWEYHWDWFIVTWAWBWDWDIWCR $.
      $( [23-Feb-2015] $)
  $}

  ${
    $( Bijection law for restrictions of ` Swap ` . $)
    swapresrel $p |- ( Rel A -> ( Swap |` A ) : A -1-1-onto-> `' A ) $=
      ( cvv cxp wss cswap cima cres wf1o wrel ccnv wf1 swapf1o f1of1 ax-mp mpan
      f1ores df-rel wceq wb dfcnv2 f1oeq3 3imtr4i ) ABBCZDZAEAFZEAGZHZAIAAJZUFH
      ZUCUCEKZUDUGUCUCEHUJLUCUCEMNUCUCAEPOAQUHUERUIUGSATUHUEAUFUANUB $.
      $( [23-Feb-2015] $)
  $}

  ${
    $d A x $.  $d A y $.  $d A z $.  $d B x $.  $d B y $.  $d C x $.  $d C y $.
    $d C z $.  $d D x $.  $d D y $.  $d x y $.  $d x z $.  $d y z $.
    xpnedisj.1 $e |- C e. _V $.
    xpnedisj.2 $e |- C =/= D $.
    $( Cross products with non-equal singletons are disjoint. $)
    xpnedisj $p |- ( ( A X. { C } ) i^i ( B X. { D } ) ) = (/) $=
      ( vx vy vz csn cxp cin c0 wceq cv wcel wn disj cop wrex elxp2 opeq2 rexsn
      eqeq2d rexbii bitri wa df-ne mpbi elsni intnan eleq1 opelxp syl6bb mtbiri
      wne mto rexlimivw sylbi mprgbir ) ACJZKZBDJZKZLMNGOZVDPZQZGVBGVBVDRVEVBPZ
      VEHOZCSZNZHATZVGVHVEVIIOZSZNZIVATZHATVLHIVEAVAUAVPVKHAVOVKICEVMCNVNVJVEVM
      CVIUBUDUCUEUFVKVGHAVKVFVIBPZCVCPZUGZVRVQVRCDNZCDUPVTQFCDUHUICDUJUQUKVKVFV
      JVDPVSVEVJVDULVICBVCUMUNUOURUSUT $.
      $( [23-Feb-2015] $)
  $}

  ${
    opfv1st.1 $e |- A e. _V $.
    opfv1st.2 $e |- B e. _V $.
    $( The value of the ` 1st ` function on an ordered pair. $)
    opfv1st $p |- ( 1st ` <. A , B >. ) = A $=
      ( cop c1st cfv wceq wbr eqid opbr1st mpbir wfun cdm wcel wb cvv cxp 1stfo
      mp2b wfo wf fof ffun opelxp mpbir2an fdm eleqtrri funbrfvb mp2an ) ABEZFG
      AHZUKAFIZUMAAHAJABACDKLFMZUKFNZOULUMPQQRZQFUAZUPQFUBZUNSUPQFUCZUPQFUDTUKU
      PUOUKUPOAQOBQOCDABQQUEUFUQURUOUPHSUSUPQFUGTUHUKAFUIUJL $.
      $( [23-Feb-2015] $)

    $( The value of the ` 2nd ` function on an ordered pair. $)
    opfv2nd $p |- ( 2nd ` <. A , B >. ) = B $=
      ( cop c2nd cfv wceq wbr eqid opbr2nd mpbir wfun cdm wcel wb cvv cxp 2ndfo
      wfo wf fof ffun mp2b opelxp mpbir2an ax-mp fdmi eleqtrri funbrfvb mp2an )
      ABEZFGBHZULBFIZUNBBHBJABBCDKLFMZULFNZOUMUNPQQRZQFTZUQQFUAZUOSUQQFUBZUQQFU
      CUDULUQUPULUQOAQOBQOCDABQQUEUFUQQFURUSSUTUGUHUIULBFUJUKL $.
      $( [23-Feb-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    $( Reconstruction of a member of a cross product in terms of its ordered
       pair components. $)
    1st2nd2 $p |- ( A e. ( B X. C ) -> A = <. ( 1st ` A ) , ( 2nd ` A ) >. ) $=
      ( vx vy cxp wcel cv cop wceq wrex c1st cfv c2nd elxp2 vex opfv1st opfv2nd
      fveq2 rexlimivw opeq12i eqcomi id opeq12d 3eqtr4a sylbi ) ABCFGADHZEHZIZJ
      ZECKZDBKAALMZANMZIZJZDEABCOUKUODBUJUOECUJUIUILMZUINMZIZAUNURUIUPUGUQUHUGU
      HDPZEPZQUGUHUSUTRUAUBUJUCUJULUPUMUQAUILSAUINSUDUETTUF $.
      $( [20-Oct-2013] $)
  $}

  ${
    $d A x $.  $d A y $.  $d A z $.  $d B x $.  $d B y $.  $d B z $.  $d C x $.
    $d C y $.  $d C z $.  $d F x $.  $d F y $.  $d F z $.  $d x y $.  $d x z $.
    $d y z $.
    $( Implicational form of part of the definition of a function. $)
    fununiq $p |- ( ( Fun F /\ A F B /\ A F C ) -> B = C ) $=
      ( vx vy vz cvv wcel wa wbr w3a wceq brex 3adant1 wi cv wal wb breq12 wfun
      anim12i anandi sylibr wrel dffun2 simprbi 3adant3 3adant2 anbi12d imbi12d
      weq eqeq12 cla43gv syl5 exp4a 3impd 3expb mpcom ) AHIZBHIZCHIZJJZDUAZABDK
      ZACDKZLZBCMZVEVFVCVDVEVFJZUTVAJZUTVBJZJVCVEVJVFVKABDNACDNUBUTVAVBUCUDOUTV
      AVBVGVHPUTVAVBLZVDVEVFVHVLVDVEVFVHVDEQZFQZDKZVMGQZDKZJZFGULZPZGRFRERZVLVI
      VHPZVDDUEWAEFGDUFUGVTWBEFGABCHHHVMAMZVNBMZVPCMZLZVRVIVSVHWFVOVEVQVFWCWDVO
      VESWEVMAVNBDTUHWCWEVQVFSWDVMAVPCDTUIUJWDWEVSVHSWCVNBVPCUMOUKUNUOUPUQURUS
      $.
      $( [24-Feb-2015] $)
  $}

  ${
    $d a b $.  $d a x $.  $d a y $.  $d b x $.  $d b y $.  $d R a $.  $d R b $.
    $d R x $.  $d R y $.  $d x y $.
    $( A singleton image is a relationship. $)
    relsi $p |- Rel SI R $=
      ( vx va vy vb cv csn wceq wbr w3a wex csi df-si relopabi ) BFCFZGHDFEFZGH
      OPAIJEKCKBDALBDCEAMN $.
      $( [26-Feb-2015] $)

    $( Calculate the converse of a singleton image. $)
    cnvsi $p |- `' SI R = SI `' R $=
      ( vx vy vb va csi ccnv relcnv relsi cv csn wceq wbr w3a wex 3ancoma brcnv
      3anbi3i bitr4i brsi 2exbii excom 3bitri 3bitr4i eqbrriv ) BCAFZGZAGZFZUFH
      UHICJZDJZKLZBJZEJZKLZUKUNAMZNZDOEOZUOULUNUKUHMZNZDOEOUMUJUGMZUMUJUIMUQUTE
      DUQUOULUPNUTULUOUPPUSUPUOULUNUKAQRSUAVAUJUMUFMUQEODOURUMUJUFQDEUJUMATUQDE
      UBUCEDUMUJUHTUDUE $.
      $( [26-Feb-2015] $)

    $( Calculate the domain of a singleton image.  Theorem X.4.29.I of
       {{Rosser}}, p. 301. $)
    dmsi $p |- dom SI R = ~P1 dom R $=
      ( vx va vy vb csi cdm cpw1 cv csn wceq wbr wcel wa bitri exbii excom eldm
      wex 3bitr4i wrex 3anass 2exbii 19.42vv isseti 19.41v mpbiran anbi2i ancom
      w3a snex df-rex brsi elpw1 eqriv ) BAFZGZAGZHZBIZCIZJKZDIZEIZJZKZVAVDALZU
      JZESZCSZDSZVBCURUAZUTUQMZUTUSMVIDSZCSVAURMZVBNZCSVKVLVNVPCVNVBVFVGNZESDSZ
      NZVPVNVBVQNZESDSVSVHVTDEVBVFVGUBUCVBVQDEUDOVSVBVONVPVRVOVBVQDSZESVGESVRVO
      WAVGEWAVFDSVGDVEVDUKUEVFVGDUFUGPVQDEQEVAARTUHVBVOUIOOPVIDCQVBCURULTVMUTVC
      UPLZDSVKDUTUPRWBVJDCEUTVCAUMPOCUTURUNTUO $.
      $( [26-Feb-2015] $)

    $d a c $.  $d a d $.  $d a z $.  $d b c $.  $d b d $.  $d b z $.  $d c d $.
    $d c x $.  $d c y $.  $d c z $.  $d d x $.  $d d y $.  $d d z $.  $d F a $.
    $d F b $.  $d F c $.  $d F d $.  $d F x $.  $d F y $.  $d F z $.  $d x z $.
    $d y z $.
    $( The singleton image of a function is a function. $)
    funsi $p |- ( Fun F -> Fun SI F ) $=
      ( vx vy vz va vb vc vd wfun cv wbr wa weq wi wal csn wceq w3a wex wb brsi
      anbi12i ee4anv bitr4i fununiq 3exp breq1 bicomd adantr eqeq2 sneqb syl6bb
      csi vex adantl imbi12d biimprcd exp3a 3impd syl6 eqeq1 3anbi1d imbi2d syl
      imp3a exlimdvv syl5bi alrimiv alrimivv wrel relsi dffun2 mpbiran sylibr )
      AIZBJZCJZAUMZKZVPDJZVRKZLZCDMZNZDOZCOBOZVRIZVOWEBCVOWDDWBVPEJZPZQZVQFJZPZ
      QZWHWKAKZRZVPGJZPZQZVTHJZPZQZWPWSAKZRZLZHSGSZFSESZVOWCWBWOFSESZXCHSGSZLXF
      VSXGWAXHEFVPVQAUAGHVPVTAUAUBWOXCEFGHUCUDVOXEWCEFVOXDWCGHVOWOXCWCVOWNEGMZX
      AXBRZWLVTQZNZNZWOXCWCNZNVOWNWHWSAKZFHMZNZXLVOWNXOXPWHWKWSAUEUFXQXIXAXBXKX
      QXIXAXBXKNZXIXALZXRXQXSXBXOXKXPXIXBXOTXAXIXOXBWHWPWSAUGUHUIXAXKXPTXIXAXKW
      LWTQXPVTWTWLUJWKWSFUNUKULUOUPUQURUSUTXMWJWMWNXNXMWJWMWNXNNZWJWMLZXTXMYAXN
      XLWNYAXCXJWCXKWJXCXJTWMWJWRXIXAXBWJWRWIWQQXIVPWIWQVAWHWPEUNUKULVBUIWMWCXK
      TWJVQWLVTVAUOUPVCUQURUSVDVEVFVFVGVHVIWGVRVJWFAVKBCDVRVLVMVN $.
      $( [26-Feb-2015] $)
  $}

  $( Calculate the range of a singleton image.  Theorem X.4.29.II of
     {{Rosser}}, p. 302. $)
  rnsi $p |- ran SI R = ~P1 ran R $=
    ( csi ccnv cdm cpw1 cnvsi dmeqi dmsi eqtri dfrn4 wceq pw1eq ax-mp 3eqtr4i
    crn ) ABZCZDZACZDZEZPOAOZEZRSBZDUAQUDAFGSHIPJUBTKUCUAKAJUBTLMN $.
    $( [26-Feb-2015] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Operations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend class notation to include the value of an operation ` F ` for two
     arguments ` A ` and ` B ` .  Note that the syntax is simply three class
     symbols in a row surrounded by parentheses.  Since operation values are
     the only possible class expressions consisting of three class expressions
     in a row surrounded by parentheses, the syntax is unambiguous. $)
  co $a class ( A F B ) $.

  $( Extend class notation to include class abstraction (class builder) of
     nested ordered pairs. $)
  copab2 $a class { <. <. x , y >. , z >. | ph } $.

  $( Define the value of an operation.  Definition of operation value in
     [Enderton] p. 79.  Note that the syntax is simply three class expressions
     in a row bracketed by parentheses.  There are no restrictions of any kind
     on what those class expressions may be, although only certain kinds of
     class expressions - a binary operation ` F ` and its arguments ` A ` and
     ` B ` - will be useful for proving meaningful theorems.  This definition
     is well-defined, although not very meaningful, when classes ` A ` and/or
     ` B ` are proper classes (i.e. are not sets).  On the other hand, we often
     find uses for this definition when ` F ` is a proper class. ` F ` is
     normally equal to a class of nested ordered pairs of the form defined by
     ~ df-oprab . $)
  df-ov $a |- ( A F B ) = ( F ` <. A , B >. ) $.

  ${
    $d x w $.  $d y w $.  $d z w $.  $d w ph $.
    $( Define the class abstraction (class builder) of a collection of nested
       ordered pairs (for use in defining operations).  This is a special case
       of Definition 4.16 of [TakeutiZaring] p. 14.  Normally ` x ` , ` y ` ,
       and ` z ` are distinct, although the definition doesn't strictly require
       it.  See ~ df-ov for the value of an operation.  The brace notation is
       called "class abstraction" by Quine; it is also called a "class builder"
       in the literature.  The value of the most common operation class builder
       is given by ~ ov2 . $)
    df-oprab $a |- { <. <. x , y >. , z >. | ph } =
                  { w | E. x E. y E. z ( w = <. <. x , y >. , z >. /\ ph ) } $.
  $}

  $( Equality theorem for operation value. $)
  oveq $p |- ( F = G -> ( A F B ) = ( A G B ) ) $=
    ( wceq cop cfv co fveq1 df-ov 3eqtr4g ) CDEABFZCGLDGABCHABDHLCDIABCJABDJK
    $.
    $( [28-Feb-1995] $)

  $( Equality theorem for operation value. $)
  oveq1 $p |- ( A = B -> ( A F C ) = ( B F C ) ) $=
    ( wceq cop cfv co opeq1 fveq2d df-ov 3eqtr4g ) ABEZACFZDGBCFZDGACDHBCDHMNOD
    ABCIJACDKBCDKL $.
    $( [28-Feb-1995] $)

  $( Equality theorem for operation value. $)
  oveq2 $p |- ( A = B -> ( C F A ) = ( C F B ) ) $=
    ( wceq cop cfv co opeq2 fveq2d df-ov 3eqtr4g ) ABEZCAFZDGCBFZDGCADHCBDHMNOD
    ABCIJCADKCBDKL $.
    $( [28-Feb-1995] $)

  $( Equality theorem for operation value. $)
  oveq12 $p |- ( ( A = B /\ C = D ) -> ( A F C ) = ( B F D ) ) $=
    ( wceq co oveq1 oveq2 sylan9eq ) ABFCDFACEGBCEGBDEGABCEHCDBEIJ $.
    $( [16-Jul-1995] $)

  ${
    oveq1i.1 $e |- A = B $.
    $( Equality inference for operation value. $)
    oveq1i $p |- ( A F C ) = ( B F C ) $=
      ( wceq co oveq1 ax-mp ) ABFACDGBCDGFEABCDHI $.
      $( [28-Feb-1995] $)

    $( Equality inference for operation value. $)
    oveq2i $p |- ( C F A ) = ( C F B ) $=
      ( wceq co oveq2 ax-mp ) ABFCADGCBDGFEABCDHI $.
      $( [28-Feb-1995] $)

    ${
      oveq12i.2 $e |- C = D $.
      $( Equality inference for operation value.  (The proof was shortened by
         Andrew Salmon, 22-Oct-2011.) $)
      oveq12i $p |- ( A F C ) = ( B F D ) $=
        ( wceq co oveq12 mp2an ) ABHCDHACEIBDEIHFGABCDEJK $.
        $( [22-Oct-2011] $) $( [28-Feb-1995] $)
    $}

    $( Equality inference for operation value. $)
    oveqi $p |- ( C A D ) = ( C B D ) $=
      ( wceq co oveq ax-mp ) ABFCDAGCDBGFECDABHI $.
      $( [24-Nov-2007] $)
  $}

  ${
    oveq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for operation value. $)
    oveq1d $p |- ( ph -> ( A F C ) = ( B F C ) ) $=
      ( wceq co oveq1 syl ) ABCGBDEHCDEHGFBCDEIJ $.
      $( [13-Mar-1995] $)

    $( Equality deduction for operation value. $)
    oveq2d $p |- ( ph -> ( C F A ) = ( C F B ) ) $=
      ( wceq co oveq2 syl ) ABCGDBEHDCEHGFBCDEIJ $.
      $( [13-Mar-1995] $)

    $( Equality deduction for operation value. $)
    oveqd $p |- ( ph -> ( C A D ) = ( C B D ) ) $=
      ( wceq co oveq syl ) ABCGDEBHDECHGFDEBCIJ $.
      $( [9-Sep-2006] $)

    ${
      oveq12d.2 $e |- ( ph -> C = D ) $.
      $( Equality deduction for operation value.  (The proof was shortened by
         Andrew Salmon, 22-Oct-2011.) $)
      oveq12d $p |- ( ph -> ( A F C ) = ( B F D ) ) $=
        ( wceq co oveq12 syl2anc ) ABCIDEIBDFJCEFJIGHBCDEFKL $.
        $( [22-Oct-2011] $) $( [13-Mar-1995] $)
    $}

    ${
      opreqan12i.2 $e |- ( ps -> C = D ) $.
      $( Equality deduction for operation value. $)
      oveqan12d $p |- ( ( ph /\ ps ) -> ( A F C ) = ( B F D ) ) $=
        ( wceq co oveq12 syl2an ) ACDJEFJCEGKDFGKJBHICDEFGLM $.
        $( [10-Aug-1995] $)

      $( Equality deduction for operation value. $)
      oveqan12rd $p |- ( ( ps /\ ph ) -> ( A F C ) = ( B F D ) ) $=
        ( co wceq oveqan12d ancoms ) ABCEGJDFGJKABCDEFGHILM $.
        $( [10-Aug-1995] $)
    $}
  $}

  ${
    oveq123d.1 $e |- ( ph -> F = G ) $.
    oveq123d.2 $e |- ( ph -> A = B ) $.
    oveq123d.3 $e |- ( ph -> C = D ) $.
    $( Equality deduction for operation value.  (Contributed by FL,
       22-Dec-2008.) $)
    oveq123d $p |- ( ph -> ( A F C ) = ( B G D ) ) $=
      ( co oveqd oveq1d oveq2d 3eqtrd ) ABDFKBDGKCDGKCEGKAFGBDHLABCDGIMADECGJNO
      $.
      $( [22-Dec-2008] $)
  $}

  ${
    $d y F $.  $d y A $.  $d y B $.  $d x y $.
    hbov.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbov.2 $e |- ( y e. F -> A. x y e. F ) $.
    hbov.3 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for operation value. $)
    hbov $p |- ( y e. ( A F B ) -> A. x y e. ( A F B ) ) $=
      ( co cop cfv df-ov hbop hbfv hbxfreq ) ABCDEICDJZEKCDELABPEGABCDFHMNO $.
      $( [4-May-2004] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d y z F $.  $d x y z $.  $d y ph $.
    hbovd.1 $e |- ( ph -> A. x ph ) $.
    hbovd.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hbovd.3 $e |- ( ph -> ( y e. F -> A. x y e. F ) ) $.
    hbovd.4 $e |- ( ph -> ( y e. B -> A. x y e. B ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbov .  (The
       proof was shortened by Andrew Salmon, 22-Oct-2011.) $)
    hbovd $p |- ( ph -> ( y e. ( A F B ) -> A. x y e. ( A F B ) ) ) $=
      ( cv cop cfv wcel wal co hbopd hbfvd df-ov eleq2i albii 3imtr4g ) ACKZDEL
      ZFMZNZUFBOUCDEFPZNZUHBOABCUDFGIABCDEGHJQRUGUEUCDEFSTZUHUFBUIUAUB $.
      $( [22-Oct-2011] $) $( [13-Dec-2005] $)
  $}

  ${
    $d a ph r s t w $.  $d a r s t w x $.  $d a r s t w y $.  $d a r s t w z $.
    $( The law of concretion.  Special case of Theorem 9.5 of [Quine] p. 61.
       (Contributed by Mario Carneiro, 20-Mar-2013.) $)
    oprabid $p |- ( <. <. x , y >. , z >. e.
        { <. <. x , y >. , z >. | ph } <-> ph ) $=
      ( vw va vt vr vs cv cop wceq wa wex vex wi weq opth wal wn copab2 eqvinop
      biimpi eqeq1 simplbi syl6bi opeq1 eqeq2d anbi1i bitri anass 3bitri 3exbii
      opex nd5 equcom albii 3imtr3g exdistrf eximi excom 3imtr4i 3imtr4g anim2i
      3syl sylbi w3a df-3an bitr4i weu euequ1 eupick mpan syl6 3impd com12 syl5
      syl5bi eqcoms syl6bb anbi1d 3exbidv imbi1d imbi12d mpbiri adantr exlimivv
      eqcom com3l mpdd mpcom 19.8a ex impbid df-oprab elab2 ) EJZBJZCJZKZDJZKZL
      ZAMZDNZCNZBNZAEXBABCDUAWTXAWRWSBOZCOZUNZDOZUNXCXGAWQFJZGJZKZLZXNXBLZMZGNF
      NZXCXGAPZXCXRFGWQWTXAXJXKUBUCXQXCXSPZFGXOXTXPXOXCXLWTLZXSXOXCXPYAWQXNXBUD
      XPYAGDQXLXMWTXARUEUFYAXOXCXSYAXLHJZIJZKZLZYDWTLZMZINHNXOXTPZHIXLWRWSXHXIU
      BYGYHHIYEYHYFYEXOWQYDXMKZLZXTYEXNYIWQXLYDXMUGUHYJXTYIXBLZXBYILZAMZDNCNBNZ
      APZPYOXBYIYNBHQZCIQZDGQZAMZDNZMCNZMZBNZYLAYNYPYQYSMZMZDNZCNBNZUUCYMUUEBCD
      YMYPYQMZYRMZAMUUHYSMUUEYLUUIAYLWTYDLZYRMUUIWTXAYDXMRUUJUUHYRWRWSYBYCRUIUJ
      ZUIUUHYRAUKYPYQYSUKULUMUUGYPUUDDNZMZCNBNZYPUULCNZMZBNUUCUUFBNZCNUUMBNZCNU
      UGUUNUUQUURCYPUUDBDBDQBSTHBQZUUSDSYPYPDSDBHUOHBUPZUUSYPDUUTUQURUSUTUUFBCV
      AUUMBCVAVBYPUULBCBCQBSTUUSUUSCSYPYPCSCBHUOBHUPZYPUUSCUVAUQVCUSUUPUUBBUUOU
      UAYPYQYSCDCDQCSTICQZUVBDSYQYQDSDCIUOICUPZUVBYQDUVCUQURUSVDUTVEVFUUCYLAYLY
      PYQYRVGZUUCAYLUUIUVDUUKYPYQYRVHVIUUCYPYQYRAUUCYPUUAYQYRAPZPYPBVJUUCYPUUAP
      BHVKYPUUABVLVMUUAYQYTUVEYQCVJUUAYQYTPCIVKYQYTCVLVMYRDVJYTUVEDGVKYRADVLVMV
      NVNVOVRVPVQVSYJXCYKXSYOWQYIXBUDZYJXGYNAYJXDYMBCDYJXCYLAYJXCYKYLUVFYIXBWHV
      TWAWBWCWDWEUFWFWGVFWIWJWFWGWKXCAXGXDXEXFXGXDDWLXECWLXFBWLVEWMWNABCDEWOWP
      $.
      $( [20-Mar-2013] $)
  $}

  $( The result of an operation is a set. $)
  ovex $p |- ( A F B ) e. _V $=
    ( co cop cfv cvv df-ov fvex eqeltri ) ABCDABEZCFGABCHKCIJ $.
    $( [13-Mar-1995] $)

  ${
    $d y z A $.  $d y z B $.  $d y z C $.  $d y z D $.  $d y z F $.
    $d x y z $.
    $( Move class substitution in and out of an operation.  (The proof was
       shortened by Andrew Salmon, 22-Oct-2011.) $)
    csbovg $p |- ( A e. D -> [_ A / x ]_ ( B F C ) =
           ( [_ A / x ]_ B [_ A / x ]_ F [_ A / x ]_ C ) ) $=
      ( vy vz wcel csb cop cfv df-ov csbeq2i wceq csbeq1 opeq12d hbcsb1 csbeq1a
      co csbfv12g cv eqeq12d vex wel ax-17 hbop weq csbief vtoclg fveq2d 3eqtrd
      syl6eqr ) BEIZABCDFTZJABCDKZFLZJABUPJZABFJZLZABCJZABDJZUSTZABUOUQECDFMNAB
      UPEFUAUNUTVAVBKZUSLVCUNURVDUSAGUBZUPJZAVECJZAVEDJZKZOURVDOGBEVEBOZVFURVIV
      DAVEBUPPVJVGVAVHVBAVEBCPAVEBDPQUCAHVEUPVIGUDAHVGVHAHVECHGUEAUFZRAHVEDVKRU
      GAGUHCVGDVHAVECSAVEDSQUIUJUKVAVBUSMUMUL $.
      $( [22-Oct-2011] $) $( [12-Nov-2005] $)
  $}

  ${
    $d y A $.  $d y C $.  $d y D $.  $d x y F $.
    $( Move class substitution in and out of an operation. $)
    csbov12g $p |- ( A e. D ->
                 [_ A / x ]_ ( B F C ) = ( [_ A / x ]_ B F [_ A / x ]_ C ) ) $=
      ( wcel co csb csbovg csbconstgfv oveqd eqtrd ) BEGZABCDFHIABCIZABDIZABFIZ
      HOPFHABCDEFJNQFOPABFEKLM $.
      $( [12-Nov-2005] $)
  $}

  ${
    $d y A $.  $d x y C $.  $d y D $.  $d x y F $.
    $( Move class substitution in and out of an operation. $)
    csbov1g $p |- ( A e. D ->
                  [_ A / x ]_ ( B F C ) = ( [_ A / x ]_ B F C ) ) $=
      ( wcel co csb csbov12g csbconstgfv oveq2d eqtrd ) BEGZABCDFHIABCIZABDIZFH
      ODFHABCDEFJNPDOFABDEKLM $.
      $( [12-Nov-2005] $)
  $}

  ${
    $d y A $.  $d x y B $.  $d y D $.  $d x y F $.
    $( Move class substitution in and out of an operation. $)
    csbov2g $p |- ( A e. D ->
                  [_ A / x ]_ ( B F C ) = ( B F [_ A / x ]_ C ) ) $=
      ( wcel co csb csbov12g csbconstgfv oveq1d eqtrd ) BEGZABCDFHIABCIZABDIZFH
      CPFHABCDEFJNOCPFABCEKLM $.
      $( [12-Nov-2005] $)
  $}

  ${
    $d x A $.  $d x y B $.  $d x y C $.  $d y D $.  $d x y F $.  $d x y S $.
    $( A frequently used special case of ~ rcla42ev for operation values. $)
    rcla4eov $p |- ( ( C e. A /\ D e. B /\ S = ( C F D ) ) ->
                 E. x e. A E. y e. B S = ( x F y ) ) $=
      ( cv co wceq oveq1 eqeq2d oveq2 rcla42ev ) GAIZBIZHJZKGEFHJZKGEQHJZKABEFC
      DPEKRTGPEQHLMQFKTSGQFEHNMO $.
      $( [21-Mar-2007] $)
  $}

  ${
    $( Equivalence of operation value and ordered triple membership, analogous
       to ~ fnopfvb . $)
    fnopovb $p |- ( ( F Fn ( A X. B ) /\ C e. A /\ D e. B ) ->
                   ( ( C F D ) = R <-> <. <. C , D >. , R >. e. F ) ) $=
      ( cxp wfn wcel co wceq cop wb wa opelxp cfv df-ov eqeq1i fnopfvb syl5bb
      sylan2br 3impb ) FABGZHZCAIZDBIZCDFJZEKZCDLZELFIZMZUEUFNUDUIUCIZUKCDABOUH
      UIFPZEKUDULNUJUGUMECDFQRUCUIEFSTUAUB $.
      $( [17-Dec-2008] $)
  $}

  ${
    $d x z w v $.  $d y z w v $.  $d w ph v $.
    $( Class abstraction for operations in terms of class abstraction of
       ordered pairs. $)
    dfoprab2 $p |- { <. <. x , y >. , z >. | ph } =
                   { <. w , z >. | E. x E. y ( w = <. x , y >. /\ ph ) } $=
      ( vv cv cop wceq wex cab copab2 copab excom exrot4 an12 exbii vex bitri
      wa opex opeq1 eqeq2d anbi1d ceqsexv 3exbii 19.42vv 3bitr3i abbii df-oprab
      2exbii df-opab 3eqtr4i ) FGZBGZCGZHZDGZHZIZATZDJCJBJZFKUNEGZURHZIZVCUQIZA
      TZCJBJZTZDJEJZFKABCDLVHEDMVBVJFVEVGTZCJBJZEJDJZVLDJEJVBVJVLDENVMVKEJZDJCJ
      BJVBVKDEBCOVNVABCDVNVFVEATZTZEJVAVKVPEVEVFAPQVOVAEUQUOUPBRCRUAVFVEUTAVFVD
      USUNVCUQURUBUCUDUESUFSVLVIEDVEVGBCUGUKUHUIABCDFUJVHEDFULUM $.
      $( [12-Mar-1995] $)

    $( An operation class abstraction is a relation. $)
    reloprab $p |- Rel { <. <. x , y >. , z >. | ph } $=
      ( vw cv cop wceq wa wex copab2 dfoprab2 relopabi ) EFBFCFGHAICJBJEDABCDKA
      BCDELM $.
      $( [16-Jun-2004] $)
  $}

$(
  @{
    @d x y z w v @.  @d ph v @.
    dfoprab2f.1 @e |- ( ph -> A. w ph ) @.
    @( Class abstraction for operations in terms of class abstraction of
       ordered pairs.  This is a version of ~ dfoprab2 with bound-variable
       hypothesis instead of distinct variable requirement. @)
    dfoprab2f @p |- { <. <. x , y >. , z >. | ph } =
                   { <. w , z >. | E. x E. y ( w = <. x , y >. /\ ph ) } @=
      ( vv copab2 cv cop wceq wa wex copab dfoprab2 ax-17 hban hbex weq eqeq1
      anbi1d 2exbidv cbvopab1
      eqtri ) ABCDHGIZBICIJZKZALZCMZBMZGDNEIZUFKZALZCMBM
      ZEDNABCDGOUJUNGDEUIEBUHECUGAEUGEPFQRRUNGPGESZUHUMBCUOUGULAUEUKUFTUAUBUCUD
      @.
  @}
$)

  ${
    $d x w v $.  $d y v $.  $d z v $.  $d v ph $.
    $( The abstraction variables in an operation class abstraction are not
       free.  (Unnecessary distinct variable restrictions were removed by David
       Abernethy, 19-Jun-2012.) $)
    hboprab1 $p |- ( w e. { <. <. x , y >. , z >. | ph } ->
                   A. x w e. { <. <. x , y >. , z >. | ph } ) $=
      ( vv copab2 cv cop wceq wa wex cab df-oprab hbe1 hbab hbxfreq ) BEABCDGFH
      BHCHIDHIJAKDLCLZBLZFMABCDFNSBFERBOPQ $.
      $( [24-Jul-2012] $) $( [25-Apr-1995] $)
  $}

  ${
    $d x v $.  $d y w v $.  $d z v $.  $d v ph $.
    $( The abstraction variables in an operation class abstraction are not
       free.  (Unnecessary distinct variable restrictions were removed by David
       Abernethy, 30-Jul-2012.) $)
    hboprab2 $p |- ( w e. { <. <. x , y >. , z >. | ph } ->
                   A. y w e. { <. <. x , y >. , z >. | ph } ) $=
      ( vv copab2 cv cop wceq wa wex cab df-oprab hbe1 hbex hbab hbxfreq ) CEAB
      CDGFHBHCHIDHIJAKDLZCLZBLZFMABCDFNUACFETCBSCOPQR $.
      $( [31-Jul-2012] $)  $( [25-Apr-1995] $)
  $}

  ${
    $d v x $.  $d v y $.  $d v z $.  $d w z $.  $d v ph $.
    $( The abstraction variables in an operation class abstraction are not
       free. $)
    hboprab3 $p |- ( w e. { <. <. x , y >. , z >. | ph } ->
                   A. z w e. { <. <. x , y >. , z >. | ph } ) $=
      ( vv copab2 cv cop wceq wa wex cab df-oprab hbe1 hbex hbab hbxfreq ) DEAB
      CDGFHBHCHIDHIJAKZDLZCLZBLZFMABCDFNUBDFEUADBTDCSDOPPQR $.
      $( [22-Aug-2013] $)
  $}

  ${
    $d u w $.  $d v w x $.  $d v w y $.  $d v w z $.  $d v ph $.
    hboprab.1 $e |- ( ph -> A. w ph ) $.
    $( Bound-variable hypothesis builder for an operation class abstraction. $)
    hboprab $p |- ( u e. { <. <. x , y >. , z >. | ph } ->
                   A. w u e. { <. <. x , y >. , z >. | ph } ) $=
      ( vv copab2 cv cop wceq wa wex cab df-oprab ax-17 hban hbex hbab hbxfreq
      ) EFABCDIHJBJCJKDJKLZAMZDNZCNZBNZHOABCDHPUFEHFUEEBUDECUCEDUBAEUBEQGRSSSTU
      A $.
      $( [22-Aug-2013] $)
  $}

  ${
    $d x z w $.  $d y z w $.  $d w ph $.  $d w ps $.  $d w ch $.
    oprabbid.1 $e |- ( ph -> A. x ph ) $.
    oprabbid.2 $e |- ( ph -> A. y ph ) $.
    oprabbid.3 $e |- ( ph -> A. z ph ) $.
    oprabbid.4 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal operation class abstractions (deduction
       rule). $)
    oprabbid $p |- ( ph ->
           { <. <. x , y >. , z >. | ps } = { <. <. x , y >. , z >. | ch } ) $=
      ( vw cv cop wceq wa wex cab copab2 exbid df-oprab anbi2d abbidv 3eqtr4g )
      AKLDLELMFLMNZBOZFPZEPZDPZKQUDCOZFPZEPZDPZKQBDEFRCDEFRAUHULKAUGUKDGAUFUJEH
      AUEUIFIABCUDJUASSSUBBDEFKTCDEFKTUC $.
      $( [24-Jun-2014] $) $( [21-Feb-2004] $)
  $}

  ${
    $d x z w ph $.  $d y z w ph $.  $d w ps $.  $d w ch $.
    oprabbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal operation class abstractions (deduction
       rule). $)
    oprabbidv $p |- ( ph ->
           { <. <. x , y >. , z >. | ps } = { <. <. x , y >. , z >. | ch } ) $=
      ( ax-17 oprabbid ) ABCDEFADHAEHAFHGI $.
      $( [21-Feb-2004] $)
  $}

  ${
    $d x z w $.  $d y z w $.  $d w ph $.  $d w ps $.
    oprabbii.1 $e |- ( ph <-> ps ) $.
    $( Equivalent wff's yield equal operation class abstractions.  (Unnecessary
       distinct variable restrictions were removed by David Abernethy,
       19-Jun-2012.) $)
    oprabbii $p |- { <. <. x , y >. , z >. | ph }
                 = { <. <. x , y >. , z >. | ps } $=
      ( vw cv wceq copab2 eqid wb a1i oprabbidv ax-mp ) GHZPIZACDEJBCDEJIPKQABC
      DEABLQFMNO $.
      $( [24-Jul-2012] $) $( [28-May-1995] $)
  $}

  ${
    $d x y z $.
    $( Two ways to state the domain of an operation.  (Contributed by FL,
       24-Jan-2010.) $)
    oprab4 $p |-
      { <. <. x , y >. , z >. | ( <. x , y >. e. ( A X. B ) /\ ph ) } =
        { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B ) /\ ph ) } $=
      ( cv cop cxp wcel wa opelxp anbi1i oprabbii ) BGZCGZHEFIJZAKOEJPFJKZAKBCD
      QRAOPEFLMN $.
      $( [24-Jan-2010] $)
  $}

  ${
    $d x y z w v $.  $d v ph $.  $d v ps $.
    cbvoprab1.1 $e |- ( ph -> A. w ph ) $.
    cbvoprab1.2 $e |- ( ps -> A. x ps ) $.
    cbvoprab1.3 $e |- ( x = w -> ( ph <-> ps ) ) $.
    $( Rule used to change first bound variable in an operation abstraction,
       using implicit substitution.  (The proof was shortened by Andrew Salmon,
       22-Oct-2011.) $)
    cbvoprab1 $p |- { <. <. x , y >. , z >. | ph }
                  = { <. <. w , y >. , z >. | ps } $=
      ( vv cv cop wceq wa wex copab copab2 ax-17 hban hbex opeq1 eqeq2d anbi12d
      exbidv cbvex opabbii dfoprab2 3eqtr4i ) JKZCKZDKZLZMZANZDOZCOZJEPUIFKZUKL
      ZMZBNZDOZFOZJEPACDEQBFDEQUPVBJEUOVACFUNFDUMAFUMFRGSTUTCDUSBCUSCRHSTUJUQMZ
      UNUTDVCUMUSABVCULURUIUJUQUKUAUBIUCUDUEUFACDEJUGBFDEJUGUH $.
      $( [22-Oct-2011] $) $( [20-Dec-2008] $)
  $}

  ${
    $d x y z w v u $.  $d u ph $.  $d u ps $.
    cbvoprab12.1 $e |- ( ph -> A. w ph ) $.
    cbvoprab12.2 $e |- ( ph -> A. v ph ) $.
    cbvoprab12.3 $e |- ( ps -> A. x ps ) $.
    cbvoprab12.4 $e |- ( ps -> A. y ps ) $.
    cbvoprab12.5 $e |- ( ( x = w /\ y = v ) -> ( ph <-> ps ) ) $.
    $( Rule used to change first two bound variables in an operation
       abstraction, using implicit substitution.  (The proof was shortened by
       Andrew Salmon, 22-Oct-2011.) $)
    cbvoprab12 $p |- { <. <. x , y >. , z >. | ph }
                   = { <. <. w , v >. , z >. | ps } $=
      ( vu cv cop wceq wa wex ax-17 hban copab copab2 weq opeq12 eqeq2d anbi12d
      cbvex2 opabbii dfoprab2 3eqtr4i ) MNZCNZDNZOZPZAQZDRCRZMEUAUKFNZGNZOZPZBQ
      ZGRFRZMEUAACDEUBBFGEUBUQVCMEUPVBCDFGUOAFUOFSHTUOAGUOGSITVABCVACSJTVABDVAD
      SKTCFUCDGUCQZUOVAABVDUNUTUKULURUMUSUDUELUFUGUHACDEMUIBFGEMUIUJ $.
      $( [22-Oct-2011] $) $( [21-Feb-2004] $)
  $}

  ${
    $d x y z w v u $.  $d u w v ph $.  $d u x y ps $.
    cbvoprab12v.1 $e |- ( ( x = w /\ y = v ) -> ( ph <-> ps ) ) $.
    $( Rule used to change first two bound variables in an operation
       abstraction, using implicit substitution. $)
    cbvoprab12v $p |- { <. <. x , y >. , z >. | ph }
                    = { <. <. w , v >. , z >. | ps } $=
      ( ax-17 cbvoprab12 ) ABCDEFGAFIAGIBCIBDIHJ $.
      $( [8-Oct-2004] $)
  $}

  ${
    $d x z w v $.  $d y z w v $.  $d v ph $.  $d v ps $.
    cbvoprab3.1 $e |- ( ph -> A. w ph ) $.
    cbvoprab3.2 $e |- ( ps -> A. z ps ) $.
    cbvoprab3.3 $e |- ( z = w -> ( ph <-> ps ) ) $.
    $( Rule used to change the third bound variable in an operation
       abstraction, using implicit substitution. $)
    cbvoprab3 $p |- { <. <. x , y >. , z >. | ph } =
                     { <. <. x , y >. , w >. | ps } $=
      ( vv cv wceq wa wex copab copab2 ax-17 hban hbex dfoprab2 anbi2d cbvopab2
      cop 2exbidv 3eqtr4i ) JKCKDKUCLZAMZDNZCNZJEOUFBMZDNZCNZJFOACDEPBCDFPUIULJ
      EFUHFCUGFDUFAFUFFQGRSSUKECUJEDUFBEUFEQHRSSEKFKLZUGUJCDUMABUFIUAUDUBACDEJT
      BCDFJTUE $.
      $( [22-Aug-2013] $)
  $}

  ${
    $d x z w v $.  $d y z w v $.  $d w v ph $.  $d z v ps $.
    cbvoprab3v.1 $e |- ( z = w -> ( ph <-> ps ) ) $.
    $( Rule used to change the third bound variable in an operation
       abstraction, using implicit substitution.  (Unnecessary distinct
       variable restrictions were removed by David Abernethy, 19-Jun-2012.) $)
    cbvoprab3v $p |- { <. <. x , y >. , z >. | ph } =
                     { <. <. x , y >. , w >. | ps } $=
      ( ax-17 cbvoprab3 ) ABCDEFAFHBEHGI $.
      $( [24-Jul-2012] $) $( [8-Oct-2004] $)
  $}

  ${
    elimdelov.1 $e |- ( ph -> C e. ( A F B ) ) $.
    elimdelov.2 $e |- Z e. ( X F Y ) $.
    $( Eliminate a hypothesis which is a predicate expressing membership in the
       result of an operator (deduction version).  (Contributed by Paul
       Chapman, 25-Mar-2008.) $)
    elimdelov $p |- if ( ph , C , Z ) e.
                     ( if ( ph , A , X ) F if ( ph , B , Y ) ) $=
      ( cif co wcel iftrue eqeltrd oveq12d eleqtrrd wn iffalse syl6eqel pm2.61i
      ) AADHKZABFKZACGKZELZMAUBBCELZUEAUBDUFADHNIOAUCBUDCEABFNACGNPQARZUBFGELZU
      EUGUBHUHADHSJTUGUCFUDGEABFSACGSPQUA $.
      $( [25-Mar-2008] $)
  $}

  ${
    $d x z w $.  $d y z w $.  $d w ph $.
    $( The domain of an operation class abstraction.  (Unnecessary distinct
       variable restrictions were removed by David Abernethy, 19-Jun-2012.) $)
    dmoprab $p |- dom { <. <. x , y >. , z >. | ph } =
                  { <. x , y >. | E. z ph } $=
      ( vw copab2 cdm cv cop wceq wa wex copab cab dfoprab2 dmeqi dmopab exrot3
      19.42v 2exbii bitri abbii df-opab eqtr4i 3eqtri ) ABCDFZGEHBHCHIJZAKZCLBL
      ZEDMZGUIDLZENZADLZBCMZUFUJABCDEOPUIEDQULUGUMKZCLBLZENUNUKUPEUKUHDLZCLBLUP
      UHDBCRUQUOBCUGADSTUAUBUMBCEUCUDUE $.
      $( [24-Jul-2012] $) $( [17-Mar-1995] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( The domain of an operation class abstraction. $)
    dmoprabss $p |- dom { <. <. x , y >. , z >. |
           ( ( x e. A /\ y e. B ) /\ ph ) } C_ ( A X. B ) $=
      ( cv wcel wa copab2 cdm wex copab dmoprab 19.42v opabbii opabssxp eqsstri
      cxp ) BGEHCGFHIZAIZBCDJKUADLZBCMZEFSZUABCDNUCTADLZIZBCMUDUBUFBCTADOPUEBCE
      FQRR $.
      $( [24-Aug-1995] $)
  $}

  ${
    $d x z w $.  $d y z w $.  $d w ph $.
    $( The range of an operation class abstraction.  (Unnecessary distinct
       variable restrictions were removed by David Abernethy, 19-Apr-2013.) $)
    rnoprab $p |- ran { <. <. x , y >. , z >. | ph } =
                  { z | E. x E. y ph } $=
      ( vw copab2 crn cv cop wceq wa wex copab cab dfoprab2 rneqi rnopab exrot3
      vex bitri 19.41v opex isseti biantrur bicomi 2exbii abbii 3eqtri ) ABCDFZ
      GEHBHZCHZIZJZAKZCLBLZEDMZGUOELZDNACLBLZDNUIUPABCDEOPUOEDQUQURDUQUNELZCLBL
      URUNEBCRUSABCUSUMELZAKZAUMAEUAAVAUTAEULUJUKBSCSUBUCUDUETUFTUGUH $.
      $( [19-Apr-2013] $)  $( [30-Aug-2004] $)
  $}

  ${
    $d A y $.  $d x y z $.
    $( The range of a restricted operation class abstraction.  (Contributed by
       Scott Fenton, 21-Mar-2012.) $)
    rnoprab2 $p |- ran { <. <. x , y >. , z >. |
                          ( ( x e. A /\ y e. B ) /\ ph ) } =
                    { z | E. x e. A E. y e. B ph } $=
      ( cv wcel wa copab2 crn wex cab wrex rnoprab r2ex abbii eqtr4i ) BGEHCGFH
      IAIZBCDJKSCLBLZDMACFNBENZDMSBCDOUATDABCEFPQR $.
      $( [22-Mar-2012] $) $( [21-Mar-2012] $)
  $}

  ${
    $d x y z $.
    $( The domain of an operation class abstraction is a relation. $)
    reldmoprab $p |- Rel dom { <. <. x , y >. , z >. | ph } $=
      ( wex copab2 cdm dmoprab relopabi ) ADEBCABCDFGABCDHI $.
      $( [17-Mar-1995] $)

    $( Structure of an operation class abstraction. $)
    oprabss $p |- { <. <. x , y >. , z >. | ph } C_ ( ( _V X. _V ) X. _V ) $=
      ( copab2 cdm crn cxp wrel reloprab relssdmrn ax-mp reldmoprab df-rel mpbi
      cvv wss ssv xpss12 mp2an sstri ) ABCDEZUBFZUBGZHZPPHZPHZUBIUBUEQABCDJUBKL
      UCUFQZUDPQUEUGQUCIUHABCDMUCNOUDRUCUFUDPSTUA $.
      $( [28-Nov-2006] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.  $d w ph $.
    $d x y z w ps $.
    eloprabga.1 $e |- ( ( x = A /\ y = B /\ z = C ) -> ( ph <-> ps ) ) $.
    $( The law of concretion for operation class abstraction.  Compare
       ~ elopab .  (Unnecessary distinct variable restrictions were removed by
       David Abernethy, 19-Jun-2012.)  (Revised by Mario Carneiro,
       19-Dec-2013.) $)
    eloprabga $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
       ( <. <. A , B >. , C >. e. { <. <. x , y >. , z >. | ph } <-> ps ) ) $=
      ( vw wcel cvv cop wb wa wceq wex copab2 w3a opexg sylan 3impa wi cv eqeq1
      elex eqcom opth anbi1i df-3an 3bitr4i bitri syl6bb anbi1d pm5.32i 3exbidv
      adantl cab df-oprab eleq2i bitr2i eleq1 syl5bb isset eeeanv bitr4i biimpi
      3anbi123i biantrurd 19.41vvv syl6rbbr adantr 3bitr3d expcom vtocleg mpcom
      abid syl3an ) FINFONZGJNGONZHKNHONZFGPZHPZACDEUAZNZBQZFIUIGJUIHKUIWFONZWB
      WCWDUBZWIWBWCWDWJWBWCRWEONWDWJFGOOUCWEHOOUCUDUEWKWIUFMWFOWKMUGZWFSZWIWKWM
      RWLCUGZDUGZPZEUGZPZSZARZETDTCTZWNFSZWOGSZWQHSZUBZBRZETDTCTZWHBWMXAXGQWKWM
      WTXFCDEWMWTXEARXFWMWSXEAWMWSWFWRSZXEWLWFWRUHXHWRWFSZXEWFWRUJWPWESZXDRXBXC
      RZXDRXIXEXJXKXDWNWOFGUKULWPWQWEHUKXBXCXDUMUNUOUPUQXEABLURUPUSUTWMXAWHQWKX
      AWLWGNZWMWHXLWLXAMVAZNXAWGXMWLACDEMVBVCXAMVTVDWLWFWGVEVFUTWKXGBQWMWKBXEET
      DTCTZBRXGWKXNBWKXNWKXBCTZXCDTZXDETZUBXNWBXOWCXPWDXQCFVGDGVGEHVGVKXBXCXDCD
      EVHVIVJVLXEBCDEVMVNVOVPVQVRVSWA $.
      $( [19-Dec-2013] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.  $d w ph $.
    $d x y z w th $.
    eloprabg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    eloprabg.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    eloprabg.3 $e |- ( z = C -> ( ch <-> th ) ) $.
    $( The law of concretion for operation class abstraction.  Compare
       ~ elopab .  (Unnecessary distinct variable restrictions were removed by
       David Abernethy, 19-Jun-2012.) $)
    eloprabg $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
       ( <. <. A , B >. , C >. e. { <. <. x , y >. , z >. | ph } <-> th ) ) $=
      ( cv wceq syl3an9b eloprabga ) ADEFGHIJKLMEQHRABFQIRCGQJRDNOPST $.
      $( [19-Dec-2013] $) $( [14-Sep-1999] $)
  $}

  ${
    $d ph w $.  $d ps w $.  $d x z w $.  $d y z w $.
    ssoprab2i.1 $e |- ( ph -> ps ) $.
    $( Inference of operation class abstraction subclass from implication.
       (Unnecessary distinct variable restrictions were removed by David
       Abernethy, 19-Jun-2012.) $)
    ssoprab2i $p |- { <. <. x , y >. , z >. | ph } C_
                    { <. <. x , y >. , z >. | ps } $=
      ( vw cv cop wceq wex copab copab2 anim2i 2eximi ssopab2i dfoprab2 3sstr4i
      wa ) GHCHDHIJZASZDKCKZGELTBSZDKCKZGELACDEMBCDEMUBUDGEUAUCCDABTFNOPACDEGQB
      CDEGQR $.
      $( [24-Jul-2012] $) $( [11-Nov-1995] $)
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w ph $.
    $( Restriction of an operation class abstraction. $)
    resoprab $p |- ( { <. <. x , y >. , z >. | ph } |` ( A X. B ) ) =
                  { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B ) /\ ph ) } $=
      ( vw cv cop wceq wex copab cxp cres wcel copab2 resopab 19.42vv dfoprab2
      wa eleq1 opelxp syl6bb anbi1d pm5.32i bitri 2exbii bitr3i opabbii reseq1i
      an12 eqtri 3eqtr4i ) GHZBHZCHZIZJZATZCKBKZGDLZEFMZNZURUOEOUPFOTZATZTZCKBK
      ZGDLZABCDPZVBNVEBCDPVCUNVBOZUTTZGDLVHUTGDVBQVKVGGDVKVJUSTZCKBKVGVJUSBCRVL
      VFBCVLURVJATZTVFVJURAUKURVMVEURVJVDAURVJUQVBOVDUNUQVBUAUOUPEFUBUCUDUEUFUG
      UHUIULVIVAVBABCDGSUJVEBCDGSUM $.
      $( [10-Feb-2007] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d D x y z $.
    $( Restriction of an operator abstraction.  (Contributed by Jeff Madsen,
       2-Sep-2009.) $)
    resoprab2 $p |- ( ( C C_ A /\ D C_ B ) -> ( { <. <. x , y >. , z >. |
                  ( ( x e. A /\ y e. B ) /\ ph ) } |` ( C X. D ) ) =
              { <. <. x , y >. , z >. | ( ( x e. C /\ y e. D ) /\ ph ) } ) $=
      ( wss wa cv wcel copab2 cxp wi wb ssel pm4.71 sylib bicomd resoprab anass
      cres an4 bi2anan9 syl5bb anbi1d syl5bbr oprabbidv syl5eq ) GEIZHFIZJZBKZE
      LZCKZFLZJZAJZBCDMGHNUCUNGLZUPHLZJZUSJZBCDMVBAJZBCDMUSBCDGHUAUMVCVDBCDVCVB
      URJZAJUMVDVBURAUBUMVEVBAVEUTUOJZVAUQJZJUMVBUTVAUOUQUDUKVFUTULVGVAUKUTVFUK
      UTUOOUTVFPGEUNQUTUORSTULVAVGULVAUQOVAVGPHFUPQVAUQRSTUEUFUGUHUIUJ $.
      $( [2-Sep-2009] $)
  $}

  ${
    $d x y z w $.  $d w ph $.
    $( "At most one" is a sufficient condition for an operation class
       abstraction to be a function. $)
    funoprabg $p |- ( A. x A. y E* z ph ->
                    Fun { <. <. x , y >. , z >. | ph } ) $=
      ( vw wmo wal cv cop wceq wa wex copab2 wfun mosubopt alrimiv copab funeqi
      dfoprab2 funopab bitr2i sylib ) ADFCGBGZEHZBHCHIJAKCLBLZDFZEGZABCDMZNZUCU
      FEADBCUDOPUIUEEDQZNUGUHUJABCDESRUEEDTUAUB $.
      $( [28-Aug-2007] $)
  $}

  ${
    $d x y z w $.  $d w ph $.
    funoprab.1 $e |- E* z ph $.
    $( "At most one" is a sufficient condition for an operation class
       abstraction to be a function. $)
    funoprab $p |- Fun { <. <. x , y >. , z >. | ph } $=
      ( wmo wal copab2 wfun gen2 funoprabg ax-mp ) ADFZCGBGABCDHIMBCEJABCDKL $.
      $( [17-Mar-1995] $)
  $}

  ${
    $d x y z $.  $d z ph $.
    $( Functionality and domain of an operation class abstraction. $)
    fnoprabg $p |- ( A. x A. y ( ph -> E! z ps ) ->
  { <. <. x , y >. , z >. | ( ph /\ ps ) } Fn { <. x , y >. | ph } ) $=
      ( weu wi wal wa copab2 wfun cdm copab wceq wfn wmo eumo imim2i wex a4s wb
      moanimv sylibr 2alimi funoprabg syl dmoprab hba1 hba2 simpl exlimiv ancld
      euex 19.42v syl6ibr impbid2 opabbid syl5eq df-fn sylanbrc ) ABEFZGZDHZCHZ
      ABIZCDEJZKZVFLZACDMZNVFVIOVDVEEPZDHCHVGVBVJCDVBABEPZGVJVAVKABEQRABEUBUCUD
      VECDEUEUFVDVHVEESZCDMVIVECDEUGVDVLACDVCCUHVBDCUIVCVLAUAZCVBVMDVBVLAVEAEAB
      UJUKVBAABESZIVLVBAVNVAVNABEUMRULABEUNUOUPTTUQURVFVIUSUT $.
      $( [28-Aug-2007] $)
  $}

  ${
    $d x y z $.  $d z ph $.
    fnoprab.1 $e |- ( ph -> E! z ps ) $.
    $( Functionality and domain of an operation class abstraction. $)
    fnoprab $p |- { <. <. x , y >. , z >. | ( ph /\ ps ) } Fn
                    { <. x , y >. | ph } $=
      ( weu wi wal wa copab2 copab wfn gen2 fnoprabg ax-mp ) ABEGHZDICIABJCDEKA
      CDLMQCDFNABCDEOP $.
      $( [15-May-1995] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.  $d x y z w F $.
    $( An operation maps to a class to which all values belong. $)
    ffnov $p |- ( F : ( A X. B ) --> C <-> ( F Fn ( A X. B ) /\
         A. x e. A A. y e. B ( x F y ) e. C ) ) $=
      ( vw cxp wf wfn cv cfv wcel wral wa co ffnfv cop wceq fveq2 df-ov syl6eqr
      eleq1d ralxp anbi2i bitri ) CDHZEFIFUGJZGKZFLZEMZGUGNZOUHAKZBKZFPZEMZBDNA
      CNZOGUGEFQULUQUHUKUPGABCDUIUMUNRZSZUJUOEUSUJURFLUOUIURFTUMUNFUAUBUCUDUEUF
      $.
      $( [7-Feb-2004] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y F $.  $d x y R $.  $d x y S $.
    fovcl.1 $e |- F : ( R X. S ) --> C $.
    $( Closure law for an operation. $)
    fovcl $p |- ( ( A e. R /\ B e. S ) -> ( A F B ) e. C ) $=
      ( vx vy wcel wa cv co wral cxp wf wfn ffnov wceq eleq1d ax-mp oveq1 oveq2
      simprbi rcla42v mpi ) ADJBEJKHLZILZFMZCJZIENHDNZABFMZCJZDEOZCFPZUKGUOFUNQ
      UKHIDECFRUDUAUJUMAUHFMZCJHIABDEUGASUIUPCUGAUHFUBTUHBSUPULCUHBAFUCTUEUF $.
      $( [19-Apr-2007] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d z C $.  $d z D $.  $d x y z F $.
    $d x y z G $.
    $( Equality of two operations is determined by their values. $)
    eqfnov $p |- ( ( F Fn ( A X. B ) /\ G Fn ( C X. D ) ) -> ( F = G <->
( ( A X. B ) = ( C X. D ) /\ A. x e. A A. y e. B ( x F y ) = ( x G y ) ) ) ) $=
      ( vz cxp wfn wa wceq cv cfv wral co eqfnfv fveq2 df-ov cop eqeq12d anbi2i
      eqeq12i syl6bbr ralxp syl6bb ) GCDJZKHEFJZKLGHMUHUIMZINZGOZUKHOZMZIUHPZLU
      JANZBNZGQZUPUQHQZMZBDPACPZLIUHUIGHRUOVAUJUNUTIABCDUKUPUQUAZMZUNVBGOZVBHOZ
      MUTVCULVDUMVEUKVBGSUKVBHSUBURVDUSVEUPUQGTUPUQHTUDUEUFUCUG $.
      $( [1-Sep-2005] $)
  $}

  ${
    $d A x y $.  $d B x y $.  $d F x y $.  $d G x y $.
    $( Two operators with the same domain are equal iff their values at each
       point in the domain are equal.  (Contributed by Jeff Madsen,
       7-Jun-2010.) $)
    eqfnov2 $p |- ( ( F Fn ( A X. B ) /\ G Fn ( A X. B ) ) ->
                  ( F = G <-> A. x e. A A. y e. B ( x F y ) = ( x G y ) ) ) $=
      ( cxp wfn wa wceq cv co wral eqfnov simpr eqidd ancri impbii syl6bb ) ECD
      GZHFTHIEFJTTJZAKZBKZELUBUCFLJBDMACMZIZUDABCDCDEFNUEUDUAUDOUDUAUDTPQRS $.
      $( [7-Jun-2010] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w F $.
    $( Representation of an operation class abstraction in terms of its
       values. $)
    fnov $p |- ( F Fn ( A X. B ) <-> F = { <. <. x , y >. , z >. |
                    ( ( x e. A /\ y e. B ) /\ z = ( x F y ) ) } ) $=
      ( vw cxp wfn cv wcel cfv wceq wa copab co copab2 dffn5 wex bitri cop elxp
      anbi1i 19.41vv anass syl6eqr eqeq2d anbi2d pm5.32i 2exbii 3bitr2i opabbii
      fveq2 df-ov dfoprab2 eqtr4i eqeq2i ) FDEHZIFGJZURKZCJZUSFLZMZNZGCOZMFAJZD
      KBJZEKNZVAVFVGFPZMZNZABCQZMGCURFRVEVLFVEUSVFVGUAZMZVKNZBSASZGCOVLVDVPGCVD
      VNVHNZBSASZVCNVQVCNZBSASVPUTVRVCABUSDEUBUCVQVCABUDVSVOABVSVNVHVCNZNVOVNVH
      VCUEVNVTVKVNVCVJVHVNVBVIVAVNVBVMFLVIUSVMFUMVFVGFUNUFUGUHUITUJUKULVKABCGUO
      UPUQT $.
      $( [7-Feb-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z F $.
    $( Representation of an operation class abstraction in terms of its
       values. $)
    fov $p |- ( F : ( A X. B ) --> C <-> ( F = { <. <. x , y >. , z >. |
                  ( ( x e. A /\ y e. B ) /\ z = ( x F y ) ) }
                /\ A. x e. A A. y e. B ( x F y ) e. C ) ) $=
      ( cxp wf wfn cv co wcel wral wa wceq copab2 ffnov fnov anbi1i bitri ) DEH
      ZFGIGUBJZAKZBKZGLZFMBENADNZOGUDDMUEEMOCKUFPOABCQPZUGOABDEFGRUCUHUGABCDEGS
      TUA $.
      $( [7-Feb-2004] $)
  $}


  ${
    $d x y z $.
    ovidig.1 $e |- E* z ph $.
    ovidig.2 $e |- F = { <. <. x , y >. , z >. | ph } $.
    $( The value of an operation class abstraction.  Compare ~ ovidi .  The
       condition ` ( x e. R /\ y e. S ) ` is been removed.  (Contributed by
       Mario Carneiro, 29-Dec-2014.) $)
    ovidig $p |- ( ph -> ( x F y ) = z ) $=
      ( cv co cop cfv df-ov wcel wceq copab2 eleq2i oprabid bitri wfun wi mpbir
      funoprab funeqi funopfv ax-mp sylbir syl5eq ) ABHZCHZEIUHUIJZEKZDHZUHUIEL
      AUJULJZEMZUKULNZUNUMABCDOZMAEUPUMGPABCDQRESZUNUOTUQUPSABCDFUBEUPGUCUAUJUL
      EUDUEUFUG $.
      $( [29-Dec-2014] $)
  $}

  ${
    $d x y z $.  $d z R $.  $d z S $.
    ovidi.2 $e |- ( ( x e. R /\ y e. S ) -> E* z ph ) $.
    ovidi.3 $e |- F =
                  { <. <. x , y >. , z >. | ( ( x e. R /\ y e. S ) /\ ph ) } $.
    $( The value of an operation class abstraction (weak version).
       (Contributed by Mario Carneiro, 29-Dec-2014.) $)
    ovidi $p |- ( ( x e. R /\ y e. S ) -> ( ph -> ( x F y ) = z ) ) $=
      ( cv wcel wa co wceq wmo wi moanimv mpbir ovidig ex ) BJZEKCJZFKLZAUAUBGM
      DJNUCALZBCDGUDDOUCADOPHUCADQRIST $.
      $( [29-Dec-2014] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.  $d x y z S $.
    $d x y z th $.
    ov.1 $e |- C e. _V $.
    ov.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ov.3 $e |- ( y = B -> ( ps <-> ch ) ) $.
    ov.4 $e |- ( z = C -> ( ch <-> th ) ) $.
    ov.5 $e |- ( ( x e. R /\ y e. S ) -> E! z ph ) $.
    ov.6 $e |- F =
                  { <. <. x , y >. , z >. | ( ( x e. R /\ y e. S ) /\ ph ) } $.
    $( The value of an operation class abstraction.  (Unnecessary distinct
       variable restrictions were removed by David Abernethy, 19-Jun-2012.) $)
    ov $p |- ( ( A e. R /\ B e. S ) -> ( ( A F B ) = C <-> th ) ) $=
      ( wcel wa co wceq cop cv copab2 cfv df-ov fveq1i eqtri eqeq1i wfn fnoprab
      copab eleq1 anbi1d anbi2d opelopabg ibir fnopfvb sylancr anbi12d eloprabg
      wb cvv mp3an3 bitrd syl5bb bianabs ) HKTZILTZUAZHIMUBZJUCZDVNHIUDZEUEZKTZ
      FUEZLTZUAZAUAZEFGUFZUGZJUCZVLVLDUAZVMWCJVMVOMUGWCHIMUHVOMWBSUIUJUKVLWDVOJ
      UDWBTZWEVLWBVTEFUNZULVOWGTZWDWFVDVTAEFGRUMVLWHVTVJVSUAZVLEFHIKLVPHUCZVQVJ
      VSVPHKUOUPZVRIUCZVSVKVJVRILUOUQZURUSWGVOJWBUTVAVJVKJVETWFWEVDNWAWIBUAVLCU
      AWEEFGHIJKLVEWJVTWIABWKOVBWLWIVLBCWMPVBGUEJUCCDVLQUQVCVFVGVHVI $.
      $( [24-Jul-2012] $) $( [16-May-1995] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z ps $.
    ovigg.1 $e |- ( ( x = A /\ y = B /\ z = C ) -> ( ph <-> ps ) ) $.
    ovigg.4 $e |- E* z ph $.
    ovigg.5 $e |- F = { <. <. x , y >. , z >. | ph } $.
    $( The value of an operation class abstraction.  Compare ~ ovig .  The
       condition ` ( x e. R /\ y e. S ) ` is been removed.  (Contributed by FL,
       24-Mar-2007.) $)
    ovigg $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
                         ( ps -> ( A F B ) = C ) ) $=
      ( wcel w3a cop cfv wceq copab2 co eloprabga wfun funoprab funopfv syl6bir
      wi ax-mp df-ov fveq1i eqtri eqeq1i syl6ibr ) FJPGKPHLPQZBFGRZACDEUAZSZHTZ
      FGIUBZHTUOBUPHRUQPZUSABCDEFGHJKLMUCUQUDVAUSUHACDENUEUPHUQUFUIUGUTURHUTUPI
      SURFGIUJUPIUQOUKULUMUN $.
      $( [19-Dec-2013] $) $( [24-Mar-2007] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.  $d x y z S $.
    $d x y z ps $.
    ovig.1 $e |- ( ( x = A /\ y = B /\ z = C ) -> ( ph <-> ps ) ) $.
    ovig.2 $e |- ( ( x e. R /\ y e. S ) -> E* z ph ) $.
    ovig.3 $e |- F =
                  { <. <. x , y >. , z >. | ( ( x e. R /\ y e. S ) /\ ph ) } $.
    $( The value of an operation class abstraction (weak version).
       (Unnecessary distinct variable restrictions were removed by David
       Abernethy, 19-Jun-2012.)  (Revised by Mario Carneiro, 19-Dec-2013.) $)
    ovig $p |- ( ( A e. R /\ B e. S /\ C e. D ) ->
                         ( ps -> ( A F B ) = C ) ) $=
      ( wcel w3a wa wceq cv co 3simpa wb eleq1 bi2anan9 3adant3 anbi12d moanimv
      wmo wi mpbir ovigg mpand ) FJPZGKPZHIPZQUNUORZBFGLUAHSUNUOUPUBCTZJPZDTZKP
      ZRZARZUQBRCDEFGHLJKIURFSZUTGSZETHSZQVBUQABVDVEVBUQUCVFVDUSUNVEVAUOURFJUDU
      TGKUDUEUFMUGVCEUIVBAEUIUJNVBAEUHUKOULUM $.
      $( [19-Dec-2013] $) $( [14-Sep-1999] $)
  $}

  ${
    $d t u v w A $.  $d t u v w B $.  $d t u v x y z C $.  $d t u v x y z D $.
    $d w G $.  $d t u v w z R $.  $d t u v w S $.  $d x y w $.
    ov2gf.a $e |- ( w e. A -> A. x w e. A ) $.
    ov2gf.c $e |- ( w e. A -> A. y w e. A ) $.
    ov2gf.cz $e |- ( w e. A -> A. z w e. A ) $.
    ov2gf.d $e |- ( w e. B -> A. y w e. B ) $.
    ov2gf.dz $e |- ( w e. B -> A. z w e. B ) $.
    ov2gf.1 $e |- ( w e. G -> A. x w e. G ) $.
    ov2gf.2 $e |- ( w e. S -> A. y w e. S ) $.
    ov2gf.3 $e |- ( x = A -> R = G ) $.
    ov2gf.4 $e |- ( y = B -> G = S ) $.
    ov2gf.5 $e |- F = { <. <. x , y >. , z >. | ( ( x e. C /\ y e. D )
                      /\ z = R ) } $.
    $( The value of an operation class abstraction.  A version of ~ ov2g using
       bound-variable hypotheses. $)
    ov2gf $p |- ( ( A e. C /\ B e. D /\ S e. H ) -> ( A F B ) = S ) $=
      ( vt vu vv wcel w3a co cv wa csb copab2 weq eqeq1 anbi2d cbvoprab3v ax-17
      wceq wel hbcsb1 hbcsb hbeq eleq1 anbi1d csbeq1a eqeq2d anbi12d cbvoprab12
      hban sylan9bb 3eqtri oveqi eqid simp3 cvv vex hblem csbhypf csbeq2d mpan2
      hbeleq sylan9eq 3adant3 eqeq12d wmo moeq a1i ovig mpi syl5eq ) EGUGFHUGJM
      UGUHZEFKUIEFUDUJZGUGZUEUJZHUGZUKZUFUJZBWOAWMIULZULZUSZUKZUDUEUFUMZUIZJKXC
      EFKAUJZGUGZBUJZHUGZUKZCUJZIUSZUKZABCUMXIWRIUSZUKZABUFUMXCUCXLXNABCUFCUFUN
      XKXMXIXJWRIUOUPUQXNXBABUFUDUEXNUDURXNUEURWQXAAWQAURADDWRWTDUFUTZAURABDWOW
      SDUEUTZAURADWMIDUDUTAURVAVBVCVJWQXABWQBURBDDWRWTXOBURBDWOWSXPBURVAVCVJAUD
      UNZXNWNXHUKZWRWSUSZUKBUEUNZXBXQXIXRXMXSXQXFWNXHXEWMGVDVEXQIWSWRAWMIVFVGVH
      XTXRWQXSXAXTXHWPWNXGWOHVDUPXTWSWTWRBWOWSVFVGVHVKVIVLVMWLJJUSZXDJUSJVNXAYA
      UDUEUFEFJMGHXCWMEUSZWOFUSZWRJUSZUHWRJWTJYBYCYDVOYBYCWTJUSYDYBYCWTBWOLULZJ
      YBWOVPUGWTYEUSUEVQYBBWOWSLVPBUDEBDUDEOVRWBAUDDEILNSUAVSVTWABUEDFLJQTUBVSW
      CWDWEXAUFWFWQUFWTWGWHXCVNWIWJWK $.
      $( [19-Dec-2013] $) $( [17-Aug-2006] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.  $d z R $.
    $d x y z S $.
    ov2ag.1 $e |- ( ( x = A /\ y = B ) -> R = S ) $.
    ov2ag.3 $e |- F = { <. <. x , y >. , z >. | ( ( x e. C /\ y e. D )
                      /\ z = R ) } $.
    $( The value of an operation class abstraction.  Special case.
       (Contributed by Mario Carneiro, 19-Dec-2013.) $)
    ov2ag $p |- ( ( A e. C /\ B e. D /\ S e. H ) -> ( A F B ) = S ) $=
      ( wcel w3a wceq co eqid cv simp3 3adant3 eqeq12d wmo wa moeq a1i ovig mpi
      ) DFNEGNIKNOIIPZDEJQIPIRCSZHPZUIABCDEIKFGJASZDPZBSZEPZUJIPZOUJIHIUMUOUPTU
      MUOHIPUPLUAUBUKCUCULFNUNGNUDCHUEUFMUGUH $.
      $( [19-Dec-2013] $)
  $}

  ${
    $d w x y z A $.  $d w y z B $.  $d x y z C $.  $d x y z D $.  $d x w G $.
    $d w z R $.  $d w y S $.
    ov2g.1 $e |- ( x = A -> R = G ) $.
    ov2g.2 $e |- ( y = B -> G = S ) $.
    ov2g.3 $e |- F = { <. <. x , y >. , z >. | ( ( x e. C /\ y e. D )
                      /\ z = R ) } $.
    $( The value of an operation class abstraction.  Special case.
       (Unnecessary distinct variable restrictions were removed by David
       Abernethy, 19-Jun-2012.) $)
    ov2g $p |- ( ( A e. C /\ B e. D /\ S e. H ) -> ( A F B ) = S ) $=
      ( vw cv wcel ax-17 ov2gf ) ABCPDEFGHIJKLPQZDRZASUBBSUBCSUAERZBSUCCSUAKRAS
      UAIRBSMNOT $.
      $( [19-Dec-2013] $) $( [14-Sep-1999] $)
  $}

  ${
    $d x y z A $.  $d y z B $.  $d x y z C $.  $d x y z D $.  $d x G $.
    $d z R $.  $d y z S $.
    ov2.1 $e |- S e. _V $.
    ov2.2 $e |- ( x = A -> R = G ) $.
    ov2.3 $e |- ( y = B -> G = S ) $.
    ov2.4 $e |- F = { <. <. x , y >. , z >. | ( ( x e. C /\ y e. D )
                      /\ z = R ) } $.
    $( The value of an operation class abstraction.  Special case.
       (Unnecessary distinct variable restrictions were removed by David
       Abernethy, 19-Jun-2012.) $)
    ov2 $p |- ( ( A e. C /\ B e. D ) -> ( A F B ) = S ) $=
      ( wcel cvv co wceq ov2g mp3an3 ) DFPEGPIQPDEJRISLABCDEFGHIJKQMNOTUA $.
      $( [24-Jul-2012] $) $( [16-May-1995] $)
  $}

  ${
    $d x y z A $.  $d y z B $.  $d x G $.  $d z R $.  $d y z S $.
    ov5.1 $e |- S e. _V $.
    ov5.2 $e |- ( x = A -> R = G ) $.
    ov5.3 $e |- ( y = B -> G = S ) $.
    ov5.4 $e |- F = { <. <. x , y >. , z >. | z = R } $.
    $( The value of an operation class abstraction.  Special case.
       (Unnecessary distinct variable restrictions were removed by David
       Abernethy, 19-Jun-2012.) $)
    ov5 $p |- ( ( A e. C /\ B e. D ) -> ( A F B ) = S ) $=
      ( wcel cvv wceq elex cv co copab2 vex pm3.2i biantrur oprabbii ov2 syl2an
      wa eqtri ) DFPDQPEQPDEJUAIREGPDFSEGSABCDEQQHIJKLMNJCTHRZABCUBATQPZBTQPZUI
      ZUKUIZABCUBOUKUOABCUNUKULUMAUCBUCUDUEUFUJUGUH $.
      $( [24-Jul-2012] $) $( [19-Jul-2005] $)
  $}

  ${
    $d f t u v w x y z A $.  $d f t u v w x y z B $.  $d t F $.  $d x y z R $.
    $d f t u v w y z C $.  $d f t u v w y z D $.  $d f t u v w x y z H $.
    $d f t u v w z S $.
    ov3.1 $e |- S e. _V $.
    ov3.2 $e |- ( ( ( w = A /\ v = B ) /\ ( u = C /\ f = D ) ) ->
         R = S ) $.
    ov3.3 $e |- F = { <. <. x , y >. , z >. | ( ( x e. ( H X. H ) /\
                      y e. ( H X. H ) ) /\
                      E. w E. v E. u E. f ( ( x = <. w , v >. /\
                      y = <. u , f >. ) /\ z = R ) ) } $.
    $( The value of an operation class abstraction.  Special case. $)
    ov3 $p |- ( ( ( A e. H /\ B e. H ) /\ ( C e. H /\ D e. H ) ) ->
        ( <. A , B >. F <. C , D >. ) = S ) $=
      ( vt wex wcel wa cv wceq cop co isseti ax-17 copab2 hboprab3 hbxfreq hbov
      hbeq eqeq2d copsex4g wi opelxp hboprab1 ax17el hbim hboprab2 eqeq1 anbi1d
      cxp 4exbidv oveq1 eqeq1d imbi12d anbi2d oveq2 moeq mosubop 2exbii 19.42vv
      wmo anass bitri mobii mpbir ovidi vtocl2gaf syl2anbr sylbird eqeq2 mpbidi
      a1i exlimd mpi ) GOUAHOUAUBZIOUAJOUAUBZUBZCUCZLUDZCTGHUEZIJUEZNUFZLUDZCLP
      UGWKWMWQCWKCUHCSSWPLCSWNWONSUCZWNUAZCUHCSNAUCZOOVDZUABUCZXAUAUBZWTDUCZEUC
      ZUEZUDZXBFUCZMUCZUEZUDZUBZWLKUDZUBZMTFTZETDTZUBZABCUIZRXQABCSUJUKWRWOUAZC
      UHULWRLUACUHUMWMWPWLUDZWQWKWKWMWNXFUDZWOXJUDZUBZXMUBZMTFTETDTZXTXMWMDEFMG
      HIJOOXDGUDXEHUDUBXHIUDXIJUDUBUBKLWLQUNUOWIWNXAUAWOXAUAYEXTUPZWJGHOOUQIJOO
      UQXPWTXBNUFZWLUDZUPYAXKUBZXMUBZMTFTETDTZWNXBNUFZWLUDZUPYFABSWNWOXAXAWSAUH
      ZWSBUHZXSBUHZYKYMAYKAUHASSYLWLASWNXBNYNASNXRRXQABCSURUKSBAUSULSCAUSUMUTYE
      XTBYEBUHBSSWPWLBSWNWONYOBSNXRRXQABCSVAUKYPULSCBUSUMUTWTWNUDZXPYKYHYMYQXNY
      JDEFMYQXLYIXMYQXGYAXKWTWNXFVBVCVCVEYQYGYLWLWTWNXBNVFVGVHXBWOUDZYKYEYMXTYR
      YJYDDEFMYRYIYCXMYRXKYBYAXBWOXJVBVIVCVEYRYLWPWLXBWOWNNVJVGVHXPABCXAXANXPCV
      OZXCYSXGXKXMUBZMTFTZUBZETDTZCVOUUACDEWTXMCFMXBCKVKVLVLXPUUCCXOUUBDEXOXGYT
      UBZMTFTUUBXNUUDFMXGXKXMVPVMXGYTFMVNVQVMVRVSWFRVTWAWBWCWLLWPWDWEWGWH $.
      $( [29-Dec-2014] $) $( [28-May-1995] $)
  $}

  ${
    $d x y z w v u f A $.  $d x y z w v u f B $.  $d z w v u f C $.
    $d w v D $.
    ov4g.1 $e |- F =
          { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B ) /\ z = C ) } $.
    $( Value of an operation given by an ordered-pair class abstraction.  (This
       is the operation analog of ~ fvopab2 .) $)
    ov4g $p |- ( ( x e. A /\ y e. B /\ C e. D ) -> ( x F y ) = C ) $=
      ( vw vv vf vu wcel cv cvv wceq wa ax-17 hbab co elex wsbc cab sbab eqcomd
      equcoms copab2 hbs1 hbeleq hban eleq1 bi2anan9 sylan9eq eqeq2d cbvoprab12
      hbsb anbi12d eqtr4i ov2g syl3an3 ) FGNAOZDNZBOZENZFPNVBVDHUAFQFGUBJKCVBVD
      DELOMOFNZBKOZUCZMUDZNZAJOZUCZLUDZFHVIPVMVIQAJVBVKQVIVMAJLVIUEUFUGZVIFQBKV
      DVGQFVIBKMFUEUFUGZHVCVERZCOZFQZRZABCUHVKDNZVGENZRZVQVMQZRZJKCUHIWDVSJKCAB
      WBWCAWBASACVMVLALCVJAJUITUJUKWBWCBWBBSBCVMVLBLCVJAJBVHBMLVFBKUITUQTUJUKVS
      JSVSKSVKVBQZVGVDQZRZWBVPWCVRWEVTVCWFWAVEVKVBDULVGVDEULUMWGVMFVQWEWFVMVIFV
      NVOUNUOURUPUSUTVA $.
      $( [21-Feb-2004] $)
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y z C $.  $d w z R $.
    $d w x y z S $.
    ov6g.1 $e |- ( <. x , y >. = <. A , B >. -> R = S ) $.
    ov6g.2 $e |- F = { <. <. x , y >. , z >. | ( <. x , y >. e. C
                      /\ z = R ) } $.
    $( The value of an operation class abstraction.  Special case. $)
    ov6g $p |- ( ( ( A e. G /\ B e. H /\ <. A , B >. e. C ) /\ S e. J )
                     -> ( A F B ) = S ) $=
      ( vw wcel wa cv wceq wex cop w3a co cfv df-ov eqid biidd copsex2g 3adant3
      mpbiri adantr wi eqeq1 anbi1d eqeq2d eqcoms pm5.32i syl6bb 2exbidv anbi2d
      wb wmo moeq mosubop a1i copab2 copab dfoprab2 eleq1 bitr3i 2exbii 19.42vv
      an12 bitri opabbii 3eqtri fvopab3ig 3ad2antl3 mpd syl5eq ) DJPZEKPZDEUAZF
      PZUBZHLPZQZDEIUCWCIUDZHDEIUEWGWCARZBRZUAZSZHHSZQZBTATZWHHSZWEWOWFWAWBWOWD
      WAWBQWOWMHUFWMWMABDEJKWIDSWJESQWMUGUHUJUIUKWDWAWFWOWPULWBORZWKSZCRZGSZQZB
      TATZWLWSHSZQZBTATWOOCWCHFLIWQWCSZXAXDABXEXAWLWTQXDXEWRWLWTWQWCWKUMUNWLWTX
      CWTXCVAWKWCWKWCSGHWSMUOUPUQURUSXCXDWNABXCXCWMWLWSHHUMUTUSXBCVBWQFPZWTCABW
      QCGVCVDVEIWKFPZWTQZABCVFWRXHQZBTATZOCVGXFXBQZOCVGNXHABCOVHXJXKOCXJXFXAQZB
      TATXKXIXLABXIWRXFWTQZQXLWRXMXHWRXFXGWTWQWKFVIUNUQWRXFWTVMVJVKXFXAABVLVNVO
      VPVQVRVSVT $.
      $( [13-Nov-2006] $)
  $}

  ${
    $d ph c $.  $d ps x $.  $d ch x y $.  $d th x y z $.  $d ta x y c $.
    $d R x y z c $.  $d S x y z c $.  $d A x y z c $.  $d B x y z c $.
    $d C x y z c $.
    ovg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ovg.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    ovg.3 $e |- ( z = C -> ( ch <-> th ) ) $.
    ovg.4 $e |- ( ( ta /\ ( x e. R /\ y e. S ) ) -> E! z ph ) $.
    ovg.5 $e |- F = { <. <. x , y >. , z >. |
                                            ( ( x e. R /\ y e. S ) /\ ph ) } $.
    $( The value of an operation class abstraction.  (Contributed by Jeff
       Madsen, 10-Jun-2010.) $)
    ovg $p |- ( ( ta /\ ( A e. R /\ B e. S /\ C e. D ) )
                                            -> ( ( A F B ) = C <-> th ) ) $=
      ( wcel w3a wa co wceq cop cv copab2 cfv df-ov fveq1i eqtri eqeq1i cxp wfn
      wb copab weu wi wal ex alrimivv fnoprabg syl fneq2i sylibr opelxp biimpri
      df-xp 3adant3 fnopfvb syl2an anbi1d anbi12d anbi2d eloprabg adantl syl5bb
      eleq1 bitrd biidd bianabs ) EIMUAZJNUAZKLUAZUBZUCZIJOUDZKUEZWCWDUCZDUCZDW
      IIJUFZFUGZMUAZGUGZNUAZUCZAUCZFGHUHZUIZKUEZWGWKWHWTKWHWLOUIWTIJOUJWLOWSTUK
      ULUMWGXAWLKUFWSUAZWKEWSMNUNZUOZWLXCUAZXAXBUPWFEWSWQFGUQZUOZXDEWQAHURZUSZG
      UTFUTXGEXIFGEWQXHSVAVBWQAFGHVCVDXCXFWSFGMNVIVEVFWCWDXEWEXEWJIJMNVGVHVJXCW
      LKWSVKVLWFXBWKUPEWRWCWPUCZBUCWJCUCWKFGHIJKMNLWMIUEZWQXJABXKWNWCWPWMIMVSVM
      PVNWOJUEZXJWJBCXLWPWDWCWOJNVSVOQVNHUGKUECDWJRVOVPVQVTVRWFWKDUPZEWCWDXMWEW
      JWKDWJWKWAWBVJVQVT $.
      $( [10-Jun-2010] $)
  $}

  $( The value of a restricted operation.  (Contributed by FL, 10-Nov-2006.) $)
  ovres $p |- ( ( A e. C /\ B e. D ) -> ( A ( F |` ( C X. D ) ) B )
    = ( A F B ) ) $=
    ( wcel wa cop cxp cres co wceq opelxp cfv fvres df-ov 3eqtr4g sylbir ) ACFB
    DFGABHZCDIZFZABETJZKZABEKZLABCDMUASUBNSENUCUDSTEOABUBPABEPQR $.
    $( [3-Nov-2006] $)

  $( The value of a member of the domain of a subclass of an operation. $)
  oprssov $p |- ( ( ( Fun F /\ G Fn ( C X. D ) /\ G C_ F ) /\
        ( A e. C /\ B e. D ) ) -> ( A F B ) = ( A G B ) ) $=
    ( wfun cxp wfn wss w3a wcel wa cres co wceq ovres adantl cdm eqtr3d reseq2d
    fndm 3ad2ant2 funssres 3adant2 oveqd adantr ) EGZFCDHZIZFEJZKZACLBDLMZMABEU
    INZOZABEOZABFOZUMUOUPPULABCDEQRULUOUQPUMULUNFABULEFSZNZUNFUJUHUSUNPUKUJURUI
    EUIFUBUAUCUHUKUSFPUJEFUDUETUFUGT $.
    $( [23-Aug-2007] $)

  $( A operations's value belongs to its codomain. $)
  fovrn $p |- ( ( F : ( R X. S ) --> C /\ A e. R /\ B e. S ) ->
               ( A F B ) e. C ) $=
    ( cxp wf wcel co wa cop opelxp cfv df-ov ffvelrn syl5eqel sylan2br 3impb )
    DEGZCFHZADIZBEIZABFJZCIZUBUCKUAABLZTIZUEABDEMUAUGKUDUFFNCABFOTCUFFPQRS $.
    $( [27-Aug-2006] $)

  ${
    $d w x y z A $.  $d w x y z B $.  $d w z C $.  $d w x y z F $.
    $( The range of an operation expressed as a collection of the operation's
       values. $)
    fnrnov $p |- ( F Fn ( A X. B ) -> ran F = { z | E. x e. A E. y e. B
                     z = ( x F y ) } ) $=
      ( vw cxp wfn crn cv cfv wceq wrex cab co fnrnfv cop fveq2 df-ov syl6eqr
      eqeq2d rexxp abbii syl6eq ) FDEHZIFJCKZGKZFLZMZGUFNZCOUGAKZBKZFPZMZBENADN
      ZCOGCUFFQUKUPCUJUOGABDEUHULUMRZMZUIUNUGURUIUQFLUNUHUQFSULUMFTUAUBUCUDUE
      $.
      $( [29-Oct-2006] $)

    $( An onto mapping of an operation expressed in terms of operation
       values. $)
    foov $p |- ( F : ( A X. B ) -onto-> C <-> ( F : ( A X. B ) --> C /\
                  A. z e. C E. x e. A E. y e. B z = ( x F y ) ) ) $=
      ( vw cxp wfo wf cv cfv wceq wrex wral wa co dffo3 cop fveq2 df-ov syl6eqr
      eqeq2d rexxp ralbii anbi2i bitri ) DEIZFGJUIFGKZCLZHLZGMZNZHUIOZCFPZQUJUK
      ALZBLZGRZNZBEOADOZCFPZQHCUIFGSUPVBUJUOVACFUNUTHABDEULUQURTZNZUMUSUKVDUMVC
      GMUSULVCGUAUQURGUBUCUDUEUFUGUH $.
      $( [29-Oct-2006] $)
  $}

  $( An operation's value belongs to its range. $)
  fnovrn $p |- ( ( F Fn ( A X. B ) /\ C e. A /\ D e. B ) ->
                   ( C F D ) e. ran F ) $=
    ( cxp wfn wcel co crn cop opelxp cfv df-ov fnfvelrn syl5eqel sylan2br 3impb
    wa ) EABFZGZCAHZDBHZCDEIZEJZHZUBUCSUACDKZTHZUFCDABLUAUHSUDUGEMUECDENTUGEOPQ
    R $.
    $( [10-Feb-2007] $)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.  $d x y z F $.
    $( A member of an operation's range is a value of the operation.  (Revised
       by Mario Carneiro, 30-Jan-2014.) $)
    ovelrn $p |- ( F Fn ( A X. B ) -> ( C e. ran F <->
                  E. x e. A E. y e. B C = ( x F y ) ) ) $=
      ( vz cxp wfn crn wcel cv co wceq wrex cab fnrnov eleq2d cvv rexlimivw
      ovex eleq1 mpbiri eqeq1 2rexbidv elab3 syl6bb ) FCDHIZEFJZKEGLZALZBLZFMZN
      ZBDOACOZGPZKEUMNZBDOZACOZUHUIUPEABGCDFQRUOUSGEURESKZACUQUTBDUQUTUMSKUKULF
      UAEUMSUBUCTTUJENUNUQABCDUJEUMUDUEUFUG $.
      $( [30-Jan-2014] $) $( [7-Feb-2007] $)

    $( Membership relation for the values of a function whose image is a
       subclass.  (Contributed by Mario Carneiro, 23-Dec-2013.) $)
    funimassov $p |- ( ( Fun F /\ ( A X. B ) C_ dom F ) ->
        ( ( F " ( A X. B ) ) C_ C <-> A. x e. A A. y e. B ( x F y ) e. C ) ) $=
      ( vz wfun cxp cdm wss wa cima cv cfv wcel wral co funimass4 cop syl6eqr
      wceq fveq2 df-ov eleq1d ralxp syl6bb ) FHCDIZFJKLFUHMEKGNZFOZEPZGUHQANZBN
      ZFRZEPZBDQACQGUHEFSUKUOGABCDUIULUMTZUBZUJUNEUQUJUPFOUNUIUPFUCULUMFUDUAUEU
      FUG $.
      $( [23-Dec-2013] $)

    $( Operation value in an image.  (Contributed by Mario Carneiro,
       23-Dec-2013.) $)
    ovelimab $p |- ( ( F Fn A /\ ( B X. C ) C_ A ) ->
        ( D e. ( F " ( B X. C ) ) <-> E. x e. B E. y e. C D = ( x F y ) ) ) $=
      ( vz wfn cxp wss wa cima wcel cv cfv wceq wrex co syl6bb fvelimab syl6eqr
      cop fveq2 df-ov eqeq1d eqcom rexxp ) GCIDEJZCKLFGUIMNHOZGPZFQZHUIRFAOZBOZ
      GSZQZBERADRHCUIFGUAULUPHABDEUJUMUNUCZQZULUOFQUPURUKUOFURUKUQGPUOUJUQGUDUM
      UNGUEUBUFUOFUGTUHT $.
      $( [29-Jan-2014] $) $( [23-Dec-2013] $)
  $}

  ${
    oprvalconst2.1 $e |- C e. _V $.
    $( The value of a constant operation. $)
    ovconst2 $p |- ( ( R e. A /\ S e. B ) ->
                       ( R ( ( A X. B ) X. { C } ) S ) = C ) $=
      ( wcel wa cxp csn co cop cfv df-ov wceq opelxp fvconst2 sylbir syl5eq ) D
      AGEBGHZDEABIZCJIZKDELZUBMZCDEUBNTUCUAGUDCODEABPUACUCFQRS $.
      $( [5-Nov-2006] $)
  $}

  ${
    $d x y S $.  $d x y F $.
    oprssdm.1 $e |- -. (/) e. S $.
    oprssdm.2 $e |- ( ( x e. S /\ y e. S ) -> ( x F y ) e. S ) $.
    $( Domain of closure of an operation. $)
    oprssdm $p |- ( S X. S ) C_ dom F $=
      ( cxp cdm relxp cv cop wcel wa opelxp wn cfv c0 wceq ndmfv co df-ov eleq1
      eqeq1i mtbiri sylbir nsyl syl con4i sylbi relssi ) ABCCGZDHZCCIAJZBJZKZUK
      LUMCLUNCLMZUOULLZUMUNCCNUQUPUQOUODPZQRZUPOUODSUSUMUNDTZCLZUPUSUTQRZVAOUTU
      RQUMUNDUAUCVBVAQCLEUTQCUBUDUEFUFUGUHUIUJ $.
      $( [24-Aug-1995] $)
  $}

  $( The value of an operation outside its domain. $)
  ndmovg $p |- ( ( dom F = ( R X. S ) /\ -. ( A e. R /\ B e. S ) )
              -> ( A F B ) = (/) ) $=
    ( cdm cxp wceq wcel wa wn co cop cfv c0 df-ov eleq2 opelxp syl6bb biimpd
    con3d imp ndmfv syl syl5eq ) EFZCDGZHZACIBDIJZKZJZABELABMZENZOABEPUKULUFIZK
    ZUMOHUHUJUOUHUNUIUHUNUIUHUNULUGIUIUFUGULQABCDRSTUAUBULEUCUDUE $.
    $( [28-Mar-2008] $)

  ${
    $d x A $.  $d x B $.  $d x F $.  $d x S $.
    ndmovcl.1 $e |- dom F = ( S X. S ) $.
    ndmovcl.2 $e |- ( ( A e. S /\ x e. S ) -> ( A F x ) e. S ) $.
    ndmovcl.3 $e |- (/) e. S $.
    $( The closure of an operation outside its domain, when the domain includes
       the empty set.  This technical lemma can make the operation more
       convenient to work in some cases.  It is is dependent on our particular
       definitions of operation value, function value, and ordered pair. $)
    ndmovcl $p |- ( A F B ) e. S $=
      ( wcel wa co cv wi wceq oveq2 eleq1d imbi2d expcom wn c0 impcom cop df-ov
      vtoclga cfv cdm eleq2i opelxp bitri notbii sylbir syl5eq syl6eqel pm2.61i
      cxp ndmfv ) BDIZCDIZJZBCEKZDIZURUQVAUQBALZEKZDIZMUQVAMACDVBCNZVDVAUQVEVCU
      TDVBCBEOPQUQVBDIVDGRUDUAUSSZUTTDVFUTBCUBZEUEZTBCEUCVFVGEUFZIZSVHTNVJUSVJV
      GDDUOZIUSVIVKVGFUGBCDDUHUIUJVGEUPUKULHUMUN $.
      $( [24-Sep-2004] $)
  $}

  ${
    ndmov.1 $e |- B e. _V $.
    ndmov.2 $e |- dom F = ( S X. S ) $.
    $( The value of an operation outside its domain. $)
    ndmov $p |- ( -. ( A e. S /\ B e. S ) -> ( A F B ) = (/) ) $=
      ( wcel wa cop cdm co c0 wceq cxp eleq2i opelxp bitri wn cfv df-ov sylnbir
      ndmfv syl5eq ) ACGBCGHZABIZDJZGZABDKZLMUGUECCNZGUDUFUIUEFOABCCPQUGRUHUEDS
      LABDTUEDUBUCUA $.
      $( [24-Aug-1995] $)

    ${
      ndmovrcl.3 $e |- -. (/) e. S $.
      $( Reverse closure law, when an operation's domain doesn't contain the
         empty set. $)
      ndmovrcl $p |- ( ( A F B ) e. S -> ( A e. S /\ B e. S ) ) $=
        ( wcel wa co wn c0 ndmov eleq1d mtbiri con4i ) ACHBCHIZABDJZCHZQKZSLCHG
        TRLCABCDEFMNOP $.
        $( [3-Feb-1996] $)
    $}

    ${
      ndmov.3 $e |- A e. _V $.
      $( Any operation is commutative outside its domain. $)
      ndmovcom $p |- ( -. ( A e. S /\ B e. S ) -> ( A F B ) = ( B F A ) ) $=
        ( wcel wa wn co c0 ndmov wceq ancom sylnbi eqtr4d ) ACHZBCHZIZJABDKLBAD
        KZABCDEFMTSRIUALNRSOBACDGFMPQ $.
        $( [24-Aug-1995] $)
    $}

    ${
      ndmov.4 $e |- C e. _V $.
      ndmov.5 $e |- -. (/) e. S $.
      $( Any operation is associative outside its domain, if the domain doesn't
         contain the empty set. $)
      ndmovass $p |- ( -. ( A e. S /\ B e. S /\ C e. S ) ->
              ( ( A F B ) F C ) = ( A F ( B F C ) ) ) $=
        ( wcel wn co c0 wa wceq ndmovrcl sylibr con3i ndmov syl w3a anim1i ovex
        df-3an anim2i 3anass eqtr4d ) ADJZBDJZCDJZUAZKZABELZCELZMABCELZELZULUMD
        JZUJNZKUNMOURUKURUHUINZUJNUKUQUSUJABDEFGIPUBUHUIUJUDQRUMCDEHGSTULUHUODJ
        ZNZKUPMOVAUKVAUHUIUJNZNUKUTVBUHBCDEHGIPUEUHUIUJUFQRAUODEBCEUCGSTUG $.
        $( [24-Aug-1995] $)

      ${
        ndmov.6 $e |- dom G = ( S X. S ) $.
        $( Any operation is distributive outside its domain, if the domain
           doesn't contain the empty set. $)
        ndmovdistr $p |- ( -. ( A e. S /\ B e. S /\ C e. S ) ->
            ( A G ( B F C ) ) = ( ( A G B ) F ( A G C ) ) ) $=
          ( wcel wn co c0 wa wceq ndmovrcl sylibr con3i w3a anim2i 3anass ndmov
          ovex syl anim12i anandi bitri eqtr4d ) ADLZBDLZCDLZUAZMZABCENZFNZOABF
          NZACFNZENZUOUKUPDLZPZMUQOQVBUNVBUKULUMPZPZUNVAVCUKBCDEIHJRUBUKULUMUCZ
          STAUPDFBCEUEKUDUFUOURDLZUSDLZPZMUTOQVHUNVHUKULPZUKUMPZPZUNVFVIVGVJABD
          FGKJRACDFIKJRUGUNVDVKVEUKULUMUHUISTURUSDEACFUEHUDUFUJ $.
          $( [24-Aug-1995] $)
      $}
    $}

    ${
      ndmovord.3 $e |- A e. _V $.
      ndmovord.4 $e |- R C_ ( S X. S ) $.
      ndmovord.5 $e |- -. (/) e. S $.
      ndmovord.6 $e |- ( ( A e. S /\ B e. S /\ C e. S ) ->
                     ( A R B <-> ( C F A ) R ( C F B ) ) ) $.
      $( Elimination of redundant antecedents in an ordering law. $)
      ndmovord $p |- ( C e. S -> ( A R B <-> ( C F A ) R ( C F B ) ) ) $=
        ( wcel wa wbr co wb brel ndmovrcl simprd wi 3expia anim12i syl pm5.21ni
        wn a1d pm2.61i ) AEMZBEMZNZCEMZABDOZCAFPZCBFPZDOZQZUAUIUJULUQLUBUKUFUQU
        LUMUKUPABEEDJRUPUNEMZUOEMZNUKUNUOEEDJRURUIUSUJURULUICAEFIHKSTUSULUJCBEF
        GHKSTUCUDUEUGUH $.
        $( [7-Mar-1996] $)
    $}
  $}

  ${
    ndmovordi.3 $e |- A e. _V $.
    ndmovordi.2 $e |- dom F = ( S X. S ) $.
    ndmovordi.4 $e |- R C_ ( S X. S ) $.
    ndmovordi.5 $e |- -. (/) e. S $.
    ndmovordi.6 $e |- ( C e. S -> ( A R B <-> ( C F A ) R ( C F B ) ) ) $.
    $( Elimination of redundant antecedent in an ordering law. $)
    ndmovordi $p |- ( ( C F A ) R ( C F B ) -> A R B ) $=
      ( wcel co wbr brel simpld ndmovrcl syl biimprd mpcom ) CELZCAFMZCBFMZDNZA
      BDNZUDUBELZUAUDUFUCELUBUCEEDIOPUFUAAELCAEFGHJQPRUAUEUDKST $.
      $( [25-Jun-1998] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y D $.  $d x y E $.  $d x y ph $.
    $d x y F $.
    caovcld.1 $e |- ( ( ph /\ ( x e. C /\ y e. D ) ) -> ( x F y ) e. E ) $.
    $( Convert an operation closure law to class notation.  (Contributed by
       Mario Carneiro, 26-May-2014.) $)
    caovcld $p |- ( ( ph /\ ( A e. C /\ B e. D ) ) -> ( A F B ) e. E ) $=
      ( cv co wcel wral wa ralrimivva wceq oveq1 eleq1d oveq2 rcla42v mpan9 ) A
      BKZCKZILZHMZCGNBFNDFMEGMODEILZHMZAUFBCFGJPUFUHDUDILZHMBCDEFGUCDQUEUIHUCDU
      DIRSUDEQUIUGHUDEDITSUAUB $.
      $( [26-May-2014] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y F $.  $d x y ph $.  $d x y S $.
    caovcl.1 $e |- ( ( x e. S /\ y e. S ) -> ( x F y ) e. S ) $.
    $( Convert an operation closure law to class notation. $)
    caovcl $p |- ( ( A e. S /\ B e. S ) -> ( A F B ) e. S ) $=
      ( wtru wcel wa co tru cv adantl caovcld mpan ) HCEIDEIJCDFKEILHABCDEEEFAM
      ZEIBMZEIJQRFKEIHGNOP $.
      $( [26-May-2014] $) $( [4-Aug-1995] $)
  $}

  ${
    $( General laws for commutative, associative, distributive operations. $)
    $d x y z F $.  $d x y z S $.  $d x y z A $.  $d x y z B $.  $d x y z C $.
    $d x y z D $.  $d x y z G $.  $d x y z R $.  $d x y z ph $.
    ${
      caovcomg.1 $e |- ( ( ph /\ ( x e. S /\ y e. S ) ) ->
                          ( x F y ) = ( y F x ) ) $.
      $( Convert an operation commutative law to class notation.  (Revised by
         Mario Carneiro, 1-Jun-2013.) $)
      caovcomg $p |- ( ( ph /\ ( A e. S /\ B e. S ) ) ->
                        ( A F B ) = ( B F A ) ) $=
        ( cv co wceq wral wcel wa ralrimivva oveq1 oveq2 eqeq12d rcla42v mpan9
        ) ABIZCIZGJZUBUAGJZKZCFLBFLDFMEFMNDEGJZEDGJZKZAUEBCFFHOUEUHDUBGJZUBDGJZ
        KBCDEFFUADKUCUIUDUJUADUBGPUADUBGQRUBEKUIUFUJUGUBEDGQUBEDGPRST $.
        $( [1-Jun-2013] $)
    $}

    ${
      caovcom.1 $e |- A e. _V $.
      caovcom.2 $e |- B e. _V $.
      caovcom.3 $e |- ( x F y ) = ( y F x ) $.
      $( Convert an operation commutative law to class notation.  (Revised by
         Mario Carneiro, 1-Jun-2013.) $)
      caovcom $p |- ( A F B ) = ( B F A ) $=
        ( cvv wcel wa co wceq pm3.2i cv a1i caovcomg mp2an ) CIJZSDIJZKCDELDCEL
        MFSTFGNSABCDIEAOZBOZELUBUAELMSUAIJUBIJKKHPQR $.
        $( [1-Jun-2013] $) $( [26-Aug-1995] $)
    $}

    ${
      caovassg.1 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ z e. S ) ) ->
        ( ( x F y ) F z ) = ( x F ( y F z ) ) ) $.
      $( Convert an operation associative law to class notation.  (Revised by
         Mario Carneiro, 1-Jun-2013.) $)
      caovassg $p |- ( ( ph /\ ( A e. S /\ B e. S /\ C e. S ) ) ->
          ( ( A F B ) F C ) = ( A F ( B F C ) ) ) $=
        ( cv co wceq wral wcel oveq1 oveq1d eqeq12d oveq2 oveq2d rcla43v mpan9
        w3a ralrimivvva ) ABKZCKZILZDKZILZUEUFUHILZILZMZDHNCHNBHNEHOFHOGHOUCEFI
        LZGILZEFGILZILZMZAULBCDHHHJUDULUQEUFILZUHILZEUJILZMUMUHILZEFUHILZILZMBC
        DEFGHHHUEEMZUIUSUKUTVDUGURUHIUEEUFIPQUEEUJIPRUFFMZUSVAUTVCVEURUMUHIUFFE
        ISQVEUJVBEIUFFUHIPTRUHGMZVAUNVCUPUHGUMISVFVBUOEIUHGFISTRUAUB $.
        $( [26-May-2014] $) $( [1-Jun-2013] $)
    $}

    ${
      caovass.1 $e |- A e. _V $.
      caovass.2 $e |- B e. _V $.
      caovass.3 $e |- C e. _V $.
      caovass.4 $e |- ( ( x F y ) F z ) = ( x F ( y F z ) ) $.
      $( Convert an operation associative law to class notation.  (Revised by
         Mario Carneiro, 1-Jun-2013.) $)
      caovass $p |- ( ( A F B ) F C ) = ( A F ( B F C ) ) $=
        ( cvv wcel co wceq wtru w3a tru cv wa a1i caovassg mpan mp3an ) DLMZELM
        ZFLMZDEGNFGNDEFGNGNOZHIJPUEUFUGQUHRPABCDEFLGASZBSZGNCSZGNUIUJUKGNGNOPUI
        LMUJLMUKLMQTKUAUBUCUD $.
        $( [26-May-2014] $) $( [26-Aug-1995] $)
    $}

    ${
      caovcan.1 $e |- C e. _V $.
      caovcan.2 $e |- ( ( x e. S /\ y e. S ) ->
                   ( ( x F y ) = ( x F z ) -> y = z ) ) $.
      $( Convert an operation cancellation law to class notation. $)
      caovcan $p |- ( ( A e. S /\ B e. S ) ->
                   ( ( A F B ) = ( A F C ) -> B = C ) ) $=
        ( cv co wceq wi oveq1 eqeq12d imbi1d oveq2 imbi12d wcel eqeq1d eqeq1 wa
        eqeq2d eqeq2 imbi2d vtocl vtocl2ga ) AKZBKZHLZUIFHLZMZUJFMZNZDUJHLZDFHL
        ZMZUNNDEHLZUQMZEFMZNABDEGGUIDMZUMURUNVBUKUPULUQUIDUJHOUIDFHOPQUJEMZURUT
        UNVAVCUPUSUQUJEDHRUAUJEFUBSUIGTUJGTUCZUKUICKZHLZMZUJVEMZNZNVDUONCFIVEFM
        ZVIUOVDVJVGUMVHUNVJVFULUKVEFUIHRUDVEFUJUESUFJUGUH $.
        $( [20-Aug-1995] $)
    $}

    ${
      caovord.1 $e |- A e. _V $.
      caovord.2 $e |- B e. _V $.
      caovord.3 $e |- ( z e. S -> ( x R y <-> ( z F x ) R ( z F y ) ) ) $.
      $( Convert an operation ordering law to class notation. $)
      caovord $p |- ( C e. S -> ( A R B <-> ( C F A ) R ( C F B ) ) ) $=
        ( wbr cv co wb wceq oveq1 wi oveq2 breq12d bibi2d wcel wa breq1 bibi12d
        breq1d breq2 breq2d sylan9bb imbi2d vtocl2 vtoclga ) DEGMZCNZDIOZUOEIOZ
        GMZPZUNFDIOZFEIOZGMZPCFHUOFQZURVBUNVCUPUTUQVAGUOFDIRUOFEIRUAUBUOHUCZANZ
        BNZGMZUOVEIOZUOVFIOZGMZPZSVDUSSABDEJKVEDQZVFEQZUDVKUSVDVLVKDVFGMZUPVIGM
        ZPVMUSVLVGVNVJVOVEDVFGUEVLVHUPVIGVEDUOITUGUFVMVNUNVOURVFEDGUHVMVIUQUPGV
        FEUOITUIUFUJUKLULUM $.
        $( [19-Feb-1996] $)

      $( (We don't bother to eliminate this redundant hypothesis.) $)
      caovord2.3 $e |- C e. _V $.
      caovord2.com $e |- ( x F y ) = ( y F x ) $.
      $( Operation ordering law with commuted arguments. $)
      caovord2 $p |- ( C e. S -> ( A R B <-> ( A F C ) R ( B F C ) ) ) $=
        ( wcel wbr co caovord caovcom breq12i syl6bb ) FHODEGPFDIQZFEIQZGPDFIQZ
        EFIQZGPABCDEFGHIJKLRUBUDUCUEGABFDIMJNSABFEIMKNSTUA $.
        $( [27-Feb-1996] $)

      $( (We don't bother to eliminate redundant hypotheses.) $)
      caovord3.4 $e |- D e. _V $.
      $( Ordering law. $)
      caovord3 $p |- ( ( ( B e. S /\ C e. S ) /\
                    ( A F B ) = ( C F D ) ) -> ( A R C <-> D R B ) ) $=
        ( wcel wa co wbr wceq wb caovord2 adantr breq1 sylan9bb ad2antlr bitr4d
        caovord ) EIQZFIQZRZDEJSZFGJSZUAZRDFHTZUNFEJSZHTZGEHTZULUPUMUQHTZUOURUJ
        UPUTUBUKABCDFEHIJKNMLOUCUDUMUNUQHUEUFUKUSURUBUJUOABCGEFHIJPLMUIUGUH $.
        $( [29-Feb-1996] $)
    $}

    ${
      caovdig.1 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ z e. S ) ) ->
        ( x G ( y F z ) ) = ( ( x G y ) F ( x G z ) ) ) $.
      $( Convert an operation distributive law to class notation.  (Revised by
         Mario Carneiro, 26-Jul-2014.) $)
      caovdig $p |- ( ( ph /\ ( A e. S /\ B e. S /\ C e. S ) ) ->
        ( A G ( B F C ) ) = ( ( A G B ) F ( A G C ) ) ) $=
        ( cv co wceq wral wcel oveq1 eqeq12d oveq2d oveq2 w3a ralrimivvva mpan9
        oveq12d oveq1d rcla43v ) ABLZCLZDLZIMZJMZUGUHJMZUGUIJMZIMZNZDHOCHOBHOEH
        PFHPGHPUAEFGIMZJMZEFJMZEGJMZIMZNZAUOBCDHHHKUBUOVAEUJJMZEUHJMZEUIJMZIMZN
        EFUIIMZJMZURVDIMZNBCDEFGHHHUGENZUKVBUNVEUGEUJJQVIULVCUMVDIUGEUHJQUGEUIJ
        QUDRUHFNZVBVGVEVHVJUJVFEJUHFUIIQSVJVCURVDIUHFEJTUERUIGNZVGUQVHUTVKVFUPE
        JUIGFITSVKVDUSURIUIGEJTSRUFUC $.
        $( [28-Jun-2013] $) $( [25-Aug-1995] $)
    $}

    ${
      caovdirg.1 $e |- ( ( ph /\ ( x e. S /\ y e. S /\ z e. S ) ) ->
        ( ( x F y ) G z ) = ( ( x G z ) F ( y G z ) ) ) $.
      $( Convert an operation reverse distributive law to class notation. $)
      caovdirg $p |- ( ( ph /\ ( A e. S /\ B e. S /\ C e. S ) ) ->
        ( ( A F B ) G C ) = ( ( A G C ) F ( B G C ) ) ) $=
        ( cv co wceq wral wcel oveq1 oveq1d eqeq12d oveq2 w3a ralrimivvva mpan9
        oveq2d oveq12d rcla43v ) ABLZCLZIMZDLZJMZUGUJJMZUHUJJMZIMZNZDHOCHOBHOEH
        PFHPGHPUAEFIMZGJMZEGJMZFGJMZIMZNZAUOBCDHHHKUBUOVAEUHIMZUJJMZEUJJMZUMIMZ
        NUPUJJMZVDFUJJMZIMZNBCDEFGHHHUGENZUKVCUNVEVIUIVBUJJUGEUHIQRVIULVDUMIUGE
        UJJQRSUHFNZVCVFVEVHVJVBUPUJJUHFEITRVJUMVGVDIUHFUJJQUDSUJGNZVFUQVHUTUJGU
        PJTVKVDURVGUSIUJGEJTUJGFJTUESUFUC $.
        $( [19-Oct-2014] $)
    $}

    ${
      caovdi.1 $e |- A e. _V $.
      caovdi.2 $e |- B e. _V $.
      caovdi.3 $e |- C e. _V $.
      caovdi.4 $e |- ( x G ( y F z ) ) = ( ( x G y ) F ( x G z ) ) $.
      $( Convert an operation distributive law to class notation.  (Revised by
         Mario Carneiro, 28-Jun-2013.) $)
      caovdi $p |- ( A G ( B F C ) ) = ( ( A G B ) F ( A G C ) ) $=
        ( cvv wcel co wceq wtru w3a tru cv wa a1i caovdig mpan mp3an ) DMNZEMNZ
        FMNZDEFGOHODEHODFHOGOPZIJKQUFUGUHRUISQABCDEFMGHATZBTZCTZGOHOUJUKHOUJULH
        OGOPQUJMNUKMNULMNRUALUBUCUDUE $.
        $( [28-Jun-2013] $) $( [25-Aug-1995] $)
    $}

    ${
      caopr.1 $e |- A e. _V $.
      caopr.2 $e |- B e. _V $.
      caopr.3 $e |- C e. _V $.
      caopr.com $e |- ( x F y ) = ( y F x ) $.
      caopr.ass $e |- ( ( x F y ) F z ) = ( x F ( y F z ) ) $.
      $( Rearrange arguments in a commutative, associative operation. $)
      caov32 $p |- ( ( A F B ) F C ) = ( ( A F C ) F B ) $=
        ( co caovcom oveq2i caovass 3eqtr4i ) DEFGMZGMDFEGMZGMDEGMFGMDFGMEGMRSD
        GABEFGIJKNOABCDEFGHIJLPABCDFEGHJILPQ $.
        $( [26-Aug-1995] $)

      $( Rearrange arguments in a commutative, associative operation. $)
      caov12 $p |- ( A F ( B F C ) ) = ( B F ( A F C ) ) $=
        ( co caovcom oveq1i caovass 3eqtr3i ) DEGMZFGMEDGMZFGMDEFGMGMEDFGMGMRSF
        GABDEGHIKNOABCDEFGHIJLPABCEDFGIHJLPQ $.
        $( [26-Aug-1995] $)

      $( Rearrange arguments in a commutative, associative operation. $)
      caov31 $p |- ( ( A F B ) F C ) = ( ( C F B ) F A ) $=
        ( co caovass caov12 eqtri caov32 eqtr3i 3eqtr4i ) DFGMEGMZFDEGMZGMZUAFG
        MFEGMZDGMZTDUCGMUBABCDFEGHJILNABCDFEGHJIKLOPABCDEFGHIJKLQFDGMEGMUDUBABC
        FDEGJHIKLQABCFDEGJHILNRS $.
        $( [26-Aug-1995] $)

      $( Rearrange arguments in a commutative, associative operation. $)
      caov13 $p |- ( A F ( B F C ) ) = ( C F ( B F A ) ) $=
        ( co caov31 caovass 3eqtr3i ) DEGMFGMFEGMDGMDEFGMGMFEDGMGMABCDEFGHIJKLN
        ABCDEFGHIJLOABCFEDGJIHLOP $.
        $( [26-Aug-1995] $)

      ${
        caopr.4 $e |- D e. _V $.
        $( Rearrange arguments in a commutative, associative operation. $)
        caov4 $p |- ( ( A F B ) F ( C F D ) ) = ( ( A F C ) F ( B F D ) ) $=
          ( co caov12 oveq2i ovex caovass 3eqtr4i ) DEFGHOZHOZHODFEGHOZHOZHODEH
          OUAHODFHOUCHOUBUDDHABCEFGHJKNLMPQABCDEUAHIJFGHRMSABCDFUCHIKEGHRMST $.
          $( [26-Aug-1995] $)

        $( Rearrange arguments in a commutative, associative operation. $)
        caov411 $p |- ( ( A F B ) F ( C F D ) ) = ( ( C F B ) F ( A F D ) ) $=
          ( co caov31 oveq1i ovex caovass 3eqtr3i ) DEHOZFHOZGHOFEHOZDHOZGHOUAF
          GHOHOUCDGHOHOUBUDGHABCDEFHIJKLMPQABCUAFGHDEHRKNMSABCUCDGHFEHRINMST $.
          $( [26-Aug-1995] $)

        $( Rearrange arguments in a commutative, associative operation. $)
        caov42 $p |- ( ( A F B ) F ( C F D ) ) =
                        ( ( A F C ) F ( D F B ) ) $=
          ( co caov4 caovcom oveq2i eqtri ) DEHOFGHOHODFHOZEGHOZHOTGEHOZHOABCDE
          FGHIJKLMNPUAUBTHABEGHJNLQRS $.
          $( [26-Aug-1995] $)
      $}
    $}

    ${
      caoprd.1 $e |- A e. _V $.
      caoprd.2 $e |- B e. _V $.
      caoprd.3 $e |- C e. _V $.
      caoprd.com $e |- ( x G y ) = ( y G x ) $.
      caoprd.distr $e |- ( x G ( y F z ) ) = ( ( x G y ) F ( x G z ) ) $.
      $( Reverse distributive law. $)
      caovdir $p |- ( ( A F B ) G C ) = ( ( A G C ) F ( B G C ) ) $=
        ( co caovdi ovex caovcom oveq12i 3eqtr3i ) FDEGNZHNFDHNZFEHNZGNTFHNDFHN
        ZEFHNZGNABCFDEGHKIJMOABFTHKDEGPLQUAUCUBUDGABFDHKILQABFEHKJLQRS $.
        $( [26-Aug-1995] $)

      ${
        $d x y z H $.  $d x y z R $.
        caoprdl.4 $e |- D e. _V $.
        caoprdl.5 $e |- H e. _V $.
        caoprdl.ass $e |- ( ( x G y ) G z ) = ( x G ( y G z ) ) $.
        $( Lemma used by real number construction. $)
        caovdilem $p |- ( ( ( A G C ) F ( B G D ) ) G H ) =
                         ( ( A G ( C G H ) ) F ( B G ( D G H ) ) ) $=
          ( co ovex caovdir caovass oveq12i eqtri ) DFISZEGISZHSJISUEJISZUFJISZ
          HSDFJISISZEGJISISZHSABCUEUFJHIDFITEGITQNOUAUGUIUHUJHABCDFJIKMQRUBABCE
          GJILPQRUBUCUD $.
          $( [26-Aug-1995] $)

        ${
          caoprdl2.6 $e |- R e. _V $.
          caoprdl2.com $e |- ( x F y ) = ( y F x ) $.
          caoprdl2.ass $e |- ( ( x F y ) F z ) = ( x F ( y F z ) ) $.
          $( Lemma used in real number construction. $)
          caovlem2 $p |- ( ( ( ( A G C ) F ( B G D ) ) G H ) F
                            ( ( ( A G D ) F ( B G C ) ) G R ) ) =
   ( ( A G ( ( C G H ) F ( D G R ) ) ) F ( B G ( ( C G R ) F ( D G H ) ) ) ) $=
            ( co ovex caov42 caovdilem oveq12i caovdi 3eqtr4i ) DFKJUCZJUCZEGKJ
            UCZJUCZIUCZDGHJUCZJUCZEFHJUCZJUCZIUCZIUCUKUPIUCZURUMIUCZIUCDFJUCEGJ
            UCIUCKJUCZDGJUCEFJUCIUCHJUCZIUCDUJUOIUCJUCZEUQULIUCJUCZIUCABCUKUMUP
            URIDUJJUDEULJUDDUOJUDUAUBEUQJUDUEVBUNVCUSIABCDEFGIJKLMNOPQRSUFABCDE
            GFIJHLMQOPNTSUFUGVDUTVEVAIABCDUJUOIJLFKJUDGHJUDPUHABCEUQULIJMFHJUDG
            KJUDPUHUGUI $.
            $( [26-Aug-1995] $)
        $}
      $}
    $}

    ${
      $d x y z w v $.  $d w v S $.  $d w v A $.  $d w v B $.  $d w v F $.
      caovmo.1 $e |- A e. _V $.
      $( Identity element. $)
      caovmo.2 $e |- B e. S $.
      caovmo.dom $e |- dom F = ( S X. S ) $.
      caovmo.3 $e |- -. (/) e. S $.
      caovmo.com $e |- ( x F y ) = ( y F x ) $.
      caovmo.ass $e |- ( ( x F y ) F z ) = ( x F ( y F z ) ) $.
      caovmo.id $e |- ( x e. S -> ( x F B ) = x ) $.
      $( Uniqueness of inverse element in commutative, associative operation
         with identity.  Remark in proof of Proposition 9-2.4 of [Gleason]
         p. 119. $)
      caovmo $p |- E* w ( A F w ) = B $=
        ( vv wcel co wceq wa cv wmo wi wal eleq1 eqeq1d anbi12d mo4 vex caovass
        oveq2 caov12 eqtri oveq1 id eqeq12d vtoclga sylan9eqr ad2ant2rl caovcom
        syl5eq elexi sylan9eq eqtr3d ax-gen mpgbir mpbiri ndmovrcl simprd ancri
        ad2ant2lr syl immoi ax-mp ) DUAZGQZEVOHRZFSZTZDUBZVRDUBVTVSPUAZGQZEWAHR
        ZFSZTZTZVOWASZUCZPUDDVSWEDPWGVPWBVRWDVOWAGUEWGVQWCFVOWAEHUKUFUGUHWHPWFV
        QWAHRZVOWAVPWDWIVOSVRWBVPWDTWIVOWCHRZVOWIEVOWAHRHRWJABCEVOWAHIDUIZPUIZN
        UJABCEVOWAHIWKWLMNULUMWDVPWJVOFHRZVOWCFVOHUKAUAZFHRZWNSZWMVOSAVOGWNVOSZ
        WOWMWNVOWNVOFHUNWQUOUPOUQURVAUSVRWBWIWASVPWDVRWBWIFWAHRZWAVQFWAHUNWBWRW
        AFHRZWAABFWAHFGJVBWLMUTWPWSWASAWAGWNWASZWOWSWNWAWNWAFHUNWTUOUPOUQVAVCVK
        VDVEVFVRVSDVRVPVRVQGQZVPVRXAFGQJVQFGUEVGXAEGQVPEVOGHWKKLVHVIVLVJVMVN $.
        $( [4-Mar-1996] $)
    $}
  $}


  $( Eliminate antecedent for operator values: domain and range can be taken to
     be a set. $)
  elovex12 $p |- ( A e. ( B F C ) -> ( B e. _V /\ C e. _V ) ) $=
    ( co wcel c0 wne cvv wa ne0i cop wceq opexb cfv df-ov fvprc syl5eq sylnbir
    wn necon1ai syl ) ABCDEZFUCGHBIFCIFJZUCAKUDUCGUDBCLZIFZUCGMBCNUFTUCUEDOGBCD
    PUEDQRSUAUB $.
    $( [25-Feb-2015] $)


  $( Eliminate antecedent for operator values: domain can be taken to be a
     set. $)
  elovex1 $p |- ( A e. ( B F C ) -> B e. _V ) $=
    ( co wcel cvv elovex12 simpld ) ABCDEFBGFCGFABCDHI $.
    $( [25-Feb-2015] $)

  $( Eliminate antecedent for operator values: range can be taken to be a
     set. $)
  elovex2 $p |- ( A e. ( B F C ) -> C e. _V ) $=
    ( co wcel cvv elovex12 simprd ) ABCDEFBGFCGFABCDHI $.
    $( [25-Feb-2015] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        "Maps to" notation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c |-> $.  $( Maps-to symbol $)

  $( Extend the definition of a class to include maps-to notation for defining
     a function via a rule. $)
  cmpt $a class ( x e. A |-> B ) $.

  $( Extend the definition of a class to include maps-to notation for defining
     an operation via a rule. $)
  cmpt2 $a class ( x e. A , y e. B |-> C ) $.

  ${
    $d x y $.  $d y A $.  $d y B $.
    $( Define maps-to notation for defining a function via a rule.  Read as
       "the function defined by the map from ` x ` (in ` A ` ) to
       ` B ( x ) ` ."  The class expression ` B ` is the value of the function
       at ` x ` and normally contains the variable ` x ` .  Similar to the
       definition of mapping in [ChoquetDD] p. 2. $)
    df-mpt $a |- ( x e. A |-> B ) =
                    { <. x , y >. | ( x e. A /\ y = B ) } $.
  $}

  ${
    $d x z $.  $d y z $.  $d z A $.  $d z B $.  $d z C $.
    $( Define maps-to notation for defining an operation via a rule.  Read as
       "the operation defined by the map from ` x , y ` (in ` A X. B ` ) to
       ` B ( x , y ) ` ."  An extension of ~ df-mpt for two arguments. $)
    df-mpt2 $a |- ( x e. A , y e. B |-> C ) =
             { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B ) /\ z = C ) } $.
  $}

  ${
    $d x y ph $.  $d y A $.  $d y B $.  $d y C $.  $d y D $.
    $( An equality theorem for the maps to notation.  (Contributed by Mario
       Carneiro, 16-Dec-2013.) $)
    mpteq12f $p |- ( ( A. x A = C /\ A. x e. A B = D ) ->
                    ( x e. A |-> B ) = ( x e. C |-> D ) ) $=
      ( vy wceq wal wral wa cv wcel copab cmpt hba1 hbra1 hban ax-17 ra4 df-mpt
      imp eqeq2d pm5.32da ax-4 eleq2d anbi1d sylan9bbr opabbid 3eqtr4g ) BDGZAH
      ZCEGZABIZJZAKZBLZFKZCGZJZAFMUODLZUQEGZJZAFMABCNADENUNUSVBAFUKUMAUJAOULABP
      QUNFRUMUSUPVAJUKVBUMUPURVAUMUPJCEUQUMUPULULABSUAUBUCUKUPUTVAUKBDUOUJAUDUE
      UFUGUHAFBCTAFDETUI $.
      $( [16-Dec-2013] $)

    mpteq12dv.1 $e |- ( ph -> A = C ) $.
    mpteq12dv.2 $e |- ( ph -> B = D ) $.
    $( An equality inference for the maps to notation. $)
    mpteq12dv $p |- ( ph -> ( x e. A |-> B ) = ( x e. C |-> D ) ) $=
      ( wceq wal wral cmpt alrimiv ralrimivw mpteq12f syl2anc ) ACEIZBJDFIZBCKB
      CDLBEFLIAQBGMARBCHNBCDEFOP $.
      $( [16-Dec-2013] $) $( [24-Aug-2011] $)
  $}

  ${
    $d x A $.  $d x C $.
    $( An equality theorem for the maps to notation. $)
    mpteq12 $p |- ( ( A = C /\ A. x e. A B = D ) ->
                    ( x e. A |-> B ) = ( x e. C |-> D ) ) $=
      ( wceq wal wral cmpt ax-17 mpteq12f sylan ) BDFZMAGCEFABHABCIADEIFMAJABCD
      EKL $.
      $( [16-Dec-2013] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( An equality theorem for the maps to notation.  (Contributed by Mario
       Carneiro, 16-Dec-2013.) $)
    mpteq1 $p |- ( A = B -> ( x e. A |-> C ) = ( x e. B |-> C ) ) $=
      ( wceq wral cmpt cv wcel eqidd rgen mpteq12 mpan2 ) BCEDDEZABFABDGACDGENA
      BAHBIDJKABDCDLM $.
      $( [16-Dec-2013] $)
  $}

  ${
    mpteq2ia.1 $e |- ( x e. A -> B = C ) $.
    $( An equality inference for the maps to notation.  (Contributed by Mario
       Carneiro, 16-Dec-2013.) $)
    mpteq2ia $p |- ( x e. A |-> B ) = ( x e. A |-> C ) $=
      ( wceq wal wral cmpt eqid ax-gen rgen mpteq12f mp2an ) BBFZAGCDFZABHABCIA
      BDIFOABJKPABELABCBDMN $.
      $( [16-Dec-2013] $)
  $}

  ${
    mpteq2i.1 $e |- B = C $.
    $( An equality inference for the maps to notation.  (Contributed by Mario
       Carneiro, 16-Dec-2013.) $)
    mpteq2i $p |- ( x e. A |-> B ) = ( x e. A |-> C ) $=
      ( wceq cv wcel a1i mpteq2ia ) ABCDCDFAGBHEIJ $.
      $( [16-Dec-2013] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z D $.  $d x y z E $.  $d z C $.
    $d z F $.
    $( An equality theorem for the maps to notation.  (Contributed by Mario
       Carneiro, 16-Dec-2013.) $)
    mpt2eq123 $p |- ( ( A = D /\ B = E /\ A. x e. A A. y e. B C = F ) ->
                 ( x e. A , y e. B |-> C ) = ( x e. D , y e. E |-> F ) ) $=
      ( vz wceq wral cv wcel wa copab2 cmpt2 ax-17 hb3an eleq2 df-mpt2 hbra1 wb
      w3a hbra2 ra42 eqeq2d pm5.32da bi2anan9 anbi1d sylan9bbr oprabbid 3eqtr4g
      imp 3impa ) CFJZDGJZEHJZBDKZACKZUCZALZCMZBLZDMZNZILZEJZNZABIOVAFMZVCGMZNZ
      VFHJZNZABIOABCDEPABFGHPUTVHVMABIUOUPUSAUOAQUPAQURACUARUOUPUSBUOBQUPBQUQAB
      CDUDRUTIQUOUPUSVHVMUBUSVHVEVLNUOUPNZVMUSVEVGVLUSVENEHVFUSVEUQUQABCDUEUMUF
      UGVNVEVKVLUOVBVIUPVDVJCFVASDGVCSUHUIUJUNUKABICDETABIFGHTUL $.
      $( [16-Dec-2013] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.
    $( An equality theorem for the maps to notation.  (Contributed by Mario
       Carneiro, 16-Dec-2013.) $)
    mpt2eq12 $p |- ( ( A = C /\ B = D ) ->
                 ( x e. A , y e. B |-> E ) = ( x e. C , y e. D |-> E ) ) $=
      ( wceq wral cmpt2 cv wcel wa eqidd rgen2 mpt2eq123 mp3an3 ) CEHDFHGGHZBDI
      ACIABCDGJABEFGJHRABCDAKCLBKDLMGNOABCDGEFGPQ $.
      $( [16-Dec-2013] $)
  $}

  ${
    $d z A $.  $d z B $.  $d z C $.  $d z D $.  $d z E $.  $d z F $.
    $d x z ph $.  $d y z ph $.
    mpt2eq123dv.1 $e |- ( ph -> A = D ) $.
    mpt2eq123dv.2 $e |- ( ph -> B = E ) $.
    mpt2eq123dv.3 $e |- ( ph -> C = F ) $.
    $( An equality deduction for the maps to notation. $)
    mpt2eq123dv $p |- ( ph
            -> ( x e. A , y e. B |-> C ) = ( x e. D , y e. E |-> F ) ) $=
      ( vz cv wcel wa wceq copab2 cmpt2 eleq2d anbi12d eqeq2d oprabbidv df-mpt2
      3eqtr4g ) ABNZDOZCNZEOZPZMNZFQZPZBCMRUFGOZUHHOZPZUKIQZPZBCMRBCDEFSBCGHISA
      UMURBCMAUJUPULUQAUGUNUIUOADGUFJTAEHUHKTUAAFIUKLUBUAUCBCMDEFUDBCMGHIUDUE
      $.
      $( [12-Sep-2011] $)
  $}

  ${
    mpt2eq123i.1 $e |- A = D $.
    mpt2eq123i.2 $e |- B = E $.
    mpt2eq123i.3 $e |- C = F $.
    $( An equality inference for the maps to notation. $)
    mpt2eq123i $p |- ( x e. A , y e. B |-> C ) = ( x e. D , y e. E |-> F ) $=
      ( cmpt2 wceq wtru a1i mpt2eq123dv trud ) ABCDELABFGHLMNABCDEFGHCFMNIODGMN
      JOEHMNKOPQ $.
      $( [15-Jul-2013] $)
  $}

  ${
    mpteq12i.1 $e |- A = C $.
    mpteq12i.2 $e |- B = D $.
    $( An equality inference for the maps to notation.  (Contributed by Scott
       Fenton, 27-Oct-2010.) $)
    mpteq12i $p |- ( x e. A |-> B ) = ( x e. C |-> D ) $=
      ( cmpt wceq wtru a1i mpteq12dv trud ) ABCHADEHIJABCDEBDIJFKCEIJGKLM $.
      $( [16-Dec-2013] $) $( [27-Oct-2010] $)
  $}

  ${
    mpteq2da.1 $e |- ( ph -> A. x ph ) $.
    mpteq2da.2 $e |- ( ( ph /\ x e. A ) -> B = C ) $.
    $( Slightly more general equality inference for the maps to notation.
       (Contributed by FL, 14-Sep-2013.) $)
    mpteq2da $p |- ( ph -> ( x e. A |-> B ) = ( x e. A |-> C ) ) $=
      ( wceq wal wral cmpt eqid ax-gen cv wcel ex ralrimi mpteq12f sylancr ) AC
      CHZBIDEHZBCJBCDKBCEKHTBCLMAUABCFABNCOUAGPQBCDCERS $.
      $( [16-Dec-2013] $) $( [14-Sep-2013] $)
  $}

  ${
    $d x ph $.
    mpteq2dva.1 $e |- ( ( ph /\ x e. A ) -> B = C ) $.
    $( Slightly more general equality inference for the maps to notation.
       (Contributed by Scott Fenton, 25-Apr-2012.) $)
    mpteq2dva $p |- ( ph -> ( x e. A |-> B ) = ( x e. A |-> C ) ) $=
      ( ax-17 mpteq2da ) ABCDEABGFH $.
      $( [25-Apr-2012] $)
  $}

  ${
    $d x ph $.
    mpteq2dv.1 $e |- ( ph -> B = C ) $.
    $( An equality inference for the maps to notation.  (Contributed by Mario
       Carneiro, 23-Aug-2014.) $)
    mpteq2dv $p |- ( ph -> ( x e. A |-> B ) = ( x e. A |-> C ) ) $=
      ( wceq cv wcel adantr mpteq2dva ) ABCDEADEGBHCIFJK $.
      $( [23-Aug-2014] $)
  $}

  ${
    $d x z ph $.  $d y z ph $.  $d z A $.  $d z B $.  $d z C $.  $d z D $.
    mpt2eq3dva.1 $e |- ( ( ph /\ x e. A /\ y e. B ) -> C = D ) $.
    $( Slightly more general equality inference for the maps to notation. $)
    mpt2eq3dva $p |- ( ph -> ( x e. A , y e. B |-> C )
              = ( x e. A , y e. B |-> D ) ) $=
      ( vz cv wcel wa wceq copab2 cmpt2 3expb eqeq2d pm5.32da oprabbidv df-mpt2
      3eqtr4g ) ABJDKZCJEKZLZIJZFMZLZBCINUDUEGMZLZBCINBCDEFOBCDEGOAUGUIBCIAUDUF
      UHAUDLFGUEAUBUCFGMHPQRSBCIDEFTBCIDEGTUA $.
      $( [16-Dec-2013] $) $( [17-Oct-2013] $)
  $}

  ${
    mpt2eq3ia.1 $e |- ( ( x e. A /\ y e. B ) -> C = D ) $.
    $( An equality inference for the maps to notation.  (Contributed by Mario
       Carneiro, 16-Dec-2013.) $)
    mpt2eq3ia $p |- ( x e. A , y e. B |-> C ) = ( x e. A , y e. B |-> D ) $=
      ( cmpt2 wceq wtru cv wcel 3adant1 mpt2eq3dva trud ) ABCDEHABCDFHIJABCDEFA
      KCLBKDLEFIJGMNO $.
      $( [16-Dec-2013] $)
  $}

  ${
    $d w z A $.  $d w z B $.  $d w x y $.  $d w x z $.
    hbmpt.1 $e |- ( z e. A -> A. x z e. A ) $.
    hbmpt.2 $e |- ( z e. B -> A. x z e. B ) $.
    $( Bound-variable hypothesis builder for the maps-to notation. $)
    hbmpt $p |- ( z e. ( y e. A |-> B ) -> A. x z e. ( y e. A |-> B ) ) $=
      ( vw cmpt cv wcel wceq wa copab df-mpt hblem hbeleq hban hbopab hbxfreq )
      ACBDEIBJDKZHJELZMZBHNBHDEOUCBHACUAUBAACBDFPAHEACHEGPQRST $.
      $( [20-Feb-2013] $)
  $}

  ${
    $d A z $.  $d B z $.  $d x y $.  $d x z $.
    $( Bound-variable hypothesis builder for the maps-to notation.
       (Contributed by FL, 17-Feb-2008.) $)
    hbmpt1 $p |- ( y e. ( x e. A |-> B ) -> A. x y e. ( x e. A |-> B ) ) $=
      ( vz cmpt cv wcel wceq wa copab df-mpt hbopab1 hbxfreq ) ABACDFAGCHEGDIJZ
      AEKAECDLOAEBMN $.
      $( [17-Feb-2008] $)
  $}

  ${
    $d w A $.  $d w B $.  $d w C $.  $d w x $.  $d w y $.  $d x z $.
    $( Bound-variable hypothesis builder for an operation in maps-to
       notation. $)
    hbmpt21 $p |- ( z e. ( x e. A , y e. B |-> C )
         -> A. x z e. ( x e. A , y e. B |-> C ) ) $=
      ( vw cmpt2 cv wcel wa wceq copab2 df-mpt2 hboprab1 hbxfreq ) ACABDEFHAIDJ
      BIEJKGIFLKZABGMABGDEFNQABGCOP $.
      $( [27-Aug-2013] $)
  $}

  ${
    $d w A $.  $d w B $.  $d w C $.  $d w x $.  $d w y $.  $d y z $.
    $( Bound-variable hypothesis builder for an operation in maps-to
       notation. $)
    hbmpt22 $p |- ( z e. ( x e. A , y e. B |-> C )
         -> A. y z e. ( x e. A , y e. B |-> C ) ) $=
      ( vw cmpt2 cv wcel wa wceq copab2 df-mpt2 hboprab2 hbxfreq ) BCABDEFHAIDJ
      BIEJKGIFLKZABGMABGDEFNQABGCOP $.
      $( [27-Aug-2013] $)
  $}

  ${
    $d v w x z $.  $d v y z $.  $d v w A $.  $d v z B $.  $d v w C $.
    hbmpt2.1 $e |- ( w e. A -> A. z w e. A ) $.
    hbmpt2.2 $e |- ( w e. B -> A. z w e. B ) $.
    hbmpt2.3 $e |- ( w e. C -> A. z w e. C ) $.
    $( Bound-variable hypothesis builder for the maps-to notation. $)
    hbmpt2 $p |- ( w e. ( x e. A , y e. B |-> C ) ->
                  A. z w e. ( x e. A , y e. B |-> C ) ) $=
      ( vv cmpt2 cv wcel wa wceq copab2 df-mpt2 ax-17 hban hbeq hboprab hbxfreq
      hblem ) CDABEFGLAMENZBMFNZOZKMZGPZOZABKQABKEFGRUJABKCDUGUICUEUFCCDAEHUDUF
      CSTCDDUHGDMUHNCSJUATUBUC $.
      $( [20-Feb-2013] $)
  $}

  ${
    $d v w x A $.  $d v w y A $.  $d v w z B $.  $d v w z C $.
    cbvmpt.1 $e |- ( z e. B -> A. y z e. B ) $.
    cbvmpt.2 $e |- ( z e. C -> A. x z e. C ) $.
    cbvmpt.3 $e |- ( x = y -> B = C ) $.
    $( Rule to change the bound variable in a maps-to function, using implicit
       substitution.  This version has bound-variable hypotheses in place of
       distinct variable conditions. $)
    cbvmpt $p |- ( x e. A |-> B ) = ( y e. A |-> C ) $=
      ( vw vv cv wcel wceq wa copab cmpt wsb ax-17 weq hbs1 hban eleq1 cbvopab1
      sbequ12 anbi12d hblem hbeleq hbsb sbequ eqeq2d sbie syl6bb df-mpt 3eqtr4i
      eqtri ) ALZDMZJLZENZOZAJPZBLZDMZUSFNZOZBJPZADEQBDFQVBKLZDMZUTAKRZOZKJPVGV
      AVKAJKVAKSVIVJAVIASUTAKUAUBAKTURVIUTVJUQVHDUCUTAKUEUFUDVKVFKJBVIVJBVIBSUT
      AKBBJEBCJEGUGUHUIUBVFKSKBTZVIVDVJVEVHVCDUCVLVJUTABRVEUTKBAUJUTVEABAJFACJF
      HUGUHABTEFUSIUKULUMUFUDUPAJDEUNBJDFUNUO $.
      $( [11-Sep-2011] $)
  $}

  ${
    $d A x $.  $d A y $.  $d B y z $.  $d C x z $.
    cbvmptv.1 $e |- ( x = y -> B = C ) $.
    $( Rule to change the bound variable in a maps-to function, using implicit
       substitution.  (Contributed by Mario Carneiro, 19-Feb-2013.) $)
    cbvmptv $p |- ( x e. A |-> B ) = ( y e. A |-> C ) $=
      ( vz cv wcel ax-17 cbvmpt ) ABGCDEGHZDIBJLEIAJFK $.
      $( [11-Sep-2011] $)
  $}

  ${
    $d v w x y z $.  $d u w x y z A $.  $d u w x y z B $.  $d u v C $.
    $d u v D $.
    cbvmpt2.1 $e |- ( v e. C -> A. z v e. C ) $.
    cbvmpt2.2 $e |- ( v e. C -> A. w v e. C ) $.
    cbvmpt2.3 $e |- ( v e. D -> A. x v e. D ) $.
    cbvmpt2.4 $e |- ( v e. D -> A. y v e. D ) $.
    cbvmpt2.5 $e |- ( ( x = z /\ y = w ) -> C = D ) $.
    $( Rule to change the bound variable in a maps-to function, using implicit
       substitution. $)
    cbvmpt2 $p |- ( x e. A , y e. B |-> C ) = ( z e. A , w e. B |-> D ) $=
      ( vu cv wcel wa wceq ax-17 copab2 cmpt2 hbeq hban bi2anan9 eqeq2d anbi12d
      eleq1 cbvoprab12 df-mpt2 3eqtr4i ) APZFQZBPZGQZRZOPZHSZRZABOUACPZFQZDPZGQ
      ZRZUQISZRZCDOUAABFGHUBCDFGIUBUSVFABOCDUPURCUPCTCEEUQHEPUQQZCTJUCUDUPURDUP
      DTDEEUQHVGDTKUCUDVDVEAVDATAEEUQIVGATLUCUDVDVEBVDBTBEEUQIVGBTMUCUDULUTSZUN
      VBSZRZUPVDURVEVHUMVAVIUOVCULUTFUHUNVBGUHUEVJHIUQNUFUGUIABOFGHUJCDOFGIUJUK
      $.
      $( [17-Dec-2013] $)
  $}

  ${
    $d v w x y z A $.  $d v w x y z B $.  $d v w z C $.  $d v x y D $.
    cbvmpt2v.1 $e |- ( x = z -> C = E ) $.
    cbvmpt2v.2 $e |- ( y = w -> E = D ) $.
    $( Rule to change the bound variable in a maps-to function, using implicit
       substitution.  With a longer proof analogous to ~ cbvmpt , some distinct
       variable requirements could be eliminated. $)
    cbvmpt2v $p |- ( x e. A , y e. B |-> C ) = ( z e. A , w e. B |-> D ) $=
      ( vv cv wcel ax-17 wceq sylan9eq cbvmpt2 ) ABCDLEFGHLMZGNZCOTDOSHNZAOUABO
      AMCMPBMDMPGIHJKQR $.
      $( [11-Jun-2013] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Representation of a constant function using the mapping operation.
       (Note that ` x ` cannot appear free in ` B ` .) $)
    fconstmpt $p |- ( A X. { B } ) = ( x e. A |-> B ) $=
      ( vy csn cxp cv wcel wceq wa copab cmpt fconstopab df-mpt eqtr4i ) BCEFAG
      BHDGCIJADKABCLADBCMADBCNO $.
      $( [16-Nov-2013] $)
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    dmmpt2.1 $e |- F = ( x e. A |-> B ) $.
    $( The domain of the mapping operation in general.  (Contributed by Mario
       Carneiro, 13-Sep-2013.) $)
    dmmpt $p |- dom F = { x e. A | B e. _V } $=
      ( vy cdm cv wcel wceq wa copab wex cab cvv crab cmpt df-mpt eqtri dmeqi
      dmopab 19.42v isset anbi2i bitr4i abbii df-rab eqtr4i 3eqtri ) DGAHBIZFHC
      JZKZAFLZGULFMZANZCOIZABPZDUMDABCQUMEAFBCRSTULAFUAUOUJUPKZANUQUNURAUNUJUKF
      MZKURUJUKFUBUPUSUJFCUCUDUEUFUPABUGUHUI $.
      $( [13-Sep-2013] $) $( [16-May-1995] $)
  $}

  ${
    $d A x y $.  $d B y $.
    $( The domain of the mapping operation is the stated domain, if the
       function value is always a set.  (Contributed by Mario Carneiro,
       9-Feb-2013.) $)
    dmmptg $p |- ( A. x e. A B e. V -> dom ( x e. A |-> B ) = A ) $=
      ( wcel wral cvv crab cmpt cdm wceq elex ralimi rabid2 eqid dmmpt syl6reqr
      sylibr ) CDEZABFZBCGEZABHZABCIZJTUAABFBUBKSUAABCDLMUAABNRABCUCUCOPQ $.
      $( [14-Sep-2013] $) $( [9-Feb-2013] $)
  $}

  ${
    $d A x y $.  $d B y $.
    dmmptss.1 $e |- F = ( x e. A |-> B ) $.
    $( The domain of a mapping is a subset of its base class.  (Contributed by
       Scott Fenton, 17-Jun-2013.) $)
    dmmptss $p |- dom F C_ A $=
      ( vy cdm cv wcel wceq wa copab cmpt df-mpt eqtri dmeqi dmopabss eqsstri )
      DGAHBIFHCJZKAFLZGBDTDABCMTEAFBCNOPSAFBQR $.
      $( [17-Jun-2013] $)
  $}

  ${
    $d A y $.  $d B y $.  $d x y $.
    rnmpt.1 $e |- F = ( x e. A |-> B ) $.
    $( The range of a function in maps-to notation.  (Contributed by Scott
       Fenton, 21-Mar-2011.) $)
    rnmpt $p |- ran F = { y | E. x e. A y = B } $=
      ( crn cv wcel wceq wa copab wrex cab cmpt df-mpt eqtri rneqi rnopab2 ) EG
      AHCIBHDJZKABLZGTACMBNEUAEACDOUAFABCDPQRABCDSQ $.
      $( [21-Mar-2011] $)
  $}

  ${
    $d A y $.  $d B y $.  $d x y $.
    $( A function in maps-to notation is a function.  (Contributed by Mario
       Carneiro, 13-Jan-2013.) $)
    funmpt $p |- Fun ( x e. A |-> B ) $=
      ( vy cmpt wfun cv wcel wceq wa copab funopab4 df-mpt funeqi mpbir ) ABCEZ
      FAGBHZDGCIJADKZFQADCLPRADBCMNO $.
      $( [13-Jan-2013] $)
  $}

  ${
    $d x y A $.  $d y B $.
    mptfng.1 $e |- F = ( x e. A |-> B ) $.
    $( The maps-to notation defines a function with domain.  (Contributed by
       Scott Fenton, 21-Mar-2011.) $)
    mptfng $p |- ( A. x e. A B e. _V <-> F Fn A ) $=
      ( vy cmpt cv wcel wceq wa copab df-mpt eqtri fnopab2g ) AFBCDDABCGAHBIFHC
      JKAFLEAFBCMNO $.
      $( [21-Mar-2011] $)

    $( The maps-to notation defines a function with domain. $)
    fnmpt $p |- ( A. x e. A B e. V -> F Fn A ) $=
      ( wcel wral cvv wfn elex ralimi mptfng sylib ) CEGZABHCIGZABHDBJOPABCEKLA
      BCDFMN $.
      $( [9-Apr-2013] $)
  $}

  ${
    $d A x y $.  $d B x y $.  $d C y $.
    fmpt.1 $e |- F = ( x e. A |-> C ) $.
    $( Functionality of the mapping operation.  (Contributed by Mario Carneiro,
       26-Jul-2013.) $)
    fmpt $p |- ( A. x e. A C e. B <-> F : A --> B ) $=
      ( vy cmpt cv wcel wceq wa copab df-mpt eqtri fopab2 ) AGBCDEEABDHAIBJGIDK
      LAGMFAGBDNOP $.
      $( [26-Jul-2013] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x ph $.
    fmptd.1 $e |- ( ( ph /\ x e. A ) -> B e. C ) $.
    fmptd.2 $e |- F = ( x e. A |-> B ) $.
    $( Domain and co-domain of the mapping operation; deduction form.
       (Contributed by Mario Carneiro, 13-Jan-2013.) $)
    fmptd $p |- ( ph -> F : A --> C ) $=
      ( wcel wral wf ralrimiva fmpt sylib ) ADEIZBCJCEFKAOBCGLBCEDFHMN $.
      $( [13-Jan-2013] $)
  $}

  ${
    $d x y A $.  $d y C $.  $d y F $.  $d x y ph $.
    fmpt2d.1 $e |- ( ph -> ( x e. A -> B e. V ) ) $.
    fmpt2d.2 $e |- F = ( x e. A |-> B ) $.
    fmpt2d.3 $e |- ( ph -> ( y e. A -> ( F ` y ) e. C ) ) $.
    $( Domain and co-domain of the mapping operation; deduction form. $)
    fmpt2d $p |- ( ph -> F : A --> C ) $=
      ( wfn crn wss wf wcel wral ralrimiv fnmpt syl cfv fnfvrnss df-f sylanbrc
      cv syl2anc ) AGDLZGMFNZDFGOAEHPZBDQUGAUIBDIRBDEGHJSTZAUGCUEGUAFPZCDQUHUJA
      UKCDKRCDFGUBUFDFGUCUD $.
      $( [9-Apr-2013] $)
  $}

  ${
    $d A x y $.  $d B x y $.  $d C y $.
    $( Restriction of the mapping operation.  (Contributed by Mario Carneiro,
       15-Jul-2013.) $)
    resmpt $p |- ( B C_ A -> ( ( x e. A |-> C ) |` B ) = ( x e. B |-> C ) ) $=
      ( vy wss cv wcel wceq wa copab cres cmpt resopab2 df-mpt reseq1i 3eqtr4g
      ) CBFAGZBHEGDIZJAEKZCLRCHSJAEKABDMZCLACDMSAECBNUATCAEBDOPAECDOQ $.
      $( [15-Jul-2013] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d D x y z $.  $d E z $.
    $( Restriction of the mapping operation.  (Contributed by Mario Carneiro,
       17-Dec-2013.) $)
    resmpt2 $p |- ( ( C C_ A /\ D C_ B ) ->
                    ( ( x e. A , y e. B |-> E ) |` ( C X. D ) ) =
                      ( x e. C , y e. D |-> E ) ) $=
      ( vz wss wa cv wcel wceq copab2 cxp cres cmpt2 resoprab2 df-mpt2 reseq1i
      3eqtr4g ) ECIFDIJAKZCLBKZDLJHKGMZJABHNZEFOZPUBELUCFLJUDJABHNABCDGQZUFPABE
      FGQUDABHCDEFRUGUEUFABHCDGSTABHEFGSUA $.
      $( [17-Dec-2013] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x C y $.  $d x D y $.
    fvmptg.1 $e |- ( x = A -> B = C ) $.
    fvmptg.2 $e |- F = ( x e. D |-> B ) $.
    $( Value of a function given in maps-to notation.  Analogous to
       ~ fvopab4g . $)
    fvmptg $p |- ( ( A e. D /\ C e. R ) -> ( F ` A ) = C ) $=
      ( vy cmpt cv wcel wceq wa copab df-mpt eqtri fvopab4g ) AJBCDEFGHGAECKALE
      MJLCNOAJPIAJECQRS $.
      $( [4-Aug-2008] $) $( [2-Oct-2007] $)

    $( Value of a function given in maps-to notation.  (Contributed by Mario
       Carneiro, 23-Apr-2014.) $)
    fvmpti $p |- ( A e. D -> ( F ` A ) = ( _I ` C ) ) $=
      ( wcel cvv cfv cid wceq wa fvmptg fvi adantl eqtr4d wn c0 cv eleq1d dmmpt
      cdm elrab2 baib notbid ndmfv syl6bir imp fvprc pm2.61dan ) BEIZDJIZBFKZDL
      KZMUMUNNUODUPABCDEJFGHOUNUPDMUMDJPQRUMUNSZNUOTUPUMUQUOTMZUMUQBFUDZIZSURUM
      UTUNUTUMUNCJIUNABEUSAUABMCDJGUBAECFHUCUEUFUGBFUHUIUJUQUPTMUMDLUKQRUL $.
      $( [23-Apr-2014] $)

    ${
      fvmpt.3 $e |- C e. _V $.
      $( Value of a function given in maps-to notation. $)
      fvmpt $p |- ( A e. D -> ( F ` A ) = C ) $=
        ( wcel cvv cfv wceq fvmptg mpan2 ) BEJDKJBFLDMIABCDEKFGHNO $.
        $( [17-Aug-2011] $)
    $}
  $}

  ${
    $d y B $.  $d x y C $.
    fvmpts.1 $e |- B e. _V $.
    fvmpts.2 $e |- F = ( x e. C |-> B ) $.
    $( Value of a function given in maps-to notation, using explicit class
       substitution. $)
    fvmpts $p |- ( A e. C -> ( F ` A ) = [_ A / x ]_ B ) $=
      ( vy cmpt cv wcel wceq wa copab df-mpt eqtri fvopab4s ) AHBCDEFEADCIAJDKH
      JCLMAHNGAHDCOPQ $.
      $( [17-Jul-2013] $)
  $}


  ${
    $d x y A $.  $d y B $.  $d x C y $.  $d x D y $.  $d y ph $.
    fvmptd.1 $e |- ( ph -> A. x ph ) $.
    fvmptd.2 $e |- ( ( ph /\ x = A ) -> B = C ) $.
    fvmptd.3 $e |- ( ph -> F = ( x e. D |-> B ) ) $.
    $( Deduction version of ~ fvmpt . $)
    fvmptd $p |- ( ( ph /\ A e. D /\ C e. V ) -> ( F ` A ) = C ) $=
      ( vy wcel w3a cv wceq wal wa alrimi 3ad2ant1 wi copab cfv ax-17 ex 2alimi
      syl cmpt df-mpt syl6eq 3simpc fvopab4t syl3anc ) ACFMZEHMZNBOZCPZDEPZUAZL
      QBQZGUPFMLODPRBLUBZPZBQZUNUORCGUCEPAUNUTUOAALQZBQUTAVDBIALUDSAUSBLAUQURJU
      EUFUGTAUNVCUOAVBBIAGBFDUHVAKBLFDUIUJSTAUNUOUKBLCDEFGHULUM $.
      $( [18-Feb-2013] $)
  $}

  ${
    $d x z $.  $d x y A $.  $d y z B $.
    fvmpt2.1 $e |- F = ( x e. A |-> B ) $.
    $( Value of a function given by the "maps to" notation.  (Contributed by
       Mario Carneiro, 23-Apr-2014.) $)
    fvmpt2i $p |- ( x e. A -> ( F ` x ) = ( _I ` B ) ) $=
      ( vy vz csb weq csbeq1 csbid syl6eq cmpt wcel ax-17 ax17el hbcsb1 csbeq1a
      cv cbvmpt eqtri fvmpti ) FASZAFSZCHZCBDFAIUEAUCCHCAUDUCCJACKLDABCMFBUEMEA
      FGBCUEGSCNFOAGUDCGFAPQAUDCRTUAUB $.
      $( [23-Apr-2014] $)

    $( Value of a function given by the "maps to" notation.  Analogous to
       ~ fvopab2 .  (Contributed by FL, 21-Jun-2010.) $)
    fvmpt2 $p |- ( ( x e. A /\ B e. C ) -> ( F ` x ) = B ) $=
      ( cv wcel cfv cid fvmpt2i fvi sylan9eq ) AGZBHCDHNEICJICABCEFKCDLM $.
      $( [21-Jun-2010] $)
  $}

  ${
    $d x y A $.  $d x y F $.
    $( Representation of a function in terms of its values.  (Contributed by
       FL, 14-Sep-2013.)  (Revised by Mario Carneiro, 16-Dec-2013.) $)
    dffn5v $p |- ( F Fn A <-> F = ( x e. A |-> ( F ` x ) ) ) $=
      ( vy wfn cv wcel cfv wceq wa copab cmpt dffn5 df-mpt eqeq2i bitr4i ) CBEC
      AFZBGDFQCHZIJADKZICABRLZIADBCMTSCADBRNOP $.
      $( [16-Dec-2013] $) $( [14-Sep-2013] $)

  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.
    $( Representation of a function in terms of its values.  (Contributed by
       Mario Carneiro, 23-Dec-2013.) $)
    fnov2 $p |- ( F Fn ( A X. B ) <->
                    F = ( x e. A , y e. B |-> ( x F y ) ) ) $=
      ( vz cxp wfn cv wcel wa co wceq copab2 cmpt2 fnov df-mpt2 eqeq2i bitr4i )
      ECDGHEAIZCJBIZDJKFITUAELZMKABFNZMEABCDUBOZMABFCDEPUDUCEABFCDUBQRS $.
      $( [23-Dec-2013] $)

  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y C $.  $d w z D $.
    mpt2mpt.1 $e |- ( z = <. x , y >. -> C = D ) $.
    $( Express a two-argument function as a one-argument function, or
       vice-versa.  (Contributed by Mario Carneiro, 17-Dec-2013.) $)
    mpt2mpt $p |- ( z e. ( A X. B ) |-> C ) = ( x e. A , y e. B |-> D ) $=
      ( vw cv cxp wcel wceq wa copab copab2 cmpt cmpt2 cop wex elxp anass bitri
      anbi1i 19.41vv eqeq2d anbi2d pm5.32i 2exbii 3bitr2i opabbii eqtr4i df-mpt
      dfoprab2 df-mpt2 3eqtr4i ) CJZDEKZLZIJZFMZNZCIOZAJZDLBJZELNZUTGMZNZABIPZC
      URFQABDEGRVCUQVDVESMZVHNZBTATZCIOVIVBVLCIVBVJVFNZBTATZVANVMVANZBTATVLUSVN
      VAABUQDEUAUDVMVAABUEVOVKABVOVJVFVANZNVKVJVFVAUBVJVPVHVJVAVGVFVJFGUTHUFUGU
      HUCUIUJUKVHABICUNULCIURFUMABIDEGUOUP $.
      $( [17-Dec-2013] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d z C $.
    ovmpt4g.3 $e |- F = ( x e. A , y e. B |-> C ) $.
    $( Value of a function given by the "maps to" notation.  Analogous to
       ~ ov4g .  (Contributed by Mario Carneiro, 17-Dec-2013.) $)
    ovmpt4g $p |- ( ( x e. A /\ y e. B /\ C e. V ) -> ( x F y ) = C ) $=
      ( vz cmpt2 cv wcel wa wceq copab2 df-mpt2 eqtri ov4g ) ABICDEGFFABCDEJAKC
      LBKDLMIKENMABIOHABICDEPQR $.
      $( [17-Dec-2013] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d L x y z $.  $d D z $.
    $d R z $.  $d S x y z $.
    ovmpt2x.1 $e |- ( ( x = A /\ y = B ) -> R = S ) $.
    ovmpt2x.2 $e |- ( x = A -> D = L ) $.
    ovmpt2x.3 $e |- F = ( x e. C , y e. D |-> R ) $.
    $( The value of an operation class abstraction.  Variant of ~ ovmpt2ga
       which does not require ` D ` and ` x ` to be distinct.  (Contributed by
       Jeff Madsen, 10-Jun-2010.)  (Revised by Mario Carneiro, 20-Dec-2013.) $)
    ovmpt2x $p |- ( ( A e. C /\ B e. L /\ S e. H ) -> ( A F B ) = S ) $=
      ( vz wcel w3a wa wceq cv co 3simpa eqeq2d biimp3ar biantrud eleq1d eleq2d
      wb simpl eleq1 sylan9bb anbi12d 3adant3 bitr3d moani cmpt2 copab2 df-mpt2
      moeq eqtri ovigg mpd ) CEPZDKPZHJPZQVCVDRZCDIUAHSVCVDVEUBATZEPZBTZFPZRZOT
      ZGSZRZVFABOCDHIEKJVGCSZVIDSZVLHSZQZVKVNVFVRVMVKVOVPVMVQVOVPRZGHVLLUCUDUEV
      OVPVKVFUHVQVSVHVCVJVDVSVGCEVOVPUIUFVOVJVIKPVPVDVOFKVIMUGVIDKUJUKULUMUNVMV
      KOOGUSUOIABEFGUPVNABOUQNABOEFGURUTVAVB $.
      $( [20-Dec-2013] $) $( [10-Jun-2010] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.  $d z R $.
    $d x y z S $.
    ovmpt2ga.1 $e |- ( ( x = A /\ y = B ) -> R = S ) $.
    ovmpt2ga.2 $e |- F = ( x e. C , y e. D |-> R ) $.
    $( Value of an operation given by a maps-to rule.  Equivalent to ~ ov2ag .
       (Contributed by Mario Carneiro, 19-Dec-2013.) $)
    ovmpt2ga $p |- ( ( A e. C /\ B e. D /\ S e. H ) -> ( A F B ) = S ) $=
      ( vz cmpt2 cv wcel wa wceq copab2 df-mpt2 eqtri ov2ag ) ABMCDEFGHIJKIABEF
      GNAOEPBOFPQMOGRQABMSLABMEFGTUAUB $.
      $( [19-Dec-2013] $)

    ${
      ovmpt2a.4 $e |- S e. _V $.
      $( Value of an operation given by a maps-to rule.  Equivalent to
         ~ ov2ag . $)
      ovmpt2a $p |- ( ( A e. C /\ B e. D ) -> ( A F B ) = S ) $=
        ( wcel cvv co wceq ovmpt2ga mp3an3 ) CEMDFMHNMCDIOHPLABCDEFGHINJKQR $.
        $( [19-Dec-2013] $)
    $}
  $}

  ${
    $d x y z A $.  $d B y z $.  $d x C y z $.  $d x D y z $.  $d x G $.
    $d z R $.  $d y S z $.
    ovmpt2g.1 $e |- ( x = A -> R = G ) $.
    ovmpt2g.2 $e |- ( y = B -> G = S ) $.
    ovmpt2g.3 $e |- F = ( x e. C , y e. D |-> R ) $.
    $( Value of an operation given by a maps-to rule.  Equivalent to ~ ov2g .
       (Unnecessary distinct variable restrictions were removed by David
       Abernethy, 19-Jun-2012.) $)
    ovmpt2g $p |- ( ( A e. C /\ B e. D /\ S e. H ) -> ( A F B ) = S ) $=
      ( vz cmpt2 cv wcel wa wceq copab2 df-mpt2 eqtri ov2g ) ABOCDEFGHIJKLMIABE
      FGPAQERBQFRSOQGTSABOUANABOEFGUBUCUD $.
      $( [24-Jul-2012] $) $( [2-Oct-2007] $)

    ${
      ovmpt2.4 $e |- S e. _V $.
      $( Value of an operation given by a maps-to rule.  Equivalent to
         ~ ov2 . $)
      ovmpt2 $p |- ( ( A e. C /\ B e. D ) -> ( A F B ) = S ) $=
        ( wcel cvv co wceq ovmpt2g mp3an3 ) CEODFOHPOCDIQHRNABCDEFGHIJPKLMST $.
        $( [12-Sep-2011] $)
    $}
  $}

  ${
    $d A y z $.  $d B z $.  $d C z $.  $d x y z $.
    rngop.1 $e |- F = ( x e. A , y e. B |-> C ) $.
    $( The range of an operation given by the "maps to" notation.  (Contributed
       by FL, 20-Jun-2011.) $)
    rnmpt2 $p |- ran F = { z | E. x e. A E. y e. B z = C } $=
      ( crn cv wcel wa wceq copab2 wex cab wrex cmpt2 df-mpt2 eqtri r2ex bicomi
      rneqi rnoprab abbii 3eqtri ) GIAJDKBJEKLCJFMZLZABCNZIUHBOAOZCPUGBEQADQZCP
      GUIGABDEFRUIHABCDEFSTUCUHABCUDUJUKCUKUJUGABDEUAUBUEUF $.
      $( [20-Jun-2011] $)

    $( The domain of an operation defined by maps-to notation is a relation.
       (Contributed by Stefan O'Rear, 27-Nov-2014.) $)
    reldmmpt2 $p |- Rel dom F $=
      ( vz cdm wrel cv wcel wa wceq copab2 reldmoprab cmpt2 df-mpt2 eqtri dmeqi
      releqi mpbir ) FIZJAKCLBKDLMHKENMZABHOZIZJUDABHPUCUFFUEFABCDEQUEGABHCDERS
      TUAUB $.
      $( [27-Nov-2014] $)
  $}

  ${
    $d x y $.  $d y B $.
    $( Function with universal domain in maps-to notation. $)
    mptv $p |- ( x e. _V |-> B ) = { <. x , y >. | y = B } $=
      ( cvv cmpt cv wcel wceq wa copab df-mpt vex biantrur opabbii eqtr4i ) ADC
      EAFDGZBFCHZIZABJQABJABDCKQRABPQALMNO $.
      $( [16-Aug-2013] $)
  $}

  ${
    $d x z $.  $d y z $.  $d z C $.
    $( Operation with universal domain in maps-to notation. $)
    mpt2v $p |- ( x e. _V , y e. _V |-> C )
                     = { <. <. x , y >. , z >. | z = C } $=
      ( cvv cmpt2 cv wcel wa copab2 df-mpt2 vex pm3.2i biantrur oprabbii eqtr4i
      wceq ) ABEEDFAGEHZBGEHZIZCGDQZIZABCJUAABCJABCEEDKUAUBABCTUARSALBLMNOP $.
      $( [16-Aug-2013] $)
  $}

  ${
    $d A x y $.
    $( The restricted identity expressed with the "maps to" notation.
       (Contributed by FL, 25-Apr-2012.) $)
    mptresid $p |- ( x e. A |-> x ) = ( _I |` A ) $=
      ( vy cv cmpt wcel weq wa copab cid cres df-mpt opabresid eqtri ) ABADZEOB
      FCAGHACIJBKACBOLACBMN $.
      $( [25-Apr-2012] $)
  $}

  ${
    $d x y A $.  $d x y C $.  $d x y D $.  $d y B $.
    fvmptn.1 $e |- ( x = D -> B = C ) $.
    fvmptn.2 $e |- F = ( x e. A |-> B ) $.
    $( When the mapping operation would otherwise evaluate to a proper class,
       it instead evaluates to the empty set.  (Contributed by Mario Carneiro,
       9-Sep-2013.) $)
    fvmptn $p |- ( -. C e. _V -> ( F ` D ) = (/) ) $=
      ( vy wcel cvv wn cfv c0 wceq wa cmpt fveq1i cv copab wi cres resmpt ax-mp
      wss ssv eqtr4i fvres mptv fvopabn syl5eq sylan9eq df-mpt eqtri fvopab4ndm
      ex a1d pm2.61i ) EBJZDKJLZEFMZNOZUAUSUTVBUSUTPVAEAKCQZBUBZMZNEFVDFABCQZVD
      HBKUEVDVFOBUFAKBCUCUDUGRUSUTVEEVCMZNEBVCUHUTVGEISCOZAITZMNEVCVIAICUIRAIEC
      DGUJUKULUKUPUSLVBUTVHAIBEFFVFASBJVHPAITHAIBCUMUNUOUQUR $.
      $( [9-Sep-2013] $)
  $}

  ${
    $d x A $.  $d w x B $.  $d w F $.
    relmptopab.1 $e |- F = ( x e. A |-> { <. y , z >. | ph } ) $.
    $( Any function to sets of ordered pairs produces a relation on function
       value unconditionally.  (Contributed by Mario Carneiro, 7-Aug-2014.) $)
    relmptopab $p |- Rel ( F ` B ) $=
      ( vw cdm wcel cfv wrel cvv cv wi wceq releqd mpbiri c0 ax-17 copab hbmpt1
      elex cmpt hbxfreq hbdm hbel hbfv hbrel hbim eleq1 imbi12d relopab rabeq2i
      fveq2 wa dmmpt fvmpt2 sylbi vtoclgf mpcom wn rel0 ndmfv pm2.61i ) FGJZKZF
      GLZMZFNKVHVJFVGUDBOZVGKZVKGLZMZPVHVJPBIFNIOFKBUAZVHVJBBIIFVGVOBIGBIGBEACD
      UBZUEHBIEVPUCUFZUGUHBIVIBIFGVQVOUIUJUKVKFQZVLVHVNVJVKFVGULVRVMVIVKFGUPRUM
      VLVNVPMACDUNVLVMVPVLVKEKVPNKZUQVMVPQVSBVGEBEVPGHURUOBEVPNGHUSUTRSVAVBVHVC
      ZVJTMVDVTVITFGVERSVF $.
      $( [7-Aug-2014] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.  $d x y ph $.
    f1od.1 $e |- F = ( x e. A |-> C ) $.
    ${
      f1od.2 $e |- ( ( ph /\ x e. A ) -> C e. W ) $.
      f1od.3 $e |- ( ( ph /\ y e. B ) -> D e. X ) $.
      f1od.4 $e |- ( ph -> ( ( x e. A /\ y = C ) <-> ( y e. B /\ x = D ) ) ) $.
      $( Describe an implicit one-to-one onto function.  (Contributed by Mario
         Carneiro, 12-May-2014.) $)
      f1od $p |- ( ph -> F : A -1-1-onto-> B ) $=
        ( wfn ccnv wcel wral ralrimiva copab wf1o fnmpt cmpt eqid wceq opabbidv
        cv wa df-mpt eqtri cnveqi cnvopab 3eqtr4g fneq1d mpbird dff1o4 sylanbrc
        syl ) AHDOZHPZEOZDEHUAAFIQZBDRUSAVBBDLSBDFHIKUBURAVACEGUCZEOZAGJQZCERVD
        AVECEMSCEGVCJVCUDUBURAEUTVCABUGZDQCUGZFUEUHZCBTZVGEQVFGUEUHZCBTUTVCAVHV
        JCBNUFUTVHBCTZPVIHVKHBDFUCVKKBCDFUIUJUKVHBCULUJCBEGUIUMUNUODEHUPUQ $.
        $( [12-May-2014] $) $( [27-Jul-2004] $)
    $}

    f1o2d.2 $e |- ( ( ph /\ x e. A ) -> C e. B ) $.
    f1o2d.3 $e |- ( ( ph /\ y e. B ) -> D e. A ) $.
    f1o2d.4 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) ->
                    ( x = D <-> y = C ) ) $.
    $( Describe an implicit one-to-one onto function.  (Contributed by Mario
       Carneiro, 12-May-2014.) $)
    f1o2d $p |- ( ph -> F : A -1-1-onto-> B ) $=
      ( cv wcel wceq wa wi eleq1a syl impr biimpar exp42 com34 imp32 jcai com23
      biimpa impbida f1od ) ABCDEFGHEDIJKABMZDNZCMZFOZPZULENZUJGOZPZAUNPUOUPAUK
      UMUOAUKPFENUMUOQJFEULRSTAUKUMUOUPQAUKUOUMUPAUKUOUMUPAUKUOPPZUPUMLUAUBUCUD
      UEAUQPUKUMAUOUPUKAUOPGDNUPUKQKGDUJRSTAUOUPUKUMQAUOUKUPUMAUKUOUPUMQAUKUOUP
      UMURUPUMLUGUBUFUCUDUEUHUI $.
      $( [12-May-2014] $) $( [27-Jul-2004] $)
  $}

  ${
    $d x y z w $.
    $( Alternate definition of ` Swap ` as an operator abstraction. $)
    dfswap3 $p |- Swap = { <. <. x , y >. , z >. | z = <. y , x >. } $=
      ( vw cswap cv cop wceq wa wex copab copab2 df-swap dfoprab2 eqtr4i ) EDFA
      FZBFZGHCFQPGHZIBJAJDCKRABCLDCABMRABCDNO $.
      $( [23-Feb-2015] $)

    $( Alternate definition of ` Swap ` as an operator mapping. $)
    dfswap4 $p |- Swap = ( x e. _V , y e. _V |-> <. y , x >. ) $=
      ( vz cswap cv cop wceq copab2 cvv cmpt2 dfswap3 mpt2v eqtr4i ) DCEBEAEFZG
      ABCHABIINJABCKABCNLM $.
      $( [23-Feb-2015] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Set construction lemmas
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c (x) $. $( Tail cross product $)
  $c Fix $. $( Fixed points $)
  $c Image $. $( Image function $)
  $c Cup $. $( Cup function $)
  $c Disj $. $( Disjointedness relationship. $)
  $c AddC $. $( Cardinal sum function. $)
  $c Ins2 $. $( Second insertion operation $)
  $c Ins3 $. $( Third insertion operation $)
  $c Ins4 $. $( Fourth insertion operation $)
  $c SI_3 $. $( Triple singleton image. $)
  $c Funs $. $( Class of functions. $)
  $c Fns $. $( Function with domain relationship. $)
  $c PProd $. $( Parallel product. $)
  $c Cross $. $( Cross product function. $)
  $c Pw1Fn $. $( The unit power class function. $)
  $c FullFun $. $( The full function operation. $)

  $( Extend the definition of a class to include the tail cross product. $)
  ctxp $a class ( A (x) B ) $.

  $( Extend the definition of a class to include the parallel product
     operation. $)
  cpprod $a class PProd ( A , B ) $.

  $( Extend the definition of a class to include the fixed points of a
     relationship. $)
  cfix $a class Fix A $.

  $( Extend the definition of a class to include the image function. $)
  cimage $a class Image A $.

  $( Extend the definition of a class to include the cup function. $)
  ccup $a class Cup $.

  $( Extend the definition of a class to include the disjoint relationship. $)
  cdisj $a class Disj $.

  $( Extend the definition of a class to include the cardinal sum function. $)
  caddcfn $a class AddC $.

  $( Extend the definition of a class to include the second insertion
     operation. $)
  cins2 $a class Ins2 A $.

  $( Extend the definition of a class to include the third insertion
     operation. $)
  cins3 $a class Ins3 A $.

  $( Extend the definition of a class to include the fourth insertion
     operation. $)
  cins4 $a class Ins4 A $.

  $( Extend the definition of a class to include the triple singleton image. $)
  csi3 $a class SI_3 A $.

  $( Extend the definition of a class to include the set of all functions. $)
  cfuns $a class Funs $.

  $( Extend the definition of a class to include the function with domain
     relationship. $)
  cfns $a class Fns $.

  $( Extend the definition of a class to include the cross product function. $)
  ccross $a class Cross $.

  $( Extend the definition of a class to include the unit power class
     function. $)
  cpw1fn $a class Pw1Fn $.

  $( Extend the definition of a class to include the full function
     operation. $)
  cfullfun $a class FullFun F $.

  $( Define the tail cross product of two classes.  Definition from {{Holmes}},
     p. 40.  See ~ brtxp for membership. $)
  df-txp $a |- ( A (x) B ) = ( ( `' 1st o. A ) i^i ( `' 2nd o. B ) ) $.

  $( Define the parallel product operation. $)
  df-pprod $a |- PProd ( A , B ) = ( ( A o. 1st ) (x) ( B o. 2nd ) ) $.

  $( Define the fixed points of a relationship. $)
  df-fix $a |- Fix A = ran ( A i^i _I ) $.

  ${
    $d x y $.
    $( Define the cup function. $)
    df-cup $a |- Cup = ( x e. _V , y e. _V |-> ( x u. y ) ) $.
  $}

  ${
    $d x y $.
    $( Define the relationship of all disjoint sets. $)
    df-disj $a |- Disj = { <. x , y >. | ( x i^i y ) = (/) } $.
  $}

  ${
    $d x y $.
    $( Define the function representing cardinal sum. $)
    df-addcfn $a |- AddC = ( x e. _V , y e. _V |-> ( x +c y ) ) $.
  $}

  $( Define the second insertion operation. $)
  df-ins2 $a |- Ins2 A = ( _V (x) A ) $.

  $( Define the third insertion operation. $)
  df-ins3 $a |- Ins3 A = ( A (x) _V ) $.

  $( 16-Apr-2015 NM Moved df-image down to here since it references
     Ins2 and Ins3 $)
  $( Define the image function of a class. $)
  df-image $a |- Image A =
     ( ( _V X. _V ) \ ( ( Ins2 SSet (+) Ins3 ( SSet o. `' SI A ) ) " 1c ) ) $.

  $( Define the fourth insertion operation. $)
  df-ins4 $a |- Ins4 A =
   ( `' ( 1st (x) ( ( 1st o. 2nd ) (x) ( ( 1st o. 2nd ) o. 2nd ) ) ) " A ) $.

  $( Define the triple singleton image. $)
  df-si3 $a |- SI_3 A =
  ( ( SI 1st (x) ( SI ( 1st o. 2nd ) (x) SI ( 2nd o. 2nd ) ) ) " ~P1 A ) $.

  $( Define the class of all functions. $)
  df-funs $a |- Funs = { f | Fun f } $.

  ${
    $d f a $.
    $( Define the function with domain relationship. $)
    df-fns $a |- Fns = { <. f , a >. | f Fn a } $.
  $}

  ${
    $d x y $.
    $( Define the cross product function. $)
    df-cross $a |- Cross = ( x e. _V , y e. _V |-> ( x X. y ) ) $.
  $}

  $( Define the function that takes a singleton to the unit power class of its
     member.  This function is defined in such a way as to ensure
     stratification. $)
  df-pw1fn $a |- Pw1Fn = ( x e. 1c |-> ~P1 U. x ) $.

  $( Define the full function operator.  This is a function over ` _V ` that
     agrees with the function value of ` F ` at every point. $)
  df-fullfun $a |- FullFun F =
   ( ( ( _I o. F ) \ ( ~ _I o. F ) ) u.
     ( ~ dom ( ( _I o. F ) \ ( ~ _I o. F ) ) X. { (/) } ) ) $.

  ${
    $d A x y z w $.  $d B x y z w $.  $d R x y z w $.
    brsnsi.1 $e |- A e. _V $.
    brsnsi.2 $e |- B e. _V $.
    $( Binary relationship of singletons in a singleton image. $)
    brsnsi $p |- ( { A } SI R { B } <-> A R B ) $=
      ( vx vy vz vw csn wbr cv wceq w3a wex snex eqeq1 eqcom vex bitri csi brab
      sneqb syl6bb 3anbi1d 2exbidv 3anbi2d df-si breq1 breq2 ceqsex2v ) AJZBJZC
      UAZKFLZAMZGLZBMZUOUQCKZNZGOFOZABCKZHLZUOJZMZILZUQJZMZUSNZGOFOUPVHUSNZGOFO
      VAHIULUMUNAPBPVCULMZVIVJFGVKVEUPVHUSVKVEULVDMZUPVCULVDQVLVDULMUPULVDRUOAF
      SUCTUDUEUFVFUMMZVJUTFGVMVHURUPUSVMVHUMVGMZURVFUMVGQVNVGUMMURUMVGRUQBGSUCT
      UDUGUFHIFGCUHUBUSAUQCKVBFGABDEUOAUQCUIUQBACUJUKT $.
      $( [9-Feb-2015] $)

    $( Ordered pair membership of singletons in a singleton image. $)
    opsnelsi $p |- ( <. { A } , { B } >. e. SI R <-> <. A , B >. e. R ) $=
      ( csn csi wbr cop wcel brsnsi df-br 3bitr3i ) AFZBFZCGZHABCHNOIPJABICJABC
      DEKNOPLABCLM $.
      $( [9-Feb-2015] $)

  $}

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d R x $.  $d R y $.  $d x y $.
    brsnsi1.1 $e |- A e. _V $.
    $( Binary relationship of a singleton to an arbitrary set in a singleton
       image. $)
    brsnsi1 $p |- ( { A } SI R B <-> E. x ( B = { x } /\ A R x ) ) $=
      ( vy csn csi wbr cv wceq w3a wex wa brsi excom eqcom vex bitri exbii
      sneqb 3anbi1i 3anass breq1 anbi2d ceqsexv ) BGZCDHIUGFJZGZKZCAJZGKZUHUKDI
      ZLZAMFMZULBUKDIZNZAMZFAUGCDOUOUNFMZAMURUNFAPUSUQAUSUHBKZULUMNZNZFMUQUNVBF
      UNUTULUMLVBUJUTULUMUJUIUGKUTUGUIQUHBFRUASUBUTULUMUCSTVAUQFBEUTUMUPULUHBUK
      DUDUEUFSTSS $.
      $( [9-Mar-2015] $)

    $( Binary relationship of an arbitrary set to a singleton in a singleton
       image. $)
    brsnsi2 $p |- ( B SI R { A } <-> E. x ( B = { x } /\ x R A ) ) $=
      ( vy csn csi wbr cv wceq w3a wex wa brsi 3anass exbii 19.42v sneqb bitri
      eqcom anbi1i breq2 ceqsexv anbi2i ) CBGZDHICAJZGKZUFFJZGKZUGUIDIZLZFMZAMU
      HUGBDIZNZAMAFCUFDOUMUOAUMUHUJUKNZNZFMZUOULUQFUHUJUKPQURUHUPFMZNUOUHUPFRUS
      UNUHUSUIBKZUKNZFMUNUPVAFUJUTUKUJBUIKUTBUIESBUIUATUBQUKUNFBEUIBUGDUCUDTUET
      TQT $.
      $( [9-Mar-2015] $)

  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d R x $.
    brco1st.1 $e |- A e. _V $.
    brco1st.2 $e |- B e. _V $.
    $( Binary relationship of composition with ` 1st ` . $)
    brco1st $p |- ( <. A , B >. ( R o. 1st ) C <-> A R C ) $=
      ( vx cop c1st ccom wbr cv wa wex wceq brco opbr1st eqcom bitri anbi1i
      exbii breq1 ceqsexv 3bitri ) ABHZCDIJKUEGLZIKZUFCDKZMZGNUFAOZUHMZGNACDKZG
      UECDIPUIUKGUGUJUHUGAUFOUJABUFEFQAUFRSTUAUHULGAEUFACDUBUCUD $.
      $( [9-Feb-2015] $)

    $( Binary relationship of composition with ` 2nd ` . $)
    brco2nd $p |- ( <. A , B >. ( R o. 2nd ) C <-> B R C ) $=
      ( vx cop c2nd ccom wbr cv wa wex wceq brco opbr2nd eqcom bitri anbi1i
      exbii breq1 ceqsexv 3bitri ) ABHZCDIJKUEGLZIKZUFCDKZMZGNUFBOZUHMZGNBCDKZG
      UECDIPUIUKGUGUJUHUGBUFOUJABUFEFQBUFRSTUAUHULGBFUFBCDUBUCUD $.
      $( [9-Feb-2015] $)
  $}

  ${
    $d A x $.  $d B x $.  $d B y $.  $d B z $.  $d C x $.  $d C z $.  $d R t $.
    $d R x $.  $d R y $.  $d R z $.  $d S t $.  $d S x $.  $d S y $.  $d S z $.
    $d t x $.  $d t y $.  $d t z $.  $d x y $.  $d x z $.  $d y z $.

    $( Trinary relationship over a tail cross product. $)
    trtxp $p |- ( A ( R (x) S ) <. B , C >. <-> ( A R B /\ A S C ) ) $=
      ( vy vz vt cop wbr cvv wcel wa brex wb cv breq2 wex weq 3bitri ctxp opexb
      vx anbi2i sylib anim12i anandi sylibr wi wceq breq1 anbi12d bibi12d opeq1
      imbi2d breq2d anbi1d opeq2 anbi2d c1st ccnv ccom c2nd cin breqi brin brco
      df-txp ancom brcnv vex opbr1st equcom bitri exbii ceqsexv opbr2nd anbi12i
      anbi1i vtocl2g vtoclg imp pm5.21nii ) ABCIZDEUAZJZAKLZBKLZCKLZMZMZABDJZAC
      EJZMZWFWGWDKLZMWKAWDWENWOWJWGBCUBUDUEWNWGWHMZWGWIMZMWKWLWPWMWQABDNACENUFW
      GWHWIUGUHWGWJWFWNOZWJUCPZWDWEJZWSBDJZWSCEJZMZOZUIWJWRUIUCAKWSAUJZXDWRWJXE
      WTWFXCWNWSAWDWEUKXEXAWLXBWMWSABDUKWSACEUKULUMUOWSFPZGPZIZWEJZWSXFDJZWSXGE
      JZMZOWSBXGIZWEJZXAXKMZOXDFGBCKKXFBUJZXIXNXLXOXPXHXMWSWEXFBXGUNUPXPXJXAXKX
      FBWSDQUQUMXGCUJZXNWTXOXCXQXMWDWSWEXGCBURUPXQXKXBXAXGCWSEQUSUMXIWSXHUTVAZD
      VBZVCVAZEVBZVDZJWSXHXSJZWSXHYAJZMXLWSXHWEYBDEVHVEWSXHXSYAVFYCXJYDXKYCWSHP
      ZDJZYEXHXRJZMZHRHFSZYFMZHRXJHWSXHXRDVGYHYJHYHYGYFMYJYFYGVIYGYIYFYGXHYEUTJ
      FHSYIYEXHUTVJXFXGYEFVKZGVKZVLFHVMTVSVNVOYFXJHXFYKYEXFWSDQVPTYDWSYEEJZYEXH
      XTJZMZHRHGSZYMMZHRXKHWSXHXTEVGYOYQHYOYNYMMYQYMYNVIYNYPYMYNXHYEVCJGHSYPYEX
      HVCVJXFXGYEYKYLVQGHVMTVSVNVOYMXKHXGYLYEXGWSEQVPTVRTVTWAWBWC $.
      $( [13-Feb-2015] $)
  $}

  $( Ordered triple membership in a tail cross product. $)
  oteltxp $p |- ( <. A , <. B , C >. >. e. ( R (x) S ) <->
       ( <. A , B >. e. R /\ <. A , C >. e. S ) ) $=
    ( cop ctxp wbr wa wcel trtxp df-br anbi12i 3bitr3i ) ABCFZDEGZHABDHZACEHZIA
    OFPJABFDJZACFEJZIABCDEKAOPLQSRTABDLACELMN $.
    $( [13-Feb-2015] $)

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d R x $.  $d R y $.  $d S x $.
    $d S y $.  $d B w $.  $d B z $.  $d w x $.  $d w y $.  $d w z $.  $d x y $.
    $d x z $.  $d y z $.
    $( Binary relationship over a tail cross product. $)
    brtxp $p |- ( A ( R (x) S ) B <->
       E. x E. y ( B = <. x , y >. /\ A R x /\ A S y ) ) $=
      ( vz vw wbr cv c1st ccnv wa c2nd wex cop wceq ccom bitri weq ctxp w3a cin
      brin anbi12i df-txp breqi eeanv 3bitr4i an4 ancom brcnv br1st br2nd eqtr2
      brco vex opth simplbi eqcomd opeq1d wb eqeq1 adantl mpbird exlimivv opeq2
      eqeq2d opeq1 bi2anan9 cla42ev anidms impbii 3bitr2i anbi2i 3anass 2exbii
      syl ) CDEFUAZIZCAJZEIZWADKLZIZMZCBJZFIZWFDNLZIZMZMZBOAOZDWAWFPZQZWBWGUBZB
      OAOCDWCERZWHFRZUCZIZWEAOZWJBOZMZVTWLWSCDWPIZCDWQIZMXBCDWPWQUDXCWTXDXAACDW
      CEUPBCDWHFUPUESCDVSWREFUFUGWEWJABUHUIWKWOABWKWBWGMZWDWIMZMZWOWBWDWGWIUJXE
      WNMWNXEMXGWOXEWNUKXFWNXEXFDWAGJZPZQZGOZDHJZWFPZQZHOZMXJXNMZHOGOZWNWDXKWIX
      OWDDWAKIXKWADKULGDWAAUQZUMSWIDWFNIXOWFDNULHDWFBUQZUNSUEXJXNGHUHXQWNXPWNGH
      XPWNXMWMQZXPXIXMQZXTDXIXMUOYAXLWAWFYAWAXLYAAHTGBTZWAXHXLWFURUSUTVAVRXNWNX
      TVBXJDXMWMVCVDVEVFWNXQXPWNWNMGHWFWAXSXRYBXJWNHATZXNWNYBXIWMDXHWFWAVGVHYCX
      MWMDXLWAWFVIVHVJVKVLVMVNVOWNWBWGVPUISVQS $.
      $( [11-Feb-2015] $)
  $}

  $( The tail cross product of two sets is a set. $)
  txpexg $p |- ( ( A e. V /\ B e. W ) -> ( A (x) B ) e. _V ) $=
    ( wcel ctxp c1st ccnv ccom c2nd cin cvv df-txp 1stex cnvex coexg mpan 2ndex
    wa inexg syl2an syl5eqel ) ACEZBDEZSABFGHZAIZJHZBIZKZLABMUCUFLEZUHLEZUILEUD
    UELEUCUJGNOUEALCPQUGLEUDUKJROUGBLDPQUFUHLLTUAUB $.
    $( [9-Feb-2015] $)

  ${
    txpex.1 $e |- A e. _V $.
    txpex.2 $e |- B e. _V $.
    $( The tail cross product of two sets is a set. $)
    txpex $p |- ( A (x) B ) e. _V $=
      ( cvv wcel ctxp txpexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [9-Feb-2015] $)
  $}

  $( A tail cross product is a relationship. $)
  reltxp $p |- Rel ( A (x) B ) $=
    ( ctxp wrel c1st ccnv ccom c2nd cin wss inss1 relco relss mp2 df-txp releqi
    mpbir ) ABCZDEFZAGZHFBGZIZDZUBTJTDUCTUAKSALUBTMNRUBABOPQ $.
    $( [24-Feb-2015] $)

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.
    $d B a $.  $d B b $.  $d b x $.  $d B x $.  $d b y $.  $d B y $.  $d C a $.
    $d C b $.  $d C x $.  $d C y $.  $d x y $.
    $( Restriction distributes over tail cross product. $)
    restxp $p |- ( ( A (x) B ) |` C ) = ( ( A |` C ) (x) ( B |` C ) ) $=
      ( vx vy va vb ctxp cres cv wbr w3a wex 3anass anbi1i bitri 3bitr4i 2exbii
      wa brres relres reltxp cop wceq wcel anandir anbi2i anass brtxp 3anbi123i
      19.41vv biid eqbrriv ) DEABHZCIZACIZBCIZHZUNCUAUPUQUBEJZFJZGJZUCUDZDJZUTA
      KZVCVABKZLZVCCUEZSZGMFMZVBVDVGSZVEVGSZLZGMFMZVCUSUOKZVCUSURKZVHVLFGVBVDVE
      SZVGSZSZVBVJVKSZSVHVLVQVSVBVDVEVGUFUGVHVBVPSZVGSVRVFVTVGVBVDVENOVBVPVGUHP
      VBVJVKNQRVCUSUNKZVGSVFGMFMZVGSVNVIWAWBVGFGVCUSABUIOVCUSUNCTVFVGFGUKQVOVBV
      CUTUPKZVCVAUQKZLZGMFMVMFGVCUSUPUQUIWEVLFGVBVBWCVJWDVKVBULVCUTACTVCVABCTUJ
      RPQUM $.
      $( [24-Feb-2015] $)
  $}

  ${
    $d A x y $.  $d R x y $.
    $( Membership in the fixed points of a relationship. $)
    elfix $p |- ( A e. Fix R <-> A R A ) $=
      ( vx vy cfix wcel cvv wbr elex brex simpld cv eleq1 wceq wb breq12 cid wa
      wex 3bitri anidms cin crn df-fix eleq2i elrn brin ancom ideq anbi1i exbii
      weq vex bitri breq1 ceqsexv vtoclbg pm5.21nii ) ABEZFZAGFZAABHZAUSIVBVAVA
      AABJKCLZUSFZVCVCBHZUTVBCAGVCAUSMVCANVEVBOVCAVCABPUAVDVCBQUBZUCZFZDCULZDLZ
      VCBHZRZDSZVEUSVGVCBUDUEVHVJVCVFHZDSVMDVCVFUFVNVLDVNVKVJVCQHZRVOVKRVLVJVCB
      QUGVKVOUHVOVIVKVJVCCUMZUIUJTUKUNVKVEDVCVPVJVCVCBUOUPTUQUR $.
      $( [11-Feb-2015] $)
  $}

  $( The fixed points of a set form a set. $)
  fixexg $p |- ( R e. V -> Fix R e. _V ) $=
    ( wcel cfix cid cin crn cvv df-fix idex inexg mpan2 rnexg syl syl5eqel ) AB
    CZADAEFZGZHAIPQHCZRHCPEHCSJAEBHKLQHMNO $.
    $( [11-Feb-2015] $)

  ${
    fixex.1 $e |- R e. _V $.
    $( The fixed points of a set form a set. $)
    fixex $p |- Fix R e. _V $=
      ( cvv wcel cfix fixexg ax-mp ) ACDAECDBACFG $.
      $( [11-Feb-2015] $)
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    op1st2nd.1 $e |- A e. _V $.
    op1st2nd.2 $e |- B e. _V $.
    $( Express equality to an ordered pair via ` 1st ` and ` 2nd ` . $)
    op1st2nd $p |- ( ( C 1st A /\ C 2nd B ) <-> C = <. A , B >. ) $=
      ( vx c1st wbr c2nd wa cop wceq cv wex wi opbr2nd breq1 mpbiri eqid mpbir
      br1st vex biimpi opeq2d eqeq1 imbi12d exlimiv sylbi opbr1st pm3.2i impbii
      imp anbi12d ) CAGHZCBIHZJZCABKZLZUNUOURUNCAFMZKZLZFNUOUROZFCADUAVAVBFVAVB
      UTBIHZUTUQLZOVCUSBAVCUSBLAUSBDFUBPUCUDVAUOVCURVDCUTBIQCUTUQUEUFRUGUHULURU
      PUQAGHZUQBIHZJVEVFVEAALASABADEUITVFBBLBSABBDEPTUJURUNVEUOVFCUQAGQCUQBIQUM
      RUK $.
      $( [12-Feb-2015] $)
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d R x $.
    otelins2.1 $e |- B e. _V $.
    $( Ordered triple membership in ` Ins2 ` . $)
    otelins2 $p |- ( <. A , <. B , C >. >. e. Ins2 R <-> <. A , C >. e. R ) $=
      ( vx cop cins2 wcel cvv elex opexb simplbi syl wceq opeq1 eleq1d vex opex
      cv ctxp wa df-ins2 eleq2i oteltxp bitri mpbiran vtoclbg pm5.21nii ) ABCGZ
      GZDHZIZAJIZACGZDIZUMUKJIZUNUKULKUQUNUJJIAUJLMNUPUOJIZUNUODKURUNCJIACLMNFT
      ZUJGZULIZUSCGZDIZUMUPFAJUSAOZUTUKULUSAUJPQVDVBUODUSACPQVAUSBGJIZVCUSBFRES
      VAUTJDUAZIVEVCUBULVFUTDUCUDUSBCJDUEUFUGUHUI $.
      $( [13-Feb-2015] $)
  $}


  ${
    $d A x $.  $d B x $.  $d C x $.  $d R x $.
    otelins3.1 $e |- C e. _V $.
    $( Ordered triple membership in ` Ins3 ` . $)
    otelins3 $p |- ( <. A , <. B , C >. >. e. Ins3 R <-> <. A , B >. e. R ) $=
      ( vx cop cins3 wcel cvv elex opexb simplbi syl wceq opeq1 eleq1d vex opex
      cv ctxp wa df-ins3 eleq2i oteltxp bitri mpbiran2 vtoclbg pm5.21nii ) ABCG
      ZGZDHZIZAJIZABGZDIZUMUKJIZUNUKULKUQUNUJJIAUJLMNUPUOJIZUNUODKURUNBJIABLMNF
      TZUJGZULIZUSBGZDIZUMUPFAJUSAOZUTUKULUSAUJPQVDVBUODUSABPQVAVCUSCGJIZUSCFRE
      SVAUTDJUAZIVCVEUBULVFUTDUCUDUSBCDJUEUFUGUHUI $.
      $( [13-Feb-2015] $)
  $}


  ${
    $d A x y s t $.  $d B x y s t $.  $d R x y s t $.
    brimage.1 $e |- A e. _V $.
    brimage.2 $e |- B e. _V $.
    $( Binary relationship over the image function. $)
    brimage $p |- ( A Image R B <-> B = ( R " A ) ) $=
      ( vx vt vy cop csset wcel wn cv wbr wex bitri wa exbii 3bitri cvv csymdif
      cins2 csi ccnv ccom c1c cima wb wal cimage wceq elima1c elsymdif otelins2
      cins3 csn vex opelssetsn otelins3 brcnv brsnsi2 anbi1i 19.41v excom anass
      bitr4i breq1 anbi2d ceqsexv brssetsn anbi2i opelco elima2 3bitr4i bibi12i
      snex ancom xchbinx exnal 3bitrri con1bii cxp df-br df-image eleq2i opelxp
      cdif mpbir2an eldif mpbiran dfcleq ) ABIZJUBZJCUCZUDZUEZUOZUAZUFUGZKZLZFM
      ZBKZXBCAUGZKZUHZFUIZABCUJZNZBXDUKXGWTWTXBUPZWLIZWRKZFOXFLZFOXGLFWLWRULXLX
      MFXLXKWMKZXKWQKZUHXFXKWMWQUMXNXCXOXEXNXJBIJKXCXJABJDUNXBBFUQZEURPXOXJAIWP
      KZXEXJABWPEUSXJGMZWONZXRAJNZQZGOZHMZAKZYCXBCNZQZHOZXQXEYBXRYCUPZUKZYEQZXT
      QZHOZGOYKGOZHOYGYAYLGYAYJHOZXTQYLXSYNXTXSXRXJWNNYNXJXRWNUTHXBXRCXPVAPVBYJ
      XTHVCVFRYKGHVDYMYFHYMYIYEXTQZQZGOYEYHAJNZQZYFYKYPGYIYEXTVERYOYRGYHYCVPYIX
      TYQYEXRYHAJVGVHVIYRYEYDQYFYQYDYEYCAHUQDVJVKYEYDVQPSRSGXJAJWOVLHXBCAVMVNPV
      OVRRXFFVSVTWAXIWLXHKWLTTWBZWSWGZKZXAABXHWCXHYTWLCWDWEUUAWLYSKZXAUUBATKBTK
      DEABTTWFWHWLYSWSWIWJSFBXDWKVN $.
      $( [11-Feb-2015] $)
  $}

  ${
    $d a b $.  $d a p $.  $d a x $.  $d A x $.  $d a y $.  $d a z $.  $d b p $.
    $d b x $.  $d B x $.  $d b y $.  $d B y $.  $d b z $.  $d B z $.  $d C x $.
    $d C z $.  $d D a $.  $d D b $.  $d D p $.  $d D x $.  $d D y $.  $d D z $.
    $d p x $.  $d p y $.  $d p z $.  $d R p $.  $d R x $.  $d R y $.  $d R z $.
    $d x y $.  $d x z $.  $d y z $.
    oqelins4.4 $e |- D e. _V $.
    $( Ordered quadruple membership in ` Ins4 ` . $)
    oqelins4 $p |- ( <. A , <. B , <. C , D >. >. >. e. Ins4 R
       <-> <. A , <. B , C >. >. e. R ) $=
      ( vx vp vb va cop wcel cvv wa bitri wceq opeq1 c1st wbr wex vy cins4 elex
      vz opexb anbi2i simplbi anim2i sylbi sylib wb cv wi eleq1d bibi12d imbi2d
      syl opeq2d opeq2 c2nd ccom ctxp ccnv cima df-ins4 eleq2i wrex brcnv brtxp
      w3a weq 3ancoma 3anass vex opex opbr1st equcom anbi1i 3bitri exbii 19.42v
      eqeq2d anbi1d exbidv ceqsexv ancom 3anrot brco2nd biid 3anbi123i ceqsex2v
      2exbii rexbii elima risset 3bitr4i vtocl2g vtoclg imp pm5.21nii ) ABCDKZK
      ZKZEUBZLZAMLZBMLZCMLZNZNZABCKZKZELZXEXCMLZXJXCXDUCXNXFXGXAMLZNZNZXJXNXFXB
      MLZNXQAXBUEXRXPXFBXAUEUFOXPXIXFXOXHXGXOXHDMLCDUEUGUHUHUIUQXMXLMLZXJXLEUCX
      SXFXKMLZNXJAXKUEXTXIXFBCUEUFOUJXFXIXEXMUKZXIGULZXBKZXDLZYBXKKZELZUKZUMXIY
      AUMGAMYBAPZYGYAXIYHYDXEYFXMYHYCXCXDYBAXBQUNYHYEXLEYBAXKQUNUOUPYBUAULZUDUL
      ZDKZKZKZXDLZYBYIYJKZKZELZUKYBBYKKZKZXDLZYBBYJKZKZELZUKYGUAUDBCMMYIBPZYNYT
      YQUUCUUDYMYSXDUUDYLYRYBYIBYKQURUNUUDYPUUBEUUDYOUUAYBYIBYJQURUNUOYJCPZYTYD
      UUCYFUUEYSYCXDUUEYRXBYBUUEYKXABYJCDQURURUNUUEUUBYEEUUEUUAXKYBYJCBUSURUNUO
      YNYMRRUTVAZUUFUTVAZVBZVBZVCZEVDZLZYQXDUUKYMEVEVFHULZYMUUJSZHEVGUUMYPPZHEV
      GUULYQUUNUUOHEUUNYMUUMUUISZUUMYBIULZKZPZYMUUQUUHSZNZITZUUOUUMYMUUIVHUUPUU
      MJULZUUQKZPZYMUVCRSZUUTVJZITZJTJGVKZUVEUUTNZITZNZJTUVBJIYMUUMRUUHVIUVHUVL
      JUVHUVIUVJNZITUVLUVGUVMIUVGUVFUVEUUTVJUVFUVJNUVMUVEUVFUUTVLUVFUVEUUTVMUVF
      UVIUVJUVFGJVKUVIYBYLUVCGVNZYIYKUAVNZYJDUDVNZFVOZVOZVPGJVQOVRVSVTUVIUVJIWA
      OVTUVKUVBJYBUVNUVIUVJUVAIUVIUVEUUSUUTUVIUVDUURUUMUVCYBUUQQWBWCWDWEVSUVBUU
      QYOPZUUSNZITUUOUVAUVTIUVAUUTUUSNUVTUUSUUTWFUUTUVSUUSUUTUUQUUMUVCKZPZYMUUM
      UUFSZYMUVCUUGSZVJZJTHTHUAVKZJUDVKZUWBVJZJTHTUVSHJYMUUQUUFUUGVIUWEUWHHJUWE
      UWCUWDUWBVJUWHUWBUWCUWDWGUWCUWFUWDUWGUWBUWBUWCYLUUMRSUAHVKUWFYBYLUUMRUVNU
      VRWHYIYKUUMUVOUVQVPUAHVQVSUWDYLUVCUUFSZUDJVKZUWGYBYLUVCUUFUVNUVRWHUWIYKUV
      CRSUWJYIYKUVCRUVOUVQWHYJDUVCUVPFVPOUDJVQVSUWBWIWJOWLUWBUUQYIUVCKZPUVSHJYI
      YJUVOUVPUWFUWAUWKUUQUUMYIUVCQWBUWGUWKYOUUQUVCYJYIUSWBWKVSVROVTUUSUUOIYOYI
      YJUVOUVPVOUVSUURYPUUMUUQYOYBUSWBWEOVSWMHYMUUJEWNHYPEWOWPOWQWRWSWT $.
      $( [13-Feb-2015] $)
  $}

  $( ` Ins2 ` preserves sethood. $)
  ins2exg $p |- ( A e. V -> Ins2 A e. _V ) $=
    ( wcel cins2 cvv ctxp df-ins2 vvex txpexg mpan syl5eqel ) ABCZADEAFZEAGEECL
    MECHEAEBIJK $.
    $( [9-Mar-2015] $)

  $( ` Ins3 ` preserves sethood. $)
  ins3exg $p |- ( A e. V -> Ins3 A e. _V ) $=
    ( wcel cins3 cvv ctxp df-ins3 vvex txpexg mpan2 syl5eqel ) ABCZADAEFZEAGLEE
    CMECHAEBEIJK $.
    $( [22-Feb-2015] $)

  ${
    insex.1 $e |- A e. _V $.
    $( ` Ins2 ` preserves sethood. $)
    ins2ex $p |- Ins2 A e. _V $=
      ( cvv wcel cins2 ins2exg ax-mp ) ACDAECDBACFG $.
      $( [12-Feb-2015] $)

    $( ` Ins3 ` preserves sethood. $)
    ins3ex $p |- Ins3 A e. _V $=
      ( cvv wcel cins3 ins3exg ax-mp ) ACDAECDBACFG $.
      $( [12-Feb-2015] $)

    $( ` Ins4 ` preserves sethood. $)
    ins4ex $p |- Ins4 A e. _V $=
      ( cins4 c1st c2nd ccom ctxp ccnv cima cvv df-ins4 1stex 2ndex txpex cnvex
      coex imaex eqeltri ) ACDDEFZSEFZGZGZHZAIJAKUCAUBDUALSTDELMPZSEUDMPNNOBQR
      $.
      $( [12-Feb-2015] $)
  $}


  $( The image function of a set is a set. $)
  imageexg $p |- ( A e. V -> Image A e. _V ) $=
    ( wcel cimage cvv cxp csset cins2 csi ccnv ccom cins3 csymdif c1c cima cdif
    vvex ssetex sylancr syl df-image siexg xpex ins2ex cnvexg ins3exg symdifexg
    coexg 1cex imaexg sylancl difexg syl5eqel ) ABCZADEEFZGHZGAIZJZKZLZMZNOZPZE
    AUAUNUQECZVCECZABUBVDUOECVBECZVEEEQQUCVDVAECZNECVFVDUPECUTECZVGGRUDVDUSECZV
    HVDGECURECVIRUQEUEGUREEUHSUSEUFTUPUTEEUGSUIVANEEUJUKUOVBEEULSTUM $.
    $( [11-Feb-2015] $)

  ${
    imageex.1 $e |- A e. _V $.
    $( The image function of a set is a set. $)
    imageex $p |- Image A e. _V $=
      ( cvv wcel cimage imageexg ax-mp ) ACDAECDBACFG $.
      $( [11-Feb-2015] $)
  $}

  ${
    $d R x y z $.
    $( Subset law for tail cross product. $)
    txpssvvv $p |- ( R (x) S ) C_ ( _V X. ( _V X. _V ) ) $=
      ( vx vy vz ctxp c1st ccnv ccom c2nd cvv cxp cv wbr wex cop opelxp exlimiv
      wcel vex cin df-txp inss1 relco wa wceq brcnv br1st bitri mpbir2an mpbiri
      eleq1 sylbi adantl opelco mpbiran 3imtr4i relssi sstri eqsstri ) ABFGHZAI
      ZJHBIZUAZKKKLZLZABUBVDVBVFVBVCUCCDVBVFVAAUDCMZEMZANZVHDMZVANZUEZEOVJVESZV
      GVJPZVBSVNVFSZVLVMEVKVMVIVKVJVHVGPZUFZCOZVMVKVJVHGNVRVHVJGUGCVJVHETZUHUIV
      QVMCVQVMVPVESZVTVHKSVGKSZVSCTZVHVGKKQUJVJVPVEULUKRUMUNREVGVJVAAUOVOWAVMWB
      VGVJKVEQUPUQURUSUT $.
      $( [18-Feb-2015] $)
  $}

  ${
    $d p x $.  $d p y $.  $d p z $.  $d R p $.  $d R x $.  $d R y $.  $d R z $.
    $d S p $.  $d S x $.  $d S y $.  $d S z $.  $d x y $.  $d x z $.  $d y z $.
    $( The domain of a tail cross product is the intersection of the domains of
       its arguments. $)
    dmtxp $p |- dom ( R (x) S ) = ( dom R i^i dom S ) $=
      ( vx vp vy vz ctxp cdm cin cv wbr wex wa wcel cop exbii bitri bicomi eldm
      vex wceq w3a brtxp exrot3 3anass 19.41v opex isseti biantrur elin anbi12i
      2exbii eeanv 3bitr4i eqriv ) CABGZHZAHZBHZIZCJZDJZUPKZDLZVAEJZAKZVAFJZBKZ
      MZFLELZVAUQNVAUTNZVDVBVEVGOZUAZVFVHUBZDLZFLELZVJVDVNFLELZDLVPVCVQDEFVAVBA
      BUCPVNDEFUDQVOVIEFVOVMDLZVIMZVIVOVMVIMZDLVSVNVTDVMVFVHUEPVMVIDUFQVIVSVRVI
      DVLVEVGETFTUGUHUIRQULQDVAUPSVKVAURNZVAUSNZMZVJVAURUSUJWCVFELZVHFLZMZVJWAW
      DWBWEEVAASFVABSUKVJWFVFVHEFUMRQQUNUO $.
      $( [18-Feb-2015] $)
  $}

  ${
    $d F t $.  $d F x $.  $d F y $.  $d F z $.  $d R t $.  $d R x $.  $d R y $.
    $d R z $.  $d s t $.  $d S t $.  $d s x $.  $d S x $.  $d s y $.  $d S y $.
    $d s z $.  $d S z $.  $d t x $.  $d t y $.  $d t z $.  $d x y $.  $d x z $.
    $d y z $.  $d F u $.  $d F v $.  $d R v $.  $d S u $.  $d S v $.  $d u v $.
    $d u x $.  $d u z $.  $d v x $.  $d v y $.  $d v z $.
    txpcofun.1 $e |- Fun F $.
    $( Composition distributes over tail cross product in the case of a
       function. $)
    txpcofun $p |- ( ( R (x) S ) o. F ) = ( ( R o. F ) (x) ( S o. F ) ) $=
      ( vx vy vz vv vu wceq cv wcel wb cvv wss cdm cop wex wbr wa ctxp ccom cxp
      vt vs wral crn wrel relco relssdmrn ax-mp ssv rncoss txpssvvv rnss rnxpss
      sstri xpss12 mp2an ssofeq wrex elxp2 rexv opeq2 eqeq2d rexxp exbii 3bitri
      dmcoss opeldm sseldi df-br dmtxp inss1 eqsstri breldm sylbir trtxp anbi2i
      cin anass bitr4i wfun wi funbrfv fvex breq1 ceqsexv eqcom funbrfvb syl5bb
      cfv anbi1d exbidv syl5bbr bibi1d syl5ibcom adantrd pm5.32d opelco anbi12i
      mpan syl5 oteltxp 19.41v 3bitr4i 3bitr4g pm5.21nii bibi12d mpbiri exlimiv
      eleq1 exlimivv sylbi mprgbir ) ABUAZCUBZACUBZBCUBZUAZJZUDKZXQLZYBXTLZMZUD
      NNNUCZUCZXQYGOXTYGOYAYEUDYGUFMXQXQPZXQUGZUCZYGXQUHXQYJOXPCUIXQUJUKYHNOYIY
      FOYJYGOYHULYIXPUGZYFXPCUMYKYGUGZYFXPYGOYKYLOABUNXPYGUOUKNYFUPUQUQYHNYIYFU
      RUSUQXRXSUNUDXQXTYGUTUSYBYGLZYBEKZFKZGKZQZQZJZGRZFRZERZYEYMYBYNUEKZQZJZUE
      YFVAZENVAUUFERUUBEUEYBNYFVBUUFEVCUUFUUAEUUFYSGNVAZFNVAUUGFRUUAUUEYSUEFGNN
      UUCYQJUUDYRYBUUCYQYNVDVEVFUUGFVCUUGYTFYSGVCVGVHVGVHYTYEEFYSYEGYSYEYRXQLZY
      RXTLZMUUHYNCPZLZUUIUUHYHUUJYNXPCVIYNYQXQVJVKUUIYNYQXTSZUUKYNYQXTVLUULXTPZ
      UUJYNUUMXRPZXSPZVTZUUJXRXSVMUUPUUNUUJUUNUUOVNACVIUQVOYNYQXTVPVKVQUUKYNHKZ
      CSZUUQYQXPSZTZHRUURUUQYOASZTZYNIKZCSZUVCYPBSZTZIRZTZHRZUUHUUIUUKUUTUVHHUU
      TUVBUUQYPBSZTZUUKUVHUUTUURUVAUVJTZTUVKUUSUVLUURUUQYOYPABVRVSUURUVAUVJWAWB
      UUKUVBUVJUVGUUKUURUVJUVGMZUVAUURYNCWLZUUQJZUUKUVMCWCZUURUVOWDDYNUUQCWEUKU
      UKUVNYPBSZUVGMUVOUVMUVQUVCUVNJZUVETZIRUUKUVGUVEUVQIUVNYNCWFUVCUVNYPBWGWHU
      UKUVSUVFIUUKUVRUVDUVEUVRUVNUVCJZUUKUVDUVCUVNWIUVPUUKUVTUVDMDYNUVCCWJXBWKW
      MWNWOUVOUVQUVJUVGUVNUUQYPBWGWPWQXCWRWSWKWNHYNYQXPCWTYNYOQXRLZYNYPQXSLZTUV
      BHRZUVGTUUIUVIUWAUWCUWBUVGHYNYOACWTIYNYPBCWTXAYNYOYPXRXSXDUVBUVGHXEXFXGXH
      YSYCUUHYDUUIYBYRXQXLYBYRXTXLXIXJXKXMXNXO $.
      $( [18-Feb-2015] $)
  $}

  ${
    $d a b $.  $d a c $.  $d a d $.  $d a x $.  $d a y $.  $d a z $.  $d b c $.
    $d b d $.  $d b x $.  $d b y $.  $d b z $.  $d c d $.  $d c x $.  $d c y $.
    $d c z $.  $d d x $.  $d d y $.  $d d z $.  $d F a $.  $d F b $.  $d F c $.
    $d F d $.  $d F x $.  $d F y $.  $d F z $.  $d G a $.  $d G b $.  $d G c $.
    $d G d $.  $d G x $.  $d G y $.  $d G z $.  $d x y $.  $d x z $.  $d y z $.
    $( If ` F ` and ` G ` are functions, then their tail cross product is a
       function over the intersection of their domains. $)
    fntxp $p |- ( ( F Fn A /\ G Fn B ) -> ( F (x) G ) Fn ( A i^i B ) ) $=
      ( vx vy vz va vb vc vd wfun cdm wceq wa wfn cv wbr wi wex cin weq wal cop
      ctxp w3a anbi12i ee4anv bitr4i 3an6 bicomi fununiq 3expib im2anan9 eqeq12
      brtxp opth syl6bb imbi2d biimprcd syl exp4a 3impd syl5bi exlimdvv alrimiv
      alrimivv wrel reltxp dffun2 mpbiran sylibr dmtxp ineq12 syl5eq an4s df-fn
      anim12i 3imtr4i ) CLZCMZANZOZDLZDMZBNZOZOCDUEZLZWHMZABUAZNZOZCAPZDBPZOWHW
      KPVTWDWBWFWMVTWDOZWIWBWFOZWLWPEQZFQZWHRZWRGQZWHRZOZFGUBZSZGUCZFUCEUCZWIWP
      XFEFWPXEGXCWSHQZIQZUDZNZWRXHCRZWRXIDRZUFZXAJQZKQZUDZNZWRXOCRZWRXPDRZUFZOZ
      KTJTZITHTZWPXDXCXNITHTZYAKTJTZOYDWTYEXBYFHIWRWSCDUPJKWRXACDUPUGXNYAHIJKUH
      UIWPYCXDHIWPYBXDJKYBXKXROZXLXSOZXMXTOZUFZWPXDYJYBXKXRXLXSXMXTUJUKWPYGYHYI
      XDWPYGYHYIXDWPYHYIOZHJUBZIKUBZOZSZYGYKXDSZSVTYHYLWDYIYMVTXLXSYLWRXHXOCULU
      MWDXMXTYMWRXIXPDULUMUNYGYPYOYGXDYNYKYGXDXJXQNYNWSXJXAXQUOXHXIXOXPUQURUSUT
      VAVBVCVDVEVEVDVFVGWIWHVHXGCDVIEFGWHVJVKVLWQWJWAWEUAWKCDVMWAAWEBVNVOVRVPWN
      WCWOWGCAVQDBVQUGWHWKVQVS $.
      $( [24-Feb-2015] $)
  $}

  ${
    $d A p x $.  $d B x p $.  $d C x p $.  $d R x p $.
    otsnelsi3.1 $e |- A e. _V $.
    otsnelsi3.2 $e |- B e. _V $.
    otsnelsi3.3 $e |- C e. _V $.
    $( Ordered triple membership in triple singleton image. $)
    otsnelsi3 $p |- ( <. { A } , <. { B } , { C } >. >. e. SI_3 R <->
      <. A , <. B , C >. >. e. R ) $=
      ( vp vx csn cop c1st csi c2nd ccom ctxp wcel wa wbr cvv cv wrex wceq csi3
      oteltxp df-br vex brsnsi bitr3i cxp wfo 2ndfo fofun ax-mp txpcofun eleq2i
      wfun opsnelsi anbi12i 3bitr4ri opelco exancom trtxp op1st2nd bitri anbi1i
      wex exbii opex breq2 ceqsexv 3bitri rexbii df-si3 elimapw1 risset 3bitr4i
      cpw1 cima ) HUAZJZAJZBJZCJZKZKZKLMZLNOZMZNNOZMZPZPZQZHDUBZVTABCKZKZUCZHDU
      BWFDUDZQZWQDQWNWRHDWNWAWBKWGQZWAWEKWLQZRVTALSZVTWPNSZRWRWAWBWEWGWLUEXAXCX
      BXDXAWAWBWGSXCWAWBWGUFVTALHUGZEUHUIXBWAWCKWIQZWAWDKWKQZRZVTWPKZLNPZNOZQZX
      DWAWCWDWIWKUEXIWHWJPZQVTBKWHQZVTCKWJQZRXLXHVTBCWHWJUEXKXMXILNNTTUJZTNUKNU
      QULXPTNUMUNUOUPXFXNXGXOVTBWHXEFURVTCWJXEGURUSUTXLVTIUAZNSZXQWPXJSZRIVGXSX
      RRZIVGZXDIVTWPXJNVAXRXSIVBYAXQWPUCZXRRZIVGXDXTYCIXSYBXRXSXQBLSXQCNSRYBXQB
      CLNVCBCXQFGVDVEVFVHXRXDIWPBCFGVIZXQWPVTNVJVKVEVLVLUSAWPVTEYDVDVLVMWTWFWMD
      VRVSZQWOWSYEWFDVNUPHWFWMDVOVEHWQDVPVQ $.
      $( [12-Feb-2015] $)
  $}

  ${
    si3ex.1 $e |- A e. _V $.
    $( ` SI_3 ` preserves sethood. $)
    si3ex $p |- SI_3 A e. _V $=
      ( csi3 c1st csi c2nd ccom ctxp cpw1 cima cvv df-si3 1stex siex 2ndex coex
      txpex pw1ex imaex eqeltri ) ACDEZDFGZEZFFGZEZHZHZAIZJKALUGUHUAUFDMNUCUEUB
      DFMOPNUDFFOOPNQQABRST $.
      $( [12-Feb-2015] $)
  $}

  ${
    $d A y $.  $d R y $.  $d T y $.  $d x y $.
    releqel.1 $e |- T e. _V $.
    releqel.2 $e |- ( <. { y } , T >. e. R <-> y e. A ) $.
    $( Lemma to turn a membership condition into an equality condition. $)
    releqel $p |- ( <. x , T >. e. ~ ( ( Ins3 SSet (+) Ins2 R ) " 1c ) <->
     x = A ) $=
      ( cv cop csset cins3 cins2 csymdif c1c wcel wn wb wex vex bitri cima wceq
      wel wal csn elima1c elsymdif otelins3 opelssetsn otelins2 bibi12i xchbinx
      ccompl exbii exnal 3bitrri con1bii opex elcompl dfcleq 3bitr4i ) AHZEIZJK
      ZDLZMZNUAZOZPBAUCZBHZCOZQZBUDZVCVGUMOVBCUBVMVHVHVJUEZVCIZVFOZBRVLPZBRVMPB
      VCVFUFVPVQBVPVOVDOZVOVEOZQVLVOVDVEUGVRVIVSVKVRVNVBIJOVIVNVBEJFUHVJVBBSASZ
      UITVSVNEIDOVKVNVBEDVTUJGTUKULUNVLBUOUPUQVCVGVBEVTFURUSBVBCUTVA $.
      $( [9-Mar-2015] $)
  $}

  ${
    $d A x y z $.  $d ph z $.
    releqopab.1 $e |- ( <. x , y >. e. A <-> ph ) $.
    $( Equality condition for an ordered pair abstraction. $)
    releqopab $p |- ( ( _V X. _V ) i^i A ) = { <. x , y >. | ph } $=
      ( vz cvv cxp cin cv cop wceq wa wex cab copab wcel elvv anbi1i elin eleq1
      19.41vv 3bitr4i syl6bb pm5.32i 2exbii bitri abbi2i df-opab eqtr4i ) GGHZD
      IZFJZBJCJKZLZAMZCNBNZFOABCPUQFULUMULQZUOUMDQZMZCNBNZUQUMUKQZUSMUOCNBNZUSM
      URVAVBVCUSBCUMRSUMUKDTUOUSBCUBUCUTUPBCUOUSAUOUSUNDQAUMUNDUAEUDUEUFUGUHABC
      FUIUJ $.
      $( [18-Feb-2015] $)
  $}

  ${
    $d A x $.  $d A z $.  $d R x $.  $d R y $.  $d R z $.  $d V y $.  $d V z $.
    $d x y $.  $d x z $.  $d y z $.
    releqmpt.1 $e |- ( <. { y } , x >. e. R <-> y e. V ) $.
    $( Equality condition for a mapping. $)
    releqmpt $p |- ( ( A X. _V ) i^i
      `' ~ ( ( Ins3 SSet (+) Ins2 R ) " 1c ) ) = ( x e. A |-> V ) $=
      ( vz cvv cxp csset cins3 cins2 cin cv wcel wceq wa cop vex bitri c1c cima
      csymdif ccompl ccnv copab cmpt inass xpss sseqin2 mpbi ineq1i elin opelxp
      wss mpbiran2 opelcnv releqel anbi12i releqopab 3eqtr3i df-mpt eqtr4i ) CH
      IZJKDLUCUAUBUDZUEZMZANZCOZGNZEPZQZAGUFZACEUGHHIZVDMZVFMVNVGMVGVMVNVDVFUHV
      OVDVFVDVNUOVOVDPCHUIVDVNUJUKULVLAGVGVHVJRZVGOVPVDOZVPVFOZQVLVPVDVFUMVQVIV
      RVKVQVIVJHOGSVHVJCHUNUPVRVJVHRVEOVKVHVJVEUQGBEDVHASFURTUSTUTVAAGCEVBVC $.
      $( [9-Mar-2015] $)
  $}

  ${
    $d A w $.  $d A x $.  $d A y $.  $d A z $.  $d ph w $.  $d w x $.
    $d w y $.  $d w z $.  $d x y $.  $d x z $.  $d y z $.
    releqoprab.1 $e |- ( <. <. x , y >. , z >. e. A <-> ph ) $.
    $( Equality condition for an operator abstraction. $)
    releqoprab $p |- ( ( ( _V X. _V ) X. _V ) i^i A ) =
                { <. <. x , y >. , z >. | ph } $=
      ( vw cvv cxp cin cv cop wceq wa wex cab copab2 wcel elvvv anbi1i 19.41vvv
      elin 3bitr4i eleq1 syl6bb pm5.32i 3exbii bitri abbi2i df-oprab eqtr4i ) H
      HIHIZEJZGKZBKCKLDKLZMZANZDOCOBOZGPABCDQURGUMUNUMRZUPUNERZNZDOCOBOZURUNULR
      ZUTNUPDOCOBOZUTNUSVBVCVDUTBCDUNSTUNULEUBUPUTBCDUAUCVAUQBCDUPUTAUPUTUOERAU
      NUOEUDFUEUFUGUHUIABCDGUJUK $.
      $( [13-Feb-2015] $)
  $}

  ${
    $d A w $.  $d A x $.  $d A y $.  $d B w $.  $d B x $.  $d B y $.  $d R w $.
    $d R x $.  $d R y $.  $d R z $.  $d V w $.  $d V z $.  $d w x $.  $d w y $.
    $d w z $.  $d x y $.  $d x z $.  $d y z $.
    releqmpt2.1 $e |- ( <. { z } , <. x , y >. >. e. R <-> z e. V ) $.
    $( Equality condition for a mapping operation. $)
    releqmpt2 $p |- ( ( ( A X. B ) X. _V ) \
     ( ( Ins2 SSet (+) Ins3 R ) " 1c ) ) = ( x e. A , y e. B |-> V ) $=
      ( vw cxp cvv csset cin cv wcel wa cop vex bitri wn cins2 csymdif c1c cima
      cins3 ccompl wceq copab2 cdif cmpt2 inass xpss xpss1 ax-mp sseqin2 ineq1i
      wss mpbi elin opelxp mpbiran2 wel wal csn wex elima1c elsymdif opelssetsn
      opex otelins2 otelins3 bibi12i xchbinx exbii exnal 3bitri con2bii elcompl
      wb dfcleq 3bitr4ri anbi12i releqoprab 3eqtr3i df-dif df-mpt2 3eqtr4i ) DE
      JZKJZLUAZFUEZUBZUCUDZUFZMZANZDOBNZEOPZINZGUGZPZABIUHZWIWMUIABDEGUJKKJZKJZ
      WIMZWNMXDWOMWOXBXDWIWNUKXEWIWNWIXDUQZXEWIUGWHXCUQXFDEULWHXCKUMUNWIXDUOURU
      PXAABIWOWPWQQZWSQZWOOXHWIOZXHWNOZPXAXHWIWNUSXIWRXJWTXIXGWHOZWRXIXKWSKOIRZ
      XGWSWHKUTVAWPWQDEUTSCIVBZCNZGOZVSZCVCZXHWMOZTWTXJXRXQXRXNVDZXHQZWLOZCVEXP
      TZCVEXQTCXHWLVFYAYBCYAXTWJOZXTWKOZVSXPXTWJWKVGYCXMYDXOYCXSWSQLOXMXSXGWSLW
      PWQARBRVIZVJXNWSCRXLVHSYDXSXGQFOXOXSXGWSFXLVKHSVLVMVNXPCVOVPVQCWSGVTXHWMX
      GWSYEXLVIVRWAWBSWCWDWIWMWEABIDEGWFWG $.
      $( [13-Feb-2015] $)
  $}

  ${
    mptexlem.1 $e |- A e. _V $.
    mptexlem.2 $e |- R e. _V $.
    $( Lemma for the existence of a mapping. $)
    mptexlem $p |- ( ( A X. _V ) i^i
      `' ~ ( ( Ins3 SSet (+) Ins2 R ) " 1c ) ) e. _V $=
      ( cvv cxp csset cins3 cins2 csymdif c1c cima ccompl ccnv vvex xpex ssetex
      ins3ex ins2ex symdifex 1cex imaex complex cnvex inex ) AEFGHZBIZJZKLZMZNA
      ECOPUJUIUHKUFUGGQRBDSTUAUBUCUDUE $.
      $( [9-Mar-2015] $)
  $}

  ${
    mpt2exlem.1 $e |- A e. _V $.
    mpt2exlem.2 $e |- B e. _V $.
    mpt2exlem.3 $e |- R e. _V $.
    $( Lemma for the existence of a double mapping. $)
    mpt2exlem $p |- ( ( ( A X. B ) X. _V ) \
     ( ( Ins2 SSet (+) Ins3 R ) " 1c ) ) e. _V $=
      ( cxp cvv csset cins2 cins3 csymdif cima xpex vvex ssetex ins2ex symdifex
      c1c ins3ex 1cex imaex difex ) ABGZHGIJZCKZLZSMUDHABDENONUGSUEUFIPQCFTRUAU
      BUC $.
      $( [13-Feb-2015] $)
  $}

  ${
    $d A x y $.  $d B y $.
    $( The value of the little cup function. $)
    cupvalg $p |- ( ( A e. V /\ B e. W ) -> ( A Cup B ) = ( A u. B ) ) $=
      ( vx vy wcel cvv ccup co cun wceq elex unexg uneq1 df-cup ovmpt2g mpd3an3
      cv uneq2 syl2an ) ACGAHGZBHGZABIJABKZLZBDGACMBDMUBUCUDHGUEABHHNEFABHHESZF
      SZKUDIAUGKHUFAUGOUGBATEFPQRUA $.
      $( [11-Feb-2015] $)
  $}

  ${
    $d x y z $.
    $( The cup function is a function over the cross product of the
       universe. $)
    fncup $p |- Cup Fn ( _V X. _V ) $=
      ( vx vy vz ccup cvv cxp wfn cv wcel cun wceq copab2 copab weu wex wmo vex
      wa unex isset mpbi eu5 mpbir2an a1i fnoprab wb cmpt2 df-cup df-mpt2 eqtri
      moeq df-xp fneq1 fneq2 sylan9bb mp2an mpbir ) DEEFZGZAHZEIBHZEIRZCHUTVAJZ
      KZRABCLZVBABMZGZVBVDABCVDCNZVBVHVDCOZVDCPVCEIVIUTVAAQBQSCVCTUACVCUKVDCUBU
      CUDUEDVEKZURVFKZUSVGUFDABEEVCUGVEABUHABCEEVCUIUJABEEULVJUSVEURGVKVGURDVEU
      MURVFVEUNUOUPUQ $.
      $( [11-Feb-2015] $)
  $}

  $( Binary relationship form of the cup function. $)
  brcupg $p |- ( ( A e. V /\ B e. W ) -> ( <. A , B >. Cup C <-> C = ( A u. B
      ) ) ) $=
    ( wcel cvv cop ccup wbr cun wceq wb elex wa cfv cxp opelxp wfn fncup sylbir
    fnbrfvb mpan co df-ov cupvalg syl5eqr eqeq1d eqcom syl6bb bitr3d syl2an ) A
    DFAGFZBGFZABHZCIJZCABKZLZMBEFADNBENUMUNOZUOIPZCLZUPURUSUOGGQZFZVAUPMZABGGRI
    VBSVCVDTVBUOCIUBUCUAUSVAUQCLURUSUTUQCUSUTABIUDUQABIUEABGGUFUGUHUQCUIUJUKUL
    $.
    $( [11-Feb-2015] $)

  ${
    brcup.1 $e |- A e. _V $.
    brcup.2 $e |- B e. _V $.
    $( Binary relationship form of the cup function. $)
    brcup $p |- ( <. A , B >. Cup C <-> C = ( A u. B ) ) $=
      ( cvv wcel cop ccup wbr cun wceq wb brcupg mp2an ) AFGBFGABHCIJCABKLMDEAB
      CFFNO $.
      $( [11-Feb-2015] $)
  $}

  ${
    $d w x y z $.
    $( The little cup function is a set. $)
    cupex $p |- Cup e. _V $=
      ( vx vy vz ccup cvv cxp csset cins3 cun cv cop wcel wo wel vex opelssetsn
      bitri elun vvex ssetex cins2 c1c cima cdif cmpt2 df-cup otelins3 otelins2
      csymdif csn orbi12i 3bitr4i releqmpt2 eqtr4i ins3ex ins2ex unex mpt2exlem
      eqeltri ) DEEFEFGUAZGHZUTIZHUIUBUCUDZEDABEEAJZBJZIZUEVCABUFABCEEVBVFCJZUJ
      ZVDVEKKZVALZVIUTLZMCANZCBNZMVIVBLVGVFLVJVLVKVMVJVHVDKGLVLVHVDVEGBOZUGVGVD
      COZAOZPQVKVHVEKGLVMVHVDVEGVPUHVGVEVOVNPQUKVIVAUTRVGVDVERULUMUNEEVBSSVAUTG
      TUOGTUPUQURUS $.
      $( [11-Feb-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    $( The binary relationship form of the ` Disj ` relationship. $)
    brdisjg $p |- ( ( A e. V /\ B e. W ) ->
             ( A Disj B <-> ( A i^i B ) = (/) ) ) $=
      ( vx vy cv cin c0 wceq cdisj ineq1 eqeq1d ineq2 df-disj brabg ) EGZFGZHZI
      JARHZIJABHZIJEFABCDKQAJSTIQARLMRBJTUAIRBANMEFOP $.
      $( [11-Feb-2015] $)
  $}

  ${
    brdisj.1 $e |- A e. _V $.
    brdisj.2 $e |- B e. _V $.
    $( The binary relationship form of the ` Disj ` relationship. $)
    brdisj $p |- ( A Disj B <-> ( A i^i B ) = (/) ) $=
      ( cvv wcel cdisj wbr cin c0 wceq wb brdisjg mp2an ) AEFBEFABGHABIJKLCDABE
      EMN $.
      $( [11-Feb-2015] $)
  $}

  ${
    $d x y z $.
    $( The disjointedness relationship is a set. $)
    disjex $p |- Disj e. _V $=
      ( vx vy vz cdisj cvv csset c1c cv wceq cop wa wex wcel wn 3bitr4i wel vex
      opelssetsn bitri vvex cxp ctxp cima cdif cin c0 copab cab df-opab df-disj
      elvv anbi1i eldif 19.41vv eleq1 notbid wral disj wrex csn oteltxp anbi12i
      elima1c df-rex dfrex2 con2bii bitr2i syl6bb pm5.32i 2exbii abbi2i 3eqtr4i
      exbii xpex ssetex txpex 1cex imaex difex eqeltri ) DEEUAZFFUBZGUCZUDZEAHZ
      BHZUEUFIZABUGCHZWEWFJZIZWGKZBLALZCUHDWDWGABCUIABUJWLCWDWHWDMZWJWHWCMZNZKZ
      BLALZWLWHWAMZWOKWJBLALZWOKWMWQWRWSWOABWHUKULWHWAWCUMWJWOABUNOWPWKABWJWOWG
      WJWOWIWCMZNZWGWJWNWTWHWIWCUOUPWGCBPZNCWEUQZXACWEWFURWTXCWTXBCWEUSZXCNWHUT
      ZWIJWBMZCLCAPZXBKZCLWTXDXFXHCXFXEWEJFMZXEWFJFMZKXHXEWEWFFFVAXIXGXJXBWHWEC
      QZAQRWHWFXKBQRVBSVMCWIWBVCXBCWEVDOXBCWEVESVFVGVHVIVJSVKVLWAWCEETTVNWBGFFV
      OVOVPVQVRVSVT $.
      $( [11-Feb-2015] $)
  $}

  ${
    $d x y z w a b p t $.
    $( The cardinal addition function exists. $)
    addcfnex $p |- AddC e. _V $=
      ( vx vy vz va vb vp cvv csset cdisj c1st c2nd ccup cv cop wcel wa wex wbr
      wrex bitri caddcfn cxp cins2 cins3 ccom ctxp cima cin csi3 cins4 c1c cdif
      csymdif cplc cmpt2 df-addcfn csn c0 wceq cun wel elin otelins2 opelssetsn
      snex 3bitri oqelins4 otsnelsi3 otelins3 df-br brdisj 3bitr2i trtxp anbi2i
      vex anass 3bitr4i brco br1st 19.42v bitr4i exbii excom exancom opex breq2
      weq ceqsexv anbi1i 19.41v wb breq1 brco1st opbr2nd syl6bb exlimiv pm5.32i
      sylbi opeq2 breq2d rexbii elima risset brcup anbi12i df-rex eladdc rexcom
      op1st2nd elima1c releqmpt2 eqtr4i ssetex ins2ex disjex ins3ex 1stex 2ndex
      vvex coex txpex cupex imaex inex si3ex ins4ex 1cex mpt2exlem eqeltri ) UA
      GGUBGUBHUCZYJUCZYKIUDZJJUEZKJUEZKUFZUFZLUGZUHZUIZUJZUHZUKUGZUJZUHZUKUGZUD
      UMUKUGULZGUAABGGAMZBMZUNZUOUUFABUPABCGGUUEUUICMZUQZUUGUUHNZNZUUEOZDMZEMZU
      HURUSZUUJUUOUUPUTUSZPZDUUGSZEUUHSZUUJUUIOZUUPUQZUUMNZUUDOZEQEBVAZUUTPZEQU
      UNUVAUVEUVGEUVEUVDYKOZUVDUUCOZPUVGUVDYKUUCVBUVHUVFUVIUUTUVHUVCUULNYJOUVCU
      UHNHOUVFUVCUUKUULYJUUJVEZVCUVCUUGUUHHAVOZVCUUPUUHEVOZBVOZVDVFUVIUVCUUKUUG
      NZNZUUBOZUUTUVCUUKUUGUUHUUBUVMVGUUOUQZUVONZUUAOZDQDAVAZUUSPZDQUVPUUTUVSUW
      ADUVSUVRYKOZUVRYTOZPUWAUVRYKYTVBUWBUVTUWCUUSUWBUVQUVNNYJOUVQUUGNHOUVTUVQU
      VCUVNYJUUPVEVCUVQUUKUUGHUVJVCUUOUUGDVOZUVKVDVFUWCUVQUVCUUKNNYSOUUOUUPUUJN
      ZNZYROZUUSUVQUVCUUKUUGYSUVKVGUUOUUPUUJYRUWDUVLCVOZVHUWGUWFYLOZUWFYQOZPUUS
      UWFYLYQVBUWIUUQUWJUURUWIUUOUUPNZIOUUOUUPIRUUQUUOUUPUUJIUWHVIUUOUUPIVJUUOU
      UPUWDUVLVKVLUWJUWKUUJNZLOZUWKUUJLRUURFMZUWFYPRZFLSUWNUWLUSZFLSUWJUWMUWOUW
      PFLUWOUWNUUOYMRZUWNUUPYNRZPZUWNUUJKRZPZUWNUWKJRZUWTPUWPUWQUWNUWEYORZPUWQU
      WRUWTPZPUWOUXAUXCUXDUWQUWNUUPUUJYNKVMVNUWNUUOUWEYMYOVMUWQUWRUWTVPVQUWSUXB
      UWTUWSBEWGZUWNUUOUUHNZJRZPBQZUXBUWSUXGBQZUWRPUXGUWRPZBQZUXHUWQUXIUWRUWQUW
      NUUGJRZUUGUUOJRZPZAQUXLUUGUXFUSZPZBQZAQZUXIAUWNUUOJJVRUXNUXQAUXNUXLUXOBQZ
      PUXQUXMUXSUXLBUUGUUOUWDVSVNUXLUXOBVTWAWBUXRUXPAQZBQUXIUXPABWCUXTUXGBUXTUX
      OUXLPAQUXGUXLUXOAWDUXLUXGAUXFUUOUUHUWDUVMWEZUUGUXFUWNJWFWHTWBTVFWIUXGUWRB
      WJUXKUXGUXEPZBQUXHUXJUYBBUXGUWRUXEUXGUWNUXFUUJNZUSZCQUWRUXEWKZCUWNUXFUYAV
      SUYDUYECUYDUWRUYCUUPYNRZUXEUWNUYCUUPYNWLUYFUXFUUPKRUXEUXFUUJUUPKUYAUWHWMU
      UOUUHUUPUWDUVMWNTWOWPWRWQWBUXGUXEBWDTVLUXGUXBBUUPUVLUXEUXFUWKUWNJUUHUUPUU
      OWSWTWHTWIUWKUUJUWNUUOUUPUWDUVLWEUWHXIVFXAFUWFYPLXBFUWLLXCVQUWKUUJLVJUUOU
      UPUUJUWDUVLXDVLXETVFXETWBDUVOUUAXJUUSDUUGXFVQTXETWBEUUMUUDXJUUTEUUHXFVQUV
      BUUSEUUHSDUUGSUVAUUJUUGUUHDEXGUUSDEUUGUUHXHTWAXKXLGGUUEXSXSUUDUKYKUUCYJHX
      MXNXNZUUBUUAUKYKYTUYGYSYRYLYQIXOXPYPLYMYOJJXQXQXTYNKKJXRXQXTXRYAYAYBYCYDY
      EYFYDYGYCYFYDYGYCYHYI $.
      $( [12-Feb-2015] $)
  $}

  ${
    $d x y z $.
    $( ` AddC ` is a function over all ordered pairs. $)
    addcfn $p |- AddC Fn ( _V X. _V ) $=
      ( vz vx vy caddcfn cvv cxp wfn wfun cdm wceq cv cplc copab2 moeq funoprab
      cmpt2 eqtri copab wcel vex df-addcfn mpt2v funeqi mpbir wex addcex isseti
      wa pm3.2i 2th opabbii dmeqi dmoprab df-xp 3eqtr4i df-fn mpbir2an ) DEEFZG
      DHZDIZURJUSAKBKZCKZLZJZBCAMZHVDBCAAVCNODVEDBCEEVCPVEBCUABCAVCUBQZUCUDVDAU
      EZBCRZVAESZVBESZUHZBCRUTURVGVKBCVGVKAVCVAVBBTZCTZUFUGVIVJVLVMUIUJUKUTVEIV
      HDVEVFULVDBCAUMQBCEEUNUODURUPUQ $.
      $( [2-Mar-2015] $)
  $}

  ${
    $d A x y $.  $d B y $.
    braddcfn.1 $e |- A e. _V $.
    braddcfn.2 $e |- B e. _V $.
    $( Binary relationship form of the ` AddC ` function. $)
    braddcfn $p |- ( <. A , B >. AddC C <-> ( A +c B ) = C ) $=
      ( vx vy cop caddcfn wbr cfv wceq cplc cvv cxp wfn wcel wb mp2an cv addcfn
      opelxp mpbir2an fnbrfvb co addceq1 addceq2 df-addcfn addcex ovmpt2 eqtr3i
      df-ov eqeq1i bitr3i ) ABHZCIJZUOIKZCLZABMZCLINNOZPUOUTQZURUPRUAVAANQZBNQZ
      DEABNNUBUCUTUOCIUDSUQUSCABIUEZUQUSABIULVBVCVDUSLDEFGABNNFTZGTZMUSIAVFMVEA
      VFUFVFBAUGFGUHABDEUIUJSUKUMUN $.
      $( [2-Mar-2015] $)
  $}

  ${
    $( The membership relationship is a proper class.  This theorem together
       with ~ vvex demonstrates the basic idea behind New Foundations: since
       ` x e. y ` is not a stratified relationship, then it does not have a
       realization as a set of ordered pairs, but since ` x = x ` is
       stratified, then it does have a realization as a set. $)
    epprc $p |- -. _E e. _V $=
      ( vx cep cvv wcel cv wnel cab wn ru df-nel mpbi cfix ccompl wel wbr elfix
      epel bitri notbii vex elcompl 3bitr4i abbi2i complexg syl syl5eqelr mto
      fixexg ) BCDZAEZUJFZAGZCDZULCFUMHAIULCJKUIULBLZMZCUKAUOUJUNDZHAANZHUJUODU
      KUPUQUPUJUJBOUQUJBPAAQRSUJUNATUAUJUJJUBUCUIUNCDUOCDBCUHUNCUDUEUFUG $.
      $( [20-Feb-2015] $)
  $}

  ${
    $d f x y z p q $.
    $( The class of all functions forms a set. $)
    funsex $p |- Funs e. _V $=
      ( vf vx vy vz vp vq c1st c2nd c1c csset cid cv wcel wn wa wbr df-br bitri
      wex cop cfuns cvv cxp cpw ccnv ctxp csi3 cima cins4 cins2 cin cdif ccompl
      cins3 wfun cab df-funs wrel weq wi wal wss vex elpw df-rel bitr4i elima1c
      csn snex opex elcompl eldif otelins2 wrex wceq elin oqelins4 brcnv bitr3i
      oteltxp otsnelsi3 trtxp ancom 3bitr3i op1st2nd 3bitri anbi12i sneq breq2d
      exbii ceqsexv 3bitr4i rexbii elima risset opelssetsn otelins3 ideq notbii
      sneqb exanali con2bii alex dffun3 abbi2i vvex xpex pwex 1stex cnvex 2ndex
      eqtr4i txpex si3ex 1cex imaex ins4ex ins2ex inex ssetex idex ins3ex difex
      complex eqeltri ) UAUBUBUCZUDZGUEZHGUFZUGZUFZIUHZUIZHUJZUJZUKZJUHZUJZKUNZ
      ULZIUHZUMZIUHZUMZIUHZULZUBUAALZUOZAUPUUFAUQUUHAUUFUUGYGMZUUGUUEMZNZOUUGUR
      ZBLZCLZUUGPZCDUSZUTCVAZDSZBVAZOUUGUUFMUUHUUIUULUUKUUSUUIUUGYFVBUULUUGYFAV
      CZVDUUGVEVFUUKUURNZBSZNUUSUUJUVBUUJUUMVHZUUGTZUUDMZBSUVBBUUGUUDVGUVEUVABU
      VEUVDUUCMZNUVAUVDUUCUVCUUGUUMVIZUUTVJZVKUVFUURUVFDLZVHZUVDTZUUBMZDSUURDUV
      DUUBVGUVLUUQDUVKUUAMZNUUOUUPNZOZCSZNUVLUUQUVMUVPUVMUUNVHZUVKTZYTMZCSUVPCU
      VKYTVGUVSUVOCUVSUVRYRMZUVRYSMZNZOUVOUVRYRYSVLUVTUUOUWBUVNUVTUVQUVDTZYQMZU
      UMUUNTZVHZUUGTZJMZUUOUVQUVJUVDYQUVIVIZVMELZUWCYPPZEJVNUWJUWGVOZEJVNUWDUWH
      UWKUWLEJUWKUWJUWCTZYPMZUWJUWFGPZUWJUUGHPZOZUWLUWJUWCYPQUWNUWMYMMZUWMYOMZO
      UWQUWMYMYOVPUWRUWOUWSUWPUWRUWJUVQUVCTZTZYLMZUWOUWJUVQUVCUUGYLUUTVQUXBFLZV
      HZUXATYKMZFSUXCUWEVOZUWJUXDGPZOZFSUWOFUXAYKVGUXEUXHFUXEUXDUWJTYHMZUXDUWTT
      YJMZOUXGUXFOUXHUXDUWJUWTYHYJVTUXIUXGUXJUXFUXIUXDUWJYHPUXGUXDUWJYHQUXDUWJG
      VRVSUXJUXCUUNUUMTZTYIMZUXCUUMGPZUXCUUNHPZOZUXFUXCUUNUUMYIFVCCVCZBVCZWAUXC
      UXKYIPUXNUXMOUXLUXOUXCUUNUUMHGWBUXCUXKYIQUXNUXMWCWDUUMUUNUXCUXQUXPWEWFWGU
      XGUXFWCWFWJUXGUWOFUWEUUMUUNUXQUXPVJZUXFUXDUWFUWJGUXCUWEWHWIWKWFRUWJUVDTYN
      MUWJUUGTHMUWSUWPUWJUVCUUGHUVGVMUWJUVQUVDYNUUNVIVMUWJUUGHQWLWGRUWFUUGUWJUW
      EVIUUTWEWFWMEUWCYPJWNEUWGJWOWLUWHUWEUUGMUUOUWEUUGUXRUUTWPUUMUUNUUGQVFWFUW
      AUUPUWAUVQUVJTKMZUUPUVQUVJUVDKUVHWQUVQUVJKPUVQUVJVOUXSUUPUVQUVJUWIWRUVQUV
      JKQUUNUVIUXPWTWDRWSWGRWJRWSUVKUUAUVJUVDUWIUVHVJVKUVPUUQUUOUUPCXAXBWLWJRWS
      RWJRWSUURBXCVFWGUUGYGUUEVLBCDUUGXDWLXEXLYGUUEYFUBUBXFXFXGXHUUDIUUCUUBIUUA
      YTIYRYSYQYPJYMYOYLYKIYHYJGXIXJYIHGXKXIXMXNXMXOXPXQYNHXKXRXRXSXTXPXRKYAYBY
      CXOXPYDXOXPYDXOXPYCYE $.
      $( [18-Feb-2015] $)
  $}

  ${
    $d F f $.
    elfuns.1 $e |- F e. _V $.
    $( Membership in the set of all functions. $)
    elfuns $p |- ( F e. Funs <-> Fun F ) $=
      ( vf cv wfun cfuns funeq df-funs elab2 ) CDZEAECAFBJAGCHI $.
      $( [23-Feb-2015] $)
  $}

  ${
    $d f a $.
    $( The function with domain relationship exists. $)
    fnsex $p |- Fns e. _V $=
      ( vf va cfns cvv cxp cfuns c1st cimage cin wfn copab df-fns wcel wceq vex
      cv wa vvex xpex inex cop wfun cdm opelxp mpbiran2 elfuns wbr cima brimage
      bitri dfdm4 eqeq2i bitr4i df-br eqcom 3bitr3i anbi12i elin 3bitr4i eqtr4i
      df-fn releqopab funsex 1stex imageex eqeltri ) CDDEZFDEZGHZIZIZDCAPZBPZJZ
      ABKVKABLVNABVJVLVMUAZVHMZVOVIMZQVLUBZVLUCZVMNZQVOVJMVNVPVRVQVTVPVLFMZVRVP
      WAVMDMBOZVLVMFDUDUEVLAOZUFUJVLVMVIUGZVMVSNZVQVTWDVMGVLUHZNWEVLVMGWCWBUIVS
      WFVMVLUKULUMVLVMVIUNVMVSUOUPUQVOVHVIURVLVMVAUSVBUTVGVJDDRRSVHVIFDVCRSGVDV
      ETTVF $.
      $( [23-Feb-2015] $)
  $}

  ${
    $d A a b f $.  $d F a b f $.
    brfns.1 $e |- F e. _V $.
    $( Binary relationship form of ` Fns ` relationship. $)
    brfns $p |- ( F Fns A <-> F Fn A ) $=
      ( va vf vb cfns wbr cvv wcel wfn brex simprd cdm eqcomd dmexg ax-mp fneq2
      fndm cv syl6eqel breq2 vex fneq1 df-fns brab vtoclbg pm5.21nii ) BAGHZAIJ
      ZBAKZUIBIJZUJBAGLMUKABNZIUKUMAABSOULUMIJCBIPQUABDTZGHBUNKZUIUKDAIUNABGUBU
      NABRETZFTZKBUQKUOEFBUNGCDUCUQUPBUDUQUNBREFUEUFUGUH $.
      $( [23-Feb-2015] $)
  $}

  ${
    $d a w $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.  $d a z $.  $d B y $.
    $d C w $.  $d C x $.  $d C y $.  $d C z $.  $d D w $.  $d D x $.  $d D y $.
    $d R a $.  $d R w $.  $d R x $.  $d R y $.  $d R z $.  $d S a $.  $d S w $.
    $d S x $.  $d S y $.  $d S z $.  $d w x $.  $d w y $.  $d w z $.  $d x y $.
    $d x z $.  $d y z $.
    $( A quadratic relationship over a parallel product. $)
    qrpprod $p |- ( <. A , B >. PProd ( R , S ) <. C , D >. <->
       ( A R C /\ B S D ) ) $=
      ( vx vy va cop wbr cvv wcel wa wb cv wceq breq1 bibi12d bitri cpprod brex
      vz vw opexb anbi12i sylib anim12i an4 sylibr wi opeq1 breq1d anbi1d opeq2
      imbi2d anbi2d breq2 c1st ccom c2nd ctxp df-pprod breqi trtxp weq wex brco
      breq2d vex opbr1st eqcom anbi1i exbii ceqsexv opbr2nd vtocl2g pm5.21nii
      imp ) ABJZCDJZEFUAZKZALMZBLMZNZCLMZDLMZNZNZACEKZBDFKZNZWCVTLMZWALMZNWJVTW
      AWBUBWNWFWOWIABUECDUEUFUGWMWDWGNZWEWHNZNWJWKWPWLWQACEUBBDFUBUHWDWEWGWHUIU
      JWFWIWCWMOZWIGPZHPZJZWAWBKZWSCEKZWTDFKZNZOZUKWIAWTJZWAWBKZWKXDNZOZUKWIWRU
      KGHABLLWSAQZXFXJWIXKXBXHXEXIXKXAXGWAWBWSAWTULUMXKXCWKXDWSACERUNSUPWTBQZXJ
      WRWIXLXHWCXIWMXLXGVTWAWBWTBAUOUMXLXDWLWKWTBDFRUQSUPXAUCPZUDPZJZWBKZWSXMEK
      ZWTXNFKZNZOXACXNJZWBKZXCXRNZOXFUCUDCDLLXMCQZXPYAXSYBYCXOXTXAWBXMCXNULVIYC
      XQXCXRXMCWSEURUNSXNDQZYAXBYBXEYDXTWAXAWBXNDCUOVIYDXRXDXCXNDWTFURUQSXPXAXM
      EUSUTZKZXAXNFVAUTZKZNZXSXPXAXOYEYGVBZKYIXAXOWBYJEFVCVDXAXMXNYEYGVETYFXQYH
      XRYFIGVFZIPZXMEKZNZIVGZXQYFXAYLUSKZYMNZIVGYOIXAXMEUSVHYQYNIYPYKYMYPGIVFYK
      WSWTYLGVJZHVJZVKWSYLVLTVMVNTYMXQIWSYRYLWSXMERVOTYHIHVFZYLXNFKZNZIVGZXRYHX
      AYLVAKZUUANZIVGUUCIXAXNFVAVHUUEUUBIUUDYTUUAUUDHIVFYTWSWTYLYRYSVPWTYLVLTVM
      VNTUUAXRIWTYSYLWTXNFRVOTUFTVQVQVSVR $.
      $( [24-Feb-2015] $)
  $}

  $( The parallel product of two sets is a set. $)
  pprodexg $p |- ( ( A e. V /\ B e. W ) -> PProd ( A , B ) e. _V ) $=
    ( wcel wa cpprod c1st ccom c2nd cvv df-pprod 1stex coexg mpan2 2ndex txpexg
    ctxp syl2an syl5eqel ) ACEZBDEZFABGAHIZBJIZRZKABLUAUCKEZUDKEZUEKEUBUAHKEUFM
    AHCKNOUBJKEUGPBJDKNOUCUDKKQST $.
    $( [24-Feb-2015] $)

  ${
    pprodex.1 $e |- A e. _V $.
    pprodex.2 $e |- B e. _V $.
    $( The parallel product of two sets is a set. $)
    pprodex $p |- PProd ( A , B ) e. _V $=
      ( cvv wcel cpprod pprodexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [24-Feb-2015] $)
  $}

  ${
    $( Parallel product is a relationship. $)
    relpprod $p |- Rel PProd ( A , B ) $=
      ( cpprod wrel c1st ccom c2nd ctxp reltxp df-pprod releqi mpbir ) ABCZDAEF
      ZBGFZHZDNOIMPABJKL $.
      $( [24-Feb-2015] $)
  $}

  ${
    $d A w $.  $d A x $.  $d A y $.  $d A z $.  $d B w $.  $d B x $.  $d B y $.
    $d B z $.  $d R w $.  $d R x $.  $d R y $.  $d R z $.  $d S w $.  $d S x $.
    $d S y $.  $d S z $.  $d w x $.  $d w y $.  $d w z $.  $d x y $.  $d x z $.
    $d y z $.
    $( Binary relationship over a parallel product. $)
    brpprod $p |- ( A PProd ( R , S ) B <->
       E. x E. y E. z E. w ( A = <. x , y >. /\ B = <. z , w >. /\
         ( x R z /\ y S w ) ) ) $=
      ( wbr c1st ccom cv cop w3a wex wa anbi1i 19.41v exbii bitri c2nd df-pprod
      cpprod ctxp wceq breqi brtxp brco an32 br1st breq1 brco2nd syl6bb pm5.32i
      3bitr2i bitr3i bitr2i 3bitri anbi2i 3anass 3ancoma 2exbii 19.42vv 3bitr4i
      vex anass exrot4 ) EFGHUCZIEFGJKZHUAKZUDZIFCLZDLZMUEZEVLVIIZEVMVJIZNZDOCO
      ZEALZBLZMZUEZVNVSVLGIZVTVMHIZPZNZDOCOBOAOZEFVHVKGHUBUFCDEFVIVJUGVRWFBOAOZ
      DOCOWGVQWHCDVNVOVPPZPVNWBWEPZBOZAOZPZVQWHWIWLVNWIEVSJIZWCPZAOZVPPWOVPPZAO
      WLVOWPVPAEVLGJUHQWOVPARWQWKAWQWNVPPZWCPWBWDPZBOZWCPZWKWNWCVPUIWRWTWCWRWBB
      OZVPPWBVPPZBOWTWNXBVPBEVSAVEZUJQWBVPBRXCWSBWBVPWDWBVPWAVMVJIWDEWAVMVJUKVS
      VTVMHXDBVEULUMUNSUOQWKWSWCPZBOXAWJXEBWJWBWCPWDPXEWBWCWDVFWBWCWDUIUPSWSWCB
      RUQURSUOUSVNVOVPUTWHVNWJPZBOAOWMWFXFABWFVNWBWENXFWBVNWEVAVNWBWEUTTVBVNWJA
      BVCTVDVBWFCDABVGTUR $.
      $( [24-Feb-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a d $.  $d A d $.
    $d a x $.  $d A x $.  $d a y $.  $d A y $.  $d B a $.  $d B b $.  $d b c $.
    $d B c $.  $d b d $.  $d B d $.  $d b x $.  $d B x $.  $d b y $.  $d B y $.
    $d c d $.  $d c x $.  $d c y $.  $d d x $.  $d d y $.  $d x y $.
    $( A subset law for parallel product. $)
    pprodss4v $p |- PProd ( A , B ) C_ ( ( _V X. _V ) X. ( _V X. _V ) ) $=
      ( vx vy va vb vc vd cvv cxp cop wcel wal wceq wbr wex vex opelxp mpbir2an
      cv cpprod wss wi wrel wb relpprod ssrel ax-mp wa w3a brpprod df-br bitr3i
      opeq12 syl6eqel 3adant3 exlimivv sylbir ax-gen mpgbir ) ABUAZIIJZVBJZUBZC
      TZDTZKZVALZVGVCLZUCZDMZCVAUDVDVKCMUEABUFCDVAVCUGUHVJDVHVEETZFTZKZNZVFGTZH
      TZKZNZVLVPAOVMVQBOUIZUJZHPGPZFPEPZVIWCVEVFVAOVHEFGHVEVFABUKVEVFVAULUMWBVI
      EFWAVIGHVOVSVIVTVOVSUIVGVNVRKZVCVEVNVFVRUNWDVCLVNVBLZVRVBLZWEVLILVMILEQFQ
      VLVMIIRSWFVPILVQILGQHQVPVQIIRSVNVRVBVBRSUOUPUQUQURUSUT $.
      $( [24-Feb-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a d $.  $d A d $.
    $d a x $.  $d A x $.  $d B a $.  $d B b $.  $d b c $.  $d B c $.  $d b d $.
    $d B d $.  $d b x $.  $d B x $.  $d c d $.  $d c x $.  $d d x $.  $d a t $.
    $d A t $.  $d a u $.  $d A u $.  $d b t $.  $d B t $.  $d b u $.  $d B u $.
    $d c t $.  $d c u $.  $d d t $.  $d d u $.  $d t u $.  $d t x $.  $d u x $.
    $( The domain of a parallel product. $)
    dmpprod $p |- dom PProd ( A , B ) = ( dom A X. dom B ) $=
      ( va vb vx vc vd vt vu cdm cxp cvv wss cv cop wbr wa wex vex bitri cpprod
      wrel pprodss4v dmss ax-mp dmxpss sstri relxp relss mp2 wceq isseti 19.41v
      opex mpbiran 2exbii wcel df-br eldm w3a brpprod 3anass eqcom opth 19.42vv
      weq anbi1i df-3an bicomi breq1 anbi1d anbi2d 2exbidv ceqsex2v exrot3 brxp
      exbii eeanv anbi12i bitr4i 3bitr4i eqbrriv ) CDABUAZJZAJZBJZKZWDLLKZMWHUB
      WDUBWDWHWHKZJZWHWCWIMWDWJMABUCWCWIUDUEWHWHUFUGLLUHWDWHUIUJWEWFUHENZFNZGNZ
      OZUKZCNZWLAPZDNZWMBPZQZQZERZGRFRZWTGRFRZWPWRWDPZWPWRWGPZXBWTFGXBWOERWTEWN
      WLWMFSGSUNULWOWTEUMUOUPXEWPWROZWDUQZXCWPWRWDURXHXGWKWCPZERZXCEXGWCUSXJXAG
      RFRZERXCXIXKEXIXGHNZINZOZUKZWOXLWLAPZXMWMBPZQZUTZGRFRZIRHRZXKHIFGXGWKABVA
      YAHCVFZIDVFZWOXRQZGRFRZUTZIRHRXKXTYFHIXTYBYCQZYDQZGRFRZYFXSYHFGXSXOYDQYHX
      OWOXRVBXOYGYDXOXNXGUKYGXGXNVCXLXMWPWRVDTVGTUPYIYGYEQZYFYGYDFGVEYFYJYBYCYE
      VHVITTUPYEWOWQXQQZQZGRFRXKHIWPWRCSDSYBYDYLFGYBXRYKWOYBXPWQXQXLWPWLAVJVKVL
      VMYCYLXAFGYCYKWTWOYCXQWSWQXMWRWMBVJVLVLVMVNTTVQXAEFGVOTTTXFWPWEUQZWRWFUQZ
      QZXDWPWRWEWFVPXDWQFRZWSGRZQYOWQWSFGVRYMYPYNYQFWPAUSGWRBUSVSVTVTWAWB $.
      $( [24-Feb-2015] $)
  $}

  $( The converse of a parallel product. $)
  cnvpprod $p |- `' PProd ( A , B ) = PProd ( `' A , `' B ) $=
    ( c1st ccnv ccom c2nd cin cpprod cnvco wrel wceq cvv wfo wf fof frel dfrel2
    mp2b mpbi eqtri cnvin cxp 1stfo coeq12i coass 3eqtri 2ndfo ineq12i df-pprod
    ctxp df-txp cnveqi 3eqtr4i ) CDZACEZEZFDZBFEZEZGZDZUNADZCEZEZUQBDZFEZEZGZAB
    HZDVBVEHZVAUPDZUSDZGVHUPUSUAVKVDVLVGVKUODZUNDZEUNVBEZCEVDUNUOIVMVOVNCACICJZ
    VNCKLLUBZLCMVQLCNVPUCVQLCOVQLCPRCQSUDUNVBCUEUFVLURDZUQDZEUQVEEZFEVGUQURIVRV
    TVSFBFIFJZVSFKVQLFMVQLFNWAUGVQLFOVQLFPRFQSUDUQVEFUEUFUHTVIUTVIUOURUJUTABUIU
    OURUKTULVJVCVFUJVHVBVEUIVCVFUKTUM $.
    $( [24-Feb-2015] $)

  $( The range of a parallel product. $)
  rnpprod $p |- ran PProd ( A , B ) = ( ran A X. ran B ) $=
    ( cpprod ccnv cdm cxp cnvpprod dmeqi dmpprod eqtri dfrn4 xpeq12i 3eqtr4i
    crn ) ABCZDZEZADZEZBDZEZFZONANZBNZFQRTCZEUBPUEABGHRTIJOKUCSUDUAAKBKLM $.
    $( [24-Feb-2015] $)

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a d $.  $d A d $.
    $d a e $.  $d A e $.  $d a f $.  $d A f $.  $d a g $.  $d A g $.  $d a h $.
    $d A h $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.  $d a z $.  $d A z $.
    $d B a $.  $d B b $.  $d b c $.  $d B c $.  $d b d $.  $d B d $.  $d b e $.
    $d B e $.  $d b f $.  $d B f $.  $d b g $.  $d B g $.  $d b h $.  $d B h $.
    $d b x $.  $d B x $.  $d b y $.  $d B y $.  $d b z $.  $d B z $.  $d c d $.
    $d c e $.  $d c f $.  $d c g $.  $d c h $.  $d c x $.  $d c y $.  $d c z $.
    $d d e $.  $d d f $.  $d d g $.  $d d h $.  $d d x $.  $d d y $.  $d d z $.
    $d e f $.  $d e g $.  $d e h $.  $d e x $.  $d e y $.  $d e z $.  $d F a $.
    $d F b $.  $d F c $.  $d F d $.  $d F e $.  $d F f $.  $d f g $.  $d F g $.
    $d f h $.  $d F h $.  $d f x $.  $d F x $.  $d f y $.  $d F y $.  $d f z $.
    $d F z $.  $d G a $.  $d G b $.  $d G c $.  $d G d $.  $d G e $.  $d G f $.
    $d G g $.  $d g h $.  $d G h $.  $d g x $.  $d G x $.  $d g y $.  $d G y $.
    $d g z $.  $d G z $.  $d h x $.  $d h y $.  $d h z $.  $d x y $.  $d x z $.
    $d y z $.
    $( Functionhood law for parallel product. $)
    fnpprod $p |- ( ( F Fn A /\ G Fn B ) -> PProd ( F , G ) Fn ( A X. B ) ) $=
      ( vy vz va vb vc vd ve vf vg vh wceq wa cv wbr wi wex wfun cdm cpprod cxp
      vx wfn weq wal cop w3a ee4anv 2exbii brpprod anbi12i 3bitr4ri an4 fununiq
      3expib im2anan9 syl5bi exp3a com23 wb breq1 bi2anan9 adantr syl6bb imbi2d
      eqeq2 opth adantl imbi12d syl5ibrcom 3impd eqeq1 3anbi1d exlimdvv alrimiv
      eqcom bitri alrimivv relpprod dffun2 mpbiran sylibr dmpprod xpeq12 syl5eq
      imp3a wrel anim12i an4s df-fn 3imtr4i ) CUAZCUBZAOZPZDUAZDUBZBOZPZPCDUCZU
      AZXCUBZABUDZOZPZCAUFZDBUFZPXCXFUFWOWSWQXAXHWOWSPZXDWQXAPZXGXKUEQZEQZXCRZX
      MFQZXCRZPZEFUGZSZFUHZEUHUEUHZXDXKYAUEEXKXTFXRXMGQZHQZUIZOZXNIQZJQZUIZOZYC
      YGCRZYDYHDRZPZUJZXMKQZLQZUIZOZXPMQZNQZUIZOZYOYSCRZYPYTDRZPZUJZPZNTMTZJTIT
      ZLTKTZHTGTZXKXSYNJTITZUUFNTMTZPZLTKTZHTGTUULHTGTZUUMLTKTZPUUKXRUULUUMGHKL
      UKUUJUUOGHUUIUUNKLYNUUFIJMNUKULULXOUUPXQUUQGHIJXMXNCDUMKLMNXMXPCDUMUNUOXK
      UUJXSGHXKUUIXSKLXKUUHXSIJXKUUGXSMNXKYNUUFXSXKYFYJYMUUFXSSZXKYFYJYMUURSZXK
      UUSYFYJPZYMKGUGZLHUGZPZUUBUUEUJZYIXPOZSZSXKUVDYMUVEXKUVCUUBUUEYMUVESZXKUV
      CUUBUUEUVGSZXKUVHUVCUUBPZYCYSCRZYDYTDRZPZYMIMUGZJNUGZPZSZSXKYMUVLUVOXKYMU
      VLUVOYMUVLPYKUVJPZYLUVKPZPXKUVOYKYLUVJUVKUPWOUVQUVMWSUVRUVNWOYKUVJUVMYCYG
      YSCUQURWSYLUVKUVNYDYHYTDUQURUSUTVAVBUVIUUEUVLUVGUVPUVCUUEUVLVCUUBUVAUUCUV
      JUVBUUDUVKYOYCYSCVDYPYDYTDVDVEVFUUBUVGUVPVCUVCUUBUVEUVOYMUUBUVEYIUUAOUVOX
      PUUAYIVIYGYHYSYTVJVGVHVKVLVMVAVNVBUUTUURUVFYMUUTUUFUVDXSUVEYFUUFUVDVCYJYF
      YRUVCUUBUUEYFYRYEYQOZUVCXMYEYQVOUVSYQYEOUVCYEYQVSYOYPYCYDVJVTVGVPVFYJXSUV
      EVCYFXNYIXPVOVKVLVHVMVAVNWIVQVQVQVQUTVRWAXDXCWJYBCDWBUEEFXCWCWDWEXLXEWPWT
      UDXFCDWFWPAWTBWGWHWKWLXIWRXJXBCAWMDBWMUNXCXFWMWN $.
      $( [24-Feb-2015] $)
  $}

  $( The parallel product of two bijections is a bijection. $)
  f1opprod $p |- ( ( F : A -1-1-onto-> C /\ G : B -1-1-onto-> D ) ->
     PProd ( F , G ) : ( A X. B ) -1-1-onto-> ( C X. D ) ) $=
    ( wfn ccnv wa cpprod cxp wf1o fnpprod cnvpprod fneq1i sylibr anim12i dff1o4
    an4s anbi12i 3imtr4i ) EAGZEHZCGZIZFBGZFHZDGZIZIEFJZABKZGZUJHZCDKZGZIZACELZ
    BDFLZIUKUNUJLUBUFUDUHUPUBUFIULUDUHIZUOABEFMUSUCUGJZUNGUOCDUCUGMUNUMUTEFNOPQ
    SUQUEURUIACERBDFRTUKUNUJRUA $.
    $( [24-Feb-2015] $)

  ${
    $d A x y $.  $d B y $.
    $( The value of the cross product function. $)
    ovcross $p |- ( ( A e. V /\ B e. W ) -> ( A Cross B ) = ( A X. B ) ) $=
      ( vx vy wcel cvv ccross co cxp wceq xpexg cv xpeq1 xpeq2 df-cross ovmpt2g
      elex mpd3an3 syl2an ) ACGAHGZBHGZABIJABKZLZBDGACSBDSUBUCUDHGUEABHHMEFABHH
      ENZFNZKUDIAUGKHUFAUGOUGBAPEFQRTUA $.
      $( [24-Feb-2015] $)
  $}

  ${
    $d x y z $.
    $( The domain of the cross product function. $)
    dmcross $p |- dom Cross = ( _V X. _V ) $=
      ( vz vx vy cv cxp wceq wex copab cvv wcel wa ccross cdm vex isseti pm3.2i
      xpex 2th opabbii eqtri copab2 cmpt2 df-cross mpt2v dmeqi dmoprab 3eqtr4i
      df-xp ) ADBDZCDZEZFZAGZBCHZUIIJZUJIJZKZBCHLMZIIEUMUQBCUMUQAUKUIUJBNZCNZQO
      UOUPUSUTPRSURULBCAUAZMUNLVALBCIIUKUBVABCUCBCAUKUDTUEULBCAUFTBCIIUHUG $.
      $( [24-Feb-2015] $)

    $( The cross product function is a function over ` ( _V X. _V ) ` $)
    fncross $p |- Cross Fn ( _V X. _V ) $=
      ( vz vx vy ccross cvv cxp wfn wfun cdm wceq cv copab2 moeq funoprab cmpt2
      df-cross mpt2v eqtri funeqi mpbir dmcross df-fn mpbir2an ) DEEFZGDHZDIUDJ
      UEAKBKCKFZJZBCALZHUGBCAAUFMNDUHDBCEEUFOUHBCPBCAUFQRSTUADUDUBUC $.
      $( [24-Feb-2015] $)
  $}

  ${
    $( Binary relationship over the cross product function. $)
    brcrossg $p |- ( ( A e. V /\ B e. W ) ->
       ( <. A , B >. Cross C <-> C = ( A X. B ) ) ) $=
      ( wcel wa ccross wceq cop wbr cxp cfv eqcom df-ov eqeq1i bitri cvv elex
      co wb opelxp wfn fncross fnbrfvb mpan sylbir syl2an syl5bb ovcross eqeq2d
      bitr3d ) ADFZBEFZGZCABHTZIZABJZCHKZCABLZIUQURHMZCIZUOUSUQUPCIVBCUPNUPVACA
      BHOPQUMARFZBRFZVBUSUAZUNADSBESVCVDGURRRLZFZVEABRRUBHVFUCVGVEUDVFURCHUEUFU
      GUHUIUOUPUTCABDEUJUKUL $.
      $( [24-Feb-2015] $)
  $}

  ${
    brcross.1 $e |- A e. _V $.
    brcross.2 $e |- B e. _V $.
    $( Binary relationship over the cross product function. $)
    brcross $p |- ( <. A , B >. Cross C <-> C = ( A X. B ) ) $=
      ( cvv wcel cop ccross wbr cxp wceq wb brcrossg mp2an ) AFGBFGABHCIJCABKLM
      DEABCFFNO $.
      $( [24-Feb-2015] $)
  $}

  ${
    $d a b x y z $.
    $( The function mapping ` x ` and ` y ` to their cross product is a set. $)
    crossex $p |- Cross e. _V $=
      ( vx vy va vb cvv cxp csset c1st c2nd c1c cv cop wrex wex wa otelins2 vex
      wcel 3bitri wbr ccross cins2 ccnv cin csi3 cins4 cima cins3 csymdif cmpt2
      vz cdif df-cross wceq csn rexcom elxp2 wel elin snex opelssetsn otsnelsi3
      oqelins4 df-br brcnv 3bitr2i mpbiran anbi12i op1st2nd bitri exbii elima1c
      opelxp df-rex 3bitr4i 3bitr4ri releqmpt2 eqtr4i ssetex ins2ex 1stex cnvex
      vvex 2ndex xpex inex si3ex ins4ex 1cex imaex mpt2exlem eqeltri ) UAEEFEFG
      UBZWMUBZWNHUCZUBZEIUCZFZUDZUEZUFZUDZJUGZUFZUDZJUGZUHUIJUGULZEUAABEEAKZBKZ
      FZUJXGABUMABUKEEXFXJUKKZCKZDKZLUNZDXIMCXHMXNCXHMZDXIMZXKXJRXKUOZXHXILZLZX
      FRZXNCDXHXIUPCDXKXHXIUQXMUOZXSLZXERZDNDBURZXOOZDNXTXPYCYEDYCYBWNRZYBXDRZO
      YEYBWNXDUSYFYDYGXOYFYAXRLWMRYAXILGRYDYAXQXRWMXKUTZPYAXHXIGAQZPXMXIDQZBQZV
      ASYGYAXQXHLZLZXCRZXOYAXQXHXIXCYKVCXLUOZYMLZXBRZCNCAURZXNOZCNYNXOYQYSCYQYP
      WNRZYPXARZOYSYPWNXAUSYTYRUUAXNYTYOYLLWMRYOXHLGRYRYOYAYLWMXMUTPYOXQXHGYHPX
      LXHCQZYIVASUUAYOYAXQLLWTRXLXMXKLZLZWSRZXNYOYAXQXHWTYIVCXLXMXKWSUUBYJUKQVB
      UUEUUDWPRZUUDWRRZOXKXLHTZXKXMITZOXNUUDWPWRUSUUFUUHUUGUUIUUFXLXKLWORXLXKWO
      TUUHXLXMXKWOYJPXLXKWOVDXLXKHVEVFUUGUUCWQRZXMXKWQTUUIUUGXLERUUJUUBXLUUCEWQ
      VMVGXMXKWQVDXMXKIVEVFVHXLXMXKUUBYJVISSVHVJVKCYMXBVLXNCXHVNVOVJVHVJVKDXSXE
      VLXODXIVNVOVPVQVREEXFWCWCXEJWNXDWMGVSVTVTZXCXBJWNXAUUKWTWSWPWRWOHWAWBVTEW
      QWCIWDWBWEWFWGWHWFWIWJWHWFWIWJWKWL $.
      $( [11-Feb-2015] $)
  $}

  ${
    $d A x $.
    pw1fnval.1 $e |- A e. _V $.
    $( The value of the unit power class function. $)
    pw1fnval $p |- ( Pw1Fn ` { A } ) = ~P1 A $=
      ( vx csn c1c wcel cpw1fn cfv cpw1 wceq snel1c cv unieq unisn syl6eq pw1eq
      cuni syl df-pw1fn pw1ex fvmpt ax-mp ) ADZEFUCGHAIZJABKCUCCLZQZIZUDEGUEUCJ
      ZUFAJUGUDJUHUFUCQAUEUCMABNOUFAPRCSABTUAUB $.
      $( [25-Feb-2015] $)
  $}

  ${
    $d x y t $.
    $( The unit power class function is a set. $)
    pw1fnex $p |- Pw1Fn e. _V $=
      ( vx vy vt cpw1fn c1c cvv csset cid cima cv csn cop wcel wex wceq wbr vex
      wa bitri 1cex cxp cins3 ccnv csi ctxp cpw1 cins2 csymdif ccompl cuni cmpt
      cin df-pw1fn oteltxp snex ideq df-br eqcom sneqb 3bitr3i wel brsnsi brcnv
      brssetsn opelssetsn anbi12i exbii elima1c eluni 3bitr4i elimapw11c df-rex
      ancom wrex elpw1 releqmpt eqtr4i idex ssetex cnvex siex txpex imaex pw1ex
      mptexlem eqeltri ) DEFUAGUBHGUCZUDZGUEZEIZUEZEUFZIZUGUHEIUIUCULZFDAEAJZUJ
      ZUFZUKWNAUMABEWMWQCJZKZKZBJZKZWOLZLWKMZCNWRWPMZXAWSOZRZCNZXCWMMXAWQMZXDXG
      CXDXFXERZXGXDWTXBLHMZWTWOLZWJMZRXJWTXBWOHWJUNXKXFXMXEWTXBHPWTXBOZXKXFWTXB
      XAUOUPWTXBHUQXNXBWTOXFWTXBURXAWSBQZUSSUTXBXLLWIMZBNCBVAZBAVAZRZBNXMXEXPXS
      BXPXBWTLWHMZXCGMZRXSXBWTWOWHGUNXTXQYAXRXBWTWHPXAWSWGPZXTXQXAWSWGXOWRUOVBX
      BWTWHUQYBWSXAGPXQXAWSGVCWRXACQXOVDSUTXAWOXOAQVEVFSVGBXLWIVHBWRWOVIVJVFSXF
      XEVMSVGCXCWKVKXIXFCWPVNXHCXAWPVOXFCWPVLSVJVPVQEWMTWKWLHWJVRWIEWHGWGGVSVTW
      AVSWBTWCWBETWDWCWEWF $.
      $( [25-Feb-2015] $)
  $}

  ${
    $( Functionhood statement for ` Pw1Fn ` $)
    fnpw1fn $p |- Pw1Fn Fn 1c $=
      ( vx cuni cpw1 cvv wcel cpw1fn c1c wfn df-pw1fn fnmpt vex uniex pw1ex a1i
      cv mprg ) AOZBZCZDEZFGHAGAGSFDAIJTQGERQAKLMNP $.
      $( [25-Feb-2015] $)
  $}

  ${
    brpw1fn.1 $e |- A e. _V $.
    $( Binary relationship form of ` Pw1Fn ` $)
    brpw1fn $p |- ( { A } Pw1Fn B <-> B = ~P1 A ) $=
      ( csn cpw1fn cfv wceq cpw1 wbr pw1fnval eqeq1i c1c wcel wb fnpw1fn snel1c
      wfn fnbrfvb mp2an eqcom 3bitr3i ) ADZEFZBGZAHZBGUBBEIZBUEGUCUEBACJKELQUBL
      MUDUFNOACPLUBBERSUEBTUA $.
      $( [25-Feb-2015] $)
  $}

  ${
    $d a b $.  $d a x $.  $d a y $.  $d b x $.  $d b y $.  $d x y $.  $d x z $.
    $d y z $.
    $( ` Pw1Fn ` is a one-to-one function with domain ` 1c ` and range
       ` ~P 1c ` . $)
    pw1fnf1o $p |- Pw1Fn : 1c -1-1-onto-> ~P 1c $=
      ( vx vy vz va vb c1c cpw1fn wceq cv cfv cpw1 wss wex cvv wa vex exbii csn
      wcel el1c cpw wf1o wfn crn wi wral fnpw1fn cuni wrex df-pw1fn rnmpt sspw1
      weq cab df1c2 sseq2i ssv biantrur 3bitr4i elpw df-rex anbi1i 19.41v excom
      bitr4i unieq unisn syl6eq pw1eq eqeq2d ceqsexv bitri 3bitri abbi2i eqtr4i
      snex syl anbi12i eeanv pw111 biimpi fveq2 pw1fnval eqeqan12d eqeq12 sneqb
      a1i syl6bb 3imtr4d exlimivv sylbi rgen2a dff1o6 mpbir3an ) FFUAZGUBGFUCGU
      DZWOHAIZGJZBIZGJZHZABUMZUEZBFUFAFUFUGWPWSWQUHZKZHZAFUIZBUNWOABFXEGAUJUKXG
      BWOWSFLZWSCIZKZHZCMZWSWOSXGWSNKZLXINLZXKOZCMXHXLCWSNBPZULFXMWSUOUPXKXOCXN
      XKXIUQURQUSWSFXPUTXGWQFSZXFOZAMWQXIRZHZXFOZCMZAMZXLXFAFVAXRYBAXRXTCMZXFOY
      BXQYDXFCWQTVBXTXFCVCVEQYCYAAMZCMXLYAACVDYEXKCXFXKAXSXIVPXTXEXJWSXTXDXIHXE
      XJHXTXDXSUHXIWQXSVFXICPVGVHXDXIVIVQVJVKQVLVMUSVNVOXCABFXQWSFSZOZWQDIZRZHZ
      WSEIZRZHZOZEMDMZXCYGYJDMZYMEMZOYOXQYPYFYQDWQTEWSTVRYJYMDEVSVEYNXCDEYNYHKZ
      YKKZHZDEUMZXAXBYTUUAUEYNYTUUAYHYKVTWAWGYJYMWRYRWTYSYJWRYIGJYRWQYIGWBYHDPZ
      WCVHYMWTYLGJYSWSYLGWBYKEPWCVHWDYNXBYIYLHUUAWQYIWSYLWEYHYKUUBWFWHWIWJWKWLA
      BFWOGWMWN $.
      $( [26-Feb-2015] $)
  $}

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d F x $.  $d F y $.  $d x y $.
    $( Lemma for ~ fnfullfun .  Binary relationship over part one of the full
       function definition. $)
    fnfullfunlem1 $p |- ( A ( ( _I o. F ) \ ( ~ _I o. F ) ) B <->
        ( A F B /\ A. x ( A F x -> x = B ) ) ) $=
      ( vy cid ccom wbr cvv wcel cv wceq wi wal wa brex simprd wb breq2 wn cdif
      ccompl adantr weq eqeq2 imbi2d albidv anbi12d bibi12d brcoi1 wex brco cop
      brdif df-br opex elcompl ideq bitr3i xchbinx bitri anbi2i exanali 3bitrri
      vex exbii con1bii anbi12i vtoclg pm5.21nii ) BCFDGZFUBZDGZUAZHZCIJZBCDHZB
      AKZDHZVRCLZMZANZOZVOBIJZVPBCVNPQVQVPWBVQWDVPBCDPQUCBEKZVNHZBWEDHZVSAEUDZM
      ZANZOZRVOWCRECIWECLZWFVOWKWCWECBVNSWLWGVQWJWBWECBDSWLWIWAAWLWHVTVSWECVRUE
      UFUGUHUIWFBWEVKHZBWEVMHZTZOWKBWEVKVMUNWMWGWOWJBWEDUJWJWNWNVSVRWEVLHZOZAUK
      VSWHTZOZAUKWJTABWEVLDULWQWSAWPWRVSWPVRWEUMZVLJZWRVRWEVLUOXAWTFJZWHWTFVRWE
      AVEEVEZUPUQXBVRWEFHWHVRWEFUOVRWEXCURUSUTVAVBVFVSWHAVCVDVGVHVAVIVJ $.
      $( [9-Mar-2015] $)
  $}

  ${
    $d F x y z $.
    $( Lemma for ~ fnfullfun .  Part one of the full function operator yields a
       function. $)
    fnfullfunlem2 $p |- Fun ( ( _I o. F ) \ ( ~ _I o. F ) ) $=
      ( vx vy vz cid ccom ccompl cdif wfun wrel cv wbr wa wi relco reldif ax-mp
      weq wal fnfullfunlem1 ax467to4 impcom syl2anb ax-gen gen2 dffun2 mpbir2an
      ad2ant2rl ) EAFZEGAFZHZIUKJZBKZCKZUKLZUMDKZUKLZMCDRZNZDSZCSBSUIJULEAOUIUJ
      PQUTBCUSDUOUMUNALZUMUPALZDCRNDSZMVBVAURNZCSZMURUQDUMUNATCUMUPATVAVEURVCVB
      VEVAURVDCUAUBUHUCUDUEBCDUKUFUG $.
      $( [9-Mar-2015] $)
  $}

  $( The full function operator yields a function over ` _V ` . $)
  fnfullfun $p |- FullFun F Fn _V $=
    ( cfullfun cvv wfn cid ccom ccompl cdif cdm c0 csn cxp cun wa cin wceq wfun
    fnfullfunlem2 funfn mp2an mpbi 0ex fnconstg ax-mp pm3.2i incompl df-fullfun
    wcel fnun wb uncompl eqcomi fneq1 fneq2 sylan9bb mpbir ) ABZCDZEAFEGAFHZUSI
    ZGZJKLZMZUTVAMZDZUSUTDZVBVADZNUTVAOJPVEVFVGUSQVFARUSSUAJCUHVGUBVAJCUCUDUEUT
    UFUTVAUSVBUITUQVCPZCVDPZURVEUJAUGVDCUTUKULVHURVCCDVIVECUQVCUMCVDVCUNUOTUP
    $.
    $( [9-Mar-2015] $)

  $( The full function of a set is a set. $)
  fullfunexg $p |- ( F e. V -> FullFun F e. _V ) $=
    ( wcel cfullfun cid ccom ccompl cdif cdm c0 csn cxp cun cvv df-fullfun idex
    coexg mpan complex syl2anc difexg dmexg complexg 3syl snex sylancl syl5eqel
    xpexg unexg ) ABCZADEAFZEGZAFZHZUNIZGZJKZLZMZNAOUJUNNCZURNCZUSNCUJUKNCZUMNC
    ZUTENCUJVBPEANBQRULNCUJVCEPSULANBQRUKUMNNUATZUJUPNCZUQNCVAUJUTUONCVEVDUNNUB
    UONUCUDJUEUPUQNNUHUFUNURNNUITUG $.
    $( [9-Mar-2015] $)

  ${
    fullfunex.1 $e |- F e. _V $.
    $( The full function of a set is a set. $)
    fullfunex $p |- FullFun F e. _V $=
      ( cvv wcel cfullfun fullfunexg ax-mp ) ACDAECDBACFG $.
      $( [9-Mar-2015] $)
  $}


  ${
    $d F x $.  $d F y $.  $d F z $.  $d x y $.  $d x z $.  $d y z $.
    $( Lemma for ~ fvfullfun .  Calculate the domain of part one of the full
       function definition. $)
    fvfullfunlem1 $p |- dom ( ( _I o. F ) \ ( ~ _I o. F ) ) =
       { x | E! y x F y } $=
      ( vz cv wbr cid ccom wcel wex weq wi wal wa df-br vex notbii 3bitri exbii
      wn weu ccompl cdif cdm eldm brdif brcoi1 brco cop opex ideq bitr3i anbi2i
      elcompl bitri exanali con2bii bitr4i anbi12i wsb ax-17 breq2 sbie imbi12i
      eu1 equcom albii bitr2i abbi2i ) AEZBEZCFZBUAZAGCHZGUBZCHZUCZUDZVJVRIVJVK
      VQFZBJVLVJDEZCFZDBKZLZDMZNZBJZVMBVJVQUEVSWEBVSVJVKVNFZVJVKVPFZTZNWEVJVKVN
      VPUFWGVLWIWDVJVKCUGWIWAWBTZNZDJZTWDWHWLWHWAVTVKVOFZNZDJWLDVJVKVOCUHWNWKDW
      MWJWAWMVTVKUIZVOIWOGIZTWJVTVKVOOWOGVTVKDPBPZUJUNWPWBWPVTVKGFWBVTVKGOVTVKW
      QUKULQRUMSUOQWLWDWAWBDUPUQURUSUOSVMVLVLBDUTZBDKZLZDMZNZBJWFVLBDVLDVAVEXBW
      EBXAWDVLWTWCDWRWAWSWBVLWABDWABVAVKVTVJCVBVCBDVFVDVGUMSVHRVI $.
      $( [9-Mar-2015] $)
  $}

  ${
    $d F x $.  $d F y $.  $d F z $.  $d x y $.  $d x z $.  $d y z $.
    $( Lemma for ~ fvfullfun .  Part one of the full function definition is a
       subset of the function. $)
    fvfullfunlem2 $p |- ( ( _I o. F ) \ ( ~ _I o. F ) ) C_ F $=
      ( vx vy vz cid ccom ccompl cdif wss cv cop wcel wi wal wbr wa simpl df-br
      weq wrel fnfullfunlem1 bitr3i 3imtr3i gen2 relco reldif ssrel mp2b mpbir
      wb ) EAFZEGAFZHZAIZBJZCJZKZUMLZUQALZMZCNBNZUTBCUOUPAOZUODJAODCSMDNZPZVBUR
      USVBVCQVDUOUPUMOURDUOUPAUAUOUPUMRUBUOUPARUCUDUKTUMTUNVAUJEAUEUKULUFBCUMAU
      GUHUI $.
      $( [9-Mar-2015] $)
  $}

  ${
    $d F a $.  $d A a $.  $d F x $.  $d F y $.  $d F z $.  $d x y $.  $d x z $.
    $d y z $.
    $( Lemma for ~ fvfullfun .  Part one of the full function definition agrees
       with the set itself over its domain. $)
    fvfullfunlem3 $p |- ( A e. dom ( ( _I o. F ) \ ( ~ _I o. F ) ) ->
       ( ( ( _I o. F ) \ ( ~ _I o. F ) ) ` A ) = ( F ` A ) ) $=
      ( vx vy vz cid ccom wcel cfv wss wrel cv wbr wa wal weu anbi2i cvv ax-mp
      wi ccompl cdif cdm cres wfun wceq relres brres fvfullfunlem1 abeq2i bitri
      weq wsb ax-17 breq2 sbie biimpri wmo eumo mo3 ax-4 a4s sylbi mpan9 anasss
      syl adantlr syl2anb ax-gen gen2 dffun2 mpbir2an cxp cin fvfullfunlem2 crn
      relco reldif relssdmrn ssv xpss2 pm3.2i ssin mpbi df-res sseqtr4i funssfv
      sstri mp3an12 fvres eqtr3d ) AFBGZFUABGZUBZUCZHZABWOUDZIZAWNIZABIWQUEZWNW
      QJWPWRWSUFWTWQKCLZDLZWQMZXAELZWQMZNDEULZTZEOZDOCOBWOUGXHCDXGEXCXAXBBMZXAX
      DBMZEPZNZXJXIDPZNZXFXEXCXIXAWOHZNXLXAXBBWOUHXOXKXIXKCWOCEBUIUJQUKXEXJXONX
      NXAXDBWOUHXOXMXJXMCWOCDBUIUJQUKXIXNXFXKXIXJXMXFXIXJNZXIXIDEUMZNZXMXFXRXPX
      QXJXIXIXJDEXJDUNXBXDXABUOUPQUQXMXIDURZXRXFTZXIDUSXSXTEOZDOXTXIDEXIEUNUTYA
      XTDXTEVAVBVCVFVDVEVGVHVIVJCDEWQVKVLWNBWORVMZVNZWQWNBJZWNYBJZNWNYCJYDYEBVO
      WNWOWNVPZVMZYBWNKZWNYGJWLKYHFBVQWLWMVRSWNVSSYFRJYGYBJYFVTYFRWOWASWHWBWNBY
      BWCWDBWOWEWFAWQWNWGWIAWOBWJWK $.
      $( [9-Mar-2015] $)
  $}

  ${
    $d A x $.  $d F x $.  $d F y $.  $d x y $.
    $( The value of the full function definition agrees with the function value
       everywhere. $)
    fvfullfun $p |- ( FullFun F ` A ) = ( F ` A ) $=
      ( vx vy cvv wcel cfv wceq cv fveq2 cid ccom ccompl c0 wfn wa mp3an12 mpan
      0ex eqtr4d cfullfun eqeq12d cdm csn cxp cun df-fullfun fveq1i cin incompl
      cdif wfun fnfullfunlem2 funfn fnconstg ax-mp fvun1 fvfullfunlem3 eqtrd wn
      mpbi vex elcompl sylbir wbr fvfullfunlem1 abeq2i tz6.12-2 sylnbi fvconst2
      fvun2 weu pm2.61i eqtri vtoclg fvprc ) AEFZABUAZGZABGZHZCIZVRGZWBBGZHWACA
      EWBAHWCVSWDVTWBAVRJWBABJUBWCWBKBLKMBLUKZWEUCZMZNUDUEZUFZGZWDWBVRWIBUGUHWB
      WFFZWJWDHWKWJWBWEGZWDWFWGUINHZWKWJWLHZWFUJZWEWFOZWHWGOZWMWKPWNWEULWPBUMWE
      UNVAZNEFWQSWGNEUOUPZWFWGWEWHWBUQQRWBBURUSWKUTZWJWBWHGZWDWTWBWGFZWJXAHZWBW
      FCVBVCZWMXBXCWOWPWQWMXBPXCWRWSWFWGWEWHWBVKQRVDWTWDNXAWKWBDIBVEDVLZWDNHXEC
      WFCDBVFVGDWBBVHVIWTXBXANHXDWGNWBSVJVDTTVMVNVOVQUTVSNVTAVRVPABVPTVM $.
      $( [9-Mar-2015] $)
  $}

  $( Binary relationship of the full function operation. $)
  brfullfung $p |- ( A e. V -> ( A FullFun F B <-> ( F ` A ) = B ) ) $=
    ( wcel cvv cfullfun wbr cfv wceq wb elex fvfullfun eqeq1i fnfullfun fnbrfvb
    wfn mpan syl5rbbr syl ) ADEAFEZABCGZHZACIZBJZKADLUEAUBIZBJZUAUCUFUDBACMNUBF
    QUAUGUCKCOFABUBPRST $.
    $( [9-Mar-2015] $)

  ${
    brfullfun.1 $e |- A e. _V $.
    $( Binary relationship of the full function operation. $)
    brfullfun $p |- ( A FullFun F B <-> ( F ` A ) = B ) $=
      ( cvv wcel cfullfun wbr cfv wceq wb brfullfung ax-mp ) AEFABCGHACIBJKDABC
      ELM $.
      $( [9-Mar-2015] $)
  $}

  ${
    brfullfunop.1 $e |- A e. _V $.
    brfullfunop.2 $e |- B e. _V $.
    $( Binary relationship of the full function operation over an ordered
       pair. $)
    brfullfunop $p |- ( <. A , B >. FullFun F C <-> ( A F B ) = C ) $=
      ( cop cfullfun wbr cfv wceq co opex brfullfun df-ov eqeq1i bitr4i ) ABGZC
      DHIRDJZCKABDLZCKRCDABEFMNTSCABDOPQ $.
      $( [9-Mar-2015] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Closure operation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Clos1 $.

  $( Extend the definition of a class to include the closure operation. $)
  cclos1 $a class Clos1 ( A , R ) $.

  ${
    $d S a $.  $d R a $.
    $( Define the closure operation.  A modified version of the definition from
       {{Rosser}}, p. 245. $)
    df-clos1 $a |- Clos1 ( S , R ) =
       |^| { a | ( S C_ a /\ ( R " a ) C_ a ) } $.
  $}

  ${
    $d R a $.  $d S a $.  $d T a $.
    $( Equality law for closure. $)
    clos1eq1 $p |- ( S = T -> Clos1 ( S , R ) = Clos1 ( T , R ) ) $=
      ( va wceq cv wss cima wa cab cint cclos1 sseq1 anbi1d abbidv syl df-clos1
      inteq 3eqtr4g ) BCEZBDFZGZAUAHUAGZIZDJZKZCUAGZUCIZDJZKZBALCALTUEUIEUFUJET
      UDUHDTUBUGUCBCUAMNOUEUIRPABDQACDQS $.
      $( [11-Feb-2015] $)

    $( Equality law for closure. $)
    clos1eq2 $p |- ( R = T -> Clos1 ( S , R ) = Clos1 ( S , T ) ) $=
      ( va wceq cv wss cima wa cab cclos1 imaeq1 sseq1d anbi2d abbidv inteq syl
      cint df-clos1 3eqtr4g ) ACEZBDFZGZAUBHZUBGZIZDJZRZUCCUBHZUBGZIZDJZRZBAKBC
      KUAUGULEUHUMEUAUFUKDUAUEUJUCUAUDUIUBACUBLMNOUGULPQABDSCBDST $.
      $( [11-Feb-2015] $)
  $}

  ${
    $d a b $.  $d R a $.  $d R b $.  $d S a $.
    clos1ex.1 $e |- S e. _V $.
    clos1ex.2 $e |- R e. _V $.
    $( The closure of a set under a set is a set. $)
    clos1ex $p |- Clos1 ( S , R ) e. _V $=
      ( va vb cv wss cima cvv csset wcel wbr vex brsset wex imaex bitri ssetex
      wa cclos1 cab cint df-clos1 csn cimage ccom cfix cin elin elimasn 3bitr2i
      df-br elfix brco brimage anbi1i exbii breq1 syl6bb ceqsexv anbi12i abbi2i
      cop wceq snex imageex coex fixex inex eqeltrri intex eqeltri ) BAUABEGZHZ
      AVNIZVNHZTZEUBZUCJABEUDVSKBUEZIZKAUFZUGZUHZUIZVSJVREWEVNWELVNWALZVNWDLZTV
      RVNWAWDUJWFVOWGVQWFBVNVDKLBVNKMVOKBVNUKBVNKUMBVNCENZOULWGVNVNWCMZVQVNWCUN
      WIVNFGZWBMZWJVNKMZTZFPZVQFVNVNKWBUOWNWJVPVEZWLTZFPVQWMWPFWKWOWLVNWJAWHFNU
      PUQURWLVQFVPAVNDWHQZWOWLVPVNKMVQWJVPVNKUSVPVNWQWHOUTVARRRVBRVCWAWDKVTSBVF
      QWCKWBSADVGVHVIVJVKVLVM $.
      $( [11-Feb-2015] $)
  $}

  ${
    $d S s r $.  $d R s r $.
    $( The closure of a set under a set is a set. $)
    clos1exg $p |- ( ( S e. V /\ R e. W ) -> Clos1 ( S , R ) e. _V ) $=
      ( vs vr cclos1 cvv wcel wceq clos1eq1 eleq1d clos1eq2 vex clos1ex vtocl2g
      cv ) EQZFQZGZHIBSGZHIBAGZHIEFBACDRBJTUAHSRBKLSAJUAUBHSBAMLSRENFNOP $.
      $( [11-Feb-2015] $)
  $}

  ${
    $d R a $.  $d S a $.
    clos1base.1 $e |- C = Clos1 ( S , R ) $.
    $( The initial set of a closure is a subset of the closure.  Theorem
       IX.5.13 of {{Rosser}}, p. 246. $)
    clos1base $p |- S C_ C $=
      ( va cv wss cima wa cab cint ssmin cclos1 df-clos1 eqtr2i sseqtri ) CCEFZ
      GBQHQGZIEJKZARECLACBMSDBCENOP $.
      $( [13-Feb-2015] $)

    ${
      $d A x $.  $d B x $.  $d B y $.  $d C x $.  $d C y $.  $d R x $.
      $d R y $.  $d x y $.  $d a x $.  $d a y $.  $d A y $.  $d a z $.
      $d R z $.  $d x z $.  $d y z $.

      $( If a class is connected to an element of a closure via ` R ` , then it
         is a member of the closure.  Theorem IX.5.14 of {{Rosser}}, p. 246. $)
      clos1conn $p |- ( ( A e. C /\ A R B ) -> B e. C ) $=
        ( vx vy va vz cvv wcel wa wbr cv wi wceq eleq1 breq1 wss adantl anbi12d
        brex imbi1d breq2 anbi2d imbi12d cima wel wal wrex rcla4ev elima sylibr
        ancoms ssel syl5 exp3a com12 adantld a2d alimdv cab cint df-clos1 eqtri
        cclos1 eleq2i vex elintab bitri 3imtr4g impcom vtocl2g mpcom ) AKLBKLMZ
        ACLZABDNZMZBCLZVRVPVQABDUCUAGOZCLZWAHOZDNZMZWCCLZPVQAWCDNZMZWFPVSVTPGHA
        BKKWAAQZWEWHWFWIWBVQWDWGWAACRWAAWCDSUBUDWCBQZWHVSWFVTWJWGVRVQWCBADUEUFW
        CBCRUGWDWBWFWDEIOZTZDWKUHZWKTZMZGIUIZPZIUJZWOHIUIZPZIUJZWBWFWDWQWTIWDWO
        WPWSWDWNWPWSPZWLWNWDXBWNWDWPWSWDWPMWCWMLZWNWSWPWDXCWPWDMJOZWCDNZJWKUKXC
        XEWDJWAWKXDWAWCDSULJWCDWKUMUNUOWMWKWCUPUQURUSUTVAVBWBWAWOIVCVDZLWRCXFWA
        CEDVGXFFDEIVEVFZVHWOIWAGVIVJVKWFWCXFLXACXFWCXGVHWOIWCHVIVJVKVLVMVNVO $.
        $( [13-Feb-2015] $)
    $}

  $}

  ${
    $d S a $.  $d R a $.
    clos1induct.1 $e |- S e. _V $.
    clos1induct.2 $e |- R e. _V $.
    clos1induct.3 $e |- C = Clos1 ( S , R ) $.
    ${
      $d C a x z $.  $d R x z $.  $d X a x z $.
      $( Inductive law for closure.  If the base set is a subset of ` X ` , and
         ` X ` is closed under ` R ` , then the closure is a subset of ` X ` .
         Theorem IX.5.15 of {{Rosser}}, p. 247. $)
      clos1induct $p |- ( ( X e. V /\ S C_ X /\
          A. x e. C A. z ( ( x e. X /\ x R z ) -> z e. X ) ) ->
          C C_ X ) $=
        ( va wcel cvv wss cv wa wi wal albii bitri cin wral cima cclos1 clos1ex
        wbr eqeltri inexg mpan2 clos1base ssin biimpi wex elima2 imbi12i df-ral
        impexp wb clos1conn biantrud adantrl pm5.74i bitr3i ancom anbi1i imbi1i
        elin anass 19.23v 3bitr2i bitr4i dfss2 ralcom4 3bitr4i biimpri w3a cint
        cab df-clos1 eqtri sseq2 imaeq2 id sseq12d anbi12d elabg biimprd 3impib
        wceq intss1 syl syl5eqss inss1 syl6ss syl3an ) GFLZGCUAZMLZEGNZEWQNZAOZ
        GLZXABOZDUFZPZXCGLZQZBRACUBZDWQUCZWQNZCGNWPCMLWRCEDUDZMJDEHIUEUGGCFMUHU
        IWSECNZWTCDEJUJWSXLPWTEGCUKULUIXJXHXCXILZXCWQLZQZBRXGACUBZBRXJXHXOXPBXO
        XAWQLZXDPZAUMZXFXCCLZPZQZXPXMXSXNYAAXCDWQUNXCGCVGUOXPXACLZXEPZYAQZARZXR
        YAQZARYBXPYCXGQZARYFXGACUPYHYEAYHYDXFQYEYCXEXFUQYDXFYAYCXDXFYAURXBYCXDP
        XTXFXAXCCDEJUSUTVAVBVCSTYGYEAXRYDYAXRYCXBPZXDPYDXQYIXDXQXBYCPYIXAGCVGXB
        YCVDTVEYCXBXDVHTVFSXRYAAVIVJVKSBXIWQVLXGABCVMVNVOWRWTXJVPZCWQGYJCEKOZNZ
        DYKUCZYKNZPZKVRZVQZWQCXKYQJDEKVSVTYJWQYPLZYQWQNWRWTXJYRWRYRWTXJPZYOYSKW
        QMYKWQWIZYLWTYNXJYKWQEWAYTYMXIYKWQYKWQDWBYTWCWDWEWFWGWHWQYPWJWKWLGCWMWN
        WO $.
        $( [11-Feb-2015] $)
    $}
  $}

  ${
    $d A x $.  $d C y $.  $d C z $.  $d ch x $.  $d ph y $.  $d ph z $.
    $d ps x $.  $d R y $.  $d R z $.  $d S x $.  $d th x $.  $d x y $.
    $d x z $.  $d y z $.
    clos1is.1 $e |- S e. _V $.
    clos1is.2 $e |- R e. _V $.
    clos1is.3 $e |- C = Clos1 ( S , R ) $.
    clos1is.4 $e |- { x | ph } e. _V $.
    clos1is.5 $e |- ( x = y -> ( ph <-> ps ) ) $.
    clos1is.6 $e |- ( x = z -> ( ph <-> ch ) ) $.
    clos1is.7 $e |- ( x = A -> ( ph <-> th ) ) $.
    clos1is.8 $e |- ( x e. S -> ph ) $.
    clos1is.9 $e |- ( ( y e. C /\ y R z /\ ps ) -> ch ) $.
    $( Induction scheme for closures.  Hypotheses one through three set up
       existence properties, hypothesis four sets up stratification, hypotheses
       five through seven set up implicit substitution, and hypotheses eight
       and nine set up the base and induction steps. $)
    clos1is $p |- ( A e. C -> th ) $=
      ( wcel cab cvv wss cv wbr wa wal wral ssab mpgbir 3expib vex anbi1i ancom
      wi elab bitri 3imtr4g alrimiv rgen clos1induct mp3an sseli elabg mpbid )
      HIUAHAEUBZUADIVGHVGUCUAKVGUDZFUEZVGUAZVIGUEZJUFZUGZVKVGUAZUPZGUHZFIUIIVGU
      DOVHEUEKUAAUPEAEKUJSUKVPFIVIIUAZVOGVQVLBUGZCVMVNVQVLBCTULVMBVLUGVRVJBVLAB
      EVIFUMPUQUNBVLUOURACEVKGUMQUQUSUTVAFGIJKUCVGLMNVBVCVDADEHIRVEVF $.
      $( [13-Feb-2015] $)
  $}

  ${
    $d A x $.  $d A y $.  $d C w $.  $d C x $.  $d C y $.  $d C z $.  $d R w $.
    $d R x $.  $d R y $.  $d R z $.  $d S w $.  $d S y $.  $d S z $.  $d w x $.
    $d w y $.  $d w z $.  $d x y $.  $d x z $.  $d y z $.
    clos1basesuc.1 $e |- S e. _V $.
    clos1basesuc.2 $e |- R e. _V $.
    clos1basesuc.3 $e |- C = Clos1 ( S , R ) $.
    $( A member of a closure is either in the base set or connected to another
       member by ` R ` .  Theorem IX.5.16 of {{Rosser}}, p. 248. $)
    clos1basesuc $p |- ( A e. C <-> ( A e. S \/ E. x e. C x R A ) ) $=
      ( vy vz vw wcel cv wbr wrex wo cab eleq1 breq2 rexbidv cima cun cvv abid2
      eqcomi df-ima uneq12i unab eqtri cclos1 clos1ex eqeltri unex eqeltrri weq
      imaex orbi12d orc wa wi clos1base sseli breq1 rcla4ev clos1conn rexlimiva
      wceq ex syl jaoi impcom cbvrexv sylibr olcd 3adant1 clos1is impbii ) BCLZ
      BELZAMZBDNZACOZPZIMZELZVTWDDNZACOZPZJMZELZVTWIDNZACOZPZKMZELZVTWNDNZACOZP
      ZWCIJKBCDEFGHEDCUAZUBZWHIQZUCWTWEIQZWGIQZUBXAEXBWSXCXBEIEUDUEIADCUFUGWEWG
      IUHUIEWSFDCGCEDUJUCHDEFGUKULUPUMUNIJUOZWEWJWGWLWDWIERXDWFWKACWDWIVTDSTUQI
      KUOZWEWOWGWQWDWNERXEWFWPACWDWNVTDSTUQWDBVGZWEVSWGWBWDBERXFWFWAACWDBVTDSTU
      QWEWGURWIWNDNZWMWRWICLZXGWMUSZWQWOXIWDWNDNZICOZWQWMXGXKWJXGXKUTZWLWJXHXLE
      CWICDEHVAZVBXHXGXKXJXGIWICWDWIWNDVCVDVHZVIWKXLACVTCLWKUSXHXLVTWICDEHVEXNV
      IVFVJVKWPXJAICVTWDWNDVCVLVMVNVOVPVSVRWBECBXMVBWAVRACVTBCDEHVEVFVJVQ $.
      $( [13-Feb-2015] $)

    $d S x $.
    $( A closure is equal to the base set together with the image of the
       closure under ` R ` .  Theorem X.4.37 of {{Rosser}}, p. 303. $)
    clos1baseima $p |- C = ( S u. ( R " C ) ) $=
      ( vx vy cima cun cv wcel wbr wrex elima orbi2i elun clos1basesuc 3bitr4ri
      wo eqriv ) GACBAIZJZGKZCLZUDUBLZTUEHKUDBMHANZTUDUCLUDALUFUGUEHUDBAOPUDCUB
      QHUDABCDEFRSUA $.
      $( [10-Mar-2015] $)
  $}

  ${
    $d a x y z $.
    $( The finite cardinals as expressed via the closure operation.  Theorem
       X.1.3 of {{Rosser}}, p. 276. $)
    dfnnc3 $p |- Nn = Clos1 ( { 0c } , ( x e. _V |-> ( x +c 1c ) ) ) $=
      ( va vy vz c0c cv wcel c1c cplc wral wa cab cint wss cvv wi wal wceq 1cex
      vex csn cmpt cima cnnc cclos1 0cex snss wel cfv dfss2 ralcom4 wrex wfn wb
      eqid fnmpt addcex a1i mprg ssv fvelimab mp2an imbi1i r19.23v bitr4i albii
      addceq1 fvmpt ax-mp eqeq1i eqcom bitri eleq1 ceqsalv ralbii anbi12i abbii
      3bitr2ri inteqi df-nnc df-clos1 3eqtr4i ) EBFZGZCFZHIZWCGZCWCJZKZBLZMEUAZ
      WCNZAOAFZHIZUBZWCUCZWCNZKZBLZMUDWKWOUEWJWSWIWRBWDWLWHWQEWCUFUGWQDFZWPGZDB
      UHZPZDQZWEWOUIZWTRZXBPZDQZCWCJZWHDWPWCUJXIXGCWCJZDQXDXGCDWCUKXCXJDXCXFCWC
      ULZXBPXJXAXKXBWOOUMZWCONXAXKUNWNOGZXLAOAOWNWOOWOUOZUPXMWMOGWMHATSUQURUSWC
      UTCOWCWTWOVAVBVCXFXBCWCVDVEVFVEXHWGCWCXHWTWFRZXBPZDQWGXGXPDXFXOXBXFWFWTRX
      OXEWFWTWEOGXEWFRCTZAWEWNWFOWOWMWEHVGXNWEHXQSUQZVHVIVJWFWTVKVLVCVFXBWGDWFX
      RWTWFWCVMVNVLVOVRVPVQVSCBVTWOWKBWAWB $.
      $( [12-Feb-2015] $)
  $}

  ${
    $d C x $.  $d C y $.  $d R x $.  $d R y $.  $d S x $.  $d S y $.  $d x y $.
    clos1nrel.1 $e |- S e. _V $.
    clos1nrel.2 $e |- R e. _V $.
    clos1nrel.3 $e |- C = Clos1 ( S , R ) $.
    $( The value of a closure when the base set is not related to anything in
       ` R ` . $)
    clos1nrel $p |- ( ( R " S ) = (/) -> C = S ) $=
      ( vx vy cima c0 wceq cv wcel wbr wa wi wal wral wss cvv wn eq0 wrex elima
      ra4e sylibr con3i pm2.21d alimi sylbi ralrimivw clos1induct syl clos1base
      ssid mp3an12 a1i eqssd ) BCIZJKZACUTGLZCMVAHLZBNZOZVBCMZPZHQZGARZACSZUTVG
      GAUTVBUSMZUAZHQVGHUSUBVKVFHVKVDVEVDVJVDVCGCUCVJVCGCUEGVBBCUDUFUGUHUIUJUKC
      TMCCSVHVIDCUOGHABCTCDEFULUPUMCASUTABCFUNUQUR $.
      $( [13-Mar-2015] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
       Orderings
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Basic ordering relationships
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Trans $. $( Transitive relationships $)
  $c Ref $. $( Reflextive relationships $)
  $c Antisym $. $( Antisymmetric relationships $)
  $c Po $. $( Po orderings $)
  $c Connex $. $( Connected relationships $)
  $c Or $. $( Or orderings $)
  $c Fr $. $( Founded relationships $)
  $c We $. $( We-orderings $)
  $c Ext $. $( Extensional relationships $)
  $c Sym $. $( Symmetric relationships. $)
  $c Er $. $( Equivalence relationships. $)

  $( Extend the definition of a class to include the set of all transitive
     relationships. $)
  ctrans $a class Trans $.

  $( Extend the definition of a class to include the set of all reflexive
     relationships. $)
  cref $a class Ref $.

  $( Extend the definition of a class to include the set of all antisymmetric
     relationships. $)
  cantisym $a class Antisym $.

  $( Extend the definition of a class to include the set of all partial
     orderings. $)
  cpartial $a class Po $.

  $( Extend the definition of a class to include the set of all connected
     relationships. $)
  cconnex $a class Connex $.

  $( Extend the definition of a class to include the set of all strict linear
     orderings. $)
  cstrict $a class Or $.

  $( Extend the definition of a class to include the set of all founded
     relationships. $)
  cfound $a class Fr $.

  $( Extend the definition of a class to include the set of all well-ordered
     relationships. $)
  cwe $a class We $.

  $( Extend the definition of a class to include the set of all extensional
     relationships. $)
  cext $a class Ext $.

  $( Extend the definition of a class to include the symmetric
     relationships. $)
  csym $a class Sym $.

  $( Extend the definition of a class to include the equivalence
     relationships. $)
  cer $a class Er $.

  ${
    $d r a x y z $.
    $( Define the set of all transitive relationships over a base set. $)
    df-trans $a |- Trans = { <. r , a >. |
       A. x e. a A. y e. a A. z e. a ( ( x r y /\ y r z ) -> x r z ) } $.

    $( Define the set of all reflexive relationships over a base set. $)
    df-ref $a |- Ref = { <. r , a >. | A. x e. a x r x } $.

    $( Define the set of all antisymmetric relationships over a base set. $)
    df-antisym $a |- Antisym = { <. r , a >. |
      A. x e. a A. y e. a ( ( x r y /\ y r x ) -> x = y ) } $.

    $( Define the set of all partial orderings over a base set. $)
    df-partial $a |- Po = ( ( Ref i^i Trans ) i^i Antisym ) $.

    $( Define the set of all connected relationships over a base set. $)
    df-connex $a |- Connex = { <. r , a >. |
       A. x e. a A. y e. a ( x r y \/ y r x ) } $.

    $( Define the set of all strict orderings over a base set. $)
    df-strict $a |- Or = ( Po i^i Connex ) $.

    $( Define the set of all founded relationships over a base set. $)
    df-found $a |- Fr = { <. r , a >. |
       A. x ( ( x C_ a /\ x =/= (/) ) ->
              E. z e. x A. y e. x ( y r z -> y = z ) ) } $.

    $( Define the set of all well orderings over a base set. $)
    df-we $a |- We = ( Or i^i Fr ) $.

    $( Define the set of all extensional relationships over a base set. $)
    df-ext $a |- Ext = { <. r , a >. |
       A. x e. a A. y e. a ( A. z e. a ( z r x <-> z r y ) -> x = y ) } $.

    $( Define the set of all symmetric relationships over a base set. $)
    df-sym $a |- Sym = { <. r , a >. |
       A. x e. a A. y e. a ( x r y -> y r x ) } $.

    $( Define the set of all equivalence relationships over a base set. $)
    df-er $a |- Er = ( Sym i^i Trans ) $.
  $}

  ${
    $d a p $.  $d a r $.  $d a x $.  $d a y $.  $d a z $.  $d p q $.  $d p r $.
    $d p x $.  $d p y $.  $d p z $.  $d q x $.  $d q y $.  $d q z $.  $d r x $.
    $d r y $.  $d r z $.  $d x y $.  $d x z $.  $d y z $.  $d s x $.  $d p s $.
    $d r s $.  $d r t $.  $d t y $.  $d t z $.  $d p t $.  $d t x $.  $d a t $.

    $( The class of all transitive relationships is a set. $)
    transex $p |- Trans e. _V $=
      ( vx vy vz vp vq csset cins2 c1st c2nd wbr wa cop wcel wex otelins2 bitri
      3bitri df-br anbi12i 3bitr4i vr va ctrans cvv cxp ccnv ctxp csi3 c1c cima
      cins4 cin cins3 cdif ccompl cv wi wral copab df-trans wn wrex csn wel vex
      elin opelssetsn snex oqelins4 opex elima1c oteltxp brcnv bitr3i otsnelsi3
      wceq trtxp ancom op1st2nd 3bitr3i exbii sneq breq2d ceqsexv rexbii risset
      elima eldif otelins3 notbii df-rex rexanali elcompl impexp ralbii r19.21v
      2ralbii dfral2 releqopab eqtr4i vvex xpex ssetex ins2ex 1stex cnvex 2ndex
      txpex si3ex 1cex imaex ins4ex inex ins3ex difex complex eqeltri ) UCUDUDU
      EZFGZXSGZHUFZIHUGZUHZUGZUIUJZUKZIGZGZULZFUJZUKZXTGZYFIUMZGZGZGZULZFUJZYKG
      ZUNZULZUIUJZULZULZUIUJZULZUIUJZUOZULZUDUCAUPZBUPZUAUPZJZUUKCUPZUULJZKUUJU
      UNUULJZUQZCUBUPZURZBUURURAUURURZUAUBUSUUIABCUAUBUTUUTUAUBUUHUULUURLZUUGMZ
      VAUUMUUOUUPUQZCUURURZUQZBUURURZVAZAUURVBZVAZUVAUUHMUUTUVBUVHUUJVCZUVALZUU
      FMZANAUBVDZUVGKZANUVBUVHUVLUVNAUVLUVKXSMZUVKUUEMZKUVNUVKXSUUEVFUVOUVMUVPU
      VGUVOUVJUURLFMUVMUVJUULUURFUAVEZOUUJUURAVEZUBVEZVGPUVPUUMUVDVAZKZBUURVBZU
      VGUUKVCZUVKLZUUDMZBNBUBVDZUWAKZBNUVPUWBUWEUWGBUWEUWDXTMZUWDUUCMZKUWGUWDXT
      UUCVFUWHUWFUWIUWAUWHUWCUVALXSMUWCUURLFMUWFUWCUVJUVAXSUUJVHZOUWCUULUURFUVQ
      OUUKUURBVEZUVSVGQUWIUWDYKMZUWDUUBMZKUWAUWDYKUUBVFUWLUUMUWMUVTUWLUWCUVJUUL
      LZLZYJMZUUMUWCUVJUULUURYJUVSVIUUJUUKLZVCZUULLZFMZUWQUULMUWPUUMUWQUULUUJUU
      KUVRUWKVJZUVQVGDUPZUWOYIJZDFVBUXBUWSVPZDFVBUWPUWTUXCUXDDFUXCUXBUWOLZYIMZU
      XBUWRHJZUXBUULIJZKZUXDUXBUWOYIRUXFUXEYFMZUXEYHMZKUXIUXEYFYHVFUXJUXGUXKUXH
      UXJUXBUWCUVJLZLZYEMZUXGUXBUWCUVJUULYEUVQVIUXNEUPZVCZUXMLYDMZENUXOUWQVPZUX
      BUXPHJZKZENUXGEUXMYDVKUXQUXTEUXQUXPUXBLYAMZUXPUXLLYCMZKUXSUXRKUXTUXPUXBUX
      LYAYCVLUYAUXSUYBUXRUYAUXPUXBYAJUXSUXPUXBYARUXPUXBHVMVNZUYBUXOUUKUUJLZLYBM
      ZUXRUXOUUKUUJYBEVEZUWKUVRVOUXOUYDYBJZUXOUUJHJZUXOUUKIJZKZUYEUXRUYGUYIUYHK
      UYJUXOUUKUUJIHVQUYIUYHVRPUXOUYDYBRUUJUUKUXOUVRUWKVSVTPSUXSUXRVRQWAUXSUXGE
      UWQUXAUXRUXPUWRUXBHUXOUWQWBWCWDQPUXBUWNLYGMZUXBUULLIMZUXKUXHUXBUVJUULIUWJ
      OZUXBUWCUWNYGUUKVHZOUXBUULIRZTSPUWRUULUXBUWQVHUVQVSQWEDUWOYIFWGDUWSFWFTUU
      JUUKUULRTPUWMUUOUUPVAZKZCUURVBZUVTUUNVCZUWDLZUUAMZCNCUBVDZUYQKZCNUWMUYRVU
      AVUCCVUAUYTYLMZUYTYTMZKVUCUYTYLYTVFVUDVUBVUEUYQVUDUYSUVKLZXTMUYSUVALXSMZV
      UBUYSUWCUVKXTUYNOUYSUVJUVAXSUWJOVUGUYSUURLFMVUBUYSUULUURFUVQOUUNUURCVEZUV
      SVGPQVUEUYTYRMZUYTYSMZVAZKUYQUYTYRYSWHVUIUUOVUKUYPUUKUUNLZVCZUULLZFMZVULU
      ULMVUIUUOVULUULUUKUUNUWKVUHVJZUVQVGUXBUYTYQJZDFVBUXBVUNVPZDFVBVUIVUOVUQVU
      RDFVUQUXBUYTLZYQMZUXBVUMHJZUXHKZVURUXBUYTYQRVUTVUSYFMZVUSYPMZKVVBVUSYFYPV
      FVVCVVAVVDUXHVVCUXBUYSUWCLZLZYEMZVVAUXBUYSUWCUVKYEUVJUVAUWJUULUURUVQUVSVJ
      ZVJVIVVGUXPVVFLYDMZENUXOVULVPZUXSKZENVVAEVVFYDVKVVIVVKEVVIUYAUXPVVELYCMZK
      UXSVVJKVVKUXPUXBVVEYAYCVLUYAUXSVVLVVJUYCVVLUXOUUNUUKLZLYBMZVVJUXOUUNUUKYB
      UYFVUHUWKVOUXOVVMYBJUXOUUNIJZUXOUUKHJZKZVVNVVJUXOUUNUUKIHVQUXOVVMYBRVVQVV
      PVVOKVVJVVOVVPVRUUKUUNUXOUWKVUHVSPVTPSUXSVVJVRQWAUXSVVAEVULVUPVVJUXPVUMUX
      BHUXOVULWBWCWDQPVVDUXBUWDLYOMUXBUVKLYNMZUXHUXBUYSUWDYOUUNVHZOUXBUWCUVKYNU
      YNOUXBUVALYMMUYLVVRUXHUXBUULUURIUVSWIUXBUVJUVAYMUWJOUYOTQSPVUMUULUXBVULVH
      UVQVSQWEDUYTYQFWGDVUNFWFTUUKUUNUULRTVUJUUPVUJVUFYKMUYSUWNLZYJMZUUPUYSUWCU
      VKYKUYNOUYSUVJUULUURYJUVSVIUUJUUNLZVCZUULLZFMZVWBUULMVWAUUPVWBUULUUJUUNUV
      RVUHVJZUVQVGUXBVVTYIJZDFVBUXBVWDVPZDFVBVWAVWEVWGVWHDFVWGUXBVVTLZYIMZUXBVW
      CHJZUXHKZVWHUXBVVTYIRVWJVWIYFMZVWIYHMZKVWLVWIYFYHVFVWMVWKVWNUXHVWMUXBUYSU
      VJLZLZYEMZVWKUXBUYSUVJUULYEUVQVIVWQUXPVWPLYDMZENUXOVWBVPZUXSKZENVWKEVWPYD
      VKVWRVWTEVWRUYAUXPVWOLYCMZKUXSVWSKVWTUXPUXBVWOYAYCVLUYAUXSVXAVWSUYCVXAUXO
      UUNUUJLZLYBMZVWSUXOUUNUUJYBUYFVUHUVRVOUXOVXBYBJVVOUYHKZVXCVWSUXOUUNUUJIHV
      QUXOVXBYBRVXDUYHVVOKVWSVVOUYHVRUUJUUNUXOUVRVUHVSPVTPSUXSVWSVRQWAUXSVWKEVW
      BVWFVWSUXPVWCUXBHUXOVWBWBWCWDQPUYKUYLVWNUXHUYMUXBUYSUWNYGVVSOUYOTSPVWCUUL
      UXBVWBVHUVQVSQWEDVVTYIFWGDVWDFWFTUUJUUNUULRTQWJSPSPWACUWDUUAVKUYQCUURWKTU
      UOUUPCUURWLPSPSPWABUVKUUDVKUWABUURWKTUUMUVDBUURWLPSPWAAUVAUUFVKUVGAUURWKT
      WJUVAUUGVVHWMUUTUVFAUURURUVIUUSUVEABUURUURUUSUUMUVCUQZCUURURUVEUUQVXECUUR
      UUMUUOUUPWNWOUUMUVCCUURWPPWQUVFAUURWRPTWSWTXRUUHUDUDXAXAXBUUGUUFUIXSUUEFX
      CXDZUUDUIXTUUCXSVXFXDZYKUUBYJYIFYFYHYEYDUIYAYCHXEXFYBIHXGXEXHXIXHXJXKXLZY
      GIXGXDXDXMXCXKXLZUUAUIYLYTXTVXGXDYRYSYQFYFYPVXHYOYNYMIXGXNXDXDXDXMXCXKYKV
      XIXDXOXMXJXKXMXMXJXKXMXJXKXPXMXQ $.
      $( [19-Feb-2015] $)

    $( The class of all reflexive relationships is a set. $)
    refex $p |- Ref e. _V $=
      ( vx vr va vp vt cvv c1st c2nd ctxp c1c csset cv wbr cop vex wa wex df-br
      wcel 3bitri cref cxp ccnv cin csi cima ccompl wral df-ref wn opex elcompl
      copab wel wrex csn elima1c oteltxp snex opelssetsn trtxp opelcnv opsnelsi
      wceq brin op1st2nd 3bitr3i bitri anbi12i ancom sneq opeq2d eleq1d ceqsexv
      exbii 3bitr4i anbi1i rexbii risset xchbinx df-rex rexnal 3bitr2ri con1bii
      elima releqopab eqtr4i vvex xpex 1stex cnvex 2ndex inex siex txpex ssetex
      1cex imaex complex eqeltri ) UAFFUBZGUCZGHUDZUEZIZJUFZHIZKUFZUGZKIZJUFZUG
      ZUDZFUAALZXNBLZMZACLZUHZBCUMXMABCUIXRBCXLXOXQNZXLSXSXKSZUJXRXSXKXOXQBOZCO
      ZUKULXRXTXTACUNZXPUJZPZAQZYDAXQUOXRUJXTXNUPZXSNXJSZAQYFAXSXJUQYHYEAYHYGXO
      NZXISZYGXQNKSZPYDYCPYEYGXOXQXIKURYJYDYKYCYJYIXHSZXPYIXHYGXOXNUSYAUKULXNXN
      NZUPZXONZKSZYMXOSYLXPYMXOXNXNAOZYQUKZYAUTDLZYIXGMZDKUOYSYOVDZDKUOYLYPYTUU
      ADKYTYSYGXFMZYSXOHMZPYSYNGMZUUCPUUAYSYGXOXFHVAUUBUUDUUCYSYGNZXFSZYSYNNZGS
      ZUUBUUDUUFELZUPZUUENXESZEQUUIYMVDZYSUUJNZGSZPZEQUUHEUUEXEUQUUKUUOEUUKUUJY
      SNXBSZUUJYGNXDSZPUUNUULPUUOUUJYSYGXBXDURUUPUUNUUQUULUUJYSGVBUUQUUIXNNXCSZ
      UULUUIXNXCEOYQVCUUIXNXCMUUIXNGMUUIXNHMPUURUULUUIXNGHVEUUIXNXCRXNXNUUIYQYQ
      VFVGVHVIUUNUULVJTVOUUNUUHEYMYRUULUUMUUGGUULUUJYNYSUUIYMVKVLVMVNTYSYGXFRYS
      YNGRVPVQYNXOYSYMUSYAVFTVRDYIXGKWEDYOKVSVPXNXNXORVPVTXNXQYQYBUTVIYDYCVJTVO
      VHYDAXQWAXPAXQWBWCWDVHWFWGXAXLFFWHWHWIXKXJJXIKXHXGKXFHXEJXBXDGWJWKXCGHWJW
      LWMWNWOWQWRWLWOWPWRWSWPWOWQWRWSWMWT $.
      $( [11-Mar-2015] $)

    $( The class of all antisymmetric relationships is a set. $)
    antisymex $p |- Antisym e. _V $=
      ( vx vy vr va vp vs vt cvv csset cid ccross cv wbr cop wcel vex wex df-br
      wa wceq cantisym cxp ccnv cswap ctxp crn cin cpw1 cdif c1st c2nd c1c cima
      cimage ccompl weq wral copab df-antisym wel opex elcompl wrex csn oteltxp
      wi wn eldif elin opelssetsn brcnv brssetsn 3bitr3i brimage dfcnv2 3bitr4i
      eqeq2i bitr3i anbi12i ancom 3bitri exbii elrn2 cnvex clel3 bitri mpbiran2
      opelxp snelpw1 notbii brin op1st2nd anbi2i eleq1d ceqsexv brcross elima1c
      opeq1 df-rex rexanali bitr2i con1bii eleq1 syl6bbr syl6bb anbi12d imbi12d
      xpex ideq ralxp releqopab eqtr4i vvex ssetex imageex txpex rnex inex idex
      swapex pw1ex difex crossex 1stex 2ndex 1cex imaex complex eqeltri ) UAHHU
      BZIIUCZUDUNZUCZUEZUFZUGZJUHZHUBZUIZYKKUJUKUGZUEZUFZUEZUFZUEZULUMZUOZUGZHU
      AALZBLZCLZMZUUJUUIUUKMZSZABUPZVFZBDLZUQAUUQUQZCDURUUHABCDUSUURCDUUGUUKUUQ
      NZUUGOUUSUUFOZVGECUTZELZUUKUCZOZSZUVBJOZVFZEUUQUUQUBZUQZUURUUSUUFUUKUUQCP
      ZDPZVAVBUVIUUTUUTUVEUVFVGZSZEUVHVCZUVIVGUVBVDZUUSNUUEOZEQUVBUVHOZUVMSZEQU
      UTUVNUVPUVREUVPUVOUUKNZYSOZUVOUUQNZUUDOZSUVMUVQSUVRUVOUUKUUQYSUUDVEUVTUVM
      UWBUVQUVTUVSYPOZUVSYROZVGZSUVMUVSYPYRVHUWCUVEUWEUVLUWCUVSIOZUVSYOOZSUVEUV
      SIYOVIUWFUVAUWGUVDUVBUUKEPZUVJVJFLZUVSNYNOZFQUWIUVCTZEFUTZSZFQUWGUVDUWJUW
      MFUWJUWIUVONYKOZUWIUUKNYMOZSUWLUWKSUWMUWIUVOUUKYKYMVEUWNUWLUWOUWKUWIUVOYK
      MUVOUWIIMUWNUWLUWIUVOIVKUWIUVOYKRUVBUWIUWHFPZVLVMUWOUWIUUKYMMZUWKUWIUUKYM
      RUUKUWIYLMUWIUDUUKUMZTUWQUWKUUKUWIUDUVJUWPVNUWIUUKYLVKUVCUWRUWIUUKVOVQVPV
      RVSUWLUWKVTWAWBFUVSYNWCFUVBUVCUUKUVJWDWEVPVSWFUWDUVFUWDUVOYQOZUVFUWDUWSUU
      KHOUVJUVOUUKYQHWHWGUVBJWIWFWJVSWFUUIUWANUUCOZAQUUIUVHTZEAUTZSZAQUWBUVQUWT
      UXCAUWTUUIUVONYKOZUUIUUQNZUUBOZSUXBUXASUXCUUIUVOUUQYKUUBVEUXDUXBUXFUXAUUI
      UVOYKMUVOUUIIMUXDUXBUUIUVOIVKUUIUVOYKRUVBUUIUWHAPVLVMUXFUUQUUQNZUUIKMZUXA
      GLZUXENUUAOZGQZUXGUUINZKOZUXFUXHUXKUXIUXGTZUXIUUINZKOZSZGQUXMUXJUXQGUXJUX
      PUXIUUQNYTOZSUXPUXNSUXQUXIUUIUUQKYTVEUXRUXNUXPUXIUUQYTMUXIUUQUJMUXIUUQUKM
      SUXRUXNUXIUUQUJUKWKUXIUUQYTRUUQUUQUXIUVKUVKWLVMWMUXPUXNVTWAWBUXPUXMGUXGUU
      QUUQUVKUVKVAUXNUXOUXLKUXIUXGUUIWRWNWOWFGUXEUUAWCUXGUUIKRVPUUQUUQUUIUVKUVK
      WPWFVSUXBUXAVTWAWBAUWAUUCWCAUVBUVHUUQUUQUVKUVKXHWEVPVSUVMUVQVTWAWBEUUSUUE
      WQUVMEUVHWSVPUVEUVFEUVHWTXAXBUVGUUPEABUUQUUQUVBUUIUUJNZTZUVEUUNUVFUUOUXTU
      VAUULUVDUUMUXTUVAUXSUUKOUULUVBUXSUUKXCUUIUUJUUKRXDUXTUVDUXSUVCOZUUMUVBUXS
      UVCXCUYAUUIUUJUVCMUUMUUIUUJUVCRUUIUUJUUKVKVRXEXFUXTUVFUXSJOZUUOUVBUXSJXCU
      YBUUIUUJJMUUOUUIUUJJRUUIUUJBPXIVRXEXGXJWAXKXLYJUUGHHXMXMXHUUFUUEULYSUUDYP
      YRIYOXNYNYKYMIXNWDZYLUDXTXOWDXPXQXRYQHJXSYAXMXHYBUUCYKUUBUYCUUAKYTYCUJUKY
      DYEXRXPXQXPXQXPYFYGYHXRYI $.
      $( [11-Mar-2015] $)

    $( The class of all connected relationships is a set. $)
    connexex $p |- Connex e. _V $=
      ( vx vr va vp vt csset ccnv c1st c2nd cv wbr cop wcel wa wceq bitri df-br
      wex 3bitri cnvex vy cconnex cvv cxp cin ctxp crn ccross cima cswap cimage
      cun ccompl c1c wral copab df-connex wel opelcnv vex opex elcompl wrex csn
      wo wn elima1c oteltxp opelssetsn trtxp elrn2 brin op1st2nd bitr3i anbi12i
      ancom exbii opeq2 eleq1d ceqsexv 3bitr4i anbi2i rexbii elima risset brcnv
      brcross xpex clel3 snex elun dfcnv2 eqeq2i brimage orbi12i xchbinx df-rex
      3bitr2ri rexnal con1bii eleq1 syl6bbr syl6bb orbi12d ralxp releqopab vvex
      eqtr4i ssetex 1stex 2ndex inex txpex crossex imaex swapex imageex complex
      rnex unex 1cex eqeltri ) UBUCUCUDZFGZHIGZHIUEZUFZUGZUFZUHGZUIZUFZUGZFYDUJ
      UKZGZUFZUGZULZUMZUFZUNUIZUMZGZUEZUCUBAJZUAJZBJZKZUUFUUEUUGKZVEZUACJZUOAUU
      KUOZBCUPUUDAUABCUQUULBCUUCUUGUUKLUUCMUUKUUGLZUUBMZDBURZDJZUUGGZMZVEZDUUKU
      UKUDZUOZUULUUGUUKUUBUSUUNUUMUUAMZVFUVAUUMUUAUUKUUGCUTZBUTZVAVBUVAUVBUVBUU
      PUUTMZUUSVFZNZDRZUVFDUUTVCUVAVFUVBUUPVDZUUMLYTMZDRUVHDUUMYTVGUVJUVGDUVJUV
      IUUKLZYMMZUVIUUGLZYSMZNUVGUVIUUKUUGYMYSVHUVLUVEUVNUVFUUEUVKLYLMZARUUEUUTO
      ZDAURZNZARUVLUVEUVOUVRAUVOUUEUVILYDMZUUEUUKLZYKMZNUVQUVPNUVRUUEUVIUUKYDYK
      VHUVSUVQUWAUVPUVSUVIUUELFMUVQUUEUVIFUSUUPUUEDUTZAUTZVIPUWAUUEUUKUUKLZLZYJ
      MZUWDUUEUHKZUVPUUPUVTYIKZDYJVCUUPUWEOZDYJVCUWAUWFUWHUWIDYJUWHUUPUUEHKZUUP
      UUKYHKZNUWJUUPUWDIKZNUWIUUPUUEUUKHYHVJUWKUWLUWJUUPUUKLZYHMZUUPUWDLZIMZUWK
      UWLUWNEJZUWMLYGMZERUWQUWDOZUUPUWQLZIMZNZERUWPEUWMYGVKUWRUXBEUWRUWQUUPLYEM
      ZUWQUUKLYFMZNUXAUWSNUXBUWQUUPUUKYEYFVHUXCUXAUXDUWSUWQUUPIUSUXDUWQUUKYFKZU
      WSUWQUUKYFQUXEUWQUUKHKUWQUUKIKNUWSUWQUUKHIVLUUKUUKUWQUVCUVCVMPVNVOUXAUWSV
      PSVQUXAUWPEUWDUUKUUKUVCUVCVAZUWSUWTUWOIUWQUWDUUPVRVSVTSUUPUUKYHQUUPUWDIQW
      AWBUUEUWDUUPUWCUXFVMSWCDUVTYIYJWDDUWEYJWEWAUWFUUEUWDYJKUWGUUEUWDYJQUUEUWD
      UHWFVNUUKUUKUUEUVCUVCWGSVOUVQUVPVPSVQAUVKYLVKAUUPUUTUUKUUKUVCUVCWHWIWAUVN
      UVMYRMZUUSUVMYRUVIUUGUUPWJUVDVAVBUXGUVMFMZUVMYQMZVEUUSUVMFYQWKUXHUUOUXIUU
      RUUPUUGUWBUVDVIUWQUVMLYPMZERUWQUUQOZDEURZNZERUXIUURUXJUXMEUXJUWQUVILYDMZU
      WQUUGLYOMZNUXLUXKNUXMUWQUVIUUGYDYOVHUXNUXLUXOUXKUXNUVIUWQLFMUXLUWQUVIFUSU
      UPUWQUWBEUTZVIPUXKUWQUJUUGUIZOUUGUWQYNKZUXOUUQUXQUWQUUGWLWMUUGUWQUJUVDUXP
      WNUXRUWQUUGYOKUXOUWQUUGYNWFUWQUUGYOQVNWRVOUXLUXKVPSVQEUVMYPVKEUUPUUQUUGUV
      DTWIWAWOPWPVOPVQPUVFDUUTWQUUSDUUTWSWRWTPUUSUUJDAUAUUKUUKUUPUUEUUFLZOZUUOU
      UHUURUUIUXTUUOUXSUUGMUUHUUPUXSUUGXAUUEUUFUUGQXBUXTUURUXSUUQMZUUIUUPUXSUUQ
      XAUYAUUEUUFUUQKUUIUUEUUFUUQQUUEUUFUUGWFVNXCXDXESXFXHYCUUCUCUCXGXGWHUUBUUA
      YTUNYMYSYLYDYKFXITZYIYJHYHXJYGYEYFIXKTHIXJXKXLXMXSXMUHXNTXOXMXSYRFYQXIYPY
      DYOUYBYNUJXPXQTXMXSXTXRXMYAXOXRTXLYB $.
      $( [11-Mar-2015] $)

    $( The class of all founded relationships is a set. $)
    foundex $p |- Fr e. _V $=
      ( vx vy vz vt vp cvv csset c1st c2nd cid cv wa wbr cop wn wex bitri df-br
      wcel anbi12i va cfound cxp cins3 cins2 ccnv csi3 ctxp c1c cima cins4 ccom
      vr cin cdif ccompl c0 csn crn wss wne weq wi wral wrex wal copab df-found
      vex opex elcompl elrn2 oteltxp wel eldif otelins3 opelssetsn elima1c elin
      snex otelins2 wceq oqelins4 trtxp brcnv bitr3i otsnelsi3 ideq ancom exbii
      breq2d ceqsexv 3bitri anbi2i op1st2nd rexbii elima risset 3bitr4i brco2nd
      bitr4i sneqb notbii df-rex rexanali bitr2i con1bii brsset opelxp mpbiran2
      sneq elsn df-ne exanali releqopab eqtr4i ssetex ins3ex ins2ex 1stex 2ndex
      vvex xpex cnvex idex si3ex txpex 1cex imaex ins4ex coex inex complex rnex
      difex eqeltri ) UBFFUCZGUDZYRUEZHIUFZJUGZUHZUIUJZUHZHUJZUKZYTIULZIULZIULZ
      UFZUNZGUJZJUDZUOZUNZUIUJZUOZUIUJZUPZGUQURZFUCZUOZUHZUSZUPZUNZFUBAKZUAKZUT
      ZUVGUQVAZLZBKZCKZUMKZMZBCVBZVCBUVGVDZCUVGVEZVCAVFZUMUAVGUVFABCUMUAVHUVSUM
      UAUVEUVNUVHNZUVESUVTUVDSZOUVSUVTUVDUVNUVHUMVIZUAVIZVJVKUVSUWAUWAUVKUVROZL
      ZAPZUVSOUWAUVGUVTNUVCSZAPUWFAUVTUVCVLUWGUWEAUWGUVGUVNNZUUSSZUVGUVHNZUVBSZ
      LZUWEUVGUVNUVHUUSUVBVMUWLUWDUVKLUWEUWIUWDUWKUVKUWIUWHUURSZOUWDUWHUURUVGUV
      NAVIZUWBVJZVKUWMUVRUVMURZUWHNZUUQSZCPCAVNZUVQLZCPUWMUVRUWRUWTCUWRUWQYRSZU
      WQUUPSZOZLUWTUWQYRUUPVOUXAUWSUXCUVQUXAUWPUVGNGSUWSUWPUVGUVNGUWBVPUVMUVGCV
      IZUWNVQQUVQUXBUXBUVOUVPOZLZBUVGVEZUVQOUXBBAVNZUXFLZBPZUXGUXBUVLURZUWQNZUU
      OSZBPUXJBUWQUUOVRUXMUXIBUXMUXLYSSZUXLUUNSZLUXIUXLYSUUNVSUXNUXHUXOUXFUXNUX
      KUWHNYRSZUXHUXKUWPUWHYRUVMVTZWAUXPUXKUVGNGSUXHUXKUVGUVNGUWBVPUVLUVGBVIZUW
      NVQQQUXOUXLUULSZUXLUUMSZOZLUXFUXLUULUUMVOUXSUVOUYAUXEUXSUVLUVMNZURZUVNNZG
      SZUVODKZUXLUUKMZDGVEUYFUYDWBZDGVEUXSUYEUYGUYHDGUYGUYFUXLNZUUKSZUYHUYFUXLU
      UKRUYJUYIUUFSZUYIUUJSZLUYFUYCHMZUYFUVNIMZLUYHUYIUUFUUJVSUYKUYMUYLUYNUYKUY
      FUXKUWPNZNZUUESZUYMUYFUXKUWPUWHUUEUWOWCUYQUYFUYCNZHSZUYMEKZUYPUUDMZEHVEUY
      TUYRWBZEHVEUYQUYSVUAVUBEHVUAUYTUYFHMZUYTUYOUUCMZLVUCUYTUYCIMZLVUBUYTUYFUY
      OHUUCWDVUDVUEVUCVUDUYTUYONZUUCSZVUEUYTUYOUUCRVUGUYFURZVUFNUUBSZDPUYFUYBWB
      ZUYTVUHIMZLZDPVUEDVUFUUBVRVUIVULDVUIVUHUYTNYTSZVUHUYONUUASZLZVULVUHUYTUYO
      YTUUAVMVUOVUKVUJLVULVUMVUKVUNVUJVUMVUHUYTYTMVUKVUHUYTYTRVUHUYTIWEWFVUNUYF
      UYBNJSZVUJUYFUVLUVMJDVIZUXRUXDWGVUPUYFUYBJMVUJUYFUYBJRUYFUYBUVLUVMUXRUXDV
      JZWHWFQTVUKVUJWIQQWJVUKVUEDUYBVURVUJVUHUYCUYTIUYFUYBXKWKWLWMQWNUYFUYCUYTV
      UQUYBVTZWOWMWPEUYPUUDHWQEUYRHWRWSUYFUYCHRXAQUYLUYFUXLUUJMZUYNUYFUXLUUJRVU
      TUXLUYFUUIMZUYNUYFUXLUUIWEVVAUWQUYFUUHMZUYNUXKUWQUYFUUHUVLVTUWPUWHUXQUWOV
      JWTVVBUWHUYFUUGMZUYNUWPUWHUYFUUGUXQUWOWTVVCUVNUYFYTMUYNUVGUVNUYFYTUWNUWBW
      TUVNUYFIWEQQQQWFTUYCUVNUYFVUSUWBWOWMQWPDUXLUUKGWQDUYDGWRWSUYEUYBUVNSUVOUY
      BUVNVURUWBVQUVLUVMUVNRXAQUXTUVPUXTUYOJSZUVPUXKUWPUWHJUWOVPVVDUXKUWPJMZUVP
      UXKUWPJRVVEUXKUWPWBUVPUXKUWPUXQWHUVLUVMUXRXBQWFQXCTQTQWJQUXFBUVGXDXAUVOUV
      PBUVGXEXFXGTQWJCUWHUUQVRUVQCUVGXDWSXCQUWKUVIUVGUQWBZOZLZUVKUWKUWJGSZUWJUV
      ASZOZLVVHUWJGUVAVOVVIUVIVVKVVGVVIUVGUVHGMUVIUVGUVHGRUVGUVHUWNUWCXHWFVVJVV
      FVVJUVGUUTSZVVFVVJVVLUVHFSUWCUVGUVHUUTFXIXJUVGUQUWNXLQXCTQUVJVVGUVIUVGUQX
      MWNXATUWDUVKWIQQWJQUVKUVRAXNXFXGQXOXPYQUVEFFYBYBYCUVDUVCUUSUVBUURUUQUIYRU
      UPGXQXRZUUOUIYSUUNYRVVMXSUULUUMUUKGUUFUUJUUEUUDHHUUCXTUUBUIYTUUAIYAYDZJYE
      YFYGYHYIYGXTYIYJUUIUUHIUUGIYTIVVNYAYKYAYKYAYKYDYLXQYIJYEXRYOYLYHYIYOYHYIY
      MGUVAXQUUTFUQVTYBYCYOYGYNYMYLYP $.
      $( [19-Feb-2015] $)

    $( The class of all extensional relationships is a set. $)
    extex $p |- Ext e. _V $=
      ( vz vx vy vp vq csset cins2 cid c2nd wbr cop wcel wn wex otelins2 3bitri
      wa bitri df-br 3bitr4i vr cext cvv cxp c1st ccnv csi3 ctxp c1c cima cins4
      va cin cins3 csymdif cun ccompl cv wb wral weq copab df-ext wrex csn elin
      wi wel vex opelssetsn snex wo elun elsymdif oqelins4 opex elima1c oteltxp
      wceq brcnv bitr3i otsnelsi3 ideq 3bitr2i anbi12i ancom exbii sneq ceqsexv
      breq2d op1st2nd rexbii elima risset otelins3 bibi12i notbii df-rex equcom
      sneqb orbi12i elcompl pm4.65 dfral2 imbi1i rexnal releqopab eqtr4i ssetex
      ioran vvex xpex ins2ex 1stex cnvex idex si3ex txpex 1cex imaex 2ndex inex
      ins4ex ins3ex symdifex unex complex eqeltri ) UBUCUCUDZFGZYJGZYKGZUEUFZHU
      GZUHZUIUJZUKZIGZGZUMZFUJZUKZGZYQIUNZGZGZGZUMZFUJZUOZUMZUIUJZHUNZUPZUQZUMZ
      UIUJZUMZUIUJZUQZUMZUCUBAURZBURZUAURZJZUVBCURZUVDJZUSZAULURZUTZBCVAZVGZCUV
      IUTZBUVIUTZUAULVBUVABCAUAULVCUVNUAULUUTUVDUVIKZUUSLZMUVMMZBUVIVDZMUVOUUTL
      UVNUVPUVRUVCVEZUVOKZUURLZBNBULVHZUVQQZBNUVPUVRUWAUWCBUWAUVTYJLZUVTUUQLZQU
      WCUVTYJUUQVFUWDUWBUWEUVQUWDUVSUVIKFLUWBUVSUVDUVIFUAVIZOUVCUVIBVIZULVIZVJR
      UWEUVLMZCUVIVDZUVQUVFVEZUVTKZUUPLZCNCULVHZUWIQZCNUWEUWJUWMUWOCUWMUWLYKLZU
      WLUUOLZQUWOUWLYKUUOVFUWPUWNUWQUWIUWPUWKUVOKYJLUWKUVIKFLUWNUWKUVSUVOYJUVCV
      KZOUWKUVDUVIFUWFOUVFUVICVIZUWHVJPUWLUUNLZMUVHMZAUVIVDZUVKVLZMZUWQUWIUWTUX
      CUWTUWLUULLZUWLUUMLZVLUXCUWLUULUUMVMUXEUXBUXFUVKUVBVEZUWLKZUUKLZANAULVHZU
      XAQZANUXEUXBUXIUXKAUXIUXHYLLZUXHUUJLZQUXKUXHYLUUJVFUXLUXJUXMUXAUXLUXGUVTK
      ZYKLUXGUVOKYJLZUXJUXGUWKUVTYKUVFVKZOUXGUVSUVOYJUWROUXOUXGUVIKFLUXJUXGUVDU
      VIFUWFOUVBUVIAVIZUWHVJRPUXMUXHUUCLZUXHUUILZUSZMUXAUXHUUCUUIVNUXTUVHUXRUVE
      UXSUVGUXRUXNUUBLUXGUVSUVDKZKZUUALZUVEUXGUWKUVTUUBUXPOUXGUVSUVDUVIUUAUWHVO
      UVBUVCKZVEZUVDKZFLZUYDUVDLUYCUVEUYDUVDUVBUVCUXQUWGVPZUWFVJDURZUYBYTJZDFVD
      UYIUYFVSZDFVDUYCUYGUYJUYKDFUYJUYIUYBKZYTLZUYIUYEUEJZUYIUVDIJZQZUYKUYIUYBY
      TSUYMUYLYQLZUYLYSLZQUYPUYLYQYSVFUYQUYNUYRUYOUYQUYIUXGUVSKZKZYPLZUYNUYIUXG
      UVSUVDYPUWFVOVUAEURZVEZUYTKYOLZENVUBUYDVSZUYIVUCUEJZQZENUYNEUYTYOVQVUDVUG
      EVUDVUCUYIKYMLZVUCUYSKYNLZQVUFVUEQVUGVUCUYIUYSYMYNVRVUHVUFVUIVUEVUHVUCUYI
      YMJVUFVUCUYIYMSVUCUYIUEVTWAZVUIVUBUYDKHLVUBUYDHJVUEVUBUVBUVCHEVIZUXQUWGWB
      VUBUYDHSVUBUYDUYHWCWDWEVUFVUEWFPWGVUFUYNEUYDUYHVUEVUCUYEUYIUEVUBUYDWHWJWI
      PRUYIUYAKYRLUYIUVDKILZUYRUYOUYIUVSUVDIUWROUYIUXGUYAYRUVBVKZOUYIUVDISZTWER
      UYEUVDUYIUYDVKUWFWKPWLDUYBYTFWMDUYFFWNTUVBUVCUVDSTPUVBUVFKZVEZUVDKZFLZVUO
      UVDLUXSUVGVUOUVDUVBUVFUXQUWSVPZUWFVJUYIUXHUUHJZDFVDUYIVUQVSZDFVDUXSVURVUT
      VVADFVUTUYIUXHKZUUHLZUYIVUPUEJZUYOQZVVAUYIUXHUUHSVVCVVBYQLZVVBUUGLZQVVEVV
      BYQUUGVFVVFVVDVVGUYOVVFUYIUXGUWKKZKZYPLZVVDUYIUXGUWKUVTYPUVSUVOUWRUVDUVIU
      WFUWHVPZVPZVOVVJVUCVVIKYOLZENVUBVUOVSZVUFQZENVVDEVVIYOVQVVMVVOEVVMVUHVUCV
      VHKYNLZQVUFVVNQVVOVUCUYIVVHYMYNVRVUHVUFVVPVVNVUJVVPVUBVUOKHLVUBVUOHJVVNVU
      BUVBUVFHVUKUXQUWSWBVUBVUOHSVUBVUOVUSWCWDWEVUFVVNWFPWGVUFVVDEVUOVUSVVNVUCV
      UPUYIUEVUBVUOWHWJWIPRVVGUYIUWLKUUFLUYIUVTKUUELZUYOUYIUXGUWLUUFVUMOUYIUWKU
      VTUUEUXPOUYIUVOKUUDLVULVVQUYOUYIUVDUVIIUWHWOUYIUVSUVOUUDUWROVUNTPWERVUPUV
      DUYIVUOVKUWFWKPWLDUXHUUHFWMDVUQFWNTUVBUVFUVDSTWPWQRWERWGAUWLUUKVQUXAAUVIW
      RTUXFUWKUVSKHLZUWKUVSVSZUVKUWKUVSUVOHVVKWOVVSUWKUVSHJVVRUWKUVSUWRWCUWKUVS
      HSWAVVSCBVAUVKUVFUVCUWSWTCBWSRWDXARWQUWLUUNUWKUVTUXPVVLVPXBUXBMZUVKVGZMVV
      TUVKMQUWIUXDUXBUVKXCUVLVWAUVJVVTUVKUVHAUVIXDXEWQUXBUVKXJTTWERWGCUVTUUPVQU
      WICUVIWRTUVLCUVIXFRWERWGBUVOUURVQUVQBUVIWRTWQUVOUUSVVKXBUVMBUVIXDTXGXHYIU
      UTUCUCXKXKXLUUSUURUIYJUUQFXIXMZUUPUIYKUUOYJVWBXMZUUNUULUUMUUKUIYLUUJYKVWC
      XMUUCUUIUUBUUAYTFYQYSYPYOUIYMYNUEXNXOHXPXQXRXSXTYCZYRIYAXMXMYBXIXTYCXMUUH
      FYQUUGVWDUUFUUEUUDIYAYDXMXMXMYBXIXTYEYBXSXTHXPYDYFYGYBXSXTYBXSXTYGYBYH $.
      $( [19-Feb-2015] $)

    $( The class of all symmetric relationships is a set. $)
    symex $p |- Sym e. _V $=
      ( vx vy vr va vp cvv csset ccnv c1c cv wbr wral wcel cop brcnv wa 3bitr4i
      wex anbi12i 3bitri csym cxp cswap cimage ctxp crn cdif c1st c2nd cin csi3
      cins2 cins4 cima ccompl copab df-sym wel wceq eleq1 df-br syl6bbr imbi12d
      wi bitr3i ralxp wn wrex csn oteltxp eldif trtxp vex brssetsn bitri dfcnv2
      eqeq2i ancom exbii elrn cnvex clel3 opelssetsn notbii annim elin otelins2
      brimage oqelins4 otsnelsi3 opelxp mpbiran 3bitr2i op1st2nd elima1c df-rex
      snex bitr4i elxp2 opex elcompl dfral2 ralcom releqopab eqtr4i vvex ssetex
      xpex swapex imageex txpex rnex difex ins2ex 1stex 2ndex inex si3ex ins4ex
      1cex imaex complex eqeltri ) UAFFUBZGHZUCUDZHZUEZUFZGUGZGULZYKULZFUHHZUBZ
      UIHZULZUJZUKZUMZUJZIUNZUJZIUNZUEZIUNZUOZUJZFUAAJZBJZCJZKZUUIUUHUUJKZVDZBD
      JZLAUUNLZCDUPUUGABCDUQUUOCDUUFEJZUUJHZMZECURZVDZEUUNUUNUBZLZUUMAUUNLBUUNL
      UUJUUNNZUUFMZUUOUUTUUMEBAUUNUUNUUPUUIUUHNZUSZUURUUKUUSUULUVFUURUVEUUQMZUU
      KUUPUVEUUQUTUUKUUIUUHUUQKUVGUUIUUHUUJOUUIUUHUUQVAVEVBUVFUUSUVEUUJMUULUUPU
      VEUUJUTUUIUUHUUJVAVBVCVFUVCUUEMZVGUUTVGZEUVAVHZVGUVDUVBUVHUVJUUPVIZUVCNUU
      DMZERUUPUVAMZUVIPZERUVHUVJUVLUVNEUVLUVKUUJNZYJMZUVKUUNNZUUCMZPUVIUVMPUVNU
      VKUUJUUNYJUUCVJUVPUVIUVRUVMUVPUVOYIMZUVOGMZVGZPUURUUSVGZPUVIUVOYIGVKUVSUU
      RUWAUWBUUHUVOYHKZARUUHUUQUSZEAURZPZARUVSUURUWCUWFAUWCUUHUVKYEKZUUHUUJYGKZ
      PUWEUWDPUWFUUHUVKUUJYEYGVLUWGUWEUWHUWDUWGUVKUUHGKUWEUUHUVKGOUUPUUHEVMZAVM
      ZVNVOUUJUUHYFKUUHUCUUJUNZUSUWHUWDUUJUUHUCCVMZUWJWHUUHUUJYFOUUQUWKUUHUUJVP
      VQQSUWEUWDVRTVSAUVOYHVTAUUPUUQUUJUWLWAWBQUVTUUSUUPUUJUWIUWLWCWDSUURUUSWET
      UUHVIZUVQNZUUBMZARZUUPUUHUUINUSZBUUNVHZAUUNVHZUVRUVMUWPADURZUWRPZARUWSUWO
      UXAAUWOUWNYKMZUWNUUAMZPUXAUWNYKUUAWFUXBUWTUXCUWRUXBUWMUUNNGMUWTUWMUVKUUNG
      UUPWQZWGUUHUUNUWJDVMZWCVOUUIVIZUWNNZYTMZBRBDURZUWQPZBRUXCUWRUXHUXJBUXHUXG
      YLMZUXGYSMZPUXJUXGYLYSWFUXKUXIUXLUWQUXKUXFUVQNYKMUXFUUNNGMUXIUXFUWMUVQYKU
      UHWQWGUXFUVKUUNGUXDWGUUIUUNBVMZUXEWCTUXLUXFUWMUVKNNYRMUUIUUHUUPNZNZYQMZUW
      QUXFUWMUVKUUNYRUXEWIUUIUUHUUPYQUXMUWJUWIWJUXPUXOYNMZUXOYPMZPUUPUUHUHKZUUP
      UUIUIKZPUWQUXOYNYPWFUXQUXSUXRUXTUXQUXNYMMZUUHUUPYMKUXSUXQUUIFMUYAUXMUUIUX
      NFYMWKWLUUHUUPYMVAUUHUUPUHOWMUXRUUIUUPNYOMUUIUUPYOKUXTUUIUUHUUPYOUWJWGUUI
      UUPYOVAUUIUUPUIOWMSUUHUUIUUPUWJUXMWNTTSVOVSBUWNYTWOUWQBUUNWPQSVOVSUWRAUUN
      WPWRAUVQUUBWOABUUPUUNUUNWSQSUVIUVMVRTVSEUVCUUDWOUVIEUVAWPQWDUVCUUEUUJUUNU
      WLUXEWTXAUUTEUVAXBQUUMABUUNUUNXCQXDXEYDUUFFFXFXFXHUUEUUDIYJUUCYIGYHYEYGGX
      GWAYFUCXIXJWAXKXLXGXMUUBIYKUUAGXGXNZYTIYLYSYKUYBXNYRYQYNYPFYMXFUHXOWAXHYO
      UIXPWAXNXQXRXSXQXTYAXQXTYAXKXTYAYBXQYC $.
      $( [20-Feb-2015] $)
  $}

  $( The class of all partial orderings is a set. $)
  partialex $p |- Po e. _V $=
    ( cpartial cref ctrans cin cantisym df-partial refex transex inex antisymex
    cvv eqeltri ) ABCDZEDKFMEBCGHIJIL $.
    $( [11-Mar-2015] $)

  $( The class of all strict orderings is a set. $)
  strictex $p |- Or e. _V $=
    ( cstrict cpartial cconnex cin df-strict partialex connexex inex eqeltri
    cvv ) ABCDJEBCFGHI $.
    $( [19-Feb-2015] $)

  $( The class of all well orderings is a set. $)
  weex $p |- We e. _V $=
    ( cwe cstrict cfound cin cvv df-we strictex foundex inex eqeltri ) ABCDEFBC
    GHIJ $.
    $( [19-Feb-2015] $)

  $( The class of all equivalence relationships is a set. $)
  erex $p |- Er e. _V $=
    ( cer csym ctrans cin cvv df-er symex transex inex eqeltri ) ABCDEFBCGHIJ
    $.
    $( [20-Feb-2015] $)

  ${
    $d A a $.  $d a r $.  $d A r $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.
    $d a z $.  $d A z $.  $d R a $.  $d R r $.  $d r x $.  $d R x $.  $d r y $.
    $d R y $.  $d r z $.  $d R z $.  $d X x $.  $d x y $.  $d X y $.  $d x z $.
    $d X z $.  $d Y y $.  $d y z $.  $d Y z $.  $d Z z $.
    trd.1 $e |- ( ph -> R Trans A ) $.
    trd.2 $e |- ( ph -> X e. A ) $.
    trd.3 $e |- ( ph -> Y e. A ) $.
    trd.4 $e |- ( ph -> Z e. A ) $.
    trd.5 $e |- ( ph -> X R Y ) $.
    trd.6 $e |- ( ph -> Y R Z ) $.
    $( Transitivity law in natural deduction form. $)
    trd $p |- ( ph -> X R Z ) $=
      ( vx vy vz wbr cv wa wi wral vr va ctrans cvv wcel brex wceq breq anbi12d
      wb imbi12d ralbidv 2ralbidv raleq raleqbi1dv df-trans brabg syl ibi breq1
      anbi1d breq2 imbi1d anbi2d rcla43v syl3anc mpd mp2and ) ADECPZEFCPZDFCPZK
      LAMQZNQZCPZVMOQZCPZRZVLVOCPZSZOBTZNBTZMBTZVIVJRZVKSZACBUCPZWBGWEWBWECUDUE
      BUDUERWEWBUJCBUCUFVLVMUAQZPZVMVOWFPZRZVLVOWFPZSZOUBQZTZNWLTMWLTVSOWLTZNWL
      TZMWLTWBUAUBCBUDUDUCWFCUGZWMWNMNWLWLWPWKVSOWLWPWIVQWJVRWPWGVNWHVPVLVMWFCU
      HVMVOWFCUHUIVLVOWFCUHUKULUMWOWAMWLBWNVTNWLBVSOWLBUNUOUOMNOUAUBUPUQURUSURA
      DBUEEBUEFBUEWBWDSHIJVSWDDVMCPZVPRZDVOCPZSVIEVOCPZRZWSSMNODEFBBBVLDUGZVQWR
      VRWSXBVNWQVPVLDVMCUTVAVLDVOCUTUKVMEUGZWRXAWSXCWQVIVPWTVMEDCVBVMEVOCUTUIVC
      VOFUGZXAWCWSVKXDWTVJVIVOFECVBVDVOFDCVBUKVEVFVGVH $.
      $( [20-Feb-2015] $)
  $}

  ${
    $d A a $.  $d a r $.  $d A r $.  $d a x $.  $d A x $.  $d a y $.  $d a z $.
    $d R a $.  $d R r $.  $d r x $.  $d R x $.  $d r y $.  $d R y $.  $d r z $.
    $d R z $.  $d X x $.  $d x y $.  $d X y $.  $d x z $.  $d X z $.  $d y z $.
    frd.1 $e |- ( ph -> R Fr A ) $.
    frd.2 $e |- ( ph -> X e. V ) $.
    frd.3 $e |- ( ph -> X C_ A ) $.
    frd.4 $e |- ( ph -> X =/= (/) ) $.
    $( Founded relationship in natural deduction form. $)
    frd $p |- ( ph -> E. y e. X A. z e. X ( z R y -> z = y ) ) $=
      ( vx va vr wss c0 cv wi wa cvv wne wbr weq wral wrex wcel wal cfound brex
      wceq breq imbi1d rexralbidv imbi2d albidv sseq2 anbi1d df-found brabg syl
      wb ibi sseq1 neeq1 anbi12d raleq rexeqbi1dv imbi12d cla4gv sylc mp2and )
      AGDOZGPUAZCQZBQZEUBZCBUCZRZCGUDZBGUEZJKAGFUFLQZDOZWAPUAZSZVRCWAUDZBWAUEZR
      ZLUGZVLVMSZVTRZIAEDUHUBZWHHWKWHWKETUFDTUFSWKWHVAEDUHUIWAMQZOZWCSZVNVONQZU
      BZVQRZCWAUDBWAUEZRZLUGWNWFRZLUGWHNMEDTTUHWOEUJZWSWTLXAWRWFWNXAWQVRBCWAWAX
      AWPVPVQVNVOWOEUKULUMUNUOWLDUJZWTWGLXBWNWDWFXBWMWBWCWLDWAUPUQULUOLCBNMURUS
      UTVBUTWGWJLGFWAGUJZWDWIWFVTXCWBVLWCVMWAGDVCWAGPVDVEWEVSBWAGVRCWAGVFVGVHVI
      VJVK $.
      $( [12-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a r $.  $d A r $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.
    $d a z $.  $d A z $.  $d ph z $.  $d R a $.  $d R r $.  $d r x $.
    $d R x $.  $d r y $.  $d R y $.  $d r z $.  $d R z $.  $d X x $.  $d x y $.
    $d X y $.  $d x z $.  $d X z $.  $d Y y $.  $d y z $.  $d Y z $.
    extd.1 $e |- ( ph -> R Ext A ) $.
    extd.2 $e |- ( ph -> X e. A ) $.
    extd.3 $e |- ( ph -> Y e. A ) $.
    extd.4 $e |- ( ( ph /\ z e. A ) -> ( z R X <-> z R Y ) ) $.
    $( Extensional relationship in natural deduction form. $)
    extd $p |- ( ph -> X = Y ) $=
      ( vx vy wcel cv wbr wb wral wi wceq cvv vr weq jca cext brex breq bibi12d
      va wa ralbidv imbi1d 2ralbidv raleq raleqbi1dv df-ext brabg syl ralrimiva
      ibi breq2 bibi1d eqeq1 imbi12d bibi2d eqeq2 rcla42v syl3c ) AECMZFCMZUIBN
      ZKNZDOZVJLNZDOZPZBCQZKLUBZRZLCQZKCQZVJEDOZVJFDOZPZBCQZEFSZAVHVIHIUCADCUDO
      ZVTGWFVTWFDTMCTMUIWFVTPDCUDUEVJVKUANZOZVJVMWGOZPZBUHNZQZVQRZLWKQKWKQVOBWK
      QZVQRZLWKQZKWKQVTUAUHDCTTUDWGDSZWMWOKLWKWKWQWLWNVQWQWJVOBWKWQWHVLWIVNVJVK
      WGDUFVJVMWGDUFUGUJUKULWPVSKWKCWOVRLWKCWKCSWNVPVQVOBWKCUMUKUNUNKLBUAUHUOUP
      UQUSUQAWCBCJURVRWDWERWAVNPZBCQZEVMSZRKLEFCCVKESZVPWSVQWTXAVOWRBCXAVLWAVNV
      KEVJDUTVAUJVKEVMVBVCVMFSZWSWDWTWEXBWRWCBCXBVNWBWAVMFVJDUTVDUJVMFEVEVCVFVG
      $.
      $( [20-Feb-2015] $)
  $}

  ${
    $d A a $.  $d a r $.  $d A r $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.
    $d R a $.  $d R r $.  $d r x $.  $d R x $.  $d r y $.  $d R y $.  $d X x $.
    $d x y $.  $d X y $.  $d Y y $.
    symd.1 $e |- ( ph -> R Sym A ) $.
    symd.2 $e |- ( ph -> X e. A ) $.
    symd.3 $e |- ( ph -> Y e. A ) $.
    symd.4 $e |- ( ph -> X R Y ) $.
    $( Symmetric relationship in natural deduction form. $)
    symd $p |- ( ph -> Y R X ) $=
      ( vx vy vr va wcel cv wbr wi wral csym cvv wa jca brex wceq breq 2ralbidv
      imbi12d raleq raleqbi1dv df-sym brabg syl ibi breq1 breq2 rcla42v syl3c
      wb ) ADBNZEBNZUAJOZKOZCPZVBVACPZQZKBRZJBRZDECPZEDCPZAUSUTGHUBACBSPZVGFVJV
      GVJCTNBTNUAVJVGURCBSUCVAVBLOZPZVBVAVKPZQZKMOZRJVORVEKVORZJVORVGLMCBTTSVKC
      UDZVNVEJKVOVOVQVLVCVMVDVAVBVKCUEVBVAVKCUEUGUFVPVFJVOBVEKVOBUHUIJKLMUJUKUL
      UMULIVEVHVIQDVBCPZVBDCPZQJKDEBBVADUDVCVRVDVSVADVBCUNVADVBCUOUGVBEUDVRVHVS
      VIVBEDCUOVBEDCUNUGUPUQ $.
      $( [20-Feb-2015] $)
  $}

  ${
    $d A a $.  $d a r $.  $d A r $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.
    $d a z $.  $d A z $.  $d ph x $.  $d ph y $.  $d ph z $.  $d R a $.
    $d R r $.  $d r x $.  $d R x $.  $d r y $.  $d R y $.  $d r z $.  $d R z $.
    $d x y $.  $d x z $.  $d y z $.
    trrd.1 $e |- ( ph -> R e. V ) $.
    trrd.2 $e |- ( ph -> A e. W ) $.
    trrd.3 $e |- ( ( ph /\ ( x e. A /\ y e. A /\ z e. A ) /\
           ( x R y /\ y R z ) ) -> x R z ) $.
    $( Deduce transitivity from its properties. $)
    trrd $p |- ( ph -> R Trans A ) $=
      ( vr va ctrans wbr cv wa wral wcel breq wi w3a df-3an 3exp exp3a ralrimdv
      syl5bir ralrimivv wb wceq anbi12d imbi12d ralbidv 2ralbidv raleq df-trans
      raleqbi1dv brabg syl2anc mpbird ) AFENOZBPZCPZFOZVCDPZFOZQZVBVEFOZUAZDERZ
      CERZBERZAVJBCEEAVBESZVCESZQZVIDEAVOVEESZVIVOVPQVMVNVPUBZAVIVMVNVPUCAVQVGV
      HKUDUGUEUFUHAFGSEHSVAVLUIIJVBVCLPZOZVCVEVROZQZVBVEVROZUAZDMPZRZCWDRBWDRVI
      DWDRZCWDRZBWDRVLLMFEGHNVRFUJZWEWFBCWDWDWHWCVIDWDWHWAVGWBVHWHVSVDVTVFVBVCV
      RFTVCVEVRFTUKVBVEVRFTULUMUNWGVKBWDEWFVJCWDEVIDWDEUOUQUQBCDLMUPURUSUT $.
      $( [22-Feb-2015] $)
  $}

  ${
    $d A a $.  $d a r $.  $d A r $.  $d a x $.  $d A x $.  $d ph x $.
    $d R a $.  $d R r $.  $d r x $.  $d R x $.
    refrd.1 $e |- ( ph -> R e. V ) $.
    refrd.2 $e |- ( ph -> A e. W ) $.
    refrd.3 $e |- ( ( ph /\ x e. A ) -> x R x ) $.
    $( Deduce reflexitiviy from its properties. $)
    refrd $p |- ( ph -> R Ref A ) $=
      ( vr va cref wbr cv wral ralrimiva wcel wb wceq breq ralbidv raleq df-ref
      brabg syl2anc mpbird ) ADCLMZBNZUHDMZBCOZAUIBCIPADEQCFQUGUJRGHUHUHJNZMZBK
      NZOUIBUMOUJJKDCEFLUKDSULUIBUMUHUHUKDTUAUIBUMCUBBJKUCUDUEUF $.
      $( [12-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a r $.  $d A r $.  $d a x $.  $d A x $.  $d R a $.  $d R r $.
    $d r x $.  $d R x $.  $d X x $.
    refd.1 $e |- ( ph -> R Ref A ) $.
    refd.2 $e |- ( ph -> X e. A ) $.
    $( Natural deduction form of reflexitivity. $)
    refd $p |- ( ph -> X R X ) $=
      ( vx vr va cv wbr wral wcel cref cvv wa wb brex wceq syl breq raleq brabg
      ralbidv df-ref ibi id breq12d rcla4cv sylc ) AGJZUKCKZGBLZDBMDDCKZACBNKZU
      MEUOUMUOCOMBOMPUOUMQCBNRUKUKHJZKZGIJZLULGURLUMHICBOONUPCSUQULGURUKUKUPCUA
      UDULGURBUBGHIUEUCTUFTFULUNGDBUKDSZUKDUKDCUSUGZUTUHUIUJ $.
      $( [20-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a r $.  $d A r $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.
    $d ph x $.  $d ph y $.  $d R a $.  $d R r $.  $d r x $.  $d R x $.
    $d r y $.  $d R y $.  $d x y $.
    antird.1 $e |- ( ph -> R e. V ) $.
    antird.2 $e |- ( ph -> A e. W ) $.
    antird.3 $e |- ( ( ph /\ ( x e. A /\ y e. A ) /\ ( x R y /\ y R x ) ) ->
       x = y ) $.
    $( Deduce antisymmetry from its properties. $)
    antird $p |- ( ph -> R Antisym A ) $=
      ( vr va cantisym wbr cv wa wi wral wcel breq 3expia ralrimivva wb anbi12d
      weq wceq imbi1d 2ralbidv raleq raleqbi1dv df-antisym brabg syl2anc mpbird
      ) AEDMNZBOZCOZENZUQUPENZPZBCUEZQZCDRZBDRZAVBBCDDAUPDSUQDSPUTVAJUAUBAEFSDG
      SUOVDUCHIUPUQKOZNZUQUPVENZPZVAQZCLOZRBVJRVBCVJRZBVJRVDKLEDFGMVEEUFZVIVBBC
      VJVJVLVHUTVAVLVFURVGUSUPUQVEETUQUPVEETUDUGUHVKVCBVJDVBCVJDUIUJBCKLUKULUMU
      N $.
      $( [12-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a r $.  $d A r $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.
    $d R a $.  $d R r $.  $d r x $.  $d R x $.  $d r y $.  $d R y $.  $d X x $.
    $d x y $.  $d X y $.  $d Y y $.
    antid.1 $e |- ( ph -> R Antisym A ) $.
    antid.2 $e |- ( ph -> X e. A ) $.
    antid.3 $e |- ( ph -> Y e. A ) $.
    antid.4 $e |- ( ph -> X R Y ) $.
    antid.5 $e |- ( ph -> Y R X ) $.
    $( The antisymmetry property. $)
    antid $p |- ( ph -> X = Y ) $=
      ( vx vy wbr wceq cv wa wi wral cvv wcel vr weq cantisym brex breq anbi12d
      va wb imbi1d 2ralbidv raleq raleqbi1dv df-antisym brabg breq1 breq2 eqeq1
      syl ibi imbi12d eqeq2 rcla42v syl2anc mpd mp2and ) ADECMZEDCMZDENZIJAKOZL
      OZCMZVJVICMZPZKLUBZQZLBRZKBRZVFVGPZVHQZACBUCMZVQFVTVQVTCSTBSTPVTVQUHCBUCU
      DVIVJUAOZMZVJVIWAMZPZVNQZLUGOZRKWFRVOLWFRZKWFRVQUAUGCBSSUCWACNZWEVOKLWFWF
      WHWDVMVNWHWBVKWCVLVIVJWACUEVJVIWACUEUFUIUJWGVPKWFBVOLWFBUKULKLUAUGUMUNURU
      SURADBTEBTVQVSQGHVOVSDVJCMZVJDCMZPZDVJNZQKLDEBBVIDNZVMWKVNWLWMVKWIVLWJVID
      VJCUOVIDVJCUPUFVIDVJUQUTVJENZWKVRWLVHWNWIVFWJVGVJEDCUPVJEDCUOUFVJEDVAUTVB
      VCVDVE $.
      $( [18-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a r $.  $d A r $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.
    $d ph x $.  $d ph y $.  $d R a $.  $d R r $.  $d r x $.  $d R x $.
    $d r y $.  $d R y $.  $d x y $.
    connexrd.1 $e |- ( ph -> R e. V ) $.
    connexrd.2 $e |- ( ph -> A e. W ) $.
    connexrd.3 $e |- ( ( ph /\ x e. A /\ y e. A ) -> ( x R y \/ y R x ) ) $.
    $( Deduce connectivity from its properties. $)
    connexrd $p |- ( ph -> R Connex A ) $=
      ( vr va cconnex wbr cv wo wral wcel 3expib breq ralrimivv wb wceq orbi12d
      2ralbidv raleq raleqbi1dv df-connex brabg syl2anc mpbird ) AEDMNZBOZCOZEN
      ZUNUMENZPZCDQZBDQZAUQBCDDAUMDRUNDRUQJSUAAEFRDGRULUSUBHIUMUNKOZNZUNUMUTNZP
      ZCLOZQBVDQUQCVDQZBVDQUSKLEDFGMUTEUCZVCUQBCVDVDVFVAUOVBUPUMUNUTETUNUMUTETU
      DUEVEURBVDDUQCVDDUFUGBCKLUHUIUJUK $.
      $( [12-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a r $.  $d A r $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.
    $d R a $.  $d R r $.  $d r x $.  $d R x $.  $d r y $.  $d R y $.  $d X x $.
    $d x y $.  $d X y $.  $d Y y $.
    connexd.1 $e |- ( ph -> R Connex A ) $.
    connexd.2 $e |- ( ph -> X e. A ) $.
    connexd.3 $e |- ( ph -> Y e. A ) $.
    $( The connectivity property. $)
    connexd $p |- ( ph -> ( X R Y \/ Y R X ) ) $=
      ( vx vy vr va cconnex wbr wo cv wral cvv wcel wceq wa wb orbi12d 2ralbidv
      brex breq raleq raleqbi1dv df-connex brabg syl ibi wi breq1 breq2 rcla42v
      syl2anc syl5 mpd ) ACBMNZDECNZEDCNZOZFUTIPZJPZCNZVEVDCNZOZJBQZIBQZAVCUTVJ
      UTCRSBRSUAUTVJUBCBMUEVDVEKPZNZVEVDVKNZOZJLPZQIVOQVHJVOQZIVOQVJKLCBRRMVKCT
      ZVNVHIJVOVOVQVLVFVMVGVDVEVKCUFVEVDVKCUFUCUDVPVIIVOBVHJVOBUGUHIJKLUIUJUKUL
      ADBSEBSVJVCUMGHVHVCDVECNZVEDCNZOIJDEBBVDDTVFVRVGVSVDDVECUNVDDVECUOUCVEETV
      RVAVSVBVEEDCUOVEEDCUNUCUPUQURUS $.
      $( [18-Mar-2015] $)
  $}

  $( Equivalence relationship as symmetric, transitive relationship. $)
  ersymtr $p |- ( R Er A <-> ( R Sym A /\ R Trans A ) ) $=
    ( cer wbr csym ctrans cin wa df-er breqi brin bitri ) BACDBAEFGZDBAEDBAFDHB
    ACMIJBAEFKL $.
    $( [22-Feb-2015] $)

  $( Partial ordering as reflexive, transitive, antisymmetric relationship. $)
  porta $p |- ( R Po A <-> ( R Ref A /\ R Trans A /\ R Antisym A ) ) $=
    ( cref ctrans cin cantisym wbr wa cpartial w3a brin anbi1i bitri df-partial
    breqi df-3an 3bitr4i ) BACDEZFEZGZBACGZBADGZHZBAFGZHZBAIGUAUBUDJTBARGZUDHUE
    BARFKUFUCUDBACDKLMBAISNOUAUBUDPQ $.
    $( [12-Mar-2015] $)

  $( Linear ordering as partial, connected relationship. $)
  sopc $p |- ( R Or A <-> ( R Po A /\ R Connex A ) ) $=
    ( cstrict wbr cpartial cconnex cin wa df-strict breqi brin bitri ) BACDBAEF
    GZDBAEDBAFDHBACMIJBAEFKL $.
    $( [12-Mar-2015] $)

  ${
    $d A x $.  $d A y $.  $d A z $.  $d ch x $.  $d ps y $.  $d ps z $.
    $d R y $.  $d R z $.  $d th x $.  $d x y $.  $d x z $.  $d y z $.
    frds.1 $e |- { x | ps } e. _V $.
    frds.2 $e |- ( x = y -> ( ps <-> ch ) ) $.
    frds.3 $e |- ( x = z -> ( ps <-> th ) ) $.
    frds.4 $e |- ( ph -> R Fr A ) $.
    frds.5 $e |- ( ph -> E. x e. A ps ) $.
    $( Substitution schema verson of ~ frd . $)
    frds $p |- ( ph -> E. y e. A ( ch /\ A. z e. A ( ( th /\ z R y ) -> z = y )
        ) ) $=
      ( cv wi wcel wa wrex cvv wbr weq cab wral cin dfrab2 df-rab eqtr3i cfound
      crab brex syl simprd inexg sylancr syl5eqelr wss ssab2 a1i wex wne df-rex
      c0 sylib abn0 sylibr frd eleq1 anbi12d rexab anass exbii bitri wal impexp
      imbi2i bitr4i albii ralab df-ral 3bitr4i rexbii ) AGOZFOZIUAZGFUBZPZGEOZH
      QZBRZEUCZUDZFWKSZCDWERWFPZGHUDZRZFHSZAFGHITWKMAWKBEUCZHUEZTBEHUJWSWKBEHUF
      BEHUGUHAWRTQHTQZWSTQJAITQZWTAIHUIUAXAWTRMIHUIUKULUMWRHTTUNUOUPWKHUQABEHUR
      USAWJEUTZWKVCVAABEHSXBNBEHVBVDWJEVEVFVGWOFWKSZWDHQZWPRZFUTZWMWQXCXDCRZWOR
      ZFUTXFWJXGWOEFEFUBWIXDBCWHWDHVHKVIVJXHXEFXDCWOVKVLVMWLWOFWKWCHQZDRZWGPZGV
      NXIWNPZGVNWLWOXKXLGXKXIDWGPZPXLXIDWGVOWNXMXIDWEWFVOVPVQVRWJXJWGGEEGUBWIXI
      BDWHWCHVHLVIVSWNGHVTWAWBWPFHVBWAVD $.
      $( [19-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a r $.  $d A r $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.
    $d a z $.  $d A z $.  $d ph x $.  $d ph y $.  $d ph z $.  $d R a $.
    $d R r $.  $d r x $.  $d R x $.  $d r y $.  $d R y $.  $d r z $.  $d R z $.
    $d x y $.  $d x z $.  $d y z $.
    pod.1 $e |- ( ph -> R e. V ) $.
    pod.2 $e |- ( ph -> A e. W ) $.
    pod.3 $e |- ( ( ph /\ x e. A ) -> x R x ) $.
    pod.4 $e |- ( ( ph /\ ( x e. A /\ y e. A /\ z e. A ) /\
       ( x R y /\ y R z ) ) -> x R z ) $.
    pod.5 $e |- ( ( ph /\ ( x e. A /\ y e. A ) /\ ( x R y /\ y R x ) ) ->
      x = y ) $.
    $( A reflexive, transitive, and anti-symmetric ordering is a partial
       ordering. $)
    pod $p |- ( ph -> R Po A ) $=
      ( cref wbr ctrans cantisym cpartial refrd trrd antird porta syl3anbrc ) A
      FENOFEPOFEQOFEROABEFGHIJKSABCDEFGHIJLTABCEFGHIJMUAEFUBUC $.
      $( [22-Feb-2015] $)
  $}

  ${
    $d A a $.  $d a r $.  $d A r $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.
    $d ph x $.  $d ph y $.  $d R a $.  $d R r $.  $d r x $.  $d R x $.
    $d r y $.  $d R y $.  $d x y $.  $d a z $.  $d A z $.  $d ph z $.
    $d r z $.  $d R z $.  $d x z $.  $d y z $.
    sod.1 $e |- ( ph -> R e. V ) $.
    sod.2 $e |- ( ph -> A e. W ) $.
    sod.3 $e |- ( ( ph /\ x e. A ) -> x R x ) $.
    sod.4 $e |- ( ( ph /\ ( x e. A /\ y e. A /\ z e. A ) /\
       ( x R y /\ y R z ) ) -> x R z ) $.
    sod.5 $e |- ( ( ph /\ ( x e. A /\ y e. A ) /\ ( x R y /\ y R x ) ) ->
      x = y ) $.
    sod.6 $e |- ( ( ph /\ x e. A /\ y e. A ) ->
       ( x R y \/ y R x ) ) $.
    $( A reflexive, transitive, antisymmetric, and connected relationship is a
       strict ordering. $)
    sod $p |- ( ph -> R Or A ) $=
      ( cpartial wbr cconnex cstrict pod connexrd sopc sylanbrc ) AFEOPFEQPFERP
      ABCDEFGHIJKLMSABCEFGHIJNTEFUAUB $.
      $( [12-Mar-2015] $)
  $}

  ${
    $d A x $.  $d A y $.  $d A z $.  $d ch x $.  $d ph y $.  $d ph z $.
    $d ps y $.  $d ps z $.  $d R y $.  $d R z $.  $d th x $.  $d x y $.
    $d x z $.  $d y z $.
    weds.1 $e |- { x | ps } e. _V $.
    weds.2 $e |- ( x = y -> ( ps <-> ch ) ) $.
    weds.3 $e |- ( x = z -> ( ps <-> th ) ) $.
    weds.4 $e |- ( ph -> R We A ) $.
    weds.5 $e |- ( ph -> E. x e. A ps ) $.
    $( Any property that holds for some element of a well-ordered set ` A ` has
       an ` R ` minimal element satisfying that property. $)
    weds $p |- ( ph -> E. y e. A ( ch /\ A. z e. A ( th -> y R z ) ) ) $=
      ( wbr wa wi cfound cstrict syl cv weq wral wrex cwe cin df-we breqi bitri
      brin simprbi frds wcel impexp cconnex simplbi cpartial sopc adantr simprl
      wo simprr connexd ax1 a1i pm2.27 cref ctrans cantisym porta simp1bi sylbi
      simpr refd adantrl breq1 syl5ibcom syl9r jaod mpd imim2d anassrs ralimdva
      syl5bi anim2d reximdva ) ACDGUAZFUAZIOZPGFUBZQZGHUCZPZFHUDCDWHWGIOZQZGHUC
      ZPZFHUDABCDEFGHIJKLAIHUEOZIHROZMWRIHSOZWSWRIHSRUFZOWTWSPIHUEXAUGUHIHSRUJU
      IZUKTNULAWMWQFHAWHHUMZPZWLWPCXDWKWOGHAXCWGHUMZWKWOQWKDWIWJQZQAXCXEPZPZWOD
      WIWJUNXHXFWNDXHWNWIVAXFWNQZXHHIWHWGAIHUOOZXGAWTXJAWRWTMWRWTWSXBUPTZWTIHUQ
      OZXJHIURZUKTUSAXCXEUTAXCXEVBVCXHWNXIWIWNXIQXHWNXFVDVEWIXFWJXHWNWIWJVFXHWG
      WGIOZWJWNAXEXNXCAXEPHIWGAIHVGOZXEAWTXOXKWTXLXJPXOXMXLXOXJXLXOIHVHOIHVIOHI
      VJVKUSVLTUSAXEVMVNVOWGWHWGIVPVQVRVSVTWAWDWBWCWEWFVT $.
      $( [20-Mar-2015] $)
  $}


  ${
    $d R x y z $.  $d ph x y z $.
    ord0.1 $e |- ( ph -> R e. V ) $.
    $( Anything partially orders the empty set. $)
    po0 $p |- ( ph -> R Po (/) ) $=
      ( vx vy vz c0 cvv wcel 0ex a1i cv wbr noel pm2.21i adantl w3a wa 3ad2ant2
      3ad2ant1 weq adantr pod ) AEFGHBCIDHIJAKLEMZHJZUEUEBNZAUFUGUEOZPQUFFMZHJZ
      GMZHJZRAUEUKBNZUEUIBNZUIUKBNSUFUJUMULUFUMUHPUATUFUJSAEFUBZUNUIUEBNSUFUOUJ
      UFUOUHPUCTUD $.
      $( [12-Mar-2015] $)

    $( Anything is connected over the empty set. $)
    connex0 $p |- ( ph -> R Connex (/) ) $=
      ( vx vy c0 cvv wcel 0ex a1i cv wbr wo noel pm2.21i 3ad2ant2 connexrd ) AE
      FGBCHDGHIAJKELZGIZASFLZBMUASBMNZUAGITUBSOPQR $.
      $( [12-Mar-2015] $)

    $( Anything totally orders the empty set. $)
    so0 $p |- ( ph -> R Or (/) ) $=
      ( c0 cpartial wbr cconnex cstrict po0 connex0 sopc sylanbrc ) ABEFGBEHGBE
      IGABCDJABCDKEBLM $.
      $( [12-Mar-2015] $)
  $}


  ${
    $d A a $.  $d a r $.  $d A r $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.
    $d a z $.  $d A z $.  $d ph x $.  $d ph y $.  $d ph z $.  $d R a $.
    $d R r $.  $d r x $.  $d R x $.  $d r y $.  $d R y $.  $d r z $.  $d R z $.
    $d x y $.  $d x z $.  $d y z $.
    iserd.1 $e |- ( ph -> R e. V ) $.
    iserd.2 $e |- ( ph -> A e. W ) $.
    iserd.3 $e |- ( ( ph /\ ( x e. A /\ y e. A ) /\ x R y ) -> y R x ) $.
    iserd.4 $e |- ( ( ph /\ ( x e. A /\ y e. A /\ z e. A ) /\
       ( x R y /\ y R z ) ) -> x R z ) $.
    $( A symmetric, transitive relationship is an equivalence relationship. $)
    iserd $p |- ( ph -> R Er A ) $=
      ( vr va csym wbr cv wi wral wcel ctrans wa 3expia ralrimivva wb wceq breq
      cer imbi12d 2ralbidv raleq raleqbi1dv df-sym brabg syl2anc mpbird ersymtr
      trrd sylanbrc ) AFEOPZFEUAPFEUHPAUTBQZCQZFPZVBVAFPZRZCESZBESZAVEBCEEAVAET
      VBETUBVCVDKUCUDAFGTEHTUTVGUEIJVAVBMQZPZVBVAVHPZRZCNQZSBVLSVECVLSZBVLSVGMN
      FEGHOVHFUFZVKVEBCVLVLVNVIVCVJVDVAVBVHFUGVBVAVHFUGUIUJVMVFBVLEVECVLEUKULBC
      MNUMUNUOUPABCDEFGHIJLUREFUQUS $.
      $( [22-Feb-2015] $)
  $}

  ${
    $d x y z $.
    $( The identity relationship is an equivalence relationship over the
       universe. $)
    ider $p |- _I Er _V $=
      ( vx vy vz cid cvv cer wbr wtru wcel idex a1i vvex cv wa weq equcomi ideq
      vex 3imtr4i 3ad2ant3 w3a eqtr anbi12i iserd trud ) DEFGHABCEDEEDEIHJKEEIH
      LKAMZBMZDGZHUGUFDGZUFEIZUGEIZNABOZBAOUHUIABPUFUGBRQZUGUFARQSTUHUGCMZDGZNZ
      HUFUNDGZUJUKUNEIUAULBCOZNACOUPUQUFUGUNUBUHULUOURUMUGUNCRZQUCUFUNUSQSTUDUE
      $.
      $( [22-Feb-2015] $)
  $}

  ${
    $d x y z $.
    $( The subset relationship partially orders the universe. $)
    ssetpov $p |- SSet Po _V $=
      ( vx vy vz csset cvv cpartial wbr wtru wcel ssetex a1i vvex cv wa wss vex
      ssid brsset anbi12i 3ad2ant3 w3a sstr 3imtr4i weq eqss bitr4i biimpri pod
      mpbir trud ) DEFGHABCEDEEDEIHJKEEIHLKAMZUKDGZHUKEIZNULUKUKOUKQUKUKAPZUNRU
      IKUKBMZDGZUOCMZDGZNZHUKUQDGZUMUOEIZUQEIUAUKUOOZUOUQOZNUKUQOUSUTUKUOUQUBUP
      VBURVCUKUOUNBPZRZUOUQVDCPZRSUKUQUNVFRUCTUPUOUKDGZNZHABUDZUMVANVIVHVIVBUOU
      KOZNVHUKUOUEUPVBVGVJVEUOUKVDUNRSUFUGTUHUJ $.
      $( [12-Mar-2015] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Equivalence relations and classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c /. $.  $( Long slash for quotient set $)

  $( Extend the definition of a class to include equivalence class. $)
  cec $a class [ A ] R $.

  $( Extend the definition of a class to include quotient set. $)
  cqs $a class ( A /. R ) $.

  $( Define the ` R ` -coset of ` A ` .  Exercise 35 of [Enderton] p. 61.  This
     is called the equivalence class of ` A ` modulo ` R ` when ` R ` is an
     equivalence relation.  In this case, ` A ` is a representative (member) of
     the equivalence class ` [ A ] R ` , which contains all sets that are
     equivalent to ` A ` .  Definition of [Enderton] p. 57 uses the notation
     ` [ A ] ` (subscript) ` R ` , although we simply follow the brackets by
     ` R ` since we don't have subscripted expressions.  For an alternate
     definition, see ~ dfec2 . $)
  df-ec $a |- [ A ] R = ( R " { A } ) $.

  ${
    $d y A x $.  $d y R x $.
    $( Alternate definition of ` R ` -coset of ` A ` .  Definition 34 of
       [Suppes] p. 81. $)
    dfec2 $p |- [ A ] R = { y | A R y } $=
      ( cec csn cima cv wbr cab df-ec imasn eqtri ) BCDCBEFBAGCHAIBCJABCKL $.
      $( [22-Feb-2015] $)
  $}

  $( An equivalence class modulo a set is a set. $)
  ecexg $p |- ( R e. B -> [ A ] R e. _V ) $=
    ( wcel cec csn cima cvv df-ec snex imaexg mpan2 syl5eqel ) CBDZACECAFZGZHAC
    INOHDPHDAJCOBHKLM $.
    $( [24-Jul-1995] $)

  $( A nonempty equivalence class implies the representative is a set. $)
  ecexr $p |- ( A e. [ B ] R -> B e. _V ) $=
    ( cvv wcel csn cima cec c0 wceq n0i wn snprc imaeq2 sylbi ima0 syl6eq nsyl2
    df-ec eleq2s ) BDEZACBFZGZBCHAUCEUCIJUAUCAKUALZUCCIGZIUDUBIJUCUEJBMUBICNOCP
    QRBCST $.
    $( [9-Jul-2014] $)

  ${
    $d x y A $.  $d x y R $.
    $( Define quotient set. ` R ` is usually an equivalence relation.
       Definition of [Enderton] p. 58. $)
    df-qs $a |- ( A /. R ) = { y | E. x e. A y = [ x ] R } $.
  $}


  ${
    ersym.1 $e |- ( ph -> R Er A ) $.
    ersym.2 $e |- ( ph -> X e. A ) $.
    ersym.3 $e |- ( ph -> Y e. A ) $.
    ersym.4 $e |- ( ph -> X R Y ) $.
    $( An equivalence relation is symmetric. $)
    ersym $p |- ( ph -> Y R X ) $=
      ( cer wbr csym ctrans ersymtr simplbi syl symd ) ABCDEACBJKZCBLKZFRSCBMKB
      CNOPGHIQ $.
      $( [22-Feb-2015] $)
  $}

  ${
    ersymb.1 $e |- ( ph -> R Er A ) $.
    ersymb.2 $e |- ( ph -> X e. A ) $.
    ersymb.3 $e |- ( ph -> Y e. A ) $.
    $( An equivalence relation is symmetric. $)
    ersymb $p |- ( ph -> ( X R Y <-> Y R X ) ) $=
      ( wbr wa cer adantr wcel simpr ersym impbida ) ADECIZEDCIZAQJBCDEACBKIZQF
      LADBMZQGLAEBMZQHLAQNOARJBCEDASRFLAUARHLATRGLARNOP $.
      $( [9-Jul-2014] $) $( [30-Jul-1995] $)
  $}

  ${
    ertr.1 $e |- ( ph -> R Er A ) $.
    ertr.2 $e |- ( ph -> X e. A ) $.
    ertr.3 $e |- ( ph -> Y e. A ) $.
    ertr.4 $e |- ( ph -> Z e. A ) $.
    $( An equivalence relation is transitive. $)
    ertr $p |- ( ph -> ( ( X R Y /\ Y R Z ) -> X R Z ) ) $=
      ( wbr wa ctrans cer csym ersymtr simprbi syl adantr wcel simprl simprr ex
      trd ) ADECKZEFCKZLZDFCKAUGLBCDEFACBMKZUGACBNKZUHGUICBOKUHBCPQRSADBTUGHSAE
      BTUGISAFBTUGJSAUEUFUAAUEUFUBUDUC $.
      $( [9-Jul-2014] $) $( [4-Jun-1995] $)

    ${
      ertrd.5 $e |- ( ph -> X R Y ) $.
      ertrd.6 $e |- ( ph -> Y R Z ) $.
      $( A transitivity relation for equivalences. $)
      ertrd $p |- ( ph -> X R Z ) $=
        ( cer wbr ctrans csym ersymtr simprbi syl trd ) ABCDEFACBMNZCBONZGUACBP
        NUBBCQRSHIJKLT $.
        $( [9-Jul-2014] $)

      $( A transitivity relation for equivalences. $)
      ertr2d $p |- ( ph -> Z R X ) $=
        ( ertrd ersym ) ABCDFGHJABCDEFGHIJKLMN $.
        $( [9-Jul-2014] $)
    $}

    ${
      ertr3d.5 $e |- ( ph -> Y R X ) $.
      ertr3d.6 $e |- ( ph -> Y R Z ) $.
      $( A transitivity relation for equivalences. $)
      ertr3d $p |- ( ph -> X R Z ) $=
        ( ersym ertrd ) ABCDEFGHIJABCEDGIHKMLN $.
        $( [9-Jul-2014] $)
    $}

    ${
      ertr4d.5 $e |- ( ph -> X R Y ) $.
      ertr4d.6 $e |- ( ph -> Z R Y ) $.
      $( A transitivity relation for equivalences. $)
      ertr4d $p |- ( ph -> X R Z ) $=
        ( ersym ertrd ) ABCDEFGHIJKABCFEGJILMN $.
        $( [9-Jul-2014] $)
    $}
  $}

  ${
    $d A y $.  $d ph y $.  $d R y $.  $d X y $.
    erref.1 $e |- ( ph -> R Er _V ) $.
    erref.2 $e |- ( ph -> dom R = A ) $.
    erref.3 $e |- ( ph -> X e. A ) $.
    $( An equivalence relation is reflexive on its field.  Compare Theorem 3M
       of [Enderton] p. 56. $)
    erref $p |- ( ph -> X R X ) $=
      ( vy wcel wbr cdm eleq2d cv wex eldm wa cvv cer adantr elex syl vex simpr
      a1i ertr4d ex exlimdv syl5bi sylbird mpd ) ADBIZDDCJZGAUKDCKZIZULAUMBDFLU
      NDHMZCJZHNAULHDCOAUPULHAUPULAUPPZQCDUODACQRJUPESADQIZUPAUKURGDBTUASZUOQIU
      QHUBUDUSAUPUCZUTUEUFUGUHUIUJ $.
      $( [6-May-2013] $)
  $}

  ${
    $d y A $.  $d v x B $.  $d v w z R $.  $d v w x y z $.
    eqer.1 $e |- ( x = y -> A = B ) $.
    eqer.2 $e |- R = { <. x , y >. | A = B } $.
    $( Lemma for ~ eqer . $)
    eqerlem $p |- ( z R w <-> [_ z / x ]_ A = [_ w / x ]_ A ) $=
      ( vv cv wceq wsbc csb cvv wcel wb vex ax-mp eqeq2i wbr brabsb ax-17 sbbii
      sbceq1g csbief bitr4i sbceq2g csbcog bitri 3bitri ) CKZDKZGUAEFLZAULMZBUM
      MAULENZABKZENZLZBUMMZUPAUMENZLZUNABCDGIUBUOUSBDUOUPFLZUSULOPUOVCQCRAULEFO
      UESURFUPAJUQEFBRJKFPAUCHUFTUGUDUTUPBUMURNZLZVBUMOPZUTVEQDRZBUMUPUROUHSVDV
      AUPVFVDVALVGABUMEOUISTUJUK $.
      $( [17-Mar-2008] $)

    eqer.3 $e |- R e. _V $.
    $( Equivalence relation involving equality of dependent classes ` A ( x ) `
       and ` B ( y ) ` . $)
    eqer $p |- R Er _V $=
      ( vz vw vv cvv wbr wtru wcel cv wa csb wceq eqerlem cer a1i vvex 3ad2ant3
      id1 eqcomd 3imtr4i w3a eqtr anbi12i iserd trud ) ELUAMNIJKLELLELONHUBLLON
      UCUBIPZJPZEMZNUNUMEMZUMLOZUNLOZQAUMCRZAUNCRZSZUTUSSUOUPVAUSUTVAUEUFABIJCD
      EFGTZABJICDEFGTUGUDUOUNKPZEMZQZNUMVCEMZUQURVCLOUHVAUTAVCCRZSZQUSVGSVEVFUS
      UTVGUIUOVAVDVHVBABJKCDEFGTUJABIKCDEFGTUGUDUKUL $.
      $( [17-Mar-2008] $)
  $}

  $( Equality theorem for equivalence class. $)
  eceq1 $p |- ( A = B -> [ A ] C = [ B ] C ) $=
    ( wceq csn cima cec sneq imaeq2d df-ec 3eqtr4g ) ABDZCAEZFCBEZFACGBCGLMNCAB
    HIACJBCJK $.
    $( [23-Jul-1995] $)

  $( Equality theorem for equivalence class. $)
  eceq2 $p |- ( A = B -> [ C ] A = [ C ] B ) $=
    ( wceq csn cima cec imaeq1 df-ec 3eqtr4g ) ABDACEZFBKFCAGCBGABKHCAICBIJ $.
    $( [23-Jul-1995] $)

  $( Membership in an equivalence class.  Theorem 72 of [Suppes] p. 82. $)
  elec $p |- ( A e. [ B ] R <-> B R A ) $=
    ( csn cima wcel cop cec wbr elimasn df-ec eleq2i df-br 3bitr4i ) ACBDEZFBAG
    CFABCHZFBACICBAJPOABCKLBACMN $.
    $( [9-Jul-2014] $)


  ${
    $d x y R $.
    $( The range and domain of an equivalence relation are equal.  (Contributed
       by Rodolfo Medina, 11-Oct-2010.) $)
    erdmrn $p |- ( R Er _V -> dom R = ran R ) $=
      ( vx vy cvv cer wbr cdm crn cv wex wcel id1 vex a1i ersymb exbidv 3bitr4g
      eldm elrn eqrdv ) ADEFZBAGZAHZUABIZCIZAFZCJUEUDAFZCJUDUBKUDUCKUAUFUGCUADA
      UDUEUALUDDKUABMNUEDKUACMNOPCUDARCUDASQT $.
      $( [11-Oct-2010] $)
  $}


  ${
    $d x y R $.
    ecss.1 $e |- ( ph -> R Er _V ) $.
    ecss.2 $e |- ( ph -> dom R = X ) $.
    $( An equivalence class is a subset of the domain. $)
    ecss $p |- ( ph -> [ A ] R C_ X ) $=
      ( crn cec csn cima df-ec imassrn eqsstri cdm cvv cer wbr wceq erdmrn syl
      eqtr3d syl5sseq ) ACGZBCHZDUDCBIZJUCBCKCUELMACNZUCDACOPQUFUCRECSTFUAUB $.
      $( [9-Jul-2014] $) $( [6-Aug-1995] $)
  $}

  ${
    $d x R $.  $d x A $.
    $( A representative of a nonempty equivalence class belongs to the domain
       of the equivalence relation. $)
    ecdmn0 $p |- ( A e. dom R <-> [ A ] R =/= (/) ) $=
      ( vx cv cec wcel wex wbr c0 wne cdm elec exbii n0 eldm 3bitr4ri ) CDZABEZ
      FZCGAQBHZCGRIJABKFSTCQABLMCRNCABOP $.
      $( [9-Jul-2014] $) $( [15-Feb-1996] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.  $d x ph $.
    erth.1 $e |- ( ph -> R Er _V ) $.
    erth.2 $e |- ( ph -> dom R = X ) $.
    erth.3 $e |- ( ph -> A e. X ) $.
    erth.4 $e |- ( ph -> B e. V ) $.
    $( Basic property of equivalence relations.  Theorem 73 of [Suppes] p. 82.
       (Revised by Mario Carneiro, 9-Jul-2014.) $)
    erth $p |- ( ph -> ( A R B <-> [ A ] R = [ B ] R ) ) $=
      ( vx wbr cec wa cab cvv adantr wcel elex syl cv cer vex a1i simprl simprr
      wceq ertr3d expr ertr expdimp impbid abbidv dfec2 3eqtr4g simpl 3syl elec
      erref sylibr eleq2 syl5ibcom imp sylib ersym impbida ) ABCDLZBDMZCDMZUGZA
      VGNZBKUAZDLZKOCVLDLZKOVHVIVKVMVNKVKVMVNAVGVMVNAVGVMNZNZPDCBVLADPUBLZVOGQA
      CPRZVOACERZVRJCESZTZQABPRZVOABFRZWBIBFSZTZQVLPRZVPKUCZUDAVGVMUEAVGVMUFUHU
      IAVGVNVMAPDBCVLGWEWAWFAWGUDUJUKULUMKBDUNKCDUNUOAVJNZPDCBAVQVJGQWHAVSVRAVJ
      UPZJVTUQWHAWCWBWIIWDUQWHBVIRZCBDLAVJWJABVHRZVJWJABBDLWKAFDBGHIUSBBDURUTVH
      VIBVAVBVCBCDURVDVEVF $.
      $( [9-Jul-2014] $) $( [23-Jul-1995] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.  $d x ph $.
    erth2.1 $e |- ( ph -> R Er _V ) $.
    erth2.2 $e |- ( ph -> dom R = X ) $.
    erth2.3 $e |- ( ph -> A e. V ) $.
    erth2.4 $e |- ( ph -> B e. X ) $.
    $( Basic property of equivalence relations.  Compare Theorem 73 of [Suppes]
       p. 82.  Assumes membership of the second argument in the domain. $)
    erth2 $p |- ( ph -> ( A R B <-> [ A ] R = [ B ] R ) ) $=
      ( wbr cec wceq cvv wcel elex syl ersymb erth eqcom syl6bb bitrd ) ABCDKCB
      DKZBDLZCDLZMZANDBCGABEOBNOIBEPQACFOCNOJCFPQRAUCUEUDMUFACBDEFGHJISUEUDTUAU
      B $.
      $( [9-Jul-2014] $) $( [30-Jul-1995] $)
  $}

  ${
    erthi.1 $e |- ( ph -> R Er _V ) $.
    erthi.4 $e |- ( ph -> A R B ) $.
    $( Basic property of equivalence relations.  Part of Lemma 3N of [Enderton]
       p. 57. $)
    erthi $p |- ( ph -> [ A ] R = [ B ] R ) $=
      ( wbr cec wceq crn cdm eqidd wcel breldm syl brelrn erth mpbid ) ABCDGZBD
      HCDHIFABCDDJZDKZEAUALASBUAMFBCDNOASCTMFBCDPOQR $.
      $( [9-Jul-2014] $) $( [30-Jul-1995] $)
  $}

  ${
    ereldm.1 $e |- ( ph -> R Er _V ) $.
    ereldm.2 $e |- ( ph -> dom R = X ) $.
    ereldm.3 $e |- ( ph -> [ A ] R = [ B ] R ) $.
    ${
      ereldm.4 $e |- ( ph -> A e. X ) $.
      ereldm.5 $e |- ( ph -> B e. V ) $.
      $( Equality of equivalence classes implies equivalence of domain
         membership. $)
      ereldm $p |- ( ph -> B e. X ) $=
        ( cec ecss wbr wcel wceq erth mpbird elec sylibr sseldd ) ABDLZFCABDFGH
        MABCDNZCUBOAUCUBCDLPIABCDEFGHJKQRCBDSTUA $.
        $( [9-Jul-2014] $) $( [28-Jan-1996] $)
    $}

    ereldmb.4 $e |- ( ph -> A e. V ) $.
    ereldmb.5 $e |- ( ph -> B e. W ) $.
    $( Equality of equivalence classes implies equivalence of domain
       membership. $)
    ereldmb $p |- ( ph -> ( A e. X <-> B e. X ) ) $=
      ( wcel wa cvv adantr wceq cec simpr ereldm cer wbr cdm sylan9req impbida
      eqidd ) ABGMZCGMZAUGNBCDFGADOUAUBZUGHPADUCGQZUGIPABDRZCDRZQUGJPAUGSACFMUG
      LPTAUHNCBDEGAUIUHHPAUJUHIPAUHULUKUKJUHUKUFUDAUHSABEMUHKPTUE $.
      $( [9-Jul-2014] $) $( [28-Jan-1996] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.
    $( Equivalence classes do not overlap.  In other words, two equivalence
       classes are either equal or disjoint.  Theorem 74 of [Suppes] p. 83.
       (Revised by Mario Carneiro, 9-Jul-2014.) $)
    erdisj $p |- ( R Er _V ->
                   ( [ A ] R = [ B ] R \/ ( [ A ] R i^i [ B ] R ) = (/) ) ) $=
      ( vx cvv cer wbr cec cin c0 wceq wn cv wcel sseli adantl ecexr elec sylib
      syl wex neq0 wa simpl inss1 vex inss2 ertr4d erthi ex exlimdv syl5bi orrd
      a1i orcomd ) CEFGZACHZBCHZIZJKZUQURKZUPUTVAUTLDMZUSNZDUAUPVADUSUBUPVCVADU
      PVCVAUPVCUCZABCUPVCUDZVDECAVBBVEVDVBUQNZAENVCVFUPUSUQVBUQURUEOZPVBACQTVBE
      NVDDUFUNVDVBURNZBENVCVHUPUSURVBUQURUGOZPVBBCQTVCAVBCGZUPVCVFVJVGVBACRSPVC
      BVBCGZUPVCVHVKVIVBBCRSPUHUIUJUKULUMUO $.
      $( [9-Jul-2014] $) $( [15-Jun-2004] $)
  $}

  $( An equivalence class modulo the identity relation is a singleton. $)
  ecidsn $p |- [ A ] _I = { A } $=
    ( cid cec csn cima df-ec imai eqtri ) ABCBADZEIABFIGH $.
    $( [24-Oct-2004] $)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Equality theorem for quotient set. $)
    qseq1 $p |- ( A = B -> ( A /. C ) = ( B /. C ) ) $=
      ( vy vx wceq cv cec wrex cab cqs rexeq abbidv df-qs 3eqtr4g ) ABFZDGEGCHF
      ZEAIZDJQEBIZDJACKBCKPRSDQEABLMEDACNEDBCNO $.
      $( [23-Jul-1995] $)

    $( Equality theorem for quotient set. $)
    qseq2 $p |- ( A = B -> ( C /. A ) = ( C /. B ) ) $=
      ( vy vx wceq cec wrex cab cqs eceq2 eqeq2d rexbidv abbidv df-qs 3eqtr4g
      cv ) ABFZDQZEQZAGZFZECHZDISTBGZFZECHZDICAJCBJRUCUFDRUBUEECRUAUDSABTKLMNED
      CAOEDCBOP $.
      $( [23-Jul-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.
    $( Closed form of ~ elqs .  (Contributed by Rodolfo Medina,
       12-Oct-2010.) $)
    elqsg $p |- ( B e. V -> ( B e. ( A /. R ) <-> E. x e. A B = [ x ] R ) ) $=
      ( vy cv cec wceq wrex cqs eqeq1 rexbidv df-qs elab2g ) FGZAGDHZIZABJCQIZA
      BJFCBDKEPCIRSABPCQLMAFBDNO $.
      $( [12-Oct-2010] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.
    elqs.1 $e |- B e. _V $.
    $( Membership in a quotient set. $)
    elqs $p |- ( B e. ( A /. R ) <-> E. x e. A B = [ x ] R ) $=
      ( cvv wcel cqs cv cec wceq wrex wb elqsg ax-mp ) CFGCBDHGCAIDJKABLMEABCDF
      NO $.
      $( [12-Nov-2008] $) $( [23-Jul-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.
    $( Membership in a quotient set. $)
    elqsi $p |- ( B e. ( A /. R ) -> E. x e. A B = [ x ] R ) $=
      ( cqs wcel cv cec wceq wrex elqsg ibi ) CBDEZFCAGDHIABJABCDMKL $.
      $( [23-Jul-1995] $)
  $}

  ${
    $d R x $.  $d B x $.  $d A x $.
    $( Membership of an equivalence class in a quotient set.  (Contributed by
       Jeff Madsen, 10-Jun-2010.) $)
    ecelqsg $p |- ( ( R e. V /\ B e. A ) -> [ B ] R e. ( A /. R ) ) $=
      ( vx wcel cec cv wceq wrex cqs eceq1 eqeq2d rcla4ev mpan2 cvv ecexg elqsg
      eqid wb syl biimpar sylan2 ) BAFZCDFZBCGZEHZCGZIZEAJZUFACKFZUDUFUFIZUJUFS
      UIULEBAUGBIUHUFUFUGBCLMNOUEUKUJUEUFPFUKUJTBDCQEAUFCPRUAUBUC $.
      $( [9-Jul-2014] $) $( [10-Jun-2010] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.
    ecelqsi.1 $e |- R e. _V $.
    $( Membership of an equivalence class in a quotient set. $)
    ecelqsi $p |- ( B e. A -> [ B ] R e. ( A /. R ) ) $=
      ( cvv wcel cec cqs ecelqsg mpan ) CEFBAFBCGACHFDABCEIJ $.
      $( [9-Jul-2014] $) $( [25-Jul-1995] $)
  $}

  ${
    ecopqsi.1 $e |- R e. _V $.
    ecopqsi.2 $e |- S = ( ( A X. A ) /. R ) $.
    $( "Closure" law for equivalence class of ordered pairs. $)
    ecopqsi $p |- ( ( B e. A /\ C e. A ) -> [ <. B , C >. ] R e. S ) $=
      ( wcel wa cop cxp cec opelxp cqs ecelqsi syl6eleqr sylbir ) BAHCAHIBCJZAA
      KZHZRDLZEHBCAAMTUASDNESRDFOGPQ $.
      $( [25-Mar-1996] $)
  $}

  ${
    $d x y z A $.  $d x y z R $.
    $( A quotient set exists.  (Contributed by FL, 19-May-2007.) $)
    qsexg $p |- ( ( R e. V /\ A e. W ) -> ( A /. R ) e. _V ) $=
      ( vx vy vz wcel csset c1c cima cvv cv wrex csn cop wb wn vex bitri wa cqs
      cins2 ccnv csi cins3 csymdif cpw1 cec wceq cab df-qs elimapw1 wel wal wex
      ccompl elima1c elsymdif snex otelins2 opelssetsn otelins3 wbr df-br brcnv
      bitr3i opsnelsi elec 3bitr4i bibi12i notbii exbii opex alex dfcleq bitr4i
      elcompl rexbii abbi2i eqtr4i ssetex ins2ex cnvexg siexg ins3exg symdifexg
      3syl sylancr 1cex imaexg sylancl complexg syl pw1exg syl2an syl5eqel ) BC
      HZADHZUAABUBZIUCZBUDZUEZUFZUGZJKZUQZAUHZKZLWTEMZFMZBUIZUJZFANZEUKXIFEABUL
      XNEXIXJXIHXKOZXJPZXGHZFANXNFXJXGAUMXQXMFAXQGEUNZGMZXLHZQZGUOZXMXPXFHZRYAR
      ZGUPZRXQYBYCYEYCXSOZXPPZXEHZGUPYEGXPXEURYHYDGYHYGXAHZYGXDHZQZRYDYGXAXDUSY
      KYAYIXRYJXTYIYFXJPIHXRYFXOXJIXKUTZVAXSXJGSZESZVBTYJYFXOPXCHZXTYFXOXJXCYNV
      CXSXKPXBHZXKXSBVDZYOXTYPXSXKXBVDYQXSXKXBVEXSXKBVFVGXSXKXBYMFSVHXSXKBVIVJT
      VKVLTVMTVLXPXFXOXJYLYNVNVRYAGVOVJGXJXLVPVQVSTVTWAWRXGLHZXHLHXILHWSWRXFLHZ
      YRWRXELHZJLHYSWRXALHXDLHZYTIWBWCWRXBLHXCLHUUABCWDXBLWEXCLWFWHXAXDLLWGWIWJ
      XEJLLWKWLXFLWMWNADWOXGXHLLWKWPWQ $.
      $( [9-Jul-2014] $) $( [23-Apr-2007] $)
  $}

  ${
    qsex.1 $e |- R e. _V $.
    qsex.2 $e |- A e. _V $.
    $( A quotient set exists. $)
    qsex $p |- ( A /. R ) e. _V $=
      ( cvv wcel cqs qsexg mp2an ) BEFAEFABGEFCDABEEHI $.
      $( [14-Aug-1995] $)
  $}

  ${
    $d x y A $.  $d x y R $.  $d x V $.
    $( The union of a quotient set. $)
    uniqs $p |- ( R e. V -> U. ( A /. R ) = ( R " A ) ) $=
      ( vy vx wcel cv cec wceq wrex cab cuni ciun cqs cima wral ecexg ralrimivw
      cvv dfiun2g syl eqcomd df-qs unieqi csn df-ec a1i iuneq2i imaiun 3eqtr2ri
      iunid imaeq2i 3eqtr4g ) BCFZDGEGZBHZIEAJDKZLZEAUPMZABNZLBAOZUNUSURUNUPSFZ
      EAPUSURIUNVBEAUOCBQREDAUPSTUAUBUTUQEDABUCUDUSEABUOUEZOZMBEAVCMZOVAEAUPVDU
      PVDIUOAFUOBUFUGUHEBAVCUIVEABEAUKULUJUM $.
      $( [9-Dec-2008] $)
  $}

  ${
    $d x y z A $.  $d x y z R $.
    qsss.1 $e |- ( ph -> R Er _V ) $.
    qsss.2 $e |- ( ph -> dom R = A ) $.
    qsss.3 $e |- ( ph -> R e. V ) $.
    $( The union of a quotient set. $)
    uniqs2 $p |- ( ph -> U. ( A /. R ) = A ) $=
      ( cdm cima crn cqs cuni imadmrn wcel wceq uniqs syl imaeq2d eqtr4d cvv
      cer wbr erdmrn eqtr3d 3eqtr4a ) ACCHZIZCJZBCKLZBCMAUICBIZUGACDNUIUJOGBCDP
      QAUFBCFRSAUFBUHFACTUAUBUFUHOECUCQUDUE $.
      $( [11-Jul-2014] $)

    $( A quotient set is a set of subsets of the base set.  (Contributed by
       Mario Carneiro, 9-Jul-2014.) $)
    qsss $p |- ( ph -> ( A /. R ) C_ ~P A ) $=
      ( cqs cuni wss cpw wceq uniqs2 eqimss syl sspwuni sylibr ) ABCHZIZBJZRBKJ
      ASBLTABCDEFGMSBNORBPQ $.
      $( [9-Jul-2014] $)
  $}

  ${
    $d x y A $.  $d x y R $.
    snec.1 $e |- A e. _V $.
    $( The singleton of an equivalence class. $)
    snec $p |- { [ A ] R } = ( { A } /. R ) $=
      ( vy vx cv cec wceq csn wrex cab cqs eceq1 eqeq2d rexsn abbii df-qs df-sn
      3eqtr4ri ) DFZEFZBGZHZEAIZJZDKTABGZHZDKUDBLUFIUEUGDUCUGEACUAAHUBUFTUAABMN
      OPEDUDBQDUFRS $.
      $( [9-Jul-2014] $) $( [29-Jan-1999] $)
  $}

  ${
    ecqs.1 $e |- R e. _V $.
    $( Equivalence class in terms of quotient set. $)
    ecqs $p |- [ A ] R = U. ( { A } /. R ) $=
      ( cec csn cima cqs cuni df-ec cvv wcel wceq uniqs ax-mp eqtr4i ) ABDBAEZF
      ZPBGHZABIBJKRQLCPBJMNO $.
      $( [15-Jan-2009] $) $( [29-Jan-1999] $)
  $}

  ${
    $d y A $.
    ecid.1 $e |- A e. _V $.
    $( A set is equal to its converse epsilon coset.  (Note: converse epsilon
       is not an equivalence relation.) $)
    ecid $p |- [ A ] `' _E = A $=
      ( cep ccnv cec csn cima df-ec epini eqtri ) ACDZEKAFGAAKHABIJ $.
      $( [9-Jul-2014] $) $( [13-Aug-1995] $)
  $}

  ${
    $d x y A $.
    $( A set is equal to its quotient set mod converse epsilon.  (Note:
       converse epsilon is not an equivalence relation.) $)
    qsid $p |- ( A /. `' _E ) = A $=
      ( vy vx cep ccnv cqs cv cec wceq wrex wcel ecid eqeq2i eqcom bitri rexbii
      vex elqs risset 3bitr4i eqriv ) BADEZFZABGZCGZUBHZIZCAJUEUDIZCAJUDUCKUDAK
      UGUHCAUGUDUEIUHUFUEUDUECQLMUDUENOPCAUDUBBQRCUDASTUA $.
      $( [9-Jul-2014] $) $( [13-Aug-1995] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.  $d x ps $.  $d x ch $.
    ectocl.1 $e |- S = ( B /. R ) $.
    ectocl.2 $e |- ( [ x ] R = A -> ( ph <-> ps ) ) $.
    ${
      ectocld.3 $e |- ( ( ch /\ x e. B ) -> ph ) $.
      $( Implicit substitution of class for equivalence class. $)
      ectocld $p |- ( ( ch /\ A e. S ) -> ps ) $=
        ( wcel cv cec wceq wrex cqs elqsi eleq2s wa wb syl5ibcom rexlimdva syl5
        eqcoms imp ) CEHLZBUGEDMZGNZOZDFPZCBUKEFGQHDFEGRISCUJBDFCUHFLTAUJBKABUA
        UIEJUEUBUCUDUF $.
        $( [9-Jul-2014] $)
    $}

    ectocl.3 $e |- ( x e. B -> ph ) $.
    $( Implicit substitution of class for equivalence class. $)
    ectocl $p |- ( A e. S -> ps ) $=
      ( wtru wcel tru cv adantl ectocld mpan ) KDGLBMABKCDEFGHICNELAKJOPQ $.
      $( [9-Jul-2014] $) $( [23-Jul-1995] $)
  $}

  ${
    $d x R $.  $d x A $.  $d x B $.
    $( A quotient set doesn't contain the empty set. $)
    elqsn0 $p |- ( ( dom R = A /\ B e. ( A /. R ) ) -> B =/= (/) ) $=
      ( vx cv cec c0 wne cdm wceq eqid neeq1 wcel wa eleq2 biimpar ecdmn0 sylib
      cqs ectocld ) DEZCFZGHZBGHCIZAJZDBACACSZUFKUBBGLUEUAAMZNUAUDMZUCUEUHUGUDA
      UAOPUACQRT $.
      $( [21-Mar-2007] $) $( [24-Aug-1995] $)
  $}

  ${
    $( Membership of an equivalence class in a quotient set. $)
    ecelqsdm $p |- ( ( dom R = A /\ [ B ] R e. ( A /. R ) ) -> B e. A ) $=
      ( cdm wceq cec cqs wcel wa c0 wne elqsn0 ecdmn0 sylibr simpl eleqtrd ) CD
      ZAEZBCFZACGHZIZBQAUASJKBQHASCLBCMNRTOP $.
      $( [21-Mar-2007] $) $( [30-Jul-1995] $)
  $}

  ${
    $d x y A $.  $d x B $.  $d x y C $.  $d x y ph $.  $d x y R $.
    qsdisj.1 $e |- ( ph -> R Er _V ) $.
    qsdisj.2 $e |- ( ph -> B e. ( A /. R ) ) $.
    qsdisj.3 $e |- ( ph -> C e. ( A /. R ) ) $.
    $( Members of a quotient set do not overlap.  (Contributed by Rodolfo
       Medina, 12-Oct-2010.)  (Revised by Mario Carneiro, 11-Jul-2014.) $)
    qsdisj $p |- ( ph -> ( B = C \/ ( B i^i C ) = (/) ) ) $=
      ( vx vy wcel wceq cin c0 wo cv cec eqeq1d orbi12d wa cqs eqid eqeq1 ineq1
      adantr eqeq2 ineq2 cvv cer wbr ad2antrr erdisj syl ectocld mpdan ) ACBEUA
      ZKCDLZCDMZNLZOZGIPZEQZDLZVBDMZNLZOZUTAICBEUPUPUBZVBCLZVCUQVEUSVBCDUCVHVDU
      RNVBCDUDRSAVABKZTZDUPKZVFAVKVIHUEVBJPZEQZLZVBVMMZNLZOZVFVJJDBEUPVGVMDLZVN
      VCVPVEVMDVBUFVRVOVDNVMDVBUGRSVJVLBKZTEUHUIUJZVQAVTVIVSFUKVAVLEULUMUNUOUNU
      O $.
      $( [11-Jul-2014] $) $( [12-Oct-2010] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.  $d x y z ps $.
    ecoptocl.1 $e |- S = ( ( B X. C ) /. R ) $.
    ecoptocl.2 $e |- ( [ <. x , y >. ] R = A -> ( ph <-> ps ) ) $.
    ecoptocl.3 $e |- ( ( x e. B /\ y e. C ) -> ph ) $.
    $( Implicit substitution of class for equivalence class of ordered pair. $)
    ecoptocl $p |- ( A e. S -> ps ) $=
      ( vz cxp cqs wcel cv cec wceq wi wrex elqsi cop eceq1 eqeq2d imbi1d wa wb
      eqid eqcoms syl5ibcom optocl rexlimiv syl eleq2s ) BEFGNZHOZIEUQPEMQZHRZS
      ZMUPUABMUPEHUBUTBMUPECQZDQZUCZHRZSZBTUTBTCDURFGUPUPUIVCURSZVEUTBVFVDUSEVC
      URHUDUEUFVAFPVBGPUGAVEBLABUHVDEKUJUKULUMUNJUO $.
      $( [23-Jul-1995] $)
  $}

  ${
    $d x y z w A $.  $d z w B $.  $d x y z w C $.  $d x y z w D $.  $d z w S $.
    $d x y z w R $.  $d x y ps $.  $d z w ch $.
    2ecoptocl.1 $e |- S = ( ( C X. D ) /. R ) $.
    2ecoptocl.2 $e |- ( [ <. x , y >. ] R = A -> ( ph <-> ps ) ) $.
    2ecoptocl.3 $e |- ( [ <. z , w >. ] R = B -> ( ps <-> ch ) ) $.
    2ecoptocl.4 $e |- ( ( ( x e. C /\ y e. D ) /\
                      ( z e. C /\ w e. D ) ) -> ph ) $.
    $( Implicit substitution of classes for equivalence classes of ordered
       pairs. $)
    2ecoptocl $p |- ( ( A e. S /\ B e. S ) -> ch ) $=
      ( wcel wi cv cop cec wceq imbi2d wa ex ecoptocl com12 impcom ) IMRHMRZCUJ
      BSUJCSFGIJKLMNFTZGTZUALUBIUCBCUJPUDUJUKJRULKRUEZBUMASUMBSDEHJKLMNDTZETZUA
      LUBHUCABUMOUDUNJRUOKRUEUMAQUFUGUHUGUI $.
      $( [23-Jul-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d z w v u B $.  $d v u C $.  $d x y z w v u D $.
    $d z w v u S $.  $d x y z w v u R $.  $d x y ps $.  $d z w ch $.
    $d v u th $.
    3ecoptocl.1 $e |- S = ( ( D X. D ) /. R ) $.
    3ecoptocl.2 $e |- ( [ <. x , y >. ] R = A -> ( ph <-> ps ) ) $.
    3ecoptocl.3 $e |- ( [ <. z , w >. ] R = B -> ( ps <-> ch ) ) $.
    3ecoptocl.4 $e |- ( [ <. v , u >. ] R = C -> ( ch <-> th ) ) $.
    3ecoptocl.5 $e |- ( ( ( x e. D /\ y e. D ) /\
                      ( z e. D /\ w e. D ) /\ ( v e. D /\ u e. D ) ) -> ph ) $.
    $( Implicit substitution of classes for equivalence classes of ordered
       pairs. $)
    3ecoptocl $p |- ( ( A e. S /\ B e. S /\ C e. S ) -> th ) $=
      ( wcel wa wi cop cec wceq imbi2d 3expib ecoptocl com12 2ecoptocl 3impib
      cv ) KPUBZLPUBZMPUBZDUPUQUCUODUOBUDUOCUDUODUDGHIJLMNNOPQGUNZHUNZUEOUFLUGB
      CUOSUHIUNZJUNZUEOUFMUGCDUOTUHUOURNUBUSNUBUCZUTNUBVANUBUCZUCZBVDAUDVDBUDEF
      KNNOPQEUNZFUNZUEOUFKUGABVDRUHVENUBVFNUBUCVBVCAUAUIUJUKULUKUM $.
      $( [9-Aug-1995] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The mapping operation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c ^m $.  $( The mapping operation. $)
  $c ^pm $.  $( The mapping operation. $)

  $( Extend the definition of a class to include the mapping operation.  (Read
     for ` A ^m B ` , "the set of all functions that map from ` B ` to
     ` A ` .) $)
  cmap $a class ^m $.

  $( Extend the definition of a class to include the partial mapping
     operation.  (Read for ` A ^m B ` , "the set of all partial functions that
     map from ` B ` to ` A ` .) $)
  cpm $a class ^pm $.

  ${
    $d x y f $.
    $( Define the mapping operation or set exponentiation.  The set of all
       functions that map from ` B ` to ` A ` is written ` ( A ^m B ) ` (see
       ~ mapval ).  Many authors write ` A ` followed by ` B ` as a superscript
       for this operation and rely on context to avoid confusion other
       exponentiation operations (e.g.  Definition 10.42 of [TakeutiZaring]
       p. 95).  Other authors show ` B ` as a prefixed superscript, which is
       read " ` A ` pre ` B ` " (e.g. definition of [Enderton] p. 52).
       Definition 8.21 of [Eisenberg] p. 125 uses the notation Map( ` B ` ,
       ` A ` ) for our ` ( A ^m B ) ` .  The up-arrow is used by Donald Knuth
       for iterated exponentiation (_Science_ 194, 1235-1242, 1976).  We adopt
       the first case of his notation (simple exponentiation) and subscript it
       with _m_ to distinguish it from other kinds of exponentiation. $)
    df-map $a |- ^m = ( x e. _V , y e. _V |-> { f | f : y --> x } ) $.

    $( Define the partial mapping operation.  A partial function from ` B ` to
       ` A ` is a function from a subset of ` B ` to ` A ` .  The set of all
       partial functions from ` B ` to ` A ` is written ` ( A ^pm B ) ` (see
       ~ pmvalg ).  A notation for this operation apparently does not appear in
       the literature.  We use ` ^pm ` to distinguish it from the less general
       set exponentiation operation ` ^m ` ( ~ df-map ) .  See ~ mapsspm for
       its relationship to set exponentiation. $)
    df-pm $a |- ^pm = ( x e. _V , y e. _V |->
                    { f e. ~P ( y X. x ) | Fun f } ) $.
  $}

  $( Note:  an alternate way to express partial functions is as follows,
     which would be added after df-fun above.  The symbol would be _pfun.gif.
     This definition would be needed only if we need proper class partial
     functions, which seems unlikely.  While nice-looking, for ordinary usage
     it would inconveniently require a new set of equality theorems, etc. $)
  $( Define a partial function, which is a function from a subset of the
     domain ` A ` to the codomain ` B ` .  The notation of a stroke through
     the arrow is used by the Z language: see, for example,
     ~ http://staff.washington.edu/jon/z/dcs.html . $)
  $(
  df-fp $a |- ( F : A -|-> B <-> ( Fun F /\ F C_ ( X X. Y ) ) $.
  $)

  ${
    $d A f $.  $d B f $.  $d B x $.  $d f x $.
    mapexi.1 $e |- A e. _V $.
    mapexi.2 $e |- B e. _V $.
    $( The class of all functions mapping one set to another is a set.  Remark
       after Definition 10.24 of [Kunen] p. 31. $)
    mapexi $p |- { f | f : A --> B } e. _V $=
      ( vx cfuns c1st cimage ccnv cima cin c2nd cv wcel wceq wbr bitri 3bitr4i
      wa csn cpw wf cab cvv wfun cdm crn wss vex elfuns cop elimasn df-br brcnv
      elin brimage dfdm4 eqeq2i eqcom 3bitr2i anbi12i dfrn5 rexbii elima risset
      wrex rnex elpw wfn df-f df-fn anbi1i abbi2i funsex 1stex cnvex snex imaex
      imageex inex 2ndex pwex eqeltrri ) GHIZJZAUAZKZLZMIZJZBUBZKZLZABCNZUCZCUD
      UEWPCWNWOWIOZWOWMOZTWOUFZWOUGZAPZTZWOUHZBUIZTZWOWNOWPWQXBWRXDWQWOGOZWOWHO
      ZTXBWOGWHUPXFWSXGXAWOCUJZUKXGAWOULWFOAWOWFQZXAWFAWOUMAWOWFUNXIWOAWEQZXAAW
      OWEUOXJAHWOKZPAWTPXAWOAHXHDUQWTXKAWOURUSAWTUTVARVAVBRWRXCWLOZXDFNZWOWKQZF
      WLVGXMXCPZFWLVGWRXLXNXOFWLWOXMWJQXMMWOKZPXNXOWOXMMXHFUJUQXMWOWJUOXCXPXMWO
      VCUSSVDFWOWKWLVEFXCWLVFSXCBWOXHVHVIRVBWOWIWMUPWPWOAVJZXDTXEABWOVKXQXBXDWO
      AVLVMRSVNWIWMGWHVOWFWGWEHVPVTVQAVRVSWAWKWLWJMWBVTVQBEWCVSWAWD $.
      $( [25-Feb-2015] $)
  $}


  ${
    $d f x A $.  $d f x B $.
    $( When ` A ` is a proper class, the class of all functions mapping ` A `
       to ` B ` is empty.  Exercise 4.41 of [Mendelson] p. 255. $)
    mapprc $p |- ( -. A e. _V -> { f | f : A --> B } = (/) ) $=
      ( cvv wcel cv wf cab c0 wne wex abn0 cdm fdm dmex syl6eqelr exlimiv sylbi
      vex necon1bi ) ADEZABCFZGZCHZIUDIJUCCKUAUCCLUCUACUCAUBMDABUBNUBCSOPQRT $.
      $( [8-Dec-2003] $)

    $( The class of all partial functions from one set to another is a set. $)
    pmex $p |- ( ( A e. C /\ B e. D ) ->
                   { f | ( Fun f /\ f C_ ( A X. B ) ) } e. _V ) $=
      ( wcel wa wfun cxp wss cab cfuns cpw cin cvv df-funs df-pw ineq12i inab
      cv eqtr2i xpexg pwexg funsex inexg mpan 3syl syl5eqel ) ACFBDFGZETZHZUJAB
      IZJZGEKZLULMZNZOUPUKEKZUMEKZNUNLUQUOUREPEULQRUKUMESUAUIULOFUOOFZUPOFZABCD
      UBULOUCLOFUSUTUDLUOOOUEUFUGUH $.
      $( [15-Nov-2007] $)

    $d A a $.  $d a b $.  $d A b $.  $d a f $.  $d B b $.  $d b f $.
    $( The class of all functions mapping one set to another is a set.  Remark
       after Definition 10.24 of [Kunen] p. 31. $)
    mapex $p |- ( ( A e. C /\ B e. D ) -> { f | f : A --> B } e. _V ) $=
      ( va vb cv cab cvv wcel wceq feq2 abbidv eleq1d feq3 vex mapexi vtocl2g
      wf ) FHZGHZEHZTZEIZJKAUBUCTZEIZJKABUCTZEIZJKFGABCDUAALZUEUGJUJUDUFEUAAUBU
      CMNOUBBLZUGUIJUKUFUHEUBBAUCPNOUAUBEFQGQRS $.
      $( [25-Feb-2015] $)
  $}

  ${
    $d f x y z $.
    $( Set exponentiation has a universal domain. $)
    fnmap $p |- ^m Fn ( _V X. _V ) $=
      ( vz vy vx vf cmap cvv cxp wfn cv cab wceq copab2 wfun cdm funoprab copab
      wf moeq wcel vex wex mapexi isseti pm3.2i 2th opabbii dmoprab df-xp df-fn
      wa 3eqtr4i mpbir2an cmpt2 df-map mpt2v eqtri fneq1i mpbir ) EFFGZHAIBIZCI
      ZDIQDJZKZCBALZUSHZVEVDMVDNZUSKVCCBAAVBROVCAUAZCBPVAFSZUTFSZUJZCBPVFUSVGVJ
      CBVGVJAVBUTVADBTZCTZUBUCVHVIVLVKUDUEUFVCCBAUGCBFFUHUKVDUSUIULUSEVDECBFFVB
      UMVDCBDUNCBAVBUOUPUQUR $.
      $( [8-Sep-2013] $) $( [8-Dec-2003] $)

    $( Partial function exponentiation has a universal domain. $)
    fnpm $p |- ^pm Fn ( _V X. _V ) $=
      ( vz vf vy vx cpm cvv cxp wfn cv wfun cpw crab wceq copab2 cdm copab wcel
      cfuns cin vex moeq funoprab wex wa dfrab2 df-funs ineq1i eqtr4i xpex pwex
      cab funsex inex eqeltri isseti pm3.2i opabbii dmoprab df-xp 3eqtr4i df-fn
      2th mpbir2an cmpt2 df-pm mpt2v eqtri fneq1i mpbir ) EFFGZHAIBIJZBCIZDIZGZ
      KZLZMZDCANZVJHZVSVRJVROZVJMVQDCAAVPUAUBVQAUCZDCPVMFQZVLFQZUDZDCPVTVJWAWDD
      CWAWDAVPVPRVOSZFVPVKBUKZVOSWEVKBVOUERWFVOBUFUGUHRVOULVNVLVMCTZDTZUIUJUMUN
      UOWBWCWHWGUPVBUQVQDCAURDCFFUSUTVRVJVAVCVJEVREDCFFVPVDVRDCBVEDCAVPVFVGVHVI
      $.
      $( [14-Nov-2013] $)
  $}

  ${
    $d x y f A $.  $d x y f B $.
    $( The value of set exponentiation. ` ( A ^m B ) ` is the set of all
       functions that map from ` B ` to ` A ` .  Definition 10.24 of [Kunen]
       p. 24. $)
    mapvalg $p |- ( ( A e. C /\ B e. D ) ->
                  ( A ^m B ) = { f | f : B --> A } ) $=
      ( vx vy wcel wa cv wf cab cvv cmap co wceq mapex ancoms elex abbidv feq3
      wi feq2 df-map ovmpt2g 3expia syl2an mpd ) ACHZBDHZIBAEJZKZELZMHZABNOUMPZ
      UJUIUNBADCEQRUIAMHZBMHZUNUOUBUJACSBDSUPUQUNUOFGABMMGJZFJZUKKZELUMNURAUKKZ
      ELMUSAPUTVAEUSAURUKUATURBPVAULEURBAUKUCTFGEUDUEUFUGUH $.
      $( [8-Sep-2013] $) $( [8-Dec-2003] $)

    $( The value of the partial mapping operation. ` ( A ^pm B ) ` is the set
       of all partial functions that map from ` B ` to ` A ` . $)
    pmvalg $p |- ( ( A e. C /\ B e. D ) ->
                  ( A ^pm B ) = { f e. ~P ( B X. A ) | Fun f } ) $=
      ( vx vy wcel cvv cpm cv cxp cpw crab wceq elex wa cab pweqd biidd co wfun
      wss df-rab ancom df-pw abeq2i anbi2i bitri abbii eqtri syl5eqel rabeqbidv
      pmex ancoms xpeq2 xpeq1 df-pm ovmpt2g mpd3an3 syl2an ) ACHAIHZBIHZABJUAEK
      ZUBZEBALZMZNZOZBDHACPBDPVBVCVHIHVIVBVCQVHVEVDVFUCZQZERZIVHVDVGHZVEQZERVLV
      EEVGUDVNVKEVNVEVMQVKVMVEUEVMVJVEVJEVGEVFUFUGUHUIUJUKVCVBVLIHBAIIEUNUOULFG
      ABIIVEEGKZFKZLZMZNVHJVEEVOALZMZNIVPAOZVEVEEVRVTWAVQVSVPAVOUPSWAVETUMVOBOZ
      VEVEEVTVGWBVSVFVOBAUQSWBVETUMFGEURUSUTVA $.
      $( [8-Sep-2013] $) $( [15-Nov-2007] $)
  $}

  ${
    $d f A $.  $d f B $.
    mapval.1 $e |- A e. _V $.
    mapval.2 $e |- B e. _V $.
    $( The value of set exponentiation (inference version). ` ( A ^m B ) ` is
       the set of all functions that map from ` B ` to ` A ` .  Definition
       10.24 of [Kunen] p. 24. $)
    mapval $p |- ( A ^m B ) = { f | f : B --> A } $=
      ( cvv wcel cmap co cv wf cab wceq mapvalg mp2an ) AFGBFGABHIBACJKCLMDEABF
      FCNO $.
      $( [8-Dec-2003] $)
  $}

  ${
    $d g A $.  $d g B $.  $d g C $.
    $( Membership relation for set exponentiation. $)
    elmapg $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
                  ( C e. ( A ^m B ) <-> C : B --> A ) ) $=
      ( vg wcel w3a cmap co cv wf cab wb wa mapvalg eleq2d 3adant3 feq1 elabg
      3ad2ant3 bitrd ) ADHZBEHZCFHZICABJKZHZCBAGLZMZGNZHZBACMZUDUEUHULOUFUDUEPU
      GUKCABDEGQRSUFUDULUMOUEUJUMGCFBAUICTUAUBUC $.
      $( [17-Oct-2006] $)

    $( The predicate "is a partial function." $)
    elpmg $p |- ( ( A e. V /\ B e. W /\ C e. X ) ->
                  ( C e. ( A ^pm B ) <-> ( Fun C /\ C C_ ( B X. A ) ) ) ) $=
      ( vg wcel w3a cpm co cxp cpw wfun wa wss wb cv crab syl6bb pmvalg 3adant3
      eleq2d funeq elrab elpwg anbi1d ancom 3ad2ant3 bitrd ) ADHZBEHZCFHZICABJK
      ZHZCBALZMZHZCNZOZUSCUPPZOZUKULUOUTQUMUKULOZUOCGRZNZGUQSZHUTVCUNVFCABDEGUA
      UCVEUSGCUQVDCUDUETUBUMUKUTVBQULUMUTVAUSOVBUMURVAUSCUPFUFUGVAUSUHTUIUJ $.
      $( [14-Nov-2013] $)

    $( The predicate "is a partial function." $)
    elpm2g $p |- ( ( A e. V /\ B e. W /\ F e. X ) ->
                ( F e. ( A ^pm B ) <-> ( F : dom F --> A /\ dom F C_ B ) ) ) $=
      ( wcel w3a cpm co wfun cxp wss wa cdm wf elpmg funssxp syl6bb ) ADGBEGCFG
      HCABIJGCKCBALMNCOZACPTBMNABCDEFQBACRS $.
      $( [31-Dec-2013] $)

    $( A partial function is a function.  (Contributed by Mario Carneiro,
       30-Jan-2014.) $)
    pmfun $p |- ( F e. ( A ^pm B ) -> Fun F ) $=
      ( cpm co wcel wfun cxp wss wa cvv wb elovex1 elovex2 id elpmg syl3anc ibi
      simpld ) CABDEZFZCGZCBAHIZUAUBUCJZUAAKFBKFUAUAUDLCABDMCABDNUAOABCKKTPQRS
      $.
      $( [30-Jan-2014] $)
  $}

  $( A mapping is a function, forward direction only with antecedents
     removed. $)
  elmapi $p |- ( A e. ( B ^m C ) -> A : C --> B ) $=
    ( cmap co wcel wf cvv wb elovex1 elovex2 id elmapg syl3anc ibi ) ABCDEZFZCB
    AGZQBHFCHFQQRIABCDJABCDKQLBCAHHPMNO $.
    $( [25-Feb-2015] $)

  ${
    $d g A $.  $d f g B $.  $d g F $.
    elmap.1 $e |- A e. _V $.
    elmap.2 $e |- B e. _V $.
    elmap.3 $e |- F e. _V $.
    $( Membership relation for set exponentiation. $)
    elmap $p |- ( F e. ( A ^m B ) <-> F : B --> A ) $=
      ( cvv wcel cmap co wf wb elmapg mp3an ) AGHBGHCGHCABIJHBACKLDEFABCGGGMN
      $.
      $( [8-Dec-2003] $)

    $( Alternate expression for the value of set exponentiation. $)
    mapval2 $p |- ( A ^m B ) = ( ~P ( B X. A ) i^i { f | f Fn B } ) $=
      ( vg cmap co cxp cpw cv wfn cab cin wf wa wcel bitri wss dff2 ancom elmap
      vex elin elpw fneq1 elab anbi12i 3bitr4i eqriv ) HABIJZBAKZLZCMZBNZCOZPZB
      AHMZQZUTUNUAZUTBNZRZUTUMSUTUSSZVAVCVBRVDBAUTUBVCVBUCTABUTEFHUEZUDVEUTUOSZ
      UTURSZRVDUTUOURUFVGVBVHVCUTUNVFUGUQVCCUTVFBUPUTUHUIUJTUKUL $.
      $( [3-Nov-2007] $)

    $( The predicate "is a partial function." $)
    elpm $p |- ( F e. ( A ^pm B ) <-> ( Fun F /\ F C_ ( B X. A ) ) ) $=
      ( cvv wcel cpm co wfun cxp wss wa wb elpmg mp3an ) AGHBGHCGHCABIJHCKCBALM
      NODEFABCGGGPQ $.
      $( [14-Nov-2013] $) $( [15-Nov-2007] $)

    $( The predicate "is a partial function." $)
    elpm2 $p |- ( F e. ( A ^pm B ) <-> ( F : dom F --> A /\ dom F C_ B ) ) $=
      ( cvv wcel cpm co cdm wf wss wa wb elpm2g mp3an ) AGHBGHCGHCABIJHCKZACLRB
      MNODEFABCGGGPQ $.
      $( [31-Dec-2013] $) $( [15-Nov-2007] $)
  $}

  ${
    $d A x f $.  $d B x f $.
    $( Set exponentiation is a subset of partial maps. $)
    mapsspm $p |- ( A ^m B ) C_ ( A ^pm B ) $=
      ( vx vf cmap co cpm wss c0 wceq 0ss sseq1 mpbiri wne cvv wcel wa wex cab
      cv n0 elovex12 exlimiv sylbi wfun cxp cpw crab fssxp vex elpw sylibr ffun
      wf jca ss2abi df-rab sseqtr4i a1i mapvalg pmvalg 3sstr4d syl pm2.61ine )
      ABEFZABGFZHZVEIVEIJVGIVFHVFKVEIVFLMVEINZAOPBOPQZVGVHCTZVEPZCRVICVEUAVKVIC
      VJABEUBUCUDVIBADTZUNZDSZVLUEZDBAUFZUGZUHZVEVFVNVRHVIVNVLVQPZVOQZDSVRVMVTD
      VMVSVOVMVLVPHVSBAVLUIVLVPDUJUKULBAVLUMUOUPVODVQUQURUSABOODUTABOODVAVBVCVD
      $.
      $( [15-Nov-2007] $)
  $}

  ${
    $d x f A $.  $d x f B $.
    $( Set exponentiation is a subset of the power set of the cross product of
       its arguments. $)
    mapsspw $p |- ( A ^m B ) C_ ~P ( B X. A ) $=
      ( vx vf cmap co cxp cpw wss c0 wceq 0ss sseq1 mpbiri wne cvv wcel wa wex
      cv n0 elovex12 exlimiv sylbi wf cab fssxp vex sylibr abssi mapvalg sseq1d
      elpw syl pm2.61ine ) ABEFZBAGZHZIZUPJUPJKUSJURIURLUPJURMNUPJOZAPQBPQRZUSU
      TCTZUPQZCSVACUPUAVCVACVBABEUBUCUDVAUSBADTZUEZDUFZURIVEDURVEVDUQIVDURQBAVD
      UGVDUQDUHUMUIUJVAUPVFURABPPDUKULNUNUO $.
      $( [8-Dec-2006] $)
  $}

  ${
    $d f A $.
    map0e.1 $e |- A e. _V $.
    $( Set exponentiation with an empty exponent is the unit class of the empty
       set. $)
    map0e $p |- ( A ^m (/) ) = { (/) } $=
      ( vf c0 cv wf cab wceq cmap co csn wfn crn wss fn0 anbi1i df-f 0ss rneq
      wa rn0 syl6eq sseq1d mpbiri pm4.71i 3bitr4i abbii mapval df-sn 3eqtr4i
      0ex ) DACEZFZCGULDHZCGADIJDKUMUNCULDLZULMZANZTUNUQTUMUNUOUNUQULOPDAULQUNU
      QUNUQDANARUNUPDAUNUPDMDULDSUAUBUCUDUEUFUGADCBUKUHCDUIUJ $.
      $( [10-Dec-2003] $)

    $( Set exponentiation with an empty base is the empty set, provided the
       exponent is non-empty.  Theorem 96 of [Suppes] p. 89. $)
    map0b $p |- ( A =/= (/) -> ( (/) ^m A ) = (/) ) $=
      ( vf c0 wne cmap co cv cab 0ex mapval wex wceq abn0 cdm fdm crn wss frn
      wf ss0 syl dm0rn0 sylibr eqtr3d exlimiv sylbi necon1i syl5eq ) ADEDAFGADC
      HZTZCIZDDACJBKULDADULDEUKCLADMZUKCNUKUMCUKUJOZADADUJPUKUJQZDMZUNDMUKUODRU
      PADUJSUOUAUBUJUCUDUEUFUGUHUI $.
      $( [19-Mar-2007] $) $( [10-Dec-2003] $)
  $}

  ${
    $d f x y A $.  $d f x y B $.
    map0.1 $e |- A e. _V $.
    map0.2 $e |- B e. _V $.
    $( Set exponentiation is empty iff the base is empty and the exponent is
       not empty.  Theorem 97 of [Suppes] p. 89. $)
    map0 $p |- ( ( A ^m B ) = (/) <-> ( A = (/) /\ B =/= (/) ) ) $=
      ( vf vx cmap co c0 wceq wne wa cv wf cab mapval eqeq1i wcel wex csn snssi
      wss cxp vex fconst fss mpan snex xpex feq1 cla4ev 3syl exlimiv n0 3imtr4i
      abn0 necon4i sylbi map0e 0ex snid ne0i ax-mp eqnetri oveq2 neeq1d necon2i
      mpbiri jca oveq1 map0b sylan9eq impbii ) ABGHZIJZAIJZBIKZLVOVPVQVOBAEMZNZ
      EOZIJVPVNVTIABECDPQAIVTIFMZARZFSVSESZAIKVTIKWBWCFWBWATZAUBZBABWDUCZNZWCWA
      AUABWDWFNWEWGBWAFUDUEBWDAWFUFUGVSWGEWFBWDDWAUHUIBAVRWFUJUKULUMFAUNVSEUPUO
      UQURBIVNIBIJZVNIKAIGHZIKWIITZIACUSIWJRWJIKIUTVAWJIVBVCVDWHVNWIIBIAGVEVFVH
      VGVIVPVQVNIBGHIAIBGVJBDVKVLVM $.
      $( [17-May-2007] $) $( [10-Dec-2003] $)

    $( The value of set exponentiation with a singleton exponent.  Theorem 98
       of [Suppes] p. 89. $)
    mapsn $p |- ( A ^m { B } ) = { f | E. y e. A f = { <. B , y >. } } $=
      ( csn cmap co cv wf cab cop wceq wrex wcel wex cima wss syl5ibcom snex wa
      mapval crn wbr weu wfn ffn sylancl euabsn cdm imadmrn fdm imaeq2d syl5eqr
      snid fneu imasn syl6req eqeq1d exbidv syl5bb mpbid frn sseq1 snss syl6bbr
      vex wfo dffn4 sylib fof syl feq3 fsn syl6ib jcad eximdv mpd df-rex sylibr
      wf1o f1osn f1of ax-mp feq1 mpbiri snssi fss syl2an expcom rexlimiv impbii
      abbii eqtri ) BCGZHIWPBDJZKZDLWQCAJZMGZNZABOZDLBWPDECUAUCWRXBDWRXBWRWSBPZ
      XAUBZAQZXBWRWQUDZWSGZNZAQZXEWRCWSWQUEZAUFZXIWRWQWPUGZCWPPXKWPBWQUHZCFUPAW
      PCWQUQUIXKXJALZXGNZAQWRXIXJAUJWRXOXHAWRXNXFXGWRXFWQWPRZXNWRXFWQWQUKZRXPWQ
      ULWRXQWPWQWPBWQUMUNUOACWQURUSUTVAVBVCWRXHXDAWRXHXCXAWRXFBSZXHXCWPBWQVDXHX
      RXGBSZXCXFXGBVEWSBAVHZVFVGTWRXHWPXGWQKZXAWRWPXFWQKZXHYAWRWPXFWQVIZYBWRXLY
      CXMWPWQVJVKWPXFWQVLVMXFXGWPWQVNTCWSWQFXTVOVPVQVRVSXAABVTWAXAWRABXAXCWRXAY
      AXSWRXCXAYAWPXGWTKZWPXGWTWBYDCWSFXTWCWPXGWTWDWEWPXGWQWTWFWGWSBWHWPXGBWQWI
      WJWKWLWMWNWO $.
      $( [10-Dec-2003] $)
  $}

  ${
    $d f A $.  $d f B $.  $d f C $.
    mapss.1 $e |- A e. _V $.
    mapss.2 $e |- B e. _V $.
    mapss.3 $e |- C e. _V $.
    $( Subset inheritance for set exponentiation.  Theorem 99 of [Suppes]
       p. 89. $)
    mapss $p |- ( A C_ B -> ( A ^m C ) C_ ( B ^m C ) ) $=
      ( vf wss cv wf cab cmap co fss expcom ss2abdv mapval 3sstr4g ) ABHZCAGIZJ
      ZGKCBTJZGKACLMBCLMSUAUBGUASUBCABTNOPACGDFQBCGEFQR $.
      $( [10-Dec-2003] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Equinumerosity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c ~~ $.  $( Equinumerosity relation ("approximately equals" symbol) $)

  $( Extend class definition to include the equinumerosity relation
     ("approximately equals" symbol) $)
  cen $a class ~~ $.

  ${
    $d x y f $.
    $( Define the equinumerosity relation.  Definition of [Enderton] p. 129.
       We define ` ~~ ` to be a binary relation rather than a connective, so
       its arguments must be sets to be meaningful.  This is acceptable because
       we do not consider equinumerosity for proper classes.  We derive the
       usual definition as ~ bren . $)
    df-en $a |- ~~ = { <. x , y >. | E. f f : x -1-1-onto-> y } $.
  $}


  ${
    $d x y f $.  $d x y f $.
    $( Equinumerosity is a relation. $)
    relen $p |- Rel ~~ $=
      ( vx vy vf cv wf1o wex cen df-en relopabi ) ADBDCDECFABGABCHI $.
      $( [28-Mar-1998] $)
  $}

  ${
    $d A f x y $.  $d B f x y $.
    $( Equinumerosity relationship. $)
    bren $p |- ( A ~~ B <-> E. f f : A -1-1-onto-> B ) $=
      ( vx vy cen wbr cvv wcel wa wf1o wex brex cdm crn vex eleq1d wceq exbidv
      cv dmex rnex pm3.2i f1odm wfo f1ofo forn syl anbi12d mpbii exlimiv f1oeq2
      f1oeq3 df-en brabg pm5.21nii ) ABFGAHIZBHIZJZABCTZKZCLZABFMVAUSCVAUTNZHIZ
      UTOZHIZJUSVDVFUTCPZUAUTVGUBUCVAVDUQVFURVAVCAHABUTUDQVAVEBHVAABUTUEVEBRABU
      TUFABUTUGUHQUIUJUKDTZETZUTKZCLAVIUTKZCLVBDEABHHFVHARVJVKCVHAVIUTULSVIBRVK
      VACVIBAUTUMSDECUNUOUP $.
      $( [23-Feb-2015] $)
  $}

  ${
    $d f g x y $.
    $( The equinumerosity relationship is a set. $)
    enex $p |- ~~ e. _V $=
      ( vx vy vf vg cen cvv cfns cswap ccnv ctxp crn cv wex cop wcel wbr wa wfn
      elrn bitri cxp cimage cin wf1o copab df-en brfns wceq df-br trtxp brimage
      cima brcnv dfcnv2 eqeq2i 3bitr4i anbi12i exbii cnvex fneq1 ceqsexv dff1o4
      releqopab eqtr4i vvex xpex fnsex swapex imageex txpex rnex inex eqeltri
      vex ) EFFUAZGHUBZIZGJZKZJZKZUCZFEALZBLZCLZUDZCMZABUEWBABCUFWGABWAWCWDNZWA
      OWEWHVTPZCMWGCWHVTSWIWFCWEWCGPZWEWDVSPZQWEWCRZWEIZWDRZQWIWFWJWLWKWNWCWECV
      NZUGWKDLZWMUHZWPWDRZQZDMZWNWKWEWDNZVSOZWTWEWDVSUIXBWPXAVRPZDMWTDXAVRSXCWS
      DXCWPWEVQPZWPWDGPZQWSWPWEWDVQGUJXDWQXEWRWEWPVPPWPHWEULZUHXDWQWEWPHWODVNZU
      KWPWEVPUMWMXFWPWEUNUOUPWDWPXGUGUQTURTTWRWNDWMWEWOUSWDWPWMUTVATUQWEWCWDGVS
      UJWCWDWEVBUPURTVCVDVOWAFFVEVEVFVTGVSVGVRVQGVPHVHVIUSVGVJVKVJVKVLVM $.
      $( [23-Feb-2015] $)
  $}

  ${
    $d f A $.  $d f B $.  $d f F $.
    $( The domain and range of a one-to-one, onto function are equinumerous. $)
    f1oeng $p |- ( ( F e. C /\ F : A -1-1-onto-> B ) -> A ~~ B ) $=
      ( vf wcel wf1o wa cv wex cen wbr f1oeq1 cla4egv imp bren sylibr ) DCFZABD
      GZHABEIZGZEJZABKLRSUBUASEDCABTDMNOABEPQ $.
      $( [23-Feb-2015] $)
  $}


  ${
    f1oen.1 $e |- F e. _V $.
    $( The domain and range of a one-to-one, onto function are equinumerous. $)
    f1oen $p |- ( F : A -1-1-onto-> B -> A ~~ B ) $=
      ( cvv wcel wf1o cen wbr f1oeng mpan ) CEFABCGABHIDABECJK $.
      $( [19-Jun-1998] $)
  $}

  $( Equinumerosity is reflexive. $)
  enrflxg $p |- ( A e. V -> A ~~ A ) $=
    ( wcel cid cres cvv wf1o cen wbr idex resexg mpan f1oi f1oeng sylancl ) ABC
    ZDAEZFCZAAQGAAHIDFCPRJDAFBKLAMAAFQNO $.
    $( [23-Feb-2015] $)

  ${
    enrflx.1 $e |- A e. _V $.
    $( Equinumerosity is reflexive. $)
    enrflx $p |- A ~~ A $=
      ( cvv wcel cen wbr enrflxg ax-mp ) ACDAAEFBACGH $.
      $( [23-Feb-2015] $)
  $}


  ${
    $d A f g $.  $d B f g $.  $d C f g $.

    $( Equinumerosity is symmetric. $)
    ensymi $p |- ( A ~~ B -> B ~~ A ) $=
      ( vf cen wbr wf1o wex bren ccnv f1ocnv vex cnvex f1oen syl exlimiv sylbi
      cv ) ABDEABCQZFZCGBADEZABCHSTCSBARIZFTABRJBAUARCKLMNOP $.
      $( [23-Feb-2015] $)

    $( Equinumerosity is symmetric. $)
    ensym $p |- ( A ~~ B <-> B ~~ A ) $=
      ( cen wbr ensymi impbii ) ABCDBACDABEBAEF $.
      $( [23-Feb-2015] $)

    $( Equinumerosity is transitive. $)
    entr $p |- ( ( A ~~ B /\ B ~~ C ) -> A ~~ C ) $=
      ( vf vg cen wbr wa cv wf1o wex bren anbi12i eeanv bitr4i f1oco ancoms vex
      ccom coex f1oen syl exlimivv sylbi ) ABFGZBCFGZHZABDIZJZBCEIZJZHZEKDKZACF
      GZUGUIDKZUKEKZHUMUEUOUFUPABDLBCELMUIUKDENOULUNDEULACUJUHSZJZUNUKUIURABCUJ
      UHPQACUQUJUHERDRTUAUBUCUD $.
      $( [23-Feb-2015] $)
  $}

  ${
    $d x y z $.
    $( Equinumerosity is an equivalence relationship over the universe. $)
    ener $p |- ~~ Er _V $=
      ( vx vy vz cen cvv cer wbr wtru wcel enex a1i vvex cv ensymi 3ad2ant3 w3a
      wa entr iserd trud ) DEFGHABCEDEEDEIHJKEEIHLKAMZBMZDGZHUBUADGUAEIZUBEIZQU
      AUBNOUCUBCMZDGQHUAUFDGUDUEUFEIPUAUBUFROST $.
      $( [23-Feb-2015] $)
  $}


  ${
    $d x y $.
    $( Equality implies equinumerosity. $)
    idssen $p |- _I C_ ~~ $=
      ( vx vy cid cen reli cv wbr cop wcel weq vex ideq cvv enrflxg ax-mp breq2
      mpbii sylbi df-br 3imtr3i relssi ) ABCDEAFZBFZCGZUBUCDGZUBUCHZCIUFDIUDABJ
      ZUEUBUCBKLUGUBUBDGZUEUBMIUHAKUBMNOUBUCUBDPQRUBUCCSUBUCDSTUA $.
      $( [30-Apr-1998] $)
  $}

  $( The domain of equinumerosity. $)
  dmen $p |- dom ~~ = _V $=
    ( cvv cen cdm wss wceq cid idssen dmi dmss syl5eqssr ax-mp vss mpbi ) ABCZD
    ZNAEFBDZOGPAFCNHFBIJKNLM $.
    $( [10-May-1998] $)

  ${
    $d f A $.
    $( The empty set is equinumerous only to itself.  Exercise 1 of
       [TakeutiZaring] p. 88. $)
    en0 $p |- ( A ~~ (/) <-> A = (/) ) $=
      ( vf c0 cen wbr wceq cv wf1o wex bren ccnv f1ocnv f1o00 simprbi syl sylbi
      exlimiv 0ex enrflx breq1 mpbiri impbii ) ACDEZACFZUCACBGZHZBIUDACBJUFUDBU
      FCAUEKZHZUDACUELUHUGCFUDAUGMNOQPUDUCCCDECRSACCDTUAUB $.
      $( [27-May-1998] $)
  $}

  ${
    $d x y z a b F $.
    fundmen.1 $e |- F e. _V $.
    $( A function is equinumerous to its domain.  Exercise 4 of [Suppes]
       p. 98. $)
    fundmen $p |- ( Fun F -> dom F ~~ F ) $=
      ( vx vy vz va vb wfun cen wbr c1st wceq cvv cv wa wi wal wcel wex bitr4i
      cdm cres wf1o wfn ccnv crn cxp wss wrel funrel df-rel sylib wb 1stfo fofn
      wfo fnssresb mp2b sylibr weq cop brcnv brres anbi1i 19.41v 3bitri anbi12i
      vex br1st eeanv an4 dffun4 ax467to4 a4s adantl sylbi opeq2 eleq1 bi2anan9
      eqeq12 imbi12d biimprcd imp3a syl syl5bi exlimdvv alrimiv alrimivv relcnv
      syl6 dffun2 mpbiran cima dfdm4 dfima3 eqtr2i dff1o2 syl3anbrc 1stex resex
      a1i f1oen ensym ) AHZAAUAZIJZXEAIJXDAXEKAUBZUCZXFXDXGAUDZXGUEZHZXGUFZXELZ
      XHXDAMMUGZUHZXIXDAUIZXOAUJAUKULXNMKUPKXNUDXIXOUMUNXNMKUOXNAKUQURUSXDCNZDN
      ZXJJZXQENZXJJZOZDEUTZPZEQZDQCQZXKXDYECDXDYDEYBXRXQFNZVAZLZXRARZOZXTXQGNZV
      AZLZXTARZOZOZGSFSZXDYCYBYKFSZYPGSZOYRXSYSYAYTXSXRXQXGJXRXQKJZYJOZYSXQXRXG
      VBXRXQKAVCUUBYIFSZYJOYSUUAUUCYJFXRXQCVHZVIVDYIYJFVETVFYAYNGSZYOOZYTYAXTXQ
      XGJXTXQKJZYOOUUFXQXTXGVBXTXQKAVCUUGUUEYOGXTXQUUDVIVDVFYNYOGVETVGYKYPFGVJT
      XDYQYCFGYQYIYNOZYJYOOZOZXDYCYIYJYNYOVKXDYHARZYMARZOZYHYMLZPZUUJYCPXDUUMFG
      UTZUUNXDXPUUMUUPPZGQZFQZCQZOUUQCFGAVLUUTUUQXPUUSUUQCUURUUQFUUQGVMVNVNVOVP
      YGYLXQVQWJUUOUUHUUIYCUUHUUIYCPUUOUUHUUIUUMYCUUNYIYJUUKYNYOUULXRYHAVRXTYMA
      VRVSXRYHXTYMVTWAWBWCWDWEWFWEWGWHXKXJUIYFXGWICDEXJWKWLUSXMXDXEKAWMXLAWNKAW
      OWPXAAXEXGWQWRAXEXGKAWSBWTXBWDAXEXCUL $.
      $( [23-Feb-2015] $)
  $}


  ${
    $d x A $.  $d x F $.
    $( A function is equinumerous to its domain.  Exercise 4 of [Suppes]
       p. 98. $)
    fundmeng $p |- ( ( F e. V /\ Fun F ) -> dom F ~~ F ) $=
      ( vx wcel wfun cdm cen wbr cv wceq funeq dmeq breq12d imbi12d vex fundmen
      wi id vtoclg imp ) ABDAEZAFZAGHZCIZEZUDFZUDGHZQUAUCQCABUDAJZUEUAUGUCUDAKU
      HUFUBUDAGUDALUHRMNUDCOPST $.
      $( [17-Sep-2013] $)

    $( A relational set is equinumerous to its converse. $)
    cnven $p |- ( ( Rel A /\ A e. V ) -> A ~~ `' A ) $=
      ( wcel cswap cres cvv ccnv wf1o wrel swapex resexg mpan swapresrel f1oeng
      cen wbr syl2anr ) ABCZDAEZFCZAAGZSHAUAOPAIDFCRTJDAFBKLAMAUAFSNQ $.
      $( [28-Dec-2014] $)
  $}

  $( A function is equinumerate to its domain.  (Contributed by Paul Chapman,
     22-Jun-2011.) $)
  fndmeng $p |- ( ( F Fn A /\ F e. C ) -> A ~~ F ) $=
    ( wcel wfn cen wbr wfun wceq wa df-fn fundmeng breq1 syl5ibcom impr sylan2b
    cdm ancoms ) CBDZCAEZACFGZTSCHZCQZAIZJUACAKSUBUDUASUBJUCCFGUDUACBLUCACFMNOP
    R $.
    $( [22-Jun-2011] $)

  ${
    $d x A $.  $d x B $.
    $( Two singletons are equinumerous. $)
    en2sn $p |- ( ( A e. C /\ B e. D ) -> { A } ~~ { B } ) $=
      ( wcel wa csn cop wf1o cen wbr f1osng snex f1oen syl ) ACEBDEFAGZBGZABHZG
      ZIPQJKABCDLPQSRMNO $.
      $( [9-Nov-2003] $)
  $}

  ${
    $d f g h A $.  $d f g h B $.  $d f g h C $.  $d f g h D $.
    $( Equinumerosity of union of disjoint sets.  Theorem 4 of [Suppes]
       p. 92. $)
    unen $p |- ( ( ( A ~~ B /\ C ~~ D ) /\
  ( ( A i^i C ) = (/) /\ ( B i^i D ) = (/) ) ) -> ( A u. C ) ~~ ( B u. D ) ) $=
      ( vf vg vh cv wf1o wa wex cin c0 wceq cun cen wbr wi vex bren unex f1oeq1
      f1oun cla4ev syl ex exlimivv imp anbi12i eeanv bitr4i anbi1i 3imtr4i ) AB
      EHZIZCDFHZIZJZFKEKZACLMNBDLMNJZJACOZBDOZGHZIZGKZABPQZCDPQZJZUTJVAVBPQUSUT
      VEURUTVEREFURUTVEURUTJVAVBUNUPOZIZVEABCDUNUPUCVDVJGVIUNUPESFSUAVAVBVCVIUB
      UDUEUFUGUHVHUSUTVHUOEKZUQFKZJUSVFVKVGVLABETCDFTUIUOUQEFUJUKULVAVBGTUM $.
      $( [11-Jun-1998] $)
  $}


  ${
    $d x y z w A $.  $d x y z w B $.
    xpsnen.1 $e |- A e. _V $.
    xpsnen.2 $e |- B e. _V $.
    $( A set is equinumerous to its cross-product with a singleton.
       Proposition 4.22(c) of [Mendelson] p. 254. $)
    xpsnen $p |- ( A X. { B } ) ~~ A $=
      ( csn cxp cen wbr cdm wcel c0 wne wceq snid ne0i dmxp mp2b wf wfun fconst
      ffun snex xpex fundmen eqbrtrri ensym mpbi ) AABEZFZGHUIAGHUIIZAUIGBUHJUH
      KLUJAMBDNUHBOAUHPQAUHUIRUISUJUIGHABDTAUHUIUAUIAUHCBUBUCUDQUEAUIUFUG $.
      $( [23-Feb-2015] $)
  $}


  ${
    $d x y A $.  $d x y B $.
    $( A set is equinumerous to its cross-product with a singleton.
       Proposition 4.22(c) of [Mendelson] p. 254. $)
    xpsneng $p |- ( ( A e. V /\ B e. W ) -> ( A X. { B } ) ~~ A ) $=
      ( vx vy cv csn cxp cen wbr wceq xpeq1 id breq12d xpeq2d breq1d vex xpsnen
      sneq vtocl2g ) EGZFGZHZIZUBJKAUDIZAJKABHZIZAJKEFABCDUBALZUEUFUBAJUBAUDMUI
      NOUCBLZUFUHAJUJUDUGAUCBTPQUBUCERFRSUA $.
      $( [22-Oct-2004] $)
  $}


  ${
    $d x y A $.  $d x y B $.
    endisj.1 $e |- A e. _V $.
    endisj.2 $e |- B e. _V $.
    $( Any two sets are equinumerous to disjoint sets.  Exercise 4.39 of
       [Mendelson] p. 255. $)
    endisj $p |- E. x E. y ( ( x ~~ A /\ y ~~ B ) /\ ( x i^i y ) = (/) ) $=
      ( c0 csn cxp cen wbr wa cin wceq cv wex 0ex xpsnen snex xpex ccompl breq1
      complex pm3.2i necompl xpnedisj bi2anan9 ineq12 eqeq1d anbi12d cla42ev
      mp2an ) CGUAZHZIZCJKZDGHZIZDJKZLZUOURMZGNZAOZCJKZBOZDJKZLZVCVEMZGNZLZBPAP
      UPUSCUMEGQUCZRDGFQRUDCDUMGVKGUEUFVJUTVBLABUOURCUNEUMSTDUQFGSTVCUONZVEURNZ
      LZVGUTVIVBVLVDUPVMVFUSVCUOCJUBVEURDJUBUGVNVHVAGVCUOVEURUHUIUJUKUL $.
      $( [16-Apr-2004] $)
  $}


  ${
    xpcomen.1 $e |- A e. _V $.
    xpcomen.2 $e |- B e. _V $.
    $( Commutative law for equinumerosity of cross product.  Proposition
       4.22(d) of [Mendelson] p. 254. $)
    xpcomen $p |- ( A X. B ) ~~ ( B X. A ) $=
      ( cxp cswap cres wf1o cen wbr ccnv wrel relxp swapresrel ax-mp wceq cnvxp
      wb f1oeq3 mpbi swapex xpex resex f1oen ) ABEZBAEZFUEGZHZUEUFIJUEUEKZUGHZU
      HUELUJABMUENOUIUFPUJUHRABQUIUFUEUGSOTUEUFUGFUEUAABCDUBUCUDO $.
      $( [23-Apr-2014] $) $( [5-Jan-2004] $)
  $}

  ${
    $d x y A $.  $d y B $.
    $( Commutative law for equinumerosity of cross product.  Proposition
       4.22(d) of [Mendelson] p. 254. $)
    xpcomeng $p |- ( ( A e. V /\ B e. W ) -> ( A X. B ) ~~ ( B X. A ) ) $=
      ( vx vy cv cxp cen wbr wceq xpeq1 xpeq2 breq12d vex xpcomen vtocl2g ) EGZ
      FGZHZSRHZIJASHZSAHZIJABHZBAHZIJEFABCDRAKTUBUAUCIRASLRASMNSBKUBUDUCUEISBAM
      SBALNRSEOFOPQ $.
      $( [27-Mar-2006] $)
  $}

  $( A set is equinumerous to its cross-product with a singleton on the left.
     (Contributed by Stefan O'Rear, 21-Nov-2014.) $)
  xpsnen2g $p |- ( ( A e. V /\ B e. W ) -> ( { A } X. B ) ~~ B ) $=
    ( wcel wa csn cxp cen wbr cvv snex xpcomeng mpan adantl xpsneng ancoms entr
    syl2anc ) ACEZBDEZFAGZBHZBUBHZIJZUDBIJZUCBIJUAUETUBKEUAUEALUBBKDMNOUATUFBAD
    CPQUCUDBRS $.
    $( [21-Nov-2014] $)


  ${
    $d A f $.  $d A g $.  $d B f $.  $d B g $.  $d C f $.  $d C g $.  $d D f $.
    $d D g $.  $d f g $.
    $( Equinumerosity law for cross product.  Proposition 4.22(b) of
       [Mendelson] p. 254.  (Revised by Mario Carneiro, 9-Mar-2013.) $)
    xpen $p |- ( ( A ~~ B /\ C ~~ D ) -> ( A X. C ) ~~ ( B X. D ) ) $=
      ( vf vg cen wbr wa wf1o wex cxp bren anbi12i eeanv bitr4i cpprod f1opprod
      cv vex pprodex f1oen syl exlimivv sylbi ) ABGHZCDGHZIZABESZJZCDFSZJZIZFKE
      KZACLZBDLZGHZUHUJEKZULFKZIUNUFURUGUSABEMCDFMNUJULEFOPUMUQEFUMUOUPUIUKQZJU
      QACBDUIUKRUOUPUTUIUKETFTUAUBUCUDUE $.
      $( [9-Mar-2013] $) $( [24-Jul-2004] $)
  $}


  ${
    $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d A c $.  $d a t $.  $d A t $.
    $d a u $.  $d A u $.  $d a x $.  $d A x $.  $d a y $.  $d B a $.  $d B b $.
    $d b c $.  $d B c $.  $d b t $.  $d B t $.  $d b u $.  $d B u $.  $d b x $.
    $d B x $.  $d b y $.  $d C a $.  $d C b $.  $d C c $.  $d c t $.  $d C t $.
    $d c u $.  $d C u $.  $d c x $.  $d C x $.  $d c y $.  $d t u $.  $d t x $.
    $d u x $.  $d u y $.  $d x y $.  $d x z $.  $d y z $.  $d a d $.  $d a p $.
    $d a q $.  $d a v $.  $d a z $.  $d b d $.  $d b p $.  $d b q $.  $d b v $.
    $d b z $.  $d c d $.  $d c z $.  $d d x $.  $d d y $.  $d d z $.  $d p q $.
    $d p t $.  $d p u $.  $d p v $.  $d p x $.  $d p y $.  $d p z $.  $d q t $.
    $d q u $.  $d q v $.  $d q x $.  $d q y $.  $d q z $.  $d t v $.  $d t z $.
    $d u v $.  $d u z $.  $d v x $.  $d v y $.  $d v z $.
    xpassen.1 $e |- A e. _V $.
    xpassen.2 $e |- B e. _V $.
    xpassen.3 $e |- C e. _V $.
    $( Associative law for equinumerosity of cross product.  Proposition
       4.22(e) of [Mendelson] p. 254. $)
    xpassen $p |- ( ( A X. B ) X. C ) ~~ ( A X. ( B X. C ) ) $=
      ( vx vy vt vu va c1st c2nd wbr cvv wceq cop wex wa weq vz vb vc vd vv cxp
      vq vp ccom ctxp cres wf1o cen cima wf1 wss wf cv wmo wal wfn cin wfun cdm
      wfo 1stfo fofun ax-mp funco mp2an ccnv dmco fof fdm mp2b imaeq2i wrex vex
      wcel br1st brcnv rexv 3bitr4i rexbii elima elxp2 eqriv 3eqtri df-fn 2ndfo
      mpbir2an fofn fntxp xpss df-ss mpbi ineq2i wi brtxp anbi12i ee4anv bitr4i
      w3a 3anass eqtr2 opth bitri sylib breq2 bi2anan9 brco eeanv exbii exancom
      exrot3 opex opeq1 eqeq2d ceqsexv 2exbii 3bitri 3anrot brco1st equcom biid
      opbr2nd 3anbi123i opeq2 ceqsex2v breq1 exlimivv imp an4s rexxp 1stex coex
      syl2anb 2ndex txpex xpex inidm eqtri fneq2i dffn2 eqcom anbi2d adantr syl
      simpr opeq12d eqeq12 imbi12d mpbiri sylanb syl6bi sylan sylbi gen2 ax-gen
      mo4 mpbir dff12 ssv xpss12 f1ores wb breq1d rexbidv opbr1st 2rexbii resex
      f1oeq3 f1oen ) ABUFZCUFZABCUFZUFZLLUIZMLUIZMUJZUJZUVOUKZULZUVOUVQUMNUVOUW
      AUVOUNZUWBULZUWCOOUFZOUFZOUWAUOZUVOUWGUPZUWEUWHUWGOUWAUQZGURZHURZUWANZGUS
      ZHUTUWAUWGVAZUWJUWAUWGUWGUWFVBZVBZVAZUWOUVRUWGVAZUVTUWPVAZUWRUWSUVRVCZUVR
      VDZUWGPLVCZUXCUXAUWFOLVEZUXCVFUWFOLVGVHZUXELLVIVJUXBLVKZLVDZUNUXFUWFUNZUW
      GLLVLUXGUWFUXFUXDUWFOLUQUXGUWFPVFUWFOLVMUWFOLVNVOVPGUXHUWGIURZUWKUXFNZIUW
      FVQUWKUXIJURZQZPZJOVQZIUWFVQUWKUXHVSUWKUWGVSUXJUXNIUWFUWKUXILNZUXMJRUXJUX
      NJUWKUXIIVRZVTUXIUWKLWAUXMJWBWCWDIUWKUXFUWFWEIJUWKUWFOWFWCWGZWHUVRUWGWIWK
      UVSUWGVAZMUWFVAZUWTUXRUVSVCZUVSVDZUWGPMVCZUXCUXTUWFOMVEZUYBWJUWFOMVGVHUXE
      MLVIVJUYAUXFMVDZUNUXHUWGMLVLUYDUWFUXFUYCUWFOMUQUYDUWFPWJUWFOMVMUWFOMVNVOV
      PUXQWHUVSUWGWIWKUYCUXSWJUWFOMWLVHUWGUWFUVSMWMVJUWGUWPUVRUVTWMVJUWQUWGUWAU
      WQUWGUWGVBUWGUWPUWGUWGUWGUWFUPUWPUWGPUWFOWNUWGUWFWOWPWQUWGUUAUUBUUCWPUWGU
      WAUUDWPUWNHUWNUWMUAURZUWLUWANZSZGUATZWRZUAUTGUTUYIGUAUYGUWLKURZUBURZQZPZU
      WKUYJUVRNZUWKUYKUVTNZXCZUWLUCURZUDURZQZPZUYEUYQUVRNZUYEUYRUVTNZXCZSZUDRUC
      RZUBRKRZUYHUYGUYPUBRKRZVUCUDRUCRZSVUFUWMVUGUYFVUHKUBUWKUWLUVRUVTWSUCUDUYE
      UWLUVRUVTWSWTUYPVUCKUBUCUDXAXBVUEUYHKUBVUDUYHUCUDUYPUYMUYNUYOSZSUYTVUAVUB
      SZSUYHVUCUYMUYNUYOXDUYTVUAVUBXDUYMUYTVUIVUJUYHUYMUYTSZUCKTZUDUBTZSZVUIVUJ
      SZUYHVUKUYLUYSPZVUNUWLUYLUYSXEVUPUYSUYLPVUNUYLUYSUUEUYQUYRUYJUYKXFXGXHVUN
      VUOUYHVUNVUOVUIUYEUYJUVRNZUYEUYKUVTNZSZSUYHVUNVUJVUSVUIVULVUAVUQVUMVUBVUR
      UYQUYJUYEUVRXIUYRUYKUYEUVTXIXJUUFUYNVUQUYOVURUYHUYNVUQSZUWKUYJUXKQZUEURZQ
      ZPZUYEUYJUGURZQZUHURZQZPZSZUGRUHRZJRUERZUYOVURSZUYHVUTVVDJRUERZVVIUGRUHRZ
      SVVLUYNVVNVUQVVOUYNUXOUXIUYJLNZSZIRUWKUXIVVBQZPZUXIVVAPZSZJRUERZIRZVVNIUW
      KUYJLLXKVVQVWBIVVQVVSUERZVVTJRZSVWBUXOVWDVVPVWEUEUWKUXIUXPVTJUXIUYJKVRZVT
      WTVVSVVTUEJXLXBXMVWCVWAIRZJRUERVVNVWAIUEJXOVWGVVDUEJVWGVVTVVSSIRVVDVVSVVT
      IXNVVSVVDIVVAUYJUXKVWFJVRZXPZVVTVVRVVCUWKUXIVVAVVBXQXRXSXGXTXGYAVUQUYEUXI
      LNZVVPSZIRZUYEUXIVVGQZPZUXIVVFPZSZIRZUGRUHRZVVOIUYEUYJLLXKVWLVWPUGRUHRZIR
      VWRVWKVWSIVWKVWNUHRZVWOUGRZSVWSVWJVWTVVPVXAUHUYEUXIUXPVTUGUXIUYJVWFVTWTVW
      NVWOUHUGXLXBXMVWPIUHUGXOXGVWQVVIUHUGVWQVWOVWNSIRVVIVWNVWOIXNVWNVVIIVVFUYJ
      VVEVWFUGVRZXPZVWOVWMVVHUYEUXIVVFVVGXQXRXSXGXTYAWTVVDVVIUEJUHUGXAXBVVLVVMU
      YHVVKVVMUYHWRZUEJVVJVXDUHUGVVJVXDVVCUYKUVTNZVVHUYKUVTNZSZVVCVVHPZWRVXEUYK
      UXKVVBQZPZUYKVVEVVGQZPZVXHVXFVXEUYKUWKUWLQZPZVVCUWKUVSNZVVCUWLMNZXCZHRGRG
      JTZHUETZVXNXCZHRGRVXJGHVVCUYKUVSMWSVXQVXTGHVXQVXOVXPVXNXCVXTVXNVXOVXPYBVX
      OVXRVXPVXSVXNVXNVXOVVAUWKMNJGTVXRVVAVVBUWKMVWIUEVRZYCUYJUXKUWKVWFVWHYFJGY
      DYAVXPUEHTVXSVVAVVBUWLVWIVYAYFUEHYDXGVXNYEZYGXGXTVXNUYKUXKUWLQZPVXJGHUXKV
      VBVWHVYAVXRVXMVYCUYKUWKUXKUWLXQXRVXSVYCVXIUYKUWLVVBUXKYHXRYIYAVXFVXNVVHUW
      KUVSNZVVHUWLMNZXCZHRGRGUGTZHUHTZVXNXCZHRGRVXLGHVVHUYKUVSMWSVYFVYIGHVYFVYD
      VYEVXNXCVYIVXNVYDVYEYBVYDVYGVYEVYHVXNVXNVYDVVFUWKMNUGGTVYGVVFVVGUWKMVXCUH
      VRZYCUYJVVEUWKVWFVXBYFUGGYDYAVYEUHHTVYHVVFVVGUWLVXCVYJYFUHHYDXGVYBYGXGXTV
      XNUYKVVEUWLQZPVXLGHVVEVVGVXBVYJVYGVXMVYKUYKUWKVVEUWLXQXRVYHVYKVXKUYKUWLVV
      GVVEYHXRYIYAVXJVXLSZJUGTZUEUHTZSZVXHVYLVXIVXKPVYOUYKVXIVXKXEUXKVVBVVEVVGX
      FXHVYOVVAVVFVVBVVGVYMVVAVVFPVYNUXKVVEUYJYHUUGVYMVYNUUIUUJUUHYQVVJVVMVXGUY
      HVXHVVDUYOVXEVVIVURVXFUWKVVCUYKUVTYJUYEVVHUYKUVTYJXJUWKVVCUYEVVHUUKUULUUM
      YKYKYLUUNYMUUOYLUUPYMYQYKYKUUQUURUWMUYFGUAUWKUYEUWLUWAYJUUTUVAUUSGHUWGOUW
      AUVBWKUVNUWFUPCOUPUWIABWNCUVCUVNUWFCOUVDVJUWGOUVOUWAUVEVJUWDUVQPUWEUWCUVF
      GUWDUVQUXIUWKUWANZIUVOVQZUWKUYJUYKUYQQZQZPZUCCVQZUBBVQZKAVQZUWKUWDVSUWKUV
      QVSZVYQUXKUYQQZUWKUWANZUCCVQZJUVNVQUYLUYQQZUWKUWANZUCCVQZUBBVQKAVQWUCVYPW
      UFIJUCUVNCUXIWUEUWKUWAYJYNWUGWUJJKUBABUXKUYLPZWUFWUIUCCWUKWUEWUHUWKUWAUXK
      UYLUYQXQUVGUVHYNWUJWUAKUBABWUIVYTUCCWUIUXMWUHUXIUVRNZWUHUXKUVTNZXCZJRIRIK
      TZUXKVYRPZUXMXCZJRIRVYTIJWUHUWKUVRUVTWSWUNWUQIJWUNUXMWUOWUPXCWUQUXMUXMWUL
      WUOWUMWUPUXMYEWULUYLUXILNKITWUOUYLUYQUXILUYJUYKVWFUBVRZXPZUCVRZYCUYJUYKUX
      IVWFWURUVIKIYDYAWUMUXKVXMPZWUHUWKUVSNZWUHUWLMNZXCZHRGRGUBTZHUCTZWVAXCZHRG
      RWUPGHWUHUXKUVSMWSWVDWVGGHWVDWVAWVEWVFXCWVGWVAWVAWVBWVEWVCWVFWVAYEWVBUYLU
      WKMNUBGTWVEUYLUYQUWKMWUSWUTYCUYJUYKUWKVWFWURYFUBGYDYAWVCUCHTWVFUYLUYQUWLW
      USWUTYFUCHYDXGYGWVAWVEWVFYBXGXTWVAUXKUYKUWLQZPWUPGHUYKUYQWURWUTWVEVXMWVHU
      XKUWKUYKUWLXQXRWVFWVHVYRUXKUWLUYQUYKYHXRYIYAYGUXMWUOWUPYBXGXTUXMUWKVVAPVY
      TIJUYJVYRVWFUYKUYQWURWUTXPWUOUXLVVAUWKUXIUYJUXKXQXRWUPVVAVYSUWKUXKVYRUYJY
      HXRYIYAWDUVJYAIUWKUWAUVOWEWUDUWKUYJUXIQZPZIUVPVQZKAVQWUCKIUWKAUVPWFWVKWUB
      KAWVJVYTIUBUCBCUXIVYRPWVIVYSUWKUXIVYRUYJYHXRYNWDXGWCWGUWDUVQUVOUWBUVLVHWP
      UVOUVQUWBUWAUVOUVRUVTLLYOYOYPUVSMMLYRYOYPYRYSYSUVNCABDEYTFYTUVKUVMVH $.
      $( [24-Feb-2015] $)
  $}

  ${
    ensn.1 $e |- A e. _V $.
    ensn.2 $e |- B e. _V $.
    $( Two singletons are equinumerous.  Theorem XI.1.10 of {{Rosser}}. $)
    ensn $p |- { A } ~~ { B } $=
      ( cvv wcel csn cen wbr en2sn mp2an ) AEFBEFAGBGHICDABEEJK $.
      $( [25-Feb-2015] $)
  $}

  ${
    $d A x $.  $d B x $.  $d X x $.  $d Y x $.
    $( Lemma for ~ enadj .  Calculate equality of differences. $)
    enadjlem1 $p |- ( ( ( A u. { X } ) = ( B u. { Y } ) /\
    ( -. X e. A /\ -. Y e. B ) /\ ( Y e. A /\ X e. B ) ) ->
    ( A \ { Y } ) = ( B \ { X } ) ) $=
      ( vx csn cun wceq wcel wn wa cdif wne elsni necon3ai ad2antll ssun1 sseli
      wo ad2antrl w3a cv simpl1 eleqtrd elun sylib orel2 ex simp2l eleq1 notbid
      sylc syl5ibrcom necon2ad adantrd jcad eldifsn ssrdv eleqtrrd simp2r eqssd
      3imtr4g ) ACFZGZBDFZGZHZCAIZJZDBIZJZKZDAICBIKZUAZAVELZBVCLZVNEVOVPVNEUBZA
      IZVQDMZKZVQBIZVQCMZKZVQVOIZVQVPIZVNVTWAWBVNVTWAVNVTKZVQVEIZJZWAWGSZWAVSWH
      VNVRWGVQDVQDNOPWFVQVFIZWIWFVQVDVFVRVQVDIZVNVSAVDVQAVCQRTVGVLVMVTUCUDVQBVE
      UEUFWGWAUGULUHVNVRWBVSVNVRVQCVNVRJVQCHZVIVGVIVKVMUIWLVRVHVQCAUJUKUMUNUOUP
      VQADUQZVQBCUQZVBURVNEVPVOVNWCVTWEWDVNWCVRVSVNWCVRVNWCKZVQVCIZJZVRWPSZVRWB
      WQVNWAWPVQCVQCNOPWOWKWRWOVQVFVDWAWJVNWBBVFVQBVEQRTVGVLVMWCUCUSVQAVCUEUFWP
      VRUGULUHVNWAVSWBVNWAVQDVNWAJVQDHZVKVGVIVKVMUTWSWAVJVQDBUJUKUMUNUOUPWNWMVB
      URVA $.
      $( [25-Feb-2015] $)
  $}

  ${
    enadj.1 $e |- A e. _V $.
    enadj.2 $e |- B e. _V $.
    enadj.3 $e |- X e. _V $.
    enadj.4 $e |- Y e. _V $.
    $( Equivalence law for adjunction.  Theorem XI.1.13 of {{Rosser}}. $)
    enadj $p |- ( ( ( A u. { X } ) = ( B u. { Y } ) /\
        -. X e. A /\ -. Y e. B ) -> A ~~ B ) $=
      ( cun wceq wcel wn w3a cen wbr cdif wa cin c0 a1i csn uneq2d eqeq1d eleq1
      sneq notbid 3anbi12d simp1 difeq1d nnsucelrlem2 3ad2ant2 3ad2ant3 3eqtr3d
      wi enrflx syl6eqbr syl6bi wne wo elsni eqcomd necon3ai adantr snid sselii
      ssun2 simpr1 syl5eleqr elun sylib orel2 syl5eleq jca simpl1 simpl2 simpl3
      sylc simprl simprr enadjlem1 syl122anc snex difex breq2 mpbii adantl ensn
      3adant1 incom disjdif eqtri syl22anc simpl3l nnsucelrlem4 simpl3r 3brtr3d
      unen syl mpdan mpd3an3 ex pm2.61ine ) ACUAZIZBDUAZIZJZCAKZLZDBKLZMZABNOZU
      NCDCDJZXKAXEIZXFJZDAKZLZXJMZXLXMXGXOXIXQXJXMXDXNXFXMXCXEACDUEUBUCXMXHXPCD
      AUDUFUGXRABBNXRXNXEPZXFXEPZABXRXNXFXEXOXQXJUHUIXQXOXSAJXJADUJUKXJXOXTBJXQ
      BDUJULUMBFUOUPUQCDURZXKXLYAXKXPCBKZQZXLYAXKQZXPYBYDDXCKZLZXPYEUSZXPYAYFXK
      YECDYEDCDCUTVAVBVCYDDXDKYGYDDXFXDXEXFDXEBVFDHVDVEYAXGXIXJVGZVHDAXCVIVJYEX
      PVKVQYDCXEKZLZYBYIUSZYBYAYJXKYICDCDUTVBVCYDCXFKYKYDCXDXFXCXDCXCAVFCGVDVEY
      HVLCBXEVIVJYIYBVKVQVMYAXKYCMZAXEPZBXCPZJZXLXKYCYOYAXKYCQXGXIXJXPYBYOXGXIX
      JYCVNXGXIXJYCVOXGXIXJYCVPXKXPYBVRXKXPYBVSABCDVTWAWHYLYOQZYMXEIZYNXCIZABNY
      PYMYNNOZXEXCNOZYMXERZSJZYNXCRZSJZYQYRNOYOYSYLYOYMYMNOYSYMAXEEDWBWCUOYMYNY
      MNWDWEWFYTYPDCHGWGTUUBYPUUAXEYMRSYMXEWIXEAWJWKTUUDYPUUCXCYNRSYNXCWIXCBWJW
      KTYMYNXEXCWQWLYPXPYQAJXPYBYAXKYOWMDAWNWRYPYBYRBJXPYBYAXKYOWOCBWNWRWPWSWTX
      AXB $.
      $( [25-Feb-2015] $)
  $}

  ${
    $d a b $.  $d a p $.  $d a t $.  $d a u $.  $d a x $.  $d a y $.  $d b t $.
    $d b x $.  $d b y $.  $d g p $.  $d g x $.  $d g y $.  $d p t $.  $d p x $.
    $d p y $.  $d t u $.  $d t x $.  $d t y $.  $d u x $.  $d u y $.  $d x y $.
    $( Lemma for ~ enpw1 .  Set up stratification for the reverse direction. $)
    enpw1lem1 $p |- { <. x , y >. | { x } g { y } } e. _V $=
      ( vp va vb cvv c1st c2nd cv csn wbr wceq wa wex ancom 3bitri anbi1i bitri
      weq cxp ccnv csi ccom cin cima cuni1 copab cop wcel wrex vex eluni1 elima
      opex brin brco brsnsi2 brcnv opbr1st equcom exbii sneq ceqsexv snex breq2
      eqeq2d opbr2nd anbi12i op1st2nd rexbii df-br risset bitr2i releqopab vvex
      xpex 1stex cnvex siex coex 2ndex inex imaex uni1ex eqeltrri ) GGUAZHUBZUC
      ZHUDZIUBZUCZIUDZUEZCJZUFZUGZUEAJZKZBJZKZWOLZABUHGXBABWQWRWTUIZWQUJXCKZWPU
      JZDJZWSXAUIZMZDWOUKZXBXCWPWRWTAULZBULZUOZUMXEXFXDWNLZDWOUKXIDXDWNWOUNXMXH
      DWOXMXFXDWJLZXFXDWMLZNXFWSHLZXFXAILZNXHXFXDWJWMUPXNXPXOXQXNXFEJZHLZXRXDWI
      LZNZEOXRWSMZXSNZEOXPEXFXDWIHUQYAYCEYAXTXSNYCXSXTPXTYBXSXTXRFJZKZMZYDXCWHL
      ZNZFOFATZYFNZFOYBFXCXRWHXLURYHYJFYHYGYFNYJYFYGPYGYIYFYGXCYDHLAFTYIYDXCHUS
      WRWTYDXJXKUTAFVAQRSVBYFYBFWRXJYIYEWSXRYDWRVCVGVDQRSVBXSXPEWSWRVEZXRWSXFHV
      FVDQXOXFXRILZXRXDWLLZNZEOXRXAMZYLNZEOXQEXFXDWLIUQYNYPEYNYMYLNYPYLYMPYMYOY
      LYMYFYDXCWKLZNZFOFBTZYFNZFOYOFXCXRWKXLURYRYTFYRYQYFNYTYFYQPYQYSYFYQXCYDIL
      BFTYSYDXCIUSWRWTYDXJXKVHBFVAQRSVBYFYOFWTXKYSYEXAXRYDWTVCVGVDQRSVBYLXQEXAW
      TVEZXRXAXFIVFVDQVIWSXAXFYKUUAVJQVKSXBXGWOUJXIWSXAWOVLDXGWOVMVNQVOWGWQGGVP
      VPVQWPWNWOWJWMWIHWHHVRVSVTVRWAWLIWKIWBVSVTWBWAWCCULWDWEWCWF $.
      $( [26-Feb-2015] $)
  $}

  ${
    $d A a b f $.  $d B a b f $.  $d a g $.  $d a w $.  $d a x $.  $d a y $.
    $d a z $.  $d b g $.  $d b w $.  $d b x $.  $d b y $.  $d b z $.  $d g w $.
    $d g x $.  $d g y $.  $d g z $.  $d w x $.  $d w y $.  $d w z $.  $d x y $.
    $d x z $.  $d y z $.
    $( Two classes are equinumerous iff their unit power classes are
       equinumerous.  Theorem XI.1.33 of {{Rosser}}, p. 368. $)
    enpw1 $p |- ( A ~~ B <-> ~P1 A ~~ ~P1 B ) $=
      ( vx vy vz vw cen wbr cvv wcel cpw1 wceq wex wfun cdm syl sylanbrc sylibr
      cv wal va vb vf vg wa brex pw1exb anbi12i sylib breq1 pw1eq bibi12d breq2
      breq1d breq2d wf1o bren csi wfn ccnv f1ofun funsi f1odm dmsi syl5eq df-fn
      wb wf1 f1of1 wf df-f1 simprbi 3syl cnvsi funeqi wfo f1ofo forn rnsi dfrn4
      crn eqtr3i syl5eqr dff1o4 vex siex f1oen exlimiv sylbi csn wmo weq wi w3a
      copab fununiq sneqb 3expib alrimivv sneq mo4 alrimiv funopab cab wel eldm
      dmopab brelrn eleq2d wrex elpw1 cla4ev syl6bi rexlimivw com23 mpdi syl5bi
      exlimdv breldm impbid1 bitr3d snelpw1 syl6bb abbi1dv f1ocnv brcnv 3imtr3g
      elrn cnvopab fneq1i enpw1lem1 impbii vtocl2g pm5.21nii ) ABGHZAIJZBIJZUEZ
      AKZBKZGHZABGUFUUAYSIJZYTIJZUEYRYSYTGUFUUBYPUUCYQAUGBUGUHUIUASZUBSZGHZUUDK
      ZUUEKZGHZVGAUUEGHZYSUUHGHZVGYOUUAVGUAUBABIIUUDALZUUFUUJUUIUUKUUDAUUEGUJUU
      LUUGYSUUHGUUDAUKUNULUUEBLZUUJYOUUKUUAUUEBAGUMUUMUUHYTYSGUUEBUKUOULUUFUUIU
      UFUUDUUEUCSZUPZUCMUUIUUDUUEUCUQUUOUUIUCUUOUUGUUHUUNURZUPZUUIUUOUUPUUGUSZU
      UPUTZUUHUSZUUQUUOUUPNZUUPOZUUGLZUURUUOUUNNUVAUUDUUEUUNVAUUNVBPUUOUUNOZUUD
      LZUVCUUDUUEUUNVCUVEUVBUVDKUUGUUNVDUVDUUDUKVEPUUPUUGVFQUUOUUSNZUUSOZUUHLZU
      UTUUOUUNUTZURZNZUVFUUOUUDUUEUUNVHZUVINZUVKUUDUUEUUNVIUVLUUDUUEUUNVJUVMUUD
      UUEUUNVKVLUVIVBVMUUSUVJUUNVNVORUUOUUDUUEUUNVPUUNWAZUUELZUVHUUDUUEUUNVQUUD
      UUEUUNVRUVOUVGUVNKZUUHUUPWAUVPUVGUUNVSUUPVTWBUVNUUEUKWCVMUUSUUHVFQUUGUUHU
      UPWDQUUGUUHUUPUUNUCWEWFWGPWHWIUUIUUGUUHUDSZUPZUDMUUFUUGUUHUDUQUVRUUFUDUVR
      UUDUUECSZWJZDSZWJZUVQHZCDWOZUPZUUFUVRUWDUUDUSZUWDUTZUUEUSZUWEUVRUWDNZUWDO
      ZUUDLUWFUVRUWCDWKZCTUWIUVRUWKCUVRUWCUVTESZWJZUVQHZUEDEWLZWMZETDTUWKUVRUWP
      DEUVRUVQNZUWPUUGUUHUVQVAUWQUWCUWNUWOUWQUWCUWNWNUWBUWMLUWOUVTUWBUWMUVQWPUW
      AUWLDWEWQUIWRPWSUWCUWNDEUWOUWBUWMUVTUVQUWAUWLWTUOXARXBUWCCDXCRUVRUWJUWCDM
      ZCXDUUDUWCCDXGUVRUWRCUUDUVRUWRUVTUUGJZCUAXEUVRUVTUVQOZJZUWRUWSUVRUXAUWRUX
      AUVTUWLUVQHZEMUVRUWREUVTUVQXFUVRUXBUWREUVRUXBUWLUVQWAZJZUWRUVTUWLUVQXHUVR
      UXDUXBUWRUVRUXDUWLUUHJZUXBUWRWMZUVRUXCUUHUWLUVRUUGUUHUVQVPUXCUUHLUUGUUHUV
      QVQUUGUUHUVQVRPZXIUXEUWLFSZWJZLZFUUEXJUXFFUWLUUEXKUXJUXFFUUEUXJUXBUVTUXIU
      VQHZUWRUWLUXIUVTUVQUMUWCUXKDUXHFWEZDFWLUWBUXIUVTUVQUWAUXHWTUOXLXMXNWIXMXO
      XPXRXQUWCUXADUVTUWBUVQXSWHXTUVRUWTUUGUVTUUGUUHUVQVCZXIYAUVSUUDYBYCYDVEUWD
      UUDVFQUVRUWCDCWOZUUEUSZUWHUVRUXNNZUXNOZUUELUXOUVRUWCCWKZDTUXPUVRUXRDUVRUW
      CUWMUWBUVQHZUEZCEWLZWMZETCTUXRUVRUYBCEUVRUUHUUGUVQUTZUPUYCNZUYBUUGUUHUVQY
      EUUHUUGUYCVAUYDUWBUVTUYCHZUWBUWMUYCHZUEUVTUWMLZUXTUYAUYDUYEUYFUYGUWBUVTUW
      MUYCWPWRUYEUWCUYFUXSUWBUVTUVQYFUWBUWMUVQYFUHUVSUWLCWEWQYGVMWSUWCUXSCEUYAU
      VTUWMUWBUVQUVSUWLWTUNXARXBUWCDCXCRUVRUXQUWCCMZDXDUUEUWCDCXGUVRUYHDUUEUVRU
      YHUWBUUHJZDUBXEUVRUWBUXCJZUYHUYIUVRUYJUYHUYJUWLUWBUVQHZEMUVRUYHEUWBUVQYHU
      VRUYKUYHEUVRUYKUWLUWTJZUYHUWLUWBUVQXSUVRUYLUYKUYHUVRUYLUWLUUGJZUYKUYHWMZU
      VRUWTUUGUWLUXMXIUYMUXJFUUDXJUYNFUWLUUDXKUXJUYNFUUDUXJUYKUXIUWBUVQHZUYHUWL
      UXIUWBUVQUJUWCUYOCUXHUXLCFWLUVTUXIUWBUVQUVSUXHWTUNXLXMXNWIXMXOXPXRXQUWCUY
      JCUVTUWBUVQXHWHXTUVRUXCUUHUWBUXGXIYAUWAUUEYBYCYDVEUXNUUEVFQUUEUWGUXNUWCCD
      YIYJRUUDUUEUWDWDQUUDUUEUWDCDUDYKWGPWHWIYLYMYN $.
      $( [26-Feb-2015] $)
  $}

  ${
    $d A s $.  $d A z $.  $d G s $.  $d G z $.  $d p q $.  $d p r $.  $d p s $.
    $d p t $.  $d p w $.  $d p x $.  $d p y $.  $d q r $.  $d q s $.  $d q t $.
    $d q w $.  $d q x $.  $d q y $.  $d r s $.  $d r t $.  $d r x $.  $d r z $.
    $d s t $.  $d s w $.  $d s x $.  $d s y $.  $d s z $.  $d t w $.  $d t x $.
    $d t y $.  $d w x $.  $d w y $.  $d x y $.  $d x z $.  $d r w $.  $d r y $.
    $d w z $.  $d y z $.  $d t z $.
    enmap2lem1.1 $e |- W = ( s e. ( G ^m A ) |-> ( s o. `' r ) ) $.
    $( Lemma for ~ enmap2 .  Set up stratification. $)
    enmap2lem1 $p |- W e. _V $=
      ( vx vy vz vt cvv csset cv c1st c2nd cop wex wcel wa vex co cxp cins3 csi
      cmap cins2 ctxp csi3 cin c1c cima cpw1 cres csymdif ccompl ccnv ccom cmpt
      cins4 wceq csn wb wbr elin otelins3 opex opsnelsi opelcnv 3bitr4ri 3bitri
      df-br wel df-clel elima1c oqelins4 oteltxp bicomi otelins2 bitr4i anbi12i
      otsnelsi3 op1st2nd snex opelssetsn bitri exbii opelco 3bitr4i sneq opeq1d
      eleq1d eleq1 bibi12d mpbiri exlimivv pm5.32i opelres ancom snelpw1 anbi1i
      elvv wrel relco elrel mpan pm4.71ri releqmpt eqtr4i ovex siex 1stex 2ndex
      ins3ex ins2ex txpex si3ex ins4ex inex 1cex imaex vvex xpex pw1ex mptexlem
      ssetex resex eqeltri ) CBAUEUAZKUBLUCEMZUCZUDZUCZNOUFZUGZUHZUSZLUFZUFZUIZ
      UJUKZUIZUJUKZKKUBZULZUMZUFUNUJUKUOUPUIZKCDYHDMZYIUPZUQZURUUFFDGYHUUEUUIGM
      ZHMZIMZPZUTZIQHQZUUJVAZUUGPZUUBRZSZUUOUUJUUIRZSUUQUUERZUUTUUOUURUUTUUNUUR
      UUTVBZHIUUNUVBUUMVAZUUGPZUUBRZUUMUUIRZVBJMZVAZUVDPZUUARZJQUUKUVGUUHVCZUVG
      UULUUGVCZSZJQUVEUVFUVJUVMJUVJUVIYLRZUVIYTRZSUVMUVIYLYTVDUVNUVKUVOUVLUVNUV
      HUVCPZYKRUVGUUMPZYJRZUVKUVHUVCUUGYKDTZVEUVGUUMYJJTZUUKUULHTZITZVFZVGUUKUV
      GPUUHRUVGUUKPYIRUVKUVRUUKUVGYIVHUUKUVGUUHVKUVGUUKUULYIUWBVEVIVJUVGUULPZUU
      GRUUJUWDUTZGDVLZSZGQZUVLUVOGUWDUUGVMUVGUULUUGVKUVOUUPUVIPZYSRZGQUWHGUVIYS
      VNUWJUWGGUWJUWIYPRZUWIYRRZSUWGUWIYPYRVDUWKUWEUWLUWFUWKUUPUVPPYORUUJUVQPYN
      RZUWEUUPUVHUVCUUGYOUVSVOUUJUVGUUMYNGTZUVTUWCWAUWMUUJUVGPNRZUUJUUMPYMRZSUU
      JUVGNVCZUUJUULOVCZSUWEUUJUVGUUMNYMVPUWOUWQUWPUWRUWQUWOUUJUVGNVKVQUWPUUJUU
      LPORUWRUUJUUKUULOUWAVRUUJUULOVKVSVTUVGUULUUJUVTUWBWBVJVJUWLUUPUVDPYQRUUQL
      RUWFUUPUVHUVDYQUVGWCVRUUPUVCUUGLUUMWCVRUUJUUGUWNUVSWDVJVTWEWFWEVIVTWEWFJU
      VDUUAVNJUUKUULUUGUUHWGWHUUNUURUVEUUTUVFUUNUUQUVDUUBUUNUUPUVCUUGUUJUUMWIWJ
      WKUUJUUMUUIWLWMWNWOWPUVAUURUUPUUDRZSUWSUURSUUSUUPUUGUUBUUDWQUURUWSWRUWSUU
      OUURUWSUUJUUCRUUOUUJUUCWSHIUUJXAWEWTVJUUTUUOUUIXBUUTUUOUUGUUHXCHIUUJUUIXD
      XEXFWHXGXHYHUUEBAUEXIUUBUUDUUAUJYLYTYKYJYIETXMXJXMYSUJYPYRYOYNNYMXKOXLXNX
      OXPXQYQLYEXNXNXRXSXTXRXSXTUUCKKYAYAYBYCYFYDYG $.
      $( [26-Feb-2015] $)
  $}

  ${
    $d a s $.  $d G s $.
    enmap2lem2.1 $e |- W = ( s e. ( G ^m a ) |-> ( s o. `' r ) ) $.
    $( Lemma for ~ enmap2 .  Establish the functionhood and domain of
       ` W ` . $)
    enmap2lem2 $p |- W Fn ( G ^m a ) $=
      ( cv ccnv ccom cvv wcel cmap co wfn fnmpt vex cnvex coex a1i mprg ) CGZDG
      ZHZIZJKZBAEGLMZNCUFCUFUDBJFOUEUAUFKUAUCCPUBDPQRST $.
      $( [26-Feb-2015] $)
  $}

  ${
    $d a s $.  $d G s $.  $d r s $.  $d S s $.
    enmap2lem3.1 $e |- W = ( s e. ( G ^m a ) |-> ( s o. `' r ) ) $.
    $( Lemma for ~ enmap2 .  Binary relationship condition over ` W ` . $)
    enmap2lem3 $p |- ( r : a -1-1-onto-> b ->
       ( S W T -> S = ( T o. r ) ) ) $=
      ( wbr cv cmap co wcel ccnv ccom wceq wa cvv coeq1 wf1o cdm wfn enmap2lem2
      breldm fndm ax-mp syl6eleq wb fnbrfvb mpan cnvex coexg mpan2 fvmptg mpdan
      cfv vex eqeq1d eqcom syl6bb biimpd sylbird mpcom jca cid f1ococnv1 coeq2d
      cres adantr elmapi fcoi1 syl adantl eqtr2d coass syl6eq eqeq2d syl5ibrcom
      wf expimpd syl5 ) ABDJZACGKZLMZNZBAFKZOZPZQZRWDHKZWGUAZABWGPZQZWCWFWJWCAD
      UBZWEABDUEDWEUCZWOWEQCDEFGIUDZWEDUFUGUHZWFWCWJWRWFWCADUQZBQZWJWPWFWTWCUIW
      QWEABDUJUKWFWTWJWFWTWIBQWJWFWSWIBWFWISNZWSWIQWFWHSNXAWGFURULAWHWESUMUNEAE
      KZWHPWIWESDXBAWHTIUOUPUSWIBUTVAVBVCVDVEWLWFWJWNWLWFRZWNWJAAWHWGPZPZQXCXEA
      VFWDVIZPZAWLXEXGQWFWLXDXFAWDWKWGVGVHVJWFXGAQZWLWFWDCAVTXHACWDVKWDCAVLVMVN
      VOWJWMXEAWJWMWIWGPXEBWIWGTAWHWGVPVQVRVSWAWB $.
      $( [26-Feb-2015] $)
  $}

  ${
    $d a s $.  $d a x $.  $d a y $.  $d a z $.  $d b x $.  $d b y $.  $d b z $.
    $d G s $.  $d r s $.  $d r x $.  $d r y $.  $d r z $.  $d s y $.  $d s z $.
    $d W x $.  $d W y $.  $d W z $.  $d x y $.  $d x z $.  $d y z $.
    enmap2lem4.1 $e |- W = ( s e. ( G ^m a ) |-> ( s o. `' r ) ) $.
    $( Lemma for ~ enmap2 .  The converse of ` W ` is a function. $)
    enmap2lem4 $p |- ( r : a -1-1-onto-> b -> Fun `' W ) $=
      ( vy vx vz cv wf1o wbr wa weq wi wal wceq enmap2lem3 brcnv ccnv wfun ccom
      anim12d eqtr3 alrimiv alrimivv relcnv dffun2 mpbiran anbi12i imbi1i albii
      syl6 wrel 2albii bitri sylibr ) EKFKDKZLZHKZIKZBMZJKZVBBMZNZHJOZPZJQZHQIQ
      ZBUAZUBZUTVIIHUTVHJUTVFVAVBUSUCZRZVDVMRZNVGUTVCVNVEVOVAVBABCDEFGSVDVBABCD
      EFGSUDVAVDVMUEUNUFUGVLVBVAVKMZVBVDVKMZNZVGPZJQZHQIQZVJVLVKUOWABUHIHJVKUIU
      JVTVIIHVSVHJVRVFVGVPVCVQVEVBVABTVBVDBTUKULUMUPUQUR $.
      $( [26-Feb-2015] $)
  $}

  ${
    $d a p $.  $d a s $.  $d b p $.  $d G p $.  $d G s $.  $d p q $.  $d p r $.
    $d p s $.  $d q r $.  $d r s $.  $d W p $.  $d W q $.
    enmap2lem5.1 $e |- W = ( s e. ( G ^m a ) |-> ( s o. `' r ) ) $.
    $( Lemma for ~ enmap2 .  Calculate the range of ` W ` . $)
    enmap2lem5 $p |- ( r : a -1-1-onto-> b -> ran W = ( G ^m b ) ) $=
      ( vp cv cmap wcel ccom wceq vex coex adantl wf syl wb cvv wf1o crn co wfn
      cfv wral wss enmap2lem2 ccnv coeq1 cnvex fvmpt elmapi f1ocnv f1of syl2anr
      wa elovex1 elmapg mp3an23 mpbird eqeltrd ralrimiva fnfvrnss sylancr coass
      fco wbr syl6eq cid cres f1ococnv2 coeq2d fcoi1 eqtrd fnbrfvb mpbid brelrn
      sylan9eq ex ssrdv eqssd ) EIZFIZDIZUAZBUBZAWDJUCZWFBAWCJUCZUDZHIZBUEZWHKZ
      HWIUFWGWHUGABCDEGUHZWFWMHWIWFWKWIKZUQZWLWKWEUIZLZWHWOWLWRMWFCWKCIZWQLZWRW
      IBWSWKWQUJGWKWQHNZWEDNZUKZOZULPWPWRWHKZWDAWRQZWOWCAWKQWDWCWQQZXFWFWKAWCUM
      WFWDWCWQUAXGWCWDWEUNWDWCWQUORWDWCAWKWQVGUPWOXEXFSZWFWOATKZXHWKAWCJURXIWDT
      KWRTKXHFNXDAWDWRTTTUSUTRPVAVBVCHWIWHBVDVEWFHWHWGWFWKWHKZWKWGKZWFXJUQZWKWE
      LZWKBVHZXKXLXMBUEZWKMZXNXLXOWKWEWQLZLZWKXLXMWIKZXOXRMXLXSWCAXMQZXJWDAWKQZ
      WCWDWEQXTWFWKAWDUMZWCWDWEUOWCWDAWKWEVGUPXJXSXTSZWFXJXIYCWKAWDJURXIWCTKXMT
      KYCENWKWEXAXBOAWCXMTTTUSUTRPVAZCXMWTXRWIBWSXMMWTXMWQLXRWSXMWQUJWKWEWQVFVI
      GWKXQXAWEWQXBXCOOULRWFXJXRWKVJWDVKZLZWKWFXQYEWKWCWDWEVLVMXJYAYFWKMYBWDAWK
      VNRVSVOXLWJXSXPXNSWNYDWIXMWKBVPVEVQXMWKBVRRVTWAWB $.
      $( [26-Feb-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a r $.  $d a s $.  $d B b $.  $d b r $.
    $d C a $.  $d C b $.  $d C r $.  $d C s $.  $d r s $.
    $( Set exponentiation preserves equinumerosity in the second argument.
       Theorem XI.1.22 of {{Rosser}}, p. 357. $)
    enmap2 $p |- ( A ~~ B -> ( C ^m A ) ~~ ( C ^m B ) ) $=
      ( va vb vr vs cvv wcel wa cen wbr cmap co cv wi wceq oveq2 imbi12d wf1o
      brex breq1 breq1d breq2 breq2d wex bren ccnv ccom cmpt wfn cdm enmap2lem4
      wfun eqid crn dfrn4 enmap2lem5 syl5eqr jca df-fn sylibr enmap2lem2 dff1o4
      mpbiran enmap2lem1 f1oen syl exlimiv sylbi vtocl2g mpcom ) AHIBHIJABKLZCA
      MNZCBMNZKLZABKUADOZEOZKLZCVQMNZCVRMNZKLZPAVRKLZVNWAKLZPVMVPPDEABHHVQAQZVS
      WCWBWDVQAVRKUBWEVTVNWAKVQACMRUCSVRBQZWCVMWDVPVRBAKUDWFWAVOVNKVRBCMRUESVSV
      QVRFOZTZFUFWBVQVRFUGWHWBFWHVTWAGVTGOWGUHUIUJZTZWBWHWIUHZWAUKZWJWHWKUNZWKU
      LZWAQZJWLWHWMWOCWIGFDEWIUOZUMWHWNWIUPWAWIUQCWIGFDEWPURUSUTWKWAVAVBWJWIVTU
      KWLCWIGFDWPVCVTWAWIVDVEVBVTWAWIVQCWIGFWPVFVGVHVIVJVKVL $.
      $( [26-Feb-2015] $)
  $}

  ${
    $d A s $.  $d A z $.  $d G s $.  $d G z $.  $d p q $.  $d p r $.  $d p s $.
    $d p t $.  $d p w $.  $d p x $.  $d p y $.  $d q r $.  $d q s $.  $d q t $.
    $d q w $.  $d q x $.  $d q y $.  $d r s $.  $d r t $.  $d r x $.  $d r z $.
    $d s t $.  $d s w $.  $d s x $.  $d s y $.  $d s z $.  $d t w $.  $d t x $.
    $d t y $.  $d w x $.  $d w y $.  $d x y $.  $d x z $.  $d a b $.  $d a c $.
    $d a p $.  $d a r $.  $d a s $.  $d A t $.  $d a x $.  $d b c $.  $d b p $.
    $d b r $.  $d b s $.  $d b x $.  $d c p $.  $d c r $.  $d c s $.  $d c x $.
    $d G t $.  $d r y $.  $d t z $.  $d y z $.
    enmap1lem1.1 $e |- W = ( s e. ( A ^m G ) |-> ( r o. s ) ) $.
    $( Lemma for ~ enmap1 .  Set up stratification. $)
    enmap1lem1 $p |- W e. _V $=
      ( vx vy vz vt cvv c2nd c1st cv cop wex wcel wa wbr vex co cxp csset cins3
      cmap ctxp csi3 cins4 cins2 cin c1c cima ccnv ccom csi cpw1 csymdif ccompl
      cres cmpt wceq csn wb elin oqelins4 opex otsnelsi3 oteltxp df-br otelins3
      wel bicomi bitr4i anbi12i ancom bitri op1st2nd 3bitri otelins2 opelssetsn
      snex exbii elima1c df-clel 3bitr4i wrex trtxp brcnv brco2nd anbi2i rexbii
      opsnelsi elima risset opelco opeq1d eleq1d eleq1 bibi12d exlimivv pm5.32i
      sneq mpbiri opelres snelpw1 elvv wrel relco mpan pm4.71ri releqmpt eqtr4i
      elrel ovex 2ndex 1stex ins3ex txpex si3ex ins4ex ssetex ins2ex inex imaex
      1cex cnvex coex siex vvex xpex pw1ex resex mptexlem eqeltri ) CABUEUAZKUB
      UCUDLMUDZUFZUGZUHZUCUIZUIZUJZUKULZMLUMZLUNZUMZUFZENZULZUOZUDZUJZUKULZKKUB
      ZUPZUSZUIUQUKULURUMUJZKCDYOUUHDNZUNZUTUUQFDGYOUUPUUSGNZHNZINZOZVAZIPHPZUU
      TVBZUUROZUUMQZRZUVEUUTUUSQZRUVGUUPQZUVJUVEUVHUVJUVDUVHUVJVCZHIUVDUVLUVCVB
      ZUUROZUUMQZUVCUUSQZVCUVFUVNOZUULQZGPUVAUUTUURSZUUTUVBUUHSZRZGPUVOUVPUVRUW
      AGUVRUVQUUCQZUVQUUKQZRUWAUVQUUCUUKVDUWBUVSUWCUVTJNZVBZUVQOZUUBQZJPUWDUVAU
      UTOZVAZJDVKZRZJPZUWBUVSUWGUWKJUWGUWFYSQZUWFUUAQZRUWKUWFYSUUAVDUWMUWIUWNUW
      JUWMUWEUVFUVMOZOYRQUWDUUTUVCOZOYQQZUWIUWEUVFUVMUURYRDTZVEUWDUUTUVCYQJTZGT
      ZUVAUVBHTZITZVFZVGUWQUWDUUTOLQZUWDUVCOYPQZRZUWDUVAMSZUWDUUTLSZRZUWIUWDUUT
      UVCLYPVHUXFUXHUXGRUXIUXDUXHUXEUXGUXHUXDUWDUUTLVIVLUXEUWDUVAOMQUXGUWDUVAUV
      BMUXBVJUWDUVAMVIVMVNUXHUXGVOVPUVAUUTUWDUXAUWTVQVRVRUWNUWEUVNOYTQUWEUUROUC
      QUWJUWEUVFUVNYTUUTWAVSUWEUVMUURUCUVCWAVSUWDUURUWSUWRVTVRVNVPWBJUVQUUBWCUV
      SUWHUURQUWLUVAUUTUURVIJUWHUURWDVPWEUWOUUJQZUUTUVBOZUUHQZUWCUVTUXJUWPUUIQZ
      UXLUUTUVCUUIUWTUXCWLUWDUWPUUGSZJUUHWFUWDUXKVAZJUUHWFUXMUXLUXNUXOJUUHUXNUW
      DUUTMSZUWDUVCUUFSZRUXPUWDUVBLSZRUXOUWDUUTUVCMUUFWGUXQUXRUXPUXQUVCUWDUUESU
      VBUWDUUDSUXRUWDUVCUUEWHUVAUVBUWDUUDUXAUXBWIUVBUWDLWHVRWJUUTUVBUWDUWTUXBVQ
      VRWKJUWPUUGUUHWMJUXKUUHWNWEVPUVFUVMUURUUJUWRVJUUTUVBUUHVIWEVNVPWBGUVNUULW
      CGUVAUVBUUHUURWOWEUVDUVHUVOUVJUVPUVDUVGUVNUUMUVDUVFUVMUURUUTUVCXBWPWQUUTU
      VCUUSWRWSXCWTXAUVKUVHUVFUUOQZRUVHUVERUVIUVFUURUUMUUOXDUXSUVEUVHUXSUUTUUNQ
      UVEUUTUUNXEHIUUTXFVPWJUVHUVEVOVRUVJUVEUUSXGUVJUVEUUHUURXHHIUUTUUSXMXIXJWE
      XKXLYOUUPABUEXNUUMUUOUULUKUUCUUKUUBUKYSUUAYRYQLYPXOMXPXQXRXSXTYTUCYAYBYBY
      CYEYDUUJUUIUUGUUHMUUFXPUUEUUDLLXOYFXOYGYFXRETYDYHXQYCYEYDUUNKKYIYIYJYKYLY
      MYN $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d A s $.  $d G s $.
    enmap1lem2.1 $e |- W = ( s e. ( A ^m G ) |-> ( r o. s ) ) $.
    $( Lemma for ~ enmap1 .  Establish functionhood. $)
    enmap1lem2 $p |- W Fn ( A ^m G ) $=
      ( cv ccom cvv wcel cmap co wfn fnmpt vex coex a1i mprg ) EGZDGZHZIJZCABKL
      ZMDUCDUCUACIFNUBTUCJSTEODOPQR $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d a s $.  $d G s $.  $d r s $.  $d S s $.  $d A s $.
    enmap1lem3.1 $e |- W = ( s e. ( A ^m G ) |-> ( r o. s ) ) $.
    $( Lemma for ~ enmap2 .  Binary relationship condition over ` W ` . $)
    enmap1lem3 $p |- ( r : A -1-1-onto-> B ->
       ( S W T -> S = ( `' r o. T ) ) ) $=
      ( wbr cmap co wcel cv ccom wceq wa mpan cvv coeq2 wf1o cdm wfn enmap1lem2
      ccnv breldm fndm ax-mp syl6eleq cfv fnbrfvb vex coexg fvmptg mpdan eqeq1d
      wb bitr3d biimpd mpcom jca coass cid f1ococnv1 coeq1d wf elmapi fcoi2 syl
      cres sylan9eq syl5reqr eqeq2d syl5ibcom expimpd syl5 ) CDFJZCAEKLZMZHNZCO
      ZDPZQABVTUAZCVTUEZDOZPZVQVSWBVQCFUBZVRCDFUFFVRUCZWGVRPAEFGHIUDZVRFUGUHUIZ
      VSVQWBWJVSVQWBVSCFUJZDPZVQWBWHVSWLVQUQWIVRCDFUKRVSWKWADVSWASMZWKWAPVTSMVS
      WMHULVTCSVRUMRGCVTGNZOWAVRSFWNCVTTIUNUOUPURUSUTVAWCVSWBWFWCVSQZCWDWAOZPWB
      WFWOWPWDVTOZCOZCWDVTCVBWCVSWRVCAVJZCOZCWCWQWSCABVTVDVEVSEACVFWTCPCAEVGEAC
      VHVIVKVLWBWPWECWADWDTVMVNVOVP $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d a s $.  $d a x $.  $d a y $.  $d a z $.  $d b x $.  $d b y $.  $d b z $.
    $d G s $.  $d r s $.  $d r x $.  $d r y $.  $d r z $.  $d s y $.  $d s z $.
    $d W x $.  $d W y $.  $d W z $.  $d x y $.  $d x z $.  $d y z $.  $d A s $.
    $d A x $.  $d A y $.  $d A z $.  $d B x $.  $d B y $.  $d B z $.
    enmap1lem4.1 $e |- W = ( s e. ( A ^m G ) |-> ( r o. s ) ) $.
    $( Lemma for ~ enmap2 .  The converse of ` W ` is a function. $)
    enmap1lem4 $p |- ( r : A -1-1-onto-> B -> Fun `' W ) $=
      ( vy vx vz cv wf1o wbr wa wi wal ccnv wceq enmap1lem3 brcnv weq wfun ccom
      anim12d eqtr3 alrimiv alrimivv relcnv dffun2 mpbiran anbi12i imbi1i albii
      syl6 wrel 2albii bitri sylibr ) ABFKZLZHKZIKZDMZJKZVBDMZNZHJUAZOZJPZHPIPZ
      DQZUBZUTVIIHUTVHJUTVFVAUSQVBUCZRZVDVMRZNVGUTVCVNVEVOABVAVBCDEFGSABVDVBCDE
      FGSUDVAVDVMUEUNUFUGVLVBVAVKMZVBVDVKMZNZVGOZJPZHPIPZVJVLVKUOWADUHIHJVKUIUJ
      VTVIIHVSVHJVRVFVGVPVCVQVEVBVADTVBVDDTUKULUMUPUQUR $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d a p $.  $d a s $.  $d b p $.  $d G p $.  $d G s $.  $d p q $.  $d p r $.
    $d p s $.  $d q r $.  $d r s $.  $d W p $.  $d W q $.  $d A p $.  $d A s $.
    $d B p $.
    enmap1lem5.1 $e |- W = ( s e. ( A ^m G ) |-> ( r o. s ) ) $.
    $( Lemma for ~ enmap2 .  Calculate the range of ` W ` . $)
    enmap1lem5 $p |- ( r : A -1-1-onto-> B -> ran W = ( B ^m G ) ) $=
      ( vp cv wf1o cmap wcel ccom wceq coex wf syl2an cvv wb syl crn co wfn cfv
      wral wss enmap1lem2 coeq2 vex fvmpt adantl f1of elmapi fco wfo f1ofo forn
      wa rnex syl6eqelr elovex2 elmapg mp3an3 mpbird eqeltrd ralrimiva fnfvrnss
      sylancr ccnv wbr f1ocnv cdm f1odm dmex cnvex coass f1ococnv2 coeq1d fcoi2
      cid cres sylan9eq syl5eqr eqtrd fnbrfvb mpbid brelrn ex ssrdv eqssd ) ABF
      IZJZDUAZBCKUBZWLDACKUBZUCZHIZDUDZWNLZHWOUEWMWNUFACDEFGUGZWLWSHWOWLWQWOLZU
      RZWRWKWQMZWNXAWRXCNWLEWQWKEIZMZXCWODXDWQWKUHGWKWQFUIZHUIZOZUJUKXBXCWNLZCB
      XCPZWLABWKPCAWQPXJXAABWKULWQACUMCABWKWQUNQWLBRLZCRLZXIXJSZXAWLBWKUAZRWLAB
      WKUOXNBNABWKUPABWKUQTWKXFUSUTWQACKVAXKXLXCRLXMXHBCXCRRRVBVCQVDVEVFHWOWNDV
      GVHWLHWNWMWLWQWNLZWQWMLZWLXOURZWKVIZWQMZWQDVJZXPXQXSDUDZWQNZXTXQYAWKXSMZW
      QXQXSWOLZYAYCNXQYDCAXSPZWLBAXRPZCBWQPZYEXOWLBAXRJYFABWKVKBAXRULTWQBCUMZCB
      AXRWQUNQWLARLZXLYDYESZXOWLAWKVLRABWKVMWKXFVNUTWQBCKVAYIXLXSRLYJXRWQWKXFVO
      XGOZACXSRRRVBVCQVDZEXSXEYCWODXDXSWKUHGWKXSXFYKOUJTXQYCWKXRMZWQMZWQWKXRWQV
      PWLXOYNVTBWAZWQMZWQWLYMYOWQABWKVQVRXOYGYPWQNYHCBWQVSTWBWCWDXQWPYDYBXTSWTY
      LWOXSWQDWEVHWFXSWQDWGTWHWIWJ $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a r $.  $d a s $.  $d B b $.  $d b r $.
    $d C a $.  $d C b $.  $d C r $.  $d C s $.  $d r s $.  $d A r $.  $d A s $.
    $d B r $.
    $( Set exponentiation preserves equinumerosity in the first argument.
       Theorem XI.1.23 of {{Rosser}}, p. 357. $)
    enmap1 $p |- ( A ~~ B -> ( A ^m C ) ~~ ( B ^m C ) ) $=
      ( vr vs cen wbr cv wf1o wex cmap co bren ccom cmpt wfn ccnv wfun crn wceq
      eqid enmap1lem2 a1i enmap1lem4 enmap1lem5 dff1o2 syl3anbrc enmap1lem1 syl
      f1oen exlimiv sylbi ) ABFGABDHZIZDJACKLZBCKLZFGZABDMUNUQDUNUOUPEUOUMEHNOZ
      IZUQUNURUOPZURQRURSUPTUSUTUNACUREDURUAZUBUCABCUREDVAUDABCUREDVAUEUOUPURUF
      UGUOUPURACUREDVAUHUJUIUKUL $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d A x y z $.
    enpw1pw.1 $e |- A e. _V $.
    $( Unit power class and power class commute within equivalence.  Theorem
       XI.1.35 of {{Rosser}}, p. 368. $)
    enpw1pw $p |- ~P1 ~P A ~~ ~P ~P1 A $=
      ( vy vx vz cpw cpw1 cpw1fn wf1o wbr c1c wss ax-mp wceq cv wrex wa wex vex
      wcel cres cen cima wf1 pw1fnf1o f1of1 pw1ss1c f1ores mp2an wb df-ima elpw
      cab sspw1 df-rex df-pw abeq2i anbi1i exbii bitr2i 3bitri csn elpw1 bitr4i
      r19.41v rexcom4 snex breq1 ceqsexv bitri rexbii bitr3i abbi2i eqtr4i mpbi
      brpw1fn f1oeq3 pw1fnex pwex pw1ex resex f1oen ) AFZGZAGZFZHWDUAZIZWDWFUBJ
      WDHWDUCZWGIZWHKKFZHUDZWDKLWJKWKHIWLUEKWKHUFMWCUGKWKWDHUHUIWIWFNWJWHUJWICO
      ZDOZHJZCWDPZDUMWFDCHWDUKWPDWFWNWFTZWNEOZGNZEWCPZWPWQWNWELWRALZWSQZERZWTWN
      WEDSZULEWNAXDUNWTWRWCTZWSQZERXCWSEWCUOXFXBEXEXAWSXAEWCEAUPUQURUSUTVAWPWMW
      DTZWOQZCRWMWRVBZNZWOQZEWCPZCRZWTWOCWDUOXHXLCXHXJEWCPZWOQXLXGXNWOEWMWCVCUR
      XJWOEWCVEVDUSXMXKCRZEWCPWTXKECWCVFXOWSEWCXOXIWNHJZWSWOXPCXIWRVGWMXIWNHVHV
      IWRWNESVPVJVKVLVAVDVMVNWIWFWDWGVQMVOWDWFWGHWDVRWCABVSVTWAWBM $.
      $( [26-Feb-2015] $)
  $}

  ${
    $d A r $.  $d A s $.  $d B r $.  $d B s $.  $d p r $.  $d p x $.  $d p y $.
    $d r s $.  $d r x $.  $d r y $.  $d s x $.  $d s y $.  $d x y $.  $d r t $.
    $d t x $.  $d t y $.
    enprmaplem1.1 $e |- W = ( r e. ( A ^m B ) |-> ( `' r " { x } ) ) $.
    $( Lemma for ~ enprmap .  Set up stratification. $)
    enprmaplem1 $p |- W e. _V $=
      ( vy vt csset c1st c2nd ccnv cv cima cop wcel wbr wa vex bitri co cvv cxp
      cmap cins3 csn cres csi ctxp c1c csymdif ccompl cin cmpt wceq wel elima1c
      cins2 oteltxp opsnelsi df-br brres eliniseg anbi2i bitr3i op1st2nd 3bitri
      wex opelssetsn anbi12i exbii opex eleq1 bitr4i releqmpt eqtr4i ovex 1stex
      ceqsexv 2ndex cnvex snex imaex resex siex ssetex txpex mptexlem eqeltri
      1cex ) DBCUDUAZUBUCIUEJKLZAMZUFZNZUGZUHZIUIZUJNZURUKUJNULLUMZUBDEWKEMZLWN
      NZUNWTFEGWKWSXBGMZUFZXAOZWSPZXCWMXAQZXCXBPXFHMZXCWMOZUOZHEUPZRZHVHZXGXFXH
      UFZXEOWRPZHVHXMHXEWRUQXOXLHXOXNXDOWQPZXNXAOIPZRXLXNXDXAWQIUSXPXJXQXKXPXHX
      COWPPZXHXCJQZXHWMKQZRZXJXHXCWPHSZGSZUTXRXHXCWPQZYAXHXCWPVAYDXSXHWOPZRYAXH
      XCJWOVBYEXTXSKWMXHVCVDTVEXCWMXHYCASZVFVGXHXAYBESVIVJTVKTXMXIXAPZXGXKYGHXI
      XCWMYCYFVLXHXIXAVMVSXCWMXAVAVNTXAWMXCVCVNVOVPWKWSBCUDVQWRUJWQIWPJWOVRWLWN
      KVTWAWMWBWCWDWEWFWGWJWCWHWI $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d A r $.  $d B r $.
    enprmaplem2.1 $e |- W = ( r e. ( A ^m B ) |-> ( `' r " { x } ) ) $.
    $( Lemma for ~ enprmap .  Establish functionhood. $)
    enprmaplem2 $p |- W Fn ( A ^m B ) $=
      ( cv ccnv csn cima cvv wcel cmap co wfn fnmpt vex cnvex snex imaex mprg
      a1i ) EGZHZAGZIZJZKLZDBCMNZOEUIEUIUGDKFPUHUCUILUDUFUCEQRUESTUBUA $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d A p $.  $d A q $.  $d A r $.  $d A w $.  $d A z $.  $d B r $.  $d B w $.
    $d B z $.  $d p q $.  $d p r $.  $d p w $.  $d p x $.  $d p y $.  $d p z $.
    $d q r $.  $d q w $.  $d q x $.  $d q y $.  $d q z $.  $d r x $.  $d W p $.
    $d W q $.  $d w x $.  $d w y $.  $d w z $.  $d W z $.  $d x z $.  $d y z $.
    enprmaplem3.1 $e |- W = ( r e. ( A ^m B ) |-> ( `' r " { x } ) ) $.
    $( Lemma for ~ enprmap .  The converse of ` W ` is a function. $)
    enprmaplem3 $p |- ( ( x =/= y /\ A = { x , y } ) -> Fun `' W ) $=
      ( vz vp vq vw cv wceq wa wbr weq wcel wb fnbrfvb syl wne cpr ccnv wi wfun
      wal cmap co csn cima brcnv cdm breldm wfn enprmaplem2 fndm ax-mp syl6eleq
      cfv sylancr ibir cnveq imaeq1d vex cnvex snex imaex fvmpt anim12i syl2anb
      eqtr3d jca wf elmapi eqtr2 simprll ffn simprlr ffvelrn sylan simpllr fvex
      eleq2d wo elpr simprr simplrr eliniseg 3bitr3g biimpd 3imtr4d impr eqtr4d
      expr wn simplll df-ne sylib adantr ffun fununiq 3expib ancomsd 3syl exp3a
      mtod biimprd nsyld simprl fdm adantrr eleqtrrd wex eldm crn wss frn sseld
      brelrn syl5 breq2 biimpcd orim12d com12 sylbi syl6bi com23 exlimdv syl5bi
      mpdd mpd orel1 sylc jaod sylbid eqfnfvd expcom syl2an an4s alrimiv relcnv
      alrimivv wrel dffun2 mpbiran sylibr ) ALZBLZUAZCUUGUUHUBZMZNZHLZILZEUCZOZ
      UUMJLZUUOOZNZIJPZUDZJUFZIUFHUFZUUOUEZUULUVBHIUULUVAJUUSUUNCDUGUHZQZUUMUUN
      UCZUUGUIZUJZMZNZUUQUVEQZUUMUUQUCZUVHUJZMZNZNZUULUUTUUPUUNUUMEOZUUQUUMEOZU
      VQUURUUMUUNEUKUUMUUQEUKUVRUVKUVSUVPUVRUVFUVJUVRUUNEULZUVEUUNUUMEUMEUVEUNZ
      UVTUVEMACDEFGUOZUVEEUPUQZURZUVRUUNEUSZUUMUVIUVRUWEUUMMZUVRUWAUVFUWFUVRRUW
      BUWDUVEUUNUUMESUTVAUVRUVFUWEUVIMUWDFUUNFLZUCZUVHUJZUVIUVEEFIPUWHUVGUVHUWG
      UUNVBVCGUVGUVHUUNIVDVEUUGVFZVGVHTVKVLUVSUVLUVOUVSUUQUVTUVEUUQUUMEUMUWCURZ
      UVSUUQEUSZUUMUVNUVSUWLUUMMZUVSUWAUVLUWMUVSRUWBUWKUVEUUQUUMESUTVAUVSUVLUWL
      UVNMUWKFUUQUWIUVNUVEEFJPUWHUVMUVHUWGUUQVBVCGUVMUVHUUQJVDVEUWJVGVHTVKVLVIV
      JUVQUULUUTUVFUVLUVJUVOUULUUTUDZUVFUVLNDCUUNVMZDCUUQVMZNZUVIUVNMZUWNUVJUVO
      NUVFUWOUVLUWPUUNCDVNUUQCDVNVIUUMUVIUVNVOUULUWQUWRNZUUTUULUWSNZHDUUNUUQUWT
      UWOUUNDUNZUULUWOUWPUWRVPZDCUUNVQTZUWTUWPUUQDUNZUULUWOUWPUWRVRZDCUUQVQTZUW
      TUUMDQZNZUUMUUNUSZCQZUXIUUMUUQUSZMZUWTUWOUXGUXJUXBDCUUMUUNVSVTUXHUXJUXIUU
      JQZUXLUXHCUUJUXIUUIUUKUWSUXGWAWCUXMUXIUUGMZUXIUUHMZWDUXHUXLUXIUUGUUHUUMUU
      NWBWEUXHUXNUXLUXOUWTUXGUXNUXLUWTUXGUXNNNUXIUUGUXKUWTUXGUXNWFUWTUXGUXNUXKU
      UGMZUXHUUMUUGUUNOZUUMUUGUUQOZUXNUXPUXHUXQUXRUXHUUMUVIQUUMUVNQUXQUXRUXHUVI
      UVNUUMUULUWQUWRUXGWGWCUUNUUGUUMWHUUQUUGUUMWHWIZWJUWTUXAUXGUXNUXQRUXCDUUMU
      UGUUNSVTUWTUXDUXGUXPUXRRUXFDUUMUUGUUQSVTWKWLWMWNUWTUXGUXOUXLUWTUXGUXONNUX
      IUUHUXKUWTUXGUXOWFUWTUXGUXOUXKUUHMZUXHUUMUUHUUNOZUUMUUHUUQOZUXOUXTUWTUXGU
      YAUYBUWTUXGUYANZNZUXRWOZUXRUYBWDZUYBUWTUXGUYAUYEUXHUYAUXQUXRUWTUXGUYAUXQW
      OUYDUXQABPZUYDUUIUYGWOUUIUUKUWSUYCWPUUGUUHWQWRUWTUXGUYAUXQUYGUDUXHUYAUXQU
      YGUXHUWOUUNUEZUYAUXQNUYGUDUWTUWOUXGUXBWSDCUUNWTUYHUXQUYAUYGUYHUXQUYAUYGUU
      MUUGUUHUUNXAXBXCXDXEWLXFWNUXHUXQUXRUXSXGXHWLUYDUUMUUQULZQZUYFUYDUUMDUYIUW
      TUXGUYAXIUWTUXGUYIDMZUYAUXHUWPUYKUWTUWPUXGUXEWSDCUUQXJTXKXLUYJUUMKLZUUQOZ
      KXMUYDUYFKUUMUUQXNUYDUYMUYFKUYDUYMUYLCQZUYFUYMUYLUUQXOZQUYDUYNUUMUYLUUQXS
      UYDUYOCUYLUYDUWPUYOCXPUWTUWPUYCUXEWSDCUUQXQTXRXTUYDUYNUYMUYFUYDUYNUYLUUJQ
      ZUYMUYFUDZUYDCUUJUYLUUIUUKUWSUYCWAWCUYPKAPZKBPZWDZUYQUYLUUGUUHKVDWEUYMUYT
      UYFUYMUYRUXRUYSUYBUYRUYMUXRUYLUUGUUMUUQYAYBUYSUYMUYBUYLUUHUUMUUQYAYBYCYDY
      EYFYGYJYHYIYKUXRUYBYLYMWNUWTUXAUXGUXOUYARUXCDUUMUUHUUNSVTUWTUXDUXGUXTUYBR
      UXFDUUMUUHUUQSVTWKWLWMWNYNYIYOYKYPYQYRYSYDXTYTUUBUVDUUOUUCUVCEUUAHIJUUOUU
      DUUEUUF $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d B u $.  $d B v $.  $d p u $.  $d p v $.  $d u v $.  $d u x $.  $d u y $.
    $d v x $.  $d v y $.  $d p z $.  $d u z $.  $d x z $.  $d y z $.
    enprmaplem4.1 $e |- R = ( u e. B |-> if ( u e. p , x , y ) ) $.
    enprmaplem4.2 $e |- B e. _V $.
    $( Lemma for ~ enprmap .  More stratification condition setup. $)
    enprmaplem4 $p |- R e. _V $=
      ( vz cvv cxp cv cpw1 ccompl ccnv wel wcel wa bitri vex csset csymdif cima
      cins3 cun cins2 c1c cin cif cmpt csn cop wn wo elun opelxp snelpw1 anbi2i
      elcompl anbi12i orbi12i opelcnv elif 3bitr4i releqmpt eqtr4i xpex complex
      pw1ex unex cnvex mptexlem eqeltri ) EDJKUAUDFLZALZMZKZVNNZBLZMZKZUEZOZUFU
      BUGUCNOUHZJECDCFPZVOVSUIZUJWDGCIDWCWFCLZILZUKZULZWBQZWEIAPZRZWEUMZIBPZRZU
      NZWIWGULWCQWHWFQWKWJVQQZWJWAQZUNWQWJVQWAUOWRWMWSWPWRWEWIVPQZRWMWGWIVNVPUP
      WTWLWEWHVOUQURSWSWGVRQZWIVTQZRWPWGWIVRVTUPXAWNXBWOWGVNCTUSWHVSUQUTSVASWIW
      GWBVBWEWHVOVSVCVDVEVFDWCHWBVQWAVNVPFTZVOATVIVGVRVTVNXCVHVSBTVIVGVJVKVLVM
      $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d A p $.  $d A r $.  $d A u $.  $d A z $.  $d B p $.  $d B r $.  $d B u $.
    $d B z $.  $d p u $.  $d p x $.  $d p y $.  $d p z $.  $d R r $.  $d r x $.
    $d R z $.  $d u x $.  $d u y $.  $d u z $.  $d W p $.  $d x z $.  $d y z $.
    enprmaplem5.1 $e |- W = ( r e. ( A ^m B ) |-> ( `' r " { x } ) ) $.
    enprmaplem5.2 $e |- R = ( u e. B |-> if ( u e. p , x , y ) ) $.
    enprmaplem5.3 $e |- B e. _V $.
    $( Lemma for ~ enprmap .  Establish that ` ~P B ` is a subset of the range
       of ` W ` . $)
    enprmaplem5 $p |- ( ( x =/= y /\ A = { x , y } ) -> ~P B C_ ran W ) $=
      ( vz cv wceq wa wcel vex cvv syl wne cpr cpw crn wss elpw wbr w3a cfv csn
      ccnv cima cmap co wf wel cif wral wo ifeqor ifex elpr syl5eleqr ralrimivw
      mpbir id fmpt sylib prex eleq1 mpbiri enprmaplem4 elmapg mp3an23 3ad2ant2
      mpbird cnveq imaeq1d cnvex snex imaex fvmpt eliniseg cdm breldm wfn fnmpt
      wb a1i mprg fndm ax-mp syl6eleq fnbrfvb mpan biimprd com12 jcai weq ifbid
      eqeq1d biimpd imp wn simpl1 df-ne wi iffalse eqeq2d eqcoms adantl mt3d ex
      ssel2 3ad2antl3 iftrue eqtrd mpbid impbid syl5bb eqrdv enprmaplem2 3expia
      syl5 brelrn syl6 syl5bi ssrdv ) ANZBNZUAZDYIYJUBZOZPZIEUCZGUDZINZYOQYQEUE
      ZYNYQYPQZYQEIRUFYNYRFYQGUGZYSYKYMYRYTYKYMYRUHZFGUIZYQOZYTUUAUUBFUKZYIUJZU
      LZYQUUAFDEUMUNZQZUUBUUFOYMYKUUHYRYMUUHEDFUOZYMCIUPZYIYJUQZDQZCEURUUIYMUUL
      CEYMUUKYLDUUKYLQUUKYIOUUKYJOUSUUJYIYJUTUUKYIYJUUJYIYJARZBRZVAZVBVEYMVFVCV
      DCEDUUKFKVGVHYMDSQZUUHUUIWHZYMUUPYLSQYIYJVIDYLSVJVKUUPESQFSQUUQLABCEFIKLV
      LZDEFSSSVMVNTVPVOZHFHNZUKZUUEULUUFUUGGUUTFOUVAUUDUUEUUTFVQVRJUUDUUEFUURVS
      YIVTWAWBTUUAMUUFYQMNZUUFQUVBYIFUGZUUAMIUPZFYIUVBWCUUAUVCUVDUVCUVBEQZUVBFU
      IZYIOZPZUUAUVDUVCUVEUVGUVCUVBFWDZEUVBYIFWEFEWFZUVIEOUUKSQZUVJCECEUUKFSKWG
      UVKCNZEQUUOWIWJZEFWKWLWMUVEUVCUVGUVEUVGUVCUVJUVEUVGUVCWHZUVMEUVBYIFWNWOZW
      PWQWRUVHUVDYIYJUQZYIOZUUAUVDUVEUVGUVQUVEUVGUVQUVEUVFUVPYICUVBUUKUVPEFCMWS
      UUJUVDYIYJUVLUVBYQVJWTKUVDYIYJUUMUUNVAWBZXAXBXCUUAUVQUVDUUAUVQPZUVDABWSZU
      VSYKUVTXDYKYMYRUVQXEYIYJXFVHUVQUVDXDZUVTXGZUUAUWBYIUVPUWAYIUVPOZUVTUWAUWC
      UVTUWAUVPYJYIUVDYIYJXHXIXBWQXJXKXLXMYDYDUUAUVDUVCUUAUVDPZUVGUVCUWDUVFUVPY
      IUWDUVEUVFUVPOYRYKUVDUVEYMYQEUVBXNXOZUVRTUVDUVQUUAUVDYIYJXPXKXQUWDUVEUVNU
      WEUVOTXRXMXSXTYAXQUUAUUHUUCYTWHZUUSGUUGWFUUHUWFADEGHJYBUUGFYQGWNWOTXRYCFY
      QGYEYFYGYH $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d A p $.  $d A r $.  $d A s $.  $d A u $.  $d B p $.  $d B r $.  $d B s $.
    $d B u $.  $d p r $.  $d p s $.  $d p u $.  $d p x $.  $d p y $.  $d r s $.
    $d r u $.  $d r x $.  $d r y $.  $d s x $.  $d s y $.  $d u x $.  $d u y $.
    $d W p $.  $d W s $.
    enprmaplem6.1 $e |- W = ( r e. ( A ^m B ) |-> ( `' r " { x } ) ) $.
    enprmaplem6.2 $e |- B e. _V $.
    $( Lemma for ~ enprmap .  The range of ` W ` is ` ~P B ` . $)
    enprmaplem6 $p |- ( ( x =/= y /\ A = { x , y } ) -> ran W = ~P B ) $=
      ( vp vs vu cv wceq wa crn wss wcel cdm wb ccnv wne cpr cpw wbr wex co cfv
      cmap breldm wfn enprmaplem2 fndm syl6eleq fnbrfvb sylancr ibir jca wi w3a
      ax-mp csn cima weq cnveq imaeq1d cnvex snex imaex eqeq1d 3ad2ant3 imassrn
      vex fvmpt df-dm elmapi fdm eqimss syl5eqssr syl5ss sseq1 syl5ibcom sylbid
      wf 3syl 3expia imp3a syl5 exlimdv elrn elpw 3imtr4g ssrdv wel enprmaplem5
      cif cmpt eqid eqssd ) ALZBLZUAZCWSWTUBMZNZEOZDUCZXCIXDXEXCJLZILZEUDZJUEXG
      DPZXGXDQXGXEQXCXHXIJXHXFCDUHUFZQZXFEUGZXGMZNXCXIXHXKXMXHXFERZXJXFXGEUIEXJ
      UJZXNXJMACDEFGUKZXJEULUTUMZXHXMXHXOXKXMXHSXPXQXJXFXGEUNUOUPUQXCXKXMXIXAXB
      XKXMXIURXAXBXKUSZXMXFTZWSVAZVBZXGMZXIXKXAXMYBSXBXKXLYAXGFXFFLZTZXTVBYAXJE
      FJVCYDXSXTYCXFVDVEGXSXTXFJVLVFWSVGVHVMVIVJXRYADPZYBXIXKXAYEXBXKYAXSOZDXSX
      TVKXKYFXFRZDXFVNXKDCXFWCYGDMYGDPXFCDVODCXFVPYGDVQWDVRVSVJYAXGDVTWAWBWEWFW
      GWHJXGEWIXGDIVLWJWKWLABKCDKDKIWMWSWTWOWPZEFIGYHWQHWNWR $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d A r $.  $d B r $.  $d r x $.  $d r y $.
    enprmap.1 $e |- B e. _V $.
    $( A mapping from a two element pair onto a set is equinumerous with the
       power class of the set.  Theorem XI.1.28 of {{Rosser}}. $)
    enprmap $p |- ( ( x =/= y /\ A = { x , y } ) -> ( A ^m B ) ~~ ~P B ) $=
      ( vr cv wne cpr wceq wa cmap co cpw ccnv csn cima cmpt wf1o cen wfun eqid
      wbr wfn crn enprmaplem2 a1i enprmaplem3 enprmaplem6 syl3anbrc enprmaplem1
      dff1o2 f1oen syl ) AGZBGZHCUOUPIJKZCDLMZDNZFURFGOUOPQRZSZURUSTUCUQUTURUDZ
      UTOUAUTUEUSJVAVBUQACDUTFUTUBZUFUGABCDUTFVCUHABCDUTFVCEUIURUSUTULUJURUSUTA
      CDUTFVCUKUMUN $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d A x $.  $d B x $.  $d B y $.  $d C x $.  $d C y $.  $d P x $.  $d P y $.
    $d x y $.
    enprmapc.1 $e |- A e. _V $.
    enprmapc.2 $e |- B e. _V $.
    enprmapc.3 $e |- C e. _V $.
    $( A mapping from a two element pair onto a set is equinumerous with the
       power class of the set.  Theorem XI.1.28 of {{Rosser}}. $)
    enprmapc $p |- ( ( A =/= B /\ P = { A , B } ) -> ( P ^m C ) ~~ ~P C ) $=
      ( vx vy cv wne cpr wceq wa cmap wi eqeq2d anbi12d imbi1d vtocl co cpw cen
      wbr neeq1 preq1 neeq2 preq2 enprmap ) HJZBKZDUJBLZMZNZDCOUACUBUCUDZPZABKZ
      DABLZMZNZUOPHAEUJAMZUNUTUOVAUKUQUMUSUJABUEVAULURDUJABUFQRSUJIJZKZDUJVBLZM
      ZNZUOPUPIBFVBBMZVFUNUOVGVCUKVEUMVBBUJUGVGVDULDVBBUJUHQRSHIDCGUITT $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d A x $.  $d r x $.  $d r y $.  $d x y $.
    nenpw1pwlem1.1 $e |- S = { x e. A | -. x e. ( r ` { x } ) } $.
    $( Lemma for ~ nenpw1pw .  Set up stratification. $)
    nenpw1pwlem1 $p |- ( A e. V -> S e. _V ) $=
      ( vy wcel cv csn cfv wn cin cvv csset vex wceq wa wex bitri crab cfullfun
      cab dfrab2 eqtri cdm cuni1 ccompl elcompl wel cop elin wbr snex brfullfun
      eldm2 df-br eqcom 3bitr3i opelssetsn anbi12i exbii eluni1 3bitr4i xchbinx
      fvex clel3 abbi2i fullfunex ssetex inex dmex uni1ex complex eqeltrri mpan
      inexg syl5eqel ) BDHZCAIZVTJZEIZKZHZLZAUCZBMZNCWEABUAWGFWEABUDUEWFNHVSWGN
      HWBUBZOMZUFZUGZUHZWFNWEAWLVTWLHVTWKHZWDVTWKAPZUIWAWJHZGIZWCQZAGUJZRZGSZWM
      WDWOWAWPUKZWIHZGSWTGWAWIUPXBWSGXBXAWHHZXAOHZRWSXAWHOULXCWQXDWRWAWPWHUMWCW
      PQXCWQWAWPWBVTUNUOWAWPWHUQWCWPURUSVTWPWNGPUTVATVBTVTWJWNVCGVTWCWAWBVFVGVD
      VEVHWKWJWIWHOWBEPVIVJVKVLVMVNVOWFBNDVQVPVR $.
      $( [10-Mar-2015] $)
  $}

  ${
    $d A r $.  $d A x $.  $d r x $.  $d A u $.  $d r u $.  $d S u $.  $d u y $.
    $d A y $.  $d r y $.  $d S y $.  $d x y $.
    nenpw1pwlem2.1 $e |- S = { x e. A | -. x e. ( r ` { x } ) } $.
    $( Lemma for ~ nenpw1pw .  Establish the main theorem with an extra
       hypothesis. $)
    nenpw1pwlem2 $p |- -. ~P1 A ~~ ~P A $=
      ( vy vu wbr cv wcel wn wb wrex wex cvv syl csn cfv wceq eleq2d cpw pm5.19
      cpw1 cen a1i nrex nex wf1o bren cdm f1odm vex dmex syl6eqelr pw1exb sylib
      nenpw1pwlem1 wss crab ssrab2 eqsstri elpwg mpbiri crn wfo f1ofo forn elrn
      wa breldm adantl adantr eleqtrd elpw1 wi w3a breq1 3anbi2d id sneq fveq2d
      weq eleq12d notbid elrab2 simp3 biantrurd simp2 wfn f1ofn snelpw1 biimpri
      3ad2ant1 3ad2ant3 fnbrfvb syl2anc mpbird bitr3d syl5bb syl6bi com12 3expa
      reximdva syl5bi mpd ex exlimdv sylbird eximi sylbi mto ) BUCZBUAZUDHZFIZC
      JZXPKZLZFBMZDNZXSDXRFBXRKXOBJZXPUBUEUFUGXNXLXMDIZUHZDNXTXLXMDUIYCXSDYCCXM
      JZXSYCCOJZYDYCBOJZYEYCXLOJYFYCXLYBUJZOXLXMYBUKZYBDULUMUNBUOUPABCODEUQPYEY
      DCBURCAIZYIQZYBRZJZKZABUSBEYMABUTVACBOVBVCPYCYDCYBVDZJZXSYCYNXMCYCXLXMYBV
      EYNXMSXLXMYBVFXLXMYBVGPTYOGIZCYBHZGNYCXSGCYBVHYCYQXSGYCYQXSYCYQVIZYPXLJZX
      SYRYPYGXLYQYPYGJYCYPCYBVJVKYCYGXLSYQYHVLVMYSYPXOQZSZFBMYRXSFYPBVNYRUUAXRF
      BYCYQYAUUAXRVOUUAYCYQYAVPZXRUUAUUBYCYTCYBHZYAVPZXRUUAYQUUCYCYAYPYTCYBVQVR
      XPYAXOYTYBRZJZKZVIZUUDXQYMUUGAXOBCAFWBZYLUUFUUIYIXOYKUUEUUIVSUUIYJYTYBYIX
      OVTWAWCWDEWEUUDUUGUUHXQUUDYAUUGYCUUCYAWFWGUUDUUFXPUUDUUECXOUUDUUECSZUUCYC
      UUCYAWHUUDYBXLWIZYTXLJZUUJUUCLYCUUCUUKYAXLXMYBWJWMYAYCUULUUCUULYAXOBWKWLW
      NXLYTCYBWOWPWQTWDWRWSWTXAXBXCXDXEXFXGXDXHXEXIXJXK $.
      $( [10-Mar-2015] $)
  $}

  ${
    $d A r $.  $d A x $.  $d r x $.
    $( No unit power class is equinumerous with the corresponding power class.
       Theorem XI.1.6 of {{Rosser}}, p. 347. $)
    nenpw1pw $p |- -. ~P1 A ~~ ~P A $=
      ( vx vr cv csn cfv wcel wn crab eqid nenpw1pwlem2 ) BABDZLECDFGHBAIZCMJK
      $.
      $( [10-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d B b $.
    $( If ` A ` and ` B ` are equinumerous, then so are their power sets.
       Theorem XI.1.36 of {{Rosser}}, p. 369. $)
    enpw $p |- ( A ~~ B -> ~P A ~~ ~P B ) $=
      ( va vb cvv wcel cen wbr cpw cv wi wceq pweq imbi12d c0 cmap vn0 vvex 0ex
      co wa brex breq1 breq1d breq2 breq2d cpr enmap2 eqid enprmapc mp2an ensym
      wne vex mpbir entr mpan2 sylancr syl vtocl2g mpcom ) AEFBEFUAABGHZAIZBIZG
      HZABGUBCJZDJZGHZVFIZVGIZGHZKAVGGHZVCVJGHZKVBVEKCDABEEVFALZVHVLVKVMVFAVGGU
      CVNVIVCVJGVFAMUDNVGBLZVLVBVMVEVGBAGUEVOVJVDVCGVGBMUFNVHEOUGZVFPTZVPVGPTZG
      HZVKVFVGVPUHVSVIVQGHZVQVJGHZVKVTVQVIGHZEOUMZVPVPLZWBQVPUIZEOVFVPRSCUNUJUK
      VIVQULUOVSVRVJGHZWAWCWDWFQWEEOVGVPRSDUNUJUKVQVRVJUPUQVIVQVJUPURUSUTVA $.
      $( [17-Mar-2015] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Cardinal numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c NC $. $( The set of cardinal numbers. $)
  $c <_c $. $( Cardinal less than or equal. $)
  $c <c $. $( Cardinal less than. $)
  $c Nc $. $( Cardinality operation. $)
  $c .c $. $( Cardinal multiplication. $)
  $c T_c $. $( Cardinal type raising. $)
  $c 2c $. $( Cardinal two. $)
  $c 3c $. $( Cardinal three. $)
  $c ^c $. $( Cardinal exponentiation. $)
  $c TcFn $. $( Stratified T-raising. $)

  $( Extend the definition of a class to include the set of cardinal
     numbers. $)
  cncs $a class NC $.

  $( Extend the definition of a class to include cardinal less than or
     equal. $)
  clec $a class <_c $.

  $( Extend the definition of a class to include cardinal strict less than. $)
  cltc $a class <c $.

  $( Extend the definition of a class to include the cardinality operation. $)
  cnc $a class Nc A $.

  $( Extend the definition of a class to include cardinal multiplication. $)
  cmuc $a class .c $.

  $( Extend the definition of a class to include cardinal type raising. $)
  ctc $a class T_c A $.

  $( Extend the definition of a class to include cardinal two. $)
  c2c $a class 2c $.

  $( Extend the definition of a class to include cardinal three. $)
  c3c $a class 3c $.

  $( Extend the definition of a class to include cardinal exponentiation. $)
  cce $a class ^c $.

  $( Extend the definition of a class to include the stratified T-raising
     function. $)
  ctcfn $a class TcFn $.

  $( Define the set of all cardinal numbers.  We define them as equivalence
     classes of sets of the same size.  Definition from {{Rosser}}, p. 372. $)
  df-ncs $a |- NC = ( _V /. ~~ ) $.

  ${
    $d x y a b $.
    $( Define cardinal less than or equal.  Definition from {{Rosser}},
       p. 375. $)
    df-lec $a |- <_c = { <. a , b >. | E. x e. a E. y e. b x C_ y } $.
  $}

  $( Define cardinal less than.  Definition from {{Rosser}}, p. 375. $)
  df-ltc $a |- <c = ( <_c \ _I ) $.

  $( Define the cardinality operation.  This is the unique cardinal number
     containing a given set.  Defintion from {{Rosser}}, p. 371. $)
  df-nc $a |- Nc A = [ A ] ~~ $.

  ${
    $d m n a b g $.
    $( Define cardinal multiplication.  Definition from {{Rosser}}, p. 378. $)
    df-muc $a |- .c = ( m e. NC , n e. NC |->
      { a | E. b e. m E. g e. n a ~~ ( b X. g ) } ) $.
  $}

  ${
    $d A b x $.
    $( Define the type-raising operation on a cardinal number.  This is the
       unique cardinal containing the unit power classes of the elements of the
       given cardinal.  Definition from {{Rosser}}, p.  XXX. $)
    df-tc $a |- T_c A = ( iota b ( b e. NC /\ E. x e. A b = Nc ~P1 x ) ) $.
  $}

  $( Define cardinal two.  This is the set of all sets with two unique
     elements. $)
  df-2c $a |- 2c = Nc { (/) , _V } $.

  $( Define cardinal three.  This is the set of all sets with three unique
     elements. $)
  df-3c $a |- 3c = Nc { (/) , _V , ( _V \ { (/) } ) } $.

  ${
    $d n m g a b $.
    $( Define cardinal exponentiation.  Definition from {{Rosser}}, p. 381. $)
    df-ce $a |- ^c = ( n e. NC , m e. NC |->
       { g | E. a E. b ( ~P1 a e. n /\ ~P1 b e. m /\
          g ~~ ( a ^m b ) ) } ) $.
  $}

  $( Define the stratified T-raising function. $)
  df-tcfn $a |- TcFn = ( x e. 1c |-> T_c U. x ) $.

  $( Cardinality equality law. $)
  nceq $p |- ( A = B -> Nc A = Nc B ) $=
    ( wceq cen cec cnc eceq1 df-nc 3eqtr4g ) ABCADEBDEAFBFABDGAHBHI $.
    $( [24-Feb-2015] $)

  ${
    nceqi.1 $e |- A = B $.
    $( Equality inference for cardinality. $)
    nceqi $p |- Nc A = Nc B $=
      ( wceq cnc nceq ax-mp ) ABDAEBEDCABFG $.
      $( [24-Feb-2015] $)
  $}

  ${
    nceqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for cardinality. $)
    nceqd $p |- ( ph -> Nc A = Nc B ) $=
      ( wceq cnc nceq syl ) ABCEBFCFEDBCGH $.
      $( [24-Feb-2015] $)
  $}

  $( The class of all cardinal numbers is a set. $)
  ncsex $p |- NC e. _V $=
    ( cncs cvv cen cqs df-ncs enex vvex qsex eqeltri ) ABCDBEBCFGHI $.
    $( [24-Feb-2015] $)

  ${
    $d A a b x $.  $d B a b x y $.
    $( Binary relationship form of cardinal less than or equal. $)
    brlecg $p |- ( ( A e. V /\ B e. W ) ->
       ( A <_c B <-> E. x e. A E. y e. B x C_ y ) ) $=
      ( vb va cv wss wrex clec rexeq wceq rexbidv df-lec brabg ) AIBIJZBGIZKZAH
      IZKTACKRBDKZACKHGCDEFLTAUACMSDNTUBACRBSDMOABHGPQ $.
      $( [24-Feb-2015] $)

    brlec.1 $e |- A e. _V $.
    brlec.2 $e |- B e. _V $.
    $( Binary relationship form of cardinal less than or equal. $)
    brlec $p |- ( A <_c B <-> E. x e. A E. y e. B x C_ y ) $=
      ( cvv wcel clec wbr cv wss wrex wb brlecg mp2an ) CGHDGHCDIJAKBKLBDMACMNE
      FABCDGGOP $.
      $( [24-Feb-2015] $)
  $}

  $( Binary relationship form of cardinal less than. $)
  brltc $p |- ( A <c B <-> ( A <_c B /\ A =/= B ) ) $=
    ( cltc wbr cvv wcel clec wne wa brex simprd adantr cid wn cdif df-ltc breqi
    brdif bitri ideqg necon3bbid anbi2d syl5bb pm5.21nii ) ABCDZBEFZABGDZABHZIZ
    UEAEFZUFABCJKUGUFUHUGUJUFABGJKLUEUGABMDZNZIZUFUIUEABGMOZDUMABCUNPQABGMRSUFU
    LUHUGUFUKABABETUAUBUCUD $.
    $( [4-Mar-2015] $)

  ${
    $d a b x y $.
    $( Cardinal less than or equal is a relationship. $)
    rellec $p |- Rel <_c $=
      ( vx vy vb va cv wss wrex clec df-lec relopabi ) AEBEFBCEGADEGDCHABDCIJ
      $.
      $( [24-Feb-2015] $)
  $}

  ${
    $d a b $.  $d a t $.  $d a u $.  $d a x $.  $d a y $.  $d b t $.  $d b u $.
    $d b x $.  $d b y $.  $d t u $.  $d t x $.  $d t y $.  $d u x $.  $d u y $.
    $d x y $.
    $( Cardinal less than or equal is a set. $)
    lecex $p |- <_c e. _V $=
      ( va vb vx vy vt vu clec csset ccom cv wrex wbr wa csn 2exbii bitri exbii
      wex vex ssetex csi ccnv cvv rellec relco wss wceq wel 19.41vv anass ancom
      r2ex w3a df-3an bitr4i snex breq1 anbi1d anbi2d ceqsex2v brssetsn anbi12i
      3bitri anbi1i 3bitr3i brlec brco brsi brsset anbi2i 19.42v 19.42vv bitr2i
      brcnv 3bitr2i exrot4 3bitr4i eqbrriv siex coex cnvex eqeltri ) GHHUAZIZHU
      BZIZUCABGWFUDWDWEUECJZDJZUFZDBJZKCAJZKZEJZWKHLZFJZWJHLZMZWMWGNZUGZWOWHNZU
      GZMZWIMZMZFRERZDRCRZWKWJGLWKWJWFLZWLCAUHZDBUHZMZWIMZDRCRXFWICDWKWJULXEXKC
      DWQXBMZWIMZFRERXLFRERZWIMXEXKXLWIEFUIXMXDEFWQXBWIUJOXNXJWIXNWSXAWQUMZFRER
      WRWKHLZWTWJHLZMZXJXLXOEFXLXBWQMXOWQXBUKWSXAWQUNUOOWQXPWPMXREFWRWTWGUPWHUP
      WSWNXPWPWMWRWKHUQURXAWPXQXPWOWTWJHUQUSUTXPXHXQXIWGWKCSZASZVAWHWJDSZBSZVAV
      BVCVDVEOUOCDWKWJXTYBVFXGWKWMWELZWMWJWDLZMZERXDDRCRZFRZERXFEWKWJWDWEVGYEYG
      EYEWNWPXCDRCRZMZFRZMWNYIMZFRYGYCWNYDYJWKWMHVNYDWMWOWCLZWPMZFRYJFWMWJHWCVG
      YMYIFYMWPYLMYIYLWPUKYLYHWPYLWSXAWGWHHLZUMZDRCRYHCDWMWOHVHYOXCCDYOXBYNMXCW
      SXAYNUNYNWIXBWGWHXSYAVIVJPOPVJPQPVBWNYIFVKYKYFFYFWQYHMYKWQXCCDVLWNWPYHUJV
      MQVOQXDEFCDVPVCVQVRWDWEHWCTHTVSVTHTWAVTWB $.
      $( [24-Feb-2015] $)
  $}

  $( Cardinal strict less than is a set. $)
  ltcex $p |- <c e. _V $=
    ( cltc clec cid cdif cvv df-ltc lecex idex difex eqeltri ) ABCDEFBCGHIJ $.
    $( [24-Feb-2015] $)

  $( The cardinality of a class is a set. $)
  ncex $p |- Nc A e. _V $=
    ( cnc cen cec cvv df-nc wcel enex ecexg ax-mp eqeltri ) ABACDZEAFCEGLEGHAEC
    IJK $.
    $( [24-Feb-2015] $)

  $( The empty class is not a cardinal number. $)
  nulnnc $p |- -. (/) e. NC $=
    ( c0 wceq cncs wcel eqid wne cvv cen cqs cdm dmen elqsn0 mpan df-ncs eleq2s
    wn necon2bi ax-mp ) AABACDZPAESAAAAFZAGHIZCHJGBAUADTKGAHLMNOQR $.
    $( [24-Feb-2015] $)

  ${
    $d A x $.
    $( Membership in the cardinals. $)
    elncs $p |- ( A e. NC <-> E. x A = Nc x ) $=
      ( cncs wcel cvv cen cqs cnc wceq wex df-ncs eleq2i elex ncex eleq1 mpbiri
      cv exlimiv cec wrex elqsg df-nc eqeq2i exbii rexv syl6bbr pm5.21nii bitri
      bitr4i ) BCDBEFGZDZBAQZHZIZAJZCUJBKLUKBEDZUOBUJMUNUPAUNUPUMEDULNBUMEOPRUP
      UKBULFSZIZAETZUOAEBFEUAUOURAJUSUNURAUMUQBULUBUCUDURAUEUIUFUGUH $.
      $( [24-Feb-2015] $)
  $}

  ${
    $d A x $.
    $( The cardinality of a set is a cardinal number. $)
    ncelncs $p |- ( A e. V -> Nc A e. NC ) $=
      ( vx wcel cnc cv wceq wex cncs elisset nceq eqcoms eximi syl elncs sylibr
      ) ABDZAEZCFZEGZCHZRIDQSAGZCHUACABJUBTCTASASKLMNCROP $.
      $( [24-Feb-2015] $)
  $}

  ${
    ncelncsi.1 $e |- A e. _V $.
    $( The cardinality of a set is a cardinal number. $)
    ncelncsi $p |- Nc A e. NC $=
      ( cvv wcel cnc cncs ncelncs ax-mp ) ACDAEFDBACGH $.
      $( [10-Mar-2015] $)
  $}

  $( A set is a member of its own cardinal. $)
  ncidg $p |- ( A e. V -> A e. Nc A ) $=
    ( wcel cen cec cnc wbr enrflxg elec sylibr df-nc syl6eleqr ) ABCZAADEZAFMAA
    DGANCABHAADIJAKL $.
    $( [24-Feb-2015] $)

  ${
    ncid.1 $e |- A e. _V $.
    $( A set is a member of its own cardinal. $)
    ncid $p |- A e. Nc A $=
      ( cvv wcel cnc ncidg ax-mp ) ACDAAEDBACFG $.
      $( [24-Feb-2015] $)
  $}

  ${
    $d A x $.
    $( The cardinality of a proper class is the empty set. $)
    ncprc $p |- ( -. A e. _V -> Nc A = (/) ) $=
      ( vx cvv wcel wn cv cnc wal wceq cen cec ecexr df-nc eleq2s con3i alrimiv
      c0 eq0 sylibr ) ACDZEZBFZAGZDZEZBHUCQIUAUEBUDTTUBAJKUCUBAJLAMNOPBUCRS $.
      $( [24-Feb-2015] $)
  $}

  $( Membership in cardinality. $)
  elnc $p |- ( A e. Nc B <-> A ~~ B ) $=
    ( cnc wcel cvv wa cen wbr elex cec ecexr df-nc eleq2s jca brex eleq2i bitri
    elec cer ener a1i simpr simpl ersymb syl5bb pm5.21nii ) ABCZDZAEDZBEDZFZABG
    HZUHUIUJAUGIUJABGJZUGABGKBLZMNABGOUHBAGHZUKULUHAUMDUOUGUMAUNPABGRQUKEGBAGES
    HUKTUAUIUJUBUIUJUCUDUEUF $.
    $( [24-Feb-2015] $)

  ${
    $( Equality of cardinalities. $)
    eqncg $p |- ( A e. V -> ( Nc A = Nc B <-> A ~~ B ) ) $=
      ( wcel cvv cnc cen wbr wa cec ncidg adantr wb eleq2 adantl mpbid df-nc ex
      wceq a1i syl6eleq ecexr syl brex simprd cer ener cdm dmen elex simpr erth
      wi eqeq12i syl6rbbr pm5.21ndd ) ACDZBEDZAFZBFZSZABGHZUQVAURUQVAIZABGJZDUR
      VCAUTVDVCAUSDZAUTDZUQVEVAACKLVAVEVFMUQUSUTANOPBQZUAABGUBUCRVBURUMUQVBAEDZ
      URABGUDUETUQURVAVBMUQURIZVBAGJZVDSVAVIABGEEGEUFHVIUGTGUHESVIUITUQVHURACUJ
      LUQURUKULUSVJUTVDAQVGUNUORUP $.
      $( [24-Feb-2015] $)
  $}

  ${
    eqnc.1 $e |- A e. _V $.
    $( Equality of cardinalities. $)
    eqnc $p |- ( Nc A = Nc B <-> A ~~ B ) $=
      ( cvv wcel cnc wceq cen wbr wb eqncg ax-mp ) ADEAFBFGABHIJCABDKL $.
      $( [24-Feb-2015] $)
  $}

  ${
    $d A y $.  $d X y $.
    $( A cardinal is equal to the cardinality of a set iff it contains the
       set. $)
    ncseqnc $p |- ( A e. NC -> ( A = Nc X <-> X e. A ) ) $=
      ( vy cncs wcel cv cnc wceq wex elncs cen wbr cvv cec vex ncid eleq2 df-nc
      wb a1i mpbiri syl6eleq ecexr syl brex simpld cer ener cdm dmen id eqeq12i
      erth syl6rbbr pm5.21nii eqcom elnc 3bitr4i eqeq1 3bitr4d exlimiv sylbi )
      ADEACFZGZHZCIABGZHZBAEZSZCAJVEVICVEVDVFHZBVDEZVGVHVJVKSVEVFVDHZBVCKLZVJVK
      VLBMEZVMVLVCBKNZEVNVLVCVFVOVLVCVFEVCVDEVCCOZPVFVDVCQUABRZUBVCBKUCUDVMVNVC
      MEZBVCKUEUFVNVMVOVCKNZHVLVNBVCKMMKMUGLVNUHTKUIMHVNUJTVNUKVRVNVPTUMVFVOVDV
      SVQVCRULUNUOVDVFUPBVCUQURTAVDVFUSAVDBQUTVAVB $.
      $( [24-Feb-2015] $)
  $}

  ${
    eqnc2.1 $e |- X e. _V $.
    $( Alternate condition for equality to a cardinality. $)
    eqnc2 $p |- ( A = Nc X <-> ( A e. NC /\ X e. A ) ) $=
      ( cnc wceq cncs wcel ncelncsi eleq1 mpbiri ncseqnc biadan2 ) ABDZEZAFGZBA
      GNOMFGBCHAMFIJABKL $.
      $( [18-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a c $.  $d a g $.  $d a m $.  $d a n $.  $d b c $.  $d b g $.
    $d b m $.  $d b n $.  $d c g $.  $d g m $.  $d g n $.  $d M a $.  $d M b $.
    $d M m $.  $d m n $.  $d M n $.  $d N a $.  $d N b $.  $d N g $.  $d N n $.
    $( The value of cardinal multiplication. $)
    ovmuc $p |- ( ( M e. NC /\ N e. NC ) ->
       ( M .c N ) = { a | E. b e. M E. g e. N a ~~ ( b X. g ) } ) $=
      ( vc cncs wcel cv cen wbr wrex cvv wceq wa ccross c2nd c1st cop 3bitri vm
      vn cxp cab cmuc ctxp crn cins4 ccnv cins2 cin cima elima df-br elrn2 elin
      co wex oqelins4 elrn trtxp ancom op1st2nd anbi2i exbii opex breq1 ceqsexv
      vex brcross otelins2 brcnv bitr3i anbi12i bitri xpex breq2 rexbii crossex
      abbi2i 2ndex 1stex txpex rnex ins4ex enex cnvex ins2ex inex imaexg ancoms
      mpan sylan syl5eqelr rexeq abbidv rexbidv df-muc ovmpt2g mpd3an3 ) BGHZCG
      HZDIZEIZAIZUCZJKZACLZEBLZDUDZMHBCUEUQXJNXAXBOXJPQRUFZUFZUGZUHZJUIZUJZUJZU
      KZUGZCULZBULZMXIDYAXCYAHXDXCXTKZEBLXIEXCXTBUMYBXHEBYBXDXCSZXTHXEYCXSKZACL
      XHXDXCXTUNAYCXSCUMYDXGACYDXEYCSZXSHZXGXEYCXSUNYFFIZYESZXRHZFURYGXFNZXCYGJ
      KZOZFURXGFYEXRUOYIYLFYIYHXNHZYHXQHZOYLYHXNXQUPYMYJYNYKYMYGXEXDSZSZXMHZXDX
      ESZYGPKZYJYGXEXDXCXMDVIUSYQXCYPXLKZDURXCYRNZXCYGPKZOZDURYSDYPXLUTYTUUCDYT
      UUBXCYOXKKZOUUBUUAOUUCXCYGYOPXKVAUUDUUAUUBUUDXCXEQKZXCXDRKZOUUFUUEOUUAXCX
      EXDQRVAUUEUUFVBXDXEXCEVIZAVIZVCTVDUUBUUAVBTVEUUBYSDYRXDXEUUGUUHVFXCYRYGPV
      GVHTXDXEYGUUGUUHVJTYNYGYCSXPHYGXCSXOHZYKYGXEYCXPUUHVKYGXDXCXOUUGVKUUIYGXC
      XOKYKYGXCXOUNYGXCJVLVMTVNVOVEYKXGFXFXDXEUUGUUHVPYGXFXCJVQVHTVOVRTVRVOVTXB
      XAYAMHZXBXTMHZXAUUJXSMHXBUUKXRXNXQXMXLPXKVSQRWAWBWCWCWDWEXPXOJWFWGWHWHWIW
      DXSCMGWJWLXTBMGWJWMWKWNUAUBBCGGXGAUBIZLZEUAIZLZDUDXJUEUUMEBLZDUDMUUNBNUUO
      UUPDUUMEUUNBWOWPUULCNZUUPXIDUUQUUMXHEBXGAUULCWOWQWPAUAUBDEWRWSWT $.
      $( [10-Mar-2015] $)
  $}

  ${
    $d A x $.  $d A y $.  $d A z $.  $d B x $.  $d B y $.  $d B z $.  $d x y $.
    $d x z $.  $d y z $.
    mucnc.1 $e |- A e. _V $.
    mucnc.2 $e |- B e. _V $.
    $( Cardinal multiplication in terms of cardinality.  Theorem XI.2.27 of
       {{Rosser}}, p. 378. $)
    mucnc $p |- ( Nc A .c Nc B ) = Nc ( A X. B ) $=
      ( vx vy vz cnc cv cxp cen wbr wrex cab cncs wcel wceq ncelncsi wa wex cec
      cmuc co ovmuc mp2an df-nc dfec2 elnc anbi12i ensym 2exbii enrflx bi2anan9
      r2ex breq1 xpeq12 breq1d anbi12d cla42ev mpanl12 xpen sylib entr exlimivv
      sylan impbii 3bitr4ri abbii 3eqtrri eqtri ) AHZBHZUBUCZEIZFIZGIZJZKLZGVLM
      FVKMZENZABJZHZVKOPVLOPVMVTQACRBDRGVKVLEFUDUEWBWAKUAWAVNKLZENVTWAUFEWAKUGW
      CVSEVOVKPZVPVLPZSZVRSZGTFTVOAKLZVPBKLZSZVQVNKLZSZGTFTZVSWCWGWLFGWFWJVRWKW
      DWHWEWIVOAUHVPBUHUIVNVQUJUIUKVRFGVKVLUNWCWMAAKLZBBKLZWCWMACULBDULWLWNWOSZ
      WCSFGABCDVOAQZVPBQZSZWJWPWKWCWQWHWNWRWIWOVOAAKUOVPBBKUOUMWSVQWAVNKVOAVPBU
      PUQURUSUTWLWCFGWJWAVQKLZWKWCWJVQWAKLWTVOAVPBVAVQWAUJVBWAVQVNVCVEVDVFVGVHV
      IVJ $.
      $( [10-Mar-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    $( Closure law for cardinal multiplicaton. $)
    muccl $p |- ( ( A e. NC /\ B e. NC ) -> ( A .c B ) e. NC ) $=
      ( vx vy cncs wcel wa cv cnc wceq wex co elncs anbi12i eeanv bitr4i oveq12
      cmuc cxp vex mucnc xpex ncelncsi eqeltri syl6eqel exlimivv sylbi ) AEFZBE
      FZGZACHZIZJZBDHZIZJZGZDKCKZABRLZEFZUJUMCKZUPDKZGURUHVAUIVBCAMDBMNUMUPCDOP
      UQUTCDUQUSULUORLZEAULBUORQVCUKUNSZIEUKUNCTZDTZUAVDUKUNVEVFUBUCUDUEUFUG $.
      $( [10-Mar-2015] $)
  $}

  ${
    $d a b c d m n $.
    $( Cardinal multiplication is a set. $)
    mucex $p |- .c e. _V $=
      ( vm vn va vb vc vd cncs csset cen c1c wbr wrex cop wcel wex otelins2 vex
      cv wa bitri cmuc cxp cvv cins2 ccnv cins4 cin crn csi3 cima cins3 csymdif
      ccross cdif cab cmpt2 df-muc csn wel elin snex opelssetsn 3bitri oqelins4
      otsnelsi3 wceq elrn2 df-br brcnv brcross 3bitr2i anbi12i exbii xpex breq2
      ceqsexv elima1c df-rex 3bitr4i bitr4i rexcom weq breq1 2rexbidv releqmpt2
      elab eqtr4i ncsex ssetex ins2ex crossex cnvex ins4ex enex inex rnex si3ex
      1cex imaex mpt2exlem eqeltri ) UAGGUBUCUBHUDZXBUDZXCUMUEZUFZIUEZUDZUDZUGZ
      UHZUIZUFZUGZJUJZUFZUGZJUJZUKULJUJUNZUCUAABGGCRZDRZERZUBZIKZEBRZLDARZLZCUO
      ZUPXREABCDUQABFGGXQYGFRZURZYEYDMZMZXQNZYHYBIKZEYDLDYELZYHYGNYAURZYKMZXPNZ
      EOZYMDYELZEYDLZYLYNYREBUSZYSSZEOYTYQUUBEYQYPXCNZYPXONZSUUBYPXCXOUTUUCUUAU
      UDYSUUCYOYJMXBNYOYDMHNUUAYOYIYJXBYHVAZPYOYEYDHAQZPYAYDEQZBQZVBVCUUDYOYIYE
      MZMZXNNZYSYOYIYEYDXNUUHVDXTURZUUJMZXMNZDODAUSZYMSZDOUUKYSUUNUUPDUUNUUMXCN
      ZUUMXLNZSUUPUUMXCXLUTUUQUUOUURYMUUQUULUUIMXBNUULYEMHNUUOUULYOUUIXBYAVAPUU
      LYIYEHUUEPXTYEDQZUUFVBVCUURUULYOYIMMXKNXTYAYHMZMZXJNZYMUULYOYIYEXKUUFVDXT
      YAYHXJUUSUUGFQZVEUVBXSUVAMZXINZCOXSYBVFZYHXSIKZSZCOYMCUVAXIVGUVEUVHCUVEUV
      DXENZUVDXHNZSUVHUVDXEXHUTUVIUVFUVJUVGUVIXSXTYAMZMXDNXSUVKXDKZUVFXSXTYAYHX
      DUVCVDXSUVKXDVHUVLUVKXSUMKUVFXSUVKUMVIXTYAXSUUSUUGVJTVKUVJXSUUTMXGNZUVGXS
      XTUUTXGUUSPUVMXSYHMXFNXSYHXFKUVGXSYAYHXFUUGPXSYHXFVHXSYHIVIVKTVLTVMUVGYMC
      YBXTYAUUSUUGVNXSYBYHIVOVPVCVCVLTVMDUUJXMVQYMDYEVRVSTVLTVMYSEYDVRVTEYKXPVQ
      YMDEYEYDWAVSYFYNCYHUVCCFWBYCYMDEYEYDXSYHYBIWCWDWFVTWEWGGGXQWHWHXPJXCXOXBH
      WIWJWJZXNXMJXCXLUVNXKXJXIXEXHXDUMWKWLWMXGXFIWNWLWJWJWOWPWQWMWOWRWSWMWOWRW
      SWTXA $.
      $( [24-Feb-2015] $)
  $}

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d x y $.
    $( Cardinal multiplication commutes.  Theorem XI.2.28 of {{Rosser}},
       p. 378. $)
    muccom $p |- ( ( A e. NC /\ B e. NC ) -> ( A .c B ) = ( B .c A ) ) $=
      ( vx vy cncs wcel wa cv cnc wceq wex co elncs anbi12i eeanv cxp vex mucnc
      cmuc oveq12 bitr4i cen wbr xpcomen xpex eqnc mpbir 3eqtr4i ancoms 3eqtr4a
      exlimivv sylbi ) AEFZBEFZGZACHZIZJZBDHZIZJZGZDKCKZABSLZBASLZJZUOURCKZVADK
      ZGVCUMVGUNVHCAMDBMNURVACDOUAVBVFCDVBUQUTSLZUTUQSLZVDVEUPUSPZIZUSUPPZIZVIV
      JVLVNJVKVMUBUCUPUSCQZDQZUDVKVMUPUSVOVPUEUFUGUPUSVOVPRUSUPVPVORUHAUQBUTSTV
      AURVEVJJBUTAUQSTUIUJUKUL $.
      $( [10-Mar-2015] $)
  $}

  ${
    $d A x $.  $d A y $.  $d A z $.  $d B x $.  $d B y $.  $d B z $.  $d C x $.
    $d C y $.  $d C z $.  $d x y $.  $d x z $.  $d y z $.
    $( Cardinal multiplication associates.  Theorem XI.2.29 of {{Rosser}},
       p. 378. $)
    mucass $p |- ( ( A e. NC /\ B e. NC /\ C e. NC ) ->
       ( ( A .c B ) .c C ) = ( A .c ( B .c C ) ) ) $=
      ( vx vy vz cncs wcel w3a cv cnc wceq wex cmuc co elncs cxp vex xpex mucnc
      3anbi123i eeeanv bitr4i cen wbr xpassen mpbir oveq1i eqtri oveq2i 3eqtr4i
      eqnc wa oveq12 id oveqan12d 3impa 3impb 3eqtr4a exlimiv exlimivv sylbi )
      AGHZBGHZCGHZIZADJZKZLZBEJZKZLZCFJZKZLZIZFMZEMDMZABNOZCNOZABCNOZNOZLZVFVID
      MZVLEMZVOFMZIVRVCWDVDWEVEWFDAPEBPFCPUAVIVLVODEFUBUCVQWCDEVPWCFVPVHVKNOZVN
      NOZVHVKVNNOZNOZVTWBVGVJQZVMQZKZVGVJVMQZQZKZWHWJWMWPLWLWOUDUEVGVJVMDRZERZF
      RZUFWLWOWKVMVGVJWQWRSZWSSULUGWHWKKZVNNOWMWGXAVNNVGVJWQWRTUHWKVMWTWSTUIWJV
      HWNKZNOWPWIXBVHNVJVMWRWSTUJVGWNWQVJVMWRWSSTUIUKVIVLVOVTWHLVIVLUMVOVSWGCVN
      NAVHBVKNUNVOUOUPUQVIVLVOWBWJLVIVLVOUMAVHWAWINVIUOBVKCVNNUNUPURUSUTVAVB $.
      $( [10-Mar-2015] $)
  $}

  ${
    $d A p $.  $d A q $.  $d A r $.  $d A x $.  $d B p $.  $d B q $.  $d B r $.
    $d B x $.  $d p q $.  $d p x $.  $d q x $.  $d r x $.
    ncdisjun.1 $e |- A e. _V $.
    ncdisjun.2 $e |- B e. _V $.
    $( Cardinality of disjoint union of two sets. $)
    ncdisjun $p |- ( ( A i^i B ) = (/) -> Nc ( A u. B ) = ( Nc A +c Nc B ) ) $=
      ( vr vp vq cin c0 wceq cv wcel cen wbr elnc wf1o ccnv wa cima adantl cplc
      vx cun cnc wex f1ocnv imaundi cdm crn imadmrn a1i f1odm imaeq2d wfo f1ofo
      bren forn syl 3eqtr3d syl5eqr cres wf1 wss f1of1 ssun1 f1ores sylancl vex
      cnvex resex f1oen 3syl sylibr ssun2 wfun df-f1 simprbi imaeq2 ima0 syl6eq
      wf adantr eqtr3d eladdci syl3anc eqeltrrd syl5 exlimdv syl5bi wrex eladdc
      imain simplrl sylib simplrr simpr simpll unen syl22anc syl5ibrcom expimpd
      ex breq1 rexlimdvva impbid syl5bb eqrdv ) ABHZIJZUBABUCZUDZAUDZBUDZUAZUBK
      ZXKLXOXJMNZXIXOXNLZXOXJOXIXPXQXPXOXJEKZPZEUEXIXQXOXJEUPXIXSXQEXSXJXOXRQZP
      ZXIXQXOXJXRUFXIYAXQXIYARZXTASZXTBSZUCZXOXNYAYEXOJXIYAYEXTXJSZXOXTABUGYAXT
      XTUHZSZXTUIZYFXOYHYIJYAXTUJUKYAYGXJXTXJXOXTULUMYAXJXOXTUNYIXOJXJXOXTUOXJX
      OXTUQURUSUTTYBYCXLLZYDXMLZYCYDHZIJYEXNLYAYJXIYAYCAMNZYJYAAYCXTAVAZPZYCAYN
      QZPYMYAXJXOXTVBZAXJVCYOXJXOXTVDZABVEXJXOAXTVFVGAYCYNUFYCAYPYNXTAXREVHVIZC
      VJVIVKVLYCAOVMTYBYDBMNZYKYAYTXIYABYDXTBVAZPZYDBUUAQZPYTYAYQBXJVCUUBYRBAVN
      XJXOBXTVFVGBYDUUAUFYDBUUCUUAXTBYSDVJVIVKVLTYDBOVMYBXTXHSZYLIYAUUDYLJZXIYA
      YQXTQVOZUUEYRYQXJXOXTWAUUFXJXOXTVPVQABXTWLVLTXIUUDIJYAXIUUDXTISIXHIXTVRXT
      VSVTWBWCYCYDXLXMWDWEWFXBWGWHWIXQFKZGKZHIJZXOUUGUUHUCZJZRZGXMWJFXLWJXIXPXO
      XLXMFGWKXIUULXPFGXLXMXIUUGXLLZUUHXMLZRZRZUUIUUKXPUUPUUIRZXPUUKUUJXJMNZUUQ
      UUGAMNZUUHBMNZUUIXIUURUUQUUMUUSXIUUMUUNUUIWMUUGAOWNUUQUUNUUTXIUUMUUNUUIWO
      UUHBOWNUUPUUIWPXIUUOUUIWQUUGAUUHBWRWSXOUUJXJMXCWTXAXDWIXEXFXG $.
      $( [24-Feb-2015] $)
  $}

  $( Cardinal zero is the cardinality of the empty set. $)
  df0c2 $p |- 0c = Nc (/) $=
    ( vx c0 cen cec cv wbr cab cnc c0c dfec2 df-nc wceq wcel en0 ensym 3bitr4ri
    el0c abbi2i 3eqtr4ri ) BCDBAEZCFZAGBHIABCJBKUAAITBCFTBLUATIMTNBTOTQPRS $.
    $( [24-Feb-2015] $)

  $( Cardinal zero is a cardinal number. $)
  0cnc $p |- 0c e. NC $=
    ( c0c c0 cnc cncs df0c2 0ex ncelncsi eqeltri ) ABCDEBFGH $.
    $( [24-Feb-2015] $)


  ${
    $d f x $.  $d f y $.  $d f z $.  $d x y $.  $d x z $.  $d y z $.
    $( Cardinal one is a cardinal number. $)
    1cnc $p |- 1c e. NC $=
      ( vx vy vz vf c1c wcel cv cnc wceq wex csn cen wbr cvv vex exlimiv eqeq2d
      crn cla4ev sylbi cncs dfec2 df-nc el1c en2sn mp2an breq2 mpbiri wf1o bren
      cec cab wf f1of wfo f1ofo forn syl cfv cop fsn2 rneq rnsnop syl6eq eqeq1d
      wa wi fvex sneq eqcoms syl6bi adantl sylc impbii bitri 3eqtr4ri snex nceq
      abbi2i ax-mp elncs mpbir ) EUAFEAGZHZIZAJZEBGZKZHZIZWFWHLUKWHCGZLMZCULWIE
      CWHLUBWHUCWLCEWKEFWKWCKZIZAJZWLAWKUDWOWLWNWLAWNWLWHWMLMZWGNFWCNFWPBOZAOWG
      WCNNUEUFWKWMWHLUGUHPWLWHWKDGZUIZDJWOWHWKDUJWSWODWSWHWKWRUMZWRRZWKIZWOWHWK
      WRUNWSWHWKWRUOXBWHWKWRUPWHWKWRUQURWTWGWRUSZWKFZWRWGXCUTKZIZVFXBWOVGZWGWKW
      RWQVAXFXGXDXFXBXCKZWKIWOXFXAXHWKXFXAXERXHWRXEVBWGXCWQVCVDVEWOWKXHWNWKXHIA
      XCWGWRVHWCXCIWMXHWKWCXCVIQSVJVKVLTVMPTVNVOVSVPWEWJAWHWGVQWCWHIWDWIEWCWHVR
      QSVTAEWAWB $.
      $( [24-Feb-2015] $)
  $}


  ${
    df1c3.1 $e |- A e. _V $.
    $( Cardinal one is the cardinality of a singleton. $)
    df1c3 $p |- 1c = Nc { A } $=
      ( c1c csn cnc wceq wcel snel1c cncs wb 1cnc ncseqnc ax-mp mpbir ) CADZEFZ
      OCGZABHCIGPQJKCOLMN $.
      $( [2-Mar-2015] $)
  $}

  ${
    $d A x $.
    $( Cardinal one is the cardinality of a singleton. $)
    df1c3g $p |- ( A e. V -> 1c = Nc { A } ) $=
      ( vx c1c cv csn cnc wceq sneq nceqd eqeq2d vex df1c3 vtoclg ) DCEZFZGZHDA
      FZGZHCABOAHZQSDTPROAIJKOCLMN $.
      $( [13-Mar-2015] $)
  $}

  ${
    $d A x $.
    $( Cardinal multiplication by zero.  Theorem XI.2.32 of {{Rosser}},
       p. 379. $)
    muc0 $p |- ( A e. NC -> ( A .c 0c ) = 0c ) $=
      ( vx cncs wcel cv cnc wceq wex c0c cmuc co elncs oveq1 c0 cxp nceqi df0c2
      xp0 oveq2i vex 0ex mucnc eqtri 3eqtr4i syl6eq exlimiv sylbi ) ACDABEZFZGZ
      BHAIJKZIGZBALUJULBUJUKUIIJKZIAUIIJMUHNOZFZNFZUMIUNNUHRPUMUIUPJKUOIUPUIJQS
      UHNBTUAUBUCQUDUEUFUG $.
      $( [10-Mar-2015] $)
  $}

  ${
    $d A x $.
    $( Cardinal multiplication by one. $)
    mucid1 $p |- ( A e. NC -> ( A .c 1c ) = A ) $=
      ( vx cncs wcel cv cnc wceq wex c1c cmuc co elncs csn cxp vex df1c3 oveq2i
      snex mucnc cen wbr xpsnen xpex eqnc mpbir 3eqtri oveq1 id 3eqtr4a exlimiv
      sylbi ) ACDABEZFZGZBHAIJKZAGZBALUNUPBUNUMIJKZUMUOAUQUMULMZFZJKULURNZFZUMI
      USUMJULBOZPQULURVBULRZSVAUMGUTULTUAULULVBVBUBUTULULURVBVCUCUDUEUFAUMIJUGU
      NUHUIUJUK $.
      $( [11-Mar-2015] $)
  $}

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d x y $.  $d x z $.  $d y z $.
    $( The cardinals are closed under cardinal addition. $)
    ncaddccl $p |- ( ( A e. NC /\ B e. NC ) -> ( A +c B ) e. NC ) $=
      ( vx vy vz cncs wcel cv cnc wceq wex elncs wa c0 csn cxp cen mpbir eqcomi
      cplc eeanv ccompl wbr vex 0ex complex xpsnen snex xpex eqnc eqtr addceq12
      mpan2 cun cin necompl xpnedisj ncdisjun ax-mp unex eqeq2d cla4ev syl6eqel
      nceq syl2an exlimivv sylbir syl2anb ) AFGACHZIZJZCKZBDHZIZJZDKZABTZFGZBFG
      CALDBLVLVPMVKVOMZDKCKVRVKVOCDUAVSVRCDVKAVINUBZOZPZIZJZBVMNOZPZIZJZVRVOVKV
      JWCJWDWCVJWCVJJWBVIQUCVIVTCUDZNUEUFZUGWBVIVIWAWIVTUHUIZUJRSAVJWCUKUMVOVNW
      GJWHWGVNWGVNJWFVMQUCVMNDUDZUEUGWFVMVMWEWLNUHUIZUJRSBVNWGUKUMWDWHMVQWCWGTZ
      FABWCWGULWNFGWNEHZIZJZEKZWNWBWFUNZIZJZWRWTWNWBWFUONJWTWNJVIVMVTNWJNUPUQWB
      WFWKWMURUSSWQXAEWSWBWFWKWMUTWOWSJWPWTWNWOWSVDVAVBUSEWNLRVCVEVFVGVH $.
      $( [24-Feb-2015] $)
  $}

  $( The successor of a cardinal is a cardinal. $)
  peano2nc $p |- ( A e. NC -> ( A +c 1c ) e. NC ) $=
    ( cncs wcel c1c cplc 1cnc ncaddccl mpan2 ) ABCDBCADEBCFADGH $.
    $( [24-Feb-2015] $)

  ${
    $d A x n $.
    $( A finite cardinal number is a cardinal number. $)
    nnnc $p |- ( A e. Nn -> A e. NC ) $=
      ( vx vn cv cncs wcel c0c c1c cplc cab abid2 ncsex eqeltri eleq1 0cnc cnnc
      cvv wi peano2nc a1i finds ) BDZEFZGEFCDZEFZUDHIZEFZAEFBCAUCBJEQBEKLMUBGEN
      UBUDENUBUFENUBAENOUEUGRUDPFUDSTUA $.
      $( [24-Feb-2015] $)
  $}

  $( The finite cardinals are a subset of the cardinals. $)
  nnssnc $p |- Nn C_ NC $=
    ( vx cnnc cncs cv nnnc ssriv ) ABCADEF $.
    $( [24-Feb-2015] $)

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d x y $.
    $( Two cardinals are either disjoint or equal. $)
    ncdisjeq $p |- ( ( A e. NC /\ B e. NC ) ->
       ( ( A i^i B ) = (/) \/ A = B ) ) $=
      ( vx vy cncs wcel wa cv cnc wceq wex cin c0 wo elncs cen df-nc eqtr mpan2
      cec anbi12i eeanv bitr4i cvv cer wbr erdisj ax-mp wb eqeq12 ineq12 eqeq1d
      ener orbi12d syl2an mpbiri orcomd exlimivv sylbi ) AEFZBEFZGZACHZIZJZBDHZ
      IZJZGZDKCKZABLZMJZABJZNZVBVECKZVHDKZGVJUTVOVAVPCAODBOUAVEVHCDUBUCVIVNCDVI
      VMVLVIVMVLNZVCPTZVFPTZJZVRVSLZMJZNZPUDUEUFWCUMVCVFPUGUHVEAVRJZBVSJZVQWCUI
      VHVEVDVRJWDVCQAVDVRRSVHVGVSJWEVFQBVGVSRSWDWEGZVMVTVLWBAVRBVSUJWFVKWAMAVRB
      VSUKULUNUOUPUQURUS $.
      $( [25-Feb-2015] $)
  $}

  $( If two cardinals have an element in common, then they are equal. $)
  nceleq $p |- ( ( ( A e. NC /\ B e. NC ) /\ ( X e. A /\ X e. B ) ) ->
     A = B ) $=
    ( cncs wcel wa wceq cin c0 wn elin n0i sylbir ncdisjeq ord syl5 imp ) ADEBD
    EFZCAECBEFZABGZSABHZIGZJZRTSCUAEUCCABKUACLMRUBTABNOPQ $.
    $( [25-Feb-2015] $)

  ${
    $d A f $.  $d A g $.  $d A t $.  $d B f $.  $d B g $.  $d B t $.  $d f g $.
    $d f t $.  $d f x $.  $d f y $.  $d g t $.  $d g x $.  $d g y $.  $d t x $.
    $d t y $.  $d x y $.
    $( Successor is one-to-one over the cardinals.  Theorem XI.2.12 of
       {{Rosser}}, p. 375. $)
    peano4nc $p |- ( ( A e. NC /\ B e. NC ) ->
             ( ( A +c 1c ) = ( B +c 1c ) <-> A = B ) ) $=
      ( vg vt vx vf vy cncs wcel wa c1c cplc wceq adantr cnc eqtr2 csn wrex vex
      cv peano2nc wex elncs simpr jca cun ccompl ncid eleq2 mpbiri elsuc biimpi
      syl sylib anim12i reeanv 2rexbii bitri wi ncseqnc bi2anan9 biimpar cen wn
      wbr wel elcompl enadj ancoms ex syl2anb syl5 rexlimivv eqeq12 eqnc syl6bb
      syl5ibr rexlimdvva syl5bir imp sylan2 expr exlimdv syl5bi addceq1 impbid1
      3expb mpd ) AHIZBHIZJZAKLZBKLZMZABMZWKWNWOWKWNJZWLHIZWOWKWQWNWIWQWJAUANNW
      QWLCTZOZMZCUBWPWOCWLUCWPWTWOCWKWNWTWOWNWTJZWKWTWMWSMZJZWOXAWTXBWNWTUDWLWM
      WSPUEWKXCWOXCWRDTZETZQUFZMZEXDUGZRZDARZWRFTZGTZQUFZMZGXKUGZRZFBRZJZWKWOWT
      XJXBXQWTWRWLIZXJWTXSWRWSIZWRCSUHZWLWSWRUIUJXSXJEWRADUKULUMXBWRWMIZXQXBYBX
      TYAWMWSWRUIUJGWRBFUKUNUOXRXGXNJZGXOREXHRZFBRDARZWKWOYEXIXPJZFBRDARXRYDYFD
      FABXGXNEGXHXOUPUQXIXPDFABUPURWKYDWODFABWKXDAIZXKBIZJZJAXDOZMZBXKOZMZJZYDW
      OUSWKYNYIWIYKYGWJYMYHAXDUTBXKUTVAVBYDWOYNXDXKVCVEZYCYOEGXHXOYCXFXMMZXEXHI
      ZXLXOIZJYOWRXFXMPYQEDVFVDZGFVFVDZYPYOUSYRXEXDESZVGXLXKGSZVGYSYTJZYPYOYPUU
      CYOYPYSYTYOXDXKXEXLDSZFSUUAUUBVHWGVIVJVKVLVMYNWOYJYLMYOAYJBYLVNXDXKUUDVOV
      PVQUMVRVSVLVTWAWBWCWDWHVJABKWEWF $.
      $( [25-Feb-2015] $)
  $}

  ${
    $d A x y $.
    $( A cardinal is finite iff it is a subset of ` Fin ` . $)
    ncssfin $p |- ( A e. NC -> ( A e. Nn <-> A C_ Fin ) ) $=
      ( vx vy cncs wcel cnnc cfin wss cuni elssuni cv wrex wal c0c wne wex wceq
      wi c0 wa df-fin syl6sseqr dfss2 elfin imbi2i wb peano1 ne0i r19.37zv mp2b
      wel bitr4i albii bitri nulnnc eleq1 mtbiri necon2ai n0 19.29r pm2.27 nnnc
      sylib adantl nceleq sylanl2 simplr eqeltrd expr rexlimdva expimpd exlimdv
      syld an32s syl5 mpand syl5bi impbid2 ) ADEZAFEZAGHZVTAFIGAFJUAUBWABKZAEZB
      CUKZRZCFLZBMZVSVTWAWCWBGEZRZBMWGBAGUCWIWFBWIWCWDCFLZRZWFWHWJWCCWBUDUENFEF
      SOWFWKUFUGFNUHWCWDCFUIUJULUMUNVSWCBPZWGVTVSASOWLVSASASQVSSDEUOASDUPUQURBA
      USVCWLWGTWCWFTZBPVSVTWCWFBUTVSWMVTBVSWCWFVTVSWCTWEVTCFVSCKZFEZWCWEVTRVSWO
      TZWCTWEWDVTWCWEWDRWPWCWDVAVDWPWCWDVTWPWCWDTZTAWNFWOVSWNDEWQAWNQWNVBAWNWBV
      EVFVSWOWQVGVHVIVMVNVJVKVLVOVPVQVR $.
      $( [25-Feb-2015] $)
  $}

  ${
    $d A f $.  $d B f $.
    ncpw1.1 $e |- A e. _V $.
    $( The cardinality of two sets are equal iff their unit power classes have
       the same cardinality. $)
    ncpw1 $p |- ( Nc A = Nc B <-> Nc ~P1 A = Nc ~P1 B ) $=
      ( cen wbr cpw1 cnc wceq enpw1 eqnc pw1ex 3bitr4i ) ABDEAFZBFZDEAGBGHMGNGH
      ABIABCJMNACKJL $.
      $( [25-Feb-2015] $)
  $}

  ${
    ncpwpw1.1 $e |- A e. _V $.
    $( Power class and unit power class commute within cardinality. $)
    ncpwpw1 $p |- Nc ~P ~P1 A = Nc ~P1 ~P A $=
      ( cpw1 cpw cnc wceq cen wbr enpw1pw ensym mpbi pw1ex pwex eqnc mpbir ) AC
      ZDZEADCZEFQRGHZRQGHSABIRQJKQRPABLMNO $.
      $( [26-Feb-2015] $)
  $}

  $( The cardinality of ` 1c ` is equal to that of its power class. $)
  ncpw1c $p |- Nc ~P 1c = Nc 1c $=
    ( cvv cpw1 cpw cnc c1c vvex ncpwpw1 df1c2 pweqi nceqi wceq pwv pw1eq eqtr4i
    ax-mp 3eqtr4i ) ABZCZDACZBZDECZDEDAFGUAREQHIJETEQTHSAKTQKLSAMONJP $.
    $( [26-Feb-2015] $)

  ${
    $( One plus one equals two.  Theorem *110.64 of {{WhiteheadRussell}}.  This
       theorem is occasionally useful. $)
    1p1e2c $p |- ( 1c +c 1c ) = 2c $=
      ( c0 csn cvv cun cnc cplc c2c c1c cin wceq wcel 0ex ax-mp vvex elsn mtbir
      wn n0i snex df1c3 disjsn mpbir ncdisjun df-2c df-pr nceqi eqtri addceq12i
      cpr 3eqtr4ri ) ABZCBZDZEZUKEZULEZFZGHHFUKULIAJZUNUQJURCUKKZQUSCAJZACKUTQL
      CARMCANOPUKCUAUBUKULASCSUCMGACUIZEUNUDVAUMACUEUFUGHUOHUPALTCNTUHUJ $.
      $( [2-Mar-2015] $)
  $}

  $( Two plus one equals three. $)
  2p1e3c $p |- ( 2c +c 1c ) = 3c $=
    ( c0 cvv cpr csn cdif cun cnc cplc c3c c2c c1c cin wceq wcel vvex ax-mp 0ex
    wn mtbir snex wo wne vn0 eldifsn mpbir2an n0i wa notnoti intnan eldif eleq2
    snid mpbiri pm3.2ni difex elpr disjsn mpbir prex ncdisjun df-3c df-tp nceqi
    mto ctp eqtri df-2c df1c3 addceq12i 3eqtr4ri ) ABCZBADZEZDZFZGZVKGZVNGZHZIJ
    KHVKVNLAMZVPVSMVTVMVKNZRWAVMAMZVMBMZUAWBWCBVMNZWBRWDBBNBAUBOUCBBAUDUEVMBUFP
    WCAVMNZWEABNZAVLNZRZUGWHWFWGAQULUHUIABVLUJSWCWEWFQVMBAUKUMVDUNVMABBVLOATUOZ
    UPSVKVMUQURVKVNABUSVMTUTPIABVMVEZGVPVAWJVOABVMVBVCVFJVQKVRVGVMWIVHVIVJ $.
    $( [2-Mar-2015] $)

  ${
    $d A x $.  $d A y $.  $d x y $.
    $( The cardinal T operation always yields a set. $)
    tcex $p |- T_c A e. _V $=
      ( vx vy ctc cv cncs wcel cpw1 cnc wceq wrex cio cvv df-tc iotaex eqeltri
      wa ) ADBEZFGRCEHIJCAKQZBLMCABNSBOP $.
      $( [2-Mar-2015] $)
  $}

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d x y $.
    $( Equality theorem for cardinal T operator. $)
    tceq $p |- ( A = B -> T_c A = T_c B ) $=
      ( vx vy wceq cv cncs wcel cpw1 cnc wa cio ctc rexeq anbi2d iotabidv df-tc
      wrex 3eqtr4g ) ABEZCFZGHZUADFIJEZDARZKZCLUBUCDBRZKZCLAMBMTUEUGCTUDUFUBUCD
      ABNOPDACQDBCQS $.
      $( [2-Mar-2015] $)
  $}

  ${
    $d A w $.  $d A x $.  $d A y $.  $d A z $.  $d w x $.  $d w y $.  $d w z $.
    $d x y $.  $d x z $.  $d y z $.
    $( Given a cardinal, there is a unique cardinal that contains the unit
       power class of its members. $)
    ncspw1eu $p |- ( A e. NC -> E! x e. NC E. y e. A x = Nc ~P1 y ) $=
      ( vz vw cncs wcel cv cpw1 cnc wceq wrex wa weq wi wral wex c0 sylib eqeq1
      wreu wne nulnnc eleq1 mtbiri necon2ai n0 vex pw1ex ncelncsi rcla4ev mp2an
      eqid a1i eximdv mpd rexcom df-rex bitri sylibr reeanv w3a ncseqnc biimpar
      jctr adantrr adantrl eqtr3d ncpw1 3adant2 eqeq2 anbi1d eqtr3 syl6bi 3expa
      syl rexlimdvva syl5bir ralrimivva rexbidv pw1eq nceqd eqeq2d cbvrexv reu4
      syl6bb sylanbrc ) CFGZAHZBHZIZJZKZBCLZAFLZWNDHZEHZIZJZKZECLZMZADNZOZDFPAF
      PWNAFUAWHWJCGZWMAFLZMZBQZWOWHXEBQZXHWHCRUBXIWHCRCRKWHRFGUCCRFUDUEUFBCUGSW
      HXEXGBXEXGOWHXEXFWLFGWLWLKZXFWKWJBUHZUIUJWLUMWMXJAWLFWIWLWLTUKULVEUNUOUPW
      OXFBCLXHWMABFCUQXFBCURUSUTWHXDADFFXBWMWTMZECLBCLWHWIFGWPFGMZMZXCWMWTBECCV
      AXNXLXCBECCWHXMXEWQCGZMZXLXCOZWHXMXPVBWLWSKZXQWHXPXRXMWHXPMZWJJZWQJZKXRXS
      CXTYAWHXECXTKZXOWHYBXECWJVCVDVFWHXOCYAKZXEWHYCXOCWQVCVDVGVHWJWQXKVISVJXRX
      LWIWSKZWTMXCXRWMYDWTWLWSWIVKVLWIWPWSVMVNVPVOVQVRVSWNXAADFXCWNWPWLKZBCLXAX
      CWMYEBCWIWPWLTVTYEWTBECBENZWLWSWPYFWKWRWJWQWAWBWCWDWFWEWG $.
      $( [2-Mar-2015] $)
  $}

  ${
    $d A x y $.
    $( The cardinal T operation over a cardinal yields a cardinal. $)
    tccl $p |- ( A e. NC -> T_c A e. NC ) $=
      ( vx vy cncs wcel ctc cv cpw1 cnc wceq wrex wa cio wreu ncspw1eu reiotacl
      df-tc syl syl5eqel ) ADEZAFBGZDEUACGHIJCAKZLBMZDCABQTUBBDNUCDEBCAOUBBDPRS
      $.
      $( [2-Mar-2015] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    $( The defining property of the cardinal T operation. $)
    eqtc $p |- ( A e. NC -> ( T_c A = B <-> E. x e. A B = Nc ~P1 x ) ) $=
      ( vy cncs wcel ctc wceq cv cpw1 cnc wrex wa simpr tccl adantr eqeltrrd ex
      wi wb vex pw1ex ncelncsi eleq1 mpbiri rexlimivw a1i wreu ncspw1eu rexbidv
      cio eqeq1 reiota2 sylan2 ancoms df-tc eqeq1i syl6rbbr pm5.21ndd ) BEFZCEF
      ZBGZCHZCAIZJZKZHZABLZUTVCVAUTVCMVBCEUTVCNUTVBEFVCBOPQRVHVASUTVGVAABVGVAVF
      EFVEVDAUAUBUCCVFEUDUEUFUGUTVAVCVHTUTVAMVHDIZEFVIVFHZABLZMDUKZCHZVCVAUTVHV
      MTZUTVAVKDEUHVNDABUIVKVHDECVICHVJVGABVICVFULUJUMUNUOVBVLCABDUPUQURRUS $.
      $( [2-Mar-2015] $)
  $}

  ${
    $d A y $.  $d B y $.
    $( The unit power class of an element of a cardinal is in the cardinal's T
       raising. $)
    pw1eltc $p |- ( ( A e. NC /\ B e. A ) -> ~P1 B e. T_c A ) $=
      ( vy cncs wcel wa cpw1 cnc ctc cvv pw1exg ncidg syl adantl wceq wrex eqid
      cv pw1eq nceqd eqeq2d rcla4ev mpan2 wb eqtc adantr mpbird eleqtrrd ) ADEZ
      BAEZFZBGZULHZAIZUJULUMEZUIUJULJEUOBAKULJLMNUKUNUMOZUMCRZGZHZOZCAPZUJVAUIU
      JUMUMOZVAUMQUTVBCBAUQBOZUSUMUMVCURULUQBSTUAUBUCNUIUPVAUDUJCAUMUEUFUGUH $.
      $( [2-Mar-2015] $)
  $}

  $( The T raising of cardinal zero is still cardinal zero. $)
  tc0c $p |- T_c 0c = 0c $=
    ( c0c ctc cncs wcel c0 wceq 0cnc tccl ax-mp cpw1 pw10 nulel0c pw1eltc mp2an
    eqeltrri nceleq mp4an ) ABZCDZACDZERDEADZRAFTSGAHIGEJZERKTUAUBRDGLAEMNOLRAE
    PQ $.
    $( [2-Mar-2015] $)

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d x y $.
    $( T raising distributes over addition. $)
    tcdi $p |- ( ( A e. NC /\ B e. NC ) ->
       T_c ( A +c B ) = ( T_c A +c T_c B ) ) $=
      ( vx vy cncs wcel wa cv c0 cnc wceq wex cplc ctc cpw1 mp2an ax-mp pw1eltc
      tccl tceq ccompl csn cxp eeanv cen wbr vex complex xpsnen snex xpex mpbir
      0ex eqnc eqeq2i anbi12i 2exbii 3bitr4ri cun ncelncsi ncaddccl cin necompl
      elncs ncid xpnedisj eladdci mp3an pw1un pw1eq pw10 3eqtr3i eqeltri nceleq
      pw1in mp4an addceq12 syl adantr adantl addceq12d 3eqtr4a exlimivv sylbi )
      AEFZBEFZGZACHZIUAZUBZUCZJZKZBDHZIUBZUCZJZKZGZDLCLZABMZNZANZBNZMZKZAWHJZKZ
      BWNJZKZGZDLCLXHCLZXJDLZGWTWGXHXJCDUDWSXKCDWMXHWRXJWLXGAWLXGKWKWHUEUFWHWIC
      UGZIUMUHZUIWKWHWHWJXNWIUJUKZUNULUOWQXIBWQXIKWPWNUEUFWNIDUGZUMUIWPWNWNWOXQ
      IUJUKZUNULUOUPUQWEXLWFXMCAVDDBVDUPURWSXFCDWSWLWQMZNZWLNZWQNZMZXBXEXTEFZYC
      EFZWKWPUSZOZXTFZYGYCFXTYCKXSEFZYDWLEFZWQEFZYIWKXPUTZWPXRUTZWLWQVAPZXSSQYA
      EFZYBEFZYEYJYOYLWLSQYKYPYMWQSQYAYBVAPYIYFXSFZYHYNWKWLFZWPWQFZWKWPVBZIKZYQ
      WKXPVEZWPXRVEZWHWNWIIXOIVCVFZWKWPWLWQVGVHXSYFRPYGWKOZWPOZUSZYCWKWPVIUUEYA
      FZUUFYBFZUUEUUFVBZIKUUGYCFYJYRUUHYLUUBWLWKRPYKYSUUIYMUUCWQWPRPYTOZIOZUUJI
      UUAUUKUULKUUDYTIVJQWKWPVOVKVLUUEUUFYAYBVGVHVMXTYCYGVNVPWSXAXSKXBXTKABWLWQ
      VQXAXSTVRWSXCYAXDYBWMXCYAKWRAWLTVSWRXDYBKWMBWQTVTWAWBWCWD $.
      $( [2-Mar-2015] $)
  $}

  $( T raising does not change cardinal one. $)
  tc1c $p |- T_c 1c = 1c $=
    ( c1c ctc cncs wcel c0 csn wceq 1cnc tccl ax-mp cpw1 0ex pw1sn snel1c mp2an
    pw1eltc eqeltrri snex nceleq mp4an ) ABZCDZACDZEFZFZUADUEADUAAGUCUBHAIJHUDK
    ZUEUAELMUCUDADUFUADHELNAUDPOQUDERNUAAUEST $.
    $( [2-Mar-2015] $)

  $( T raising does not change cardinal two. $)
  tc2c $p |- T_c 2c = 2c $=
    ( c1c cplc ctc c2c cncs wcel wceq 1cnc tcdi mp2an tc1c addceq12i eqtri tceq
    1p1e2c ax-mp 3eqtr3i ) AABZCZRDCZDSACZUABZRAEFZUCSUBGHHAAIJUAAUAAKKLMRDGSTG
    ORDNPOQ $.
    $( [2-Mar-2015] $)

  $( Two is a finite cardinal. $)
  2nnc $p |- 2c e. Nn $=
    ( c1c cplc c2c cnnc 1p1e2c wcel 1cnnc peano2 ax-mp eqeltrri ) AABZCDEADFKDF
    GAHIJ $.
    $( [4-Mar-2015] $)

  $( Two is a cardinal number. $)
  2nc $p |- 2c e. NC $=
    ( c2c cnnc wcel cncs 2nnc nnnc ax-mp ) ABCADCEAFG $.
    $( [3-Mar-2015] $)

  ${
    $d A m n $.
    $( The unit power class of a finite set is finite. $)
    pw1fin $p |- ( A e. Fin -> ~P1 A e. Fin ) $=
      ( vn vm cv wcel cnnc wrex cpw1 ncfinraise 3anidm23 rexlimiva simpl reximi
      cfin wa syl elfin 3imtr4i ) ABDZEZBFGZAHZCDEZCFGZANEUBNEUAUCUCOZCFGZUDTUF
      BFSFETUFAACSIJKUEUCCFUCUCLMPBAQCUBQR $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d A a $.  $d A m $.  $d a n $.  $d A n $.  $d m n $.
    $( Cardinal T is closed under the natural numbers. $)
    nntccl $p |- ( A e. Nn -> T_c A e. Nn ) $=
      ( vn vm va cnnc wcel cv wex c0 wceq sylib wa wrex cfin elfin syl ad2antrr
      cncs nnnc mpd ctc wne nulnnn eleq1 mtbiri necon2ai cpw1 wel eleq2 rcla4ev
      sylibr pw1fin tccl ad2antlr simprl pw1eltc syl2anc simprr nceleq syl22anc
      n0 wi simplr eqeltrd expr an32s rexlimdva ex exlimdv ) AEFZBGZAFZBHZAUAZE
      FZVJAIUBVMVJAIAIJVJIEFUCAIEUDUEUFBAVAKVJVLVOBVJVLVOVJVLLZVKUGZCGZFZCEMZVO
      VPVQNFZVTVPVKNFZWAVPBDUHZDEMWBWCVLDAEDGAVKUIUJDVKOUKVKULPCVQOKVPVSVOCEVJV
      REFZVLVSVOVBVJWDLZVLVSVOWEVLVSLZLZVNVREWGVNRFZVRRFZVQVNFZVSVNVRJVJWHWDWFV
      JARFZWHASZAUMPQWDWIVJWFVRSUNWGWKVLWJVJWKWDWFWLQWEVLVSUOAVKUPUQWEVLVSURVNV
      RVQUSUTVJWDWFVCVDVEVFVGTVHVIT $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a f $.  $d a g $.  $d a t $.  $d b f $.  $d b g $.  $d b t $.
    $d f t $.  $d g t $.  $d M a $.  $d M b $.  $d M g $.  $d M t $.  $d N a $.
    $d N b $.  $d N g $.  $d N t $.
    $( Lemma for ~ ovce .  Set up stratification for the result. $)
    ovcelem1 $p |- ( ( N e. V /\ M e. W ) -> { g | E. a E. b ( ~P1
       a e. N /\ ~P1 b e. M /\ g ~~ ( a ^m b ) ) } e. _V ) $=
      ( vt vf wcel wa cen wbr wex cpw1fn csset c1c cvv cop bitri cv cpw1 co w3a
      cmap cab ccnv cima cxp cins3 cfns c2nd cimage ccom ctxp csi3 cins2 ccompl
      csymdif cins4 cin crn csn elima1c otelins3 opelcnv opelxp wrex wceq brcnv
      vex brpw1fn rexbii elima risset 3bitr4i anbi12i 3bitri elrn2 elin wel wal
      wf wb wn snex opex elcompl elsymdif opelssetsn otelins2 otsnelsi3 wfn wss
      df-br brfns bitr3i opelco brimage dfrn5 eqeq2i bitr4i brsset rnex ceqsexv
      exbii sseq1 oteltxp bibi12i xchbinx exnal 3bitrri con1bii oqelins4 mapval
      df-f abeq2 ovex breq2 df-3an abbi2i cnvex imaexg mpan xpexg syl2an cnvexg
      pw1fnex ins3exg syl ssetex ins3ex fnsex 2ndex coex ins2ex 1cex mpan2 3syl
      imageex txpex si3ex symdifex imaex complex ins4ex enex inexg syl5eqelr
      inex ) CDJZBEJZKZFUAZUBZCJZGUAZUBZBJZAUAZUUNUUQUEUCZLMZUDZGNZFNZAUFOUGZCU
      HZUVFBUHZUIZUGZUJZPUJZUKPULUMZUNZUOZUPZUQZUSZQUHZURZUTZLUGZUQZUQZVAZVBZVA
      ZQUHZQUHZRUVEAUWIUUTUWIJUUNVCZUUTSZUWHJZFNUVEFUUTUWHVDUWLUVDFUWLUUQVCZUWK
      SZUWGJZGNUVDGUWKUWGVDUWOUVCGUWNUVKJZUWNUWFJZKUUPUUSKZUVBKUWOUVCUWPUWRUWQU
      VBUWPUWMUWJSZUVJJUWJUWMSUVIJZUWRUWMUWJUUTUVJAVKZVEUWMUWJUVIVFUWTUWJUVGJZU
      WMUVHJZKUWRUWJUWMUVGUVHVGUXBUUPUXCUUSHUAZUWJUVFMZHCVHUXDUUOVIZHCVHUXBUUPU
      XEUXFHCUXEUWJUXDOMUXFUXDUWJOVJUUNUXDFVKZVLTVMHUWJUVFCVNHUUOCVOVPUXDUWMUVF
      MZHBVHUXDUURVIZHBVHUXCUUSUXHUXIHBUXHUWMUXDOMUXIUXDUWMOVJUUQUXDGVKZVLTVMHU
      WMUVFBVNHUURBVOVPVQTVRUWQUXDUWNSZUWEJZHNUXDUVAVIZUUTUXDLMZKZHNUVBHUWNUWEV
      SUXLUXOHUXLUXKUWAJZUXKUWDJZKUXOUXKUWAUWDVTUXPUXMUXQUXNUXDUWSSZUVTJZIHWAZU
      UQUUNIUAZWCZWDZIWBZUXPUXMUXSUXRUVSJZWEUYDUXRUVSUXDUWSHVKZUWMUWJUUQWFZUUNW
      FZWGZWGWHUYDUYEUYEUYAVCZUXRSZUVRJZINUYCWEZINUYDWEIUXRUVRVDUYLUYMIUYLUYKUV
      LJZUYKUVQJZWDUYCUYKUVLUVQWIUYNUXTUYOUYBUYNUYJUXDSPJUXTUYJUXDUWSPUYIVEUYAU
      XDIVKZUYFWJTUYOUYJUWSSUVPJUYAUUQUUNSSUVOJZUYBUYJUXDUWSUVPUYFWKUYAUUQUUNUV
      OUYPUXJUXGWLUYAUUQSUKJZUYAUUNSUVNJZKUYAUUQWMZUYAVBZUUNWNZKUYQUYBUYRUYTUYS
      VUBUYRUYAUUQUKMUYTUYAUUQUKWOUUQUYAUYPWPWQUYSUYAUXDUVMMZUXDUUNPMZKZHNUXDVU
      AVIZUXDUUNWNZKZHNVUBHUYAUUNPUVMWRVUEVUHHVUCVUFVUDVUGVUCUXDULUYAUHZVIVUFUY
      AUXDULUYPUYFWSVUAVUIUXDUYAWTXAXBUXDUUNUYFUXGXCVQXFVUGVUBHVUAUYAUYPXDUXDVU
      AUUNXGXEVRVQUYAUUQUUNUKUVNXHUUQUUNUYAXPVPVRXIXJXFUYCIXKXLXMTUXDUWMUWJUUTU
      VTUXAXNUXMUXDUYBIUFZVIUYDUVAVUJUXDUUNUUQIUXGUXJXOXAUYBIUXDXQTVPUXQUXDUWKS
      UWCJUXDUUTSUWBJZUXNUXDUWMUWKUWCUYGWKUXDUWJUUTUWBUYHWKVUKUXDUUTUWBMUXNUXDU
      UTUWBWOUXDUUTLVJWQVRVQTXFUXNUVBHUVAUUNUUQUEXRUXDUVAUUTLXSXEVRVQUWNUVKUWFV
      TUUPUUSUVBXTVPXFTXFTYAUUMUVIRJZUVKRJZUWIRJZUUKUVGRJZUVHRJZVULUULUVFRJZUUK
      VUOOYHYBZUVFCRDYCYDVUQUULVUPVURUVFBREYCYDUVGUVHRRYEYFVULUVJRJVUMUVIRYGUVJ
      RYIYJVUMUWGRJZUWHRJZVUNVUMUWFRJVUSUWEUWAUWDUVTUVSUVRQUVLUVQPYKYLUVPUVOUKU
      VNYMPUVMYKULYNYTYOUUAUUBYPUUCYQUUDUUEUUFUWCUWBLUUGYBYPYPUUJXDUVKUWFRRUUHY
      RVUSQRJZVUTYQUWGQRRYCYRVUTVVAVUNYQUWHQRRYCYRYSYSUUI $.
      $( [6-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a m $.  $d a n $.  $d a p $.  $d b m $.  $d b n $.  $d b p $.
    $d M a $.  $d M b $.  $d M m $.  $d m n $.  $d m p $.  $d M p $.  $d N a $.
    $d N b $.  $d N m $.  $d N n $.  $d n p $.  $d N p $.  $d a g $.  $d b g $.
    $d g m $.  $d g n $.  $d M g $.  $d N g $.
    $( The value of cardinal exponentiation. $)
    ovce $p |- ( ( N e. NC /\ M e. NC ) ->
       ( N ^c M ) = { g | E. a E. b
         ( ~P1 a e. N /\ ~P1 b e. M /\ g ~~ ( a ^m b ) ) } ) $=
      ( vn vm cncs wcel cv cpw1 co w3a wex cab cvv cce wceq eleq2 2exbidv df-ce
      cmap cen wbr ovcelem1 3anbi1d abbidv 3anbi2d ovmpt2g mpd3an3 ) CHIBHIDJZK
      ZCIZEJZKZBIZAJUKUNUBLUCUDZMZENDNZAOZPICBQLUTRABCHHDEUEFGCBHHULFJZIZUOGJZI
      ZUQMZENDNZAOUTQUMVDUQMZENDNZAOPVACRZVFVHAVIVEVGDEVIVBUMVDUQVACULSUFTUGVCB
      RZVHUSAVJVGURDEVJVDUPUMUQVCBUOSUHTUGAGFDEUAUIUJ $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d a n $.  $d a t $.  $d a u $.  $d a x $.  $d n t $.  $d n u $.  $d t u $.
    $d t x $.  $d u x $.
    $( Lemma for ~ ceex .  Set up part of the stratification. $)
    ceexlem1 $p |- ( <. { { a } } , n >. e. ( SSet o. SI Pw1Fn ) <->
       ~P1 a e. n ) $=
      ( vu vt cv csn cpw1fn csi wbr csset wa wex cpw1 wceq wel wcel exbii bitri
      snex vex cop ccom brsnsi1 anbi1i 19.41v anass 3bitr2i excom breq1 ceqsexv
      anbi2d brpw1fn brssetsn anbi12i opelco df-clel 3bitr4i ) BEZFZFZCEZGHZIZV
      AAEZJIZKZCLZDEZURMZNZDAOZKZDLZUTVDUAJVBUBPVIVDPVGVAVHFZNZUSVHGIZVEKZKZCLZ
      DLZVMVGVRDLZCLVTVFWACVFVOVPKZDLZVEKWBVEKZDLWAVCWCVEDUSVAGURSUCUDWBVEDUEWD
      VRDVOVPVEUFQUGQVRCDUHRVSVLDVSVPVNVDJIZKZVLVQWFCVNVHSVOVEWEVPVAVNVDJUIUKUJ
      VPVJWEVKURVHBTULVHVDDTATUMUNRQRCUTVDJVBUODVIVDUPUQ $.
      $( [6-Mar-2015] $)
  $}


  ${
    $d a b $.  $d a g $.  $d a m $.  $d a n $.  $d a x $.  $d b g $.  $d b m $.
    $d b n $.  $d b x $.  $d g m $.  $d g n $.  $d g x $.  $d m n $.  $d a f $.
    $d b f $.  $d f g $.  $d f x $.  $d m x $.  $d n x $.
    $( Cardinal exponentiation is stratified. $)
    ceex $p |- ^c e. _V $=
      ( vn vm va vb vg vx cncs csset cins2 cen cv wcel wbr wex csn cop otelins2
      wa vex ins2ex vf cce cxp cvv cpw1fn ccom cins3 cfns c2nd cimage ctxp csi3
      csi csymdif c1c cima ccompl cins4 cin crn cpw1 cdif cmap co w3a cab cmpt2
      df-ce snex otelins3 ceexlem1 elimapw11c elin opex oqelins4 otsnelsi3 wceq
      3bitri bitri elrn2 wfn wss brfns brco brimage dfrn5 eqeq2i bitr4i anbi12i
      wf brsset exbii rnex sseq1 ceqsexv df-br trtxp df-f 3bitr4i elmap releqel
      bitr3i ensym ovex breq2 3anass 19.42v weq breq1 3anbi3d 2exbidv releqmpt2
      elab eqtr4i ncsex ssetex pw1fnex siex coex ins3ex fnsex 2ndex txpex si3ex
      imageex symdifex 1cex imaex complex ins4ex enex pw1ex mpt2exlem eqeltri
      inex ) UBGGUCUDUCHIHUEUMZUFZUGZIZYQIZIZIZHUGZUHHUIUJZUFZUKZULZIZUNZUOUPZU
      QZURZJIZIZUSZUTZULZURZUSZUOVAZUPZUSZUUTUPZUGUNUOUPVBZUDUBABGGCKZVAAKZLZDK
      ZVABKZLZEKZUVEUVHVCVDZJMZVEZDNCNZEVFZVGUVDEBACDVHABFGGUVCUVPUVEOZOZFKZOZU
      VFUVIPZPZPZUVBLZCNUVGUVJUVSUVLJMZVEZDNZCNZUWBUVCLUVSUVPLUWDUWGCUWCYSLZUWC
      UVALZRUVGUVJUWERZDNZRZUWDUWGUWIUVGUWJUWLUWIUVRUWAPYRLUVRUVFPYQLUVGUVRUVTU
      WAYRUVSVIZQUVRUVFUVIYQBSZVJACVKVRUWJUVHOZOZUWCPZUUSLZDNUWLDUWCUUSVLUWSUWK
      DUWSUWRUUBLZUWRUURLZRUWKUWRUUBUURVMUWTUVJUXAUWEUWTUWQUWBPUUALUWQUWAPYTLZU
      VJUWQUVRUWBUUAUVQVIQUWQUVTUWAYTUWNQUXBUWQUVIPYQLUVJUWQUVFUVIYQASZQBDVKVSV
      RUXAUWQUVRUVTPPUUQLUWPUVQUVSPZPZUUPLZUWEUWQUVRUVTUWAUUQUVFUVIUXCUWOVNVOUW
      PUVQUVSUUPUVHVIZUVEVIZFSZVPUXFUVKUXEPZUUOLZENUVKUVLVQZUVSUVKJMZRZENUWEEUX
      EUUOVTUXKUXNEUXKUXJUULLZUXJUUNLZRUXNUXJUULUUNVMUXOUXLUXPUXMUXOUVKUWPUVQPZ
      PUUKLUXLUVKUWPUVQUVSUUKUXIVOEUAUVLUUGUXQUWPUVQUXGUXHVNUAKZUVHUVEPZPUUFLZU
      VHUVEUXRWJZUXROUXQPUUGLUXRUVLLUXRUVHUHMZUXRUVEUUEMZRZUXRUVHWAZUXRUTZUVEWB
      ZRUXTUYAUYBUYEUYCUYGUVHUXRUASZWCUYCUXRUVSUUDMZUVSUVEHMZRZFNUVSUYFVQZUVSUV
      EWBZRZFNUYGFUXRUVEHUUDWDUYKUYNFUYIUYLUYJUYMUYIUVSUIUXRUPZVQUYLUXRUVSUIUYH
      UXIWEUYFUYOUVSUXRWFWGWHUVSUVEUXICSZWKWIWLUYMUYGFUYFUXRUYHWMUVSUYFUVEWNWOV
      RWIUXTUXRUXSUUFMUYDUXRUXSUUFWPUXRUVHUVEUHUUEWQXBUVHUVEUXRWRWSUXRUVHUVEUUF
      UYHDSZUYPVPUVEUVHUXRUYPUYQUYHWTWSXAVSUXPUVKUXDPUUMLZUVKUVSJMZUXMUVKUWPUXD
      UUMUXGQUYRUVKUVSPJLUYSUVKUVQUVSJUXHQUVKUVSJWPWHUVKUVSXCVRWIVSWLUXMUWEEUVL
      UVEUVHVCXDUVKUVLUVSJXEWOVRVRWIVSWLVSWIUWCYSUVAVMUWGUVGUWKRZDNUWMUWFUYTDUV
      GUVJUWEXFWLUVGUWKDXGVSWSWLCUWBUVBVLUVOUWHEUVSUXIEFXHZUVNUWFCDVUAUVMUWEUVG
      UVJUVKUVSUVLJXIXJXKXMWSXLXNGGUVCXOXOUVBUUTYSUVAYRYQHYPXPUEXQXRXSZXTTUUSUU
      TUUBUURUUAYTYQVUBTTTUUQUUPUUOUULUUNUUKUUJUUIUOUUCUUHHXPXTUUGUUFUHUUEYAHUU
      DXPUIYBYEXSYCYDTYFYGYHYIYJUUMJYKTTYOWMYDYJYOUOYGYLZYHYOVUCYHYMYN $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d A g $.  $d A x $.  $d A y $.  $d g x $.  $d g y $.  $d M g $.  $d M x $.
    $d M y $.  $d N g $.  $d N x $.  $d N y $.  $d x y $.
    $( Membership in cardinal exponentiation.  Theorem XI.2.38 of {{Rosser}},
       p. 382. $)
    elce $p |- ( ( N e. NC /\ M e. NC ) ->
        ( A e. ( N ^c M ) <-> E. x E. y ( ~P1 x e. N /\ ~P1 y e. M /\
          A ~~ ( x ^m y ) ) ) ) $=
      ( vg cncs wcel wa cvv cce co cv cpw1 cen wbr w3a wex wi a1i cmap 3ad2ant3
      elex brex simpld exlimivv wb ovce eleq2d wceq breq1 3anbi3d 2exbidv elabg
      cab sylan9bb ex pm5.21ndd ) EGHDGHIZCJHZCEDKLZHZAMZNEHZBMZNDHZCVCVEUALZOP
      ZQZBRARZVBUTSUSCVAUCTVJUTSUSVIUTABVHVDUTVFVHUTVGJHCVGOUDUEUBUFTUSUTVBVJUG
      USVBCVDVFFMZVGOPZQZBRARZFUOZHUTVJUSVAVOCFDEABUHUIVNVJFCJVKCUJZVMVIABVPVLV
      HVDVFVKCVGOUKULUMUNUPUQUR $.
      $( [6-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a g $.  $d a m $.  $d a n $.  $d a p $.  $d b g $.  $d b m $.
    $d b n $.  $d b p $.  $d g m $.  $d g n $.  $d g p $.  $d m n $.  $d m p $.
    $d n p $.
    $( Functionhood statement for cardinal exponentiation. $)
    fnce $p |- ^c Fn ( NC X. NC ) $=
      ( vn vm vp va vb vg cce cncs cxp wfn cv wcel wa cpw1 cmap cen wbr w3a wex
      co cab wceq copab2 copab weu cvv ovcelem1 isset sylib wmo moeq eu5 sylibr
      mpbiran2 fnoprab cmpt2 df-ce df-mpt2 eqtri fneq1i df-xp fneq2i bitri
      mpbir ) GHHIZJZAKZHLBKZHLMZCKDKZNVGLEKZNVHLFKVJVKOTPQRESDSFUAZUBZMABCUCZV
      IABUDZJZVIVMABCVIVMCSZVMCUEZVIVLUFLVQFVHVGHHDEUGCVLUHUIVRVQVMCUJCVLUKVMCU
      LUNUMUOVFVNVEJVPVEGVNGABHHVLUPVNFBADEUQABCHHVLURUSUTVEVOVNABHHVAVBVCVD $.
      $( [6-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a g $.  $d b g $.  $d M a $.  $d M b $.  $d M g $.  $d m t $.
    $( A condition for cardinal exponentiation being non-empty.  Theorem
       XI.2.42 of {{Rosser}}, p. 382. $)
    ce0nnul $p |- ( M e. NC -> ( ( M ^c 0c ) =/= (/) <->
       E. a ~P1 a e. M ) ) $=
      ( vg vb cncs wcel cv c0c cce co wex cpw1 cmap cen wbr w3a c0 wb wa wceq
      0cnc elce mpan2 exbidv n0 19.42vv 3anass 2exbii nulel0c ovex enrflx pw1eq
      wne 0ex pw10 syl6eq eleq1d adantl oveq2 breqan12d anbi12d cla42ev biantru
      id mp2an 3bitr4ri exbii excom bitri 3bitr4g ) AEFZCGZAHIJZFZCKBGZLAFZDGZL
      ZHFZVLVOVQMJZNOZPZDKZBKZCKZVMQUMVPBKZVKVNWDCVKHEFVNWDRUABDVLHAUBUCUDCVMUE
      WFWCCKZBKWEVPWGBVPVSWASZSZDKCKVPWHDKCKZSWGVPVPWHCDUFWBWICDVPVSWAUGUHWJVPQ
      HFZVOQMJZWLNOZWJUIWLVOQMUJZUKWHWKWMSCDWLQWNUNVLWLTZVQQTZSVSWKWAWMWPVSWKRW
      OWPVRQHWPVRQLQVQQULUOUPUQURWOWPVLWLVTWLNWOVDVQQVOMUSUTVAVBVEVCVFVGWCBCVHV
      IVJ $.
      $( [6-Mar-2015] $)
  $}

  ${
    $d A a $.  $d M a $.
    $( Inference form of ~ ce0nnul . $)
    ce0nnuli $p |- ( ( M e. NC /\ ~P1 A e. M ) -> ( M ^c 0c ) =/= (/) ) $=
      ( va cncs wcel cpw1 wa c0c cce co c0 wne cv wex cvv elex sylib wceq pw1eq
      pw1exb eleq1d cla4egv mpcom adantl wb ce0nnul adantr mpbird ) BDEZAFZBEZG
      BHIJKLZCMZFZBEZCNZUKUPUIAOEZUKUPUKUJOEUQUJBPATQUOUKCAOUMARUNUJBUMASUAUBUC
      UDUIULUPUEUKBCUFUGUH $.
      $( [9-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a g $.  $d a p $.  $d a q $.  $d b g $.  $d b p $.  $d b q $.
    $d g p $.  $d g q $.  $d M a $.  $d M b $.  $d M g $.  $d N a $.  $d N b $.
    $d N g $.  $d p q $.
    $( The sum of two cardinals raised to ` 0c ` is non-empty iff each addend
       raised to ` 0c ` is non-empty.  Theorem XI.2.43 of {{Rosser}},
       p. 383. $)
    ce0addcnnul $p |- ( ( M e. NC /\ N e. NC ) ->
       ( ( ( M +c N ) ^c 0c ) =/= (/) <->
         ( ( M ^c 0c ) =/= (/) /\ ( N ^c 0c ) =/= (/) ) ) ) $=
      ( vb vg va vp vq cncs wcel wa c0c cce co c0 wne wceq cpw1 wex cnc cvv cin
      cplc cv cun wrex wb ncaddccl ce0nnul eladdc exbii syl6bb ncseqnc bi2anan9
      syl wi biimpar wss ssun1 id syl5sseqr ssun2 jca sspw1 anbi12i eeanv sylib
      vex bitr4i pw1eq eleq1d pw1ex ncid a4eiv ncelncs mp2b mpbir pm3.2i oveq1d
      weq nceq neeq1d mpbiri ad2ant2l a1d exlimivv impcom oveq1 syl5ibr exlimdv
      rexlimdvva sylbid syl6bbr csn cxp cen wbr vvex xpsnen mpbi snex xpex eqnc
      enpw1 0ex addceq12i oveq1i pw1un vn0 xpnedisj ax-mp pw1in 3eqtr3i eladdci
      pw10 mp3an eqeltri unex ncelncsi mp2an eqnetrri addceq12 syl6bir exlimdvv
      cla4ev impbid ) AHIZBHIZJZABUBZKLMZNOZAKLMZNOZBKLMZNOZJZYHYKCUCZDUCZUANPZ
      EUCZQZYQYRUDZPZJZDBUECAUEZERZYPYHYIHIZYKUUFUFABUGUUGYKUUAYIIZERUUFYIEUHUU
      HUUEEUUAABCDUIUJUKUNYHUUEYPEYHUUDYPCDABYHYQAIZYRBIZJZJAYQSZPZBYRSZPZJZUUD
      YPUOYHUUPUUKYFUUMUUIYGUUOUUJAYQULBYRULUMUPUUDYPUUPUULKLMZNOZUUNKLMZNOZJZU
      UCYSUVAUUCFUCZYTUQZYQUVBQZPZJZGUCZYTUQZYRUVGQZPZJZJZGRFRZYSUVAUOZUUCYQUUA
      UQZYRUUAUQZJZUVMUUCUVOUVPUUCUUBYQUUAYQYRURUUCUSZUTUUCUUBYRUUAYRYQVAUVRUTV
      BUVQUVFFRZUVKGRZJUVMUVOUVSUVPUVTFYQYTCVGZVCGYRYTDVGZVCVDUVFUVKFGVEVHVFUVL
      UVNFGUVLUVAYSUVEUVJUVAUVCUVHUVEUVJJUVAUVDSZKLMZNOZUVISZKLMZNOZJUWEUWHUWEU
      UAUWCIZERZUWIUVDUWCIEFEFVSUUAUVDUWCYTUVBVIVJUVDUVBFVGVKZVLVMUVDTIUWCHIUWE
      UWJUFUWKUVDTVNUWCEUHVOVPUWHUUAUWFIZERZUWLUVIUWFIEGEGVSUUAUVIUWFYTUVGVIVJU
      VIUVGGVGVKZVLVMUVITIUWFHIUWHUWMUFUWNUVITVNUWFEUHVOVPVQUVEUURUWEUVJUUTUWHU
      VEUUQUWDNUVEUULUWCKLYQUVDVTVRWAUVJUUSUWGNUVJUUNUWFKLYRUVIVTVRWAUMWBWCWDWE
      UNWFUUMYMUURUUOYOUUTUUMYLUUQNAUULKLWGWAUUOYNUUSNBUUNKLWGWAUMWHUNWJWIWKYHY
      PYQQZAIZYRQZBIZJZDRCRZYKYHYPUWPCRZUWRDRZJUWTYFYMUXAYGYOUXBACUHBDUHUMUWPUW
      RCDVEWLYHUWSYKCDYHUWSAUWOSZPZBUWQSZPZJZYKYFUXDUWPYGUXFUWRAUWOULBUWQULUMUX
      GYKUXCUXEUBZKLMZNOYQTWMZWNZQZSZYRNWMZWNZQZSZUBZKLMZUXINUXRUXHKLUXMUXCUXQU
      XEUXMUXCPUXLUWOWOWPZUXKYQWOWPUXTYQTUWAWQWRUXKYQXCWSUXLUWOUXKYQUXJUWATWTXA
      ZVKZXBVPUXQUXEPUXPUWQWOWPZUXOYRWOWPUYCYRNUWBXDWRUXOYRXCWSUXPUWQUXOYRUXNUW
      BNWTXAZVKZXBVPXEXFUXSNOZUUAUXRIZERZUXKUXOUDZQZUXRIZUYHUYJUXLUXPUDZUXRUXKU
      XOXGUXLUXMIUXPUXQIUXLUXPUAZNPUYLUXRIUXLUYBVLUXPUYEVLUXKUXOUAZQZNQZUYMNUYN
      NPUYOUYPPYQYRTNWQXHXIUYNNVIXJUXKUXOXKXNXLUXLUXPUXMUXQXMXOXPUYGUYKEUYIUXKU
      XOUYAUYDXQYTUYIPUUAUYJUXRYTUYIVIVJYDXJUXRHIZUYFUYHUFUXMHIUXQHIUYQUXLUYBXR
      UXPUYEXRUXMUXQUGXSUXREUHXJVPXTUXGYJUXINUXGYIUXHKLABUXCUXEYAVRWAWBYBYCWKYE
      $.
      $( [9-Mar-2015] $)
  $}

  ${
    $d m t $.  $d m n $.  $d N m $.
    $( A natural raised to cardinal zero is non-empty.  Theorem XI.2.44 of
       {{Rosser}}, p. 383. $)
    ce0nn $p |- ( N e. Nn -> ( N ^c 0c ) =/= (/) ) $=
      ( vm vn vt cv c0c cce co wne c1c c1st c2nd csn cima wcel wbr oveq1 neeq1d
      c0 wceq cplc ccnv cres cfullfun ccompl cab cvv wn vex elcompl cop wrex wa
      brres eliniseg anbi2i 0cex 3bitri rexbii elima risset 3bitr4i brfullfunop
      necon3bbii bitri abbi2i 1stex 2ndex cnvex snex imaex resex ceex fullfunex
      op1st2nd complex eqeltrri cncs cpw1 0cnc pw10 nulel0c ce0nnuli mp2an cnnc
      weq eqeltri wi nnnc 1cnc 0ex pw1sn snel1c jctr wb ce0addcnnul syl5ibr syl
      mpan2 finds ) BEZFGHZSIZFFGHZSIZCEZFGHZSIZXFJUAZFGHZSIZAFGHZSIBCAKLUBZFMZ
      NZUCZGUDZUBZSMZNZNZUEZXCBUFUGXCBYBXAYBOXAYAOZUHXCXAYABUIZUJYCXBSYCXAFUKZX
      TOZYESXQPXBSTDEZXAXPPZDXTULYGYETZDXTULYCYFYHYIDXTYHYGXAKPZYGXOOZUMYJYGFLP
      ZUMYIYGXAKXOUNYKYLYJLFYGUOUPXAFYGYDUQVOURUSDXAXPXTUTDYEXTVAVBXQSYEUOXAFSG
      YDUQVCURVDVEVFYAXPXTKXOVGXMXNLVHVIFVJVKVLXRXSXQGVMVNVISVJZVKVKVPVQXAFTXBX
      DSXAFFGQRBCWFXBXGSXAXFFGQRXAXITXBXJSXAXIFGQRXAATXBXLSXAAFGQRFVROSVSZFOXEV
      TYNSFWAWBWGSFWCWDXFWEOXFVROZXHXKWHXFWIXHXKYOXHJFGHSIZUMZXHYPJVROZXSVSZJOY
      PWJYSXSMJSWKWLXSYMWMWGXSJWCWDWNYOYRXKYQWOWJXFJWPWSWQWRWT $.
      $( [9-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a g $.  $d A g $.  $d A p $.  $d A t $.
    $d B a $.  $d B b $.  $d b g $.  $d B g $.  $d B p $.  $d B t $.  $d g p $.
    $d g t $.  $d p t $.
    cenc.1 $e |- A e. _V $.
    cenc.2 $e |- B e. _V $.
    $( Cardinal exponentiation in terms of cardinality.  Theorem XI.2.39 of
       {{Rosser}}, p. 382. $)
    cenc $p |- ( Nc ~P1 A ^c Nc ~P1 B ) = Nc ( A ^m B ) $=
      ( vg vp vt va vb cpw1 cnc co cmap cv wcel cen wbr w3a wex wb cce wa enpw1
      elnc bitr4i enmap1 enmap2 entr syl2an syl2anb ancoms sylan 3impa exlimivv
      cncs pw1ex ncelncsi elce mp2an ssriv ncid wceq pw1eq eleq1d adantr adantl
      3imtr4i oveq12 breq2d 3anbi123d cla42ev mp3an12 eqssi ) AJZKZBJZKZUALZABM
      LZKZEVRVTFNZJZVOOZGNZJZVQOZENZWAWDMLZPQZRZGSFSZWGVSPQZWGVROZWGVTOZWJWLFGW
      CWFWIWLWCWFUBWHVSPQZWIWLWCWAAPQZWDBPQZWOWFWCWBVNPQWPWBVNUDWAAUCUEWFWEVPPQ
      WQWEVPUDWDBUCUEWPWHAWDMLZPQWRVSPQWOWQWAAWDUFWDBAUGWHWRVSUHUIUJWIWOWLWGWHV
      SUHUKULUMUNVOUOOZVQUOOZWMWKTVNACUPZUQZVPBDUPZUQZFGWGVQVOURUSWGVSUDZVGUTEV
      TVRWLHNZJZVOOZINZJZVQOZWGXFXIMLZPQZRZISHSZWNWMVNVOOZVPVQOZWLXOVNXAVAVPXCV
      AXNXPXQWLRHIABCDXFAVBZXIBVBZUBZXHXPXKXQXMWLXRXHXPTXSXRXGVNVOXFAVCVDVEXSXK
      XQTXRXSXJVPVQXIBVCVDVFXTXLVSWGPXFAXIBMVHVIVJVKVLXEWSWTWMXOTXBXDHIWGVQVOUR
      USVGUTVM $.
      $( [6-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a g $.  $d b g $.  $d M a $.  $d M b $.  $d M g $.  $d N a $.
    $d N b $.  $d N g $.
    $( Cardinal exponentiation is non-empty iff the two sets raised to zero are
       non-empty.  Theorem XI.2.47 of {{Rosser}}, p. 384. $)
    ce0nnulb $p |- ( ( N e. NC /\ M e. NC ) -> ( ( ( N ^c 0c ) =/= (/) /\ ( M
        ^c 0c ) =/= (/) ) <-> ( N ^c M ) =/= (/) ) ) $=
      ( va vb vg cncs wcel wa c0c cce co wne cpw1 wex ce0nnul bi2anan9 cnc wceq
      c0 cv eeanv syl6bbr ncseqnc cmap cenc ovex ncid ne0i ax-mp eqnetri oveq12
      vex neeq1d mpbiri syl6bir exlimdvv cen wbr w3a elce 3simpa 2eximi exlimdv
      n0 syl6bi syl5bi impbid bitrd ) BFGZAFGZHZBIJKSLZAIJKSLZHZCTZMZBGZDTZMZAG
      ZHZDNCNZBAJKZSLZVKVNVQCNZVTDNZHWBVIVLWEVJVMWFBCOADOPVQVTCDUAUBVKWBWDVKWAW
      DCDVKWABVPQZRZAVSQZRZHZWDVIWHVQVJWJVTBVPUCAVSUCPWKWDWGWIJKZSLWLVOVRUDKZQZ
      SVOVRCULDULUEWMWNGWNSLWMVOVRUDUFUGWNWMUHUIUJWKWCWLSBWGAWIJUKUMUNUOUPWDETZ
      WCGZENVKWBEWCVDVKWPWBEVKWPVQVTWOWMUQURZUSZDNCNWBCDWOABUTWRWACDVQVTWQVAVBV
      EVCVFVGVH $.
      $( [9-Mar-2015] $)
  $}

  ${
    $d a b $.  $d M a $.  $d M b $.  $d N a $.  $d N b $.
    $( Biconditional closure law for cardinal exponentiation.  Theorem XI.2.48
       of {{Rosser}}, p. 384. $)
    ceclb $p |- ( ( M e. NC /\ N e. NC ) ->
       ( ( ( M ^c 0c ) =/= (/) /\ ( N ^c 0c ) =/= (/) ) <-> ( M ^c N ) e. NC )
        ) $=
      ( va vb cncs wcel wa c0c cce co c0 wne cpw1 wex ce0nnul bi2anan9 cnc wceq
      cv ncseqnc syl6bbr oveq12 cmap vex cenc ncelncsi eqeltri syl6eqel syl6bir
      eeanv ovex exlimdvv sylbid nulnnc mtbiri necon2ai ce0nnulb syl5ibr impbid
      eleq1 ) AEFZBEFZGZAHIJKLZBHIJKLZGZABIJZEFZVCVFCSZMZAFZDSZMZBFZGZDNCNZVHVC
      VFVKCNZVNDNZGVPVAVDVQVBVEVRACOBDOPVKVNCDUJUAVCVOVHCDVCVOAVJQZRZBVMQZRZGZV
      HVAVTVKVBWBVNAVJTBVMTPWCVGVSWAIJZEAVSBWAIUBWDVIVLUCJZQEVIVLCUDDUDUEWEVIVL
      UCUKUFUGUHUIULUMVHVFVCVGKLVHVGKVGKRVHKEFUNVGKEUTUOUPBAUQURUS $.
      $( [9-Mar-2015] $)
  $}

  ${
    $( Cardinal exponentiation to zero is a cardinal iff it is non-empty.
       Corollary 1 of theorem XI.2.38 of {{Rosser}}, p. 384. $)
    ce0nulnc $p |- ( M e. NC -> ( ( M ^c 0c ) =/= (/) <-> ( M ^c 0c ) e. NC ) )
        $=
      ( vm c0c cce co c0 wne wa cncs wcel cpw1 wex nulel0c 0ex wceq pw1eq ax-mp
      cv wb 0cnc syl6eq eleq1d cla4ev ce0nnul mpbir biantru ceclb mpan2 syl5bb
      pw10 ) ACDEZFGZULCCDEFGZHZAIJZUKIJZUMULUMBRZKZCJZBLZFCJZUTMUSVABFNUQFOZUR
      FCVBURFKFUQFPUJUAUBUCQCIJZUMUTSTCBUDQUEUFUOVCUNUPSTACUGUHUI $.
      $( [13-Mar-2015] $)
  $}

  ${
    $d M a $.
    $( If cardinal exponentiation to zero is a cardinal, then the base is the
       cardinality of some unit power class.  Corollary 2 of theorem XI.2.48 of
       {{Rosser}}, p. 384. $)
    ce0ncpw1 $p |- ( ( M e. NC /\ ( M ^c 0c ) e. NC ) -> E. a M = Nc ~P1 a ) $=
      ( cncs wcel c0c cce co cv cpw1 cnc wceq wex c0 wne nulnnc mtbiri necon2ai
      eleq1 ce0nnul ncseqnc exbidv bitr4d syl5ib imp ) ACDZAEFGZCDZABHIZJKZBLZU
      GUFMNZUEUJUGUFMUFMKUGMCDOUFMCRPQUEUKUHADZBLUJABSUEUIULBAUHTUAUBUCUD $.
      $( [9-Mar-2015] $)
  $}

  ${
    $( Closure law for cardinal exponentiation.  Corollary 3 of theorem XI.2.48
       of {{Rosser}}, p. 384. $)
    cecl $p |- ( ( ( M e. NC /\ N e. NC ) /\
          ( ( M ^c 0c ) e. NC /\ ( N ^c 0c ) e. NC ) ) -> ( M ^c N ) e. NC ) $=
      ( cncs wcel wa c0c cce co c0 wne wceq nulnnc eleq1 necon2ai anim12i ceclb
      mtbiri syl5ib imp ) ACDBCDEZAFGHZCDZBFGHZCDZEZABGHCDZUEUAIJZUCIJZETUFUBUG
      UDUHUBUAIUAIKUBICDZLUAICMQNUDUCIUCIKUDUILUCICMQNOABPRS $.
      $( [9-Mar-2015] $)
  $}

  ${
    $( Reverse closure law for cardinal exponentiation. $)
    ceclr $p |- ( ( M e. NC /\ N e. NC /\ ( M ^c N ) e. NC ) ->
       ( ( M ^c 0c ) e. NC /\ ( N ^c 0c ) e. NC ) ) $=
      ( cncs wcel cce co w3a c0c c0 wa ceclb biimp3ar ce0nulnc bi2anan9 3adant3
      wne wb mpbid ) ACDZBCDZABEFCDZGAHEFZIPZBHEFZIPZJZUBCDZUDCDZJZSTUFUAABKLST
      UFUIQUASUCUGTUEUHAMBMNOR $.
      $( [13-Mar-2015] $)
  $}

  ${
    $d m n $.  $d m p $.  $d m x $.  $d m y $.  $d n p $.  $d n x $.  $d n y $.
    $d p x $.  $d p y $.  $d x y $.
    $( Full functionhood statement for cardinal exponentiation. $)
    fce $p |- ^c : ( NC X. NC ) --> ( NC u. { (/) } ) $=
      ( vp vn vm vx vy cncs c0 cce fnce cv cfv wcel wral co wa wne wex wo bitri
      wceq cxp csn cun wf wfn crn wss wn wi df-ne c0c n0 cpw1 cmap cen wbr elce
      w3a 3simpa ce0nnuli ex im2anan9 syl5 exlimdvv sylbid exlimdv syl5bi ceclb
      sylibd syl5bir elun ovex orbi2i orcom df-or sylibr rgen2a cop fveq2 df-ov
      elsn syl6eqr eleq1d ralxp mpbir fnfvrnss mp2an df-f mpbir2an ) FFUAZFGUBZ
      UCZHUDHWJUEZHUFWLUGZIWMAJZHKZWLLZAWJMZWNIWRBJZCJZHNZWLLZCFMBFMXBBCFWSFLZW
      TFLZOZXAGTZUHZXAFLZUIZXBXGXAGPZXEXHXAGUJXEXJWSUKHNGPZWTUKHNGPZOZXHXJWOXAL
      ZAQXEXMAXAULXEXNXMAXEXNDJZUMWSLZEJZUMWTLZWOXOXQUNNUOUPZURZEQDQXMDEWOWTWSU
      QXEXTXMDEXTXPXROXEXMXPXRXSUSXCXPXKXDXRXLXCXPXKXOWSUTVAXDXRXLXQWTUTVAVBVCV
      DVEVFVGWSWTVHVIVJXBXHXAWKLZRZXIXAFWKVKYBXHXFRZXIYAXFXHXAGWSWTHVLWAVMYCXFX
      HRXIXHXFVNXFXHVOSSSVPVQWQXBABCFFWOWSWTVRZTZWPXAWLYEWPYDHKXAWOYDHVSWSWTHVT
      WBWCWDWEAWJWLHWFWGWJWLHWHWI $.
      $( [13-Mar-2015] $)
  $}

  $( Closure law for cardinal exponentiation when the base is a natural. $)
  ceclnn1 $p |- ( ( M e. Nn /\ N e. NC /\ ( N ^c 0c ) e. NC ) ->
     ( M ^c N ) e. NC ) $=
    ( cnnc wcel cncs c0c cce co w3a 3ad2ant1 simp2 c0 wne ce0nn wb ce0nulnc syl
    nnnc mpbid simp3 cecl syl22anc ) ACDZBEDZBFGHEDZIAEDZUDAFGHZEDZUEABGHEDUCUD
    UFUEARZJUCUDUEKUCUDUHUEUCUGLMZUHANUCUFUJUHOUIAPQSJUCUDUETABUAUB $.
    $( [13-Mar-2015] $)

  ${
    $d M a $.
    $( The value of non-empty cardinal exponentiation.  Theorem XI.2.49 of
       {{Rosser}}, p. 385. $)
    ce0 $p |- ( ( M e. NC /\ ( M ^c 0c ) e. NC ) -> ( M ^c 0c ) = 1c ) $=
      ( va cncs wcel c0c cce co wa c0 csn cnc c1c wceq cv cpw1 wex ce0ncpw1 vex
      cmap 0ex map0e ovex ncid eqeltrri cenc eleqtrri df0c2 nceqi eqtr4i oveq12
      pw10 mpan2 syl5eleqr exlimiv syl wb ncseqnc adantl mpbird df1c3 syl6eqr )
      ACDZAEFGZCDZHZVCIJZKZLVEVCVGMZVFVCDZVEABNZOKZMZBPVIABQVLVIBVLVFVKIOZKZFGZ
      VCVFVJISGZKZVOVPVFVQVJBRZUAVPVJISUBUCUDVJIVRTUEUFVLEVNMVCVOMEIKVNUGVMIUKU
      HUIAVKEVNFUJULUMUNUOVDVHVIUPVBVCVFUQURUSITUTVA $.
      $( [9-Mar-2015] $)
  $}

  ${
    $d A t $.  $d A x $.  $d A y $.  $d t x $.  $d t y $.  $d x y $.
    $( Membership in cardinal two. $)
    el2c $p |- ( A e. 2c <-> E. x E. y ( x =/= y /\ A = { x , y } ) ) $=
      ( vt c1c wcel cv csn wceq cun ccompl wa wex c2c df-rex bicomi bitri exbii
      wrex weq cplc wne cpr elsuc el1c anbi1i 19.41v 1p1e2c eleq2i snex compleq
      excom eleq2d uneq1 eqeq2d anbi12d exbidv syl5bb ceqsexv wn elcompl equcom
      vex elsn necon3bbii df-pr eqeq2i anbi12i 3bitr3i ) CEEUAZFZDGZAGZHZIZCVLB
      GZHZJZIZBVLKZSZLZDMZAMZCNFVMVPUBZCVMVPUCZIZLZBMZAMVKWADESZWDBCEDUDWJVLEFZ
      WALZDMZWDWADEOWMWBAMZDMWDWLWNDWLVOAMZWALZWNWKWOWAAVLUEUFWNWPVOWAAUGPQRWBD
      AULQQQVJNCUHUIWCWIAWCVPVNKZFZCVNVQJZIZLZBMZWIWAXBDVNVMUJWAVPVTFZVSLZBMVOX
      BVSBVTOVOXDXABVOXCWRVSWTVOVTWQVPVLVNUKUMVOVRWSCVLVNVQUNUOUPUQURUSXAWHBWRW
      EWTWGWRVPVNFZUTWEVPVNBVCZVAXEVMVPXEBATABTVPVMXFVDBAVBQVEQWGWTWFWSCVMVPVFV
      GPVHRQRVI $.
      $( [3-Mar-2015] $)
  $}


  ${
    $d A p $.  $d A x $.  $d A y $.  $d p x $.  $d p y $.  $d x y $.
    ce2.1 $e |- A e. _V $.
    $( The value of base two cardinal exponentiation.  Theorem XI.2.70 of
       {{Rosser}}. $)
    ce2 $p |- ( M = Nc ~P1 A -> ( 2c ^c M ) = Nc ~P A ) $=
      ( vx vy cpw1 cnc wceq c2c cce co cvv c0 cpr wcel csn cun eqtri wne mpbir
      cpw oveq2 cmap df-pr pw1eq ax-mp pw1un pw1sn 0ex uneq12i eqtr4i cv wa wex
      vvex sneqb necon3bii eqid snex neeq1 neeq2 sylan9bb preq12 eqeq2d anbi12d
      vn0 cla42ev mp2an el2c eqeltri cncs 2nc ncseqnc oveq1i prex cenc enprmapc
      wb cen wbr ovex eqnc syl6eq ) BAFGZHIBJKIWDJKZAUAZGZBWDIJUBWELMNZAUCKZGZW
      GWEWHFZGZWDJKWJIWLWDJIWLHZWKIOZWKLPZMPZNZIWKWOFZWPFZQZWQWKWOWPQZFZWTWHXAH
      WKXBHLMUDWHXAUEUFWOWPUGRWQWOPZWPPZQWTWOWPUDWRXCWSXDLUOUHMUIUHUJUKUKWQIODU
      LZEULZSZWQXEXFNZHZUMZEUNDUNZWOWPSZWQWQHZXKXLLMSZVFWOWPLMLMUOUPUQTWQURXJXL
      XMUMDEWOWPLUSMUSXEWOHZXFWPHZUMZXGXLXIXMXOXGWOXFSXPXLXEWOXFUTXFWPWOVAVBXQX
      HWQWQXEXFWOWPVCVDVEVGVHDEWQVITVJIVKOWMWNVRVLIWKVMUFTVNWHALMVOCVPRWJWGHWIW
      FVSVTZXNWHWHHXRVFWHURLMAWHUOUICVQVHWIWFWHAUCWAWBTRWC $.
      $( [3-Mar-2015] $)
  $}

  $( Compute an exponent of the cardinality of one.  Theorem 4.3 of
     {{Specker}}. $)
  ce2nc1 $p |- ( 2c ^c Nc 1c ) = Nc _V $=
    ( c2c c1c cnc cce co cvv cpw cpw1 wceq df1c2 nceqi vvex ce2 ax-mp pwv eqtri
    ) ABCZDEZFGZCZFCQFHZCIRTIBUAJKFQLMNSFOKP $.
    $( [4-Mar-2015] $)

  $( Compute an exponent of the cardinality of the unit power class of one.
     Theorem 4.4 of {{Specker}}. $)
  ce2ncpw11c $p |- ( 2c ^c Nc ~P1 1c ) = Nc 1c $=
    ( c2c c1c cpw1 cnc cce co cpw wceq eqid 1cex ce2 ax-mp ncpw1c eqtri ) ABCDZ
    EFZBGDZBDOOHPQHOIBOJKLMN $.
    $( [4-Mar-2015] $)


  ${
    $d A x y $.  $d B x y $.
    nclec.1 $e |- A e. _V $.
    nclec.2 $e |- B e. _V $.
    $( A relationship between cardinality, subset, and cardinal less than. $)
    nclec $p |- ( A C_ B -> Nc A <_c Nc B ) $=
      ( vx vy wss cnc wrex clec wbr wcel ncid sseq1 sseq2 rcla42ev mp3an12 ncex
      cv brlec sylibr ) ABGZESZFSZGZFBHZIEAHZIZUGUFJKAUGLBUFLUBUHACMBDMUEUBAUDG
      EFABUGUFUCAUDNUDBAOPQEFUGUFARBRTUA $.
      $( [17-Mar-2015] $)
  $}

  ${
    $d A x y $.
    $( A non-empty set is less than or equal to itself.  Theorem XI.2.14 of
       {{Rosser}}, p. 375. $)
    lecidg $p |- ( ( A e. V /\ A =/= (/) ) -> A <_c A ) $=
      ( vx vy wcel c0 wne wa clec wbr cv wss wrex wex sseq2 rcla4ev mpan2 ancli
      ssid eximi n0 df-rex 3imtr4i adantl wb brlecg anidms adantr mpbird ) ABEZ
      AFGZHAAIJZCKZDKZLZDAMZCAMZUKUQUJUMAEZCNURUPHZCNUKUQURUSCURUPURUMUMLZUPUMS
      UOUTDUMAUNUMUMOPQRTCAUAUPCAUBUCUDUJULUQUEZUKUJVACDAABBUFUGUHUI $.
      $( [4-Mar-2015] $)
  $}

  $( A cardinal is less than or equal to itself.  Corollary 1 of theorem
     XI.2.14 of {{Rosser}}, p. 376. $)
  nclecid $p |- ( A e. NC -> A <_c A ) $=
    ( cncs wcel c0 wne clec wbr wceq nulnnc eleq1 mtbiri necon2ai lecidg mpdan
    ) ABCZADEAAFGOADADHODBCIADBJKLABMN $.
    $( [4-Mar-2015] $)

  ${
    $d A x $.  $d A y $.  $d x y $.
    $( Cardinal zero is a minimal element of cardinal less than or equal.
       Theorem XI.2.15 of {{Rosser}}, p. 376. $)
    lec0cg $p |- ( ( A e. V /\ A =/= (/) ) -> 0c <_c A ) $=
      ( vx vy wcel c0 wne wa c0c clec wbr cv wss wrex wex 0ss jctr wceq wb cvv
      eximi df-rex 3imtr4i csn df-0c rexeq ax-mp 0ex sseq1 rexbidv rexsn sylibr
      n0 bitri adantl 0cex brlecg mpan adantr mpbird ) ABEZAFGZHIAJKZCLZDLZMZDA
      NZCINZVBVHVAVBFVEMZDANZVHVEAEZDOVKVIHZDOVBVJVKVLDVKVIVEPQUADAUMVIDAUBUCVH
      VGCFUDZNZVJIVMRVHVNSUEVGCIVMUFUGVGVJCFUHVDFRVFVIDAVDFVEUIUJUKUNULUOVAVCVH
      SZVBITEVAVOUPCDIATBUQURUSUT $.
      $( [4-Mar-2015] $)

    $( The cardinality of ` _V ` is a maximal element of cardinal less than or
       equal.  Theorem XI.2.16 of {{Rosser}}, p. 376. $)
    lecncvg $p |- ( ( A e. V /\ A =/= (/) ) -> A <_c Nc _V ) $=
      ( vx vy wcel c0 wne wa cvv cnc clec wbr wss wrex wex vvex ncid ssv sseq2
      cv rcla4ev mp2an jctr eximi n0 df-rex 3imtr4i adantl wb ncex brlecg mpan2
      adantr mpbird ) ABEZAFGZHAIJZKLZCTZDTZMZDUQNZCANZUPVCUOUSAEZCOVDVBHZCOUPV
      CVDVECVDVBIUQEUSIMZVBIPQUSRVAVFDIUQUTIUSSUAUBUCUDCAUEVBCAUFUGUHUOURVCUIZU
      PUOUQIEVGIUJCDAUQBIUKULUMUN $.
      $( [4-Mar-2015] $)
  $}

  $( Cardinal zero is a minimal element of cardinal less than or equal.  Lemma
     1 of theorem XI.2.15 of {{Rosser}}, p. 376. $)
  le0nc $p |- ( A e. NC -> 0c <_c A ) $=
    ( cncs wcel wne c0c clec wbr wceq nulnnc eleq1 mtbiri necon2ai lec0cg mpdan
    c0 ) ABCZAODEAFGPAOAOHPOBCIAOBJKLABMN $.
    $( [12-Mar-2015] $)

  ${
    $( The cardinality of a unit power class is not equal to the cardinality of
       the power class.  Theorem XI.2.4 of {{Rosser}}, p. 372. $)
    ncpw1pwneg $p |- ( A e. V -> Nc ~P1 A =/= Nc ~P A ) $=
      ( wcel cpw1 cnc cpw wne cen wbr wn nenpw1pw cvv wceq wb pw1exg necon3abid
      eqncg syl mpbiri ) ABCZADZEZAFZEZGUAUCHIZJAKTUEUBUDTUALCUBUDMUENABOUAUCLQ
      RPS $.
      $( [10-Mar-2015] $)
  $}

  ${
    $d A x $.  $d A y $.  $d x y $.
    $( The cardinality of a unit power class is strictly less than the
       cardinality of the power class.  Theorem XI.2.17 of {{Rosser}},
       p. 376. $)
    ltcpw1pwg $p |- ( A e. V -> Nc ~P1 A <c Nc ~P A ) $=
      ( vx vy wcel cpw1 cnc cpw clec wbr wne cltc wss wrex cvv pw1exg ncidg syl
      cv ncex pwexg pw1sspw sseq1 sseq2 rcla42ev mp3an3 brlec sylibr ncpw1pwneg
      syl2anc brltc sylanbrc ) ABEZAFZGZAHZGZIJZUOUQKUOUQLJUMCSZDSZMZDUQNCUONZU
      RUMUNUOEZUPUQEZVBUMUNOEVCABPUNOQRUMUPOEVDABUAUPOQRVCVDUNUPMZVBAUBVAVEUNUT
      MCDUNUPUOUQUSUNUTUCUTUPUNUDUEUFUJCDUOUQUNTUPTUGUHABUIUOUQUKUL $.
      $( [10-Mar-2015] $)
  $}

  ${
    sbthlem1.1 $e |- R e. _V $.
    sbthlem1.2 $e |- X e. _V $.
    sbthlem1.3 $e |- G = Clos1 ( ( X \ ran R ) , R ) $.
    sbthlem1.4 $e |- A = ( X i^i G ) $.
    sbthlem1.5 $e |- B = ( X \ G ) $.
    sbthlem1.6 $e |- C = ( ran R i^i G ) $.
    sbthlem1.7 $e |- D = ( ran R \ G ) $.
    $( Lemma for ~ sbth .  Set up similarity with a range.  Theorem XI.1.14 of
       {{Rosser}}, p. 350. $)
    sbthlem1 $p |- ( ( ( Fun R /\ Fun `' R ) /\
       ( X C_ dom R /\ ran R C_ X ) ) -> ran R ~~ X ) $=
      ( wa wss cun cen cin c0 wfun ccnv cdm crn wbr cima cres wf1o wf1 wf df-f1
      wfn ssid df-f mpbiran2 funfn bitr4i anbi1i bitri inss1 sstr mpan syl5eqss
      biimpri adantr f1ores syl2an cdif cclos1 rnex difex clos1ex eqeltri resex
      cvv inex f1oen clos1baseima ineq2i indi disjdif uneq1i uncom eqtri 3eqtri
      syl un0 inss2 wceq imassrn simprr syl5ss difss jctil sylib sseqin2 syl5eq
      a1i unss imaeq2d sseqtr4d ssun2 sseqtr4i sseq1d mpbiri syl6sseqr breqtrrd
      ssin eqssd enrflx ccompl difsscompl clos1base sscon34 mpbi compleqi iinun
      df-dif dblcompl uneq2i sseqtri sslin ax-mp eqsstri incompl sstri syl5breq
      3sstr4g ssdif ineq12i inindif unen mpanr12 syl2anc ensym uneq12i inundif
      3brtr3g ) EUAZEUBUAZOZGEUCZPZEUDZGPZOZOZCDQZABQZUUDGRUUGUUIUUHRUEZUUHUUIR
      UEUUGACRUEZBDRUEZUUJUUGAEAUFZCRUUGAUUMEAUGZUHZAUUMRUEUUAUUBUUDEUIZAUUBPZU
      UOUUFUUPUUAUUPUUBUUDEUJZYTOUUAUUBUUDEUKUURYSYTUUREUUBULZYSUURUUSUUDUUDPUU
      DUMUUBUUDEUNUOEUPUQURUSVDUUCUUQUUEUUCAGFSZUUBKUUTGPUUCUUTUUBPGFUTUUTGUUBV
      AVBVCVEUUBUUDAEVFVGAUUMUUNEAHAUUTVOKGFIFGUUDVHZEVIVOJEUVAGUUDIEHVJVKZHVLV
      MZVPVMVNVQWFUUGCUUMUUGCEFUFZUUMUUGCUUDUVDSZUVDCUUDFSZUUDUVAUVDQZSZUVEMFUV
      GUUDFEUVAUVBHJVRZVSUVHUUDUVASZUVEQTUVEQZUVEUUDUVAUVDVTUVJTUVEUUDGWAWBUVKU
      VETQUVETUVEWCUVEWGWDWEWEUVEUVDPUUGUUDUVDWHWRVCUUGAFEUUGAUUTFKUUGFGPUUTFWI
      UUGFUVGGUVIUUGUVAGPZUVDGPZOUVGGPUUGUVMUVLUUGUVDUUDGEFWJUUAUUCUUEWKZWLGUUD
      WMWNUVAUVDGWSWOVCFGWPWOWQWTZXAUUGUUMUVFCUUGUUMUUDPZUUMFPZOUUMUVFPUUGUVQUV
      PUUGUVQUVDFPUVDUVGFUVDUVAXBUVIXCUUGUUMUVDFUVOXDXEEAWJWNUUMUUDFXHWOMXFXIXG
      UUGBBDRBBGFVHZVOLGFIUVCVKVMXJUUGBDUUGUVRUUDFXKZSZBDUUGUVRUUDPZUVRUVSPZOUV
      RUVTPUUGUWBUWAUWBUUGGFXLWRUVRGGXKZUUDQZSZUUDUVRGUVSSZUWEGFXRUVSUWDPUWFUWE
      PUVSUVAXKZUWDUVAFPUVSUWGPFEUVAJXMUVAFXNXOUWGGUUDXKZSZXKUWCUWHXKZQUWDUVAUW
      IGUUDXRXPGUWHXQUWJUUDUWCUUDXSXTWEYAUVSUWDGYBYCYDUWEGUUDSZUUDUWEGUWCSZUWKQ
      TUWKQZUWKGUWCUUDVTUWLTUWKGYEWBUWMUWKTQUWKTUWKWCUWKWGWDWEGUUDWHYDYFWNUVRUU
      DUVSXHWOLDUUDFVHZUVTNUUDFXRWDYHUUGUWNUVRDBUUGUUEUWNUVRPUVNUUDGFYIWFNLYHXI
      YGUUKUULOABSZTWICDSZTWIUUJUWOUUTUVRSTAUUTBUVRKLYJGFYKWDUWPUVFUWNSTCUVFDUW
      NMNYJUUDFYKWDACBDYLYMYNUUIUUHYOWOUUHUVFUWNQUUDCUVFDUWNMNYPUUDFYQWDUUIUUTU
      VRQGAUUTBUVRKLYPGFYQWDYR $.
      $( [11-Mar-2015] $)
  $}

  ${
    $d B b $.  $d R b $.
    sbthlem2.1 $e |- R e. _V $.
    $( Lemma for ~ sbth .  Eliminate hypotheses from ~ sbthlem1 .  Theorem
       XI.1.14 of {{Rosser}}, p. 350. $)
    sbthlem2 $p |- ( ( ( Fun R /\ Fun `' R ) /\
       ( B e. V /\ B C_ dom R /\ ran R C_ B ) ) -> ran R ~~ B ) $=
      ( vb wcel cdm wss crn w3a wfun ccnv wa cen wbr wi cv cdif cin eqid imbi2d
      wceq sseq1 sseq2 anbi12d imbi12d cclos1 vex sbthlem1 expcom vtoclg 3impib
      breq2 impcom ) ACFZABGZHZBIZAHZJBKBLKMZURANOZUOUQUSUTVAPZEQZUPHZURVCHZMZU
      TURVCNOZPZPUQUSMZVBPEACVCAUBZVFVIVHVBVJVDUQVEUSVCAUPUCVCAURUDUEVJVGVAUTVC
      AURNUMUAUFUTVFVGVCVCURRBUGZSZVCVKRZURVKSZURVKRZBVKVCDEUHVKTVLTVMTVNTVOTUI
      UJUKULUN $.
      $( [10-Mar-2015] $)
  $}

  ${
    $d A r $.  $d A s $.  $d B r $.  $d B s $.  $d C r $.  $d C s $.  $d D r $.
    $d D s $.  $d r s $.
    $( Lemma for ~ sbth .  If ` A ` is equinumerous with a subset of ` B ` and
       vice-versa, then ` A ` is equinumerous with ` B ` .  Theorem XI.1.15 of
       {{Rosser}}, p. 353. $)
    sbthlem3 $p |- ( ( ( A ~~ C /\ C C_ B ) /\ ( B ~~ D /\ D C_ A ) ) ->
       A ~~ B ) $=
      ( vr vs cen wbr wss wf1o wex bitr4i crn cdm wceq syl ad2antlr wfun ccnv
      wa cv wi bren anbi12i eeanv ccom simprl f1ofo forn ad2antrr f1odm 3sstr4d
      wfo dmcosseq eqtrd f1ofun syl2anr wfn dff1o2 simp2bi syl2an funeqi sylibr
      funco cnvco jca adantr w3a funfn anbi1i eqid df-3an mpbiran2 vex eqbrtrrd
      coex f1oen wcel rnex syl6eqelr simprr sseqtr4d syl5sseq sbthlem2 syl13anc
      cvv rncoss entr syl2anc ex exlimivv sylbi imp an4s ensymi ad2antrl ) ACGH
      ZCBIZTZBDGHZDAIZTTADGHZDBGHZABGHWQWTWRXAXBWQWTTZWRXATZXBXDACEUAZJZBDFUAZJ
      ZTZFKEKZXEXBUBZXDXGEKZXIFKZTXKWQXMWTXNACEUCBDFUCUDXGXIEFUELXJXLEFXJXEXBXJ
      XETZAXHXFUFZMZGHXQDGHZXBXOXPNZAXQGXOXSXFNZAXOXFMZXHNZIXSXTOXOCBYAYBXJWRXA
      UGXGYACOZXIXEXGACXFUMYCACXFUHACXFUIPUJXIYBBOXGXEBDXHUKQULXHXFUNPXGXTAOXIX
      EACXFUKUJUOZXOXSXQXPJZXSXQGHXOXPRZXPSZRZTZYEXJYIXEXJYFYHXIXHRXFRYFXGBDXHU
      PACXFUPXHXFVDUQXJXFSZXHSZUFZRZYHXGYJRZYKRZYMXIXGXFAURYNYCACXFUSUTXIXHBURY
      OXHMZDOZBDXHUSUTYJYKVDVAYGYLXHXFVEVBVCVFVGZYEXPXSURZYHXQXQOZVHZYIXSXQXPUS
      YIYSYHTZUUAYFYSYHXPVIVJUUAUUBYTXQVKYSYHYTVLVMLLVCXSXQXPXHXFFVNZEVNVPZVQPV
      OXOYIDWFVRZDXSIXQDIXRYRXIUUEXGXEXIDYPWFXIBDXHUMYQBDXHUHBDXHUIPZXHUUCVSVTQ
      XODAXSXJWRXAWAYDWBXOYPXQDXHXFWGXIYQXGXEUUFQWCDXPWFUUDWDWEAXQDWHWIWJWKWLWM
      WNWTXCWSXABDWOWPADBWHWI $.
      $( [10-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a d $.  $d A d $.  $d a g $.  $d A g $.
    $d B a $.  $d B b $.  $d b d $.  $d B d $.  $d b g $.  $d B g $.  $d d g $.
    $( The Schroder-Bernstein Theorem.  This theorem gives the antisymmetry law
       for cardinal less than or equal.  Translated out, it means that, if
       ` A ` is no larger than ` B ` and ` B ` is no larger than ` A ` , then
       ` Nc A = Nc B ` .  Theorem XI.2.20 of {{Rosser}}, p. 376. $)
    sbth $p |- ( ( A e. NC /\ B e. NC ) ->
          ( ( A <_c B /\ B <_c A ) -> A = B ) ) $=
      ( vg vb vd va cncs wcel wa clec wbr cv wss wrex wceq brlecg reeanv cnc wi
      cen wb ancoms anbi12d 2rexbii bitri syl6bbr ncseqnc bi2anan9 simplr ensym
      biimpar sylib simprl simpll simprr sbthlem3 syl22anc entr syl2anc ex elnc
      anbi12i vex eqnc imbi2i 3imtr4i rexlimivv rexeq rexbidv sylan9bbr imbi12d
      eqeq12 mpbiri syl rexlimdvva sylbid ) AGHZBGHZIZABJKZBAJKZIZCLZDLZMZELZFL
      ZMZIZFANZDBNZEBNCANZABOZVSWBWEDBNZCANZWHFANZEBNZIZWLVSVTWOWAWQCDABGGPVRVQ
      WAWQUAEFBAGGPUBUCWLWNWPIZEBNCANWRWKWSCEABWEWHDFBAQUDWNWPCEABQUEUFVSWKWMCE
      ABVSWCAHZWFBHZIZIAWCRZOZBWFRZOZIZWKWMSZVSXGXBVQXDWTVRXFXAAWCUGBWFUGUHUKXG
      XHWIFXCNZDXENZXCXEOZSWIXKDFXEXCWDWFTKZWGWCTKZIZWIWCWFTKZSWDXEHZWGXCHZIWIX
      KSXNWIXOXNWIIZWCWDTKZXLXOXRWCWGTKZWGWDTKZXSXRXMXTXLXMWIUIZWGWCUJULXRXMWEX
      LWHYAYBXNWEWHUMXLXMWIUNZXNWEWHUOWGWDWCWFUPUQWCWGWDURUSYCWCWDWFURUSUTXPXLX
      QXMWDWFVAWGWCVAVBXKXOWIWCWFCVCVDVEVFVGXGWKXJWMXKXFWKWJDXENXDXJWJDBXEVHXDW
      JXIDXEWIFAXCVHVIVJAXCBXEVLVKVMVNVOVP $.
      $( [11-Mar-2015] $)
  $}

  $( Cardinal less than is equivalent to one-way cardinal less than or equal.
     Theorem XI.2.21 of {{Rosser}}, p. 377. $)
  ltlenlec $p |- ( ( M e. NC /\ N e. NC ) ->
    ( M <c N <-> ( M <_c N /\ -. N <_c M ) ) ) $=
    ( cltc wbr clec wa cncs wcel wn brltc wceq nclecid breq1 syl5ibcom ad2antrr
    wne wi sbth expdimp impbid necon3abid pm5.32da syl5bb ) ABCDABEDZABPZFAGHZB
    GHZFZUDBAEDZIZFABJUHUDUEUJUHUDFZUIABUKABKZUIUFULUIQUGUDUFAAEDULUIALABAEMNOU
    HUDUIULABRSTUAUBUC $.
    $( [11-Mar-2015] $)

  ${
    $d M x $.  $d M y $.  $d M z $.  $d N x $.  $d N y $.  $d N z $.  $d x y $.
    $d x z $.  $d y z $.
    $( For non-empty sets, cardinal sum always increases cardinal less than or
       equal.  Theorem XI.2.19 of {{Rosser}}, p. 376. $)
    addlec $p |- ( ( M e. V /\ N e. W /\ ( M +c N ) =/= (/) ) ->
       M <_c ( M +c N ) ) $=
      ( vx vz vy wcel cplc c0 wne w3a clec cv wss wrex wex wa wceq cvv ssun1 n0
      wbr cin cun eladdc sseq2 mpbiri adantl rexlimivw reximi sylbi ancli eximi
      rexcom df-rex bitri 3imtr4i 3ad2ant3 addcexg brlecg syldan 3adant3 mpbird
      wb ) ACHZBDHZABIZJKZLAVHMUCZENZFNZOZFVHPEAPZVIVFVNVGVLVHHZFQVOVMEAPZRZFQZ
      VIVNVOVQFVOVPVOVKGNZUDJSZVLVKVSUEZSZRZGBPZEAPVPVLABEGUFWDVMEAWCVMGBWBVMVT
      WBVMVKWAOVKVSUAVLWAVKUGUHUIUJUKULUMUNFVHUBVNVPFVHPVRVMEFAVHUOVPFVHUPUQURU
      SVFVGVJVNVEZVIVFVGVHTHWEABCDUTEFAVHCTVAVBVCVD $.
      $( [11-Mar-2015] $)
  $}

  ${
    $( For cardinals, cardinal sum always increases cardinal less than or
       equal.  Corollary of theorem XI.2.19 of {{Rosser}}, p. 376. $)
    addlecncs $p |- ( ( M e. NC /\ N e. NC ) -> M <_c ( M +c N ) ) $=
      ( cncs wcel cplc c0 wne clec wbr wa ncaddccl nulnnc eleq1 mtbiri necon2ai
      wceq syl addlec mpd3an3 ) ACDZBCDZABEZFGZAUBHITUAJUBCDZUCABKUDUBFUBFPUDFC
      DLUBFCMNOQABCCRS $.
      $( [11-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a p $.  $d b p $.  $d M a $.  $d M b $.  $d M p $.  $d N a $.
    $d N b $.  $d N p $.
    $( Cardinal less than or equal in terms of cardinal addition.  Theorem
       XI.2.22 of {{Rosser}}, p. 377. $)
    dflec2 $p |- ( ( M e. NC /\ N e. NC ) ->
       ( M <_c N <-> E. p e. NC N = ( M +c p ) ) ) $=
      ( va vb cncs wcel wa clec wbr cv cplc wceq wrex wss cnc ncseqnc vex cun
      wi brlecg bi2anan9 biimpar cdif difex ncelncsi cin disjdif ncdisjun ax-mp
      c0 undif2 ssequn1 biimpi syl5eq nceqd syl5reqr addceq2 rcla4ev sylancr wb
      eqeq2d id addceq1 eqeqan12d rexbidv ancoms syl rexlimdvva addlecncs breq2
      syl5ibr sylbid syl5ibrcom adantlr rexlimdva impbid ) AFGZBFGZHZABIJZBACKZ
      LZMZCFNZVTWADKZEKZOZEBNDANWEDEABFFUAVTWHWEDEABVTWFAGZWGBGZHZHAWFPZMZBWGPZ
      MZHZWHWETVTWPWKVRWMWIVSWOWJAWFQBWGQUBUCWHWEWPWNWLWBLZMZCFNZWHWGWFUDZPZFGW
      NWLXALZMZWSWTWGWFERDRZUEZUFWHXBWFWTSZPZWNWFWTUGUKMXGXBMWFWGUHWFWTXDXEUIUJ
      WHXFWGWHXFWFWGSZWGWFWGULWHXHWGMWFWGUMUNUOUPUQWRXCCXAFWBXAMWQXBWNWBXAWLURV
      BUSUTWOWMWEWSVAWOWMHWDWRCFWOWMBWNWCWQWOVCAWLWBVDVEVFVGVLVHVIVMVTWDWACFVRW
      BFGZWDWATVSVRXIHWAWDAWCIJAWBVJBWCAIVKVNVOVPVQ $.
      $( [11-Mar-2015] $)
  $}

  ${
    $d A x $.  $d A y $.  $d B x $.  $d B y $.  $d C x $.  $d C y $.  $d x y $.
    $( Cardinal less than or equal is transitive. $)
    lectr $p |- ( ( A e. NC /\ B e. NC /\ C e. NC ) ->
       ( ( A <_c B /\ B <_c C ) -> A <_c C ) ) $=
      ( vx vy cncs wcel w3a clec wa cv cplc wceq wrex wb dflec2 3adant3 3adant1
      wbr anbi12d reeanv syl6bbr addceq1 addcass syl6eq eqeq2d biimpa addlecncs
      simp1 ncaddccl syl2an breq2 syl5ibrcom syl5 rexlimdvva sylbid ) AFGZBFGZC
      FGZHZABISZBCISZJZBADKZLZMZCBEKZLZMZJZEFNDFNZACISZUTVCVFDFNZVIEFNZJVKUTVAV
      MVBVNUQURVAVMOUSABDPQURUSVBVNOUQBCEPRTVFVIDEFFUAUBUTVJVLDEFFVJCAVDVGLZLZM
      ZUTVDFGVGFGJZJZVLVFVIVQVFVHVPCVFVHVEVGLVPBVEVGUCAVDVGUDUEUFUGVSVLVQAVPISZ
      UTUQVOFGVTVRUQURUSUIVDVGUJAVOUHUKCVPAIULUMUNUOUP $.
      $( [12-Mar-2015] $)
  $}

  ${
    $( Transitivity law for cardinal less than or equal and less than. $)
    leltctr $p |- ( ( A e. NC /\ B e. NC /\ C e. NC ) ->
       ( ( A <_c B /\ B <c C ) -> A <c C ) ) $=
      ( cncs wcel w3a clec wbr cltc wa wne lectr expdimp adantrd wi wceq anbi1d
      breq1 biimpac brltc sbth ancoms 3adant1 syl6ibr syl5 necon3d expr 3imtr4g
      eqcom imp3a jcad expimpd ) ADEZBDEZCDEZFZABGHZBCIHZACIHZUPUQJZBCGHZBCKZJZ
      ACGHZACKZJURUSUTVCVDVEUTVAVDVBUPUQVAVDABCLMNUTVAVBVEUPUQVAVBVEOUPUQVAJZJA
      CBCUPVFACPZBCPZVFVGJCBGHZVAJZUPVHVGVFVJVGUQVIVAACBGRQSUPVJCBPZVHUNUOVJVKO
      ZUMUOUNVLCBUAUBUCBCUIUDUEMUFUGUJUKBCTACTUHUL $.
      $( [16-Mar-2015] $)
  $}

  ${
    $d x y z $.
    $( Cardinal less than or equal partially orders the cardinals. $)
    lecponc $p |- <_c Po NC $=
      ( vx vy vz clec cncs cpartial wbr wtru cvv wcel lecex a1i ncsex cv adantl
      nclecid w3a wa imp 3adant1 lectr weq sbth pod trud ) DEFGHABCEDIIDIJHKLEI
      JHMLANZEJZUFUFDGHUFPOUGBNZEJZCNZEJQZUFUHDGZUHUJDGRZUFUJDGZHUKUMUNUFUHUJUA
      STUGUIRZULUHUFDGRZABUBZHUOUPUQUFUHUCSTUDUE $.
      $( [12-Mar-2015] $)
  $}

  ${
    $d M x $.  $d N x $.  $d P x $.
    $( Addition law for cardinal less than.  Theorem XI.2.23 of {{Rosser}},
       p. 377. $)
    leaddc1 $p |- ( ( ( M e. NC /\ N e. NC /\ P e. NC ) /\ M <_c N ) ->
               ( M +c P ) <_c ( N +c P ) ) $=
      ( vx cncs wcel w3a clec wbr cplc cv wceq wb dflec2 3adant3 wi wa ncaddccl
      wrex addlecncs sylan addc32 syl6eq breq2d syl5ibrcom rexlimdva sylbid imp
      addceq1 3adant2 ) BEFZCEFZAEFZGZBCHIZBAJZCAJZHIZUNUOCBDKZJZLZDESZURUKULUO
      VBMUMBCDNOUKUMVBURPULUKUMQZVAURDEVCUSEFZQURVAUPUPUSJZHIZVCUPEFVDVFBARUPUS
      TUAVAUQVEUPHVAUQUTAJVECUTAUIBUSAUBUCUDUEUFUJUGUH $.
      $( [12-Mar-2015] $)
  $}

  $( Addition law for cardinal less than.  Theorem XI.2.23 of {{Rosser}},
     p. 377. $)
  leaddc2 $p |- ( ( ( M e. NC /\ N e. NC /\ P e. NC ) /\ N <_c P ) ->
               ( M +c N ) <_c ( M +c P ) ) $=
    ( cncs wcel w3a clec wbr wa cplc 3anrot leaddc1 sylanb addccom 3brtr4g ) BD
    EZCDEZADEZFZCAGHZICBJZABJZBCJBAJGSQRPFTUAUBGHPQRKBCALMBCNBANO $.
    $( [12-Mar-2015] $)


  ${
    $d a p $.  $d a q $.  $d a x $.  $d N a $.  $d p q $.  $d p x $.  $d q x $.
    $( Any cardinal is either zero or no greater than one.  Theorem XI.2.24 of
       {{Rosser}}, p. 377. $)
    nc0le1 $p |- ( N e. NC -> ( N = 0c \/ 1c <_c N ) ) $=
      ( va vx vq vp wcel cv cnc wceq wex c0c c1c clec wbr wo wss wrex vex sylbi
      c0 cncs elncs nceq df0c2 syl6eqr orcd wne wel csn snss snel1c sseq2 sseq1
      ncid rcla42ev mp3an12 exlimiv n0 1cex ncex brlec rexcom 3imtr4i pm2.61ine
      bitri olcd eqeq1 breq2 orbi12d mpbiri ) AUAFABGZHZIZBJAKIZLAMNZOZBAUBVMVP
      BVMVPVLKIZLVLMNZOZVSVKTVKTIZVQVRVTVLTHKVKTUCUDUEUFVKTUGZVRVQCBUHZCJDGZEGZ
      PZDLQEVLQZWAVRWBWFCWBCGZUIZVKPZWFWGVKCRZUJVKVLFWHLFWIWFVKBRUNWGWJUKWEWIWC
      VKPEDVKWHVLLWDVKWCULWCWHVKUMUOUPSUQCVKURVRWEEVLQDLQWFDELVLUSVKUTVAWEDELVL
      VBVEVCVFVDVMVNVQVOVRAVLKVGAVLLMVHVIVJUQS $.
      $( [12-Mar-2015] $)
  $}

  ${
    $d N m $.
    $( Any cardinal is either zero or the successor of a cardinal.  Corollary
       of theorem XI.2.24 of {{Rosser}}, p. 377. $)
    nc0suc $p |- ( N e. NC -> ( N = 0c \/ E. m e. NC N = ( m +c 1c ) ) ) $=
      ( cncs wcel c0c wceq c1c clec wbr wo cplc wrex nc0le1 1cnc dflec2 addccom
      cv wb wa eqeq2i rexbii syl6bb mpan orbi2d mpbid ) BCDZBEFZGBHIZJUGBAQZGKZ
      FZACLZJBMUFUHULUGGCDZUFUHULRNUMUFSUHBGUIKZFZACLULGBAOUOUKACUNUJBGUIPTUAUB
      UCUDUE $.
      $( [12-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a m $.  $d a n $.  $d A n $.  $d B n $.  $d m n $.  $d m p $.
    $d n p $.
    $( Cardinal less than or equal is total over the naturals. $)
    leconnnc $p |- ( ( A e. Nn /\ B e. Nn ) -> ( A <_c B \/ B <_c A ) ) $=
      ( va vp cnnc wcel clec wbr wo cv wceq breq2 breq1 orbi12d imbi2d c0c cncs
      wi c1c wa vn vm cplc wn cab ccnv csn cima cun cvv elun eliniseg cop df-br
      elimasn bitr4i orbi12i bitri abbi2i uneq2i eqtri abbii eqtr4i abexv lecex
      unab imor cnvex snex imaex unex eqeltrri weq nnnc le0nc syl dflec2 nc0le1
      orc wrex 1cnc ax-mp mpbiri orim1i a1i orcomd adantl simpll simplr leaddc2
      simpr syl31anc ex orim12d biimprd com12 rexlimdva adantr sylbid addlecncs
      mpd mpan2 peano2nc lectr mpd3an3 mpan2d ancoms olc syl6 jaod syl2an finds
      a2d vtoclga imp ) AEFZBEFZABGHZBAGHZIZXQXPXTXPAUAJZGHZYAAGHZIZRXPXTRUABEY
      ABKZYDXTXPYEYBXRYCXSYABAGLYABAGMNOXPYAEFZYDYFCJZYAGHZYAYGGHZIZRZYFPYAGHZY
      APGHZIZRYFUBJZYAGHZYAYOGHZIZRYFYOSUCZYAGHZYAYSGHZIZRYFYDRCUBAYFUDZCUEZGUF
      ZYAUGZUHZGUUFUHZUIZUIZYKCUEZUJUUJUUCYJIZCUEZUUKUUJUUDYJCUEZUIUUMUUIUUNUUD
      YJCUUIYGUUIFYGUUGFZYGUUHFZIYJYGUUGUUHUKUUOYHUUPYIGYAYGULUUPYAYGUMGFYIGYAY
      GUOYAYGGUNUPUQURUSUTUUCYJCVFVAYKUULCYFYJVGVBVCUUDUUIUUCCVDUUGUUHUUEUUFGVE
      VHYAVIZVJGUUFVEUUQVJVKVKVLYGPKZYJYNYFUURYHYLYIYMYGPYAGMYGPYAGLNOCUBVMZYJY
      RYFUUSYHYPYIYQYGYOYAGMYGYOYAGLNOYGYSKZYJUUBYFUUTYHYTYIUUAYGYSYAGMYGYSYAGL
      NOYGAKZYJYDYFUVAYHYBYIYCYGAYAGMYGAYAGLNOYFYLYNYFYAQFZYLYAVNZYAVOVPYLYMVSV
      PYOEFZYFYRUUBUVDYFYRUUBRZUVDYOQFZUVBUVEYFYOVNUVCUVFUVBTZYPUUBYQUVGYPYAYOD
      JZUCZKZDQVTZUUBYOYADVQUVFUVKUUBRUVBUVFUVJUUBDQUVFUVHQFZTZYSUVIGHZUVIYSGHZ
      IZUVJUUBRUVMSUVHGHZUVHSGHZIZUVPUVLUVSUVFUVLUVRUVQUVLUVHPKZUVQIZUVRUVQIZUV
      HVRUWAUWBRUVLUVTUVRUVQUVTUVRPSGHZSQFZUWCWASVOWBUVHPSGMWCWDWEXAWFWGUVMUVQU
      VNUVRUVOUVMUVQUVNUVMUVQTZUVFUWDUVLUVQUVNUVFUVLUVQWHUWDUWEWAWEUVFUVLUVQWIU
      VMUVQWKUVHYOSWJWLWMUVMUVRUVOUVMUVRTZUVFUVLUWDUVRUVOUVFUVLUVRWHUVFUVLUVRWI
      UWDUWFWAWEUVMUVRWKSYOUVHWJWLWMWNXAUVJUVPUUBUVJUUBUVPUVJYTUVNUUAUVOYAUVIYS
      GLYAUVIYSGMNWOWPVPWQWRWSUVGYQUUAUUBUVBUVFYQUUARUVBUVFTYQYOYSGHZUUAUVFUWGU
      VBUVFUWDUWGWAYOSWTXBWGUVBUVFYSQFZYQUWGTUUARUVFUWHUVBYOXCWGYAYOYSXDXEXFXGU
      UAYTXHXIXJXKWMXMXLWPXNWPXO $.
      $( [12-Mar-2015] $)
  $}

  ${
    $d A p $.  $d B p $.
    $( The sum of two cardinals is zero iff both addends are zero. $)
    addceq0 $p |- ( ( A e. NC /\ B e. NC ) -> ( ( A +c B ) = 0c <->
       ( A = 0c /\ B = 0c ) ) ) $=
      ( vp cncs wcel wa cplc c0c wceq c1c wrex nc0suc ord wne 0cnsuc necon3bbid
      wn wi eqeq1d mpbiri wo ianor adantr addc32 eqnetri addceq1 rexlimivw syl6
      adantl addcass eqnetrri addceq2 jaod syl5bi con4d addceq12 addcid2 syl6eq
      cv impbid1 ) ADEZBDEZFZABGZHIZAHIZBHIZFZVCVHVEVHQVFQZVGQZUAVCVEQZVFVGUBVC
      VIVKVJVCVIACUSZJGZIZCDKZVKVAVIVORVBVAVFVOCALMUCVNVKCDVNVKVMBGZHNVPVLBGZJG
      HVLJBUDVQOUEVNVEVPHVNVDVPHAVMBUFSPTUGUHVCVJBVMIZCDKZVKVBVJVSRVAVBVGVSCBLM
      UIVRVKCDVRVKAVMGZHNAVLGZJGVTHAVLJUJWAOUKVRVEVTHVRVDVTHBVMAULSPTUGUHUMUNUO
      VHVDHHGHABHHUPHUQURUT $.
      $( [12-Mar-2015] $)
  $}

  ${
    $d M x $.
    $( Ordering law for cardinal exponentiation to two.  Theorem XI.2.71 of
       {{Rosser}}, p. 390. $)
    ce2lt $p |- ( ( M e. NC /\ ( M ^c 0c ) e. NC ) -> M <c ( 2c ^c M ) ) $=
      ( vx cncs wcel c0c cce co wa cv cpw1 cnc wceq wex c2c wbr ce0ncpw1 cpw id
      cltc cvv vex ltcpw1pwg ax-mp syl6eqbr ce2 breqtrrd exlimiv syl ) ACDAEFGC
      DHABIZJKZLZBMANAFGZSOZABPUKUMBUKAUIQKZULSUKAUJUNSUKRUITDUJUNSOBUAZUITUBUC
      UDUIAUOUEUFUGUH $.
      $( [13-Mar-2015] $)
  $}

  ${
    $d a x $.  $d a y $.  $d b x $.  $d b y $.  $d f x $.  $d f y $.  $d M a $.
    $d M x $.  $d M y $.  $d N a $.  $d N b $.  $d N x $.  $d N y $.  $d x y $.
    $d a b $.  $d a c $.  $d a f $.  $d b c $.  $d b f $.  $d c f $.  $d c x $.
    $d c y $.
    $( Another potential definition of cardinal inequality. $)
    dflec3 $p |- ( ( M e. NC /\ N e. NC ) -> ( M <_c N <->
        E. a e. M E. b e. N E. f f : a -1-1-> b ) ) $=
      ( vx vy vc wcel wa cv cnc wceq wex clec wbr wf1 wrex wb vex elncs anbi12i
      cncs eeanv bitr4i wss ncex brlec cid cres wf1o f1oi f1of1 ax-mp f1ss mpan
      rexcom idex resex f1eq1 cla4ev syl weq f1eq2 exbidv rcla4ev rexlimiva crn
      sylan2 cen eqnc elnc f1f1orn f1oen ensym sylib sylibr eleq2 syl5ib sylbir
      wi imp f1f frn adantl sseq1 syl2anc exlimdv rexlimiv impbii rexbii 3bitri
      wf ex bitri breq12 simpl rexeq rexeqbidv bibi12d mpbiri exlimivv sylbi )
      BUCIZCUCIZJZBFKZLZMZCGKZLZMZJZGNFNZBCOPZDKZEKZAKZQZANZECRZDBRZSZXFXIFNZXL
      GNZJXNXDYDXEYEFBUAGCUAUBXIXLFGUDUEXMYCFGXMYCXHXKOPZXTEXKRZDXHRZSYFHKZXQUF
      ZEXKRHXHRZXTDXHRZEXKRZYHHEXHXKXGUGXJUGUHYKYJHXHRZEXKRYMYJHEXHXKUQYNYLEXKY
      NYLYJYLHXHYJYIXHIYIXQXRQZANZYLYJYIXQUIYIUJZQZYPYIYIYQQZYJYRYIYIYQUKYSYIUL
      YIYIYQUMUNYIYIXQYQUOUPYOYRAYQUIYIURHTUSYIXQXRYQUTVAVBXTYPDYIXHDHVCXSYOAXP
      YIXQXRVDVEVFVIVGXTYNDXHXPXHIZXSYNAYTXSYNYTXSJXRVHZXHIZUUAXQUFZYNYTXSUUBYT
      XPLZXHMZXSUUBWAUUEXPXGVJPYTXPXGDTVKXPXGVLUEXSUUAUUDIZUUEUUBXSUUAXPVJPZUUF
      XSXPUUAVJPZUUGXSXPUUAXRUKUUHXPXQXRVMXPUUAXRATVNVBXPUUAVOVPUUAXPVLVQUUDXHU
      UAVRVSVTWBXSUUCYTXSXPXQXRWMUUCXPXQXRWCXPXQXRWDVBWEYJUUCHUUAXHYIUUAXQWFVFW
      GWNWHWIWJWKWOXTEDXKXHUQWLXMXOYFYBYHBXHCXKOWPXMYAYGDBXHXIXLWQXLYAYGSXIXTEC
      XKWRWEWSWTXAXBXC $.
      $( [23-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a f $.  $d A f $.  $d A g $.  $d A h $.
    $d A i $.  $d A p $.  $d A q $.  $d B a $.  $d B b $.  $d b f $.  $d B f $.
    $d B g $.  $d B h $.  $d B i $.  $d B p $.  $d B q $.  $d f g $.  $d f h $.
    $d f i $.  $d f p $.  $d f q $.  $d g h $.  $d g i $.  $d g p $.  $d g q $.
    $d h i $.  $d h p $.  $d h q $.  $d i p $.  $d i q $.  $d p q $.
    nclenc.1 $e |- A e. _V $.
    nclenc.2 $e |- B e. _V $.
    $( Comparison rule for cardinalities. $)
    nclenc $p |- ( Nc A <_c Nc B <-> E. f f : A -1-1-> B ) $=
      ( vp vq vg vh vi va vb wbr cv wf1 wex wrex wcel wa wf1o cnc clec ncelncsi
      cncs wb dflec3 mp2an wi cen elnc bren bitri anbi12i eeanv bitr4i w3a ccom
      ccnv f1of1 3ad2ant2 simp3 f1co syl2anc f1ocnv syl 3ad2ant1 vex coex cnvex
      f1eq1 cla4ev 3expia exlimivv sylbi rexlimivv ncid wceq f1eq2 exbidv f1eq3
      exlimdv rcla42ev mp3an12 sylibr impbii ) AUAZBUAZUBMZABCNZOZCPZWHFNZGNZHN
      ZOZHPZGWGQFWFQZWKWFUDRZWGUDRZWHWQUEADUCZBEUCZHWFWGFGUFUGWPWKFGWFWGWLWFRZW
      MWGRZSZWOWKHXDWLAINZTZWMBJNZTZSZJPIPZWOWKUHZXDXFIPZXHJPZSXJXBXLXCXMXBWLAU
      IMXLWLAUJWLAIUKULXCWMBUIMXMWMBUJWMBJUKULUMXFXHIJUNUOXIXKIJXFXHWOWKXFXHWOU
      PZABXGWNUQZXEURZUQZOZWKXNWLBXOOZAWLXPOZXRXNWMBXGOZWOXSXHXFYAWOWMBXGUSUTXF
      XHWOVAWLWMBXGWNVBVCXFXHXTWOXFAWLXPTXTWLAXEVDAWLXPUSVEVFAWLBXOXPVBVCWJXRCX
      QXOXPXGWNJVGHVGVHXEIVGVIVHABWIXQVJVKVEVLVMVNWAVOVNWKKNZLNZWIOZCPZLWGQKWFQ
      ZWHAWFRBWGRWKYFADVPBEVPYEWKAYCWIOZCPKLABWFWGYBAVQYDYGCYBAYCWIVRVSYCBVQYGW
      JCYCBAWIVTVSWBWCWRWSWHYFUEWTXACWFWGKLUFUGWDWE $.
      $( [24-Mar-2015] $)
  $}

  ${
    $d M x $.  $d A x $.  $d A f $.  $d A g $.  $d A p $.  $d A q $.  $d A y $.
    $d f g $.  $d f p $.  $d f q $.  $d f x $.  $d f y $.  $d g p $.  $d g q $.
    $d g x $.  $d g y $.  $d M y $.  $d p q $.  $d p x $.  $d p y $.  $d q x $.
    $d q y $.  $d x y $.
    lenc.1 $e |- A e. _V $.
    $( Less than or equal condition for the cardinality of a number. $)
    lenc $p |- ( M e. NC -> ( M <_c Nc A <-> E. x e. M x C_ A ) ) $=
      ( vy vp vq vf vg wcel cv wex clec wbr wss wrex wf1o cen elnc vex cncs cnc
      wceq wb elncs ncex brlec wa bren bitri anbi12i eeanv bitr4i w3a cima cres
      wi ccnv ccom wf1 f1of1 3ad2ant2 simp3 f1ores syl2anc 3ad2ant1 f1oco resex
      f1ocnv cnvex coex f1oen 3syl sylibr imass2 3ad2ant3 wfo f1ofo syl sseqtrd
      foima sseq1 rcla4ev 3expia sylbi rexlimivv nclec eqnc breq1 sylbir syl5ib
      exlimivv rexlimiv impbii rexeq bibi12d mpbiri exlimiv ) CUAJCEKZUBZUCZELC
      BUBZMNZAKZBOZACPZUDZECUEXAXGEXAXGWTXBMNZXEAWTPZUDXHXIXHFKZGKZOZGXBPFWTPXI
      FGWTXBWSUFBUFUGXLXIFGWTXBXJWTJZXKXBJZUHZXJWSHKZQZXKBIKZQZUHZILHLZXLXIUQZX
      OXQHLZXSILZUHYAXMYCXNYDXMXJWSRNYCXJWSSXJWSHUIUJXNXKBRNYDXKBSXKBIUIUJUKXQX
      SHIULUMXTYBHIXQXSXLXIXQXSXLUNZXRXJUOZWTJZYFBOZXIYEYFWSRNZYGYEWSYFXRXJUPZX
      PURZUSZQZYFWSYLURZQYIYEXJYFYJQZWSXJYKQZYMYEXKBXRUTZXLYOXSXQYQXLXKBXRVAVBX
      QXSXLVCXKBXJXRVDVEXQXSYPXLXJWSXPVIVFWSXJYFYJYKVGVEWSYFYLVIYFWSYNYLYJYKXRX
      JITFTVHXPHTVJVKVJVLVMYFWSSVNYEYFXRXKUOZBXLXQYFYROXSXJXKXRVOVPXSXQYRBUCZXL
      XSXKBXRVQYSXKBXRVRXKBXRWAVSVBVTXEYHAYFWTXDYFBWBWCVEWDWLWEWFWEXEXHAWTXEXDU
      BZXBMNZXDWTJZXHXDBATZDWGUUBYTWTUCZUUAXHUDUUDXDWSRNUUBXDWSUUCWHXDWSSUMYTWT
      XBMWIWJWKWMWNXAXCXHXFXICWTXBMWIXEACWTWOWPWQWRWE $.
      $( [18-Mar-2015] $)
  $}

  ${
    tcnc.1 $e |- A e. _V $.
    $( Compute the T-raising of a cardinality. $)
    tcnc $p |- T_c Nc A = Nc ~P1 A $=
      ( cnc ctc cncs wcel cpw1 wceq ncelncsi tccl ax-mp pw1ex ncid mp2an nceleq
      pw1eltc mp4an ) ACZDZEFZAGZCZEFUASFZUAUBFSUBHREFZTABIZRJKUAABLZIUDARFUCUE
      ABMRAPNUAUFMSUBUAOQ $.
      $( [4-Mar-2015] $)
  $}

  $( Compute the T-raising of the cardinality of the universe.  Part of Theorem
     5.2 of {{Specker}}. $)
  tcncv $p |- T_c Nc _V = Nc 1c $=
    ( cvv cnc ctc cpw1 c1c vvex tcnc df1c2 nceqi eqtr4i ) ABCADZBEBAFGEKHIJ $.
    $( [4-Mar-2015] $)

  $( Compute the T-raising of the cardinality of one.  Part of Theorem 5.2 of
     {{Specker}}. $)
  tcnc1c $p |- T_c Nc 1c = Nc ~P1 1c $=
    ( c1c 1cex tcnc ) ABC $.
    $( [4-Mar-2015] $)

  ${
    $d M x $.  $d M y $.  $d N x $.  $d N y $.  $d x y $.
    $( Cardinal T is one-to-one.  Based on theorem 2.4 of {{Specker}}. $)
    tc11 $p |- ( ( M e. NC /\ N e. NC ) -> ( T_c M = T_c N <-> M = N ) ) $=
      ( vx vy cncs wcel wa cv cnc wceq wex ctc elncs cpw1 vex tcnc cen wbr eqnc
      wb anbi12i eeanv bitr4i eqeq12i enpw1 pw1ex 3bitr4ri bitri tceq eqeqan12d
      eqeq12 bibi12d mpbiri exlimivv sylbi ) AEFZBEFZGZACHZIZJZBDHZIZJZGZDKCKZA
      LZBLZJZABJZTZURVACKZVDDKZGVFUPVLUQVMCAMDBMUAVAVDCDUBUCVEVKCDVEVKUTLZVCLZJ
      ZUTVCJZTVPUSNZIZVBNZIZJZVQVNVSVOWAUSCOZPVBDOPUDUSVBQRVRVTQRVQWBUSVBUEUSVB
      WCSVRVTUSWCUFSUGUHVEVIVPVJVQVAVDVGVNVHVOAUTUIBVCUIUJAUTBVCUKULUMUNUO $.
      $( [10-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a c $.  $d a w $.  $d a x $.  $d A x $.  $d a y $.  $d A y $.
    $d a z $.  $d A z $.  $d b c $.  $d b w $.  $d b x $.  $d B x $.  $d b y $.
    $d B y $.  $d b z $.  $d B z $.  $d c w $.  $d c x $.  $d c z $.  $d w x $.
    $d w y $.  $d w z $.  $d X c $.  $d X w $.  $d X x $.  $d x y $.  $d X y $.
    $d x z $.  $d X z $.  $d y z $.
    $( T raising rule for cardinal sum. $)
    taddc $p |- ( ( ( A e. NC /\ B e. NC /\ X e. NC ) /\
       T_c A = ( T_c B +c X ) ) -> E. c e. NC X = T_c c ) $=
      ( vw vx vy vz va vb cncs wcel ctc wceq wa cv cnc wex vex sylbi cplc elncs
      w3a cpw1 wrex 3anbi123i eeeanv bitr4i cen wbr tcnc addceq1i eqeq12i eqcom
      wi wb pw1ex ncelncsi ncaddccl mp2an ncseqnc 3bitri cin cun eladdc pw1equn
      ax-mp simp3 elnc ensym breq2 biimpcd syl5 eximdv exlimdv adantld rexlimiv
      c0 syl5bi rexlimivw 3ad2ant1 adantr simpr addceq12d 3adant1 eqeq12d eqeq1
      tceq syl6bb exbidv 3ad2ant3 imbi12d mpbiri exlimiv exlimivv df-rex anbi1i
      eqnc imp 19.41v exbii excom ncex syl6eq eqeq2d ceqsexv bitri sylibr ) AKL
      ZBKLZCKLZUCZAMZBMZCUAZNZOCEPZUDZQZNZERZCDPZMZNZDKUEZXLXPYAXLAFPZQZNZBGPZQ
      ZNZCHPZQZNZUCZHRZGRFRZXPYAUOZXLYHFRZYKGRZYNHRZUCYQXIYSXJYTXKUUAFAUBGBUBHC
      UBUFYHYKYNFGHUGUHYPYRFGYOYRHYOYRYGMZYJMZYMUAZNZYLXRUIUJZERZUOUUEYFUDZYIUD
      ZQZYMUAZLZUUGUUEUUHQZUUKNUUKUUMNZUULUUBUUMUUDUUKYFFSUKUUCUUJYMYIGSZUKULUM
      UUMUUKUNUUKKLZUUNUULUPUUJKLYMKLUUPUUIYIUUOUQURYLHSZURUUJYMUSUTUUKUUHVAVGV
      BUULIPZJPZVCVRNZUUHUURUUSVDNZOZJYMUEZIUUJUEUUGUUHUUJYMIJVEUVCUUGIUUJUVBUU
      GJYMUUSYMLZUVAUUGUUTUVAYFYBXQVDNZUURYBUDNZUUSXRNZUCZERZDRUVDUUGDEUURUUSYF
      ISJSVFUVDUVIUUGDUVDUVHUUFEUVHUVGUVDUUFUVEUVFUVGVHUVDUUSYLUIUJZUVGUUFUOZUU
      SYLVIUVJYLUUSUIUJZUVKUUSYLVJUVGUVLUUFUUSXRYLUIVKVLTTVMVNVOVSVPVQVTTTYOXPU
      UEYAUUGYOXMUUBXOUUDYHYKXMUUBNYNAYGWHWAYKYNXOUUDNYHYKYNOXNUUCCYMYKXNUUCNYN
      BYJWHWBYKYNWCWDWEWFYNYHYAUUGUPYKYNXTUUFEYNXTYMXSNUUFCYMXSWGYLXRUUQWRWIWJW
      KWLWMWNWOTWSYEYBKLZYDOZDRYBXQQZNZYDOZERZDRZYAYDDKWPUVNUVRDUVNUVPERZYDOUVR
      UVMUVTYDEYBUBWQUVPYDEWTUHXAUVSUVQDRZERYAUVQDEXBUWAXTEYDXTDUVOXQXCUVPYCXSC
      UVPYCUVOMXSYBUVOWHXQESUKXDXEXFXAXGVBXH $.
      $( [11-Mar-2015] $)
  $}

  ${
    $d M p q $.  $d N p q $.
    $( T-raising perserves order for cardinals.  Theorem 5.5 of {{Specker}}. $)
    tlecg $p |- ( ( M e. NC /\ N e. NC ) -> ( M <_c N <-> T_c M <_c T_c N ) )
        $=
      ( vp vq cncs wcel wa clec wbr ctc cv cplc wceq wrex dflec2 tccl rexlimdva
      wi sylbid adantlr addlecncs syl2an tcdi breqtrrd breq2d syl5ibrcom adantr
      tceq wb simplr simpll simprl simprr taddc syl31anc addceq2 eqeq2d biimpac
      ncaddccl tc11 syl2anc breq2 sylbird syl5 expdimp an32s adantrl mpd impbid
      expr ) AEFZBEFZGZABHIZAJZBJZHIZVMVNBACKZLZMZCENZVQABCOVKWAVQRVLVKVTVQCEVK
      VREFZGZVQVTVOVSJZHIWCVOVOVRJZLZWDHVKVOEFZWEEFVOWFHIWBAPZVRPVOWEUAUBAVRUCU
      DVTVPWDVOHBVSUHUEUFQUGSVMVQVPVOVRLZMZCENZVNVKWGVPEFVQWKUIVLWHBPVOVPCOUBVM
      WJVNCEVMWBWJVNVMWBWJGZGZVRDKZJZMZDENZVNWMVLVKWBWJWQVKVLWLUJVKVLWLUKVMWBWJ
      ULVMWBWJUMBAVRDUNUOVMWJWQVNRWBVMWJGWPVNDEVMWNEFZWJWPVNRVMWRGZWJWPVNWJWPGV
      PVOWOLZMZWSVNWPWJXAWPWIWTVPVRWOVOUPUQURWSXAVPAWNLZJZMZVNWSXCWTVPVKWRXCWTM
      VLAWNUCTUQWSXDBXBMZVNWSVLXBEFZXDXEUIVKVLWRUJVKWRXFVLAWNUSTBXBUTVAVKWRXEVN
      RVLVKWRGVNXEAXBHIAWNUABXBAHVBUFTSVCVDVEVFQVGVHVJQSVI $.
      $( [11-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a c $.  $d a m $.  $d a n $.  $d a p $.  $d a q $.  $d a x $.
    $d a y $.  $d b c $.  $d b m $.  $d b n $.  $d b p $.  $d b q $.  $d b x $.
    $d b y $.  $d c m $.  $d c n $.  $d c p $.  $d c q $.  $d c x $.  $d c y $.
    $d M a $.  $d M b $.  $d M c $.  $d m n $.  $d m p $.  $d M p $.  $d M q $.
    $d m x $.  $d m y $.  $d N a $.  $d N b $.  $d N c $.  $d n p $.  $d N q $.
    $d n x $.  $d n y $.  $d p q $.  $d p x $.  $d p y $.  $d x y $.
    $( If a cardinal is less than or equal to a T-raising, then it is also a
       T-raising.  Theorem 5.6 of {{Specker}}. $)
    letc $p |- ( ( M e. NC /\ N e. NC /\ M <_c T_c N ) ->
       E. p e. NC M = T_c p ) $=
      ( vq va vb vc vx vy vn vm cncs wcel cv wceq wrex wa cnc wex vex clec cplc
      ctc wbr wb tccl dflec2 sylan2 wi elncs 3anbi123i eeeanv bitr4i cpw1 eqcom
      w3a ncelncsi ncaddccl mp2an ncseqnc ax-mp bitri cin c0 cun eladdc pw1equn
      eleq1 bi2anan9 ineq12 eqeq1d anbi12d tceq tcnc syl6eq eqeq2d rcla4ev mpan
      sylbir ad2antrr syl6bi 3adant1 exlimivv syl5bi expimpd rexlimivv 3ad2ant2
      com12 sylbi addceq12 3adant2 eqeq12d eqeq1 rexbidv imbi12d mpbiri exlimiv
      3ad2ant1 3expa rexlimdva sylbid 3impia ) ALMZBLMZABUCZUAUDZACNZUCZOZCLPZX
      CXDQZXFXEADNZUBZOZDLPZXJXDXCXELMXFXOUEBUFAXEDUGUHXKXNXJDLXCXDXLLMZXNXJUIZ
      XCXDXPUPZAENZRZOZBFNZRZOZXLGNZRZOZUPZGSZFSESZXQXRYAESZYDFSZYGGSZUPYJXCYKX
      DYLXPYMEAUJFBUJGXLUJUKYAYDYGEFGULUMYIXQEFYHXQGYHXQYBUNZRZXTYFUBZOZXTXHOZC
      LPZUIYQYNYPMZYSYQYPYOOZYTYOYPUOYPLMZUUAYTUEXTLMZYFLMUUBXSETUQZYEGTUQXTYFU
      RUSYPYNUTVAVBYTHNZINZVCZVDOZYNUUEUUFVEOZQZIYFPHXTPYSYNXTYFHIVFUUJYSHIXTYF
      UUEXTMZUUFYFMZQZUUHUUIYSUUIYBJNZKNZVEOZUUEUUNUNZOZUUFUUOUNZOZUPZKSJSZUUMU
      UHQZYSJKUUEUUFYBHTITVGUVBUVCYSUVAUVCYSUIZJKUURUUTUVDUUPUURUUTQZUVCUUQXTMZ
      UUSYFMZQZUUQUUSVCZVDOZQYSUVEUUMUVHUUHUVJUURUUKUVFUUTUULUVGUUEUUQXTVHUUFUU
      SYFVHVIUVEUUGUVIVDUUEUUQUUFUUSVJVKVLUVFYSUVGUVJUVFXTUUQRZOZYSUUCUVLUVFUEU
      UDXTUUQUTVAUUNRZLMUVLYSUUNJTZUQYRUVLCUVMLXGUVMOZXHUVKXTUVOXHUVMUCUVKXGUVM
      VMUUNUVNVNVOVPVQVRVSVTWAWBWCWHWDWEWFWIWIYHXNYQXJYSYHXEYOXMYPYDYAXEYOOYGYD
      XEYCUCYOBYCVMYBFTVNVOWGYAYGXMYPOYDAXLXTYFWJWKWLYAYDXJYSUEYGYAXIYRCLAXTXHW
      MWNWRWOWPWQWCWIWSWTXAXB $.
      $( [11-Mar-2015] $)
  $}

  ${
    $d M n $.  $d M x $.  $d n x $.
    $( If ` ( M ^c 0c ) ` is a cardinal, then ` M ` is a T-raising of some
       cardinal. $)
    ce0t $p |- ( ( M e. NC /\ ( M ^c 0c ) e. NC ) -> E. n e. NC M = T_c n ) $=
      ( vx cncs wcel c0c cce co wa cpw1 cnc wceq wex ctc wrex ce0ncpw1 ncelncsi
      cv vex tcnc eqcomi tceq eqeq2d rcla4ev mp2an eqeq1 rexbidv mpbiri exlimiv
      syl ) BDEBFGHDEIBCRZJKZLZCMBARZNZLZADOZBCPUMUQCUMUQULUOLZADOZUKKZDEULUTNZ
      LZUSUKCSZQVAULUKVCTUAURVBAUTDUNUTLUOVAULUNUTUBUCUDUEUMUPURADBULUOUFUGUHUI
      UJ $.
      $( [17-Mar-2015] $)
  $}

  ${
    $d M y $.  $d N y $.  $d M p $.  $d M q $.  $d N p $.  $d p q $.  $d p r $.
    $d p s $.  $d p x $.  $d p y $.  $d q r $.  $d q s $.  $d q x $.  $d q y $.
    $d r s $.  $d r x $.  $d r y $.  $d s y $.  $d x y $.
    $( Partial ordering law for base two cardinal exponentiation.  Theorem 4.8
       of {{Specker}}. $)
    ce2le $p |- ( ( ( M e. NC /\ N e. NC /\ ( N ^c 0c ) e. NC ) /\ M <_c N ) ->
       ( 2c ^c M ) <_c ( 2c ^c N ) ) $=
      ( vp vq vx vy vr cncs wcel cce co clec wbr wa cv wceq wrex c2c wi cnc c0c
      vs w3a ctc ce0t 3adant1 adantr letc tlecg ancoms wex elncs anbi12i bitr4i
      wb eeanv cpw wss cen enpw elnc 3imtr4i adantl sspwb biimpi sseq1 rcla42ev
      sseq2 syl3anc rexlimivv ncex brlec cpw1 vex tcnc ce2 ax-mp 3brtr4g breq12
      ex oveq2d breqan12d imbi12d mpbiri exlimivv sylbi sylbird imp an32s breq1
      tceq anbi2d anbi1d oveq2 breq1d com12 rexlimdva mpd 3expa breq2 3ad2antl1
      breq2d ) AHIZBHIZBUAJKHIZUCZABLMZNBCOZUDZPZCHQZRAJKZRBJKZLMZXFXKXGXDXEXKX
      CCBUEUFUGXCXDXGXKXNSXEXCXGNZXJXNCHXJXOXHHIZNZXNXJXQXNSXCAXILMZNZXPNZXLRXI
      JKZLMZSXCXPXRYBXCXPXRYBXCXPXRUCADOZUDZPZDHQZYBAXHDUHXPXRYFYBSXCXPXRNZYEYB
      DHYEYGYCHIZNZYBYEYIYBSXPYDXILMZNZYHNZRYDJKZYALMZSXPYHYJYNXPYHNZYJYNYOYJYC
      XHLMZYNYHXPYPYJUOYCXHUIUJYHXPYPYNSZYHXPNZYCEOZTZPZXHFOZTZPZNZFUKEUKZYQYRU
      UAEUKZUUDFUKZNUUFYHUUGXPUUHEYCULFXHULUMUUAUUDEFUPUNUUEYQEFUUEYQYTUUCLMZRY
      TUDZJKZRUUCUDZJKZLMZSUUIYSUQZTZUUBUQZTZUUKUUMLXHYCURZDUUCQCYTQGOZUBOZURZU
      BUURQGUUPQZUUIUUPUURLMUUSUVCCDYTUUCXHYTIZYCUUCIZNZUUSUVCUVFUUSNXHUQZUUPIZ
      YCUQZUURIZUVGUVIURZUVCUVFUVHUUSUVDUVHUVEXHYSUSMUVGUUOUSMUVDUVHXHYSUTXHYSV
      AUVGUUOVAVBUGUGUVFUVJUUSUVEUVJUVDYCUUBUSMUVIUUQUSMUVEUVJYCUUBUTYCUUBVAUVI
      UUQVAVBVCUGUUSUVKUVFUUSUVKXHYCVDVEVCUVBUVKUVGUVAURGUBUVGUVIUUPUURUUTUVGUV
      AVFUVAUVIUVGVHVGVIVTVJCDYTUUCYSVKUUBVKVLGUBUUPUURUUOVKUUQVKVLVBUUJYSVMTPU
      UKUUPPYSEVNZVOYSUUJUVLVPVQUULUUBVMTPUUMUURPUUBFVNZVOUUBUULUVMVPVQVRUUEYPU
      UIYNUUNYCYTXHUUCLVSUUAUUDYMUUKYAUUMLUUAYDUUJRJYCYTWKWAUUDXIUULRJXHUUCWKWA
      WBWCWDWEWFUJWGWHWIYEYIYLYBYNYEYGYKYHYEXRYJXPAYDXILWJWLWMYEXLYMYALAYDRJWNW
      OWCWDWPWQUFWRWSWIXJXQXTXNYBXJXOXSXPXJXGXRXCBXIALWTWLWMXJXMYAXLLBXIRJWNXBW
      CWDWPWQXAWR $.
      $( [16-Mar-2015] $)
  $}

  ${
    $d M x $.  $d N x $.
    $( The exponent of a T-raising to a T-raising is always a cardinal. $)
    cet $p |- ( ( M e. NC /\ N e. NC ) -> ( T_c M ^c T_c N ) e. NC ) $=
      ( vx cncs wcel ctc c0c cce co tccl adantr adantl cnc wceq wex tceq oveq1d
      elncs ax-mp syl6eqel wa cv wne cpw1 vex ncelncsi pw1ex ncid tcnc eleqtrri
      c0 ce0nnuli mp2an wb ce0nulnc mpbi exlimiv sylbi cecl syl22anc ) ADEZBDEZ
      UAAFZDEZBFZDEZVCGHIZDEZVEGHIZDEZVCVEHIDEVAVDVBAJKVBVFVABJLVAVHVBVAACUBZMZ
      NZCOVHCARVMVHCVMVGVLFZGHIZDVMVCVNGHAVLPQVOUKUCZVODEZVNDEZVKUDZVNEVPVLDEVR
      VKCUEZUFVLJSZVSVSMVNVSVKVTUGUHVKVTUIUJVKVNULUMVRVPVQUNWAVNUOSUPZTUQURKVBV
      JVAVBBVLNZCOVJCBRWCVJCWCVIVODWCVEVNGHBVLPQWBTUQURLVCVEUSUT $.
      $( [13-Mar-2015] $)
  $}

  $( The exponent of two to a T-raising is always a cardinal.  Theorem 5.8 of
     {{Specker}}. $)
  ce2t $p |- ( M e. NC -> ( 2c ^c T_c M ) e. NC ) $=
    ( cncs wcel c2c ctc cce co tc2c oveq1i 2nc cet mpan syl5eqelr ) ABCZDAEZFGD
    EZOFGZBPDOFHIDBCNQBCJDAKLM $.
    $( [13-Mar-2015] $)

  ${
    $d M x $.
    $( Distributive law for T-raising and cardinal exponentiation to two. $)
    tce2 $p |- ( ( M e. NC /\ ( M ^c 0c ) e. NC ) ->
      T_c ( 2c ^c M ) = ( 2c ^c T_c M ) ) $=
      ( vx cncs wcel c0c cce co wa cpw1 cnc wceq c2c ctc cpw tcnc eqid ce2 tceq
      ax-mp syl wex ce0ncpw1 vex pwex ncpwpw1 3eqtr4i pw1ex eqtr4i oveq2 syl6eq
      cv oveq2d 3eqtr4a exlimiv ) ACDAEFGCDHABUKZIZJZKZBUALAFGZMZLAMZFGZKZABUBU
      RVCBURLUQFGZMZLUPIJZFGZUTVBVEUPNJZVGUONZJZMZVIIJVEVHVIUOBUCZUDOVDVJKZVEVK
      KUQUQKVMUQPUOUQVLQSVDVJRSUOVLUEUFVFVFKVGVHKVFPUPVFUOVLUGZQSUHURUSVDKUTVEK
      AUQLFUIUSVDRTURVAVFLFURVAUQMVFAUQRUPVNOUJULUMUNT $.
      $( [13-Mar-2015] $)
  $}

  ${
    $d M x $.
    $( A T-raising raised to zero is always a cardinal. $)
    te0c $p |- ( M e. NC -> ( T_c M ^c 0c ) e. NC ) $=
      ( vx cncs wcel cv cpw1 ctc wex c0c cce cnc wceq elncs vex pw1ex ncid tceq
      co wb syl tcnc syl6eq syl5eleqr eximi c0 wne tccl ce0nnul ce0nulnc bitr3d
      sylbi mpbid ) ACDZBEZFZAGZDZBHZUPIJRZCDZUMAUNKZLZBHURBAMVBUQBVBUOUOKZUPUO
      UNBNZOPVBUPVAGVCAVAQUNVDUAUBUCUDUKUMUSUEUFZURUTUMUPCDZVEURSAUGZUPBUHTUMVF
      VEUTSVGUPUITUJUL $.
      $( [16-Mar-2015] $)
  $}


  ${
    $d M n $.
    $( ` ( M ^c 0c ) ` is a cardinal iff ` M ` is a T-raising of some
       cardinal. $)
    ce0tb $p |- ( M e. NC -> ( ( M ^c 0c ) e. NC <-> E. n e. NC M = T_c n ) )
        $=
      ( cncs wcel c0c cce co cv ctc wceq wrex ce0t te0c oveq1 eleq1d syl5ibrcom
      ex rexlimiv impbid1 ) BCDZBEFGZCDZBAHZIZJZACKZTUBUFABLQUEUBACUCCDUBUEUDEF
      GZCDUCMUEUAUGCBUDEFNOPRS $.
      $( [17-Mar-2015] $)
  $}

  ${
    $d M n $.  $d M x $.  $d n x $.  $d n y $.  $d x y $.
    $( Cardinal exponentiation to zero is a cardinal iff the number is less
       than the size of cardinal one. $)
    ce0lenc1 $p |- ( M e. NC -> ( ( M ^c 0c ) e. NC <-> M <_c Nc 1c ) ) $=
      ( vn vx vy cncs wcel cv ctc wceq wrex c1c cnc clec wbr wex cpw1 tceq tcnc
      vex wss c0c co ce0tb elncs syl6eq pw1ss1c pw1ex 1cex nclec ax-mp syl6eqbr
      exlimiv sylbi breq1 syl5ibrcom rexlimiv lenc wa wi ncseqnc biimpar sspw12
      cce ncelncsi eqeq1d rcla4ev mp2an nceq eqcom syl6bb rexbidv eqeq1 syl5ibr
      mpbiri syl rexlimdva sylbid impbid2 bitrd ) AEFZAUAVCUBEFABGZHZIZBEJZAKLZ
      MNZBAUCVTWDWFWCWFBEWAEFZWFWCWBWEMNZWGWACGZLZIZCOWHCWAUDWKWHCWKWBWIPZLZWEM
      WKWBWJHWMWAWJQWICSZRUEWLKTWMWEMNWIUFWLKWIWNUGUHUIUJUKULUMAWBWEMUNUOUPVTWF
      WIKTZCAJWDCKAUHUQVTWOWDCAVTWIAFZURAWJIZWOWDUSVTWQWPAWIUTVAWOWDWQWJWBIZBEJ
      ZWOWIDGZPZIZDOWSDWIWNVBXBWSDXBWSWBXALZIZBEJZWTLZEFXFHZXCIZXEWTDSZVDWTXIRX
      DXHBXFEWAXFIWBXGXCWAXFQVEVFVGXBWRXDBEXBWRXCWBIXDXBWJXCWBWIXAVHVEXCWBVIVJV
      KVNULUMWQWCWRBEAWJWBVLVKVMVOVPVQVRVS $.
      $( [18-Mar-2015] $)
  $}

  ${
    $d M x y z $.
    $( A T-raising is less than or equal to the cardinality of cardinal one. $)
    tlenc1c $p |- ( M e. NC -> T_c M <_c Nc 1c ) $=
      ( vx vy vz cncs wcel cv cnc wceq wex ctc c1c clec wbr elncs cpw1 wss wrex
      ncid ncex tceq vex tcnc syl6eq pw1ex 1cex pw1ss1c sseq1 sseq2 mp3an brlec
      rcla42ev mpbir syl6eqbr exlimiv sylbi ) AEFABGZHZIZBJAKZLHZMNZBAOUSVBBUSU
      TUQPZHZVAMUSUTURKVDAURUAUQBUBZUCUDVDVAMNCGZDGZQZDVARCVDRZVCVDFLVAFVCLQZVI
      VCUQVEUESLUFSUQUGVHVJVCVGQCDVCLVDVAVFVCVGUHVGLVCUIULUJCDVDVAVCTLTUKUMUNUO
      UP $.
      $( [16-Mar-2015] $)
  $}

  $( Cardinal one is not zero. $)
  1ne0c $p |- 1c =/= 0c $=
    ( c0c c1c cplc addcid2 0cnsuc eqnetrri ) ABCBABDAEF $.
    $( [4-Mar-2015] $)

  $( Cardinal two is not zero. $)
  2ne0c $p |- 2c =/= 0c $=
    ( c1c cplc c2c c0c 1p1e2c 0cnsuc eqnetrri ) AABCDEAFG $.
    $( [4-Mar-2015] $)

  ${
    $d A x $.
    $( A set is finite iff its cardinality is a natural. $)
    finnc $p |- ( A e. Fin <-> Nc A e. Nn ) $=
      ( vx cv cnc wceq cnnc wrex wcel cfin cncs nnnc ncseqnc syl rexbiia risset
      wb elfin 3bitr4ri ) BCZADZEZBFGASHZBFGTFHAIHUAUBBFSFHSJHUAUBPSKSALMNBTFOB
      AQR $.
      $( [18-Mar-2015] $)
  $}

  ${
    $d p q $.  $d p x $.  $d p z $.  $d q x $.  $d q z $.  $d x z $.  $d y z $.
    $d p t $.  $d p u $.  $d q t $.  $d q u $.  $d t u $.  $d t x $.  $d x y $.
    $( The stratified T raising function is a set. $)
    tcfnex $p |- TcFn e. _V $=
      ( vx vz vp vq vu vt c1c cvv csset cid cv cop wcel wex wbr vex bitri exbii
      wa 3bitri vy ctcfn cxp cins3 ccnv cncs cpw1fn csi ccom ctxp cima cpw1 cin
      csymdif crn ccompl cuni ctc cmpt df-tcfn csn wel cnc wceq wrex weq wb wal
      cins2 oteltxp df-br brcnv brssetsn bitr3i wn opex elrn2 elsymdif otelins2
      elcompl elin opelxp mpbiran2 anbi1i ncseqnc rexbidv brsnsi1 19.41v bitr4i
      snex excom anass anbi2d ceqsexv brpw1fn anbi12i opelco df-clel opelssetsn
      breq1 3bitr4i brsnsi elima1c eluni ancom df-rex syl6rbbr pm5.32i otelins3
      elimapw11c ideq bibi12i xchbinx exnal 3bitrri con1bii cab cio df-tc eqtri
      dfiota2 eleq2i eluniab releqmpt eqtr4i 1cex cnvex ncsex vvex xpex pw1fnex
      ssetex siex coex txpex imaex pw1ex inex ins2ex rnex idex symdifex complex
      ins3ex mptexlem eqeltri ) UBGHUCIUDIUEZUFHUCZIUGUHZUIZUUGUHZIUJZGUKZUJZGU
      LZUKZUMZVIZJUDZUNZUOZUPZUJZUOZVIUNGUKUPUEUMZHUBAGAKZUQZURZUSUVEAUTAUAGUVD
      UVHBKZUAKZVAZUVFLZLUVCMZBNUABVBZCKZUFMZUVODKZULZVCVDZDUVGVEZSZCBVFZVGZCVH
      ZSZBNZUVLUVDMUVJUVHMZUVMUWEBUVMUVIUVKLUUGMZUVIUVFLZUVBMZSUWEUVIUVKUVFUUGU
      VBVJUWHUVNUWJUWDUWHUVIUVKUUGOZUVNUVIUVKUUGVKUWKUVKUVIIOUVNUVIUVKIVLUVJUVI
      UAPBPZVMQVNUWJUWIUVAMZVOUWDUWIUVAUVIUVFUWLAPZVPVTUWDUWMUWMUVOUWILZUUTMZCN
      UWCVOZCNUWDVOCUWIUUTVQUWPUWQCUWPUWOUURMZUWOUUSMZVGUWCUWOUURUUSVRUWRUWAUWS
      UWBUWRUVOUVFLZUUQMUWTUUHMZUWTUUPMZSZUWAUVOUVIUVFUUQUWLVSUWTUUHUUPWAUXCUVP
      UXBSUWAUXAUVPUXBUXAUVPUVFHMUWNUVOUVFUFHWBWCWDUVPUXBUVTUVPUVTUVRUVOMZDUVGV
      EZUXBUVPUVSUXDDUVGUVOUVRWEWFUVQVAZVAZUWTLUUNMZDNUVQUVGMZUXDSZDNUXBUXEUXHU
      XJDUXHUXGUVOLUUJMZUXGUVFLZUUMMZSUXDUXISUXJUXGUVOUVFUUJUUMVJUXKUXDUXMUXIUX
      GEKZUUIOZUXNUVOIOZSZENZFKZUVRVDZFCVBZSZFNZUXKUXDUXRUXNUXSVAZVDZUXFUXSUGOZ
      SZUXPSZFNZENUYHENZFNUYCUXQUYIEUXQUYGFNZUXPSUYIUXOUYKUXPFUXFUXNUGUVQWJZWGW
      DUYGUXPFWHWIRUYHEFWKUYJUYBFUYJUYEUYFUXPSZSZENUYFUYDUVOIOZSZUYBUYHUYNEUYEU
      YFUXPWLRUYMUYPEUYDUXSWJUYEUXPUYOUYFUXNUYDUVOIWTWMWNUYFUXTUYOUYAUVQUXSDPZW
      OUXSUVOFPZCPVMWPTRTEUXGUVOIUUIWQFUVRUVOWRXAUYDUXLLUULMZFNDFVBZFAVBZSZFNUX
      MUXIUYSVUBFUYSUYDUXGLUUKMZUYDUVFLIMZSVUBUYDUXGUVFUUKIVJVUCUYTVUDVUAVUCUYD
      UXGUUKOZUYTUYDUXGUUKVKVUEUXSUXFUUGOUXFUXSIOUYTUXSUXFUUGUYRUYLXBUXSUXFIVLU
      VQUXSUYQUYRVMTVNUXSUVFUYRUWNWSWPQRFUXLUULXCFUVQUVFXDXAWPUXDUXIXETRDUWTUUN
      XJUXDDUVGXFXAXGXHQTUWSUVOUVILJMZUWBUVOUVIUVFJUWNXIVUFUVOUVIJOUWBUVOUVIJVK
      UVOUVIUWLXKVNQXLXMRUWCCXNXOXPQWPQRBUVLUVCVQUWGUVJUWDBXQUQZMUWFUVHVUGUVJUV
      HUWACXRVUGDUVGCXSUWACBYAXTYBUWDBUVJYCQXAYDYEGUVDYFUVCUUGUVBIYLYGZUVAUUTUU
      RUUSUUQUUHUUPUFHYHYIYJUUNUUOUUJUUMIUUIYLUGYKYMYNUULGUUKIUUGVUHYMYLYOYFYPY
      OGYFYQYPYRYSJUUAUUDUUBYTUUCYOYTUUEUUF $.
      $( [18-Mar-2015] $)
  $}

  ${
    $( Functionhood statement for the stratified T-raising function. $)
    fntcfn $p |- TcFn Fn 1c $=
      ( vx cv cuni ctc cvv wcel ctcfn c1c wfn df-tcfn fnmpt tcex a1i mprg ) ABZ
      CZDZEFZGHIAHAHQGEAJKROHFPLMN $.
      $( [18-Mar-2015] $)
  $}

  ${
    $d A x $.
    brtcfn.1 $e |- A e. _V $.
    $( Binary relationship form of the stratified T-raising function. $)
    brtcfn $p |- ( { A } TcFn B <-> B = T_c A ) $=
      ( vx csn ctcfn cfv wceq ctc wbr c1c wcel snel1c cv cuni unieq syl6eq tceq
      unisn syl df-tcfn tcex fvmpt ax-mp eqeq1i wb fntcfn fnbrfvb mp2an 3bitr3i
      wfn eqcom ) AEZFGZBHZAIZBHUMBFJZBUPHUNUPBUMKLZUNUPHACMZDUMDNZOZIZUPKFUTUM
      HZVAAHVBUPHVCVAUMOAUTUMPACSQVAARTDUAAUBUCUDUEFKUKURUOUQUFUGUSKUMBFUHUIUPB
      ULUJ $.
      $( [18-Mar-2015] $)
  $}

  ${
    $d A n $.
    ncfin.1 $e |- A e. _V $.
    $( The cardinality of a set is a natural iff the set is finite. $)
    ncfin $p |- ( Nc A e. Nn <-> A e. Fin ) $=
      ( vn cnc cnnc wcel cv wrex cfin ncid eleq2 rcla4ev mpan2 wa wceq eqcom wb
      cncs nnnc ncseqnc syl syl5bb biimpar eleq1d exbiri pm2.43a rexlimiv elfin
      impbii bitr4i ) ADZEFZACGZFZCEHZAIFULUOULAUKFZUOABJUNUPCUKEUMUKAKLMUNULCE
      UNUMEFZULUQUNULUQUQUNNUKUMEUQUKUMOZUNURUMUKOZUQUNUKUMPUQUMRFUSUNQUMSUMATU
      AUBUCUDUEUFUGUICAUHUJ $.
      $( [19-Mar-2015] $)
  $}

  ${
    $d n x $.
    $( Lemma for ~ nclenn .  Set up stratification for induction. $)
    nclennlem1 $p |- { x | A. n e. NC ( n <_c x -> n e. Nn ) } e. _V $=
      ( clec cnnc ccompl cres cncs cima cv wbr wcel wi wral wn vex elcompl wrex
      wa bitri complex cab cvv elima brres anbi2i rexbii 3bitrri con1bii abbi2i
      rexanali lecex nncex resex ncsex imaex eqeltrri ) CDEZFZGHZEZBIZAIZCJZVAD
      KZLBGMZAUAUBVEAUTVBUTKVBUSKZNVEVBUSAOPVEVFVFVAVBURJZBGQVCVDNZRZBGQVENBVBU
      RGUCVGVIBGVGVCVAUQKZRVIVAVBCUQUDVJVHVCVADBOPUESUFVCVDBGUJUGUHSUIUSURGCUQU
      KDULTUMUNUOTUP $.
      $( [19-Mar-2015] $)
  $}

  ${
    $d m n $.  $d M n $.  $d m p $.  $d m q $.  $d m x $.  $d N n $.  $d n p $.
    $d n q $.  $d n x $.  $d N x $.  $d p q $.
    $( A cardinal that is less than or equal to a natural is a natural.
       Theorem XI.3.3 of {{Rosser}}, p. 391. $)
    nclenn $p |- ( ( M e. NC /\ N e. Nn /\ M <_c N ) -> M e. Nn ) $=
      ( vn vx vp vq cncs wcel cnnc clec wbr wi cv wral c0c c1c cplc wceq breq2
      wa vm nclennlem1 imbi1d ralbidv weq le0nc 0cnc sbth mpan2 peano1 syl6eqel
      imp ex mpan2d rgen w3a wrex wb peano2 syl dflec2 sylan2 ancoms 3adant3 wo
      nnnc nc0suc addceq2 addcid1 syl6eq eqeq2d biimpa eleq1 biimpcd syl5 exp3a
      3ad2ant1 addcass syl6eqr ncaddccl 3ad2antl2 peano4nc addlecncs syl5ibrcom
      adantr syl2anc com23 adantl pm2.27 com24 3impia sylbid rexlimdva rexlimdv
      syl8 jaod 3expia ralimdva finds breq1 imbi12d rcla4cv com12 3imp ) AGHZBI
      HZABJKZAIHZXFXEXGXHLZXFCMZBJKZXJIHZLZCGNZXEXILXJDMZJKZXLLZCGNXJOJKZXLLZCG
      NXJUAMZJKZXLLZCGNXJXTPQZJKZXLLZCGNXNDUABDCUBXOORZXQXSCGYFXPXRXLXOOXJJSUCU
      DDUAUEZXQYBCGYGXPYAXLXOXTXJJSUCUDXOYCRZXQYECGYHXPYDXLXOYCXJJSUCUDXOBRZXQX
      MCGYIXPXKXLXOBXJJSUCUDXSCGXJGHZXROXJJKZXLXJUFYJXRYKTZXLYJYLTXJOIYJYLXJORZ
      YJOGHYLYMLUGXJOUHUIULUJUKUMUNUOXTIHZYBYECGYNYJYBYEYNYJYBUPZYDYCXJEMZQZRZE
      GUQZXLYNYJYDYSURZYBYJYNYTYNYJYCGHZYTYNYCIHZUUAXTUSZYCVFUTXJYCEVAVBVCVDYOY
      RXLEGYPGHYPORZYPFMZPQZRZFGUQZVEYOYRXLLZFYPVGYOUUDUUIUUHYNYJUUDUUILZYBYNUU
      BUUJUUCUUBUUDYRXLUUDYRTYCXJRZUUBXLUUDYRUUKUUDYQXJYCUUDYQXJOQXJYPOXJVHXJVI
      VJVKVLUUKUUBXLYCXJIVMVNVOVPUTVQYOUUGUUIFGYOUUEGHZTZUUGYRXLUUGYRTYCXJUUEQZ
      PQZRZUUMXLUUGYRUUPUUGYQUUOYCUUGYQXJUUFQUUOYPUUFXJVHXJUUEPVRVSVKVLUUMUUPXT
      UUNRZXLUUMXTGHZUUNGHZUUPUUQURYOUURUULYNYJUURYBXTVFVQWEYJYNUULUUSYBXJUUEVT
      WAXTUUNWBWFYOUULUUQXLLZYNYJYBUULUUTLYNYJTZUUQUULYBXLUVAUUQUULYAYBXLLYJUUQ
      UULYALLYNYJUULUUQYAYJUULUUQYALYJUULTYAUUQXJUUNJKXJUUEWCXTUUNXJJSWDUMWGWHY
      AXLWIWOWJWKULWLVOVPWMWPVOWNWLWQWRWSXMXICAGXJARXKXGXLXHXJABJWTXJAIVMXAXBUT
      XCXD $.
      $( [19-Mar-2015] $)
  $}

  ${
    $d t u $.  $d t x $.  $d u x $.
    $( Lemma for ~ nnltp1c .  Set up stratification. $)
    nnltp1clem1 $p |- { x | x <c ( x +c 1c ) } e. _V $=
      ( vt vu caddcfn c1st c2nd ccnv c1c ccom cltc cv wbr wcel wa wex brco wceq
      1cex 3bitri cnvex csn cima cres cfix cplc cab cvv elfix exancom cop brcnv
      brres eliniseg anbi2i bitri vex op1st2nd anbi1i exbii opex breq1 braddcfn
      ceqsexv eqcom addcex breq2 abbi2i 1stex 2ndex snex imaex resex coex ltcex
      addcfnex fixex eqeltrri ) DEFGZHUAZUBZUCZGZIZGZJIZUDZAKZWGHUEZJLZAUFUGWIA
      WFWGWFMWGWGWELWGBKZJLZWJWGWDLZNBOZWIWGWEUHBWGWGWDJPWMWLWKNZBOWJWHQZWKNZBO
      WIWKWLBUIWNWPBWLWOWKWLWGWJWCLZWGHUJZWJDLZWOWJWGWCUKWQWGCKZWBLZWTWJDLZNZCO
      WTWRQZXBNZCOWSCWGWJDWBPXCXECXAXDXBXAWTWGWALZWTWGELZWTHFLZNZXDWGWTWAUKXFXG
      WTVTMZNXIWTWGEVTULXJXHXGFHWTUMUNUOWGHWTAUPZRUQSURUSXBWSCWRWGHXKRUTWTWRWJD
      VAVCSWSWHWJQWOWGHWJXKRVBWHWJVDUOSURUSWKWIBWHWGHXKRVEWJWHWGJVFVCSSVGWEWDJW
      CDWBVOWAEVTVHVRVSFVITHVJVKVLTVMTVNVMVPVQ $.
      $( [25-Mar-2015] $)
  $}

  ${
    $d n x $.  $d N x $.
    $( Any natural is less than one plus itself. $)
    nnltp1c $p |- ( N e. Nn -> N <c ( N +c 1c ) ) $=
      ( vx vn cv c1c cplc cltc wbr c0c wceq addceq1 breq12d clec cncs wcel 1cnc
      id wne brltc cnnc nnltp1clem1 0cnc addlecncs mp2an 0cnsuc necomi mpbir2an
      weq id1 wa wi nnnc peano2nc syl w3a leaddc1 ex mp3an3 syl2anc wb suc11nnc
      peano2 mpdan biimpd necon3d anim12d 3imtr4g finds ) BDZVIEFZGHIIEFZGHZCDZ
      VMEFZGHZVNVNEFZGHZAAEFZGHBCABUAVIIJZVIIVJVKGVSQVIIEKLBCUHZVIVMVJVNGVTQVIV
      MEKLVIVNJZVIVNVJVPGWAQVIVNEKLVIAJZVIAVJVRGWBUIVIAEKLVLIVKMHZIVKRINOENOZWC
      UBPIEUCUDVKIIUEUFIVKSUGVMTOZVMVNMHZVMVNRZUJVNVPMHZVNVPRZUJVOVQWEWFWHWGWIW
      EVMNOZVNNOZWFWHUKZVMULZWEWJWKWMVMUMUNWJWKWDWLPWJWKWDUOWFWHEVMVNUPUQURUSWE
      VNVPVMVNWEVNVPJZVMVNJZWEVNTOWNWOUTVMVBVMVNVAVCVDVEVFVMVNSVNVPSVGVH $.
      $( [25-Mar-2015] $)
  $}

  ${
    $d m p $.  $d m q $.  $d m x $.  $d m y $.  $d p q $.  $d p t $.  $d p x $.
    $d p y $.  $d q t $.  $d q x $.  $d t x $.  $d x y $.
    $( 16-Apr-2015 NM I changed "~" to "~~?" to prevent erroneous
       link to commented out theorem nmembers1.  Change it back when
       nmembers1 is completed. $)
    $( Lemma for ~~? nmembers1 .  Set up stratification. $)
    nmembers1lem1 $p |- { x | { m e. Nn | ( 1c <_c m /\ m <_c x ) } e. T_c
                                                  T_c x } e. _V $=
      ( vp vq vt clec c1c cnnc cvv ctcfn cin cv wbr wa wcel wex cop exbii bitri
      3bitri vy csset cins3 csn cima cres csi cins2 csymdif ccompl ccnv cxp crn
      ccom cuni1 crab ctc cab vex snex wceq wel w3a elrn2 elima1c elin otelins2
      eluni1 opsnelsi opelres ancom df-br brres bitr4i anbi1i bitr3i anbi2i weq
      elimasn breq2 breq1 anbi12d 3bitr4i releqel opelxp mpbiran opelco brsnsi2
      elrab 19.42v excom an12 anbi1d ceqsexv brcnv brtcfn anbi12i tcex otelins3
      tceq eqeq2d opelssetsn df-3an imasn iniseg inab eqtri ineq1i dfrab2 lecex
      eqtr4i imaex cnvex inex nncex eqeltrri eleq1 eleq2 ceqsex2v abbi2i ssetex
      ineq12i ins3ex resex siex ins2ex symdifex 1cex vvex tcfnex coex xpex rnex
      complex uni1ex ) UBUCZFFGUDZUEZUFZHUFZUGZUHZUIZGUEZUJZUGZUHZIJUKZUGZUUHUN
      ZULZKZYPKZGUEZUMZUOZUOZGBLZFMZUURALZFMZNZBHUPZUUTUQZUQZOZAURIUVFAUUQUUTUU
      QOUUTUDZUUPOUVGUDZUUOOZUVFUUTUUPAUSZVHUVGUUOUUTUTZVHUVICLZUVCVAZDLZUVEVAZ
      CDVBZVCZCPZDPZUVQDPCPUVFUVIUVNUVHQZUUNOZDPUVSDUVHUUNVDUWAUVRDUWAUVLUDZUVT
      QZUUMOZCPUVRCUVTUUMVEUWDUVQCUWCUULOZUWCYPOZNUVMUVONZUVPNUWDUVQUWEUWGUWFUV
      PUWEUWCUUGOZUWCUUKOZNUWGUWCUUGUUKVFUWHUVMUWIUVOUWHUWBUVHQUUFOUVLUVGQUUEOU
      VMUWBUVNUVHUUFDUSZVGUVLUVGUUECUSZUVKVICUAUVCUUAUVGUVKUALZUUTQZYTOZUWLHOZG
      UWLFMZUWLUUTFMZNZNZUWLUDUVGQUUAOUWLUVCOUWNUWMYSOZUWONUWOUWTNUWSUWLUUTYSHV
      JUWTUWOVKUWTUWRUWOUWTUWLUUTYSMZUWRUWLUUTYSVLUXAUWQUWLYROZNUXBUWQNUWRUWLUU
      TFYRVMUWQUXBVKUXBUWPUWQUXBGUWLQFOUWPFGUWLVSGUWLFVLVNVOTVPVQTUWLUUTYTUAUSU
      VJVIUVBUWRBUWLHBUAVRUUSUWPUVAUWQUURUWLGFVTUURUWLUUTFWAWBWIWCWDTUWIUVTUUJO
      ZUVNELZUUHMZUXDUVHUUIMZNZEPZUVOUWIUWBIOUXCUVLUTZUWBUVTIUUJWEWFEUVNUVHUUIU
      UHWGUXHUXEUXDUWBVAZUVLUVGUUHMZNZNZCPZEPUXMEPZCPZUVOUXGUXNEUXGUXEUXLCPZNUX
      NUXFUXQUXECUVGUXDUUHUVKWHVQUXEUXLCWJVNRUXMECWKUXPUVNUWBUUHMZUXKNZCPUVLUVD
      VAZUVNUVLUQZVAZNZCPUVOUXOUXSCUXOUXJUXEUXKNZNZEPUXSUXMUYEEUXEUXJUXKWLRUYDU
      XSEUWBUXIUXJUXEUXRUXKUXDUWBUVNUUHVTWMWNSRUXSUYCCUXSUYBUXTNUYCUXRUYBUXKUXT
      UXRUWBUVNJMUYBUVNUWBJWOUVLUVNUWKWPSUXKUVGUVLJMUXTUVLUVGJWOUUTUVLUVJWPSWQU
      YBUXTVKSRUYBUVOCUVDUUTWRUXTUYAUVEUVNUVLUVDWTXAWNTTTWQSUWFUWBUVNQUBOUVPUWB
      UVNUVHUBUVGUTWSUVLUVNUWKUWJXBSWQUWCUULYPVFUVMUVOUVPXCWCRSRSUVQDCWKUVPUVCU
      VNOUVFCDUVCUVEYRFUKZUVGUEZKZHKZUVCIUYIUVBBURZHKUVCUYHUYJHUYHUUSBURZUVABUR
      ZKUYJYRUYKUYGUYLBGFXDBFUUTXEYBUUSUVABXFXGXHUVBBHXIXKUYHHYRUYGFYQXJGUTXLZU
      YFUVGFXJXMUVKXLXNXOXNXPUVDWRUVLUVCUVNXQUVNUVEUVCXRXSTTXTUUPUUOUUNUUMGUULY
      PUUGUUKUUFUUEUUDUUCGYPUUBUBYAYCZUUAYTYSHFYRXJUYMYDXOYDYEYFYGYHXLYNYEYFIUU
      JYIUUIUUHUUHJYJXMZYEUYOYKYLXNUYNXNYHXLYMYOYOXP $.
      $( [25-Mar-2015] $)
  $}

  ${
    $d m x $.  $d N m $.  $d m n $.  $d n x $.  $d N x $.  $d k m $.  $d k n $.
     $( Count the number of elements in a natural interval.  This
        theorem will take on a different form after we introduce the
        Axiom of Counting. $)
$( 16-Apr-2015 NM Commented out since incomplete proofs can't be used
   for web pages. $)
$(
     nmembers1 $p |- ( N e. Nn ->
      { m e. Nn | ( 1c <_c m /\ m <_c N ) } e. T_c T_c N ) $=
       ( vx c1c clec wbr wa cnnc crab ctc wcel c0c cplc wceq breq2 tceq wn cncs
       syl wi vn vk cv nmembers1lem1 anbi2d rabbidv tc0c ax-mp eqtri syl6eq weq
       eleq12d eqid c0 rabeq0 nnnc le0nc 0cnc sbth mpan2 mpan2d wrex wne 0cnsuc
       addccom eqnetri necomi df-ne mpbi nrex wb 1cnc dflec2 mp2an mtbir mtbiri
       a1i syl6 con2d imnan sylib mprgbir el0c mpbir csn wo simpl peano2 eleq1a
       jaod addlecncs mpan syl6breq biimprd com12 adantr simp3 biantrurd orbi1d
       cun w3a 3bitr3d 3expia pm5.21ndd simpr breq1 anbi12d elrab elun vex elsn
       orbi12i bitri 3bitr4g eqrdv cltc nnltp1c ltlenlec syl2anc simprd intnand
       ex mpbid a1d df-an con2bii 1cex addcex elsuci sylan2 ancoms eqeltrd tcdi
       tc1c addceq2i tccl syl5eq eqtrd eleqtrrd finds ) DAUCZEFZUUACUCZEFZGZAHI
       ZUUCJZJZKUUBUUALEFZGZAHIZLKZUUBUUAUAUCZEFZGZAHIZUUMJZJZKZUUBUUAUUMDMZEFZ
       GZAHIZUUTJZJZKZUUBUUABEFZGZAHIZBJZJZKCUABCAUDUUCLNZUUFUUKUUHLUVLUUEUUJAH
       UVLUUDUUIUUBUUCLUUAEOUEUFUVLUUHLJZJZLUVLUUGUVMNUUHUVNNUUCLPUUGUVMPSUVNUV
       MLUVMLNUVNUVMNUGUVMLPUHUGUIUJULCUAUKZUUFUUPUUHUURUVOUUEUUOAHUVOUUDUUNUUB
       UUCUUMUUAEOUEUFUVOUUGUUQNUUHUURNUUCUUMPUUGUUQPSULUUCUUTNZUUFUVCUUHUVEUVP
       UUEUVBAHUVPUUDUVAUUBUUCUUTUUAEOUEUFUVPUUHUVEUVEUVPUUGUVDNUUHUVENUUCUUTPU
       UGUVDPSUVEUMUJULUUCBNZUUFUVIUUHUVKUVQUUEUVHAHUVQUUDUVGUUBUUCBUUAEOUEUFUV
       QUUGUVJNUUHUVKNUUCBPUUGUVJPSULUULUUKUNNZUVRUUJQZAHUUJAHUOUUAHKZUUBUUIQTU
       VSUVTUUIUUBUVTUUIUUALNZUUBQUVTUUILUUAEFZUWAUVTUUARKZUWBUUAUPZUUAUQSUVTUW
       CUUIUWBGUWATZUWDUWCLRKZUWEURUUALUSUTSVAUWAUUBDLEFZUWGLDUUCMZNZCRVBZUWICR
       UWIQZUUCRKLUWHVCUWKUWHLUWHUUCDMLDUUCVEUUCVDVFVGLUWHVHVIVQVJDRKZUWFUWGUWJ
       VKVLURDLCVMVNVOUUALDEOVPVRVSUUBUUIVTWAWBUUKWCWDUUMHKZUUSUVFUWMUUSGZUVCUU
       RDMZUVEUWNUVCUUPUUTWEZWTZUWOUWMUVCUWQNUUSUWMUBUVCUWQUWMUBUCZHKZDUWREFZUW
       RUUTEFZGZGZUWSUWTUWRUUMEFZGZGZUWRUUTNZWFZUWRUVCKUWRUWQKZUWMUWSUXCUXHUXCU
       WSTUWMUWSUXBWGVQUWMUXFUWSUXGUXFUWSTUWMUWSUXEWGVQUWMUUTHKZUXGUWSTUUMWHZUU
       THUWRWISWJUWMUWSUXCUXHVKUWMUWSGZUXBUXEUXGWFZUXCUXHUXLUWTUXBUXMUXBUWTTUXL
       UWTUXAWGVQUXLUXEUWTUXGUXEUWTTUXLUWTUXDWGVQUWMUXGUWTTZUWSUWMDUUTEFZUXNUWM
       DDUUMMZUUTEUWMUUMRKZDUXPEFZUUMUPZUWLUXQUXRVLDUUMWKWLSDUUMVEWMUXGUXOUWTUX
       GUWTUXOUWRUUTDEOWNWOSWPWJUWMUWSUWTUXBUXMVKUWMUWSUWTXAZUXAUXDUXGWFUXBUXM?
       UXTUWTUXAUWMUWSUWTWQZWRUXTUXDUXEUXGUXTUWTUXDUYAWRWSXBXCXDUXLUWSUXBUWMUWS
       XEZWRUXLUXEUXFUXGUXLUWSUXEUYBWRWSXBYBXDUVBUXBAUWRHAUBUKZUUBUWTUVAUXAUUAU
       WRDEOZUUAUWRUUTEXFXGXHUXIUWRUUPKZUWRUWPKZWFUXHUWRUUPUWPXIUYEUXFUYFUXGUUO
       UXEAUWRHUYCUUBUWTUUNUXDUYDUUAUWRUUMEXFXGXHUWRUUTUBXJXKXLXMXNXOWPUUSUWMUW
       QUWOKZUWMUUSUUTUUPKZQZUYGUWMUXJUXOUUTUUMEFZGZQZTZUYIUWMUYLUXJUWMUYJUXOUW
       MUUMUUTEFZUYJQZUWMUUMUUTXPFZUYNUYOGZUUMXQUWMUXQUUTRKZUYPUYQVKUXSUWMUXJUY
       RUXKUUTUPSUUMUUTXRXSYCXTYAYDUYHUYMUYHUXJUYKGUYMQUUOUYKAUUTHUUAUUTNUUBUXO
       UUNUYJUUAUUTDEOUUAUUTUUMEXFXGXHUXJUYKYEXMYFWAUUPUURUUTUUMDUAXJYGYHYIYJYK
       YLUWMUVEUWONUUSUWMUVEUUQDJZMZJZUWOUWMUVDUYTNZUVEVUANUWMUXQVUBUXSUXQUWLVU
       BVLUUMDYMUTSUVDUYTPSUWMVUAUUQDMZJZUWOUYTVUCNVUAVUDNUYSDUUQYNYOUYTVUCPUHU
       WMVUDUURUYSMZUWOUWMUUQRKZVUDVUENZUWMUXQVUFUXSUUMYPSVUFUWLVUGVLUUQDYMUTSU
       YSDUURYNYOUJYQYRWPYSYBYT $.
$)
       $( [25-Mar-2015] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Specker's disproof of the axiom of choice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)
  $c Sp[ac] $. $( Special set generator for axiom of choice. $)

  $( Extend the definition of a class to include the special set generator for
     the axiom of choice. $)
  cspac $a class Sp[ac] $.

  ${
    $d m x y $.
    $( Define the special class generator for the disproof of the axiom of
       choice.  Definition 6.1 of {{Specker}}. $)
    df-spac $a |- Sp[ac] = ( m e. NC |->
        Clos1 ( { m } ,
        { <. x , y >. | ( x e. NC /\ y e. NC /\ y = ( 2c ^c x ) ) } ) ) $.
  $}

  ${
    $d b m $.  $d b s $.  $d m n $.  $d m s $.  $d m t $.  $d n s $.  $d n t $.
    $d s t $.
    $( Lemma for ~ nncdiv3 .  Set up a helper for stratification. $)
    nncdiv3lem1 $p |- ( <. n , b >. e. ran ( Ins3 `' ( ( ran ( `' 1st (x) ( 1st
        i^i 2nd ) ) (x) 2nd ) " AddC ) i^i ( ( ( 1st o. 1st ) (x) ( ( 2nd o.
        1st ) (x) 2nd ) ) " AddC ) ) <-> b = ( ( n +c n ) +c n ) ) $=
      ( vm vs vt cv cop c1st c2nd ctxp caddcfn wcel wex wceq wa wbr trtxp bitri
      wrex 3bitri ccnv cin crn cima cins3 ccom cplc elrn2 elin otelins3 opelcnv
      vex risset df-br elima elrn brcnv brin op1st2nd anbi12i ancom exbii breq2
      opex ceqsexv anbi1i rexbii 3bitr4ri braddcfn eqcom anass cvv cxp wfo wfun
      anbi2i 1stfo fofun ax-mp txpcofun 3bitr3ri 3bitr2i addcex addceq1 eqeq2d
      breqi brco ) AFZBFZGZHUAZHIUBZJZUCZIJZKUDZUAZUEZHHUFZIHUFZIJZJZKUDZUBZUCL
      CFZWJGZXDLZCMXEWHWHUGZNZWIXEWHUGZNZOZCMWIXHWHUGZNZCWJXDUHXGXLCXGXFWRLZXFX
      CLZOXLXFWRXCUIXOXIXPXKXOXEWHGZWQLWHXEGZWPLZXIXEWHWIWQBULZUJXEWHWPUKXSWHWH
      GZXEKPZXHXENXIYAXEGZKLDFZYCNZDKSZYBXSDYCKUMYAXEKUNXSYDXRWOPZDKSYFDXRWOKUO
      YGYEDKYGYDWHWNPZYDXEIPZOYDYAHPZYIOYEYDWHXEWNIQYHYJYIYHYDWHGZWNLZEFZYANZYD
      YMHPZOZEMZYJYDWHWNUNYLYMYKWMPZEMYQEYKWMUPYRYPEYRYMYDWKPZYMWHWLPZOYOYNOYPY
      MYDWHWKWLQYSYOYTYNYMYDHUQYTYMWHHPYMWHIPZOYNYMWHHIURWHWHYMAULZUUBUSRUTYOYN
      VATVBRYOYJEYAWHWHUUBUUBVDZYMYAYDHVCVETVFYAXEYDUUCCULZUSTVGRVHWHWHXEUUBUUB
      VIXHXEVJTTXPXQWIKPZXJWINXKXQWIGZKLYDUUFNZDKSZUUEXPDUUFKUMXQWIKUNXPYDXFXBP
      ZDKSUUHDXFXBKUOUUIUUGDKUUIYDXEWSPZYDWJXAPZOZYDXQHPZYDWIIPZOZUUGYDXEWJWSXA
      QUULUUJYDWHWTPZUUNOZOUUJUUPOZUUNOUUOUUKUUQUUJYDWHWIWTIQVPUUJUUPUUNVKUURUU
      MUUNYDXQHIJZHUFZPZYDXQWSWTJZPUUMUURYDXQUUTUVBHIHVLVLVMZVLHVNHVOVQUVCVLHVR
      VSVTWFUVAYOYMXQUUSPZOZEMYMXQNZYOOZEMUUMEYDXQUUSHWGUVEUVGEUVEYOUVFOUVGUVDU
      VFYOUVDYMXEHPUUAOUVFYMXEWHHIQXEWHYMUUDUUBUSRVPYOUVFVARVBYOUUMEXQXEWHUUDUU
      BVDZYMXQYDHVCVETYDXEWHWSWTQWAVFWBXQWIYDUVHXTUSTVGRVHXEWHWIUUDUUBVIXJWIVJT
      UTRVBXKXNCXHWHWHUUBUUBWCXIXJXMWIXEXHWHWDWEVET $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a c $.  $d a m $.  $d a n $.  $d a p $.  $d b c $.  $d b m $.
    $d b n $.  $d b p $.  $d c n $.  $d c p $.  $d m n $.  $d m p $.  $d n p $.
    $( Lemma for ~ nncdiv3 .  Set up stratification for induction. $)
    nncdiv3lem2 $p |- { a | E. n e. Nn ( a = ( ( n +c n ) +c n ) \/
   a = ( ( ( n +c n ) +c n ) +c 1c ) \/ a = ( ( ( n +c n ) +c n ) +c 2c ) ) }
        e. _V $=
      ( vb c1st c2nd ctxp caddcfn c1c cvv c2c wceq wcel wbr cop wa bitri 3bitri
      wex 1stex txpex ccnv cin crn cima cins3 ccom csn cxp cun cnnc cv cplc w3o
      wrex cab elima df-br wo elun nncdiv3lem1 elrn2 oteltxp opelcnv bicomi vex
      elin opelxp mpbiran2 eliniseg anbi12i 1cex op1st2nd opex ceqsexv braddcfn
      exbii breq1 eqcom addcex addceq1 eqeq2d orbi12i c0 cpr df-2c ncex eqeltri
      cnc df-3or rexbii abbi2i cnvex 2ndex inex rnex addcfnex imaex ins3ex coex
      3bitr4i snex vvex xpex unex nncex eqeltrri ) DUAZDEUBZFZUCZEFZGUDZUAZUEZD
      DUFZEDUFZEFZFZGUDZUBZUCZYAUAZDEUAZHUGZUDZIUHZUBZGFZUCZFZUCZUIZYBDYCJUGZUD
      ZIUHZUBZGFZUCZFZUCZUIZUJUDZBUKZAUKZUUDULZUUDULZKZUUCUUFHULZKZUUCUUFJULZKZ
      UMZAUJUNZBUOIUUMBUUBUUCUUBLUUDUUCUUAMZAUJUNUUMAUUCUUAUJUPUUNUULAUJUUNUUDU
      UCNZUUALZUULUUDUUCUUAUQUUOYLLZUUOYTLZURUUGUUIURZUUKURUUPUULUUQUUSUURUUKUU
      QUUOYALZUUOYKLZURUUSUUOYAYKUSUUTUUGUVAUUIABUTUVACUKZUUONZYJLZCRUVBUUFKZUU
      CUVBHULZKZOZCRUUICUUOYJVAUVDUVHCUVDUVBUUDNYBLZUVBUUCNZYILZOUVHUVBUUDUUCYB
      YIVBUVIUVEUVKUVGUVIUUDUVBNZYALUVEUVBUUDYAVCACUTPZUVKUUDUVBHNZKZUUDUUCGMZO
      ZARZUVNUUCGMZUVGUVKUUDUVJNZYHLZARUVRAUVJYHVAUWAUVQAUWAUVLYGLZUUOGLZOUVQUU
      DUVBUUCYGGVBUWBUVOUWCUVPUWBUVLDLZUVLYFLZOUUDUVBDMZUUDHEMZOUVOUVLDYFVFUWDU
      WFUWEUWGUWFUWDUUDUVBDUQVDZUWEUUDYELZUWGUWEUWIUVBILZCVEZUUDUVBYEIVGVHEHUUD
      VIPVJUVBHUUDUWKVKVLQUVPUWCUUDUUCGUQVDZVJPVPPUVPUVSAUVNUVBHUWKVKVMUUDUVNUU
      CGVQVNUVSUVFUUCKUVGUVBHUUCUWKVKVOUVFUUCVRPQVJPVPUVGUUICUUFUUEUUDUUDUUDAVE
      ZUWMVSUWMVSZUVEUVFUUHUUCUVBUUFHVTWAVNQWBPUURUVCYSLZCRUVEUUCUVBJULZKZOZCRU
      UKCUUOYSVAUWOUWRCUWOUVIUVJYRLZOUWRUVBUUDUUCYBYRVBUVIUVEUWSUWQUVMUWSUVBJNZ
      UUCGMZUWPUUCKUWQUWSUVTYQLZARUUDUWTKZUVPOZARUXAAUVJYQVAUXBUXDAUXBUVLYPLZUW
      COUXDUUDUVBUUCYPGVBUXEUXCUWCUVPUXEUWDUVLYOLZOUWFUUDJEMZOUXCUVLDYOVFUWDUWF
      UXFUXGUWHUXFUUDYNLZUXGUXFUXHUWJUWKUUDUVBYNIVGVHEJUUDVIPVJUVBJUUDUWKJWCIWD
      ZWHIWEUXIWFWGZVLQUWLVJPVPUVPUXAAUWTUVBJUWKUXJVMUUDUWTUUCGVQVNQUVBJUUCUWKU
      XJVOUWPUUCVRQVJPVPUWQUUKCUUFUWNUVEUWPUUJUUCUVBUUFJVTWAVNQWBUUOYLYTUSUUGUU
      IUUKWIWTPWJPWKUUAUJYLYTYAYKXTXNXSXMXLXKGXJEXIXGXHDSWLDESWMWNTWOWMTWPWQWLW
      RXRGXOXQDDSSWSXPEEDWMSWSWMTTWPWQWNWOZYJYBYIYAUXKWLZYHYGGDYFSYEIYCYDEWMWLZ
      HXAWQXBXCWNWPTWOTWOXDYSYBYRUXLYQYPGDYOSYNIYCYMUXMJXAWQXBXCWNWPTWOTWOXDXEW
      QXF $.
      $( [2-Mar-2015] $)
  $}

  ${
    $d A n m a $.
    $( Divisibility by three rule for finite cardinals.  Part of Theorem 3.4 of
       {{Specker}}. $)
    nncdiv3 $p |- ( A e. Nn ->
      E. n e. Nn ( A = ( ( n +c n ) +c n ) \/
                   A = ( ( ( n +c n ) +c n ) +c 1c ) \/
                   A = ( ( ( n +c n ) +c n ) +c 2c ) ) ) $=
      ( va vm cplc wceq c1c c2c w3o cnnc wrex c0c 3orbi123d rexbidv wcel eqeq2d
      eqeq1 wo df-3or r19.43 cv nncdiv3lem2 peano1 addcid1 addcid2 eqtr2i 3mix1
      weq ax-mp addceq12 anidms addceq12d addceq1d rcla4ev mp2an addceq1 reximi
      id wi a1i addcass 1p1e2c addceq2i eqtri syl6eq peano2 addc32 addc4 eqtr3i
      addceq1i sylancl eqeq1d syl5ibrcom rexlimiv sylib 3orim123d rexbii orbi1i
      cbvrexv 3bitr4i bitri 3orrot 3bitr2i 3imtr4g finds ) CUAZBUAZWGEZWGEZFZWF
      WIGEZFZWFWIHEZFZIZBJKLWIFZLWKFZLWMFZIZBJKZDUAZWIFZXAWKFZXAWMFZIZBJKZXAGEZ
      WIFZXGWKFZXGWMFZIZBJKZAWIFZAWKFZAWMFZIZBJKCDABCUBWFLFZWOWSBJXQWJWPWLWQWNW
      RWFLWIQWFLWKQWFLWMQMNCDUHZWOXEBJXRWJXBWLXCWNXDWFXAWIQWFXAWKQWFXAWMQMNWFXG
      FZWOXKBJXSWJXHWLXIWNXJWFXGWIQWFXGWKQWFXGWMQMNWFAFZWOXPBJXTWJXMWLXNWNXOWFA
      WIQWFAWKQWFAWMQMNLJOLLLEZLEZFZLYBGEZFZLYBHEZFZIZWTUCYCYHYBYALYAUDLUEUFYCY
      EYGUGUIWSYHBLJWGLFZWPYCWQYEWRYGYIWIYBLYIWHYAWGLYIWHYAFWGWGLLUJUKYIURULZPY
      IWKYDLYIWIYBGYJUMPYIWMYFLYIWIYBHYJUMPMUNUOXAJOZXBBJKZXCBJKZXDBJKZIZXIBJKZ
      XJBJKZXHBJKZIZXFXLYKYLYPYMYQYNYRYLYPUSYKXBXIBJXAWIGUPUQUTYMYQUSYKXCXJBJXC
      XGWKGEZWMXAWKGUPYTWIGGEZEWMWIGGVAUUAHWIVBVCVDVEUQUTYNYRUSYKYNXGWFWFEZWFEZ
      FZCJKZYRXDUUEBJWGJOZUUEXDWMGEZUUCFZCJKZUUFWGGEZJOUUGUUJUUJEZUUJEZFZUUIWGV
      FUUGUUKWGEZGEUULWMUUNGWMWHHEZWGEUUNWHWGHVGUUOUUKWGWHUUAEUUOUUKUUAHWHVBVCW
      GWGGGVHVIVJVDVJUUKWGGVAVDUUHUUMCUUJJWFUUJFZUUCUULUUGUUPUUBUUKWFUUJUUPUUBU
      UKFWFWFUUJUUJUJUKUUPURULPUNVKXDUUDUUHCJXDXGUUGUUCXAWMGUPVLNVMVNUUDXHCBJCB
      UHZUUCWIXGUUQUUBWHWFWGUUQUUBWHFWFWFWGWGUJUKUUQURULPVSVOUTVPXFXBXCRZXDRZBJ
      KZYOXEUUSBJXBXCXDSVQUURBJKZYNRYLYMRZYNRUUTYOUVAUVBYNXBXCBJTVRUURXDBJTYLYM
      YNSVTWAXLXHXIRZXJRZBJKZYSXKUVDBJXHXIXJSVQUVEUVCBJKZYQRZYSUVCXJBJTUVGYRYPR
      ZYQRYRYPYQIYSUVFUVHYQXHXIBJTVRYRYPYQSYRYPYQWBWCWAWAWDWE $.
      $( [2-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a m $.  $d a n $.  $d A n $.  $d a p $.  $d B n $.  $d m n $.
    $d m p $.  $d n p $.  $d n q $.  $d p q $.  $d p x $.  $d q x $.  $d m q $.
    $( Three times a natural is not one more than three times a natural.
       Another part of Theorem 3.4 of {{Specker}}. $)
    nnc3n3p1 $p |- ( ( A e. Nn /\ B e. Nn ) ->
        -. ( ( A +c A ) +c A ) = ( ( ( B +c B ) +c B ) +c 1c ) ) $=
      ( vn vp vq cnnc wcel cplc c1c wceq wn c0c caddcfn c1st c2nd cop wa anidms
      addceq12 nncaddccl va vm vx cv wral wi ccnv csn cima cres ccom ctxp cins3
      cin crn ccompl cab cvv vex elcompl wbr wrex elima df-br wex oteltxp bitri
      elrn elrn2 opelco brcnv brres eliniseg anbi2i 1cex op1st2nd 3bitri anbi1i
      exbii opex breq1 ceqsexv braddcfn eqcom opelcnv nncdiv3lem1 anbi12i ancom
      addcex addceq1 eqeq2d eqeq1 rexbii dfrex2 3bitrri con1bii abbi2i addcfnex
      1stex 2ndex cnvex snex imaex resex coex inex rnex ins3ex complex eqeltrri
      txpex nncex addceq12d eqtri syl6eq eqeq1d notbid ralbidv weq addceq1d wne
      df-ne mpbi cncs mpancom syl sylancl syl5bb addcass addceq1i addc32 eqeq1i
      id wb peano2 syl5ibrcom addc6 1cnnc mp2an imp addcid1 syl6bb 1ne0c intnan
      addcid2 cbvralv nnnc 1cnc addceq0 mtbiri wo nnc0suc 0cnsuc eqtr3i sylnibr
      rgen a1i peano1 suc11nnc mtbird sylnib adantr rcla4v adantl mp3an3 syl2an
      eqeq12i addccan1 biimpd nsyld an32s rexlimdva jaod ralrimiv finds rcla4cv
      syl5bi ex ) AFGZBFGZAAHZAHZBBHZBHZIHZJZKZUVSUWBCUDZUWHHZUWHHZIHZJZKZCFUEZ
      UVTUWGUFUAUDZUWOHZUWOHZUWKJZKZCFUEZLUWKJZKZCFUEUBUDZUXCHZUXCHZUWKJZKZCFUE
      ZUXCIHZUXIHZUXIHZDUDZUXLHZUXLHZIHZJZKZDFUEZUWNUAUBAMNOUGZIUHZUIZUJZUGZUKZ
      NUGZNOUNZULZUOZOULZMUIZUGZUMZNNUKZONUKZOULZULZMUIZUNZUOZUGZULZUOZUYTULZUO
      ZFUIZUPZUWTUAUQURUWTUAVUFUWOVUFGUWOVUEGZKUWTUWOVUEUAUSZUTUWTVUGVUGUWHUWOV
      UDVAZCFVBUWRCFVBUWTKCUWOVUDFVCVUIUWRCFVUIUWHUWOPZVUDGZUWRUWHUWOVUDVDVUKUX
      LVUJVUCVAZDVEUXLUWQJZUXLUWKJZQZDVEUWRDVUJVUCVHVULVUODVULUXLUWHPZVUBGZUXLU
      WOPUYTGZQZVUNVUMQVUOVULUXLVUJPVUCGVUSUXLVUJVUCVDUXLUWHUWOVUBUYTVFVGVUQVUN
      VURVUMVUQEUDZVUPPVUAGZEVEVUTUWJJZUXLVUTIHZJZQZEVEVUNEVUPVUAVIVVAVVEEVVAVU
      TUXLPUYDGZVUTUWHPUYTGZQVVDVVBQVVEVUTUXLUWHUYDUYTVFVVFVVDVVGVVBVVFVUTUCUDZ
      UYCVAZVVHUXLMVAZQZUCVEZVUTIPZUXLMVAZVVDUCVUTUXLMUYCVJVVLVVHVVMJZVVJQZUCVE
      VVNVVKVVPUCVVIVVOVVJVVIVVHVUTNVAZVVHUYAGZQZVVQVVHIOVAZQVVOVVIVVHVUTUYBVAV
      VSVUTVVHUYBVKVVHVUTNUYAVLVGVVRVVTVVQOIVVHVMVNVUTIVVHEUSZVOVPVQVRVSVVJVVNU
      CVVMVUTIVWAVOVTVVHVVMUXLMWAWBVGVVNVVCUXLJVVDVUTIUXLVWAVOWCVVCUXLWDVGVQVVG
      UWHVUTPUYSGVVBVUTUWHUYSWECEWFVGWGVVDVVBWHVQVSVVDVUNEUWJUWIUWHUWHUWHCUSZVW
      BWIVWBWIVVBVVCUWKUXLVUTUWJIWJWKWBVQVURUWOUXLPUYSGVUMUXLUWOUYSWEUADWFVGWGV
      UNVUMWHVQVSVUNUWRDUWQUWPUWOUWOUWOVUHVUHWIVUHWIUXLUWQUWKWLWBVQVGWMUWRCFWNW
      OWPVGWQVUEVUDFVUCVUBUYTVUAUYDUYTMUYCWRUYBNUYAWSUXSUXTOWTXAIXBXCXDXAXEUYSU
      YRUYLUYQUYKUYJUYIMUYHOUYGUYEUYFNWSXANOWSWTXFXKXGWTXKWRXCXAXHUYPMUYMUYONNW
      SWSXEUYNOONWTWSXEWTXKXKWRXCXFXGXAZXKXGVWCXKXGXLXCXIXJUWOLJZUWSUXBCFVWDUWR
      UXAVWDUWQLUWKVWDUWQLLHZLHZLVWDUWPVWEUWOLVWDUWPVWEJUWOUWOLLSRVWDYMXMVWFVWE
      LVWEUUALUUEXNZXOXPXQXRUAUBXSZUWSUXGCFVWHUWRUXFVWHUWQUXEUWKVWHUWPUXDUWOUXC
      VWHUWPUXDJUWOUWOUXCUXCSRVWHYMXMXPXQXRUWOUXIJZUWTUXKUWKJZKZCFUEUXRVWIUWSVW
      KCFVWIUWRVWJVWIUWQUXKUWKVWIUWPUXJUWOUXIVWIUWPUXJJUWOUWOUXIUXISRVWIYMXMXPX
      QXRVWKUXQCDFCDXSZVWJUXPVWLUWKUXOUXKVWLUWJUXNIVWLUWIUXMUWHUXLVWLUWIUXMJUWH
      UWHUXLUXLSRVWLYMXMXTWKXQUUFUUBUWOAJZUWSUWMCFVWMUWRUWLVWMUWQUWBUWKVWMUWPUW
      AUWOAVWMUWPUWAJUWOUWOAASRVWMYMXMXPXQXRUXBCFUWHFGZUXAUWJLJZILJZQZVWPVWOILY
      AVWPKUUCILYBYCUUDUXAUWKLJZVWNVWQLUWKWDVWNUWJYDGZIYDGVWRVWQYNVWNUWJFGZVWSU
      WIFGZVWNVWTVWNVXAUWHUWHTRUWIUWHTYEUWJUUGYFUUHUWJIUUIYGYHUUJUUPUXCFGZUXHUX
      RVXBUXHQZUXQDFUXLFGUXLLJZVVDEFVBZUUKVXCUXQEUXLUULVXCVXDUXQVXEVXBVXDUXQUFU
      XHVXBUXQVXDUXKLIHZJZKVXBUXJUXCHZIHZVXFJZVXGVXBVXJVXHLJZVXBUXIUXCHZUXCHZIH
      ZLJZVXKVXOKZVXBVXNLYAVXPVXMUUMVXNLYBYCUUQVXHVXNLVXLIHZUXCHVXHVXNVXQUXJUXC
      UXIUXCIYIYJVXLIUXCYKUUNYLUUOVXBVXHFGZLFGVXJVXKYNUXJFGZVXBVXRVXBUXIFGZVXSU
      XCYOVXTVXSUXIUXITRYFUXJUXCTYEUURVXHLUUSYGUUTVXIUXKVXFUXJUXCIYIYLUVAVXDUXP
      VXGVXDUXOVXFUXKVXDUXNLIVXDUXNVWFLVXDUXMVWEUXLLVXDUXMVWEJUXLUXLLLSRVXDYMXM
      VWGXOXTWKXQYPUVBVXCVVDUXQEFVXCVUTFGZQUXQVVDUXKVVCVVCHZVVCHZIHZJZKZVXBVYAU
      XHVYFVXBVYAQZUXHVYFVYGUXHUXEVUTVUTHZVUTHZIHZJZVYEVYAUXHVYKKZUFVXBUXGVYLCV
      UTFCEXSZUXFVYKVYMUWKVYJUXEVYMUWJVYIIVYMUWIVYHUWHVUTVYMUWIVYHJUWHUWHVUTVUT
      SRVYMYMXMXTWKXQUVCUVDVYGVYEVYKVYEUXEIIHZIHZHZVYJVYOHZJZVYGVYKUXKVYPVYDVYQ
      UXCIUXCIUXCIYQVYDVYIVYOHZIHVYQVYCVYSIVUTIVUTIVUTIYQYJVYIVYOIYKXNUVGVXBUXE
      FGZVYJFGZVYRVYKYNZVYAUXDFGZVXBVYTVXBWUCUXCUXCTRUXDUXCTYEVYAVYIFGZWUAVYHFG
      ZVYAWUDVYAWUEVUTVUTTRVYHVUTTYEVYIYOYFVYTWUAVYOFGZWUBVYNFGZIFGZWUFWUHWUHWU
      GYRYRIITYSYRVYNITYSVYOUXEVYJUVHUVEUVFYHUVIUVJYTUVKVVDUXPVYEVVDUXOVYDUXKVV
      DUXNVYCIVVDUXMVYBUXLVVCVVDUXMVYBJUXLUXLVVCVVCSRVVDYMXMXTWKXQYPUVLUVMUVQUV
      NUVRUVOUWMUWGCBFUWHBJZUWLUWFWUIUWKUWEUWBWUIUWJUWDIWUIUWIUWCUWHBWUIUWIUWCJ
      UWHUWHBBSRWUIYMXMXTWKXQUVPYFYT $.
      $( [13-Mar-2015] $)
  $}

  ${
    $( Three times a natural is not two more than three times a natural.
       Another part of Theorem 3.4 of {{Specker}}. $)
    nnc3n3p2 $p |- ( ( A e. Nn /\ B e. Nn ) ->
        -. ( ( A +c A ) +c A ) = ( ( ( B +c B ) +c B ) +c 2c ) ) $=
      ( cnnc wcel wa cplc c1c c2c wceq peano2 nnc3n3p1 sylan ancoms eqcom addc4
      wn addceq1i nncaddccl anidms mpancom addc32 1p1e2c addceq2i 3eqtrri eqtri
      addcass eqeq1i bitri sylnibr wb 2nnc sylancl suc11nnc syl2an mtbid ) ACDZ
      BCDZEZAAFZAFZGFZBBFZBFZHFZGFZIZUTVDIZURBGFZVHFZVHFZVAIZVFUQUPVKPZUQVHCDUP
      VLBJVHAKLMVFVEVAIVKVAVENVEVJVAVEVIBFZGFVJVDVMGVMVBGGFZFZBFVCVNFVDVIVOBBGB
      GOQVBVNBUAVNHVCUBUCUDQVIBGUFUEUGUHUIUPUTCDZVDCDZVFVGUJUQUSCDZUPVPUPVRAARS
      USARTUQVCCDZHCDVQVBCDZUQVSUQVTBBRSVBBRTUKVCHRULUTVDUMUNUO $.
      $( [12-Mar-2015] $)
  $}

  ${
    $( One more than three times a natural is not two more than three times a
       natural.  Final part of Theorem 3.4 of {{Specker}}. $)
    nnc3p1n3p2 $p |- ( ( A e. Nn /\ B e. Nn ) ->
        -. ( ( ( A +c A ) +c A ) +c 1c ) =
           ( ( ( B +c B ) +c B ) +c 2c ) ) $=
      ( cnnc wcel wa cplc c1c wceq c2c nnc3n3p1 nncaddccl anidms mpancom peano2
      wb syl suc11nnc syl2an mtbird addcass 1p1e2c addceq2i eqtr2i sylnibr
      eqeq2i ) ACDZBCDZEZAAFZAFZGFZBBFZBFZGFZGFZHZUKUMIFZHUHUPUJUNHZABJUFUJCDZU
      NCDZUPUROUGUICDZUFUSUFVAAAKLUIAKMUGUMCDZUTULCDZUGVBUGVCBBKLULBKMUMNPUJUNQ
      RSUQUOUKUOUMGGFZFUQUMGGTVDIUMUAUBUCUEUD $.
      $( [12-Mar-2015] $)
  $}

  ${
    $d x y t $.
    $( Lemma for ~ spacval .  Set up stratification for the recursive
       relationship. $)
    spacvallem1 $p |- { <. x , y >. | ( x e. NC /\ y e. NC /\ y = ( 2c ^c x
        ) ) } e. _V $=
      ( vt cvv cxp cncs cce c2nd c1st ccnv c2c cin wcel wceq cop wbr wex 3bitri
      cv wa cfullfun cima cres ccom co copab opelxp opelco brcnv brres eliniseg
      csn w3a anbi2i ancom 2nc elexi vex op1st2nd anbi1i exbii bitri opex breq1
      ceqsexv brfullfunop eqcom anbi12i elin df-3an 3bitr4i releqopab vvex xpex
      ncsex ceex fullfunex 2ndex 1stex cnvex snex imaex resex coex eqeltrri
      inex ) DDEZFFEZGUAZHIJZKULZUBZUCZJZUDZLZLASZFMZBSZFMZWSKWQGUEZNZUMZABUFDX
      CABWPWQWSOZWHMZXDWOMZTWRWTTZXBTXDWPMXCXEXGXFXBWQWSFFUGXFCSZKWQOZNZXHWSWIP
      ZTZCQZXIWSWIPZXBXFWQXHWNPZXKTZCQXMCWQWSWIWNUHXPXLCXOXJXKXOXHWQWMPZXHKIPZX
      HWQHPZTZXJWQXHWMUIXQXSXHWLMZTXSXRTXTXHWQHWLUJYAXRXSIKXHUKUNXSXRUORKWQXHKF
      UPUQZAURZUSRUTVAVBXKXNCXIKWQYBYCVCXHXIWSWIVDVEXNXAWSNXBKWQWSGYBYCVFXAWSVG
      VBRVHXDWHWOVIWRWTXBVJVKVLWGWPDDVMVMVNWHWOFFVOVOVNWIWNGVPVQWMHWLVRWJWKIVSV
      TKWAWBWCVTWDWFWFWE $.
      $( [6-Mar-2015] $)
  $}

  ${
    $d N n $.  $d n x $.  $d n y $.  $d x y $.
    $( The value of the special set generator. $)
    spacval $p |- ( N e. NC -> ( Sp[ac] ` N ) =
         Clos1 ( { N } , { <. x , y >. | ( x e. NC /\ y e. NC /\ y = ( 2c ^c x
        ) ) } ) ) $=
      ( vn cv csn cncs wcel c2c cce co wceq w3a copab cclos1 cspac clos1eq1 syl
      sneq df-spac snex spacvallem1 clos1ex fvmpt ) DCDEZFZAEZGHBEZGHUHIUGJKLMA
      BNZOZCFZUIOZGPUECLUFUKLUJULLUECSUIUFUKQRABDTUIUKCUAABUBUCUD $.
      $( [4-Mar-2015] $)
  $}

  ${
    $d n x y $.
    $( The special set generator is a function over the cardinals. $)
    fnspac $p |- Sp[ac] Fn NC $=
      ( vn vx vy cv csn cncs wcel c2c cce co w3a copab cclos1 cvv cspac df-spac
      wceq wfn fnmpt snex spacvallem1 clos1ex a1i mprg ) ADZEZBDZFGCDZFGUHHUGIJ
      QKBCLZMZNGZOFRAFAFUJONBCAPSUKUEFGUIUFUETBCUAUBUCUD $.
      $( [18-Mar-2015] $)
  $}

  ${
    $d x y $.
    $( The special set generator generates a set of cardinals. $)
    spacssnc $p |- ( N e. NC -> ( Sp[ac] ` N ) C_ NC ) $=
      ( vx vy cncs wcel cspac cfv csn cv c2c cce co wceq w3a copab spacval cima
      cclos1 cun wss snex spacvallem1 clos1baseima wa snssi crn imassrn wex cab
      eqid rnopab simp2 exlimiv abssi eqsstri sstri jctir unss syl5eqss eqsstrd
      sylib ) ADEZAFGAHZBIZDEZCIZDEZVFJVDKLMZNZBCOZRZDBCAPVBVKVCVJVKQZSZDVKVJVC
      AUABCUBVKUJUCVBVCDTZVLDTZUDVMDTVBVNVOADUEVLVJUFZDVJVKUGVPVIBUHZCUIDVIBCUK
      VQCDVIVGBVEVGVHULUMUNUOUPUQVCVLDURVAUSUT $.
      $( [13-Mar-2015] $)
  $}

  ${
    $d M x y $.
    $( The initial value of the special set generator is an element. $)
    spacid $p |- ( M e. NC -> M e. ( Sp[ac] ` M ) ) $=
      ( vx vy cncs wcel csn cv c2c cce wceq w3a copab cclos1 cspac cfv wss eqid
      co clos1base snssg mpbiri spacval eleqtrrd ) ADEZAAFZBGZDECGZDEUGHUFIRJKB
      CLZMZANOUDAUIEUEUIPUIUHUEUIQSAUIDTUABCAUBUC $.
      $( [13-Mar-2015] $)
  $}

  ${
    $d N x $.  $d N y $.  $d x y $.
    $( Closure law for the special set generator. $)
    spaccl $p |- ( ( M e. NC /\ N e. ( Sp[ac] ` M ) /\ ( N ^c 0c ) e. NC ) ->
        ( 2c ^c N ) e. ( Sp[ac] ` M ) ) $=
      ( vx vy cncs wcel cspac cfv c0c cce co w3a c2c csn wceq syl2anc cvv eleq1
      cv eqid copab cclos1 wbr spacval 3ad2ant1 eleqtrd spacssnc sselda 3adant3
      simp2 simp3 cnnc 2nnc ceclnn1 mp3an1 eqidd wb oveq2 eqeq2d 3anbi13d eqeq1
      ovex 3anbi23d brabg mpan2 3ad2ant2 mpbir3and clos1conn eleqtrrd ) AEFZBAG
      HZFZBIJKEFZLZMBJKZANZCSZEFZDSZEFZVSMVQJKZOZLZCDUAZUBZVKVNBWEFBVOWDUCZVOWE
      FVNBVKWEVJVLVMUJVJVLVKWEOVMCDAUDUEZUFVNWFBEFZVOEFZVOVOOZVJVLWHVMVJVKEBAUG
      UHUIZVNWHVMWIWKVJVLVMUKMULFWHVMWIUMMBUNUOPVNVOUPVLVJWFWHWIWJLZUQZVMVLVOQF
      WMMBJVBWCWHVTVSVOOZLWLCDBVOVKQWDVQBOZVRWHWBWNVTVQBERWOWAVOVSVQBMJURUSUTWN
      VTWIWNWJWHVSVOERVSVOVOVAVCWDTVDVEVFVGBVOWEWDVPWETVHPWGVI $.
      $( [13-Mar-2015] $)
  $}

  ${
    $d M x $.  $d M z $.  $d p q $.  $d p x $.  $d p z $.  $d q x $.  $d q z $.
    $d S x $.  $d S z $.  $d x z $.
    $( Inductive law for the special set generator. $)
    spacind $p |- ( ( ( M e. NC /\ S e. V ) /\
      ( M e. S /\ A. x e. ( Sp[ac] ` M ) ( ( x e. S /\ ( x ^c 0c ) e. NC ) ->
      ( 2c ^c x ) e. S ) ) ) -> ( Sp[ac] ` M ) C_ S ) $=
      ( vp vq vz wcel cncs cv cce co wa c2c wi wceq w3a wal impexp bitri cclos1
      cvv c0c cspac cfv wral wss elex csn copab spacval adantr wbr simplr snssi
      adantl spacssnc sseld 2nc ceclr simprd mp3an1 ex imim1d a1dd 3anass albii
      imbi1i 19.21v bi2.04 ovex eleq1 imbi12d ceqsalv imbi2i syl6ibr vex eqeq2d
      weq oveq2 3anbi13d 3anbi23d eqid brab imim2d 3imtr4g syld imp ralimdva wb
      eqeq1 raleq sylibd ad2ant2rl snex spacvallem1 clos1induct syl3anc eqsstrd
      syl sylanl2 ) BDHCIHZBUBHZCBHZAJZBHZXEUCKLIHZMNXEKLZBHZOZACUDUEZUFZMZXKBU
      GBDUHXBXCMZXMMZXKCUIZEJZIHZFJZIHZXSNXQKLZPZQZEFUJZUAZBXNXKYEPZXMXBYFXCEFC
      UKZULULXOXCXPBUGZXFXEGJZYDUMZMYIBHZOZGRZAYEUFZYEBUGXBXCXMUNXMYHXNXDYHXLCB
      UOULUPXBXLYNXCXDXBXLYNXBXLYMAXKUFZYNXBXJYMAXKXBXEXKHZXJYMOZXBYPXEIHZYQXBX
      KIXECUQURXBYRYQXBYRMZXFXGXIOZOXFYJYKOZGRZOZXJYMYSYTUUBXFYSYTYRYIIHZYIXHPZ
      QZYKOZGRZUUBYSYTYRXHIHZXIOZOZUUHYRYTUUKOXBYRYTUUJYRYRUUIXGXIYRUUIXGNIHZYR
      UUIXGUSUULYRUUIQNUCKLIHXGNXEUTVAVBVCVDVEUPUUHYRUUDUUEMZYKOZOZGRZUUKUUGUUO
      GUUGYRUUMMZYKOUUOUUFUUQYKYRUUDUUEVFVHYRUUMYKSTVGUUPYRUUNGRZOUUKYRUUNGVIUU
      RUUJYRUURUUEUUDYKOZOZGRUUJUUNUUTGUUNUUDUUEYKOOUUTUUDUUEYKSUUDUUEYKVJTVGUU
      SUUJGXHNXEKVKUUEUUDUUIYKXIYIXHIVLYIXHBVLVMVNTVOTTVPUUAUUGGYJUUFYKYCYRXTXS
      XHPZQUUFEFXEYIYDAVQGVQEAVSZXRYRYBUVAXTXQXEIVLUVBYAXHXSXQXENKVTVRWAFGVSXTU
      UDUVAUUEYRXSYIIVLXSYIXHWKWBYDWCWDVHVGVPWEXFXGXISYMXFUUAOZGRUUCYLUVCGXFYJY
      KSVGXFUUAGVITWFVCWGWHWIXBYFYOYNWJYGYMAXKYEWLWTWMWHWNAGYEYDXPUBBCWOEFWPYEW
      CWQWRWSXA $.
      $( [13-Mar-2015] $)
  $}

  ${
    $d ch x $.  $d M x $.  $d M y $.  $d N x $.  $d ph y $.  $d ps x $.
    $d ta x $.  $d th x $.  $d x y $.
    spacis.1 $e |- { x | ph } e. _V $.
    spacis.2 $e |- ( x = M -> ( ph <-> ps ) ) $.
    spacis.3 $e |- ( x = y -> ( ph <-> ch ) ) $.
    spacis.4 $e |- ( x = ( 2c ^c y ) -> ( ph <-> th ) ) $.
    spacis.5 $e |- ( x = N -> ( ph <-> ta ) ) $.
    spacis.6 $e |- ( M e. NC -> ps ) $.
    spacis.7 $e |-
       ( ( ( M e. NC /\ y e. ( Sp[ac] ` M ) ) /\ ( ( y ^c 0c ) e. NC /\ ch ) )
          -> th ) $.
    $( Induction scheme for the special set generator. $)
    spacis $p |- ( ( M e. NC /\ N e. ( Sp[ac] ` M ) ) -> ta ) $=
      ( cncs wcel wa cce cspac cfv cab cvv cv c0c co c2c wral wss id1 a1i elabg
      wi mpbird ancom elab anbi2i bitri ovex sylibr ex syl5bi ralrimiva spacind
      vex syl22anc sselda wb adantl mpbid ) HQRZIHUAUBZRZSIAFUCZRZEVLVMVOIVLVLV
      OUDRZHVORZGUEZVORZVSUFTUGQRZSZUHVSTUGZVORZUNZGVMUIVMVOUJVLUKVQVLJULVLVRBO
      ABFHQKUMUOVLWEGVMWBWACSZVLVSVMRSZWDWBWAVTSWFVTWAUPVTCWAACFVSGVFLUQURUSWGW
      FWDWGWFSDWDPADFWCUHVSTUTMUQVAVBVCVDGVOHUDVEVGVHVNVPEVIVLAEFIVMNUMVJVK $.
      $( [13-Mar-2015] $)
  $}

  ${
    $d A n $.
    $( Lemma for ~ nchoice .  A finite cardinal is not one more than its
       T-raising. $)
    nchoicelem1 $p |- ( A e. Nn -> -. A = ( T_c A +c 1c ) ) $=
      ( vn cnnc wcel cplc wceq c1c c2c ctc syl2anc cncs nnnc syl addceq1d eqtrd
      wn tcdi mtbird tceq addcass cv w3o wrex nncdiv3 nntccl nnc3n3p1 nncaddccl
      id1 anidms eqeq2d id eqeq12d notbid syl5ibrcom 1cnc sylancl a1i addceq12d
      tc1c peano2 suc11nnc nnc3n3p2 2nnc eqcomd addceq2i 1p1e2c eqtr2i addceq1i
      wb addccom 3eqtr3i 3eqtr4i addc4 ax-mp ncaddccl eqeq1d eqcom sylnib 3jaod
      3eqtr3g rexlimiv ) ACDABUAZWBEZWBEZFZAWDGEZFZAWDHEZFZUBZBCUCAAIZGEZFZPZAB
      UDWJWNBCWBCDZWEWNWGWIWOWNWEWDWDIZGEZFZPWOWRWDWBIZWSEZWSEZGEZFZWOWOWSCDXCP
      WOUHZWBUEWBWSUFJZWOWQXBWDWOWPXAGWOWPWCIZWSEZXAWOWCKDZWBKDZWPXGFWOWCCDZXHW
      OXJWBWBUGUIZWCLMWBLZWCWBQJWOXFWTWSWOXIXIXFWTFXLXLWBWBQJNOZNUJRWEWMWRWEAWD
      WLWQWEUKWEWKWPGAWDSNULUMUNWOWNWGWFWFIZGEZFZPWOXPWDXNFZWOXQXCXEWOXNXBWDWOX
      NWPGIZEZXBWOWDKDZGKDZXNXSFWOWDCDZXTWOXJWOYBXKXDWCWBUGJZWDLMUOWDGQUPWOWPXA
      XRGXMXRGFWOUSUQUROUJRWOYBXNCDZXPXQVIYCWOWFCDZYDWOYBYEYCWDUTMWFUEMWDXNVAJR
      WGWMXPWGAWFWLXOWGUKWGWKXNGAWFSNULUMUNWOWNWIWHWHIZGEZFZPWOYGWHFZYHWOYIWBGE
      ZIZYKEZYKEZWHFZWOYKCDZWOYNPWOYJCDZYOWBUTZYJUEMXDYKWBVBJWOYGYMWHWOYGYJYJEZ
      YJEZIZYMWOYFXREZWHGEZIZYGYTWOUUCUUAWOWHKDZYAUUCUUAFWOWHCDZUUDWOYBHCDUUEYC
      VCWDHUGUPWHLMUOWHGQUPVDXRGYFUSVEUUBYSFUUCYTFWDHGEZEZWCGGEZEZYJEZUUBYSWCWB
      UUFEZEWCUUHYJEZEUUGUUJUUKUULWCWBHEZGEUUHWBEZGEUUKUULUUMUUNGUUNWBUUHEUUMUU
      HWBVJUUHHWBVFVEVGVHWBHGTUUHWBGTVKVEWCWBUUFTWCUUHYJTVLWDHGTYRUUIYJWBGWBGVM
      VHVLUUBYSSVNVTWOYTYRIZYKEZYMWOYRKDZYJKDZYTUUPFWOUURUURUUQWOYPUURYQYJLMZUU
      SYJYJVOJUUSYRYJQJWOUUOYLYKWOUURUURUUOYLFUUSUUSYJYJQJNOOVPRYGWHVQVRWIWMYHW
      IAWHWLYGWIUKWIWKYFGAWHSNULUMUNVSWAM $.
      $( [3-Mar-2015] $)
  $}

  ${
    $d A n $.
    $( Lemma for ~ nchoice .  A finite cardinal is not two more than its
       T-raising. $)
    nchoicelem2 $p |- ( A e. Nn -> -. A = ( T_c A +c 2c ) ) $=
      ( vn cnnc wcel cplc wceq c1c c2c ctc wn nntccl syl2anc cncs nncaddccl syl
      tcdi addceq1d mtbird sylancl addceq2i cv w3o wrex nncdiv3 nnc3n3p2 anidms
      id1 nnnc eqtrd eqeq2d tceq eqeq12d notbid syl5ibrcom 2nnc suc11nnc addc32
      id tc1c eqtri eqeq2i sylnibr 1cnc peano2 nnc3p1n3p2 eqcom addceq1i 1p1e2c
      wb addcass addc4 tc2c 3eqtr4i addceq12i 3eqtr3ri syl6eq addceq12d 3eqtr4a
      2nc 3jaod rexlimiv ) ACDABUAZWBEZWBEZFZAWDGEZFZAWDHEZFZUBZBCUCAAIZHEZFZJZ
      ABUDWJWNBCWBCDZWEWNWGWIWOWNWEWDWDIZHEZFZJWOWRWDWBIZWSEZWSEZHEZFZWOWOWSCDX
      CJWOUGZWBKWBWSUELWOWQXBWDWOWPXAHWOWPWCIZWSEZXAWOWCMDZWBMDZWPXFFWOWCCDZXGW
      OXIWBWBNUFZWCUHOWBUHZWCWBPLWOXEWTWSWOXHXHXEWTFXKXKWBWBPLQUIZQUJRZWEWMWRWE
      AWDWLWQWEURWEWKWPHAWDUKQULUMUNWOWNWGWFWFIZHEZFZJWOXPWFWPGIZEZHEZFZWOWFWQG
      EZFZXTWOYBWRXMWOWDCDZWQCDZYBWRVIWOXIWOYCXJXDWCWBNLZWOWPCDZHCDYDWOYCYFYEWD
      KOUOWPHNSWDWQUPLRXSYAWFXSWQXQEYAWPXQHUQXQGWQUSTUTVAVBWOXOXSWFWOXNXRHWOWDM
      DZGMDZXNXRFWOYCYGYEWDUHOZVCWDGPSQUJRWGWMXPWGAWFWLXOWGURWGWKXNHAWFUKQULUMU
      NWOWNWIWHWHIZHEZFZJWOYLWHWBGEZIZYNEZYNEZGEZFZWOYQWHFZYRWOYNCDZWOYSJWOYMCD
      YTWBVDYMKOXDYNWBVELWHYQVFVBWOYKYQWHWOXAHIZEZHEZWSGEZUUDEZUUDEZGEZYKYQUUEW
      SEZGEZGEUUHGGEZEUUGUUCUUHGGVJUUIUUFGUUEWSGVJVGUUHUUBUUJHUUHWTUUAEZWSEUUBU
      UEUUKWSWTUUJEWTHEUUEUUKUUJHWTVHTWSGWSGVKUUAHWTVLTVMVGWTUUAWSUQUTVHVNVOWOY
      JUUBHWOYJWPUUAEZUUBWOYGHMDYJUULFYIVSWDHPSWOWPXAUUAXLQUIQWOYPUUFGWOYOUUEYN
      UUDWOYNUUDYNUUDWOYNWSXQEZUUDWOXHYHYNUUMFXKVCWBGPSXQGWSUSTVPZUUNVQUUNVQQVR
      UJRWIWMYLWIAWHWLYKWIURWIWKYJHAWHUKQULUMUNVTWAO $.
      $( [12-Mar-2015] $)
  $}

  ${
    $d M p $.  $d M x $.  $d M y $.  $d p x $.  $d p y $.  $d x y $.
    $( Lemma for ~ nchoice .  Compute the value of ` Sp[ac] ` when the argument
       is not exponentiable.  Theorem 6.2 of {{Specker}}. $)
    nchoicelem3 $p |- ( ( M e. NC /\ -. ( M ^c 0c ) e. NC ) ->
        ( Sp[ac] ` M ) = { M } ) $=
      ( vx vy vp cncs wcel c0c cce co wn wa cspac cfv cv c2c wceq w3a cvv eleq1
      eqid csn copab cclos1 spacval adantr cima c0 wbr cop elimasn df-br bitr4i
      wb vex oveq2 eqeq2d 3anbi13d weq eqeq1 3anbi23d brabg mpan2 biimpac ceclr
      2nc simprd mp3an1 sylan2 3impb syl6bi syl5bi con3d imp eq0rdv spacvallem1
      snex clos1nrel syl eqtrd ) AEFZAGHIEFZJZKZALMZAUAZBNZEFZCNZEFZWHOWFHIZPZQ
      ZBCUBZUCZWEVTWDWNPWBBCAUDUEWCWMWEUFZUGPWNWEPWCDWOVTWBDNZWOFZJVTWQWAWQAWPW
      MUHZVTWAWQAWPUIWMFWRWMAWPUJAWPWMUKULVTWRVTWPEFZWPOAHIZPZQZWAVTWPRFWRXBUMD
      UNWLVTWIWHWTPZQXBBCAWPERWMWFAPZWGVTWKXCWIWFAESXDWJWTWHWFAOHUOUPUQCDURWIWS
      XCXAVTWHWPESWHWPWTUSUTWMTVAVBVTWSXAWAWSXAKVTWTEFZWAXAWSXEWPWTESVCOEFZVTXE
      WAVEXFVTXEQOGHIEFWAOAVDVFVGVHVIVJVKVLVMVNWNWMWEAVPBCVOWNTVQVRVS $.
      $( [13-Mar-2015] $)
  $}

  ${
    $d M n $.  $d M p $.  $d n p $.  $d N p $.
    $( Lemma for ~ nchoice .  The initial value of ` Sp[ac] ` is a minimum
       value.  Theorem 6.4 of {{Specker}}. $)
    nchoicelem4 $p |- ( ( M e. NC /\ N e. ( Sp[ac] ` M ) ) ->
       M <_c N ) $=
      ( vp vn cv clec wbr c2c cce co csn cima cab cvv imasn breq2 cncs wa sylan
      wcel lecex snex imaex eqeltrri nclecid cspac cfv c0c cltc spacssnc sselda
      ce2lt wne brltc simplbi wi simpll adantr cnnc 2nnc ceclnn1 mp3an1 syl3anc
      syl lectr mpan2d impr spacis ) ACEZFGZAAFGADEZFGZAHVKIJZFGZABFGCDABFAKZLV
      JCMNCAFOFVOUAAUBUCUDVIAAFPVIVKAFPVIVMAFPVIBAFPAUEAQTZVKAUFUGZTZRZVKUHIJQT
      ZVLVNVSVTRZVLVKVMFGZVNWAVKVMUIGZWBVSVKQTZVTWCVPVQQVKAUJUKZVKULSWCWBVKVMUM
      VKVMUNUOVDWAVPWDVMQTZVLWBRVNUPVPVRVTUQVSWDVTWEURVSWDVTWFWEHUSTWDVTWFUTHVK
      VAVBSAVKVMVEVCVFVGVH $.
      $( [13-Mar-2015] $)
  $}

  ${
    $( Lemma for ~ nchoice .  A cardinal is not a member of the special set of
       itself raised to two.  Theorem 6.5 of {{Specker}}. $)
    nchoicelem5 $p |- ( ( M e. NC /\ ( M ^c 0c ) e. NC ) ->
       -. M e. ( Sp[ac] ` ( 2c ^c M ) ) ) $=
      ( cncs wcel c0c cce co wa c2c cspac cfv clec wbr wn cltc ce2lt wb jctl c0
      2nc ax-mp cnnc 2nnc ce0nn ce0nulnc mpbi cecl syl2an ltlenlec syldan mpbid
      wne simprd nchoicelem4 sylan mtand ) ABCZADEFBCZGZAHAEFZIJCZUSAKLZURAUSKL
      ZVAMZURAUSNLZVBVCGZAOUPUQUSBCZVDVEPUPHBCZUPGHDEFZBCZUQGVFUQUPVGSQUQVIVHRU
      KZVIHUACVJUBHUCTVGVJVIPSHUDTUEQHAUFUGZAUSUHUIUJULURVFUTVAVKUSAUMUNUO $.
      $( [13-Mar-2015] $)
  $}

  ${
    $d M x $.
    $( Lemma for ~ nchoice .  Split the special set generator into base and
       inductive values.  Theorem 6.6 of {{Specker}}. $)
    nchoicelem6 $p |- ( ( M e. NC /\ ( M ^c 0c ) e. NC ) ->
       ( Sp[ac] ` M ) = ( { M } u. ( Sp[ac] ` ( 2c ^c M ) ) ) ) $=
      ( vx cncs wcel c0c cce co wa cspac cfv c2c cvv wi wral wss fvex adantr wo
      a1i spaccl csn cun cv simpl snex unex ssun1 snidg sseldi wceq elun orbi1i
      vex elsn bitri spacssnc spacid simpr syl3anc sseldd syl eleq1d syl5ibrcom
      oveq2 cnnc 2nnc ceclnn1 mp3an1 simprr simprl expr jaod syl5bi com23 imp3a
      ssun2 sseli syl6 ralrimivw spacind syl22anc snssg mpbid 3expib unss sylib
      ex jca eqssd ) ACDZAEFGCDZHZAIJZAUAZKAFGZIJZUBZWLWJWQLDZAWQDZBUCZWQDZWTEF
      GCDZHZKWTFGZWQDZMZBWMNWMWQOWJWKUDZWRWLWNWPAUEWOIPUFSWJWSWKWJWNWQAWNWPUGAC
      UHUIQWLXFBWMWLXCXDWPDZXEWLXAXBXHWLXBXAXHWLXBXAXHMXAWTAUJZWTWPDZRZWLXBHZXH
      XAWTWNDZXJRXKWTWNWPUKXMXIXJWTABUMUNULUOXLXIXHXJWLXIXHMXBWLXHXIWOWPDZWLWOC
      DZXNWLWMCWOWJWMCOWKAUPQWLWJAWMDZWKWOWMDZXGWJXPWKAUQZQWJWKURAATUSZUTZWOUQV
      AXIXDWOWPWTAKFVDVBVCQWLXBXJXHWLXBXJHZHXOXJXBXHWLXOYAKVEDWJWKXOVFKAVGVHQWL
      XBXJVIWLXBXJVJWOWTTUSVKVLVMWGVNVOWPWQXDWPWNVPVQVRVSBWQALVTWAWLWNWMOZWPWMO
      ZHWQWMOWLYBYCWJYBWKWJXPYBXRAWMCWBWCQWLXOWMLDZXQWTWMDZXBHXDWMDZMZBWPNYCXTY
      DWLAIPSXSWLYGBWPWJYGWKWJYEXBYFAWTTWDQVSBWMWOLVTWAWHWNWPWMWEWFWI $.
      $( [13-Mar-2015] $)
  $}

  $( Lemma for ~ nchoice .  Calculate the cardinality of a special set
     generator.  Theorem 6.7 of {{Specker}}. $)
  nchoicelem7 $p |- ( ( M e. NC /\ ( M ^c 0c ) e. NC ) ->
     Nc ( Sp[ac] ` M ) = ( Nc ( Sp[ac] ` ( 2c ^c M ) ) +c 1c ) ) $=
    ( cncs wcel c0c cce co cspac cfv cnc csn c2c cun c1c cplc nchoicelem6 nceqd
    wa cin c0 wceq incom wn nchoicelem5 disjsn sylibr syl5eq snex fvex ncdisjun
    syl df1c3g addceq1d adantr eqtr4d addccom syl6eq eqtrd ) ABCZADEFBCZQZAGHZI
    AJZKAEFZGHZLZIZVDIZMNZUTVAVEAOPUTVFMVGNZVHUTVFVBIZVGNZVIUTVBVDRZSTVFVKTUTVL
    VDVBRZSVBVDUAUTAVDCUBVMSTAUCVDAUDUEUFVBVDAUGVCGUHUIUJURVIVKTUSURMVJVGABUKUL
    UMUNMVGUOUPUQ $.
    $( [13-Mar-2015] $)


  ${
    $d M x $.  $d x y $.  $d x z $.  $d y z $.  $d M n $.  $d n x $.  $d p q $.
    $d p x $.  $d q x $.  $d f g $.  $d f p $.  $d f q $.  $d f x $.  $d f y $.
    $d g p $.  $d g q $.  $d g x $.  $d g y $.  $d M y $.  $d p y $.  $d q y $.
    $d a x $.  $d a y $.
    $( Lemma for ~ nchoice .  An anti-closure condition for cardinal
       exponentiation to zero.  Theorem 4.5 of {{Specker}}. $)
    nchoicelem8 $p |- ( ( <_c We NC /\ M e. NC ) ->
           ( -. ( M ^c 0c ) e. NC <-> Nc 1c <c M ) ) $=
      ( clec cncs cwe wbr wcel wa wn c1c cstrict cfound cin breqi brin cpartial
      bitri simprbi adantr a1i cantisym c0c cce cnc cltc ce0lenc1 notbid adantl
      co wb cconnex wo df-we sopc sylbi simpl simpr 1cex ncelncsi connexd sylan
      wne ord wi wceq nclecid ax-mp syl6eqbrr necon3bi jcad simplbi cref ctrans
      id df-partial 3syl simplr simprl simprr antid expr necon3ad expimpd brltc
      impbid syl6bbr bitrd ) BCDEZACFZGZAUAUBUHCFZHZAIUCZBEZHZWLAUDEZWHWKWNUIWG
      WHWJWMAUEUFUGWIWNWLABEZWLAVAZGZWOWIWNWRWIWNWPWQWIWMWPWGBCUJEZWHWMWPUKWGBC
      JEZBCKEZGZWSWGBCJKLZEXBBCDXCULMBCJKNPZWTWSXAWTBCOEZWSCBUMZQRUNWSWHGZCBAWL
      WSWHUOWSWHUPWLCFZXGIUQURZSUSUTVBWNWQVCWIWMWLAWLAVDZAWLWLBXJVMXHWLWLBEXIWL
      VEVFVGVHSVIWIWPWQWNWIWPGWMWLAWIWPWMXJWIWPWMGZGZCBWLAWIBCTEZXKWGXMWHWGWTXE
      XMWGWTXAXDVJWTXEWSXFVJXEBCVKVLLZEZXMXEBCXNTLZEXOXMGBCOXPVNMBCXNTNPQVORRXH
      XLXISWGWHXKVPWIWPWMVQWIWPWMVRVSVTWAWBWDWLAWCWEWF $.
      $( [18-Mar-2015] $)
  $}

  ${
    $( Lemma for ~ nchoice .  Calculate the cardinality of the special set
       generator when near the end of raisability.  Theorem 6.8 of
       {{Specker}}. $)
    nchoicelem9 $p |- ( ( <_c We NC /\ M e. NC /\ -. ( M ^c 0c ) e. NC ) ->
       ( Nc ( Sp[ac] ` T_c M ) = 2c \/ Nc ( Sp[ac] ` T_c M ) = 3c ) ) $=
      ( clec cncs wbr wcel c0c cce co wn cspac cfv cnc c2c wceq c3c wo c1c cplc
      wa wb cwe ctc cltc wne brltc simplbi 1cex ncelncsi tlecg mpan adantl cpw1
      tcnc1c breq1i wi tccl pw1ex w3a ce2le ex mp3an1 syl2anc ce2ncpw11c orbi1i
      te0c orc pm2.1 df-ne mpbir ordir mpbiran2 bitri sylibr nchoicelem8 sylan2
      ce2t csn nchoicelem3 nceqd ovex df1c3 syl6eqr sylbird nclecid ax-mp ce2lt
      ce0lenc1 mp2an cnnc 2nnc ceclnn1 mp3an mpbiri addceq1d nchoicelem7 1p1e2c
      syl mpan2 eqcomi 3eqtr4g eqeq1d syl5ibcom adantr orim12d syl5 syl5bi syld
      fveq2 sylbid addceq1 orim12i syl56 eqeq12d 2p1e3c orbi12d 3imtr4d 3impia
      a1i ) BCUADZACEZAFGHCEIZAUBZJKLZMNZYCONZPZXSXTSZQLZAUCDZMYBGHZJKZLZQRZQQR
      ZNZYMMQRZNZPZYAYFYIYHABDZYGYLQNZYLMNZPZYRYIYSYHAUDYHAUEUFYGYSYHUBZYBBDZUU
      BXTYSUUDTZXSYHCEZXTUUEQUGUHZYHAUIUJUKUUDQULZLZYBBDZYGUUBUUCUUIYBBUMUNYGUU
      JMUUIGHZYJBDZUUBXTUUJUULUOZXSXTYBCEZYBFGHCEZUUMAUPZAVEZUUICEZUUNUUOUUMUUH
      QUGUQUHUURUUNUUOURUUJUULUUIYBUSUTVAVBUKUULYHYJBDZYGUUBUUKYHYJBVCUNUUSYHYJ
      UCDZYHYJNZPZYGUUBUUSUUSUVAPZUVBUUSUVAVFUVBUUSYHYJUDZSZUVAPZUVCUUTUVEUVAYH
      YJUEVDUVFUVCUVDUVAPZUVGUVAIZUVAPUVAVGUVDUVHUVAYHYJVHVDVIUUSUVDUVAVJVKVLVM
      YGUUTYTUVAUUAYGUUTYJFGHCEIZYTXTXSYJCEZUVIUUTTAVPZYJVNVOXTUVIYTUOZXSXTUVJU
      VLUVKUVJUVIYTUVJUVISZYLYJVQZLQUVMYKUVNYJVRVSYJMYBGVTWAWBUTWQUKWCXSUVAUUAU
      OXTXSYHJKZLZMNUVAUUAXSMYHGHZJKZLZQRZYNUVPMXSUVSQQXSUVQFGHCEIZUVSQNZXSUWAY
      HUVQUCDZUUFYHFGHCEZUWCUUGUWDYHYHBDZUUFUWEUUGYHWDWEUUFUWDUWETUUGYHWGWEVIZY
      HWFWHXSUVQCEZUWAUWCTMWIEUUFUWDUWGWJUUGUWFMYHWKWLZUVQVNWRWMUWGUWAUWBUWHUWG
      UWASZUVSUVQVQZLQUWIUVRUWJUVQVRVSUVQMYHGVTWAWBUJWQWNUUFUWDUVPUVTNUUGUWFYHW
      OWHYNMWPWSZWTUVAUVPYLMUVAUVOYKYHYJJXHVSXAXBXCXDXEXFXGXFXIYTYOUUAYQYLQQXJY
      LMQXJXKXLAVNXTYFYRTXSXTYDYOYEYQXTYCYMMYNXTUUNUUOYCYMNUUPUUQYBWOVBZMYNNXTU
      WKXRXMXTYCYMOYPUWLOYPNXTYPOXNWSXRXMXOUKXPXQ $.
      $( [18-Mar-2015] $)
  $}

  ${
    $d c y $.  $d S t $.  $d S y $.  $d S z $.  $d t z $.  $d X y $.  $d X z $.
    $d y z $.
    nchoicelem10.1 $e |- S e. _V $.
    nchoicelem10.2 $e |- X e. _V $.
    $( Lemma for ~ nchoice .  Stratification helper lemma. $)
    nchoicelem10 $p |- ( <. c , X >. e. ~ ( ( Ins3 SSet (+) Ins2 ~ ran ( `' ~
                     SSet (x) ( `' SSet |` Fix ( SSet o. Image S ) ) ) ) " 1c )
        <-> c = Clos1 ( X , S ) ) $=
      ( vy vz vt csset cv wcel wn wss wa wbr wex vex 3bitri bitri anbi12i trtxp
      cclos1 ccompl ccnv cimage ccom cfix cres ctxp crn csn cop cima wel wi wal
      elrn brcnv df-br snex opex elcompl opelssetsn xchbinx brres elfix brimage
      wceq brco exbii imaex sseq1 ceqsexv ancom annim exnal 3bitrri con1bii cab
      brsset cint df-clos1 eleq2i elintab 3bitr4i releqel ) CFBAUBZIUCZUDZIUDZI
      AUEZUFZUGZUHZUIZUJZUCZBEFJZUKZBULZWPKZLBGJZMZAXBUMZXBMZNZFGUNZUOZGUPZWTWQ
      KWRWGKZXIXAXAXBWTWOOZGPXHLZGPXILGWTWOUQXKXLGXKXBWSWIOZXBBWNOZNZXFXGLZNZXL
      XBWSBWIWNUAXOXPXFNXQXMXPXNXFXMWSXBWHOWSXBULZWHKZXPXBWSWHURWSXBWHUSXSXRIKX
      GXRIWSXBWRUTZGQZVAVBWRXBFQZYAVCVDRXNXBBWJOZXBWMKZNXFXBBWJWMVEYCXCYDXEYCBX
      BIOXCXBBIURBXBEYAVTSYDXBXBWLOZXEXBWLVFYEXBHJZWKOZYFXBIOZNZHPYFXDVHZYFXBMZ
      NZHPXEHXBXBIWKVIYIYLHYGYJYHYKXBYFAYAHQZVGYFXBYMYAVTTVJYKXEHXDAXBDYAVKYFXD
      XBVLVMRSTSTXPXFVNSXFXGVORVJXHGVPVQVRWTWPWSBXTEVAVBXJWRXFGVSWAZKXIWGYNWRAB
      GWBWCXFGWRYBWDSWEWF $.
      $( [18-Mar-2015] $)
  $}

  ${
    $d a b $.  $d a m $.  $d a t $.  $d a u $.  $d a x $.  $d a y $.  $d b m $.
    $d b t $.  $d b u $.  $d b x $.  $d b y $.  $d m t $.  $d m u $.  $d m x $.
    $d m y $.  $d t u $.  $d t x $.  $d t y $.  $d u x $.  $d u y $.  $d x y $.
    $( Lemma for ~ nchoice .  Set up stratification for ~ nchoicelem12 . $)
    nchoicelem11 $p |- { t | A. m e. NC ( t = Nc ( Sp[ac] `
             T_c m ) -> Nc ( Sp[ac] ` m ) e. Nn ) } e. _V $=
      ( vu va vb cncs cvv csset cv wcel wceq cfin wn csn wa wex wbr bitri exbii
      snex vx vy cxp cins3 ccompl ccnv c2c cce co w3a copab ccom cfix cres ctxp
      crn cins2 csymdif c1c cima csi cin ctcfn cpw1 cdif ctc cspac cfv cnc cnnc
      cimage wi wral cab vex elcompl wrex cop elimapw13 cclos1 tccl spacval syl
      nceqd eqeq2d finnc eleq1d syl5bbr notbid eldif opelco anbi1i 19.41v excom
      imbi12d brsnsi1 bicomi anass breq1 anbi2d bitr4i sneq breq1d brtcfn df-br
      ceqsexv opelcnv elin opelxp mpbiran2 wel ancom brsnsi2 breq2 nchoicelem10
      spacvallem1 brcnv brssetsn anbi12i df-clel 3bitr4i clos1ex eqnc2 clos1eq1
      tcex rexbii snelpw1 elima risset notbii ncsex vvex xpex ssetex cnvex coex
      complex imaex siex pw1ex annim 3bitri rexbiia rexnal bitr2i abbi2i ins3ex
      syl6rbbr con1bii imageex fixex resex txpex rnex ins2ex symdifex 1cex inex
      tcfnex finex difex eqeltrri ) FGUCZHUDZHUEZUFZHUFZHUAIZFJUBIZFJUVIUGUVHUH
      UIKUJUAUBUKZVKZULZUMZUNZUOZUPZUEZUQZURZUSUTZUEZVAZUVGULZVBZUFZVCVAZVAZULZ
      UWALUTZVDZVDZGUCZVEZFVDZVDZVDZUTZUEZAIZBIZVFZVGVHZVIZKZUWTVGVHZVIVJJZVLZB
      FVMZAVNGUXHAUWRUWSUWRJUWSUWQJZMUXHUWSUWQAVOZVPUXHUXIUXIUXGMZBFVQZUXHMUXIU
      WTNZNZNZUWSVRZUWMJZBFVQUXLBUWSUWMFVSUXQUXKBFUWTFJZUXKUWSUXANZUVJVTZVIZKZU
      XMUVJVTZLJZVLZMZUXQUXRUXGUYEUXRUXDUYBUXFUYDUXRUXCUYAUWSUXRUXBUXTUXRUXAFJU
      XBUXTKUWTWAUAUBUXAWBWCWDWEUXFUXELJUXRUYDUXEWFUXRUXEUYCLUAUBUWTWBWGWHWOWIU
      XQUXPUWHJZUXPUWLJZMZOUYBUYDMZOUYFUXPUWHUWLWJUYGUYBUYIUYJUYGCIZUXAKZUWSUYK
      NZUVJVTZVIZKZOZCPZUYBUYGUXMUYKVCQZUYMNZUWSUWEQZOZCPZUYRUYGUXODIZUWGQZVUDU
      WSUWEQZOZDPZVUCDUXOUWSUWEUWGWKVUHVUDEIZNZKZUXNVUIUWFQZOZVUFOZEPZDPZVUCVUG
      VUODVUGVUMEPZVUFOZVUOVUEVUQVUFEUXNVUDUWFUXMTWPWLVUOVURVUMVUFEWMWQRSVUPVUN
      DPZEPZVUCVUNDEWNVUTVULVUJUWSUWEQZOZEPZVUCVUSVVBEVUSVUKVULVUFOZOZDPVVBVUNV
      VEDVUKVULVUFWRSVVDVVBDVUJVUITVUKVUFVVAVULVUDVUJUWSUWEWSWTXFRSVVCVUIUYMKZU
      YSOZVVAOZCPZEPZVUCVVBVVIEVVBVVGCPZVVAOVVIVULVVKVVACUXMVUIVCUWTTZWPWLVVGVV
      ACWMXASVVJVVHEPZCPVUCVVHECWNVVMVUBCVVMVVFUYSVVAOZOZEPVUBVVHVVOEVVFUYSVVAW
      RSVVNVUBEUYMUYKTZVVFVVAVUAUYSVVFVUJUYTUWSUWEVUIUYMXBXCWTXFRSRRRRRRVUBUYQC
      UYSUYLVUAUYPUWTUYKBVOXDVUAUWSFJZUYNUWSJZOZUYPVUAUYTUWSVRUWEJZVVSUYTUWSUWE
      XEVVTUWSUYTVRZUWDJZVVSUYTUWSUWDXGVWBVWAUVCJZVWAUWCJZOVVSVWAUVCUWCXHVWCVVQ
      VWDVVRVWCVVQUYTGJUYMTUWSUYTFGXIXJUWSVUIUVGQZVUIUYTUWBQZOZEPZVUDUYNKZDAXKZ
      OZDPZVWDVVRVWHVUIVUDNZKZVUDUYMUWAQZOZVWEOZEPZDPZVWLVWHVWQDPZEPVWSVWGVWTEV
      WGVWPDPZVWEOZVWTVWGVWFVWEOVXBVWEVWFXLVWFVXAVWEDUYMVUIUWAVVPXMWLRVWPVWEDWM
      XASVWQEDWNRVWRVWKDVWRVWOUWSVWMUVGQZOZVWKVWRVWNVWOVWEOZOZEPVXDVWQVXFEVWNVW
      OVWEWRSVXEVXDEVWMVUDTVWNVWEVXCVWOVUIVWMUWSUVGXNWTXFRVWOVWIVXCVWJVWOVUDUYM
      VRUWAJVWIVUDUYMUWAXEUVJUYMDUAUBXPZVVPXORVXCVWMUWSHQVWJUWSVWMHXQVUDUWSDVOU
      XJXRRXSRSREUWSUYTUWBUVGWKDUYNUWSXTYAXSRRRUWSUYNUVJUYMVVPVXGYBYCXAXSSRUYPU
      YBCUXAUWTYEUYLUYOUYAUWSUYLUYNUXTUYLUYMUXSKUYNUXTKUYKUXAXBUVJUYMUXSYDWCWDW
      EXFRUYHUYDVUDUXMUWAQZDLVQZVUDUYCKZDLVQUYHUYDVXHVXJDLVXHVUDUXMVRUWAJVXJVUD
      UXMUWAXEUVJUXMDVXGVVLXORYFUYHUXOUWKJZVXIUYHVXKUWSGJUXJUXOUWSUWKGXIXJVXKUX
      NUWJJZVXIUXNUWJYGVXLUXMUWIJVXIUXMUWIYGDUXMUWALYHRRRDUYCLYIYAYJXSUYBUYDUUA
      UUBUUHUUCRUXGBFUUDUUEUUIRUUFUWQUWMUWPUWHUWLUWEUWGUWDUVCUWCFGYKYLYMUWBUVGU
      WAUVTUVSUSUVDUVRHYNUUGUVQUVPUVOUVFUVNUVEHYNYQYOUVGUVMHYNYOZUVLHUVKYNUVJVX
      GUUJYPUUKUULUUMUUNYQUUOUUPUUQYRYQZYSVXMYPUURYOUWFVCUUSYSYSYPUWKGUWJUWIUWA
      LVXNUUTYRYTYTYLYMUVAUWOUWNFYKYTYTYTYRYQUVB $.
      $( [18-Mar-2015] $)
  $}

  ${
    $d M m $.  $d m t $.  $d m x $.  $d M x $.  $d k m $.  $d k n $.  $d k t $.
    $d m n $.  $d n t $.  $d t x $.
    $( Lemma for ~ nchoice .  If the T-raising of a cardinal yields a finite
       special set, then so does the initial set.  Theorem 7.1 of
       {{Specker}}. $)
    nchoicelem12 $p |- ( ( M e. NC /\ ( Sp[ac] ` T_c M ) e. Fin ) ->
        ( Sp[ac] ` M ) e. Fin ) $=
      ( vx vm vt vk cspac cfv wcel cncs cv cnc wceq cnnc wi c0c nceqd cce co wa
      wral ctc cfin wrex finnc risset bitri c1c cplc nchoicelem11 eqeq1 ralbidv
      imbi1d weq tceq fveq2d eqeq2d fveq2 eleq1d imbi12d cbvralv syl6bb wne c2c
      vn wn tccl te0c nchoicelem7 syl2anc 0cnsuc a1i eqnetrd necomd df-ne sylib
      pm2.21d rgen 2nnc ceclnn1 mp3an1 rcla4v syl ancoms adantrl adantl wb nnnc
      adantr fvex ncelncsi peano4nc sylancl tce2 biimprd sylbid imim1d imp syl6
      peano2 sylibrd syld expimpd csn nchoicelem3 df1c3 1cnnc eqeltrri syl6eqel
      ex vex a1d expcom adantld adantrd pm2.61i an32s ralrimiva syl6bbr rcla4cv
      finds com23 rexlimiv sylbi impcom ) AUAZFGZUBHZAIHZAFGZUBHZYGBJZYFKZLZBMU
      CZYHYJNZYGYLMHYNYFUDBYLMUEUFYMYOBMYKMHZYHYMYJYPYKCJZUAZFGZKZLZYQFGZKZMHZN
      ZCITZYHYMYJNZNDJZYTLZUUDNZCITZOYTLZUUDNZCITVDJZYTLZUUDNZCITZUUNUGUHZEJZUA
      ZFGZKZLZUUSFGZKZMHZNZEITZUUFDVDYKDCUIUUHOLZUUJUUMCIUVIUUIUULUUDUUHOYTUJUL
      UKDVDUMZUUJUUPCIUVJUUIUUOUUDUUHUUNYTUJULUKUUHUURLZUUKUURYTLZUUDNZCITUVHUV
      KUUJUVMCIUVKUUIUVLUUDUUHUURYTUJULUKUVMUVGCEICEUMZUVLUVCUUDUVFUVNYTUVBUURU
      VNYSUVAUVNYRUUTFYQUUSUNUOPUPUVNUUCUVEMUVNUUBUVDYQUUSFUQPURUSUTVADBUMZUUJU
      UECIUVOUUIUUAUUDUUHYKYTUJULUKUUMCIYQIHZUULUUDUVPOYTVBUULVEUVPYTOUVPYTVCYR
      QRFGKZUGUHZOUVPYRIHYROQRIHYTUVRLYQVFYQVGYRVHVIUVROVBUVPUVQVJVKVLVMOYTVNVO
      VPVQUUNMHZUUQUVHUVSUUQSUVGEIUVSUUSIHZUUQUVGUUSOQRIHZUVSUVTSZUUQSUVGNUWAUW
      BUUQUVGUWAUWBSZUUQUUNVCUUSQRZUAZFGZKZLZUWDFGZKZMHZNZUVGUWAUVTUUQUWLNZUVSU
      VTUWAUWMUVTUWASUWDIHZUWMVCMHUVTUWAUWNVRVCUUSVSVTUUPUWLCUWDIYQUWDLZUUOUWHU
      UDUWKUWOYTUWGUUNUWOYSUWFUWOYRUWEFYQUWDUNUOPUPUWOUUCUWJMUWOUUBUWIYQUWDFUQP
      URUSWAWBWCWDUWCUWLUVGUWCUWLSZUVCUWJUGUHZMHZUVFUWPUVCUWKUWRUWCUWLUVCUWKNUW
      CUVCUWHUWKUWCUVCUURVCUUTQRZFGZKZUGUHZLZUWHUWCUVBUXBUURUWBUVBUXBLZUWAUVTUX
      DUVSUVTUUTIHUUTOQRIHUXDUUSVFUUSVGUUTVHVIWEWEUPUWCUXCUUNUXALZUWHUWCUUNIHZU
      XAIHUXCUXEWFUWBUXFUWAUVSUXFUVTUUNWGWHWEUWTUWSFWIWJUUNUXAWKWLUWCUWHUXEUWCU
      WGUXAUUNUWCUWFUWTUWCUWEUWSFUWAUVTUWEUWSLZUVSUVTUWAUXGUUSWMWCWDUOPUPWNWOWO
      WPWQUWJWSWRUWPUVEUWQMUWCUVEUWQLZUWLUWAUVTUXHUVSUVTUWAUXHUUSVHWCWDWHURWTXI
      XAXBUWAVEZUWBUVGUUQUXIUVTUVGUVSUVTUXIUVGUVTUXISZUVFUVCUXJUVEUUSXCZKZMUXJU
      VDUXKUUSXDPUGUXLMUUSEXJXEXFXGXHXKXLXMXNXOXPXQXIXTUUEUUGCAIYQALZUUAYMUUDYJ
      UXMYTYLYKUXMYSYFUXMYRYEFYQAUNUOPUPUXMUUDYIKZMHYJUXMUUCUXNMUXMUUBYIYQAFUQP
      URYIUDXRUSXSWBYAYBYCYD $.
      $( [18-Mar-2015] $)
  $}

  ${
    $d M x $.
    $( Lemma for ~ nchoice .  The cardinality of a special set is at least
       one. $)
    nchoicelem13 $p |- ( M e. NC -> 1c <_c Nc ( Sp[ac] ` M ) ) $=
      ( vx cncs wcel cv cspac cfv wss c1c wrex cnc wbr csn snel1cg spacid snssi
      clec syl sseq1 rcla4ev syl2anc wb 1cnc fvex lenc ax-mp sylibr ) ACDZBEZAF
      GZHZBIJZIUJKQLZUHAMZIDUNUJHZULACNUHAUJDUOAOAUJPRUKUOBUNIUIUNUJSTUAICDUMUL
      UBUCBUJIAFUDUEUFUG $.
      $( [18-Mar-2015] $)
  $}

  ${
    $d M k $.
    $( Lemma for ~ nchoice .  When the special set generator yields a
       singleton, then the cardinal is not raisable. $)
    nchoicelem14 $p |- ( ( M e. NC /\ Nc ( Sp[ac] ` M ) = 1c ) ->
       -. ( M ^c 0c ) e. NC ) $=
      ( vk cncs wcel cspac cfv cnc c1c wceq c0c cce co wn c2c cplc wne c0 bitri
      cin sylibr csn cun nchoicelem5 incom eqeq1i disjsn snex fvex ncdisjun syl
      df1c3g adantr addceq2d addccom syl6reqr clec wbr cnnc 2nnc ceclnn1 mp3an1
      wa nchoicelem13 cv wrex wb 1cnc ncelncsi dflec2 mp2an 0cnsuc neeq1 mpbiri
      eqnetri rexlimivw sylbi 3syl 0cnc peano4nc necon3bii eqnetrd neeq2i df-ne
      addcid2 sylib nchoicelem6 nceqd eqeq1d mtbird ex con2d imp ) ACDZAEFZGZHI
      ZAJKLCDZMWMWQWPWMWQWPMWMWQVBZWPAUAZNAKLZEFZUBZGZHIZWRXCJHOZPZXDMZWRXCWSGZ
      XAGZOZXEWRWSXASZQIZXCXJIWRAXADMZXLAUCXLXAWSSZQIXMXKXNQWSXAUDUEXAAUFRTWSXA
      AUGWTEUHZUIUJWRXJXIHOZXEWRXPXIXHOXJWRHXHXIWMHXHIWQACUKULUMXHXIUNUOWRXIJPZ
      XPXEPWRWTCDZHXIUPUQZXQNURDWMWQXRUSNAUTVAWTVCXSXIHBVDZOZIZBCVEZXQHCDXICDZX
      SYCVFVGXAXOVHZHXIBVIVJYBXQBCYBXQYAJPYAXTHOJHXTUNXTVKVNXIYAJVLVMVOVPVQXPXE
      XIJYDJCDXPXEIXIJIVFYEVRXIJVSVJVTTWAWAXFXCHPXGXEHXCHWDWBXCHWCRWEWRWOXCHWRW
      NXBAWFWGWHWIWJWKWL $.
      $( [19-Mar-2015] $)
  $}

  ${
    $( Lemma for ~ nchoice .  When the special set generator does not yield a
       singleton, then the cardinal is raisable. $)
    nchoicelem15 $p |- ( ( M e. NC /\ 1c <c Nc ( Sp[ac] ` M ) ) ->
       ( M ^c 0c ) e. NC ) $=
      ( cncs wcel c1c cspac cfv cnc cltc wbr c0c cce co clec brltc simprbi wceq
      wne wn wa csn df1c3g adantr nchoicelem3 nceqd eqtr4d ex necon1ad syl5 imp
      ) ABCZDAEFZGZHIZAJKLBCZUMDULQZUJUNUMDULMIUODULNOUJUNDULUJUNRZDULPUJUPSZDA
      TZGZULUJDUSPUPABUAUBUQUKURAUCUDUEUFUGUHUI $.
      $( [19-Mar-2015] $)
  $}

  ${
    $d m n $.  $d m t $.  $d m u $.  $d m v $.  $d m x $.  $d m y $.  $d n t $.
    $d n u $.  $d n v $.  $d n x $.  $d n y $.  $d t u $.  $d t v $.  $d t x $.
    $d t y $.  $d u v $.  $d u x $.  $d u y $.  $d v x $.  $d v y $.  $d x y $.
    $( Lemma for ~ nchoice .  Set up stratification for ~ nchoicelem17 . $)
    nchoicelem16 $p |- { t |
( <_c We NC -> A. m e. NC ( Nc ( Sp[ac] ` m ) = ( 1c +c t ) -> ( ( Sp[ac] ` T_c
m ) e. Fin /\ ( Nc ( Sp[ac] ` T_c m ) = ( T_c Nc ( Sp[ac] ` m ) +c 1c ) \/ Nc (
             Sp[ac] ` T_c m ) = ( T_c Nc ( Sp[ac] ` m ) +c 2c ) ) ) ) ) } e. _V
        $=
      ( vu vv cncs wbr ccnv c1c caddcfn csset wcel c2c wceq cop wex exbii bitri
      wa 3bitri cnvex vx vy vn clec cwe cab c2nd c1st csn cima cres ccom ccompl
      wn cins3 cv cce co w3a copab cimage cfix ctxp csi ctcfn cun cnnc cpw1 cfv
      cspac cnc cplc ctc cfin wo wral vex snex wrex cclos1 spacval nceqd eqeq1d
      wi syl eleq1d orbi12d anbi12d notbid opelcnv opelco brsnsi1 anbi1i 19.41v
      opsnelsi bitr4i excom anass breq1 anbi2d ceqsexv brcnv df-br nchoicelem10
      wel brssetsn anbi12i clos1ex eleq1 ancom eqcom eqnc2 brtcfn brco eliniseg
      brres anbi2i 1cex op1st2nd braddcfn addceq1 eqeq2d syl6bbr eqeq1 addceq1d
      opex tcex 2ndex 1stex imaex resex addcfnex coex ssetex complex txpex siex
      ncsex unex pw1ex crn cins2 csymdif cdif cuni1 cvv elima3 eluni1 elimapw13
      unab elcompl eldif opelres spacvallem1 elimapw11c oteltxp 3bitr2i df-clel
      tccl brun 2nc elexi orbi12i ncex finnc sneq clos1eq1 notbii syl6rbbr tceq
      pm5.32i rexbiia 3bitrri con1bii addcex eqeq2 imbi1d ralbidv abbi2i uneq2i
      rexanali imor abbii 3eqtr4i abexv ins3ex imageex fixex rnex ins2ex tcfnex
      symdifex nncex difex uni1ex eqeltrri ) UDEUEFZUNZAUFZUGUHGZHUIZUJZUKZIGZU
      LZJJUOZJUMZGZJGZJUAUPZEKUBUPZEKUXKLUXJUQURMUSUAUBUTZVAZULZVBZUKZVCZUUAZUM
      ZUUBZUUCZHUJZUMZGZVDZULZGZEUKZGZVDZVEGZVDZVDZUYKIUHUGGZUXAUJZUKZGZULZIUHU
      YNLUIZUJZUKZGZULZVFZGZULZVGUKZUYIULZVCZHVHZUJZUUDZEVHZVHZVHZUJZUMZUUEZUJZ
      VFZUWQBUPZVJVIZVKZHAUPZVLZMZVVAVMZVJVIZVNKZVVHVKZVVCVMZHVLZMZVVJVVKLVLZMZ
      VOZRZWDZBEVPZWDZAUFZUUFUWSVVSAUFZVFUWRVVSVOZAUFVUTVWAUWRVVSAUUJVUSVWBUWSV
      VSAVUSVVDVUSKCUPZVURKZVWDVVDNUXEKZRZCOVWDVVEMZVVCVWDMZVVQWDZBEVPZRZCOVVSC
      VVDUXEVURUUGVWGVWLCVWGVWKVWHRVWLVWEVWKVWFVWHVWEVWDUIZVUQKVWMVUPKZUNVWKVWD
      VUQCVQZUUHVWMVUPVWDVRUUKVWKVWNVWNVVAUIZUIZUIZVWMNZVULKZBEVSVWIVVQUNZRZBEV
      SVWKUNBVWMVULEUUIVWTVXBBEVVAEKZVWTVWIVVIVVJVWDVMZHVLZMZVVJVXDLVLZMZVOZRZU
      NZRZVXBVXCVXLVWPUXLVTZVKZVWDMZVVGUIZUXLVTZVNKZVXQVKZVXEMZVXSVXGMZVOZRZUNZ
      RZVWTVXCVWIVXOVXKVYDVXCVVCVXNVWDVXCVVBVXMUAUBVVAWAWBWCVXCVXJVYCVXCVVIVXRV
      XIVYBVXCVVHVXQVNVXCVVGEKVVHVXQMVVAUUSUAUBVVGWAWEZWFVXCVXFVXTVXHVYAVXCVVJV
      XSVXEVXCVVHVXQVYFWBZWCVXCVVJVXSVXGVYGWCWGWHWIWHVWTVWSUYJKZVWSVUKKZUNZRVYE
      VWSUYJVUKUULVYHVXOVYJVYDVYHVWDEKZVXMVWDKZRZVXOVYHVWQVWDNZUYIKVWDVWQNZUYHK
      ZVYMVWQVWDUYIVWPVRZVWOWOVWQVWDUYHWJVYPVYOUYGKZVYKRVYLVYKRVYMVWDVWQUYGEUUM
      VYRVYLVYKVYRVYNUYFKZDUPZVXMMZDCXEZRZDOZVYLVWDVWQUYFWJVYSVWQVVDUYEFZVVDVWD
      JFZRZAOZVVDVYTUIZMZVWPVYTUYDFZRZWUFRZAOZDOZWUDAVWQVWDJUYEWKWUHWUMDOZAOWUO
      WUGWUPAWUGWULDOZWUFRWUPWUEWUQWUFDVWPVVDUYDVVAVRZWLWMWULWUFDWNWPPWUMADWQQW
      UNWUCDWUNWUJWUKWUFRZRZAOWUKWUIVWDJFZRZWUCWUMWUTAWUJWUKWUFWRPWUSWVBAWUIVYT
      VRWUJWUFWVAWUKVVDWUIVWDJWSWTXAWUKWUAWVAWUBWUKVYTVWPUYCFVYTVWPNUYCKWUAVWPV
      YTUYCXBVYTVWPUYCXCUXLVWPDUAUBUUNZWURXDSVYTVWDDVQZVWOXFXGSPSWUBVYLDVXMUXLV
      WPWURWVCXHZVYTVXMVWDXIXASWMVYLVYKXJSSVXOVWDVXNMVYMVXNVWDXKVWDVXMWVEXLQWPV
      YIVYCVYIUCUPZUIZUIZVWSNVUIKZUCOWVFVVGMZWVGUXLVTZVNKZWVKVKZVXEMZWVMVXGMZVO
      ZRZRZUCOVYCUCVWSVUIUUOWVIWVRUCWVIWVHVWRNUYMKZWVHVWMNVUHKZRWVRWVHVWRVWMUYM
      VUHUUPWVSWVJWVTWVQWVSWVGVWQNUYLKZVWPWVFVEFZWVJWVGVWQUYLWVFVRZVYQWOWWAWVFV
      WPNUYKKWVFVWPUYKFWWBWVFVWPUYKUCVQWURWOWVFVWPUYKXCWVFVWPVEXBUUQVVAWVFBVQXM
      SWVTWVHVYTUYIFZVYTVWMVUGFZRZDOVYTWVMMZVYTVGKZVYTVXEMZVYTVXGMZVOZRZRZDOWVQ
      DWVHVWMVUGUYIWKWWFWWMDWWDWWGWWEWWLWWDVYTWVHUYHFZWWGWVHVYTUYHXBWWNVYTEKZWV
      KVYTKZRZWWGWWNVYTWVHUYGFZWWORWWPWWORWWQVYTWVHUYGEXPWWRWWPWWOWWRWVHVYTUYFF
      WVHVWDUYEFZVWDVYTJFZRZCOZWWPVYTWVHUYFXBCWVHVYTJUYEXNWXBVVDWVKMZADXEZRZAOZ
      WWPWXBVWDVVDUIZMZWVGVVDUYDFZRZWWTRZAOZCOWXKCOZAOWXFWXAWXLCWXAWXJAOZWWTRWX
      LWWSWXNWWTAWVGVWDUYDWWCWLWMWXJWWTAWNWPPWXKCAWQWXMWXEAWXMWXHWXIWWTRZRZCOWX
      IWXGVYTJFZRZWXEWXKWXPCWXHWXIWWTWRPWXOWXRCWXGVVDVRWXHWWTWXQWXIVWDWXGVYTJWS
      WTXAWXIWXCWXQWXDWXIVVDWVGUYCFVVDWVGNUYCKWXCWVGVVDUYCXBVVDWVGUYCXCUXLWVGAW
      VCWWCXDSVVDVYTAVQZWVDXFXGSPSAWVKVYTUURWPSWMWWPWWOXJSVYTWVKUXLWVGWWCWVCXHX
      LWPQWWEVYTVWMVUFFZWWHRWWKWWHRWWLVYTVWMVUFVGXPWXTWWKWWHWXTVYTVVDVUEFZVVDVW
      MUYKFZRZAOVVDVXDMZVYTVVDHVLZMZVYTVVDLVLZMZVOZRZAOWWKAVYTVWMUYKVUEXNWYCWYJ
      AWYCWYIWYDRWYJWYAWYIWYBWYDWYAVVDVYTVUDFVVDVYTUYRFZVVDVYTVUCFZVOWYIVYTVVDV
      UDXBVVDVYTUYRVUCUUTWYKWYFWYLWYHWYKVVDHNZVYTIFZWYEVYTMWYFWYKVVDVWDUYQFZVWD
      VYTIFZRZCOVWDWYMMZWYPRZCOWYNCVVDVYTIUYQXNWYQWYSCWYOWYRWYPWYOVWDVVDUYPFZVW
      DVVDUHFZVWDHUGFZRZWYRVVDVWDUYPXBWYTXUAVWDUYOKZRXUCVWDVVDUHUYOXPXUDXUBXUAU
      GHVWDXOXQQVVDHVWDWXSXRXSSWMPWYPWYNCWYMVVDHWXSXRYFVWDWYMVYTIWSXASVVDHVYTWX
      SXRXTWYEVYTXKSWYLVVDLNZVYTIFZWYGVYTMWYHWYLVVDVWDVUBFZWYPRZCOVWDXUEMZWYPRZ
      COXUFCVVDVYTIVUBXNXUHXUJCXUGXUIWYPXUGVWDVVDVUAFZXUAVWDLUGFZRZXUIVVDVWDVUA
      XBXUKXUAVWDUYTKZRXUMVWDVVDUHUYTXPXUNXULXUAUGLVWDXOXQQVVDLVWDWXSLEUVAUVBZX
      SSWMPWYPXUFCXUEVVDLWXSXUOYFVWDXUEVYTIWSXASVVDLVYTWXSXUOXTWYGVYTXKSUVCSWYB
      VWMVVDVEFWYDVVDVWMVEXBVWDVVDVWOXMQXGWYIWYDXJQPWYIWWKAVXDVWDYGWYDWYFWWIWYH
      WWJWYDWYEVXEVYTVVDVXDHYAYBWYDWYGVXGVYTVVDVXDLYAYBWGXASWMWWKWWHXJSXGPWWLWV
      QDWVMWVKUVDWWGWWHWVLWWKWVPWWGWWHWVMVGKWVLVYTWVMVGXIWVKUVEYCWWGWWIWVNWWJWV
      OVYTWVMVXEYDVYTWVMVXGYDWGWHXASXGQPWVQVYCUCVVGVVAYGWVJWVLVXRWVPVYBWVJWVKVX
      QVNWVJWVGVXPMWVKVXQMWVFVVGUVFUXLWVGVXPUVGWEZWFWVJWVNVXTWVOVYAWVJWVMVXSVXE
      WVJWVKVXQXUPWBZWCWVJWVMVXSVXGXUQWCWGWHXASUVHXGQUVIVWIVXAVXKVWIVVQVXJVWIVV
      PVXIVVIVWIVVMVXFVVOVXHVWIVVLVXEVVJVWIVVKVXDHVVCVWDUVJZYEYBVWIVVNVXGVVJVWI
      VVKVXDLXURYEYBWGWTWIUVKYCUVLVWIVVQBEUWAUVMUVNSVWFHVVDNZVWDIFZVVEVWDMVWHVW
      FVWDVYTUXDFZVYTVVDUXCFZRZDOVYTXUSMZVYTVWDIFZRZDOXUTDVWDVVDUXCUXDWKXVCXVFD
      XVCXVEXVDRXVFXVAXVEXVBXVDVWDVYTIXBXVBVYTVVDUGFZVYTUXBKZRZVYTHUHFZXVGRZXVD
      VYTVVDUGUXBXPXVIXVGXVJRXVKXVHXVJXVGUHHVYTXOXQXVGXVJXJQHVVDVYTXRWXSXSSXGXV
      EXVDXJQPXVEXUTDXUSHVVDXRWXSYFVYTXUSVWDIWSXASHVVDVWDXRWXSXTVVEVWDXKSXGVWKV
      WHXJQPVWKVVSCVVEHVVDXRWXSUVOVWHVWJVVRBEVWHVWIVVFVVQVWDVVEVVCUVPUVQUVRXASU
      VSUVTVVTVWCAUWQVVSUWBUWCUWDUWSVUSUWRAUWEUXEVURUXCUXDUGUXBYHUWTUXAUHYITHVR
      ZYJYKIYLTYMVUQVUPVULVUOUYJVUKUYIUYHUYGEUYFJUYEYNUYDUYCUYBUYAHUXFUXTJYNUWF
      UXSUXRUXQUXHUXPUXGJYNYOTUXIUXOJYNTUXNJUXMYNUXLWVCUWGYMUWHYKYPUWIYOUWJUWLX
      RYJYOTYQYMTYRYKTZYQVUIVUJUYMVUHUYLUYKVEUWKTZYQYQVUGUYIVUFVGUYKVUEXVNVUDUY
      RVUCIUYQYLUYPUHUYOYIUYNUXAUGYHTZXVLYJYKTYMIVUBYLVUAUHUYTYIUYNUYSXVOLVRYJY
      KTYMYSTYMUWMYKXVMYMYPHXRYTYJUWNVUNVUMEYRYTYTYTYJYOUWOYJYSUWP $.
      $( [19-Mar-2015] $)
  $}

  ${
    $d k m $.  $d k n $.  $d M m $.  $d m n $.  $d m t $.  $d m x $.  $d n t $.
    $d k t $.  $d k x $.  $d M t $.  $d M x $.  $d t x $.
    $( Lemma for ~ nchoice .  If the special set of a cardinal is finite, then
       so is the special set of its T-raising, and there is a calculable
       relationship between their sizes.  Theorem 7.2 of {{Specker}}. $)
    nchoicelem17 $p |- ( ( <_c We NC /\ M e. NC /\ ( Sp[ac] ` M ) e. Fin ) ->
       ( ( Sp[ac] ` T_c M ) e. Fin /\
         ( Nc ( Sp[ac] ` T_c M ) = ( T_c Nc ( Sp[ac] ` M ) +c 1c ) \/
           Nc ( Sp[ac] ` T_c M ) = ( T_c Nc ( Sp[ac] ` M ) +c 2c ) ) ) ) $=
      ( vt vk vm cncs wcel cspac cfv cfin ctc cnc c1c cplc wceq c2c wa cnnc c0c
      wi addceq1d vx vn clec cwe wbr wo finnc wrex risset nchoicelem13 ad2antlr
      cv wb 1cnc fvex ncelncsi dflec2 mp2an eqtr ancoms eqtr2 ex adantl addceq2
      jcai addccom syl6eq eqeq2d rcla4ev mpan nnnc sylan2 syl5ibr nclenn 3expia
      adantll nchoicelem16 addcid1 imbi1d ralbidv imbi2d weq fveq2 nceqd eqeq1d
      wral fveq2d eleq1d syl eqeq12d orbi12d anbi12d imbi12d cbvralv syl6bb cce
      tceq co wn nchoicelem14 w3a c3c nchoicelem9 id 2nnc syl6eqel 2p1e3c ax-mp
      peano2 eqeltrri sylibr 1p1e2c eqeq2i eqtri orbi12i csn nchoicelem3 df1c3g
      jaoi adantr eqtr4d tc1c 3adant1 syld ralrimiva wne ad2antrl simp2 3adant2
      simpr nchoicelem7 addceq1 syl5 com23 3impia imp mpd expr syl5bi rexlimdva
      mpbird cltc 0cnsuc peano1 1cnnc addccan1 mp3an23 necon3bid mpbiri addcid2
      jca neeq2i sylib eqnetrd syl2an necomd brltc sylanbrc nchoicelem15 df-3an
      ceclnn1 mp3an1 rcla4cva tce2 eqtr3d peano4nc 3syl mpbid tccl te0c syl2anc
      3ad2ant1 3imtr4g tcdi addceq2i addc32 orim12d anim12d embantd sylbid 3exp
      exp4b sylan2br com12 a2d finds rcla4cv syl6com 3syld imp3a exp3a ) UCEUDU
      EZAEFZAGHZIFZAJZGHZIFZUWQKZUWNKZJZLMZNZUWSUXAOMZNZUFZPZUWOUWTQFZUWLUWMPZU
      XGUWNUGUXHBULZUWTNZBQUHUXIUXGBUWTQUIUXIUXKUXGBQUXIUXJQFZPZLUWTUCUEZUXKUXG
      SZUWMUXNUWLUXLAUJUKUXNUWTLUAULZMZNZUAEUHZUXMUXOLEFZUWTEFUXNUXSUMUNUWNAGUO
      UPLUWTUAUQURUXMUXRUXOUAEUXMUXPEFZPZUXRUXKUXGUXRUXKPZUXJUXQNZUXRPUYBUXGUYC
      UYDUXRUXKUXRUYDUXJUWTUXQUSUTUXKUYDUXRSUXRUXKUYDUXRUXJUWTUXQVAVBVCVEUYBUYD
      UXRUXGUYBUYDUXPUXJUCUEZUXPQFZUXRUXGSZUXLUYAUYDUYESUXIUYDUYEUXLUYAPUXJUXPC
      ULZMZNZCEUHZUXTUYDUYKUNUYJUYDCLEUYHLNZUYIUXQUXJUYLUYIUXPLMUXQUYHLUXPVDUXP
      LVFVGVHVIVJUYAUXLUYEUYKUMZUXLUYAUXJEFUYMUXJVKUXPUXJCUQVLUTVMVPUXLUYAUYEUY
      FSZUXIUYAUXLUYNUYAUXLUYEUYFUXPUXJVNVOUTVPUXMUYFUYGSZUYAUXIUYOUXLUWLUWMUYO
      UWLUYFUWMUYGUYFUWLDULZGHZKZUXQNZUYPJZGHZIFZVUAKZUYRJZLMZNZVUCVUDOMZNZUFZP
      ZSZDEWFZUWMUYGSUWLUYRLUXJMZNZVUJSZDEWFZSUWLUYRLNZVUJSZDEWFZSUWLUYRLUBULZM
      ZNZVUJSZDEWFZSUWLUYHGHZKZLVUTLMZMZNZUYHJZGHZIFZVVKKZVVFJZLMZNZVVMVVNOMZNZ
      UFZPZSZCEWFZSUWLVULSBUBUXPBDVQUXJRNZVUPVUSUWLVWCVUOVURDEVWCVUNVUQVUJVWCVU
      MLUYRVWCVUMLRMLUXJRLVDLVRVGVHVSVTWABUBWBZVUPVVDUWLVWDVUOVVCDEVWDVUNVVBVUJ
      VWDVUMVVAUYRUXJVUTLVDVHVSVTWAUXJVVGNZVUPVWBUWLVWEVUPUYRVVHNZVUJSZDEWFVWBV
      WEVUOVWGDEVWEVUNVWFVUJVWEVUMVVHUYRUXJVVGLVDVHVSVTVWGVWADCEDCWBZVWFVVIVUJV
      VTVWHUYRVVFVVHVWHUYQVVEUYPUYHGWCWDZWEVWHVUBVVLVUIVVSVWHVUAVVKIVWHUYTVVJGU
      YPUYHWQWGZWHVWHVUFVVPVUHVVRVWHVUCVVMVUEVVOVWHVUAVVKVWJWDZVWHVUDVVNLVWHUYR
      VVFNVUDVVNNVWIUYRVVFWQWIZTWJVWHVUCVVMVUGVVQVWKVWHVUDVVNOVWLTWJWKWLWMWNWOW
      ABUAWBZVUPVULUWLVWMVUOVUKDEVWMVUNUYSVUJVWMVUMUXQUYRUXJUXPLVDVHVSVTWAUWLVU
      RDEUWLUYPEFZPVUQUYPRWPWREFWSZVUJVWNVUQVWOSUWLVWNVUQVWOUYPWTVBVCUWLVWNVWOV
      UJUWLVWNVWOXAZVUBVUIVWPVUCONZVUCXBNZUFZVUBUYPXCZVWSVUCQFZVUBVWQVXAVWRVWQV
      UCOQVWQXDXEXFVWRVUCXBQVWRXDOLMZXBQXGOQFZVXBQFXEOXIXHXJXFXSVUAUGXKWIVWPVUI
      VUCLLMZNZVUCLOMZNZUFZVWPVWSVXHVWTVXEVWQVXGVWRVXDOVUCXLXMVXFXBVUCVXFVXBXBL
      OVFXGXNXMXOXKVWNVWOVUIVXHUMUWLVWNVWOPZVUFVXEVUHVXGVXIVUEVXDVUCVXIVUDLLVXI
      VUDLJZLVXIVUQVUDVXJNVXIUYRUYPXPZKZLVXIUYQVXKUYPXQWDVWNLVXLNVWOUYPEXRXTYAU
      YRLWQWIYBVGZTVHVXIVUGVXFVUCVXIVUDLOVXMTVHWKYCUUAUUKVOYDYEVUTQFZUWLVVDVWBU
      WLVXNVVDVWBSUWLVXNVVDVWBUWLVXNVVDXAZVWACEVVIVVFVVGLMZNZVXOUYHEFZPVVTVVHVX
      PVVFLVVGVFXMVXOVXRVXQVVTVXOVXRVXQPZPZLVVFUUBUEZVVTVXTLVVFUCUEZLVVFYFVYAVX
      RVYBVXOVXQUYHUJYGVXTVVFLVXOVXNVXQVVFLYFVXSUWLVXNVVDYHVXRVXQYJVXNVXQPVVFVX
      PLVXNVXQYJVXNVXPLYFZVXQVXNVXPRLMZYFZVYCVXNVYEVVGRYFVUTUUCVXNVXPVYDVVGRVXN
      VVGQFZVXPVYDNVVGRNUMZVUTXIZVYFRQFLQFVYGUUDUUELVVGRUUFUUGWIUUHUUIVYDLVXPLU
      UJUULUUMXTUUNUUOUUPLVVFUUQUURVXTVYAUYHRWPWREFZVVTVXRVYAVYISVXOVXQVXRVYAVY
      IUYHUUSVBYGVXOVXSVYIVVTVXSVYIPVXOVXRVXQVYIXAZVVTVXRVXQVYIUUTVXOVYJPOUYHWP
      WRZEFZVVTVYJVYLVXOVXRVYIVYLVXQVXCVXRVYIVYLXEOUYHUVAUVBYIVCVXOVYJVYLVVTSZU
      WLVXNVVDVYJVYMSUWLVXNPZVYJVVDVYMVYNVYJVVDVYLVVTVVDVYLPVYKGHZKZVVANZVYKJZG
      HZIFZVYSKZVYPJZLMZNZWUAWUBOMZNZUFZPZSZVYNVYJPZVVTVVCWUIDVYKEUYPVYKNZVVBVY
      QVUJWUHWUKUYRVYPVVAWUKUYQVYOUYPVYKGWCWDZWEWUKVUBVYTVUIWUGWUKVUAVYSIWUKUYT
      VYRGUYPVYKWQWGZWHWUKVUFWUDVUHWUFWUKVUCWUAVUEWUCWUKVUAVYSWUMWDZWUKVUDWUBLW
      UKUYRVYPNVUDWUBNWULUYRVYPWQWIZTWJWUKVUCWUAVUGWUEWUNWUKVUDWUBOWUOTWJWKWLWM
      UVCWUJWUIVYQOVVJWPWRZGHZIFZWUQKZWUCNZWUSWUENZUFZPZSZVVTVYJWUIWVDUMZVYNVXR
      VYIWVEVXQVXRVYIPZWUHWVCVYQWVFVYTWURWUGWVBWVFVYSWUQIWVFVYRWUPGUYHUVDWGZWHW
      VFWUDWUTWUFWVAWVFWUAWUSWUCWVFVYSWUQWVGWDZWEWVFWUAWUSWUEWVHWEWKWLWAYIVCWUJ
      VYQWVCVVTWUJVYPVVGVVAWUJVYPLMZVXPNZVYPVVGNZVYJWVJVYNVYJVVFWVIVXPVXRVYIVVF
      WVINZVXQUYHYKZYIVXRVXQVYIYHUVEVCVXNWVJWVKUMZUWLVYJVXNVYFVVGEFZWVNVYHVVGVK
      VYPEFZWVOWVNVYOVYKGUOUPZVYPVVGUVFVJUVGUKUVHVUTLVFVGWUJWURVVLWVBVVSWUJWUSQ
      FZVVMQFZWURVVLWVRWVSWUJWUSLMZQFWUSXIWUJVVMWVTQVYJVVMWVTNZVYNVXRVXQWWAVYIV
      XRVVJEFVVJRWPWREFWWAUYHUVIUYHUVJVVJYKUVKUVLVCZWHVMWUQUGVVKUGUVMWUJWUTVVPW
      VAVVRWUTVVPWUJWVTWUCLMZNWUSWUCLYLWUJVVMWVTVVOWWCWWBWUJVVNWUCLWUJVVNWVIJZW
      UCVYJVVNWWDNZVYNVXRVYIWWEVXQWVFWVLWWEWVMVVFWVIWQWIYIVCWWDWUBVXJMZWUCWVPUX
      TWWDWWFNWVQUNVYPLUVNURVXJLWUBYBUVOXNVGZTWJVMWVAVVRWUJWVTWUELMZNWUSWUELYLW
      UJVVMWVTVVQWWHWWBWUJVVQWUCOMWWHWUJVVNWUCOWWGTWUBLOUVPVGWJVMUVQUVRUVSUVTYM
      UWBYNYOYPYQUWCYRYDYQYRYSYEUWAUWDUWEUWFVUKUYGDAEUYPANZUYSUXRVUJUXGWWIUYRUW
      TUXQWWIUYQUWNUYPAGWCWDZWEWWIVUBUWRVUIUXFWWIVUAUWQIWWIUYTUWPGUYPAWQWGZWHWW
      IVUFUXCVUHUXEWWIVUCUWSVUEUXBWWIVUAUWQWWKWDZWWIVUDUXALWWIUYRUWTNVUDUXANWWJ
      UYRUWTWQWIZTWJWWIVUCUWSVUGUXDWWLWWIVUDUXAOWWMTWJWKWLWMUWGUWHYNYPXTXTUWIUW
      JYMUWKYTYSYQYTYSYSYO $.
      $( [19-Mar-2015] $)
  $}

  ${
    $d c x $.  $d c y $.  $d x y $.  $d c p $.  $d c q $.  $d p q $.  $d p x $.
    $d q x $.
    $( Lemma for ~ nchoice .  Set up stratification for ~ nchoicelem19 . $)
    nchoicelem18 $p |- { x | ( Sp[ac] ` x ) e. Fin } e. _V $=
      ( vp vq vc cncs ccompl csset ccnv cv wcel wceq c1c cima cspac wo wa bitri
      cfin complex ssetex cins3 c2c cce co w3a copab cimage ccom cfix cres ctxp
      crn cins2 csymdif cuni1 cin cun cfv cab cvv wn pm2.1 cdm wfn fnspac ax-mp
      c0 fndm eleq2i sylnbir 0fin syl6eqel pm4.71i orbi1i elun vex elcompl elin
      ndmfv csn cclos1 spacval eleq1d eluni1 wbr df-br spacvallem1 nchoicelem10
      wrex cop snex rexbii elima 3bitr4i syl6rbbr pm5.32i orbi12i andir mpbiran
      risset abbi2i ncsex ins3ex cnvex imageex coex fixex resex ins2ex symdifex
      txpex rnex 1cex imaex finex uni1ex inex unex eqeltrri ) EFZEGUAZGFZHZGHZG
      BIZEJCIZEJYFUBYEUCUDKUEBCUFZUGZUHZUIZUJZUKZULZFZUMZUNZLMZFZRMZUOZUPZUQZAI
      ZNURZRJZAUSUTUUEAUUBUUCUUBJZUUCEJZVAZUUGOZUUEUUGVBUUHUUGUUEPZOZUUHUUEPZUU
      JOUUFUUIUUEPUUHUULUUJUUHUUEUUHUUDVGRUUGUUCNVCZJUUDVGKUUMEUUCNEVDUUMEKVEEN
      VHVFVIUUCNVSVJVKVLVMVNUUFUUCXTJZUUCUUAJZOUUKUUCXTUUAVOUUNUUHUUOUUJUUCEAVP
      ZVQUUOUUGUUCYTJZPUUJUUCEYTVRUUGUUQUUEUUGUUEUUCVTZYGWAZRJZUUQUUGUUDUUSRBCU
      UCWBWCUUQUURYSJZUUTUUCYSUUPWDDIZUURYRWEZDRWIUVBUUSKZDRWIUVAUUTUVCUVDDRUVC
      UVBUURWJYRJUVDUVBUURYRWFYGUURDBCWGZUUCWKWHQWLDUURYRRWMDUUSRWTWNQWOWPQWQQU
      UHUUGUUEWRWNWSXAXTUUAEXBSEYTXBYSYRRYQYPLYAYOGTXCYNYMYLYCYKYBGTSXDYDYJGTXD
      YIGYHTYGUVEXEXFXGXHXKXLSXIXJXMXNSXOXNXPXQXRXS $.
      $( [20-Mar-2015] $)
  $}

  ${
    $d m n $.  $d m x $.  $d n x $.  $d m p $.  $d n p $.
    $( Lemma for ~ nchoice .  Assuming well-ordering, there is a cardinal with
       a finite special set that is its own T-raising.  Theorem 7.3 of
       {{Specker}}. $)
    nchoicelem19 $p |- ( <_c We NC ->
        E. m e. NC ( ( Sp[ac] ` m ) e. Fin /\ T_c m = m ) ) $=
      ( vn vx vp clec cncs wbr cv cspac cfv cfin wcel wi wa wceq eleq1d cvv cnc
      fveq2 syl cwe wral wrex ctc nchoicelem18 weq id vvex ncelncsi csn c0c cce
      co wn c1c cltc cpw1 cpw ltcpw1pwg ax-mp df1c2 nceqi pwv eqcomi 3brtr4i wb
      nchoicelem8 mpan2 nchoicelem3 sylancr snfi syl6eqel rcla4ev weds cantisym
      mpbiri simpll cstrict cin df-we breqi brin bitri simplbi cpartial cconnex
      cfound sopc cref ctrans porta simp3bi simplr tccl simprr c2c nchoicelem17
      cplc simprl syl3anc simpld breq2 imbi12d rcla4v syl3c letc 3expia syl2anc
      nchoicelem12 ad2ant2lr imp ad2ant2l mpd tlecg mpbid breq1 ralbidv anbi12d
      imbi2d anbi2d tceq breq12d com12 an32s rexlimdva adantlr syld antid exp32
      wo imdistand reximdva ) EFUAGZAHZIJZKLZBHZIJZKLZYNYQEGZMZBFUBZNZAFUCYPYNU
      DZYNOZNZAFUCYMCHZIJZKLZYPYSCABFECUECAUFUUHYOKUUGYNISPCBUFUUHYRKUUGYQISPYM
      UGYMQRZFLZUUJIJZKLZUUICFUCQUHUIZYMUULUUJUJZKYMUUKUUJUKULUMFLUNZUULUUOOUUN
      YMUUPUORZUUJUPGZQUQZRZQURZRZUUQUUJUPQQLUUTUVBUPGUHQQUSUTUOUUSVAVBUVBUUJUV
      AQVCVBVDVEYMUUKUUPUURVFUUNUUJVGVHVPUUJVIVJUUJVKVLUUIUUMCUUJFUUGUUJOUUHUUL
      KUUGUUJISPVMVJVNYMUUCUUFAFYMYNFLZNZYPUUBUUEUVDYPUUBUUEUVDUUCNZFEUUDYNUVEY
      MEFVOGZYMUVCUUCVQZYMEFVRGZUVFYMUVHEFWGGZYMEFVRWGVSZGUVHUVINEFUAUVJVTWAEFV
      RWGWBWCWDUVHEFWEGZUVFUVHUVKEFWFGFEWHWDUVKEFWIGEFWJGUVFFEWKWLTTTUVEUVCUUDF
      LZYMUVCUUCWMZYNWNTZUVMUVEYNUUDEGZUUDYNEGZUVEUVLUUBUUDIJZKLZUVOUVNUVDYPUUB
      WOUVEUVRUVQRZYORUDZUOWROUVSUVTWPWROYJZUVEYMUVCYPUVRUWANUVGUVMUVDYPUUBWSYN
      WQWTXAUUAUVRUVOMBUUDFYQUUDOZYSUVRYTUVOUWBYRUVQKYQUUDISPYQUUDYNEXBXCXDXEZU
      VEUVOYNDHZUDZOZDFUCZUVPUVEUVCUVCUVOUWGMUVMUVMUVCUVCUVOUWGYNYNDXFXGXHYMUUC
      UWGUVPMUVCYMUUCNUWFUVPDFYMUWDFLZUUCUWFUVPMUWFYMUWHNZUUCNZUVPUWFUWJUVPMUWI
      UWEIJZKLZYSUWEYQEGZMZBFUBZNZNZUWEUDZUWEEGZMUWQUWEUWDEGZUWSUWQUWDIJZKLZUWT
      UWHUWLUXBYMUWOUWDXIXJUWHUWOUXBUWTMZYMUWLUWHUWOUXCUWNUXCBUWDFBDUFZYSUXBUWM
      UWTUXDYRUXAKYQUWDISPYQUWDUWEEXBXCXDXKXLXMUWQUWEFLZUWHUWTUWSVFUWQUWHUXEYMU
      WHUWPWMZUWDWNTUXFUWEUWDXNXHXOUWFUWJUWQUVPUWSUWFUUCUWPUWIUWFYPUWLUUBUWOUWF
      YOUWKKYNUWEISPUWFUUAUWNBFUWFYTUWMYSYNUWEYQEXPXSXQXRXTUWFUUDUWRYNUWEEYNUWE
      YAUWFUGYBXCVPYCYDYEYFYGXMUWCYHYIYKYLXM $.
      $( [20-Mar-2015] $)
  $}

  ${
    $d m n $.
    $( Cardinal less than or equal does not well-order the cardinals.  This is
       equivalent to saying that the axiom of choice from ZFC is false in NF.
       Theorem 7.5 of {{Specker}}. $)
    nchoice $p |- -. <_c We NC $=
      ( vn vm cncs cv ctc c1c cplc wceq c2c wo cnnc wrex wcel wn cspac cfv cfin
      wa cnc eqeq1d cwe wbr nchoicelem1 nchoicelem2 ioran sylanbrc nchoicelem19
      clec nrex finnc biimpi ad2antrl simpll simplr simprl nchoicelem17 syl3anc
      simprd simprr fveq2d nceqd orbi12d mpbid id tceq addceq1d eqeq12d rcla4ev
      syl2anc ex rexlimdva mpd mto ) UHCUAUBZADZVOEZFGZHZVOVPIGZHZJZAKLZWAAKVOK
      MVRNVTNWANVOUCVOUDVRVTUEUFUIVNBDZOPZQMZWCEZWCHZRZBCLWBBUGVNWHWBBCVNWCCMZR
      ZWHWBWJWHRZWDSZKMZWLWLEZFGZHZWLWNIGZHZJZWBWEWMWJWGWEWMWDUJUKULWKWFOPZSZWO
      HZXAWQHZJZWSWKWTQMZXDWKVNWIWEXEXDRVNWIWHUMVNWIWHUNWJWEWGUOWCUPUQURWKXBWPX
      CWRWKXAWLWOWKWTWDWKWFWCOWJWEWGUSUTVAZTWKXAWLWQXFTVBVCWAWSAWLKVOWLHZVRWPVT
      WRXGVOWLVQWOXGVDZXGVPWNFVOWLVEZVFVGXGVOWLVSWQXHXGVPWNIXIVFVGVBVHVIVJVKVLV
      M $.
      $( [20-Mar-2015] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
       Appendix:  Typesetting definitions for the tokens in this file
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)


$( $t

/* The '$ t' (no space between '$' and 't') token indicates the beginning
    of the typesetting definition section, embedded in a Metamath
    comment.  There may only be one per source file, and the typesetting
    section ends with the end of the Metamath comment.  The typesetting
    section uses C-style comment delimiters.  Todo:  Allow multiple
    typesetting comments */

/* These are the LaTeX and HTML definitions in the order the tokens are
    introduced in $c or $v statements.  See HELP TEX or HELP HTML in the
    Metamath program. */


/******* Web page format settings *******/

/* Page title, home page link */
htmltitle "New Foundations Explorer";
htmlhome '<A HREF="mmnf.html"><FONT SIZE=-2 FACE=sans-serif>' +
    '<IMG SRC="nf.gif" BORDER=0 ALT=' +
    '"Home" HEIGHT=32 WIDTH=32 ALIGN=MIDDLE STYLE="margin-bottom:0px">' +
    'Home</FONT></A>';
/* Optional file where bibliographic references are kept */
/* If specified, e.g. "mmnf.html", Metamath will hyperlink all strings of the
   form "[rrr]" (where "rrr" has no whitespace) to "mmnf.html#rrr" */
/* A warning will be given if the file "mmnf.html" with the bibliographical
   references is not present.  It is read in order to check correctness of
   the references. */
/* Note: this is also used to determine the home page (rather than
   extracting it from htmlhome) */
htmlbibliography "mmnf.html";

/* Variable color key at the bottom of each proof table */
htmlvarcolor '<FONT COLOR="#0000FF">wff</FONT> '
    + '<FONT COLOR="#FF0000">set</FONT> '
    + '<FONT COLOR="#CC33CC">class</FONT>';

/* GIF and Unicode HTML directories - these are used for the GIF version to
   crosslink to the Unicode version and vice-versa */
htmldir "../nfegif/";
althtmldir "../nfeuni/";


/******* Symbol definitions *******/

htmldef "(" as "<IMG SRC='lp.gif' WIDTH=5 HEIGHT=19 TITLE='(' ALIGN=TOP>";
  althtmldef "(" as "(";
  latexdef "(" as "(";
htmldef ")" as "<IMG SRC='rp.gif' WIDTH=5 HEIGHT=19 TITLE=')' ALIGN=TOP>";
  althtmldef ")" as ")";
  latexdef ")" as ")";
htmldef "->" as
    " <IMG SRC='to.gif' WIDTH=15 HEIGHT=19 TITLE='-&gt;' ALIGN=TOP> ";
  althtmldef "->" as ' &rarr; ';
  latexdef "->" as "\rightarrow";
htmldef "-." as
    "<IMG SRC='lnot.gif' WIDTH=10 HEIGHT=19 TITLE='-.' ALIGN=TOP> ";
  althtmldef "-." as '&not; ';
  latexdef "-." as "\lnot";
htmldef "wff" as
    "<IMG SRC='_wff.gif' WIDTH=24 HEIGHT=19 TITLE='wff' ALIGN=TOP> ";
  althtmldef "wff" as '<FONT COLOR="#808080">wff </FONT>'; /* was #00CC00 */
  latexdef "wff" as "{\rm wff}";
htmldef "|-" as
    "<IMG SRC='_vdash.gif' WIDTH=10 HEIGHT=19 TITLE='|-' ALIGN=TOP> ";
  althtmldef "|-" as
    '<FONT COLOR="#808080" FACE=sans-serif>&#8866; </FONT>'; /* &vdash; */
    /* Without sans-serif, way too big in FF3 */
  latexdef "|-" as "\vdash";
htmldef "ph" as
    "<IMG SRC='_varphi.gif' WIDTH=11 HEIGHT=19 TITLE='ph' ALIGN=TOP>";
  althtmldef "ph" as '<FONT COLOR="#0000FF"><I>&phi;</I></FONT>';
  latexdef "ph" as "\varphi";
htmldef "ps" as "<IMG SRC='_psi.gif' WIDTH=12 HEIGHT=19 TITLE='ps' ALIGN=TOP>";
  althtmldef "ps" as '<FONT COLOR="#0000FF"><I>&psi;</I></FONT>';
  latexdef "ps" as "\psi";
htmldef "ch" as "<IMG SRC='_chi.gif' WIDTH=12 HEIGHT=19 TITLE='ch' ALIGN=TOP>";
  althtmldef "ch" as '<FONT COLOR="#0000FF"><I>&chi;</I></FONT>';
  latexdef "ch" as "\chi";
htmldef "th" as
    "<IMG SRC='_theta.gif' WIDTH=8 HEIGHT=19 TITLE='th' ALIGN=TOP>";
  althtmldef "th" as '<FONT COLOR="#0000FF"><I>&theta;</I></FONT>';
  latexdef "th" as "\theta";
htmldef "ta" as "<IMG SRC='_tau.gif' WIDTH=10 HEIGHT=19 TITLE='ta' ALIGN=TOP>";
  althtmldef "ta" as '<FONT COLOR="#0000FF"><I>&tau;</I></FONT>';
  latexdef "ta" as "\tau";
htmldef "et" as "<IMG SRC='_eta.gif' WIDTH=9 HEIGHT=19 TITLE='et' ALIGN=TOP>";
  althtmldef "et" as '<FONT COLOR="#0000FF"><I>&eta;</I></FONT>';
  latexdef "et" as "\eta";
htmldef "ze" as "<IMG SRC='_zeta.gif' WIDTH=9 HEIGHT=19 TITLE='ze' ALIGN=TOP>";
  althtmldef "ze" as '<FONT COLOR="#0000FF"><I>&zeta;</I></FONT>';
  latexdef "ze" as "\zeta";
htmldef "si" as
    "<IMG SRC='_sigma.gif' WIDTH=10 HEIGHT=19 TITLE='si' ALIGN=TOP>";
  althtmldef "si" as '<FONT COLOR="#0000FF"><I>&sigma;</I></FONT>';
  latexdef "si" as "\sigma";
htmldef "rh" as "<IMG SRC='_rho.gif' WIDTH=9 HEIGHT=19 TITLE='rh' ALIGN=TOP>";
  althtmldef "rh" as '<FONT COLOR="#0000FF"><I>&rho;</I></FONT>';
  latexdef "rh" as "\rho";
htmldef "mu" as "<IMG SRC='_mu.gif' WIDTH=10 HEIGHT=19 TITLE='mu' ALIGN=TOP>";
  althtmldef "mu" as '<FONT COLOR="#0000FF"><I>&mu;</I></FONT>';
  latexdef "mu" as "\rho";
htmldef "la" as
    "<IMG SRC='_lambda.gif' WIDTH=9 HEIGHT=19 TITLE='la' ALIGN=TOP>";
  althtmldef "la" as '<FONT COLOR="#0000FF"><I>&lambda;</I></FONT>';
  latexdef "la" as "\rho";
htmldef "ka" as
    "<IMG SRC='_kappa.gif' WIDTH=9 HEIGHT=19 TITLE='ka' ALIGN=TOP>";
  althtmldef "ka" as '<FONT COLOR="#0000FF"><I>&kappa;</I></FONT>';
  latexdef "ka" as "\rho";
htmldef "~P" as "<IMG SRC='scrp.gif' WIDTH=16 HEIGHT=19 TITLE='~P' ALIGN=TOP>";
  althtmldef "~P" as '<FONT FACE=sans-serif>&weierp;</FONT>';
  latexdef "~P" as "{\cal P}";
htmldef "<->" as " <IMG SRC='leftrightarrow.gif' WIDTH=15 HEIGHT=19 " +
    "TITLE='&lt;-&gt;' ALIGN=TOP> ";
  althtmldef "<->" as ' &harr; ';
  latexdef "<->" as "\leftrightarrow";
htmldef "\/" as
     " <IMG SRC='vee.gif' WIDTH=11 HEIGHT=19 TITLE='\/' ALIGN=TOP> ";
  althtmldef "\/" as ' <FONT FACE=sans-serif> &or;</FONT> ' ;
    /* althtmldef "\/" as ' <FONT FACE=sans-serif>&#8897;</FONT> ' ; */
    /* was &or; - changed to match font of &and; replacement */
    /* Changed back 6-Mar-2012 NM */
  latexdef "\/" as "\vee";
htmldef "/\" as
    " <IMG SRC='wedge.gif' WIDTH=11 HEIGHT=19 TITLE='/\' ALIGN=TOP> ";
  althtmldef "/\" as ' <FONT FACE=sans-serif>&and;</FONT> ';
    /* althtmldef "/\" as ' <FONT FACE=sans-serif>&#8896;</FONT> '; */
    /* was &and; which is circle in Mozilla on WinXP Pro (but not Home) */
    /* Changed back 6-Mar-2012 NM */
  latexdef "/\" as "\wedge";
htmldef "-/\" as
    " <IMG SRC='barwedge.gif' WIDTH=9 HEIGHT=19 TITLE='-/\' ALIGN=TOP> ";
  althtmldef "-/\" as ' <FONT FACE=sans-serif>&#8892;</FONT> ';
    /*althtmldef "-/\" as " &#8892; "; */ /* too-high font bug in FF */
    /* barwedge, U022BC, alias ISOAMSB barwed, ['nand'] */
  latexdef "-/\" as "\barwedge";
htmldef "A." as
    "<IMG SRC='forall.gif' WIDTH=10 HEIGHT=19 TITLE='A.' ALIGN=TOP>";
  althtmldef "A." as '<FONT FACE=sans-serif>&forall;</FONT>'; /* &#8704; */
  latexdef "A." as "\forall";
htmldef "set" as
    "<IMG SRC='_set.gif' WIDTH=20 HEIGHT=19 TITLE='set' ALIGN=TOP> ";
  althtmldef "set" as '<FONT COLOR="#808080">set </FONT>';
  latexdef "set" as "{\rm set}";
htmldef "x" as "<IMG SRC='_x.gif' WIDTH=10 HEIGHT=19 TITLE='x' ALIGN=TOP>";
  althtmldef "x" as '<I><FONT COLOR="#FF0000">x</FONT></I>';
  latexdef "x" as "x";
htmldef "y" as "<IMG SRC='_y.gif' WIDTH=9 HEIGHT=19 TITLE='y' ALIGN=TOP>";
  althtmldef "y" as '<I><FONT COLOR="#FF0000">y</FONT></I>';
  latexdef "y" as "y";
htmldef "z" as "<IMG SRC='_z.gif' WIDTH=9 HEIGHT=19 TITLE='z' ALIGN=TOP>";
  althtmldef "z" as '<I><FONT COLOR="#FF0000">z</FONT></I>';
  latexdef "z" as "z";
htmldef "w" as "<IMG SRC='_w.gif' WIDTH=12 HEIGHT=19 TITLE='w' ALIGN=TOP>";
  althtmldef "w" as '<I><FONT COLOR="#FF0000">w</FONT></I>';
  latexdef "w" as "w";
htmldef "v" as "<IMG SRC='_v.gif' WIDTH=9 HEIGHT=19 TITLE='v' ALIGN=TOP>";
  althtmldef "v" as '<I><FONT COLOR="#FF0000">v</FONT></I>';
  latexdef "v" as "v";
htmldef "E." as
    "<IMG SRC='exists.gif' WIDTH=9 HEIGHT=19 TITLE='E.' ALIGN=TOP>";
  althtmldef "E." as '<FONT FACE=sans-serif>&exist;</FONT>'; /* &#8707; */
    /* Without sans-serif, bad in Opera and way too big in FF3 */
  latexdef "E." as "\exists";
htmldef "=" as " <IMG SRC='eq.gif' WIDTH=12 HEIGHT=19 TITLE='=' ALIGN=TOP> ";
  althtmldef "=" as ' = '; /* &equals; */
  latexdef "=" as "=";
htmldef "e." as " <IMG SRC='in.gif' WIDTH=10 HEIGHT=19 TITLE='e.' ALIGN=TOP> ";
  althtmldef "e." as ' <FONT FACE=sans-serif>&isin;</FONT> ';
  latexdef "e." as "\in";
htmldef "[" as "<IMG SRC='lbrack.gif' WIDTH=5 HEIGHT=19 TITLE='[' ALIGN=TOP>";
  althtmldef "[" as '['; /* &lsqb; */
  latexdef "[" as "[";
htmldef "/" as
    " <IMG SRC='solidus.gif' WIDTH=6 HEIGHT=19 TITLE='/' ALIGN=TOP> ";
  althtmldef "/" as ' / '; /* &sol; */
  latexdef "/" as "/";
htmldef "]" as "<IMG SRC='rbrack.gif' WIDTH=5 HEIGHT=19 TITLE=']' ALIGN=TOP>";
  althtmldef "]" as ']'; /* &rsqb; */
  latexdef "]" as "]";
htmldef "u" as "<IMG SRC='_u.gif' WIDTH=10 HEIGHT=19 TITLE='u' ALIGN=TOP>";
  althtmldef "u" as '<I><FONT COLOR="#FF0000">u</FONT></I>';
  latexdef "u" as "u";
htmldef "f" as "<IMG SRC='_f.gif' WIDTH=9 HEIGHT=19 TITLE='f' ALIGN=TOP>";
  althtmldef "f" as '<I><FONT COLOR="#FF0000">f</FONT></I>';
  latexdef "f" as "f";
htmldef "g" as "<IMG SRC='_g.gif' WIDTH=9 HEIGHT=19 TITLE='g' ALIGN=TOP>";
  althtmldef "g" as '<I><FONT COLOR="#FF0000">g</FONT></I>';
  latexdef "g" as "g";
htmldef "E!" as "<IMG SRC='_e1.gif' WIDTH=12 HEIGHT=19 TITLE='E!' ALIGN=TOP>";
  althtmldef "E!" as '<FONT FACE=sans-serif>&exist;!</FONT>';
  latexdef "E!" as "\exists{!}";
htmldef "E*" as "<IMG SRC='_em1.gif' WIDTH=15 HEIGHT=19 TITLE='E*' ALIGN=TOP>";
  althtmldef "E*" as '<FONT FACE=sans-serif>&exist;*</FONT>';
  latexdef "E*" as "\exists^\ast";
htmldef "{" as "<IMG SRC='lbrace.gif' WIDTH=6 HEIGHT=19 TITLE='{' ALIGN=TOP>";
  althtmldef "{" as '{'; /* &lcub; */
  latexdef "{" as "\{";
htmldef "|" as " <IMG SRC='vert.gif' WIDTH=3 HEIGHT=19 TITLE='|' ALIGN=TOP> ";
  althtmldef "|" as ' <FONT FACE=sans-serif>&#8739;</FONT> '; /* &vertbar; */
  latexdef "|" as "|";
htmldef "}" as "<IMG SRC='rbrace.gif' WIDTH=6 HEIGHT=19 TITLE='}' ALIGN=TOP>";
  althtmldef "}" as '}'; /* &rcub; */
  latexdef "}" as "\}";
htmldef "class" as
    "<IMG SRC='_class.gif' WIDTH=32 HEIGHT=19 TITLE='class' ALIGN=TOP> ";
  althtmldef "class" as '<FONT COLOR="#808080">class </FONT>';
  latexdef "class" as "{\rm class}";
htmldef "A" as "<IMG SRC='_ca.gif' WIDTH=11 HEIGHT=19 TITLE='A' ALIGN=TOP>";
  althtmldef "A" as '<I><FONT COLOR="#CC33CC">A</FONT></I>';
  latexdef "A" as "A";
htmldef "B" as "<IMG SRC='_cb.gif' WIDTH=12 HEIGHT=19 TITLE='B' ALIGN=TOP>";
  althtmldef "B" as '<I><FONT COLOR="#CC33CC">B</FONT></I>';
  latexdef "B" as "B";
htmldef "C" as "<IMG SRC='_cc.gif' WIDTH=12 HEIGHT=19 TITLE='C' ALIGN=TOP>";
  althtmldef "C" as '<I><FONT COLOR="#CC33CC">C</FONT></I>';
  latexdef "C" as "C";
htmldef "D" as "<IMG SRC='_cd.gif' WIDTH=12 HEIGHT=19 TITLE='D' ALIGN=TOP>";
  althtmldef "D" as '<I><FONT COLOR="#CC33CC">D</FONT></I>';
  latexdef "D" as "D";
htmldef "P" as "<IMG SRC='_cp.gif' WIDTH=12 HEIGHT=19 TITLE='P' ALIGN=TOP>";
  althtmldef "P" as '<I><FONT COLOR="#CC33CC">P</FONT></I>';
  latexdef "P" as "P";
htmldef "R" as "<IMG SRC='_cr.gif' WIDTH=12 HEIGHT=19 TITLE='R' ALIGN=TOP>";
  althtmldef "R" as '<I><FONT COLOR="#CC33CC">R</FONT></I>';
  latexdef "R" as "R";
htmldef "S" as "<IMG SRC='_cs.gif' WIDTH=11 HEIGHT=19 TITLE='S' ALIGN=TOP>";
  althtmldef "S" as '<I><FONT COLOR="#CC33CC">S</FONT></I>';
  latexdef "S" as "S";
htmldef "T" as "<IMG SRC='_ct.gif' WIDTH=12 HEIGHT=19 TITLE='T' ALIGN=TOP>";
  althtmldef "T" as '<I><FONT COLOR="#CC33CC">T</FONT></I>';
  latexdef "T" as "T";
htmldef "=/=" as
    " <IMG SRC='ne.gif' WIDTH=12 HEIGHT=19 TITLE='=/=' ALIGN=TOP> ";
  althtmldef "=/=" as ' &ne; ';
  latexdef "=/=" as "\ne";
htmldef "e/" as
    " <IMG SRC='notin.gif' WIDTH=10 HEIGHT=19 TITLE='e/' ALIGN=TOP> ";
  althtmldef "e/" as ' <FONT FACE=sans-serif>&notin;</FONT> ';
  latexdef "e/" as "\notin";
htmldef "_V" as "<IMG SRC='rmcv.gif' WIDTH=10 HEIGHT=19 TITLE='_V' ALIGN=TOP>";
  althtmldef "_V" as 'V';
  latexdef "_V" as "{\rm V}";
htmldef
    "[_" as "<IMG SRC='_ulbrack.gif' WIDTH=6 HEIGHT=19 TITLE='[_' ALIGN=TOP>";
  althtmldef "[_" as '<U>[</U>'; /* &lsqb; */
  latexdef "[_" as "\underline{[}";
htmldef
    "]_" as "<IMG SRC='_urbrack.gif' WIDTH=5 HEIGHT=19 TITLE=']_' ALIGN=TOP>";
  althtmldef "]_" as '<U>]</U>'; /* &rsqb; */
  latexdef "]_" as "\underline{]}";
htmldef "F" as "<IMG SRC='_cf.gif' WIDTH=13 HEIGHT=19 TITLE='F' ALIGN=TOP>";
  althtmldef "F" as '<I><FONT COLOR="#CC33CC">F</FONT></I>';
  latexdef "F" as "F";
htmldef "G" as "<IMG SRC='_cg.gif' WIDTH=12 HEIGHT=19 TITLE='G' ALIGN=TOP>";
  althtmldef "G" as '<I><FONT COLOR="#CC33CC">G</FONT></I>';
  latexdef "G" as "G";
htmldef "C_" as
    " <IMG SRC='subseteq.gif' WIDTH=12 HEIGHT=19 TITLE='C_' ALIGN=TOP> ";
  althtmldef "C_" as ' <FONT FACE=sans-serif>&#8838;</FONT> '; /* &subE; */
  latexdef "C_" as "\subseteq";
htmldef "C." as
    " <IMG SRC='subset.gif' WIDTH=12 HEIGHT=19 TITLE='C.' ALIGN=TOP> ";
  althtmldef "C." as ' <FONT FACE=sans-serif>&sub;</FONT> ';
  latexdef "C." as "\subset";
htmldef "~" as " &sim; ";
  althtmldef "~" as ' &sim; ';
  latexdef "~" as "\sim";
htmldef "\" as
    " <IMG SRC='setminus.gif' WIDTH=8 HEIGHT=19 TITLE='\' ALIGN=TOP> ";
  althtmldef "\" as ' <FONT FACE=sans-serif>&#8726;</FONT> '; /* &setmn; */
  latexdef "\" as "\setminus";
htmldef "u." as
    " <IMG SRC='cup.gif' WIDTH=10 HEIGHT=19 TITLE='u.' ALIGN=TOP> ";
  althtmldef "u." as ' &cup; ';
  latexdef "u." as "\cup";
htmldef "-i^i" as
    " &ncap ";
  althtmldef "-i^i" as ' &ncap; ';
  latexdef "-i^i" as "\overline{\cap}";
htmldef "i^i" as
    " <IMG SRC='cap.gif' WIDTH=10 HEIGHT=19 TITLE='i^i' ALIGN=TOP> ";
  althtmldef "i^i" as ' &cap; ';
  latexdef "i^i" as "\cap";
htmldef "(/)" as
    "<IMG SRC='varnothing.gif' WIDTH=11 HEIGHT=19 TITLE='(/)' ALIGN=TOP>";
  althtmldef "(/)" as '<FONT FACE=sans-serif>&empty;</FONT>';
    /*althtmldef "(/)" as '&empty;';*/ /* =&#8709 */ /* bad in Opera */
    /*althtmldef "(/)" as '&#8960;';*/
  latexdef "(/)" as "\varnothing";
htmldef "if" as "<IMG SRC='_if.gif' WIDTH=11 HEIGHT=19 TITLE='if' ALIGN=TOP>";
    /*htmldef "ded" as
    "<IMG SRC='_ded.gif' WIDTH=23 HEIGHT=19 TITLE='ded' ALIGN=TOP>";*/
  althtmldef "if" as ' if';
    /*althtmldef "ded" as 'ded';*/
  latexdef "if" as "{\rm if}";
    /*latexdef "ded" as "{\rm ded}";*/
htmldef "," as "<IMG SRC='comma.gif' WIDTH=4 HEIGHT=19 TITLE=',' ALIGN=TOP> ";
  althtmldef "," as ', ';
  latexdef "," as ",";
htmldef "<." as
    "<IMG SRC='langle.gif' WIDTH=4 HEIGHT=19 TITLE='&lt;.' ALIGN=TOP>";
  althtmldef "<." as '<FONT FACE=sans-serif>&lang;</FONT>'; /* &#9001; */
  latexdef "<." as "\langle";
htmldef ">." as
    "<IMG SRC='rangle.gif' WIDTH=4 HEIGHT=19 TITLE='&gt;.' ALIGN=TOP>";
    althtmldef ">." as '<FONT FACE=sans-serif>&rang;</FONT>'; /* &#9002; */
  latexdef ">." as "\rangle";
htmldef "U." as
    "<IMG SRC='bigcup.gif' WIDTH=13 HEIGHT=19 TITLE='U.' ALIGN=TOP>";
  althtmldef "U." as '<FONT SIZE="+1">&cup;</FONT>'; /* &xcup; */
    /* xcup does not render, and #8899 renders as a small bold cup, on
       Mozilla 1.7.3 on Windows XP */
    /*althtmldef "U." as '&#8899;';*/ /* &xcup; */
  latexdef "U." as "\bigcup";
htmldef "|^|" as
    "<IMG SRC='bigcap.gif' WIDTH=13 HEIGHT=19 TITLE='|^|' ALIGN=TOP>";
  althtmldef "|^|" as '<FONT SIZE="+1">&cap;</FONT>'; /* &xcap; */
    /*althtmldef "|^|" as '&#8898;';*/ /* &xcap; */
  latexdef "|^|" as "\bigcap";

htmldef "Q" as "<IMG SRC='_cq.gif' WIDTH=12 HEIGHT=19 TITLE='Q' ALIGN=TOP>";
  althtmldef "Q" as '<I><FONT COLOR="#CC33CC">Q</FONT></I>';
  latexdef "Q" as "Q";
htmldef "t" as "<IMG SRC='_t.gif' WIDTH=7 HEIGHT=19 TITLE='t' ALIGN=TOP>";
  althtmldef "t" as '<I><FONT COLOR="#FF0000">t</FONT></I>';
  latexdef "t" as "t";
htmldef "s" as "<IMG SRC='_s.gif' WIDTH=7 HEIGHT=19 TITLE='s' ALIGN=TOP>";
  althtmldef "s" as '<I><FONT COLOR="#FF0000">s</FONT></I>';
  latexdef "s" as "s";
htmldef "r" as "<IMG SRC='_r.gif' WIDTH=8 HEIGHT=19 TITLE='r' ALIGN=TOP>";
  althtmldef "r" as '<I><FONT COLOR="#FF0000">r</FONT></I>';
  latexdef "r" as "r";
htmldef "a" as "<IMG SRC='_a.gif' WIDTH=9 HEIGHT=19 TITLE='a' ALIGN=TOP>";
  althtmldef "a" as '<I><FONT COLOR="#FF0000">a</FONT></I>';
  latexdef "a" as "a";
htmldef "b" as "<IMG SRC='_b.gif' WIDTH=8 HEIGHT=19 TITLE='b' ALIGN=TOP>";
  althtmldef "b" as '<I><FONT COLOR="#FF0000">b</FONT></I>';
  latexdef "b" as "b";
htmldef "c" as "<IMG SRC='_c.gif' WIDTH=7 HEIGHT=19 TITLE='c' ALIGN=TOP>";
  althtmldef "c" as '<I><FONT COLOR="#FF0000">c</FONT></I>';
  latexdef "c" as "c";
htmldef "d" as "<IMG SRC='_d.gif' WIDTH=9 HEIGHT=19 TITLE='d' ALIGN=TOP>";
  althtmldef "d" as '<I><FONT COLOR="#FF0000">d</FONT></I>';
  latexdef "d" as "d";
htmldef "e" as "<IMG SRC='_e.gif' WIDTH=8 HEIGHT=19 TITLE='e' ALIGN=TOP>";
  althtmldef "e" as '<I><FONT COLOR="#FF0000">e</FONT></I>';
  latexdef "e" as "e";
htmldef "i" as "<IMG SRC='_i.gif' WIDTH=6 HEIGHT=19 TITLE='i' ALIGN=TOP>";
  althtmldef "i" as '<I><FONT COLOR="#FF0000">i</FONT></I>';
  latexdef "i" as "i";
htmldef "j" as "<IMG SRC='_j.gif' WIDTH=7 HEIGHT=19 TITLE='j' ALIGN=TOP>";
  althtmldef "j" as '<I><FONT COLOR="#FF0000">j</FONT></I>';
  latexdef "j" as "j";
htmldef "k" as "<IMG SRC='_k.gif' WIDTH=9 HEIGHT=19 TITLE='k' ALIGN=TOP>";
  althtmldef "k" as '<I><FONT COLOR="#FF0000">k</FONT></I>';
  latexdef "k" as "k";
htmldef "m" as "<IMG SRC='_m.gif' WIDTH=14 HEIGHT=19 TITLE='m' ALIGN=TOP>";
  althtmldef "m" as '<I><FONT COLOR="#FF0000">m</FONT></I>';
  latexdef "m" as "m";
htmldef "n" as "<IMG SRC='_n.gif' WIDTH=10 HEIGHT=19 TITLE='n' ALIGN=TOP>";
  althtmldef "n" as '<I><FONT COLOR="#FF0000">n</FONT></I>';
  latexdef "n" as "n";
htmldef "o" as "<IMG SRC='_o.gif' WIDTH=8 HEIGHT=19 TITLE='o' ALIGN=TOP>";
  althtmldef "o" as '<I><FONT COLOR="#FF0000">o</FONT></I>';
  latexdef "o" as "o";
htmldef "p" as "<IMG SRC='_p.gif' WIDTH=10 HEIGHT=19 TITLE='p' ALIGN=TOP>";
  althtmldef "p" as '<I><FONT COLOR="#FF0000">p</FONT></I>';
  latexdef "p" as "p";
htmldef "q" as "<IMG SRC='_q.gif' WIDTH=8 HEIGHT=19 TITLE='q' ALIGN=TOP>";
  althtmldef "q" as '<I><FONT COLOR="#FF0000">q</FONT></I>';
  latexdef "q" as "q";
htmldef "E" as "<IMG SRC='_ce.gif' WIDTH=13 HEIGHT=19 TITLE='E' ALIGN=TOP>";
  althtmldef "E" as '<I><FONT COLOR="#CC33CC">E</FONT></I>';
  latexdef "E" as "E";
htmldef "I" as "<IMG SRC='_ci.gif' WIDTH=8 HEIGHT=19 TITLE='I' ALIGN=TOP>";
  althtmldef "I" as '<I><FONT COLOR="#CC33CC">I</FONT></I>';
  latexdef "I" as "I";
htmldef "J" as "<IMG SRC='_cj.gif' WIDTH=10 HEIGHT=19 TITLE='J' ALIGN=TOP>";
  althtmldef "J" as '<I><FONT COLOR="#CC33CC">J</FONT></I>';
  latexdef "J" as "J";
htmldef "K" as "<IMG SRC='_ck.gif' WIDTH=14 HEIGHT=19 TITLE='K' ALIGN=TOP>";
  althtmldef "K" as '<I><FONT COLOR="#CC33CC">K</FONT></I>';
  latexdef "K" as "K";
htmldef "L" as "<IMG SRC='_cl.gif' WIDTH=10 HEIGHT=19 TITLE='L' ALIGN=TOP>";
  althtmldef "L" as '<I><FONT COLOR="#CC33CC">L</FONT></I>';
  latexdef "L" as "L";
htmldef "M" as "<IMG SRC='_cm.gif' WIDTH=15 HEIGHT=19 TITLE='M' ALIGN=TOP>";
  althtmldef "M" as '<I><FONT COLOR="#CC33CC">M</FONT></I>';
  latexdef "M" as "M";
htmldef "N" as "<IMG SRC='_cn.gif' WIDTH=14 HEIGHT=19 TITLE='N' ALIGN=TOP>";
  althtmldef "N" as '<I><FONT COLOR="#CC33CC">N</FONT></I>';
  latexdef "N" as "N";
htmldef "O" as "<IMG SRC='_co.gif' WIDTH=12 HEIGHT=19 TITLE='O' ALIGN=TOP>";
  althtmldef "O" as '<I><FONT COLOR="#CC33CC">O</FONT></I>';
  latexdef "O" as "O";
htmldef "U" as "<IMG SRC='_cu.gif' WIDTH=12 HEIGHT=19 TITLE='U' ALIGN=TOP>";
  althtmldef "U" as '<I><FONT COLOR="#CC33CC">U</FONT></I>';
  latexdef "U" as "U";
htmldef "V" as "<IMG SRC='_cv.gif' WIDTH=12 HEIGHT=19 TITLE='V' ALIGN=TOP>";
  althtmldef "V" as '<I><FONT COLOR="#CC33CC">V</FONT></I>';
  latexdef "V" as "V";
htmldef "W" as "<IMG SRC='_cw.gif' WIDTH=16 HEIGHT=19 TITLE='W' ALIGN=TOP>";
  althtmldef "W" as '<I><FONT COLOR="#CC33CC">W</FONT></I>';
  latexdef "W" as "W";
htmldef "X" as "<IMG SRC='_cx.gif' WIDTH=13 HEIGHT=19 TITLE='X' ALIGN=TOP>";
  althtmldef "X" as '<I><FONT COLOR="#CC33CC">X</FONT></I>';
  latexdef "X" as "X";
htmldef "Y" as "<IMG SRC='_cy.gif' WIDTH=12 HEIGHT=19 TITLE='Y' ALIGN=TOP>";
  althtmldef "Y" as '<I><FONT COLOR="#CC33CC">Y</FONT></I>';
  latexdef "Y" as "Y";
htmldef "Z" as "<IMG SRC='_cz.gif' WIDTH=11 HEIGHT=19 TITLE='Z' ALIGN=TOP>";
  althtmldef "Z" as '<I><FONT COLOR="#CC33CC">Z</FONT></I>';
  latexdef "Z" as "Z";

htmldef "T." as
    " <IMG SRC='top.gif' WIDTH=11 HEIGHT=19 TITLE='T.' ALIGN=TOP> ";
  althtmldef "T." as ' &#x22A4; ';
  latexdef "T." as "\top";
htmldef "F." as
    " <IMG SRC='perp.gif' WIDTH=11 HEIGHT=19 TITLE='F.' ALIGN=TOP> ";
  althtmldef "F." as ' &perp; ';
  latexdef "F." as "\bot";

htmldef "iota" as
    "<IMG SRC='riota.gif' WIDTH=6 HEIGHT=19 TITLE='iota' ALIGN=TOP>";
  althtmldef "iota" as '&#8489;';
  latexdef "iota" as "\mathrm{\rotatebox[origin=C]{180}{$\iota$}}";
htmldef "h" as "<IMG SRC='_h.gif' WIDTH=10 HEIGHT=19 TITLE='h' ALIGN=TOP>";
  althtmldef "h" as '<I><FONT COLOR="#FF0000">h</FONT></I>';
  latexdef "h" as "h";
htmldef "H" as "<IMG SRC='_ch.gif' WIDTH=14 HEIGHT=19 TITLE='H' ALIGN=TOP>";
  althtmldef "H" as '<I><FONT COLOR="#CC33CC">H</FONT></I>';
  latexdef "H" as "H";

htmldef ".<_" as
    " <IMG SRC='_.le.gif' WIDTH=11 HEIGHT=19 TITLE='.&lt;_' ALIGN=TOP> ";
  althtmldef ".<_" as ' <FONT COLOR="#CC33CC">&le;</FONT> ';
  latexdef ".<_" as "\le";
htmldef ".\/" as
    " <IMG SRC='_.vee.gif' WIDTH=11 HEIGHT=19 TITLE='.\/' ALIGN=TOP> ";
  althtmldef ".\/" as ' <FONT COLOR="#CC33CC">&or;</FONT> ' ;
  latexdef ".\/" as "\vee";
htmldef "./\" as
    " <IMG SRC='_.wedge.gif' WIDTH=11 HEIGHT=19 TITLE='./\' ALIGN=TOP> ";
  althtmldef "./\" as ' <FONT COLOR="#CC33CC">&and;</FONT> ';
  latexdef "./\" as "\wedge";
htmldef ".+" as
    " <IMG SRC='_.plus.gif' WIDTH=13 HEIGHT=19 TITLE='.+' ALIGN=TOP> ";
  althtmldef ".+" as ' <FONT COLOR="#CC33CC">+</FONT> ';
  latexdef ".+" as "+";


htmldef "X." as
    " <IMG SRC='times.gif' WIDTH=9 HEIGHT=19 TITLE='X.' ALIGN=TOP> ";
  althtmldef "X." as ' &times; ';
  latexdef "X." as "\times";
htmldef "`'" as "<IMG SRC='_cnv.gif' WIDTH=10 HEIGHT=19 TITLE=" + '"' + "`'" +
    '"' + " ALIGN=TOP>";
    /*htmldef "`'" as
      "<IMG SRC='smallsmile.gif' WIDTH=12 HEIGHT=19 TITLE=" +
      '"' + "`'" + '"' + " ALIGN=TOP>";*/
  althtmldef "`'" as '<FONT SIZE="-1"><SUP>&#9697;</SUP></FONT>'; /* or 8995 */
  latexdef "`'" as "{}^{\smallsmile}";
htmldef "dom" as
    "<IMG SRC='_dom.gif' WIDTH=26 HEIGHT=19 TITLE='dom' ALIGN=TOP> ";
  althtmldef "dom" as 'dom ';
  latexdef "dom" as "{\rm dom}";
htmldef "ran" as
    "<IMG SRC='_ran.gif' WIDTH=22 HEIGHT=19 TITLE='ran' ALIGN=TOP> ";
  althtmldef "ran" as 'ran ';
  latexdef "ran" as "{\rm ran}";
htmldef "|`" as " <IMG SRC='restriction.gif' WIDTH=5 HEIGHT=19 TITLE='|`'" +
    " ALIGN=TOP> ";
  althtmldef "|`" as ' <FONT FACE=sans-serif>&#8638;</FONT> '; /* &uharr; */
  latexdef "|`" as "\restriction";
htmldef '"' as "<IMG SRC='backquote.gif' WIDTH=7 HEIGHT=19 TITLE='" + '"' +
    "' ALIGN=TOP>";
  althtmldef '"' as ' &#8220; ';
  latexdef '"' as "``";
htmldef "o." as
    " <IMG SRC='circ.gif' WIDTH=8 HEIGHT=19 TITLE='o.' ALIGN=TOP> ";
  althtmldef "o." as ' <FONT FACE=sans-serif>&#8728;</FONT> ';
  latexdef "o." as "\circ";
htmldef "Rel" as
    "<IMG SRC='_rel.gif' WIDTH=22 HEIGHT=19 TITLE='Rel' ALIGN=TOP> ";
  althtmldef "Rel" as 'Rel ';
  latexdef "Rel" as "{\rm Rel}";
htmldef
    "Fun" as "<IMG SRC='_fun.gif' WIDTH=25 HEIGHT=19 TITLE='Fun' ALIGN=TOP> ";
  althtmldef "Fun" as 'Fun ';
  latexdef "Fun" as "{\rm Fun}";
htmldef "Fn" as
    " <IMG SRC='_fn.gif' WIDTH=17 HEIGHT=19 TITLE='Fn' ALIGN=TOP> ";
  althtmldef "Fn" as ' Fn ';
  latexdef "Fn" as "{\rm Fn}";
htmldef ":" as "<IMG SRC='colon.gif' WIDTH=4 HEIGHT=19 TITLE=':' ALIGN=TOP>";
  althtmldef ":" as ':';
  latexdef ":" as ":";
htmldef "-->" as
  "<IMG SRC='longrightarrow.gif' WIDTH=23 HEIGHT=19 TITLE='--&gt;' ALIGN=TOP>";
  althtmldef "-->" as '&ndash;&rarr;';
    /* &#xAD;&#x2010;&ndash;&mdash;&minus; (possible symbols test) */
  latexdef "-->" as "\longrightarrow";
htmldef "-1-1->" as
    "<IMG SRC='onetoone.gif' WIDTH=23 HEIGHT=19 TITLE='-1-1-&gt;' ALIGN=TOP>";
  althtmldef "-1-1->" as
    '&ndash;<FONT SIZE=-2 FACE=sans-serif>1-1</FONT>&rarr;';
  latexdef "-1-1->" as
    "\raisebox{.5ex}{${\textstyle{\:}_{\mbox{\footnotesize\rm 1" +
    "\tt -\rm 1}}}\atop{\textstyle{" +
    "\longrightarrow}\atop{\textstyle{}^{\mbox{\footnotesize\rm {\ }}}}}$}";
htmldef "-onto->" as
    "<IMG SRC='onto.gif' WIDTH=23 HEIGHT=19 TITLE='-onto-&gt;' ALIGN=TOP>";
  althtmldef "-onto->" as
    '&ndash;<FONT SIZE=-2 FACE=sans-serif>onto</FONT>&rarr;';
  latexdef "-onto->" as
    "\raisebox{.5ex}{${\textstyle{\:}_{\mbox{\footnotesize\rm {\ }}}}" +
    "\atop{\textstyle{" +
    "\longrightarrow}\atop{\textstyle{}^{\mbox{\footnotesize\rm onto}}}}$}";
htmldef "-1-1-onto->" as "<IMG SRC='onetooneonto.gif' WIDTH=23 HEIGHT=19 " +
    "TITLE='-1-1-onto-&gt;' ALIGN=TOP>";
  althtmldef "-1-1-onto->" as '&ndash;<FONT SIZE=-2 '
    + 'FACE=sans-serif>1-1</FONT>-<FONT SIZE=-2 '
    + 'FACE=sans-serif>onto</FONT>&rarr;';
  latexdef "-1-1-onto->" as
    "\raisebox{.5ex}{${\textstyle{\:}_{\mbox{\footnotesize\rm 1" +
    "\tt -\rm 1}}}\atop{\textstyle{" +
    "\longrightarrow}\atop{\textstyle{}^{\mbox{\footnotesize\rm onto}}}}$}";
htmldef "`" as
    "<IMG SRC='backtick.gif' WIDTH=4 HEIGHT=19 TITLE='` ' ALIGN=TOP>";
    /* Above, IE7 _printing_ is corrupted by '`'; use '` ' which works */
  althtmldef "`" as ' &lsquo;';
  latexdef "`" as "`";
htmldef "Isom" as
    " <IMG SRC='_isom.gif' WIDTH=30 HEIGHT=19 TITLE='Isom' ALIGN=TOP> ";
  althtmldef "Isom" as ' Isom ';
  latexdef "Isom" as "{\rm Isom}";
htmldef "|->" as " <IMG SRC='mapsto.gif' WIDTH=15 HEIGHT=19 TITLE='|-&gt;'" +
    " ALIGN=TOP> ";
  althtmldef "|->" as ' <FONT FACE=sans-serif>&#8614;</FONT> ';
  latexdef "|->" as "\mapsto";
htmldef "1st" as
    "<IMG SRC='_1st.gif' WIDTH=15 HEIGHT=19 TITLE='1st' ALIGN=TOP>";
  althtmldef "1st" as '1<SUP>st</SUP> ';
  latexdef "1st" as "1^{\rm st}";
htmldef "2nd" as
    "<IMG SRC='_2nd.gif' WIDTH=21 HEIGHT=19 TITLE='2nd' ALIGN=TOP>";
  althtmldef "2nd" as '2<SUP>nd</SUP> ';
  latexdef "2nd" as "2^{\rm nd}";
htmldef "Swap" as
    "<FONT FACE=sans-serif> Swap </FONT>";
  althtmldef "Swap" as '<FONT FACE=sans-serif> Swap </FONT>';
  latexdef "Swap" as "{\rm Swap}";

htmldef "_E" as
    " <IMG SRC='rmce.gif' WIDTH=9 HEIGHT=19 TITLE='_E' ALIGN=TOP> ";
  althtmldef "_E" as ' E ';
  latexdef "_E" as "{\rm E}";
htmldef "_I" as
    " <IMG SRC='rmci.gif' WIDTH=4 HEIGHT=19 TITLE='_I' ALIGN=TOP> ";
  althtmldef "_I" as ' I ';
  latexdef "_I" as "{\rm I}";

htmldef "U_" as
    "<IMG SRC='_cupbar.gif' WIDTH=13 HEIGHT=19 TITLE='U_' ALIGN=TOP>";
  althtmldef "U_" as '<U><FONT SIZE="+1">&cup;</FONT></U>'; /* &xcup; */
  latexdef "U_" as "\underline{\bigcup}";
htmldef "|^|_" as
    "<IMG SRC='_capbar.gif' WIDTH=13 HEIGHT=19 TITLE='|^|_' ALIGN=TOP>";
  althtmldef "|^|_" as '<U><FONT SIZE="+1">&cap;</FONT></U>'; /* &xcap; */
  latexdef "|^|_" as "\underline{\bigcap}";

htmldef "(+)" as
    " <IMG SRC='oplus.gif' WIDTH=13 HEIGHT=19 TITLE='(+)' ALIGN=TOP> ";
  althtmldef "(+)" as " &#x2295; ";
  latexdef "(+)" as "\oplus";


/* _0c.gif is missing  NM 16-Apr-2015
htmldef "0c" as "<IMG SRC='_0c.gif' WIDTH=13 HEIGHT=19 TITLE='1o' ALIGN=TOP>";
*/
htmldef "0c" as '0<SUB><I>c</I></SUB>';
  althtmldef "0c" as '0<SUB><I>c</I></SUB>';
  latexdef "0c" as "0_c";
/* _1c.gif is missing  NM 16-Apr-2015
htmldef "1c" as "<IMG SRC='_1c.gif' WIDTH=13 HEIGHT=19 TITLE='1o' ALIGN=TOP>";
*/
htmldef "1c" as '1<SUB><I>c</I></SUB>';
  althtmldef "1c" as '1<SUB><I>c</I></SUB>';
  latexdef "1c" as "1_c";
htmldef "+c" as
    " <IMG SRC='_plc.gif' WIDTH=18 HEIGHT=19 TITLE='+o' ALIGN=TOP> ";
  althtmldef "+c" as ' +<SUB><I>c</I></SUB> ';
  latexdef "+c" as "+_c";

htmldef "l" as "<IMG SRC='_l.gif' WIDTH=6 HEIGHT=19 TITLE='l' ALIGN=TOP>";
  althtmldef "l" as '<I><FONT COLOR="#FF0000">l</FONT></I>';
  latexdef "l" as "l";

htmldef "Fix" as
    "<IMG SRC='_fix.gif' WIDTH=21 HEIGHT=19 TITLE='Fix' ALIGN=TOP>";
  althtmldef "Fix" as '<FONT FACE=sans-serif> Fix </FONT>';
  latexdef "Fix" as "{\rm Fix}";
htmldef "<<" as
    "<IMG SRC='llangle.gif' WIDTH=6 HEIGHT=19 TITLE='&lt;&lt;' ALIGN=TOP>";
  althtmldef "<<" as "&#10218;";
  latexdef "<<" as "\langle\langle";
htmldef ">>" as
    "<IMG SRC='rrangle.gif' WIDTH=6 HEIGHT=19 TITLE='&gt;&gt;' ALIGN=TOP>";
  althtmldef ">>" as "&#10219;";
  latexdef ">>" as "\rangle\rangle";
htmldef "(x)" as
    " <IMG SRC='otimes.gif' WIDTH=13 HEIGHT=19 TITLE='(x)' ALIGN=TOP> ";
  althtmldef "(x)" as " &#x2297; ";
  latexdef "(x)" as "\otimes";
htmldef "Image" as "Image";
  althtmldef "Image" as "Image";
  latexdef "Image" as "{\rm Image}";

htmldef "Image_k" as "Image<SUB><I>k</I></SUB>";
  althtmldef "Image_k" as "Image<SUB><I>k</I></SUB>";
  latexdef "Image_k" as "{\rm Image}_k";

htmldef "~P1" as "<IMG SRC='scrp.gif' WIDTH=16 HEIGHT=19 TITLE='~P' ALIGN=TOP><SUB>1</SUB>";
  althtmldef "~P1" as '<FONT FACE=sans-serif>&weierp;</FONT><SUB>1</SUB>';
  latexdef "~P1" as "{\cal P}_1";

htmldef "X._k" as
    " <IMG SRC='times.gif' WIDTH=9 HEIGHT=19 TITLE='X.' ALIGN=TOP><SUB><I>k</I></SUB> ";
  althtmldef "X._k" as ' &times;<SUB><I>k</I></SUB> ';
  latexdef "X._k" as "\times_k";
htmldef "`'_k" as "<IMG SRC='_cnv.gif' WIDTH=10 HEIGHT=19 TITLE=" + '"' + "`'" +
    '"' + " ALIGN=TOP><SUB><I>k</I></SUB>";
    /*htmldef "`'" as
      "<IMG SRC='smallsmile.gif' WIDTH=12 HEIGHT=19 TITLE=" +
      '"' + "`'" + '"' + " ALIGN=TOP>";*/
  althtmldef "`'_k" as '<FONT SIZE="-1"><SUP>&#9697;</SUP></FONT><SUB><I>k</I></SUB>'; /* or 8995 */
  latexdef "`'_k" as "{}^{\smallsmile}_k";
htmldef '"_k' as "<IMG SRC='backquote.gif' WIDTH=7 HEIGHT=19 TITLE='" + '"' +
    "' ALIGN=TOP><SUB><I>k</I></SUB>";
  althtmldef '"_k' as ' &#8220;<SUB><I>k</I></SUB> ';
  latexdef '"_k' as "``_k";
htmldef "o._k" as
    " <IMG SRC='circ.gif' WIDTH=8 HEIGHT=19 TITLE='o.' ALIGN=TOP><SUB><I>k</I></SUB> ";
  althtmldef "o._k" as ' <FONT FACE=sans-serif>&#8728;</FONT><SUB><I>k</I></SUB> ';
  latexdef "o._k" as "\circ_k";
htmldef "SI" as
    "<FONT FACE=sans-serif> SI </FONT>";
  althtmldef "SI" as '<FONT FACE=sans-serif> SI </FONT>';
  latexdef "SI" as "{\rm SI}";
htmldef "Clos1" as
    "<FONT FACE=sans-serif> Clos1 </FONT>";
  althtmldef "Clos1" as '<FONT FACE=sans-serif> Clos1 </FONT>';
  latexdef "Clos1" as "{\rm Clos1}";
htmldef "Phi" as
    "<FONT FACE=sans-serif> Phi </FONT>";
  althtmldef "Phi" as '<FONT FACE=sans-serif> Phi </FONT>';
  latexdef "Phi" as "{\rm Phi}";
htmldef "Proj1" as
    "<FONT FACE=sans-serif> Proj1 </FONT>";
  althtmldef "Proj1" as '<FONT FACE=sans-serif> Proj1 </FONT>';
  latexdef "Proj1" as "{\rm Proj1}";
htmldef "Proj2" as
    "<FONT FACE=sans-serif> Proj2 </FONT>";
  althtmldef "Proj2" as '<FONT FACE=sans-serif> Proj2 </FONT>';
  latexdef "Proj2" as "{\rm Proj2}";
htmldef "SSet" as
    "<FONT FACE=sans-serif> SSet </FONT>";
  althtmldef "SSet" as '<FONT FACE=sans-serif> SSet </FONT>';
  latexdef "SSet" as "{\rm SSet}";
/* bigcup1.gif is missing  NM 16-Apr-2015
htmldef "U.1" as
    "<IMG SRC='bigcup1.gif' WIDTH=13 HEIGHT=19 TITLE='U.1' ALIGN=TOP>";
*/
htmldef "U.1" as '&xcup;<SUB>1</SUB>';
  althtmldef "U.1" as '&xcup;<SUB>1</SUB>';
  latexdef "U.1" as "\bigcup_1";
htmldef "_I_k" as
    " <IMG SRC='rmci.gif' WIDTH=4 HEIGHT=19 TITLE='_I_k' ALIGN=TOP><SUB><I>k</I></SUB> ";
  althtmldef "_I_k" as ' I<SUB><I>k</I></SUB> ';
  latexdef "_I_k" as "{\rm I}_k";
htmldef "SSet_k" as
    " <FONT FACE=sans-serif>SSet</FONT><SUB><I>k</I></SUB> ";
  althtmldef "SSet_k" as ' <FONT FACE=sans-serif>SSet</FONT><SUB><I>k</I></SUB> ';
  latexdef "SSet_k" as "{\rm SSet}_k";
htmldef "Ins2_k" as
    " <FONT FACE=sans-serif>Ins2</FONT><SUB><I>k</I></SUB> ";
  althtmldef "Ins2_k" as ' <FONT FACE=sans-serif>Ins2</FONT><SUB><I>k</I></SUB> ';
  latexdef "Ins2_k" as "{\rm Ins2}_k";
htmldef "Ins3_k" as
    " <FONT FACE=sans-serif>Ins3</FONT><SUB><I>k</I></SUB> ";
  althtmldef "Ins3_k" as ' <FONT FACE=sans-serif>Ins3</FONT><SUB><I>k</I></SUB> ';
  latexdef "Ins3_k" as "{\rm Ins3}_k";
htmldef "SI_k" as
    " <FONT FACE=sans-serif>SI</FONT><SUB><I>k</I></SUB> ";
  althtmldef "SI_k" as ' <FONT FACE=sans-serif>SI</FONT><SUB><I>k</I></SUB> ';
  latexdef "SI_k" as "{\rm SI}_k";


htmldef "Ins2" as
    " <FONT FACE=sans-serif>Ins2</FONT> ";
  althtmldef "Ins2" as ' <FONT FACE=sans-serif>Ins2</FONT> ';
  latexdef "Ins2" as "{\rm Ins2}";
htmldef "Ins3" as
    " <FONT FACE=sans-serif>Ins3</FONT> ";
  althtmldef "Ins3" as ' <FONT FACE=sans-serif>Ins3</FONT> ';
  latexdef "Ins3" as "{\rm Ins3}";
htmldef "Ins4" as
    " <FONT FACE=sans-serif>Ins4</FONT> ";
  althtmldef "Ins4" as ' <FONT FACE=sans-serif>Ins4</FONT> ';
  latexdef "Ins4" as "{\rm Ins4}";
htmldef "Cup" as
    " <FONT FACE=sans-serif>Cup</FONT> ";
  althtmldef "Cup" as ' <FONT FACE=sans-serif>Cup</FONT> ';
  latexdef "Cup" as "{\rm Cup}";
htmldef "Disj" as
    " <FONT FACE=sans-serif>Disj</FONT> ";
  althtmldef "Disj" as ' <FONT FACE=sans-serif>Disj</FONT> ';
  latexdef "Disj" as "{\rm Disj}";
htmldef "AddC" as
    " <FONT FACE=sans-serif>AddC</FONT> ";
  althtmldef "AddC" as ' <FONT FACE=sans-serif>AddC</FONT> ';
  latexdef "AddC" as "{\rm AddC}";

htmldef "SI_3" as
    " <FONT FACE=sans-serif>SI</FONT><SUB><I>3</I></SUB> ";
  althtmldef "SI_3" as ' <FONT FACE=sans-serif>SI</FONT><SUB><I>3</I></SUB> ';
  latexdef "SI_3" as "{\rm SI}_3";


htmldef "P6" as
    " <FONT FACE=sans-serif>P6</FONT> ";
  althtmldef "P6" as ' <FONT FACE=sans-serif>P6</FONT> ';
  latexdef "P6" as "{\rm P6}";


htmldef "Nn" as
    " <FONT FACE=sans-serif>Nn</FONT> ";
  althtmldef "Nn" as ' <FONT FACE=sans-serif>Nn</FONT> ';
  latexdef "Nn" as "{\rm Nn}";
htmldef "Fin" as
    " <FONT FACE=sans-serif>Fin</FONT> ";
  althtmldef "Fin" as ' <FONT FACE=sans-serif>Fin</FONT> ';
  latexdef "Fin" as "{\rm Fin}";

htmldef "<_[fin]" as
    " <IMG SRC='le.gif' WIDTH=11 HEIGHT=19 ALT='&lt;_' ALIGN=TOP><SUB>fin</SUB> ";
  althtmldef "<_[fin]" as ' &le;<SUB>fin</SUB> ';
  latexdef "<_[fin]" as "{\le}_{\rm fin}";
htmldef "<[fin]" as
    " <IMG SRC='lt.gif' WIDTH=11 HEIGHT=19 ALT='&lt;' ALIGN=TOP><SUB>fin</SUB> ";
  althtmldef "<[fin]" as ' &lt;<SUB>fin</SUB> ';
  latexdef "<[fin]" as "<_{\rm fin}";
htmldef "Nc[fin]" as
    " <FONT FACE=sans-serif>Nc</FONT><SUB>fin</SUB> ";
  althtmldef "Nc[fin]" as ' <FONT FACE=sans-serif>Nc</FONT><SUB>fin</SUB> ';
  latexdef "Nc[fin]" as "{\rm Nc}_{\rm fin}";
htmldef "_T[fin]" as
    " <FONT FACE=sans-serif>T</FONT><SUB>fin</SUB> ";
  althtmldef "_T[fin]" as ' <FONT FACE=sans-serif>T</FONT><SUB>fin</SUB> ';
  latexdef "_T[fin]" as "{\rm T}_{\rm fin}";
htmldef "Even[fin]" as
    " <FONT FACE=sans-serif>Even</FONT><SUB>fin</SUB> ";
  althtmldef "Even[fin]" as ' <FONT FACE=sans-serif>Even</FONT><SUB>fin</SUB> ';
  latexdef "Even[fin]" as "{\rm Even}_{\rm fin}";
htmldef "Odd[fin]" as
    " <FONT FACE=sans-serif>Odd</FONT><SUB>fin</SUB> ";
  althtmldef "Odd[fin]" as ' <FONT FACE=sans-serif>Odd</FONT><SUB>fin</SUB> ';
  latexdef "Odd[fin]" as "{\rm Odd}_{\rm fin}";
htmldef "_S[fin]" as
    " <FONT FACE=sans-serif>S</FONT><SUB>fin</SUB> ";
  althtmldef "_S[fin]" as ' <FONT FACE=sans-serif>S</FONT><SUB>fin</SUB> ';
  latexdef "_S[fin]" as "{\rm S}_{\rm fin}";
htmldef "Sp[fin]" as
    " <FONT FACE=sans-serif>Sp</FONT><SUB>fin</SUB> ";
  althtmldef "Sp[fin]" as ' <FONT FACE=sans-serif>Sp</FONT><SUB>fin</SUB> ';
  latexdef "Sp[fin]" as "{\rm Sp}_{\rm fin}";

htmldef "Funs" as
    " <FONT FACE=sans-serif>Funs</FONT> ";
  althtmldef "Funs" as ' <FONT FACE=sans-serif>Funs</FONT> ';
  latexdef "Funs" as "{\rm Funs}";
htmldef "Fns" as
    " <FONT FACE=sans-serif>Fns</FONT> ";
  althtmldef "Fns" as ' <FONT FACE=sans-serif>Fns</FONT> ';
  latexdef "Fns" as "{\rm Fns}";
htmldef "PProd" as
    " <FONT FACE=sans-serif>PProd</FONT> ";
  althtmldef "PProd" as ' <FONT FACE=sans-serif>PProd</FONT> ';
  latexdef "PProd" as "{\rm PProd}";
htmldef "Cross" as
    " <FONT FACE=sans-serif>Cross</FONT> ";
  althtmldef "Cross" as ' <FONT FACE=sans-serif>Cross</FONT> ';
  latexdef "Cross" as "{\rm Cross}";
htmldef "Pw1Fn" as
    " <FONT FACE=sans-serif>Pw1Fn</FONT> ";
  althtmldef "Pw1Fn" as ' <FONT FACE=sans-serif>Pw1Fn</FONT> ';
  latexdef "Pw1Fn" as "{\rm Pw1Fn}";
htmldef "FullFun" as
    " <FONT FACE=sans-serif>FullFun</FONT> ";
  althtmldef "FullFun" as ' <FONT FACE=sans-serif>FullFun</FONT> ';
  latexdef "FullFun" as "{\rm FullFun}";

htmldef "Trans" as
    " <FONT FACE=sans-serif>Trans</FONT> ";
  althtmldef "Trans" as ' <FONT FACE=sans-serif>Trans</FONT> ';
  latexdef "Trans" as "{\rm Trans}";
htmldef "Ref" as
    " <FONT FACE=sans-serif>Ref</FONT> ";
  althtmldef "Ref" as ' <FONT FACE=sans-serif>Ref</FONT> ';
  latexdef "Ref" as "{\rm Ref}";
htmldef "Antisym" as
    " <FONT FACE=sans-serif>Antisym</FONT> ";
  althtmldef "Antisym" as ' <FONT FACE=sans-serif>Antisym</FONT> ';
  latexdef "Antisym" as "{\rm Antisym}";
htmldef "Po" as
    " <FONT FACE=sans-serif>Po</FONT> ";
  althtmldef "Po" as ' <FONT FACE=sans-serif>Po</FONT> ';
  latexdef "Po" as "{\rm Po}";
htmldef "Connex" as
    " <FONT FACE=sans-serif>Connex</FONT> ";
  althtmldef "Connex" as ' <FONT FACE=sans-serif>Connex</FONT> ';
  latexdef "Connex" as "{\rm Connex}";
htmldef "Or" as
    " <FONT FACE=sans-serif>Or</FONT> ";
  althtmldef "Or" as ' <FONT FACE=sans-serif>Or</FONT> ';
  latexdef "Or" as "{\rm Or}";
htmldef "Fr" as
    " <FONT FACE=sans-serif>Fr</FONT> ";
  althtmldef "Fr" as ' <FONT FACE=sans-serif>Fr</FONT> ';
  latexdef "Fr" as "{\rm Fr}";
htmldef "We" as
    " <FONT FACE=sans-serif>We</FONT> ";
  althtmldef "We" as ' <FONT FACE=sans-serif>We</FONT> ';
  latexdef "We" as "{\rm We}";
htmldef "Ext" as
    " <FONT FACE=sans-serif>Ext</FONT> ";
  althtmldef "Ext" as ' <FONT FACE=sans-serif>Ext</FONT> ';
  latexdef "Ext" as "{\rm Ext}";
htmldef "Sym" as
    " <FONT FACE=sans-serif>Sym</FONT> ";
  althtmldef "Sym" as ' <FONT FACE=sans-serif>Sym</FONT> ';
  latexdef "Sym" as "{\rm Sym}";
htmldef "Er" as
    " <FONT FACE=sans-serif>Er</FONT> ";
  althtmldef "Er" as ' <FONT FACE=sans-serif>Er</FONT> ';
  latexdef "Er" as "{\rm Er}";

htmldef "/." as
    "<IMG SRC='diagup.gif' WIDTH=14 HEIGHT=19 TITLE='/.' ALIGN=TOP>";
  althtmldef "/." as ' <B>/</B> ';
  latexdef "/." as "\diagup";

htmldef "~~" as
    " <IMG SRC='approx.gif' WIDTH=13 HEIGHT=19 TITLE='~~' ALIGN=TOP> ";
  althtmldef "~~" as ' &#8776; '; /* &ap; */
  latexdef "~~" as "\approx";

htmldef "^m" as
    " <IMG SRC='_hatm.gif' WIDTH=15 HEIGHT=19 TITLE='^m' ALIGN=TOP> ";
  althtmldef "^m" as ' &uarr;<SUB><I>m</I></SUB> ';
  latexdef "^m" as "\uparrow_m";
htmldef "^pm" as
    " <IMG SRC='_hatpm.gif' WIDTH=21 HEIGHT=19 TITLE='^pm' ALIGN=TOP> ";
  althtmldef "^pm" as ' &uarr;<SUB><I>pm</I></SUB> ';
  latexdef "^pm" as "\uparrow_{pm}";

htmldef "NC" as
    " <FONT FACE=sans-serif>NC</FONT> ";
  althtmldef "NC" as ' <FONT FACE=sans-serif>NC</FONT> ';
  latexdef "NC" as "{\rm NC}";
htmldef "<_c" as
    " <IMG SRC='le.gif' WIDTH=11 HEIGHT=19 ALT='&lt;_' ALIGN=TOP><SUB>c</SUB> ";
  althtmldef "<_c" as ' &le;<SUB>c</SUB> ';
  latexdef "<_c" as "{\le}_c";
htmldef "<c" as
    " <IMG SRC='lt.gif' WIDTH=11 HEIGHT=19 ALT='&lt;' ALIGN=TOP><SUB>c</SUB> ";
  althtmldef "<c" as ' &lt;<SUB>c</SUB> ';
  latexdef "<c" as "<_c ";
htmldef "Nc" as
    " <FONT FACE=sans-serif>Nc</FONT> ";
  althtmldef "Nc" as ' <FONT FACE=sans-serif>Nc</FONT> ';
  latexdef "Nc" as "{\rm Nc}";
/* _cdc.gif is missing  NM 16-Apr-2015
htmldef ".c" as
    " <IMG SRC='_cdc.gif' WIDTH=10 HEIGHT=19 TITLE='.c' ALIGN=TOP> ";
*/
htmldef ".c" as ' &middot;<SUB><I>c</I></SUB> ';
  althtmldef ".c" as ' &middot;<SUB><I>c</I></SUB> ';
  latexdef ".c" as "\cdot_c";
htmldef "T_c" as
    " <FONT FACE=sans-serif>T</FONT><SUB>c</SUB> ";
  althtmldef "T_c" as ' <FONT FACE=sans-serif>T</FONT><SUB>c</SUB> ';
  latexdef "T_c" as "{\rm T}_c ";
/* _2c.gif is missing  NM 16-Apr-2015
htmldef "2c" as "<IMG SRC='_2c.gif' WIDTH=13 HEIGHT=19 TITLE='2c' ALIGN=TOP>";
*/
htmldef "2c" as '2<SUB><I>c</I></SUB>';
  althtmldef "2c" as '2<SUB><I>c</I></SUB>';
  latexdef "2c" as "2_c";
/* _3c.gif is missing  NM 16-Apr-2015
htmldef "3c" as "<IMG SRC='_3c.gif' WIDTH=13 HEIGHT=19 TITLE='3c' ALIGN=TOP>";
*/
htmldef "3c" as '3<SUB><I>c</I></SUB>';
  althtmldef "3c" as '3<SUB><I>c</I></SUB>';
  latexdef "3c" as "3_c";
/* _hatc.gif is missing  NM 16-Apr-2015
htmldef "^c" as
    " <IMG SRC='_hatc.gif' WIDTH=15 HEIGHT=19 TITLE='^c' ALIGN=TOP> ";
*/
htmldef "^c" as ' &uarr;<SUB><I>c</I></SUB> ';
  althtmldef "^c" as ' &uarr;<SUB><I>c</I></SUB> ';
  latexdef "^c" as "\uparrow_c";

htmldef "Sp[ac]" as
    " <FONT FACE=sans-serif>Sp</FONT><SUB>ac</SUB> ";
  althtmldef "Sp[ac]" as ' <FONT FACE=sans-serif>Sp</FONT><SUB>ac</SUB> ';
  latexdef "Sp[ac]" as "{\rm Sp}_{\rm ac}";

/* The following missing ones were added by NM 16-Apr-2015 */
htmldef "TcFn" as "TcFn";
  althtmldef "TcFn" as "TcFn";
  latexdef "TcFn" as "{\rm TcFn}";
htmldef "a1" as "<FONT COLOR='#FF0000'><I>a<SUB>1</SUB></I></FONT>";
  althtmldef "a1" as "<FONT COLOR='#FF0000'><I>a<SUB>1</SUB></I></FONT>";
  latexdef "a1" as "{\rm a_1}";
htmldef "b1" as "<FONT COLOR='#FF0000'><I>b<SUB>1</SUB></I></FONT>";
  althtmldef "b1" as "<FONT COLOR='#FF0000'><I>b<SUB>1</SUB></I></FONT>";
  latexdef "b1" as "{\rm b_1}";
htmldef "c1" as "<FONT COLOR='#FF0000'><I>c<SUB>1</SUB></I></FONT>";
  althtmldef "c1" as "<FONT COLOR='#FF0000'><I>c<SUB>1</SUB></I></FONT>";
  latexdef "c1" as "{\rm c_1}";
htmldef "d1" as "<FONT COLOR='#FF0000'><I>d<SUB>1</SUB></I></FONT>";
  althtmldef "d1" as "<FONT COLOR='#FF0000'><I>d<SUB>1</SUB></I></FONT>";
  latexdef "d1" as "{\rm d_1}";
htmldef "e1" as "<FONT COLOR='#FF0000'><I>e<SUB>1</SUB></I></FONT>";
  althtmldef "e1" as "<FONT COLOR='#FF0000'><I>e<SUB>1</SUB></I></FONT>";
  latexdef "e1" as "{\rm e_1}";
htmldef "f1" as "<FONT COLOR='#FF0000'><I>f<SUB>1</SUB></I></FONT>";
  althtmldef "f1" as "<FONT COLOR='#FF0000'><I>f<SUB>1</SUB></I></FONT>";
  latexdef "f1" as "{\rm f_1}";
htmldef "g1" as "<FONT COLOR='#FF0000'><I>g<SUB>1</SUB></I></FONT>";
  althtmldef "g1" as "<FONT COLOR='#FF0000'><I>g<SUB>1</SUB></I></FONT>";
  latexdef "g1" as "{\rm g_1}";
htmldef "h1" as "<FONT COLOR='#FF0000'><I>h<SUB>1</SUB></I></FONT>";
  althtmldef "h1" as "<FONT COLOR='#FF0000'><I>h<SUB>1</SUB></I></FONT>";
  latexdef "h1" as "{\rm h_1}";
htmldef "i1" as "<FONT COLOR='#FF0000'><I>i<SUB>1</SUB></I></FONT>";
  althtmldef "i1" as "<FONT COLOR='#FF0000'><I>i<SUB>1</SUB></I></FONT>";
  latexdef "i1" as "{\rm i_1}";
htmldef "j1" as "<FONT COLOR='#FF0000'><I>j<SUB>1</SUB></I></FONT>";
  althtmldef "j1" as "<FONT COLOR='#FF0000'><I>j<SUB>1</SUB></I></FONT>";
  latexdef "j1" as "{\rm j_1}";
htmldef "k1" as "<FONT COLOR='#FF0000'><I>k<SUB>1</SUB></I></FONT>";
  althtmldef "k1" as "<FONT COLOR='#FF0000'><I>k<SUB>1</SUB></I></FONT>";
  latexdef "k1" as "{\rm k_1}";
htmldef "l1" as "<FONT COLOR='#FF0000'><I>l<SUB>1</SUB></I></FONT>";
  althtmldef "l1" as "<FONT COLOR='#FF0000'><I>l<SUB>1</SUB></I></FONT>";
  latexdef "l1" as "{\rm l_1}";
htmldef "m1" as "<FONT COLOR='#FF0000'><I>m<SUB>1</SUB></I></FONT>";
  althtmldef "m1" as "<FONT COLOR='#FF0000'><I>m<SUB>1</SUB></I></FONT>";
  latexdef "m1" as "{\rm m_1}";
htmldef "n1" as "<FONT COLOR='#FF0000'><I>n<SUB>1</SUB></I></FONT>";
  althtmldef "n1" as "<FONT COLOR='#FF0000'><I>n<SUB>1</SUB></I></FONT>";
  latexdef "n1" as "{\rm n_1}";
htmldef "o1" as "<FONT COLOR='#FF0000'><I>o<SUB>1</SUB></I></FONT>";
  althtmldef "o1" as "<FONT COLOR='#FF0000'><I>o<SUB>1</SUB></I></FONT>";
  latexdef "o1" as "{\rm o_1}";
htmldef "p1" as "<FONT COLOR='#FF0000'><I>p<SUB>1</SUB></I></FONT>";
  althtmldef "p1" as "<FONT COLOR='#FF0000'><I>p<SUB>1</SUB></I></FONT>";
  latexdef "p1" as "{\rm p_1}";
htmldef "q1" as "<FONT COLOR='#FF0000'><I>q<SUB>1</SUB></I></FONT>";
  althtmldef "q1" as "<FONT COLOR='#FF0000'><I>q<SUB>1</SUB></I></FONT>";
  latexdef "q1" as "{\rm q_1}";
htmldef "r1" as "<FONT COLOR='#FF0000'><I>r<SUB>1</SUB></I></FONT>";
  althtmldef "r1" as "<FONT COLOR='#FF0000'><I>r<SUB>1</SUB></I></FONT>";
  latexdef "r1" as "{\rm r_1}";
htmldef "s1" as "<FONT COLOR='#FF0000'><I>s<SUB>1</SUB></I></FONT>";
  althtmldef "s1" as "<FONT COLOR='#FF0000'><I>s<SUB>1</SUB></I></FONT>";
  latexdef "s1" as "{\rm s_1}";
htmldef "t1" as "<FONT COLOR='#FF0000'><I>t<SUB>1</SUB></I></FONT>";
  althtmldef "t1" as "<FONT COLOR='#FF0000'><I>t<SUB>1</SUB></I></FONT>";
  latexdef "t1" as "{\rm t_1}";
htmldef "u1" as "<FONT COLOR='#FF0000'><I>u<SUB>1</SUB></I></FONT>";
  althtmldef "u1" as "<FONT COLOR='#FF0000'><I>u<SUB>1</SUB></I></FONT>";
  latexdef "u1" as "{\rm u_1}";
htmldef "v1" as "<FONT COLOR='#FF0000'><I>v<SUB>1</SUB></I></FONT>";
  althtmldef "v1" as "<FONT COLOR='#FF0000'><I>v<SUB>1</SUB></I></FONT>";
  latexdef "v1" as "{\rm v_1}";
htmldef "w1" as "<FONT COLOR='#FF0000'><I>w<SUB>1</SUB></I></FONT>";
  althtmldef "w1" as "<FONT COLOR='#FF0000'><I>w<SUB>1</SUB></I></FONT>";
  latexdef "w1" as "{\rm w_1}";
htmldef "x1" as "<FONT COLOR='#FF0000'><I>x<SUB>1</SUB></I></FONT>";
  althtmldef "x1" as "<FONT COLOR='#FF0000'><I>x<SUB>1</SUB></I></FONT>";
  latexdef "x1" as "{\rm x_1}";
htmldef "y1" as "<FONT COLOR='#FF0000'><I>y<SUB>1</SUB></I></FONT>";
  althtmldef "y1" as "<FONT COLOR='#FF0000'><I>y<SUB>1</SUB></I></FONT>";
  latexdef "y1" as "{\rm y_1}";
htmldef "z1" as "<FONT COLOR='#FF0000'><I>z<SUB>1</SUB></I></FONT>";
  althtmldef "z1" as "<FONT COLOR='#FF0000'><I>z<SUB>1</SUB></I></FONT>";
  latexdef "z1" as "{\rm z_1}";
htmldef "a2" as "<FONT COLOR='#FF0000'><I>a<SUB>2</SUB></I></FONT>";
  althtmldef "a2" as "<FONT COLOR='#FF0000'><I>a<SUB>2</SUB></I></FONT>";
  latexdef "a2" as "{\rm a_2}";
htmldef "b2" as "<FONT COLOR='#FF0000'><I>b<SUB>2</SUB></I></FONT>";
  althtmldef "b2" as "<FONT COLOR='#FF0000'><I>b<SUB>2</SUB></I></FONT>";
  latexdef "b2" as "{\rm b_2}";
htmldef "c2" as "<FONT COLOR='#FF0000'><I>c<SUB>2</SUB></I></FONT>";
  althtmldef "c2" as "<FONT COLOR='#FF0000'><I>c<SUB>2</SUB></I></FONT>";
  latexdef "c2" as "{\rm c_2}";
htmldef "d2" as "<FONT COLOR='#FF0000'><I>d<SUB>2</SUB></I></FONT>";
  althtmldef "d2" as "<FONT COLOR='#FF0000'><I>d<SUB>2</SUB></I></FONT>";
  latexdef "d2" as "{\rm d_2}";
htmldef "e2" as "<FONT COLOR='#FF0000'><I>e<SUB>2</SUB></I></FONT>";
  althtmldef "e2" as "<FONT COLOR='#FF0000'><I>e<SUB>2</SUB></I></FONT>";
  latexdef "e2" as "{\rm e_2}";
htmldef "f2" as "<FONT COLOR='#FF0000'><I>f<SUB>2</SUB></I></FONT>";
  althtmldef "f2" as "<FONT COLOR='#FF0000'><I>f<SUB>2</SUB></I></FONT>";
  latexdef "f2" as "{\rm f_2}";
htmldef "g2" as "<FONT COLOR='#FF0000'><I>g<SUB>2</SUB></I></FONT>";
  althtmldef "g2" as "<FONT COLOR='#FF0000'><I>g<SUB>2</SUB></I></FONT>";
  latexdef "g2" as "{\rm g_2}";
htmldef "h2" as "<FONT COLOR='#FF0000'><I>h<SUB>2</SUB></I></FONT>";
  althtmldef "h2" as "<FONT COLOR='#FF0000'><I>h<SUB>2</SUB></I></FONT>";
  latexdef "h2" as "{\rm h_2}";
htmldef "i2" as "<FONT COLOR='#FF0000'><I>i<SUB>2</SUB></I></FONT>";
  althtmldef "i2" as "<FONT COLOR='#FF0000'><I>i<SUB>2</SUB></I></FONT>";
  latexdef "i2" as "{\rm i_2}";
htmldef "j2" as "<FONT COLOR='#FF0000'><I>j<SUB>2</SUB></I></FONT>";
  althtmldef "j2" as "<FONT COLOR='#FF0000'><I>j<SUB>2</SUB></I></FONT>";
  latexdef "j2" as "{\rm j_2}";
htmldef "k2" as "<FONT COLOR='#FF0000'><I>k<SUB>2</SUB></I></FONT>";
  althtmldef "k2" as "<FONT COLOR='#FF0000'><I>k<SUB>2</SUB></I></FONT>";
  latexdef "k2" as "{\rm k_2}";
htmldef "l2" as "<FONT COLOR='#FF0000'><I>l<SUB>2</SUB></I></FONT>";
  althtmldef "l2" as "<FONT COLOR='#FF0000'><I>l<SUB>2</SUB></I></FONT>";
  latexdef "l2" as "{\rm l_2}";
htmldef "m2" as "<FONT COLOR='#FF0000'><I>m<SUB>2</SUB></I></FONT>";
  althtmldef "m2" as "<FONT COLOR='#FF0000'><I>m<SUB>2</SUB></I></FONT>";
  latexdef "m2" as "{\rm m_2}";
htmldef "n2" as "<FONT COLOR='#FF0000'><I>n<SUB>2</SUB></I></FONT>";
  althtmldef "n2" as "<FONT COLOR='#FF0000'><I>n<SUB>2</SUB></I></FONT>";
  latexdef "n2" as "{\rm n_2}";
htmldef "o2" as "<FONT COLOR='#FF0000'><I>o<SUB>2</SUB></I></FONT>";
  althtmldef "o2" as "<FONT COLOR='#FF0000'><I>o<SUB>2</SUB></I></FONT>";
  latexdef "o2" as "{\rm o_2}";
htmldef "p2" as "<FONT COLOR='#FF0000'><I>p<SUB>2</SUB></I></FONT>";
  althtmldef "p2" as "<FONT COLOR='#FF0000'><I>p<SUB>2</SUB></I></FONT>";
  latexdef "p2" as "{\rm p_2}";
htmldef "q2" as "<FONT COLOR='#FF0000'><I>q<SUB>2</SUB></I></FONT>";
  althtmldef "q2" as "<FONT COLOR='#FF0000'><I>q<SUB>2</SUB></I></FONT>";
  latexdef "q2" as "{\rm q_2}";
htmldef "r2" as "<FONT COLOR='#FF0000'><I>r<SUB>2</SUB></I></FONT>";
  althtmldef "r2" as "<FONT COLOR='#FF0000'><I>r<SUB>2</SUB></I></FONT>";
  latexdef "r2" as "{\rm r_2}";
htmldef "s2" as "<FONT COLOR='#FF0000'><I>s<SUB>2</SUB></I></FONT>";
  althtmldef "s2" as "<FONT COLOR='#FF0000'><I>s<SUB>2</SUB></I></FONT>";
  latexdef "s2" as "{\rm s_2}";
htmldef "t2" as "<FONT COLOR='#FF0000'><I>t<SUB>2</SUB></I></FONT>";
  althtmldef "t2" as "<FONT COLOR='#FF0000'><I>t<SUB>2</SUB></I></FONT>";
  latexdef "t2" as "{\rm t_2}";
htmldef "u2" as "<FONT COLOR='#FF0000'><I>u<SUB>2</SUB></I></FONT>";
  althtmldef "u2" as "<FONT COLOR='#FF0000'><I>u<SUB>2</SUB></I></FONT>";
  latexdef "u2" as "{\rm u_2}";
htmldef "v2" as "<FONT COLOR='#FF0000'><I>v<SUB>2</SUB></I></FONT>";
  althtmldef "v2" as "<FONT COLOR='#FF0000'><I>v<SUB>2</SUB></I></FONT>";
  latexdef "v2" as "{\rm v_2}";
htmldef "w2" as "<FONT COLOR='#FF0000'><I>w<SUB>2</SUB></I></FONT>";
  althtmldef "w2" as "<FONT COLOR='#FF0000'><I>w<SUB>2</SUB></I></FONT>";
  latexdef "w2" as "{\rm w_2}";
htmldef "x2" as "<FONT COLOR='#FF0000'><I>x<SUB>2</SUB></I></FONT>";
  althtmldef "x2" as "<FONT COLOR='#FF0000'><I>x<SUB>2</SUB></I></FONT>";
  latexdef "x2" as "{\rm x_2}";
htmldef "y2" as "<FONT COLOR='#FF0000'><I>y<SUB>2</SUB></I></FONT>";
  althtmldef "y2" as "<FONT COLOR='#FF0000'><I>y<SUB>2</SUB></I></FONT>";
  latexdef "y2" as "{\rm y_2}";
htmldef "z2" as "<FONT COLOR='#FF0000'><I>z<SUB>2</SUB></I></FONT>";
  althtmldef "z2" as "<FONT COLOR='#FF0000'><I>z<SUB>2</SUB></I></FONT>";
  latexdef "z2" as "{\rm z_2}";
htmldef "a3" as "<FONT COLOR='#FF0000'><I>a<SUB>3</SUB></I></FONT>";
  althtmldef "a3" as "<FONT COLOR='#FF0000'><I>a<SUB>3</SUB></I></FONT>";
  latexdef "a3" as "{\rm a_3}";
htmldef "b3" as "<FONT COLOR='#FF0000'><I>b<SUB>3</SUB></I></FONT>";
  althtmldef "b3" as "<FONT COLOR='#FF0000'><I>b<SUB>3</SUB></I></FONT>";
  latexdef "b3" as "{\rm b_3}";
htmldef "c3" as "<FONT COLOR='#FF0000'><I>c<SUB>3</SUB></I></FONT>";
  althtmldef "c3" as "<FONT COLOR='#FF0000'><I>c<SUB>3</SUB></I></FONT>";
  latexdef "c3" as "{\rm c_3}";
htmldef "d3" as "<FONT COLOR='#FF0000'><I>d<SUB>3</SUB></I></FONT>";
  althtmldef "d3" as "<FONT COLOR='#FF0000'><I>d<SUB>3</SUB></I></FONT>";
  latexdef "d3" as "{\rm d_3}";
htmldef "e3" as "<FONT COLOR='#FF0000'><I>e<SUB>3</SUB></I></FONT>";
  althtmldef "e3" as "<FONT COLOR='#FF0000'><I>e<SUB>3</SUB></I></FONT>";
  latexdef "e3" as "{\rm e_3}";
htmldef "f3" as "<FONT COLOR='#FF0000'><I>f<SUB>3</SUB></I></FONT>";
  althtmldef "f3" as "<FONT COLOR='#FF0000'><I>f<SUB>3</SUB></I></FONT>";
  latexdef "f3" as "{\rm f_3}";
htmldef "g3" as "<FONT COLOR='#FF0000'><I>g<SUB>3</SUB></I></FONT>";
  althtmldef "g3" as "<FONT COLOR='#FF0000'><I>g<SUB>3</SUB></I></FONT>";
  latexdef "g3" as "{\rm g_3}";
htmldef "h3" as "<FONT COLOR='#FF0000'><I>h<SUB>3</SUB></I></FONT>";
  althtmldef "h3" as "<FONT COLOR='#FF0000'><I>h<SUB>3</SUB></I></FONT>";
  latexdef "h3" as "{\rm h_3}";
htmldef "i3" as "<FONT COLOR='#FF0000'><I>i<SUB>3</SUB></I></FONT>";
  althtmldef "i3" as "<FONT COLOR='#FF0000'><I>i<SUB>3</SUB></I></FONT>";
  latexdef "i3" as "{\rm i_3}";
htmldef "j3" as "<FONT COLOR='#FF0000'><I>j<SUB>3</SUB></I></FONT>";
  althtmldef "j3" as "<FONT COLOR='#FF0000'><I>j<SUB>3</SUB></I></FONT>";
  latexdef "j3" as "{\rm j_3}";
htmldef "k3" as "<FONT COLOR='#FF0000'><I>k<SUB>3</SUB></I></FONT>";
  althtmldef "k3" as "<FONT COLOR='#FF0000'><I>k<SUB>3</SUB></I></FONT>";
  latexdef "k3" as "{\rm k_3}";
htmldef "l3" as "<FONT COLOR='#FF0000'><I>l<SUB>3</SUB></I></FONT>";
  althtmldef "l3" as "<FONT COLOR='#FF0000'><I>l<SUB>3</SUB></I></FONT>";
  latexdef "l3" as "{\rm l_3}";
htmldef "m3" as "<FONT COLOR='#FF0000'><I>m<SUB>3</SUB></I></FONT>";
  althtmldef "m3" as "<FONT COLOR='#FF0000'><I>m<SUB>3</SUB></I></FONT>";
  latexdef "m3" as "{\rm m_3}";
htmldef "n3" as "<FONT COLOR='#FF0000'><I>n<SUB>3</SUB></I></FONT>";
  althtmldef "n3" as "<FONT COLOR='#FF0000'><I>n<SUB>3</SUB></I></FONT>";
  latexdef "n3" as "{\rm n_3}";
htmldef "o3" as "<FONT COLOR='#FF0000'><I>o<SUB>3</SUB></I></FONT>";
  althtmldef "o3" as "<FONT COLOR='#FF0000'><I>o<SUB>3</SUB></I></FONT>";
  latexdef "o3" as "{\rm o_3}";
htmldef "p3" as "<FONT COLOR='#FF0000'><I>p<SUB>3</SUB></I></FONT>";
  althtmldef "p3" as "<FONT COLOR='#FF0000'><I>p<SUB>3</SUB></I></FONT>";
  latexdef "p3" as "{\rm p_3}";
htmldef "q3" as "<FONT COLOR='#FF0000'><I>q<SUB>3</SUB></I></FONT>";
  althtmldef "q3" as "<FONT COLOR='#FF0000'><I>q<SUB>3</SUB></I></FONT>";
  latexdef "q3" as "{\rm q_3}";
htmldef "r3" as "<FONT COLOR='#FF0000'><I>r<SUB>3</SUB></I></FONT>";
  althtmldef "r3" as "<FONT COLOR='#FF0000'><I>r<SUB>3</SUB></I></FONT>";
  latexdef "r3" as "{\rm r_3}";
htmldef "s3" as "<FONT COLOR='#FF0000'><I>s<SUB>3</SUB></I></FONT>";
  althtmldef "s3" as "<FONT COLOR='#FF0000'><I>s<SUB>3</SUB></I></FONT>";
  latexdef "s3" as "{\rm s_3}";
htmldef "t3" as "<FONT COLOR='#FF0000'><I>t<SUB>3</SUB></I></FONT>";
  althtmldef "t3" as "<FONT COLOR='#FF0000'><I>t<SUB>3</SUB></I></FONT>";
  latexdef "t3" as "{\rm t_3}";
htmldef "u3" as "<FONT COLOR='#FF0000'><I>u<SUB>3</SUB></I></FONT>";
  althtmldef "u3" as "<FONT COLOR='#FF0000'><I>u<SUB>3</SUB></I></FONT>";
  latexdef "u3" as "{\rm u_3}";
htmldef "v3" as "<FONT COLOR='#FF0000'><I>v<SUB>3</SUB></I></FONT>";
  althtmldef "v3" as "<FONT COLOR='#FF0000'><I>v<SUB>3</SUB></I></FONT>";
  latexdef "v3" as "{\rm v_3}";
htmldef "w3" as "<FONT COLOR='#FF0000'><I>w<SUB>3</SUB></I></FONT>";
  althtmldef "w3" as "<FONT COLOR='#FF0000'><I>w<SUB>3</SUB></I></FONT>";
  latexdef "w3" as "{\rm w_3}";
htmldef "x3" as "<FONT COLOR='#FF0000'><I>x<SUB>3</SUB></I></FONT>";
  althtmldef "x3" as "<FONT COLOR='#FF0000'><I>x<SUB>3</SUB></I></FONT>";
  latexdef "x3" as "{\rm x_3}";
htmldef "y3" as "<FONT COLOR='#FF0000'><I>y<SUB>3</SUB></I></FONT>";
  althtmldef "y3" as "<FONT COLOR='#FF0000'><I>y<SUB>3</SUB></I></FONT>";
  latexdef "y3" as "{\rm y_3}";
htmldef "z3" as "<FONT COLOR='#FF0000'><I>z<SUB>3</SUB></I></FONT>";
  althtmldef "z3" as "<FONT COLOR='#FF0000'><I>z<SUB>3</SUB></I></FONT>";
  latexdef "z3" as "{\rm z_3}";


$)

  $v a1 $.
  va1 $f set a1 $.
  $v b1 $.
  vb1 $f set b1 $.
  $v c1 $.
  vc1 $f set c1 $.
  $v d1 $.
  vd1 $f set d1 $.
  $v e1 $.
  ve1 $f set e1 $.
  $v f1 $.
  vf1 $f set f1 $.
  $v g1 $.
  vg1 $f set g1 $.
  $v h1 $.
  vh1 $f set h1 $.
  $v i1 $.
  vi1 $f set i1 $.
  $v j1 $.
  vj1 $f set j1 $.
  $v k1 $.
  vk1 $f set k1 $.
  $v l1 $.
  vl1 $f set l1 $.
  $v m1 $.
  vm1 $f set m1 $.
  $v n1 $.
  vn1 $f set n1 $.
  $v o1 $.
  vo1 $f set o1 $.
  $v p1 $.
  vp1 $f set p1 $.
  $v q1 $.
  vq1 $f set q1 $.
  $v r1 $.
  vr1 $f set r1 $.
  $v s1 $.
  vs1 $f set s1 $.
  $v t1 $.
  vt1 $f set t1 $.
  $v u1 $.
  vu1 $f set u1 $.
  $v v1 $.
  vv1 $f set v1 $.
  $v w1 $.
  vw1 $f set w1 $.
  $v x1 $.
  vx1 $f set x1 $.
  $v y1 $.
  vy1 $f set y1 $.
  $v z1 $.
  vz1 $f set z1 $.
  $v a2 $.
  va2 $f set a2 $.
  $v b2 $.
  vb2 $f set b2 $.
  $v c2 $.
  vc2 $f set c2 $.
  $v d2 $.
  vd2 $f set d2 $.
  $v e2 $.
  ve2 $f set e2 $.
  $v f2 $.
  vf2 $f set f2 $.
  $v g2 $.
  vg2 $f set g2 $.
  $v h2 $.
  vh2 $f set h2 $.
  $v i2 $.
  vi2 $f set i2 $.
  $v j2 $.
  vj2 $f set j2 $.
  $v k2 $.
  vk2 $f set k2 $.
  $v l2 $.
  vl2 $f set l2 $.
  $v m2 $.
  vm2 $f set m2 $.
  $v n2 $.
  vn2 $f set n2 $.
  $v o2 $.
  vo2 $f set o2 $.
  $v p2 $.
  vp2 $f set p2 $.
  $v q2 $.
  vq2 $f set q2 $.
  $v r2 $.
  vr2 $f set r2 $.
  $v s2 $.
  vs2 $f set s2 $.
  $v t2 $.
  vt2 $f set t2 $.
  $v u2 $.
  vu2 $f set u2 $.
  $v v2 $.
  vv2 $f set v2 $.
  $v w2 $.
  vw2 $f set w2 $.
  $v x2 $.
  vx2 $f set x2 $.
  $v y2 $.
  vy2 $f set y2 $.
  $v z2 $.
  vz2 $f set z2 $.
  $v a3 $.
  va3 $f set a3 $.
  $v b3 $.
  vb3 $f set b3 $.
  $v c3 $.
  vc3 $f set c3 $.
  $v d3 $.
  vd3 $f set d3 $.
  $v e3 $.
  ve3 $f set e3 $.
  $v f3 $.
  vf3 $f set f3 $.
  $v g3 $.
  vg3 $f set g3 $.
  $v h3 $.
  vh3 $f set h3 $.
  $v i3 $.
  vi3 $f set i3 $.
  $v j3 $.
  vj3 $f set j3 $.
  $v k3 $.
  vk3 $f set k3 $.
  $v l3 $.
  vl3 $f set l3 $.
  $v m3 $.
  vm3 $f set m3 $.
  $v n3 $.
  vn3 $f set n3 $.
  $v o3 $.
  vo3 $f set o3 $.
  $v p3 $.
  vp3 $f set p3 $.
  $v q3 $.
  vq3 $f set q3 $.
  $v r3 $.
  vr3 $f set r3 $.
  $v s3 $.
  vs3 $f set s3 $.
  $v t3 $.
  vt3 $f set t3 $.
  $v u3 $.
  vu3 $f set u3 $.
  $v v3 $.
  vv3 $f set v3 $.
  $v w3 $.
  vw3 $f set w3 $.
  $v x3 $.
  vx3 $f set x3 $.
  $v y3 $.
  vy3 $f set y3 $.
  $v z3 $.
  vz3 $f set z3 $.

  ${
    $d A a $.  $d a b $.
    $( PLEASE PUT DESCRIPTION HERE. $)
    eq0cprim $p |- ( A = 0c <->
A. a -. ( ( a e. A -> A. b -. ( ( b e. a -> -. b = b ) -> -. ( -. b = b -> b e.
        a ) ) ) -> -. ( A. b -. ( ( b e. a -> -. b = b ) -> -. ( -. b = b -> b
        e. a ) ) -> a e. A ) ) ) $=
      ( c0c wceq cv wcel wb wal wel weq wn wi dfcleq c0 el0c bibi2i dfbi1 bitri
      albii equid noel 2th con2bii ) ADEBFZAGZUEDGZHZBIUFCBJZCCKZLZMUKUIMLMLZCI
      ZMUMUFMLMLZBIBADNUHUNBUHUFUMHUNUGUMUFUGUEOEZUMUEPUOUICFZOGZHZCIUMCUEONURU
      LCURUIUKHULUQUKUIUJUQUJUQLCUAUPUBUCUDQUIUKRSTSSQUFUMRSTS $.
      $( [23-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a e $.  $d a f $.  $d A f $.  $d B a $.
    $d B b $.  $d b c $.  $d b d $.  $d b e $.  $d b f $.  $d c d $.
    $( PLEASE PUT DESCRIPTION HERE. $)
    elsucprim $p |- ( A e. ( B +c 1c ) <-> -. A. a ( a e. B -> A. b ( -. A. c
        -. A. d -. ( ( d e. b -> d = c ) -> -. ( d = c -> d e. b ) ) -> ( A. e
        ( e e. a -> -. e e. b ) -> -. A. f -. ( ( f e. A -> ( -. f e. a -> f e.
        b ) ) -> -. ( ( -. f e. a -> f e. b ) -> f e. A ) ) ) ) ) ) $=
      ( c1c wcel cv wceq wa wel wi wn wal wex wb bitri cplc cin c0 cun wrex weq
      eladdc df-rex el1c dfcleq elsn bibi2i dfbi1 albii exbii df-ex 3bitri wral
      csn vex disj df-ral wo elun df-or anbi12i df-an exanali rexbii ) ABIUAJEK
      ZFKZUBUCLZAVJVKUDZLZMZFIUEZEBUEZVJBJZHFNZHGUFZOVTVSOPOPZHQZPGQPZCENCFNPZO
      CQZDKZAJZDENZPDFNZOZOWJWGOPOPZDQZPOZOFQZPZMERZVRWNOEQPABIEFUGVQWOEBUEWPVP
      WOEBVPVKIJZVOMZFRWCWMPZMZFRWOVOFIUHWRWTFWQWCVOWSWQVKGKZUSZLZGRWBGRWCGVKUI
      XCWBGXCVSHKZXBJZSZHQWBHVKXBUJXFWAHXFVSVTSWAXEVTVSXDXAHUTUKULVSVTUMTUNTUOW
      BGUPUQVOWEWLMWSVLWEVNWLVLWDCVJURWECVJVKVAWDCVJVBTVNWGWFVMJZSZDQWLDAVMUJXH
      WKDXHWGWJSWKXGWJWGXGWHWIVCWJWFVJVKVDWHWIVETULWGWJUMTUNTVFWEWLVGTVFUOWCWMF
      VHUQVIWOEBUHTVRWNEVHUQ $.
      $( [24-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d a c $.  $d a g $.  $d B a $.  $d B b $.  $d b c $.
    $d B c $.  $d b f $.  $d b g $.  $d c d $.  $d c e $.  $d c f $.  $d c g $.
    $d d e $.
    $( PLEASE PUT DESCRIPTION HERE. $)
    eqsucprim $p |- ( A = ( B +c 1c ) <-> A. a -. ( ( a e. A -> -. A. b ( b e.
        B -> A. c ( -. A. d -. A. e -. ( ( e e. c -> e = d ) -> -. ( e = d -> e
        e. c ) ) -> ( A. f ( f e. b -> -. f e. c ) -> -. A. g -. ( ( g e. a ->
        ( -. g e. b -> g e. c ) ) -> -. ( ( -. g e. b -> g e. c ) -> g e. a ) )
        ) ) ) ) -> -. ( -. A. b ( b e. B -> A. c ( -. A. d -. A. e -. ( ( e e.
        c -> e = d ) -> -. ( e = d -> e e. c ) ) -> ( A. f ( f e. b -> -. f e.
        c ) -> -. A. g -. ( ( g e. a -> ( -. g e. b -> g e. c ) ) -> -. ( ( -.
        g e. b -> g e. c ) -> g e. a ) ) ) ) ) -> a e. A ) ) ) $=
      ( c1c cplc wceq cv wcel wb wal wel wi wn bitri weq dfcleq elsucprim dfbi1
      bibi2i albii ) ABJKZLFMZANZUHUGNZOZFPUIGMBNCHQZCIUAZRUMULRSRSCPSIPSDGQDHQ
      SRDPEFQZEGQSEHQRZRUOUNRSRSEPSRRHPRGPSZRUPUIRSRSZFPFAUGUBUKUQFUKUIUPOUQUJU
      PUIUHBDEGHICUCUEUIUPUDTUFT $.
      $( [24-Mar-2015] $)
  $}


  ${
    $d A a $.  $d a b $.  $d a e $.  $d a f $.  $d b c $.  $d c d $.  $d e f $.
    $d e g $.  $d e h $.  $d e i $.  $d f g $.  $d g h $.  $d g i $.  $d g m $.
    $d h i $.  $d h l $.  $d h m $.  $d i j $.  $d i k $.  $d i l $.  $d i m $.
    $d j k $.
    elnncprim.1 $e |- A e. _V $.
    $( PLEASE PUT DESCRIPTION HERE. $)
    elnncprim $p |- ( A e. Nn <-> A. a ( -. ( -. A. b ( A. c -. ( ( c e. b ->
        A. d -. ( ( d e. c -> -. d = d ) -> -. ( -. d = d -> d e. c ) ) ) -> -.
        ( A. d -. ( ( d e. c -> -. d = d ) -> -. ( -. d = d -> d e. c ) ) -> c
        e. b ) ) -> -. b e. a ) -> -. A. e ( e e. a -> -. A. f ( A. g -. ( ( g
        e. f -> -. A. h ( h e. e -> A. i ( -. A. j -. A. k -. ( ( k e. i -> k =
        j ) -> -. ( k = j -> k e. i ) ) -> ( A. l ( l e. h -> -. l e. i ) -> -.
        A. m -. ( ( m e. g -> ( -. m e. h -> m e. i ) ) -> -. ( ( -. m e. h ->
        m e. i ) -> m e. g ) ) ) ) ) ) -> -. ( -. A. h ( h e. e -> A. i ( -. A.
        j -. A. k -. ( ( k e. i -> k = j ) -> -. ( k = j -> k e. i ) ) -> ( A.
        l ( l e. h -> -. l e. i ) -> -. A. m -. ( ( m e. g -> ( -. m e. h -> m
        e. i ) ) -> -. ( ( -. m e. h -> m e. i ) -> m e. g ) ) ) ) ) -> g e. f
        ) ) -> -. f e. a ) ) ) -> A e. a ) ) $=
      ( wa wi wal wel wn cnnc wcel c0c c1c cplc wral cab cint weq df-nnc eleq2i
      elintab wceq wex df-clel eq0cprim anbi1i alinexa con2bii 3bitri eqsucprim
      cv exbii ralbii df-ral bitri anbi12i df-an imbi1i albii ) AUAUBAUCJVBZUBZ
      BVBZUDUEZVKUBZBVKUFZPZJUGUHZUBVQAVKUBZQZJRLKSZMLSZMMUITZQWCWBQTQTMRZQWDWA
      QTQTLRZKJSZTQKRZTZBJSDCSZEBSHFSZHGUIZQWKWJQTQTHRTGRTNESNFSTQNRIDSZIESTIFS
      QZQWMWLQTQTIRTQQFRQERTZQWNWIQTQTDRZCJSZTQCRZTZQBRZTQTZVSQZJRUAVRABJUJUKVQ
      JAOULVTXAJVQWTVSVQWHWSPWTVLWHVPWSVLKVBZUCUMZWFPZKUNWEWFPZKUNZWHKUCVKUOXDX
      EKXCWEWFXBLMUPUQVCWGXFWEWFKURUSUTVPWRBVKUFWSVOWRBVKVOCVBZVNUMZWPPZCUNWOWP
      PZCUNZWRCVNVKUOXIXJCXHWOWPXGVMHNIDEFGVAUQVCWQXKWOWPCURUSUTVDWRBVKVEVFVGWH
      WSVHVFVIVJUT $.
      $( [24-Mar-2015] $)
  $}

  ${
    $d A a $.  $d a b $.  $d A b $.  $d a c $.  $d a d $.  $d a i $.
    $d a t3 $.  $d A t3 $.  $d B a $.  $d b c $.  $d b d $.  $d b h $.
    $d B t3 $.  $d c d $.  $d c g $.  $d c h $.  $d d e $.  $d d f $.
    $d d g $.  $d d h $.  $d e f $.  $d i j $.  $d i m $.  $d i n $.  $d j k $.
    $d k l $.  $d m n $.  $d m o $.  $d m p $.  $d m q $.  $d n o $.  $d o p $.
    $d o q $.  $d o u $.  $d p q $.  $d p t $.  $d p u $.  $d q r $.  $d q s $.
    $d q t $.  $d q u $.  $d r s $.
    elphiprim.1 $e |- A e. _V $.
    $( PLEASE PUT DESCRIPTION HERE. $)
    elphiprim $p |- ( A e. Phi B <-> -. A. a ( a e. B -> -. A. b -. ( ( b e. A
        -> ( ( -. A. c ( c e. a -> A. d ( -. A. e -. A. f -. ( ( f e. d -> f =
        e ) -> -. ( f = e -> f e. d ) ) -> ( A. g ( g e. c -> -. g e. d ) -> -.
        A. h -. ( ( h e. b -> ( -. h e. c -> h e. d ) ) -> -. ( ( -. h e. c ->
        h e. d ) -> h e. b ) ) ) ) ) -> -. A. i ( -. ( -. A. j ( A. k -. ( ( k
        e. j -> A. l -. ( ( l e. k -> -. l = l ) -> -. ( -. l = l -> l e. k ) )
        ) -> -. ( A. l -. ( ( l e. k -> -. l = l ) -> -. ( -. l = l -> l e. k )
        ) -> k e. j ) ) -> -. j e. i ) -> -. A. m ( m e. i -> -. A. n ( A. o -.
        ( ( o e. n -> -. A. p ( p e. m -> A. q ( -. A. r -. A. s -. ( ( s e. q
        -> s = r ) -> -. ( s = r -> s e. q ) ) -> ( A. t ( t e. p -> -. t e. q
        ) -> -. A. u -. ( ( u e. o -> ( -. u e. p -> u e. q ) ) -> -. ( ( -. u
        e. p -> u e. q ) -> u e. o ) ) ) ) ) ) -> -. ( -. A. p ( p e. m -> A. q
        ( -. A. r -. A. s -. ( ( s e. q -> s = r ) -> -. ( s = r -> s e. q ) )
        -> ( A. t ( t e. p -> -. t e. q ) -> -. A. u -. ( ( u e. o -> ( -. u e.
        p -> u e. q ) ) -> -. ( ( -. u e. p -> u e. q ) -> u e. o ) ) ) ) ) ->
        o e. n ) ) -> -. n e. i ) ) ) -> a e. i ) ) -> -. ( b e. a -> A. i ( -.
        ( -. A. j ( A. k -. ( ( k e. j -> A. l -. ( ( l e. k -> -. l = l ) ->
        -. ( -. l = l -> l e. k ) ) ) -> -. ( A. l -. ( ( l e. k -> -. l = l )
        -> -. ( -. l = l -> l e. k ) ) -> k e. j ) ) -> -. j e. i ) -> -. A. m
        ( m e. i -> -. A. n ( A. o -. ( ( o e. n -> -. A. p ( p e. m -> A. q (
        -. A. r -. A. s -. ( ( s e. q -> s = r ) -> -. ( s = r -> s e. q ) ) ->
        ( A. t ( t e. p -> -. t e. q ) -> -. A. u -. ( ( u e. o -> ( -. u e. p
        -> u e. q ) ) -> -. ( ( -. u e. p -> u e. q ) -> u e. o ) ) ) ) ) ) ->
        -. ( -. A. p ( p e. m -> A. q ( -. A. r -. A. s -. ( ( s e. q -> s = r
        ) -> -. ( s = r -> s e. q ) ) -> ( A. t ( t e. p -> -. t e. q ) -> -.
        A. u -. ( ( u e. o -> ( -. u e. p -> u e. q ) ) -> -. ( ( -. u e. p ->
        u e. q ) -> u e. o ) ) ) ) ) -> o e. n ) ) -> -. n e. i ) ) ) -> a e. i
        ) ) ) ) -> -. ( ( ( -. A. c ( c e. a -> A. d ( -. A. e -. A. f -. ( ( f
        e. d -> f = e ) -> -. ( f = e -> f e. d ) ) -> ( A. g ( g e. c -> -. g
        e. d ) -> -. A. h -. ( ( h e. b -> ( -. h e. c -> h e. d ) ) -> -. ( (
        -. h e. c -> h e. d ) -> h e. b ) ) ) ) ) -> -. A. i ( -. ( -. A. j (
        A. k -. ( ( k e. j -> A. l -. ( ( l e. k -> -. l = l ) -> -. ( -. l = l
        -> l e. k ) ) ) -> -. ( A. l -. ( ( l e. k -> -. l = l ) -> -. ( -. l =
        l -> l e. k ) ) -> k e. j ) ) -> -. j e. i ) -> -. A. m ( m e. i -> -.
        A. n ( A. o -. ( ( o e. n -> -. A. p ( p e. m -> A. q ( -. A. r -. A. s
        -. ( ( s e. q -> s = r ) -> -. ( s = r -> s e. q ) ) -> ( A. t ( t e. p
        -> -. t e. q ) -> -. A. u -. ( ( u e. o -> ( -. u e. p -> u e. q ) ) ->
        -. ( ( -. u e. p -> u e. q ) -> u e. o ) ) ) ) ) ) -> -. ( -. A. p ( p
        e. m -> A. q ( -. A. r -. A. s -. ( ( s e. q -> s = r ) -> -. ( s = r
        -> s e. q ) ) -> ( A. t ( t e. p -> -. t e. q ) -> -. A. u -. ( ( u e.
        o -> ( -. u e. p -> u e. q ) ) -> -. ( ( -. u e. p -> u e. q ) -> u e.
        o ) ) ) ) ) -> o e. n ) ) -> -. n e. i ) ) ) -> a e. i ) ) -> -. ( b e.
        a -> A. i ( -. ( -. A. j ( A. k -. ( ( k e. j -> A. l -. ( ( l e. k ->
        -. l = l ) -> -. ( -. l = l -> l e. k ) ) ) -> -. ( A. l -. ( ( l e. k
        -> -. l = l ) -> -. ( -. l = l -> l e. k ) ) -> k e. j ) ) -> -. j e. i
        ) -> -. A. m ( m e. i -> -. A. n ( A. o -. ( ( o e. n -> -. A. p ( p e.
        m -> A. q ( -. A. r -. A. s -. ( ( s e. q -> s = r ) -> -. ( s = r -> s
        e. q ) ) -> ( A. t ( t e. p -> -. t e. q ) -> -. A. u -. ( ( u e. o ->
        ( -. u e. p -> u e. q ) ) -> -. ( ( -. u e. p -> u e. q ) -> u e. o ) )
        ) ) ) ) -> -. ( -. A. p ( p e. m -> A. q ( -. A. r -. A. s -. ( ( s e.
        q -> s = r ) -> -. ( s = r -> s e. q ) ) -> ( A. t ( t e. p -> -. t e.
        q ) -> -. A. u -. ( ( u e. o -> ( -. u e. p -> u e. q ) ) -> -. ( ( -.
        u e. p -> u e. q ) -> u e. o ) ) ) ) ) -> o e. n ) ) -> -. n e. i ) ) )
        -> a e. i ) ) ) -> b e. A ) ) ) ) $=
      ( vt3 cphi wcel cv wel weq wi wn wal wa wex wrex cnnc c1c cplc wceq eqeq1
      cif rexbidv df-phi elab2 wb dfcleq elif elnncprim elsucprim anbi12i ancom
      vex bitri df-an notbii biid annim orbi12i imor bitr4i bibi2i dfbi1 rexbii
      wo albii df-rex alinexa con2bii ) CDUFZUGZSUHZDUGZTUHZCUGZUASUIFUBUIZFEUJ
      ZUKWQWPUKULUKULFUMULEUMULGUAUIGUBUIULUKGUMHTUIZHUAUIULHUBUIUKZUKWSWRUKULU
      KULHUMULUKUKUBUMUKUAUMULZKJUIZUCKUIZUCUCUJULZUKXCXBUKULUKULUCUMZUKXDXAUKU
      LUKULKUMJIUIULUKJUMULLIUINMUIZRLUIOQUIZOPUJZUKXGXFUKULUKULOUMULPUMULBRUIB
      QUIULUKBUMANUIZARUIULAQUIUKZUKXIXHUKULUKULAUMULUKUKQUMUKRUMULZUKXJXEUKULU
      KULNUMMIUIULUKMUMULUKLUMULUKULSIUIUKIUMZULZUKZTSUIZXKUKULZUKZUKXPWOUKULUK
      ULZTUMZUNSUOZWMXRULUKSUMZULWKXRSDUPZXSWKCWLUQUGZWLURUSZWLVBZUTZSDUPZYAUEU
      HZYDUTZSDUPYFUECWJUDYGCUTYHYESDYGCYDVAVCSUEDVDVEYEXRSDYEWOWNYDUGZVFZTUMXR
      TCYDVGYJXQTYJWOXPVFXQYIXPWOYIYBWNYCUGZUNZYBULZXNUNZWEZXPYBWNYCWLVHYOXMULZ
      XOWEXPYLYPYNXOYLWTXKUNZYPYLXKWTUNYQYBXKYKWTWLLMNRQPOAIJKUCBSVMVIZWNWLGHUA
      UBEFVJVKXKWTVLVNWTXKVOVNYNXNXLUNZXOYNXLXNUNYSYMXLXNXNYBXKYRVPXNVQVKXLXNVL
      VNXNXKVRVNVSXMXOVTWAVNWBWOXPWCVNWFVNWDVNXRSDWGVNXTXSWMXRSWHWIVN $.
      $( [24-Mar-2015] $)
  $}

  ${
    $d a1 b1 $.  $d a1 e1 $.  $d a1 f1 $.  $d a1 y $.  $d a1 z $.  $d A a $.
    $d a b $.  $d A b $.  $d a c $.  $d a t3 $.  $d A t3 $.  $d a x $.
    $d A x $.  $d a y $.  $d b1 c1 $.  $d b1 d1 $.  $d b1 e1 $.  $d b1 f1 $.
    $d b1 y $.  $d b1 z $.  $d B a $.  $d b c $.  $d b d $.  $d B t3 $.
    $d c1 d1 $.  $d C a $.  $d c d $.  $d c e $.  $d c f $.  $d c k $.
    $d C t3 $.  $d d e $.  $d d f $.  $d d j $.  $d e f $.  $d e i $.
    $d e j $.  $d f1 z $.  $d f g $.  $d f h $.  $d f i $.  $d f j $.
    $d g1 h1 $.  $d g1 k1 $.  $d g1 l1 $.  $d g1 y $.  $d g h $.  $d h1 i1 $.
    $d i1 j1 $.  $d k1 l1 $.  $d k1 m1 $.  $d k1 n1 $.  $d k1 o1 $.  $d k l $.
    $d k o $.  $d k p $.  $d l1 m1 $.  $d l m $.  $d m1 n1 $.  $d m1 o1 $.
    $d m1 s1 $.  $d m n $.  $d n1 o1 $.  $d n1 r1 $.  $d n1 s1 $.  $d o1 p1 $.
    $d o1 q1 $.  $d o1 r1 $.  $d o1 s1 $.  $d o p $.  $d o q $.  $d o r $.
    $d o s $.  $d p1 q1 $.  $d p q $.  $d q r $.  $d q s $.  $d q w $.
    $d r s $.  $d r v $.  $d r w $.  $d s t $.  $d s u $.  $d s v $.  $d s w $.
    $d t1 u1 $.  $d t1 x $.  $d t u $.  $d x y $.  $d x z $.  $d y z $.
    elopprim.1 $e |- A e. _V $.

    $( PLEASE PUT DESCRIPTION HERE. $)
    elopprim $p |- ( A e. <. B , C >. <-> ( A. a ( a e. B -> -. A. b -. ( ( b
        e. A -> -. A. c ( c e. a -> -. A. d -. ( ( d e. b -> ( ( -. A. e ( e e.
        c -> A. f ( -. A. g -. A. h -. ( ( h e. f -> h = g ) -> -. ( h = g -> h
        e. f ) ) -> ( A. i ( i e. e -> -. i e. f ) -> -. A. j -. ( ( j e. d ->
        ( -. j e. e -> j e. f ) ) -> -. ( ( -. j e. e -> j e. f ) -> j e. d ) )
        ) ) ) -> -. A. k ( -. ( -. A. l ( A. m -. ( ( m e. l -> A. n -. ( ( n
        e. m -> -. n = n ) -> -. ( -. n = n -> n e. m ) ) ) -> -. ( A. n -. ( (
        n e. m -> -. n = n ) -> -. ( -. n = n -> n e. m ) ) -> m e. l ) ) -> -.
        l e. k ) -> -. A. o ( o e. k -> -. A. p ( A. q -. ( ( q e. p -> -. A. r
        ( r e. o -> A. s ( -. A. t -. A. u -. ( ( u e. s -> u = t ) -> -. ( u =
        t -> u e. s ) ) -> ( A. v ( v e. r -> -. v e. s ) -> -. A. w -. ( ( w
        e. q -> ( -. w e. r -> w e. s ) ) -> -. ( ( -. w e. r -> w e. s ) -> w
        e. q ) ) ) ) ) ) -> -. ( -. A. r ( r e. o -> A. s ( -. A. t -. A. u -.
        ( ( u e. s -> u = t ) -> -. ( u = t -> u e. s ) ) -> ( A. v ( v e. r ->
        -. v e. s ) -> -. A. w -. ( ( w e. q -> ( -. w e. r -> w e. s ) ) -> -.
        ( ( -. w e. r -> w e. s ) -> w e. q ) ) ) ) ) -> q e. p ) ) -> -. p e.
        k ) ) ) -> c e. k ) ) -> -. ( d e. c -> A. k ( -. ( -. A. l ( A. m -. (
        ( m e. l -> A. n -. ( ( n e. m -> -. n = n ) -> -. ( -. n = n -> n e. m
        ) ) ) -> -. ( A. n -. ( ( n e. m -> -. n = n ) -> -. ( -. n = n -> n e.
        m ) ) -> m e. l ) ) -> -. l e. k ) -> -. A. o ( o e. k -> -. A. p ( A.
        q -. ( ( q e. p -> -. A. r ( r e. o -> A. s ( -. A. t -. A. u -. ( ( u
        e. s -> u = t ) -> -. ( u = t -> u e. s ) ) -> ( A. v ( v e. r -> -. v
        e. s ) -> -. A. w -. ( ( w e. q -> ( -. w e. r -> w e. s ) ) -> -. ( (
        -. w e. r -> w e. s ) -> w e. q ) ) ) ) ) ) -> -. ( -. A. r ( r e. o ->
        A. s ( -. A. t -. A. u -. ( ( u e. s -> u = t ) -> -. ( u = t -> u e. s
        ) ) -> ( A. v ( v e. r -> -. v e. s ) -> -. A. w -. ( ( w e. q -> ( -.
        w e. r -> w e. s ) ) -> -. ( ( -. w e. r -> w e. s ) -> w e. q ) ) ) )
        ) -> q e. p ) ) -> -. p e. k ) ) ) -> c e. k ) ) ) ) -> -. ( ( ( -. A.
        e ( e e. c -> A. f ( -. A. g -. A. h -. ( ( h e. f -> h = g ) -> -. ( h
        = g -> h e. f ) ) -> ( A. i ( i e. e -> -. i e. f ) -> -. A. j -. ( ( j
        e. d -> ( -. j e. e -> j e. f ) ) -> -. ( ( -. j e. e -> j e. f ) -> j
        e. d ) ) ) ) ) -> -. A. k ( -. ( -. A. l ( A. m -. ( ( m e. l -> A. n
        -. ( ( n e. m -> -. n = n ) -> -. ( -. n = n -> n e. m ) ) ) -> -. ( A.
        n -. ( ( n e. m -> -. n = n ) -> -. ( -. n = n -> n e. m ) ) -> m e. l
        ) ) -> -. l e. k ) -> -. A. o ( o e. k -> -. A. p ( A. q -. ( ( q e. p
        -> -. A. r ( r e. o -> A. s ( -. A. t -. A. u -. ( ( u e. s -> u = t )
        -> -. ( u = t -> u e. s ) ) -> ( A. v ( v e. r -> -. v e. s ) -> -. A.
        w -. ( ( w e. q -> ( -. w e. r -> w e. s ) ) -> -. ( ( -. w e. r -> w
        e. s ) -> w e. q ) ) ) ) ) ) -> -. ( -. A. r ( r e. o -> A. s ( -. A. t
        -. A. u -. ( ( u e. s -> u = t ) -> -. ( u = t -> u e. s ) ) -> ( A. v
        ( v e. r -> -. v e. s ) -> -. A. w -. ( ( w e. q -> ( -. w e. r -> w e.
        s ) ) -> -. ( ( -. w e. r -> w e. s ) -> w e. q ) ) ) ) ) -> q e. p ) )
        -> -. p e. k ) ) ) -> c e. k ) ) -> -. ( d e. c -> A. k ( -. ( -. A. l
        ( A. m -. ( ( m e. l -> A. n -. ( ( n e. m -> -. n = n ) -> -. ( -. n =
        n -> n e. m ) ) ) -> -. ( A. n -. ( ( n e. m -> -. n = n ) -> -. ( -. n
        = n -> n e. m ) ) -> m e. l ) ) -> -. l e. k ) -> -. A. o ( o e. k ->
        -. A. p ( A. q -. ( ( q e. p -> -. A. r ( r e. o -> A. s ( -. A. t -.
        A. u -. ( ( u e. s -> u = t ) -> -. ( u = t -> u e. s ) ) -> ( A. v ( v
        e. r -> -. v e. s ) -> -. A. w -. ( ( w e. q -> ( -. w e. r -> w e. s )
        ) -> -. ( ( -. w e. r -> w e. s ) -> w e. q ) ) ) ) ) ) -> -. ( -. A. r
        ( r e. o -> A. s ( -. A. t -. A. u -. ( ( u e. s -> u = t ) -> -. ( u =
        t -> u e. s ) ) -> ( A. v ( v e. r -> -. v e. s ) -> -. A. w -. ( ( w
        e. q -> ( -. w e. r -> w e. s ) ) -> -. ( ( -. w e. r -> w e. s ) -> w
        e. q ) ) ) ) ) -> q e. p ) ) -> -. p e. k ) ) ) -> c e. k ) ) ) -> d e.
        b ) ) ) ) -> -. ( -. A. c ( c e. a -> -. A. d -. ( ( d e. b -> ( ( -.
        A. e ( e e. c -> A. f ( -. A. g -. A. h -. ( ( h e. f -> h = g ) -> -.
        ( h = g -> h e. f ) ) -> ( A. i ( i e. e -> -. i e. f ) -> -. A. j -. (
        ( j e. d -> ( -. j e. e -> j e. f ) ) -> -. ( ( -. j e. e -> j e. f )
        -> j e. d ) ) ) ) ) -> -. A. k ( -. ( -. A. l ( A. m -. ( ( m e. l ->
        A. n -. ( ( n e. m -> -. n = n ) -> -. ( -. n = n -> n e. m ) ) ) -> -.
        ( A. n -. ( ( n e. m -> -. n = n ) -> -. ( -. n = n -> n e. m ) ) -> m
        e. l ) ) -> -. l e. k ) -> -. A. o ( o e. k -> -. A. p ( A. q -. ( ( q
        e. p -> -. A. r ( r e. o -> A. s ( -. A. t -. A. u -. ( ( u e. s -> u =
        t ) -> -. ( u = t -> u e. s ) ) -> ( A. v ( v e. r -> -. v e. s ) -> -.
        A. w -. ( ( w e. q -> ( -. w e. r -> w e. s ) ) -> -. ( ( -. w e. r ->
        w e. s ) -> w e. q ) ) ) ) ) ) -> -. ( -. A. r ( r e. o -> A. s ( -. A.
        t -. A. u -. ( ( u e. s -> u = t ) -> -. ( u = t -> u e. s ) ) -> ( A.
        v ( v e. r -> -. v e. s ) -> -. A. w -. ( ( w e. q -> ( -. w e. r -> w
        e. s ) ) -> -. ( ( -. w e. r -> w e. s ) -> w e. q ) ) ) ) ) -> q e. p
        ) ) -> -. p e. k ) ) ) -> c e. k ) ) -> -. ( d e. c -> A. k ( -. ( -.
        A. l ( A. m -. ( ( m e. l -> A. n -. ( ( n e. m -> -. n = n ) -> -. (
        -. n = n -> n e. m ) ) ) -> -. ( A. n -. ( ( n e. m -> -. n = n ) -> -.
        ( -. n = n -> n e. m ) ) -> m e. l ) ) -> -. l e. k ) -> -. A. o ( o e.
        k -> -. A. p ( A. q -. ( ( q e. p -> -. A. r ( r e. o -> A. s ( -. A. t
        -. A. u -. ( ( u e. s -> u = t ) -> -. ( u = t -> u e. s ) ) -> ( A. v
        ( v e. r -> -. v e. s ) -> -. A. w -. ( ( w e. q -> ( -. w e. r -> w e.
        s ) ) -> -. ( ( -. w e. r -> w e. s ) -> w e. q ) ) ) ) ) ) -> -. ( -.
        A. r ( r e. o -> A. s ( -. A. t -. A. u -. ( ( u e. s -> u = t ) -> -.
        ( u = t -> u e. s ) ) -> ( A. v ( v e. r -> -. v e. s ) -> -. A. w -. (
        ( w e. q -> ( -. w e. r -> w e. s ) ) -> -. ( ( -. w e. r -> w e. s )
        -> w e. q ) ) ) ) ) -> q e. p ) ) -> -. p e. k ) ) ) -> c e. k ) ) ) )
        -> -. ( ( ( -. A. e ( e e. c -> A. f ( -. A. g -. A. h -. ( ( h e. f ->
        h = g ) -> -. ( h = g -> h e. f ) ) -> ( A. i ( i e. e -> -. i e. f )
        -> -. A. j -. ( ( j e. d -> ( -. j e. e -> j e. f ) ) -> -. ( ( -. j e.
        e -> j e. f ) -> j e. d ) ) ) ) ) -> -. A. k ( -. ( -. A. l ( A. m -. (
        ( m e. l -> A. n -. ( ( n e. m -> -. n = n ) -> -. ( -. n = n -> n e. m
        ) ) ) -> -. ( A. n -. ( ( n e. m -> -. n = n ) -> -. ( -. n = n -> n e.
        m ) ) -> m e. l ) ) -> -. l e. k ) -> -. A. o ( o e. k -> -. A. p ( A.
        q -. ( ( q e. p -> -. A. r ( r e. o -> A. s ( -. A. t -. A. u -. ( ( u
        e. s -> u = t ) -> -. ( u = t -> u e. s ) ) -> ( A. v ( v e. r -> -. v
        e. s ) -> -. A. w -. ( ( w e. q -> ( -. w e. r -> w e. s ) ) -> -. ( (
        -. w e. r -> w e. s ) -> w e. q ) ) ) ) ) ) -> -. ( -. A. r ( r e. o ->
        A. s ( -. A. t -. A. u -. ( ( u e. s -> u = t ) -> -. ( u = t -> u e. s
        ) ) -> ( A. v ( v e. r -> -. v e. s ) -> -. A. w -. ( ( w e. q -> ( -.
        w e. r -> w e. s ) ) -> -. ( ( -. w e. r -> w e. s ) -> w e. q ) ) ) )
        ) -> q e. p ) ) -> -. p e. k ) ) ) -> c e. k ) ) -> -. ( d e. c -> A. k
        ( -. ( -. A. l ( A. m -. ( ( m e. l -> A. n -. ( ( n e. m -> -. n = n )
        -> -. ( -. n = n -> n e. m ) ) ) -> -. ( A. n -. ( ( n e. m -> -. n = n
        ) -> -. ( -. n = n -> n e. m ) ) -> m e. l ) ) -> -. l e. k ) -> -. A.
        o ( o e. k -> -. A. p ( A. q -. ( ( q e. p -> -. A. r ( r e. o -> A. s
        ( -. A. t -. A. u -. ( ( u e. s -> u = t ) -> -. ( u = t -> u e. s ) )
        -> ( A. v ( v e. r -> -. v e. s ) -> -. A. w -. ( ( w e. q -> ( -. w e.
        r -> w e. s ) ) -> -. ( ( -. w e. r -> w e. s ) -> w e. q ) ) ) ) ) )
        -> -. ( -. A. r ( r e. o -> A. s ( -. A. t -. A. u -. ( ( u e. s -> u =
        t ) -> -. ( u = t -> u e. s ) ) -> ( A. v ( v e. r -> -. v e. s ) -> -.
        A. w -. ( ( w e. q -> ( -. w e. r -> w e. s ) ) -> -. ( ( -. w e. r ->
        w e. s ) -> w e. q ) ) ) ) ) -> q e. p ) ) -> -. p e. k ) ) ) -> c e. k
        ) ) ) -> d e. b ) ) ) -> b e. A ) ) ) -> -. A. a ( a e. C -> -. A. x -.
        ( ( x e. A -> ( A. y ( y e. a -> -. A. z -. ( ( z e. x -> ( ( -. A. a1
        ( a1 e. y -> A. b1 ( -. A. c1 -. A. d1 -. ( ( d1 e. b1 -> d1 = c1 ) ->
        -. ( d1 = c1 -> d1 e. b1 ) ) -> ( A. e1 ( e1 e. a1 -> -. e1 e. b1 ) ->
        -. A. f1 -. ( ( f1 e. z -> ( -. f1 e. a1 -> f1 e. b1 ) ) -> -. ( ( -.
        f1 e. a1 -> f1 e. b1 ) -> f1 e. z ) ) ) ) ) -> -. A. g1 ( -. ( -. A. h1
        ( A. i1 -. ( ( i1 e. h1 -> A. j1 -. ( ( j1 e. i1 -> -. j1 = j1 ) -> -.
        ( -. j1 = j1 -> j1 e. i1 ) ) ) -> -. ( A. j1 -. ( ( j1 e. i1 -> -. j1 =
        j1 ) -> -. ( -. j1 = j1 -> j1 e. i1 ) ) -> i1 e. h1 ) ) -> -. h1 e. g1
        ) -> -. A. k1 ( k1 e. g1 -> -. A. l1 ( A. m1 -. ( ( m1 e. l1 -> -. A.
        n1 ( n1 e. k1 -> A. o1 ( -. A. p1 -. A. q1 -. ( ( q1 e. o1 -> q1 = p1 )
        -> -. ( q1 = p1 -> q1 e. o1 ) ) -> ( A. r1 ( r1 e. n1 -> -. r1 e. o1 )
        -> -. A. s1 -. ( ( s1 e. m1 -> ( -. s1 e. n1 -> s1 e. o1 ) ) -> -. ( (
        -. s1 e. n1 -> s1 e. o1 ) -> s1 e. m1 ) ) ) ) ) ) -> -. ( -. A. n1 ( n1
        e. k1 -> A. o1 ( -. A. p1 -. A. q1 -. ( ( q1 e. o1 -> q1 = p1 ) -> -. (
        q1 = p1 -> q1 e. o1 ) ) -> ( A. r1 ( r1 e. n1 -> -. r1 e. o1 ) -> -. A.
        s1 -. ( ( s1 e. m1 -> ( -. s1 e. n1 -> s1 e. o1 ) ) -> -. ( ( -. s1 e.
        n1 -> s1 e. o1 ) -> s1 e. m1 ) ) ) ) ) -> m1 e. l1 ) ) -> -. l1 e. g1 )
        ) ) -> y e. g1 ) ) -> -. ( z e. y -> A. g1 ( -. ( -. A. h1 ( A. i1 -. (
        ( i1 e. h1 -> A. j1 -. ( ( j1 e. i1 -> -. j1 = j1 ) -> -. ( -. j1 = j1
        -> j1 e. i1 ) ) ) -> -. ( A. j1 -. ( ( j1 e. i1 -> -. j1 = j1 ) -> -. (
        -. j1 = j1 -> j1 e. i1 ) ) -> i1 e. h1 ) ) -> -. h1 e. g1 ) -> -. A. k1
        ( k1 e. g1 -> -. A. l1 ( A. m1 -. ( ( m1 e. l1 -> -. A. n1 ( n1 e. k1
        -> A. o1 ( -. A. p1 -. A. q1 -. ( ( q1 e. o1 -> q1 = p1 ) -> -. ( q1 =
        p1 -> q1 e. o1 ) ) -> ( A. r1 ( r1 e. n1 -> -. r1 e. o1 ) -> -. A. s1
        -. ( ( s1 e. m1 -> ( -. s1 e. n1 -> s1 e. o1 ) ) -> -. ( ( -. s1 e. n1
        -> s1 e. o1 ) -> s1 e. m1 ) ) ) ) ) ) -> -. ( -. A. n1 ( n1 e. k1 -> A.
        o1 ( -. A. p1 -. A. q1 -. ( ( q1 e. o1 -> q1 = p1 ) -> -. ( q1 = p1 ->
        q1 e. o1 ) ) -> ( A. r1 ( r1 e. n1 -> -. r1 e. o1 ) -> -. A. s1 -. ( (
        s1 e. m1 -> ( -. s1 e. n1 -> s1 e. o1 ) ) -> -. ( ( -. s1 e. n1 -> s1
        e. o1 ) -> s1 e. m1 ) ) ) ) ) -> m1 e. l1 ) ) -> -. l1 e. g1 ) ) ) -> y
        e. g1 ) ) ) ) -> -. ( ( ( -. A. a1 ( a1 e. y -> A. b1 ( -. A. c1 -. A.
        d1 -. ( ( d1 e. b1 -> d1 = c1 ) -> -. ( d1 = c1 -> d1 e. b1 ) ) -> ( A.
        e1 ( e1 e. a1 -> -. e1 e. b1 ) -> -. A. f1 -. ( ( f1 e. z -> ( -. f1 e.
        a1 -> f1 e. b1 ) ) -> -. ( ( -. f1 e. a1 -> f1 e. b1 ) -> f1 e. z ) ) )
        ) ) -> -. A. g1 ( -. ( -. A. h1 ( A. i1 -. ( ( i1 e. h1 -> A. j1 -. ( (
        j1 e. i1 -> -. j1 = j1 ) -> -. ( -. j1 = j1 -> j1 e. i1 ) ) ) -> -. (
        A. j1 -. ( ( j1 e. i1 -> -. j1 = j1 ) -> -. ( -. j1 = j1 -> j1 e. i1 )
        ) -> i1 e. h1 ) ) -> -. h1 e. g1 ) -> -. A. k1 ( k1 e. g1 -> -. A. l1 (
        A. m1 -. ( ( m1 e. l1 -> -. A. n1 ( n1 e. k1 -> A. o1 ( -. A. p1 -. A.
        q1 -. ( ( q1 e. o1 -> q1 = p1 ) -> -. ( q1 = p1 -> q1 e. o1 ) ) -> ( A.
        r1 ( r1 e. n1 -> -. r1 e. o1 ) -> -. A. s1 -. ( ( s1 e. m1 -> ( -. s1
        e. n1 -> s1 e. o1 ) ) -> -. ( ( -. s1 e. n1 -> s1 e. o1 ) -> s1 e. m1 )
        ) ) ) ) ) -> -. ( -. A. n1 ( n1 e. k1 -> A. o1 ( -. A. p1 -. A. q1 -. (
        ( q1 e. o1 -> q1 = p1 ) -> -. ( q1 = p1 -> q1 e. o1 ) ) -> ( A. r1 ( r1
        e. n1 -> -. r1 e. o1 ) -> -. A. s1 -. ( ( s1 e. m1 -> ( -. s1 e. n1 ->
        s1 e. o1 ) ) -> -. ( ( -. s1 e. n1 -> s1 e. o1 ) -> s1 e. m1 ) ) ) ) )
        -> m1 e. l1 ) ) -> -. l1 e. g1 ) ) ) -> y e. g1 ) ) -> -. ( z e. y ->
        A. g1 ( -. ( -. A. h1 ( A. i1 -. ( ( i1 e. h1 -> A. j1 -. ( ( j1 e. i1
        -> -. j1 = j1 ) -> -. ( -. j1 = j1 -> j1 e. i1 ) ) ) -> -. ( A. j1 -. (
        ( j1 e. i1 -> -. j1 = j1 ) -> -. ( -. j1 = j1 -> j1 e. i1 ) ) -> i1 e.
        h1 ) ) -> -. h1 e. g1 ) -> -. A. k1 ( k1 e. g1 -> -. A. l1 ( A. m1 -. (
        ( m1 e. l1 -> -. A. n1 ( n1 e. k1 -> A. o1 ( -. A. p1 -. A. q1 -. ( (
        q1 e. o1 -> q1 = p1 ) -> -. ( q1 = p1 -> q1 e. o1 ) ) -> ( A. r1 ( r1
        e. n1 -> -. r1 e. o1 ) -> -. A. s1 -. ( ( s1 e. m1 -> ( -. s1 e. n1 ->
        s1 e. o1 ) ) -> -. ( ( -. s1 e. n1 -> s1 e. o1 ) -> s1 e. m1 ) ) ) ) )
        ) -> -. ( -. A. n1 ( n1 e. k1 -> A. o1 ( -. A. p1 -. A. q1 -. ( ( q1 e.
        o1 -> q1 = p1 ) -> -. ( q1 = p1 -> q1 e. o1 ) ) -> ( A. r1 ( r1 e. n1
        -> -. r1 e. o1 ) -> -. A. s1 -. ( ( s1 e. m1 -> ( -. s1 e. n1 -> s1 e.
        o1 ) ) -> -. ( ( -. s1 e. n1 -> s1 e. o1 ) -> s1 e. m1 ) ) ) ) ) -> m1
        e. l1 ) ) -> -. l1 e. g1 ) ) ) -> y e. g1 ) ) ) -> z e. x ) ) ) -> A.
        t1 -. ( ( t1 e. x -> A. u1 -. ( ( u1 e. t1 -> -. u1 = u1 ) -> -. ( -.
        u1 = u1 -> u1 e. t1 ) ) ) -> -. ( A. u1 -. ( ( u1 e. t1 -> -. u1 = u1 )
        -> -. ( -. u1 = u1 -> u1 e. t1 ) ) -> t1 e. x ) ) ) ) -> -. ( ( A. y (
        y e. a -> -. A. z -. ( ( z e. x -> ( ( -. A. a1 ( a1 e. y -> A. b1 ( -.
        A. c1 -. A. d1 -. ( ( d1 e. b1 -> d1 = c1 ) -> -. ( d1 = c1 -> d1 e. b1
        ) ) -> ( A. e1 ( e1 e. a1 -> -. e1 e. b1 ) -> -. A. f1 -. ( ( f1 e. z
        -> ( -. f1 e. a1 -> f1 e. b1 ) ) -> -. ( ( -. f1 e. a1 -> f1 e. b1 ) ->
        f1 e. z ) ) ) ) ) -> -. A. g1 ( -. ( -. A. h1 ( A. i1 -. ( ( i1 e. h1
        -> A. j1 -. ( ( j1 e. i1 -> -. j1 = j1 ) -> -. ( -. j1 = j1 -> j1 e. i1
        ) ) ) -> -. ( A. j1 -. ( ( j1 e. i1 -> -. j1 = j1 ) -> -. ( -. j1 = j1
        -> j1 e. i1 ) ) -> i1 e. h1 ) ) -> -. h1 e. g1 ) -> -. A. k1 ( k1 e. g1
        -> -. A. l1 ( A. m1 -. ( ( m1 e. l1 -> -. A. n1 ( n1 e. k1 -> A. o1 (
        -. A. p1 -. A. q1 -. ( ( q1 e. o1 -> q1 = p1 ) -> -. ( q1 = p1 -> q1 e.
        o1 ) ) -> ( A. r1 ( r1 e. n1 -> -. r1 e. o1 ) -> -. A. s1 -. ( ( s1 e.
        m1 -> ( -. s1 e. n1 -> s1 e. o1 ) ) -> -. ( ( -. s1 e. n1 -> s1 e. o1 )
        -> s1 e. m1 ) ) ) ) ) ) -> -. ( -. A. n1 ( n1 e. k1 -> A. o1 ( -. A. p1
        -. A. q1 -. ( ( q1 e. o1 -> q1 = p1 ) -> -. ( q1 = p1 -> q1 e. o1 ) )
        -> ( A. r1 ( r1 e. n1 -> -. r1 e. o1 ) -> -. A. s1 -. ( ( s1 e. m1 -> (
        -. s1 e. n1 -> s1 e. o1 ) ) -> -. ( ( -. s1 e. n1 -> s1 e. o1 ) -> s1
        e. m1 ) ) ) ) ) -> m1 e. l1 ) ) -> -. l1 e. g1 ) ) ) -> y e. g1 ) ) ->
        -. ( z e. y -> A. g1 ( -. ( -. A. h1 ( A. i1 -. ( ( i1 e. h1 -> A. j1
        -. ( ( j1 e. i1 -> -. j1 = j1 ) -> -. ( -. j1 = j1 -> j1 e. i1 ) ) ) ->
        -. ( A. j1 -. ( ( j1 e. i1 -> -. j1 = j1 ) -> -. ( -. j1 = j1 -> j1 e.
        i1 ) ) -> i1 e. h1 ) ) -> -. h1 e. g1 ) -> -. A. k1 ( k1 e. g1 -> -. A.
        l1 ( A. m1 -. ( ( m1 e. l1 -> -. A. n1 ( n1 e. k1 -> A. o1 ( -. A. p1
        -. A. q1 -. ( ( q1 e. o1 -> q1 = p1 ) -> -. ( q1 = p1 -> q1 e. o1 ) )
        -> ( A. r1 ( r1 e. n1 -> -. r1 e. o1 ) -> -. A. s1 -. ( ( s1 e. m1 -> (
        -. s1 e. n1 -> s1 e. o1 ) ) -> -. ( ( -. s1 e. n1 -> s1 e. o1 ) -> s1
        e. m1 ) ) ) ) ) ) -> -. ( -. A. n1 ( n1 e. k1 -> A. o1 ( -. A. p1 -. A.
        q1 -. ( ( q1 e. o1 -> q1 = p1 ) -> -. ( q1 = p1 -> q1 e. o1 ) ) -> ( A.
        r1 ( r1 e. n1 -> -. r1 e. o1 ) -> -. A. s1 -. ( ( s1 e. m1 -> ( -. s1
        e. n1 -> s1 e. o1 ) ) -> -. ( ( -. s1 e. n1 -> s1 e. o1 ) -> s1 e. m1 )
        ) ) ) ) -> m1 e. l1 ) ) -> -. l1 e. g1 ) ) ) -> y e. g1 ) ) ) ) -> -. (
        ( ( -. A. a1 ( a1 e. y -> A. b1 ( -. A. c1 -. A. d1 -. ( ( d1 e. b1 ->
        d1 = c1 ) -> -. ( d1 = c1 -> d1 e. b1 ) ) -> ( A. e1 ( e1 e. a1 -> -.
        e1 e. b1 ) -> -. A. f1 -. ( ( f1 e. z -> ( -. f1 e. a1 -> f1 e. b1 ) )
        -> -. ( ( -. f1 e. a1 -> f1 e. b1 ) -> f1 e. z ) ) ) ) ) -> -. A. g1 (
        -. ( -. A. h1 ( A. i1 -. ( ( i1 e. h1 -> A. j1 -. ( ( j1 e. i1 -> -. j1
        = j1 ) -> -. ( -. j1 = j1 -> j1 e. i1 ) ) ) -> -. ( A. j1 -. ( ( j1 e.
        i1 -> -. j1 = j1 ) -> -. ( -. j1 = j1 -> j1 e. i1 ) ) -> i1 e. h1 ) )
        -> -. h1 e. g1 ) -> -. A. k1 ( k1 e. g1 -> -. A. l1 ( A. m1 -. ( ( m1
        e. l1 -> -. A. n1 ( n1 e. k1 -> A. o1 ( -. A. p1 -. A. q1 -. ( ( q1 e.
        o1 -> q1 = p1 ) -> -. ( q1 = p1 -> q1 e. o1 ) ) -> ( A. r1 ( r1 e. n1
        -> -. r1 e. o1 ) -> -. A. s1 -. ( ( s1 e. m1 -> ( -. s1 e. n1 -> s1 e.
        o1 ) ) -> -. ( ( -. s1 e. n1 -> s1 e. o1 ) -> s1 e. m1 ) ) ) ) ) ) ->
        -. ( -. A. n1 ( n1 e. k1 -> A. o1 ( -. A. p1 -. A. q1 -. ( ( q1 e. o1
        -> q1 = p1 ) -> -. ( q1 = p1 -> q1 e. o1 ) ) -> ( A. r1 ( r1 e. n1 ->
        -. r1 e. o1 ) -> -. A. s1 -. ( ( s1 e. m1 -> ( -. s1 e. n1 -> s1 e. o1
        ) ) -> -. ( ( -. s1 e. n1 -> s1 e. o1 ) -> s1 e. m1 ) ) ) ) ) -> m1 e.
        l1 ) ) -> -. l1 e. g1 ) ) ) -> y e. g1 ) ) -> -. ( z e. y -> A. g1 ( -.
        ( -. A. h1 ( A. i1 -. ( ( i1 e. h1 -> A. j1 -. ( ( j1 e. i1 -> -. j1 =
        j1 ) -> -. ( -. j1 = j1 -> j1 e. i1 ) ) ) -> -. ( A. j1 -. ( ( j1 e. i1
        -> -. j1 = j1 ) -> -. ( -. j1 = j1 -> j1 e. i1 ) ) -> i1 e. h1 ) ) ->
        -. h1 e. g1 ) -> -. A. k1 ( k1 e. g1 -> -. A. l1 ( A. m1 -. ( ( m1 e.
        l1 -> -. A. n1 ( n1 e. k1 -> A. o1 ( -. A. p1 -. A. q1 -. ( ( q1 e. o1
        -> q1 = p1 ) -> -. ( q1 = p1 -> q1 e. o1 ) ) -> ( A. r1 ( r1 e. n1 ->
        -. r1 e. o1 ) -> -. A. s1 -. ( ( s1 e. m1 -> ( -. s1 e. n1 -> s1 e. o1
        ) ) -> -. ( ( -. s1 e. n1 -> s1 e. o1 ) -> s1 e. m1 ) ) ) ) ) ) -> -. (
        -. A. n1 ( n1 e. k1 -> A. o1 ( -. A. p1 -. A. q1 -. ( ( q1 e. o1 -> q1
        = p1 ) -> -. ( q1 = p1 -> q1 e. o1 ) ) -> ( A. r1 ( r1 e. n1 -> -. r1
        e. o1 ) -> -. A. s1 -. ( ( s1 e. m1 -> ( -. s1 e. n1 -> s1 e. o1 ) ) ->
        -. ( ( -. s1 e. n1 -> s1 e. o1 ) -> s1 e. m1 ) ) ) ) ) -> m1 e. l1 ) )
        -> -. l1 e. g1 ) ) ) -> y e. g1 ) ) ) -> z e. x ) ) ) -> A. t1 -. ( (
        t1 e. x -> A. u1 -. ( ( u1 e. t1 -> -. u1 = u1 ) -> -. ( -. u1 = u1 ->
        u1 e. t1 ) ) ) -> -. ( A. u1 -. ( ( u1 e. t1 -> -. u1 = u1 ) -> -. ( -.
        u1 = u1 -> u1 e. t1 ) ) -> t1 e. x ) ) ) -> x e. A ) ) ) ) ) $=
      ( vt3 cop wcel cv cphi wceq wrex cab c0c csn cun wo wel weq wi wal eleq2i
      wn df-op elun bitri eqeq1 rexbidv elab wa wex dfcleq vex elphiprim bibi2i
      wb dfbi1 albii rexbii df-rex alinexa con2bii elsn eq0cprim orbi12i bitr4i
      imor ) HIJVMZVNZHVLVOZUEVOZVPZVQZUEIVRZVLVSZVNZHXPXRVTWAZWBZVQZUEJVRZVLVS
      ZVNZWCZXQIVNZUFVOZHVNZUGUEWDUHUFWDZKUGWDNLWDZNMWEZWFYOYNWFWIWFWINWGWIMWGW
      IOKWDOLWDWIWFOWGPUHWDZPKWDWIPLWDWFZWFYQYPWFWIWFWIPWGWIWFWFLWGWFKWGWIRUIWD
      ZSRWDZSSWEWIZWFYTYSWFWIWFWISWGZWFUUAYRWFWIWFWIRWGUIQWDWIWFUIWGWITQWDUCUDW
      DZUBTWDFUAWDZFGWEZWFUUDUUCWFWIWFWIFWGWIGWGWIEUBWDEUAWDWIWFEWGDUCWDZDUBWDW
      IDUAWDWFZWFUUFUUEWFWIWFWIDWGWIWFWFUAWGWFUBWGWIZWFUUGUUBWFWIWFWIUCWGUDQWDW
      IWFUDWGWIWFTWGWIWFWIUGQWDWFQWGZWIWFUHUGWDUUHWFWIWFZWFUUIYMWFWIWFWIUHWGWIW
      FUGWGWIZWFUUJYLWFWIWFWIZUFWGZWIWFUEWGZXQJVNZAVOZHVNZBUEWDCAWDZUJBWDUMUKWD
      ZUMULWEZWFUUSUURWFWIWFWIUMWGWIULWGWIUNUJWDUNUKWDWIWFUNWGUOCWDZUOUJWDWIUOU
      KWDWFZWFUVAUUTWFWIWFWIUOWGWIWFWFUKWGWFUJWGWIURUQWDZUSURWDZUSUSWEWIZWFUVDU
      VCWFWIWFWIUSWGZWFUVEUVBWFWIWFWIURWGUQUPWDWIWFUQWGWIUTUPWDVBVAWDZVCUTWDVFV
      DWDZVFVEWEZWFUVHUVGWFWIWFWIVFWGWIVEWGWIVGVCWDVGVDWDWIWFVGWGVHVBWDZVHVCWDW
      IVHVDWDWFZWFUVJUVIWFWIWFWIVHWGWIWFWFVDWGWFVCWGWIZWFUVKUVFWFWIWFWIVBWGVAUP
      WDWIWFVAWGWIWFUTWGWIWFWIBUPWDWFUPWGZWIWFCBWDUVLWFWIWFZWFUVMUUQWFWIWFWICWG
      WIWFBWGZVIAWDZVJVIWDZVJVJWEWIZWFUVQUVPWFWIWFWIVJWGZWFUVRUVOWFWIWFWIVIWGZW
      FZWFUVTUUPWFWIWFWIZAWGZWIWFUEWGZWIZWFZXOHYAYGWBZVNYIXNUWFHVLUEIJWJWHHYAYG
      WKWLYIUUMWIZUWDWCUWEYBUWGYHUWDYBHXRVQZUEIVRZUWGXTUWIVLHVKXPHVQZXSUWHUEIXP
      HXRWMWNWOUWIYJUULWPUEWQZUWGUWIUULUEIVRUWKUWHUULUEIUWHYLYKXRVNZXBZUFWGUULU
      FHXRWRUWMUUKUFUWMYLUUJXBUUKUWLUUJYLDEYKXQMNOPQUIRTUDUCFGUAUBUGUHKLSUFWSWT
      XAYLUUJXCWLXDWLXEUULUEIXFWLUUMUWKYJUULUEXGXHWLWLYHHYDVQZUEJVRZUWDYFUWOVLH
      VKUWJYEUWNUEJXPHYDWMWNWOUWOUUNUWBWPUEWQZUWDUWOUWBUEJVRUWPUWNUWBUEJUWNUUPU
      UOYDVNZXBZAWGUWBAHYDWRUWRUWAAUWRUUPUVTXBUWAUWQUVTUUPUWQUUOXRVNZUUOYCVNZWC
      ZUVTUUOXRYCWKUXAUVNWIZUVSWCUVTUWSUXBUWTUVSVHVGUUOXQULUMUNUOUPUQURUTVAVBVF
      VEVDVCBCUJUKUSAWSZWTUWTUUOVTVQUVSUUOVTUXCXIUUOVIVJXJWLXKUVNUVSXMXLWLXAUUP
      UVTXCWLXDWLXEUWBUEJXFWLUWCUWPUUNUWBUEXGXHWLWLXKUUMUWDXMXLWL $.
      $( [24-Mar-2015] $)
  $}

  ${
    $d A a $.  $d B a $.  $d C a $.  $d D a $.  $d a1 b1 $.  $d a1 c1 $.
    $d a1 g1 $.  $d a1 y $.  $d a1 z $.  $d a2 b2 $.  $d a2 e2 $.  $d a2 f2 $.
    $d a2 y1 $.  $d a2 z1 $.  $d a3 w2 $.  $d a3 x2 $.  $d a b $.  $d A b $.
    $d a c $.  $d a t2 $.  $d a w1 $.  $d a x1 $.  $d a y $.  $d b1 c1 $.
    $d b1 f1 $.  $d b1 g1 $.  $d b1 z $.  $d b2 c2 $.  $d b2 d2 $.  $d b2 e2 $.
    $d b2 f2 $.  $d b2 y1 $.  $d b2 z1 $.  $d b3 v2 $.  $d b3 w2 $.
    $d b3 x2 $.  $d B b $.  $d b c $.  $d b d $.  $d b y $.  $d b z $.
    $d c1 d1 $.  $d c1 e1 $.  $d c1 f1 $.  $d c1 g1 $.  $d c1 z $.  $d c2 d2 $.
    $d c3 d3 $.  $d c3 g3 $.  $d c3 h3 $.  $d c3 u2 $.  $d c d $.  $d c e $.
    $d C w1 $.  $d d1 e1 $.  $d d3 e3 $.  $d d e $.  $d d f $.  $d d g $.
    $d d l $.  $d D w1 $.  $d e3 f3 $.  $d e f $.  $d e g $.  $d e k $.
    $d f2 z1 $.  $d f g $.  $d f j $.  $d f k $.  $d g2 h2 $.  $d g2 k2 $.
    $d g2 l2 $.  $d g2 y1 $.  $d g3 h3 $.  $d g3 i3 $.  $d g3 j3 $.
    $d g3 k3 $.  $d g h $.  $d g i $.  $d g j $.  $d g k $.  $d h1 i1 $.
    $d h1 l1 $.  $d h1 m1 $.  $d h1 z $.  $d h2 i2 $.  $d h3 i3 $.  $d h i $.
    $d i1 j1 $.  $d i2 j2 $.  $d i3 j3 $.  $d i3 k3 $.  $d i3 o3 $.
    $d j1 k1 $.  $d j3 k3 $.  $d j3 n3 $.  $d j3 o3 $.  $d k2 l2 $.
    $d k2 m2 $.  $d k2 n2 $.  $d k2 o2 $.  $d k3 l3 $.  $d k3 m3 $.
    $d k3 n3 $.  $d k3 o3 $.  $d l1 m1 $.  $d l1 n1 $.  $d l1 o1 $.
    $d l1 p1 $.  $d l2 m2 $.  $d l3 m3 $.  $d l m $.  $d l p $.  $d l q $.
    $d m1 n1 $.  $d m2 n2 $.  $d m2 o2 $.  $d m2 s2 $.  $d m n $.  $d n1 o1 $.
    $d n1 p1 $.  $d n1 t1 $.  $d n2 o2 $.  $d n2 r2 $.  $d n2 s2 $.  $d n o $.
    $d o1 p1 $.  $d o1 s1 $.  $d o1 t1 $.  $d o2 p2 $.  $d o2 q2 $.
    $d o2 r2 $.  $d o2 s2 $.  $d p1 q1 $.  $d p1 r1 $.  $d p1 s1 $.
    $d p1 t1 $.  $d p2 q2 $.  $d p3 q3 $.  $d p3 t2 $.  $d p q $.  $d p r $.
    $d p s $.  $d p t $.  $d q1 r1 $.  $d q r $.  $d r s $.  $d r t $.
    $d r x $.  $d s t $.  $d s w $.  $d s x $.  $d t2 u2 $.  $d t2 v2 $.
    $d t2 w1 $.  $d t u $.  $d t v $.  $d t w $.  $d t x $.  $d u1 v1 $.
    $d u1 y $.  $d u2 v2 $.  $d u2 w1 $.  $d u2 w2 $.  $d u2 x2 $.  $d u v $.
    $d v2 w2 $.  $d v2 x2 $.  $d w1 x1 $.  $d w1 y1 $.  $d w2 x2 $.
    $d x1 y1 $.  $d x1 z1 $.  $d x2 y2 $.  $d x2 z2 $.  $d y1 z1 $.
    $d y2 z2 $.  $d y z $.
    $( PLEASE PUT DESCRIPTION HERE. $)
  $( I commented this out because 'save proof opthprim/compressed' and
     'show statement opthprim/html' take an unreasonable amount of time
     to complete; it needs to be broken up somehow. $)
$(
    opthprim $p |- -. ( ( A. a -. ( ( ( A. b ( b e. A -> -. A. c -. ( ( c e. a
        -> -. A. d ( d e. b -> -. A. e -. ( ( e e. c -> ( ( -. A. f ( f e. d ->
        A. g ( -. A. h -. A. i -. ( ( i e. g -> i = h ) -> -. ( i = h -> i e. g
        ) ) -> ( A. j ( j e. f -> -. j e. g ) -> -. A. k -. ( ( k e. e -> ( -.
        k e. f -> k e. g ) ) -> -. ( ( -. k e. f -> k e. g ) -> k e. e ) ) ) )
        ) -> -. A. l ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n
        -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e.
        n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) -> n e. m ) ) -> -. m e.
        l ) -> -. A. p ( p e. l -> -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s
        e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u
        -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e.
        r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e.
        r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( (
        v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -.
        w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. (
        ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l
        ) ) ) -> d e. l ) ) -> -. ( e e. d -> A. l ( -. ( -. A. m ( A. n -. ( (
        n e. m -> A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n )
        ) ) -> -. ( A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n
        ) ) -> n e. m ) ) -> -. m e. l ) -> -. A. p ( p e. l -> -. A. q ( A. r
        -. ( ( r e. q -> -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e.
        t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e.
        t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -.
        x e. s -> x e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p -> A.
        t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t )
        ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x
        e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) )
        -> r e. q ) ) -> -. q e. l ) ) ) -> d e. l ) ) ) ) -> -. ( ( ( -. A. f
        ( f e. d -> A. g ( -. A. h -. A. i -. ( ( i e. g -> i = h ) -> -. ( i =
        h -> i e. g ) ) -> ( A. j ( j e. f -> -. j e. g ) -> -. A. k -. ( ( k
        e. e -> ( -. k e. f -> k e. g ) ) -> -. ( ( -. k e. f -> k e. g ) -> k
        e. e ) ) ) ) ) -> -. A. l ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o
        -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A.
        o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) -> n e. m
        ) ) -> -. m e. l ) -> -. A. p ( p e. l -> -. A. q ( A. r -. ( ( r e. q
        -> -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u )
        -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A.
        x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x
        e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t ( -. A. u
        -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w
        ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e.
        t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) )
        -> -. q e. l ) ) ) -> d e. l ) ) -> -. ( e e. d -> A. l ( -. ( -. A. m
        ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o =
        o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o
        = o -> o e. n ) ) -> n e. m ) ) -> -. m e. l ) -> -. A. p ( p e. l ->
        -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s e. p -> A. t ( -. A. u -.
        A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w
        e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t )
        ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s
        ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v =
        u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x
        e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x
        e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l ) ) ) -> d e. l ) ) ) -> e e.
        c ) ) ) ) -> -. ( -. A. d ( d e. b -> -. A. e -. ( ( e e. c -> ( ( -.
        A. f ( f e. d -> A. g ( -. A. h -. A. i -. ( ( i e. g -> i = h ) -> -.
        ( i = h -> i e. g ) ) -> ( A. j ( j e. f -> -. j e. g ) -> -. A. k -. (
        ( k e. e -> ( -. k e. f -> k e. g ) ) -> -. ( ( -. k e. f -> k e. g )
        -> k e. e ) ) ) ) ) -> -. A. l ( -. ( -. A. m ( A. n -. ( ( n e. m ->
        A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) ) -> -.
        ( A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) -> n
        e. m ) ) -> -. m e. l ) -> -. A. p ( p e. l -> -. A. q ( A. r -. ( ( r
        e. q -> -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v =
        u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -.
        A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s ->
        x e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t ( -. A.
        u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A.
        w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x
        e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r e. q
        ) ) -> -. q e. l ) ) ) -> d e. l ) ) -> -. ( e e. d -> A. l ( -. ( -.
        A. m ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n -> -. o = o ) -> -. (
        -. o = o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e. n -> -. o = o ) -> -.
        ( -. o = o -> o e. n ) ) -> n e. m ) ) -> -. m e. l ) -> -. A. p ( p e.
        l -> -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s e. p -> A. t ( -. A. u
        -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w
        ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e.
        t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -.
        A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -.
        ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. (
        ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t )
        -> x e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l ) ) ) -> d e. l ) ) ) )
        -> -. ( ( ( -. A. f ( f e. d -> A. g ( -. A. h -. A. i -. ( ( i e. g ->
        i = h ) -> -. ( i = h -> i e. g ) ) -> ( A. j ( j e. f -> -. j e. g )
        -> -. A. k -. ( ( k e. e -> ( -. k e. f -> k e. g ) ) -> -. ( ( -. k e.
        f -> k e. g ) -> k e. e ) ) ) ) ) -> -. A. l ( -. ( -. A. m ( A. n -. (
        ( n e. m -> A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n
        ) ) ) -> -. ( A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e.
        n ) ) -> n e. m ) ) -> -. m e. l ) -> -. A. p ( p e. l -> -. A. q ( A.
        r -. ( ( r e. q -> -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v
        e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w
        e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( (
        -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p ->
        A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t
        ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -.
        x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) )
        ) -> r e. q ) ) -> -. q e. l ) ) ) -> d e. l ) ) -> -. ( e e. d -> A. l
        ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n -> -. o = o )
        -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e. n -> -. o = o
        ) -> -. ( -. o = o -> o e. n ) ) -> n e. m ) ) -> -. m e. l ) -> -. A.
        p ( p e. l -> -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s e. p -> A. t
        ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) )
        -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e.
        s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) )
        -> -. ( -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v =
        u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -.
        A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s ->
        x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l ) ) ) -> d e. l
        ) ) ) -> e e. c ) ) ) -> c e. a ) ) ) -> -. A. b ( b e. B -> -. A. y -.
        ( ( y e. a -> ( A. z ( z e. b -> -. A. a1 -. ( ( a1 e. y -> ( ( -. A.
        b1 ( b1 e. z -> A. c1 ( -. A. d1 -. A. e1 -. ( ( e1 e. c1 -> e1 = d1 )
        -> -. ( e1 = d1 -> e1 e. c1 ) ) -> ( A. f1 ( f1 e. b1 -> -. f1 e. c1 )
        -> -. A. g1 -. ( ( g1 e. a1 -> ( -. g1 e. b1 -> g1 e. c1 ) ) -> -. ( (
        -. g1 e. b1 -> g1 e. c1 ) -> g1 e. a1 ) ) ) ) ) -> -. A. h1 ( -. ( -.
        A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 )
        -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 ->
        -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -.
        i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1
        -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 ->
        r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -.
        s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) )
        -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -.
        A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 =
        q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e.
        p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -.
        ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) ->
        -. m1 e. h1 ) ) ) -> z e. h1 ) ) -> -. ( a1 e. z -> A. h1 ( -. ( -. A.
        i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) ->
        -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 -> -.
        k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -. i1
        e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1 ->
        -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1
        = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1
        e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) ->
        -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -. A.
        o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 )
        -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 )
        -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( (
        -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) -> -.
        m1 e. h1 ) ) ) -> z e. h1 ) ) ) ) -> -. ( ( ( -. A. b1 ( b1 e. z -> A.
        c1 ( -. A. d1 -. A. e1 -. ( ( e1 e. c1 -> e1 = d1 ) -> -. ( e1 = d1 ->
        e1 e. c1 ) ) -> ( A. f1 ( f1 e. b1 -> -. f1 e. c1 ) -> -. A. g1 -. ( (
        g1 e. a1 -> ( -. g1 e. b1 -> g1 e. c1 ) ) -> -. ( ( -. g1 e. b1 -> g1
        e. c1 ) -> g1 e. a1 ) ) ) ) ) -> -. A. h1 ( -. ( -. A. i1 ( A. j1 -. (
        ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1
        -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. (
        -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1
        ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1
        -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 =
        q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1
        -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1
        -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A.
        p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 ->
        r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( (
        t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1
        e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z
        e. h1 ) ) -> -. ( a1 e. z -> A. h1 ( -. ( -. A. i1 ( A. j1 -. ( ( j1 e.
        i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e.
        j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 =
        k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1 ( l1 e.
        h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1 -> A. p1
        ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1
        e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1
        e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e.
        p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A. p1 ( -.
        A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1
        ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1
        -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) ->
        t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z e. h1 ) )
        ) -> a1 e. y ) ) ) -> A. u1 -. ( ( u1 e. y -> A. v1 -. ( ( v1 e. u1 ->
        -. v1 = v1 ) -> -. ( -. v1 = v1 -> v1 e. u1 ) ) ) -> -. ( A. v1 -. ( (
        v1 e. u1 -> -. v1 = v1 ) -> -. ( -. v1 = v1 -> v1 e. u1 ) ) -> u1 e. y
        ) ) ) ) -> -. ( ( A. z ( z e. b -> -. A. a1 -. ( ( a1 e. y -> ( ( -. A.
        b1 ( b1 e. z -> A. c1 ( -. A. d1 -. A. e1 -. ( ( e1 e. c1 -> e1 = d1 )
        -> -. ( e1 = d1 -> e1 e. c1 ) ) -> ( A. f1 ( f1 e. b1 -> -. f1 e. c1 )
        -> -. A. g1 -. ( ( g1 e. a1 -> ( -. g1 e. b1 -> g1 e. c1 ) ) -> -. ( (
        -. g1 e. b1 -> g1 e. c1 ) -> g1 e. a1 ) ) ) ) ) -> -. A. h1 ( -. ( -.
        A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 )
        -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 ->
        -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -.
        i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1
        -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 ->
        r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -.
        s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) )
        -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -.
        A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 =
        q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e.
        p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -.
        ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) ->
        -. m1 e. h1 ) ) ) -> z e. h1 ) ) -> -. ( a1 e. z -> A. h1 ( -. ( -. A.
        i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) ->
        -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 -> -.
        k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -. i1
        e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1 ->
        -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1
        = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1
        e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) ->
        -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -. A.
        o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 )
        -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 )
        -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( (
        -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) -> -.
        m1 e. h1 ) ) ) -> z e. h1 ) ) ) ) -> -. ( ( ( -. A. b1 ( b1 e. z -> A.
        c1 ( -. A. d1 -. A. e1 -. ( ( e1 e. c1 -> e1 = d1 ) -> -. ( e1 = d1 ->
        e1 e. c1 ) ) -> ( A. f1 ( f1 e. b1 -> -. f1 e. c1 ) -> -. A. g1 -. ( (
        g1 e. a1 -> ( -. g1 e. b1 -> g1 e. c1 ) ) -> -. ( ( -. g1 e. b1 -> g1
        e. c1 ) -> g1 e. a1 ) ) ) ) ) -> -. A. h1 ( -. ( -. A. i1 ( A. j1 -. (
        ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1
        -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. (
        -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1
        ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1
        -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 =
        q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1
        -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1
        -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A.
        p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 ->
        r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( (
        t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1
        e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z
        e. h1 ) ) -> -. ( a1 e. z -> A. h1 ( -. ( -. A. i1 ( A. j1 -. ( ( j1 e.
        i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e.
        j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 =
        k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1 ( l1 e.
        h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1 -> A. p1
        ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1
        e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1
        e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e.
        p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A. p1 ( -.
        A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1
        ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1
        -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) ->
        t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z e. h1 ) )
        ) -> a1 e. y ) ) ) -> A. u1 -. ( ( u1 e. y -> A. v1 -. ( ( v1 e. u1 ->
        -. v1 = v1 ) -> -. ( -. v1 = v1 -> v1 e. u1 ) ) ) -> -. ( A. v1 -. ( (
        v1 e. u1 -> -. v1 = v1 ) -> -. ( -. v1 = v1 -> v1 e. u1 ) ) -> u1 e. y
        ) ) ) -> y e. a ) ) ) ) -> ( A. w1 ( w1 e. C -> -. A. x1 -. ( ( x1 e. a
        -> -. A. y1 ( y1 e. w1 -> -. A. z1 -. ( ( z1 e. x1 -> ( ( -. A. a2 ( a2
        e. y1 -> A. b2 ( -. A. c2 -. A. d2 -. ( ( d2 e. b2 -> d2 = c2 ) -> -. (
        d2 = c2 -> d2 e. b2 ) ) -> ( A. e2 ( e2 e. a2 -> -. e2 e. b2 ) -> -. A.
        f2 -. ( ( f2 e. z1 -> ( -. f2 e. a2 -> f2 e. b2 ) ) -> -. ( ( -. f2 e.
        a2 -> f2 e. b2 ) -> f2 e. z1 ) ) ) ) ) -> -. A. g2 ( -. ( -. A. h2 ( A.
        i2 -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -.
        j2 = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 )
        -> -. ( -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) ->
        -. A. k2 ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2 -> -. A. n2 (
        n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) ->
        -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) ->
        -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -.
        s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -. A. n2 ( n2 e.
        k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2
        = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2
        -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2
        -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) -> -. l2 e. g2 ) )
        ) -> y1 e. g2 ) ) -> -. ( z1 e. y1 -> A. g2 ( -. ( -. A. h2 ( A. i2 -.
        ( ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 =
        j2 -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) ->
        -. ( -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -.
        A. k2 ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2
        e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. (
        q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A.
        s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e.
        n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 ->
        A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2
        -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. (
        ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2
        e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) ->
        y1 e. g2 ) ) ) ) -> -. ( ( ( -. A. a2 ( a2 e. y1 -> A. b2 ( -. A. c2 -.
        A. d2 -. ( ( d2 e. b2 -> d2 = c2 ) -> -. ( d2 = c2 -> d2 e. b2 ) ) -> (
        A. e2 ( e2 e. a2 -> -. e2 e. b2 ) -> -. A. f2 -. ( ( f2 e. z1 -> ( -.
        f2 e. a2 -> f2 e. b2 ) ) -> -. ( ( -. f2 e. a2 -> f2 e. b2 ) -> f2 e.
        z1 ) ) ) ) ) -> -. A. g2 ( -. ( -. A. h2 ( A. i2 -. ( ( i2 e. h2 -> A.
        j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) )
        -> -. ( A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2
        e. i2 ) ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -.
        A. l2 ( A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A.
        p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 )
        ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 ->
        ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2
        e. m2 ) ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A.
        q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A.
        r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2
        e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 )
        ) ) ) ) -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) -> -. ( z1
        e. y1 -> A. g2 ( -. ( -. A. h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( (
        j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. (
        A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 )
        ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 (
        A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A.
        q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A.
        r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2
        e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 )
        ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. (
        ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2
        e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 ->
        s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) )
        -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) ) -> z1 e. x1 ) )
        ) ) -> -. ( -. A. y1 ( y1 e. w1 -> -. A. z1 -. ( ( z1 e. x1 -> ( ( -.
        A. a2 ( a2 e. y1 -> A. b2 ( -. A. c2 -. A. d2 -. ( ( d2 e. b2 -> d2 =
        c2 ) -> -. ( d2 = c2 -> d2 e. b2 ) ) -> ( A. e2 ( e2 e. a2 -> -. e2 e.
        b2 ) -> -. A. f2 -. ( ( f2 e. z1 -> ( -. f2 e. a2 -> f2 e. b2 ) ) -> -.
        ( ( -. f2 e. a2 -> f2 e. b2 ) -> f2 e. z1 ) ) ) ) ) -> -. A. g2 ( -. (
        -. A. h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2
        ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 ->
        -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -.
        h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2
        -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 ->
        q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -.
        r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) )
        -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -.
        A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 =
        p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e.
        o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -.
        ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) ->
        -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) -> -. ( z1 e. y1 -> A. g2 ( -. ( -.
        A. h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 )
        -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 ->
        -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -.
        h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2
        -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 ->
        q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -.
        r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) )
        -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -.
        A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 =
        p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e.
        o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -.
        ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) ->
        -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) ) ) -> -. ( ( ( -. A. a2 ( a2 e. y1
        -> A. b2 ( -. A. c2 -. A. d2 -. ( ( d2 e. b2 -> d2 = c2 ) -> -. ( d2 =
        c2 -> d2 e. b2 ) ) -> ( A. e2 ( e2 e. a2 -> -. e2 e. b2 ) -> -. A. f2
        -. ( ( f2 e. z1 -> ( -. f2 e. a2 -> f2 e. b2 ) ) -> -. ( ( -. f2 e. a2
        -> f2 e. b2 ) -> f2 e. z1 ) ) ) ) ) -> -. A. g2 ( -. ( -. A. h2 ( A. i2
        -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2
        = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) ->
        -. ( -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -.
        A. k2 ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2
        e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. (
        q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A.
        s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e.
        n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 ->
        A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2
        -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. (
        ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2
        e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) ->
        y1 e. g2 ) ) -> -. ( z1 e. y1 -> A. g2 ( -. ( -. A. h2 ( A. i2 -. ( (
        i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 ->
        j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -.
        j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2 (
        k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2 ->
        A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2
        -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. (
        ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2
        e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 (
        -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e.
        o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e.
        m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 )
        -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2
        ) ) ) -> z1 e. x1 ) ) ) -> x1 e. a ) ) ) -> -. A. w1 ( w1 e. D -> -. A.
        t2 -. ( ( t2 e. a -> ( A. u2 ( u2 e. w1 -> -. A. v2 -. ( ( v2 e. t2 ->
        ( ( -. A. w2 ( w2 e. u2 -> A. x2 ( -. A. y2 -. A. z2 -. ( ( z2 e. x2 ->
        z2 = y2 ) -> -. ( z2 = y2 -> z2 e. x2 ) ) -> ( A. a3 ( a3 e. w2 -> -.
        a3 e. x2 ) -> -. A. b3 -. ( ( b3 e. v2 -> ( -. b3 e. w2 -> b3 e. x2 ) )
        -> -. ( ( -. b3 e. w2 -> b3 e. x2 ) -> b3 e. v2 ) ) ) ) ) -> -. A. c3 (
        -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3
        = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e.
        e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) )
        -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3
        e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e.
        k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3
        -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e.
        k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) ->
        -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3
        -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 ->
        -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3
        ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e.
        h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) -> -. ( v2 e. u2 -> A. c3 (
        -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3
        = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e.
        e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) )
        -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3
        e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e.
        k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3
        -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e.
        k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) ->
        -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3
        -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 ->
        -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3
        ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e.
        h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) ) ) -> -. ( ( ( -. A. w2 (
        w2 e. u2 -> A. x2 ( -. A. y2 -. A. z2 -. ( ( z2 e. x2 -> z2 = y2 ) ->
        -. ( z2 = y2 -> z2 e. x2 ) ) -> ( A. a3 ( a3 e. w2 -> -. a3 e. x2 ) ->
        -. A. b3 -. ( ( b3 e. v2 -> ( -. b3 e. w2 -> b3 e. x2 ) ) -> -. ( ( -.
        b3 e. w2 -> b3 e. x2 ) -> b3 e. v2 ) ) ) ) ) -> -. A. c3 ( -. ( -. A.
        d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) ->
        -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e. e3 -> -.
        f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) ) -> -. d3
        e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3 e. h3 ->
        -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3
        = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3
        e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) ->
        -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) -> -. ( -. A.
        j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 )
        -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 )
        -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( (
        -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e. h3 ) ) -> -.
        h3 e. c3 ) ) ) -> u2 e. c3 ) ) -> -. ( v2 e. u2 -> A. c3 ( -. ( -. A.
        d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) ->
        -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e. e3 -> -.
        f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) ) -> -. d3
        e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3 e. h3 ->
        -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3
        = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3
        e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) ->
        -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) -> -. ( -. A.
        j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 )
        -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 )
        -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( (
        -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e. h3 ) ) -> -.
        h3 e. c3 ) ) ) -> u2 e. c3 ) ) ) -> v2 e. t2 ) ) ) -> A. p3 -. ( ( p3
        e. t2 -> A. q3 -. ( ( q3 e. p3 -> -. q3 = q3 ) -> -. ( -. q3 = q3 -> q3
        e. p3 ) ) ) -> -. ( A. q3 -. ( ( q3 e. p3 -> -. q3 = q3 ) -> -. ( -. q3
        = q3 -> q3 e. p3 ) ) -> p3 e. t2 ) ) ) ) -> -. ( ( A. u2 ( u2 e. w1 ->
        -. A. v2 -. ( ( v2 e. t2 -> ( ( -. A. w2 ( w2 e. u2 -> A. x2 ( -. A. y2
        -. A. z2 -. ( ( z2 e. x2 -> z2 = y2 ) -> -. ( z2 = y2 -> z2 e. x2 ) )
        -> ( A. a3 ( a3 e. w2 -> -. a3 e. x2 ) -> -. A. b3 -. ( ( b3 e. v2 -> (
        -. b3 e. w2 -> b3 e. x2 ) ) -> -. ( ( -. b3 e. w2 -> b3 e. x2 ) -> b3
        e. v2 ) ) ) ) ) -> -. A. c3 ( -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 ->
        A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 )
        ) ) -> -. ( A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 ->
        f3 e. e3 ) ) -> e3 e. d3 ) ) -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 ->
        -. A. h3 ( A. i3 -. ( ( i3 e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -.
        A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3
        ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3
        -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) ->
        o3 e. i3 ) ) ) ) ) ) -> -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -.
        A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> (
        A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -.
        o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e.
        i3 ) ) ) ) ) -> i3 e. h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) -> -.
        ( v2 e. u2 -> A. c3 ( -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -.
        ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -.
        ( A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3
        ) ) -> e3 e. d3 ) ) -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3
        ( A. i3 -. ( ( i3 e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -.
        A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> (
        A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -.
        o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e.
        i3 ) ) ) ) ) ) -> -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3
        -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3
        ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e.
        j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) )
        ) ) ) -> i3 e. h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) ) ) -> -. (
        ( ( -. A. w2 ( w2 e. u2 -> A. x2 ( -. A. y2 -. A. z2 -. ( ( z2 e. x2 ->
        z2 = y2 ) -> -. ( z2 = y2 -> z2 e. x2 ) ) -> ( A. a3 ( a3 e. w2 -> -.
        a3 e. x2 ) -> -. A. b3 -. ( ( b3 e. v2 -> ( -. b3 e. w2 -> b3 e. x2 ) )
        -> -. ( ( -. b3 e. w2 -> b3 e. x2 ) -> b3 e. v2 ) ) ) ) ) -> -. A. c3 (
        -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3
        = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e.
        e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) )
        -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3
        e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e.
        k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3
        -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e.
        k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) ->
        -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3
        -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 ->
        -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3
        ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e.
        h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) -> -. ( v2 e. u2 -> A. c3 (
        -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3
        = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e.
        e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) )
        -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3
        e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e.
        k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3
        -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e.
        k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) ->
        -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3
        -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 ->
        -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3
        ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e.
        h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) ) -> v2 e. t2 ) ) ) -> A.
        p3 -. ( ( p3 e. t2 -> A. q3 -. ( ( q3 e. p3 -> -. q3 = q3 ) -> -. ( -.
        q3 = q3 -> q3 e. p3 ) ) ) -> -. ( A. q3 -. ( ( q3 e. p3 -> -. q3 = q3 )
        -> -. ( -. q3 = q3 -> q3 e. p3 ) ) -> p3 e. t2 ) ) ) -> t2 e. a ) ) ) )
        ) -> -. ( ( A. w1 ( w1 e. C -> -. A. x1 -. ( ( x1 e. a -> -. A. y1 ( y1
        e. w1 -> -. A. z1 -. ( ( z1 e. x1 -> ( ( -. A. a2 ( a2 e. y1 -> A. b2 (
        -. A. c2 -. A. d2 -. ( ( d2 e. b2 -> d2 = c2 ) -> -. ( d2 = c2 -> d2 e.
        b2 ) ) -> ( A. e2 ( e2 e. a2 -> -. e2 e. b2 ) -> -. A. f2 -. ( ( f2 e.
        z1 -> ( -. f2 e. a2 -> f2 e. b2 ) ) -> -. ( ( -. f2 e. a2 -> f2 e. b2 )
        -> f2 e. z1 ) ) ) ) ) -> -. A. g2 ( -. ( -. A. h2 ( A. i2 -. ( ( i2 e.
        h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e.
        i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 =
        j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2 ( k2 e.
        g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2 -> A. o2
        ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2
        e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2
        e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e.
        o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 ( -.
        A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2
        ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2
        -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) ->
        s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2 ) )
        -> -. ( z1 e. y1 -> A. g2 ( -. ( -. A. h2 ( A. i2 -. ( ( i2 e. h2 -> A.
        j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) )
        -> -. ( A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2
        e. i2 ) ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -.
        A. l2 ( A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A.
        p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 )
        ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 ->
        ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2
        e. m2 ) ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A.
        q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A.
        r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2
        e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 )
        ) ) ) ) -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) ) ) -> -.
        ( ( ( -. A. a2 ( a2 e. y1 -> A. b2 ( -. A. c2 -. A. d2 -. ( ( d2 e. b2
        -> d2 = c2 ) -> -. ( d2 = c2 -> d2 e. b2 ) ) -> ( A. e2 ( e2 e. a2 ->
        -. e2 e. b2 ) -> -. A. f2 -. ( ( f2 e. z1 -> ( -. f2 e. a2 -> f2 e. b2
        ) ) -> -. ( ( -. f2 e. a2 -> f2 e. b2 ) -> f2 e. z1 ) ) ) ) ) -> -. A.
        g2 ( -. ( -. A. h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 ->
        -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( (
        j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2
        ) ) -> -. h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( (
        m2 e. l2 -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2
        e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e.
        n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2
        e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) )
        -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e.
        o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2
        -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e.
        o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2
        e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) -> -. ( z1 e. y1 -> A.
        g2 ( -. ( -. A. h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 ->
        -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( (
        j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2
        ) ) -> -. h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( (
        m2 e. l2 -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2
        e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e.
        n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2
        e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) )
        -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e.
        o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2
        -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e.
        o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2
        e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) ) -> z1 e. x1 ) ) ) ) ->
        -. ( -. A. y1 ( y1 e. w1 -> -. A. z1 -. ( ( z1 e. x1 -> ( ( -. A. a2 (
        a2 e. y1 -> A. b2 ( -. A. c2 -. A. d2 -. ( ( d2 e. b2 -> d2 = c2 ) ->
        -. ( d2 = c2 -> d2 e. b2 ) ) -> ( A. e2 ( e2 e. a2 -> -. e2 e. b2 ) ->
        -. A. f2 -. ( ( f2 e. z1 -> ( -. f2 e. a2 -> f2 e. b2 ) ) -> -. ( ( -.
        f2 e. a2 -> f2 e. b2 ) -> f2 e. z1 ) ) ) ) ) -> -. A. g2 ( -. ( -. A.
        h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) ->
        -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 -> -.
        j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -. h2
        e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2 ->
        -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2
        = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2
        e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) ->
        -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -. A.
        n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 )
        -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 )
        -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( (
        -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) -> -.
        l2 e. g2 ) ) ) -> y1 e. g2 ) ) -> -. ( z1 e. y1 -> A. g2 ( -. ( -. A.
        h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) ->
        -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 -> -.
        j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -. h2
        e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2 ->
        -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2
        = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2
        e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) ->
        -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -. A.
        n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 )
        -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 )
        -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( (
        -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) -> -.
        l2 e. g2 ) ) ) -> y1 e. g2 ) ) ) ) -> -. ( ( ( -. A. a2 ( a2 e. y1 ->
        A. b2 ( -. A. c2 -. A. d2 -. ( ( d2 e. b2 -> d2 = c2 ) -> -. ( d2 = c2
        -> d2 e. b2 ) ) -> ( A. e2 ( e2 e. a2 -> -. e2 e. b2 ) -> -. A. f2 -. (
        ( f2 e. z1 -> ( -. f2 e. a2 -> f2 e. b2 ) ) -> -. ( ( -. f2 e. a2 -> f2
        e. b2 ) -> f2 e. z1 ) ) ) ) ) -> -. A. g2 ( -. ( -. A. h2 ( A. i2 -. (
        ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2
        -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. (
        -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2
        ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2
        -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 =
        p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2
        -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2
        -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A.
        o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 ->
        q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( (
        s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2
        e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) ->
        y1 e. g2 ) ) -> -. ( z1 e. y1 -> A. g2 ( -. ( -. A. h2 ( A. i2 -. ( (
        i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 ->
        j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -.
        j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2 (
        k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2 ->
        A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2
        -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. (
        ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2
        e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 (
        -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e.
        o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e.
        m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 )
        -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2
        ) ) ) -> z1 e. x1 ) ) ) -> x1 e. a ) ) ) -> -. A. w1 ( w1 e. D -> -. A.
        t2 -. ( ( t2 e. a -> ( A. u2 ( u2 e. w1 -> -. A. v2 -. ( ( v2 e. t2 ->
        ( ( -. A. w2 ( w2 e. u2 -> A. x2 ( -. A. y2 -. A. z2 -. ( ( z2 e. x2 ->
        z2 = y2 ) -> -. ( z2 = y2 -> z2 e. x2 ) ) -> ( A. a3 ( a3 e. w2 -> -.
        a3 e. x2 ) -> -. A. b3 -. ( ( b3 e. v2 -> ( -. b3 e. w2 -> b3 e. x2 ) )
        -> -. ( ( -. b3 e. w2 -> b3 e. x2 ) -> b3 e. v2 ) ) ) ) ) -> -. A. c3 (
        -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3
        = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e.
        e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) )
        -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3
        e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e.
        k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3
        -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e.
        k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) ->
        -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3
        -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 ->
        -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3
        ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e.
        h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) -> -. ( v2 e. u2 -> A. c3 (
        -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3
        = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e.
        e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) )
        -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3
        e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e.
        k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3
        -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e.
        k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) ->
        -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3
        -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 ->
        -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3
        ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e.
        h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) ) ) -> -. ( ( ( -. A. w2 (
        w2 e. u2 -> A. x2 ( -. A. y2 -. A. z2 -. ( ( z2 e. x2 -> z2 = y2 ) ->
        -. ( z2 = y2 -> z2 e. x2 ) ) -> ( A. a3 ( a3 e. w2 -> -. a3 e. x2 ) ->
        -. A. b3 -. ( ( b3 e. v2 -> ( -. b3 e. w2 -> b3 e. x2 ) ) -> -. ( ( -.
        b3 e. w2 -> b3 e. x2 ) -> b3 e. v2 ) ) ) ) ) -> -. A. c3 ( -. ( -. A.
        d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) ->
        -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e. e3 -> -.
        f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) ) -> -. d3
        e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3 e. h3 ->
        -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3
        = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3
        e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) ->
        -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) -> -. ( -. A.
        j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 )
        -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 )
        -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( (
        -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e. h3 ) ) -> -.
        h3 e. c3 ) ) ) -> u2 e. c3 ) ) -> -. ( v2 e. u2 -> A. c3 ( -. ( -. A.
        d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) ->
        -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e. e3 -> -.
        f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) ) -> -. d3
        e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3 e. h3 ->
        -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3
        = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3
        e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) ->
        -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) -> -. ( -. A.
        j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 )
        -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 )
        -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( (
        -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e. h3 ) ) -> -.
        h3 e. c3 ) ) ) -> u2 e. c3 ) ) ) -> v2 e. t2 ) ) ) -> A. p3 -. ( ( p3
        e. t2 -> A. q3 -. ( ( q3 e. p3 -> -. q3 = q3 ) -> -. ( -. q3 = q3 -> q3
        e. p3 ) ) ) -> -. ( A. q3 -. ( ( q3 e. p3 -> -. q3 = q3 ) -> -. ( -. q3
        = q3 -> q3 e. p3 ) ) -> p3 e. t2 ) ) ) ) -> -. ( ( A. u2 ( u2 e. w1 ->
        -. A. v2 -. ( ( v2 e. t2 -> ( ( -. A. w2 ( w2 e. u2 -> A. x2 ( -. A. y2
        -. A. z2 -. ( ( z2 e. x2 -> z2 = y2 ) -> -. ( z2 = y2 -> z2 e. x2 ) )
        -> ( A. a3 ( a3 e. w2 -> -. a3 e. x2 ) -> -. A. b3 -. ( ( b3 e. v2 -> (
        -. b3 e. w2 -> b3 e. x2 ) ) -> -. ( ( -. b3 e. w2 -> b3 e. x2 ) -> b3
        e. v2 ) ) ) ) ) -> -. A. c3 ( -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 ->
        A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 )
        ) ) -> -. ( A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 ->
        f3 e. e3 ) ) -> e3 e. d3 ) ) -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 ->
        -. A. h3 ( A. i3 -. ( ( i3 e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -.
        A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3
        ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3
        -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) ->
        o3 e. i3 ) ) ) ) ) ) -> -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -.
        A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> (
        A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -.
        o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e.
        i3 ) ) ) ) ) -> i3 e. h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) -> -.
        ( v2 e. u2 -> A. c3 ( -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -.
        ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -.
        ( A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3
        ) ) -> e3 e. d3 ) ) -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3
        ( A. i3 -. ( ( i3 e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -.
        A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> (
        A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -.
        o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e.
        i3 ) ) ) ) ) ) -> -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3
        -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3
        ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e.
        j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) )
        ) ) ) -> i3 e. h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) ) ) -> -. (
        ( ( -. A. w2 ( w2 e. u2 -> A. x2 ( -. A. y2 -. A. z2 -. ( ( z2 e. x2 ->
        z2 = y2 ) -> -. ( z2 = y2 -> z2 e. x2 ) ) -> ( A. a3 ( a3 e. w2 -> -.
        a3 e. x2 ) -> -. A. b3 -. ( ( b3 e. v2 -> ( -. b3 e. w2 -> b3 e. x2 ) )
        -> -. ( ( -. b3 e. w2 -> b3 e. x2 ) -> b3 e. v2 ) ) ) ) ) -> -. A. c3 (
        -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3
        = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e.
        e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) )
        -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3
        e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e.
        k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3
        -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e.
        k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) ->
        -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3
        -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 ->
        -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3
        ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e.
        h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) -> -. ( v2 e. u2 -> A. c3 (
        -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3
        = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e.
        e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) )
        -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3
        e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e.
        k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3
        -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e.
        k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) ->
        -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3
        -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 ->
        -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3
        ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e.
        h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) ) -> v2 e. t2 ) ) ) -> A.
        p3 -. ( ( p3 e. t2 -> A. q3 -. ( ( q3 e. p3 -> -. q3 = q3 ) -> -. ( -.
        q3 = q3 -> q3 e. p3 ) ) ) -> -. ( A. q3 -. ( ( q3 e. p3 -> -. q3 = q3 )
        -> -. ( -. q3 = q3 -> q3 e. p3 ) ) -> p3 e. t2 ) ) ) -> t2 e. a ) ) ) )
        -> ( A. b ( b e. A -> -. A. c -. ( ( c e. a -> -. A. d ( d e. b -> -.
        A. e -. ( ( e e. c -> ( ( -. A. f ( f e. d -> A. g ( -. A. h -. A. i -.
        ( ( i e. g -> i = h ) -> -. ( i = h -> i e. g ) ) -> ( A. j ( j e. f ->
        -. j e. g ) -> -. A. k -. ( ( k e. e -> ( -. k e. f -> k e. g ) ) -> -.
        ( ( -. k e. f -> k e. g ) -> k e. e ) ) ) ) ) -> -. A. l ( -. ( -. A. m
        ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o =
        o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o
        = o -> o e. n ) ) -> n e. m ) ) -> -. m e. l ) -> -. A. p ( p e. l ->
        -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s e. p -> A. t ( -. A. u -.
        A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w
        e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t )
        ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s
        ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v =
        u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x
        e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x
        e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l ) ) ) -> d e. l ) ) -> -. ( e
        e. d -> A. l ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n
        -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e.
        n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) -> n e. m ) ) -> -. m e.
        l ) -> -. A. p ( p e. l -> -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s
        e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u
        -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e.
        r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e.
        r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( (
        v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -.
        w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. (
        ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l
        ) ) ) -> d e. l ) ) ) ) -> -. ( ( ( -. A. f ( f e. d -> A. g ( -. A. h
        -. A. i -. ( ( i e. g -> i = h ) -> -. ( i = h -> i e. g ) ) -> ( A. j
        ( j e. f -> -. j e. g ) -> -. A. k -. ( ( k e. e -> ( -. k e. f -> k e.
        g ) ) -> -. ( ( -. k e. f -> k e. g ) -> k e. e ) ) ) ) ) -> -. A. l (
        -. ( -. A. m ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n -> -. o = o )
        -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e. n -> -. o = o
        ) -> -. ( -. o = o -> o e. n ) ) -> n e. m ) ) -> -. m e. l ) -> -. A.
        p ( p e. l -> -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s e. p -> A. t
        ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) )
        -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e.
        s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) )
        -> -. ( -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v =
        u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -.
        A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s ->
        x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l ) ) ) -> d e. l
        ) ) -> -. ( e e. d -> A. l ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o
        -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A.
        o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) -> n e. m
        ) ) -> -. m e. l ) -> -. A. p ( p e. l -> -. A. q ( A. r -. ( ( r e. q
        -> -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u )
        -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A.
        x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x
        e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t ( -. A. u
        -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w
        ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e.
        t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) )
        -> -. q e. l ) ) ) -> d e. l ) ) ) -> e e. c ) ) ) ) -> -. ( -. A. d (
        d e. b -> -. A. e -. ( ( e e. c -> ( ( -. A. f ( f e. d -> A. g ( -. A.
        h -. A. i -. ( ( i e. g -> i = h ) -> -. ( i = h -> i e. g ) ) -> ( A.
        j ( j e. f -> -. j e. g ) -> -. A. k -. ( ( k e. e -> ( -. k e. f -> k
        e. g ) ) -> -. ( ( -. k e. f -> k e. g ) -> k e. e ) ) ) ) ) -> -. A. l
        ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n -> -. o = o )
        -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e. n -> -. o = o
        ) -> -. ( -. o = o -> o e. n ) ) -> n e. m ) ) -> -. m e. l ) -> -. A.
        p ( p e. l -> -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s e. p -> A. t
        ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) )
        -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e.
        s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) )
        -> -. ( -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v =
        u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -.
        A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s ->
        x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l ) ) ) -> d e. l
        ) ) -> -. ( e e. d -> A. l ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o
        -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A.
        o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) -> n e. m
        ) ) -> -. m e. l ) -> -. A. p ( p e. l -> -. A. q ( A. r -. ( ( r e. q
        -> -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u )
        -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A.
        x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x
        e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t ( -. A. u
        -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w
        ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e.
        t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) )
        -> -. q e. l ) ) ) -> d e. l ) ) ) ) -> -. ( ( ( -. A. f ( f e. d -> A.
        g ( -. A. h -. A. i -. ( ( i e. g -> i = h ) -> -. ( i = h -> i e. g )
        ) -> ( A. j ( j e. f -> -. j e. g ) -> -. A. k -. ( ( k e. e -> ( -. k
        e. f -> k e. g ) ) -> -. ( ( -. k e. f -> k e. g ) -> k e. e ) ) ) ) )
        -> -. A. l ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n ->
        -. o = o ) -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e. n
        -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) -> n e. m ) ) -> -. m e. l
        ) -> -. A. p ( p e. l -> -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s e.
        p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v
        e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r ->
        ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) )
        ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e.
        t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e.
        t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -.
        x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l ) ) )
        -> d e. l ) ) -> -. ( e e. d -> A. l ( -. ( -. A. m ( A. n -. ( ( n e.
        m -> A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) )
        -> -. ( A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) )
        -> n e. m ) ) -> -. m e. l ) -> -. A. p ( p e. l -> -. A. q ( A. r -. (
        ( r e. q -> -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t ->
        v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t )
        -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e.
        s -> x e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t (
        -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) ->
        ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s
        -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r
        e. q ) ) -> -. q e. l ) ) ) -> d e. l ) ) ) -> e e. c ) ) ) -> c e. a )
        ) ) -> -. A. b ( b e. B -> -. A. y -. ( ( y e. a -> ( A. z ( z e. b ->
        -. A. a1 -. ( ( a1 e. y -> ( ( -. A. b1 ( b1 e. z -> A. c1 ( -. A. d1
        -. A. e1 -. ( ( e1 e. c1 -> e1 = d1 ) -> -. ( e1 = d1 -> e1 e. c1 ) )
        -> ( A. f1 ( f1 e. b1 -> -. f1 e. c1 ) -> -. A. g1 -. ( ( g1 e. a1 -> (
        -. g1 e. b1 -> g1 e. c1 ) ) -> -. ( ( -. g1 e. b1 -> g1 e. c1 ) -> g1
        e. a1 ) ) ) ) ) -> -. A. h1 ( -. ( -. A. i1 ( A. j1 -. ( ( j1 e. i1 ->
        A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 )
        ) ) -> -. ( A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 ->
        k1 e. j1 ) ) -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1 ( l1 e. h1 ->
        -. A. m1 ( A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1 -> A. p1 ( -.
        A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1
        ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1
        -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) ->
        t1 e. n1 ) ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -.
        A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> (
        A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -.
        t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e.
        n1 ) ) ) ) ) -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z e. h1 ) ) -> -.
        ( a1 e. z -> A. h1 ( -. ( -. A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -.
        ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -.
        ( A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1
        ) ) -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1
        ( A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -.
        A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> (
        A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -.
        t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e.
        n1 ) ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1
        -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1
        ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e.
        o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) )
        ) ) ) -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z e. h1 ) ) ) ) -> -. ( (
        ( -. A. b1 ( b1 e. z -> A. c1 ( -. A. d1 -. A. e1 -. ( ( e1 e. c1 -> e1
        = d1 ) -> -. ( e1 = d1 -> e1 e. c1 ) ) -> ( A. f1 ( f1 e. b1 -> -. f1
        e. c1 ) -> -. A. g1 -. ( ( g1 e. a1 -> ( -. g1 e. b1 -> g1 e. c1 ) ) ->
        -. ( ( -. g1 e. b1 -> g1 e. c1 ) -> g1 e. a1 ) ) ) ) ) -> -. A. h1 ( -.
        ( -. A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 =
        k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1
        -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) ->
        -. i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e.
        m1 -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1
        -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 ->
        -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1
        ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. (
        -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1
        = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1
        e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) ->
        -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) )
        -> -. m1 e. h1 ) ) ) -> z e. h1 ) ) -> -. ( a1 e. z -> A. h1 ( -. ( -.
        A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 )
        -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 ->
        -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -.
        i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1
        -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 ->
        r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -.
        s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) )
        -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -.
        A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 =
        q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e.
        p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -.
        ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) ->
        -. m1 e. h1 ) ) ) -> z e. h1 ) ) ) -> a1 e. y ) ) ) -> A. u1 -. ( ( u1
        e. y -> A. v1 -. ( ( v1 e. u1 -> -. v1 = v1 ) -> -. ( -. v1 = v1 -> v1
        e. u1 ) ) ) -> -. ( A. v1 -. ( ( v1 e. u1 -> -. v1 = v1 ) -> -. ( -. v1
        = v1 -> v1 e. u1 ) ) -> u1 e. y ) ) ) ) -> -. ( ( A. z ( z e. b -> -.
        A. a1 -. ( ( a1 e. y -> ( ( -. A. b1 ( b1 e. z -> A. c1 ( -. A. d1 -.
        A. e1 -. ( ( e1 e. c1 -> e1 = d1 ) -> -. ( e1 = d1 -> e1 e. c1 ) ) -> (
        A. f1 ( f1 e. b1 -> -. f1 e. c1 ) -> -. A. g1 -. ( ( g1 e. a1 -> ( -.
        g1 e. b1 -> g1 e. c1 ) ) -> -. ( ( -. g1 e. b1 -> g1 e. c1 ) -> g1 e.
        a1 ) ) ) ) ) -> -. A. h1 ( -. ( -. A. i1 ( A. j1 -. ( ( j1 e. i1 -> A.
        k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) )
        -> -. ( A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1
        e. j1 ) ) -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -.
        A. m1 ( A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A.
        q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 )
        ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 ->
        ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1
        e. n1 ) ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A.
        r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A.
        s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1
        e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 )
        ) ) ) ) -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z e. h1 ) ) -> -. ( a1
        e. z -> A. h1 ( -. ( -. A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( (
        k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. (
        A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 )
        ) -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 (
        A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A.
        r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A.
        s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1
        e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 )
        ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. (
        ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1
        e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 ->
        t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) )
        -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z e. h1 ) ) ) ) -> -. ( ( ( -.
        A. b1 ( b1 e. z -> A. c1 ( -. A. d1 -. A. e1 -. ( ( e1 e. c1 -> e1 = d1
        ) -> -. ( e1 = d1 -> e1 e. c1 ) ) -> ( A. f1 ( f1 e. b1 -> -. f1 e. c1
        ) -> -. A. g1 -. ( ( g1 e. a1 -> ( -. g1 e. b1 -> g1 e. c1 ) ) -> -. (
        ( -. g1 e. b1 -> g1 e. c1 ) -> g1 e. a1 ) ) ) ) ) -> -. A. h1 ( -. ( -.
        A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 )
        -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 ->
        -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -.
        i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1
        -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 ->
        r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -.
        s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) )
        -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -.
        A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 =
        q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e.
        p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -.
        ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) ->
        -. m1 e. h1 ) ) ) -> z e. h1 ) ) -> -. ( a1 e. z -> A. h1 ( -. ( -. A.
        i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) ->
        -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 -> -.
        k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -. i1
        e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1 ->
        -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1
        = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1
        e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) ->
        -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -. A.
        o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 )
        -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 )
        -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( (
        -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) -> -.
        m1 e. h1 ) ) ) -> z e. h1 ) ) ) -> a1 e. y ) ) ) -> A. u1 -. ( ( u1 e.
        y -> A. v1 -. ( ( v1 e. u1 -> -. v1 = v1 ) -> -. ( -. v1 = v1 -> v1 e.
        u1 ) ) ) -> -. ( A. v1 -. ( ( v1 e. u1 -> -. v1 = v1 ) -> -. ( -. v1 =
        v1 -> v1 e. u1 ) ) -> u1 e. y ) ) ) -> y e. a ) ) ) ) ) ) -> -. ( A = C
        -> -. B = D ) ) -> -. ( -. ( A = C -> -. B = D ) -> A. a -. ( ( ( A. b
        ( b e. A -> -. A. c -. ( ( c e. a -> -. A. d ( d e. b -> -. A. e -. ( (
        e e. c -> ( ( -. A. f ( f e. d -> A. g ( -. A. h -. A. i -. ( ( i e. g
        -> i = h ) -> -. ( i = h -> i e. g ) ) -> ( A. j ( j e. f -> -. j e. g
        ) -> -. A. k -. ( ( k e. e -> ( -. k e. f -> k e. g ) ) -> -. ( ( -. k
        e. f -> k e. g ) -> k e. e ) ) ) ) ) -> -. A. l ( -. ( -. A. m ( A. n
        -. ( ( n e. m -> A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o
        e. n ) ) ) -> -. ( A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o ->
        o e. n ) ) -> n e. m ) ) -> -. m e. l ) -> -. A. p ( p e. l -> -. A. q
        ( A. r -. ( ( r e. q -> -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. (
        ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s ->
        -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -.
        ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s ( s e.
        p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v
        e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r ->
        ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) )
        ) ) ) -> r e. q ) ) -> -. q e. l ) ) ) -> d e. l ) ) -> -. ( e e. d ->
        A. l ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n -> -. o
        = o ) -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e. n -> -.
        o = o ) -> -. ( -. o = o -> o e. n ) ) -> n e. m ) ) -> -. m e. l ) ->
        -. A. p ( p e. l -> -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s e. p ->
        A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t
        ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -.
        x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) )
        ) ) -> -. ( -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t ->
        v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t )
        -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e.
        s -> x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l ) ) ) -> d
        e. l ) ) ) ) -> -. ( ( ( -. A. f ( f e. d -> A. g ( -. A. h -. A. i -.
        ( ( i e. g -> i = h ) -> -. ( i = h -> i e. g ) ) -> ( A. j ( j e. f ->
        -. j e. g ) -> -. A. k -. ( ( k e. e -> ( -. k e. f -> k e. g ) ) -> -.
        ( ( -. k e. f -> k e. g ) -> k e. e ) ) ) ) ) -> -. A. l ( -. ( -. A. m
        ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o =
        o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o
        = o -> o e. n ) ) -> n e. m ) ) -> -. m e. l ) -> -. A. p ( p e. l ->
        -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s e. p -> A. t ( -. A. u -.
        A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w
        e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t )
        ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s
        ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v =
        u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x
        e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x
        e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l ) ) ) -> d e. l ) ) -> -. ( e
        e. d -> A. l ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n
        -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e.
        n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) -> n e. m ) ) -> -. m e.
        l ) -> -. A. p ( p e. l -> -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s
        e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u
        -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e.
        r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e.
        r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( (
        v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -.
        w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. (
        ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l
        ) ) ) -> d e. l ) ) ) -> e e. c ) ) ) ) -> -. ( -. A. d ( d e. b -> -.
        A. e -. ( ( e e. c -> ( ( -. A. f ( f e. d -> A. g ( -. A. h -. A. i -.
        ( ( i e. g -> i = h ) -> -. ( i = h -> i e. g ) ) -> ( A. j ( j e. f ->
        -. j e. g ) -> -. A. k -. ( ( k e. e -> ( -. k e. f -> k e. g ) ) -> -.
        ( ( -. k e. f -> k e. g ) -> k e. e ) ) ) ) ) -> -. A. l ( -. ( -. A. m
        ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o =
        o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o
        = o -> o e. n ) ) -> n e. m ) ) -> -. m e. l ) -> -. A. p ( p e. l ->
        -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s e. p -> A. t ( -. A. u -.
        A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w
        e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t )
        ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s
        ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v =
        u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x
        e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x
        e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l ) ) ) -> d e. l ) ) -> -. ( e
        e. d -> A. l ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n
        -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e.
        n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) -> n e. m ) ) -> -. m e.
        l ) -> -. A. p ( p e. l -> -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s
        e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u
        -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e.
        r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e.
        r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( (
        v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -.
        w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. (
        ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l
        ) ) ) -> d e. l ) ) ) ) -> -. ( ( ( -. A. f ( f e. d -> A. g ( -. A. h
        -. A. i -. ( ( i e. g -> i = h ) -> -. ( i = h -> i e. g ) ) -> ( A. j
        ( j e. f -> -. j e. g ) -> -. A. k -. ( ( k e. e -> ( -. k e. f -> k e.
        g ) ) -> -. ( ( -. k e. f -> k e. g ) -> k e. e ) ) ) ) ) -> -. A. l (
        -. ( -. A. m ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n -> -. o = o )
        -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e. n -> -. o = o
        ) -> -. ( -. o = o -> o e. n ) ) -> n e. m ) ) -> -. m e. l ) -> -. A.
        p ( p e. l -> -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s e. p -> A. t
        ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) )
        -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e.
        s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) )
        -> -. ( -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v =
        u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -.
        A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s ->
        x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l ) ) ) -> d e. l
        ) ) -> -. ( e e. d -> A. l ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o
        -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A.
        o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) -> n e. m
        ) ) -> -. m e. l ) -> -. A. p ( p e. l -> -. A. q ( A. r -. ( ( r e. q
        -> -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u )
        -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A.
        x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x
        e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t ( -. A. u
        -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w
        ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e.
        t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) )
        -> -. q e. l ) ) ) -> d e. l ) ) ) -> e e. c ) ) ) -> c e. a ) ) ) ->
        -. A. b ( b e. B -> -. A. y -. ( ( y e. a -> ( A. z ( z e. b -> -. A.
        a1 -. ( ( a1 e. y -> ( ( -. A. b1 ( b1 e. z -> A. c1 ( -. A. d1 -. A.
        e1 -. ( ( e1 e. c1 -> e1 = d1 ) -> -. ( e1 = d1 -> e1 e. c1 ) ) -> ( A.
        f1 ( f1 e. b1 -> -. f1 e. c1 ) -> -. A. g1 -. ( ( g1 e. a1 -> ( -. g1
        e. b1 -> g1 e. c1 ) ) -> -. ( ( -. g1 e. b1 -> g1 e. c1 ) -> g1 e. a1 )
        ) ) ) ) -> -. A. h1 ( -. ( -. A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -.
        ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -.
        ( A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1
        ) ) -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1
        ( A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -.
        A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> (
        A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -.
        t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e.
        n1 ) ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1
        -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1
        ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e.
        o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) )
        ) ) ) -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z e. h1 ) ) -> -. ( a1 e.
        z -> A. h1 ( -. ( -. A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1
        e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A.
        k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) )
        -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 (
        A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A.
        r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A.
        s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1
        e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 )
        ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. (
        ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1
        e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 ->
        t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) )
        -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z e. h1 ) ) ) ) -> -. ( ( ( -.
        A. b1 ( b1 e. z -> A. c1 ( -. A. d1 -. A. e1 -. ( ( e1 e. c1 -> e1 = d1
        ) -> -. ( e1 = d1 -> e1 e. c1 ) ) -> ( A. f1 ( f1 e. b1 -> -. f1 e. c1
        ) -> -. A. g1 -. ( ( g1 e. a1 -> ( -. g1 e. b1 -> g1 e. c1 ) ) -> -. (
        ( -. g1 e. b1 -> g1 e. c1 ) -> g1 e. a1 ) ) ) ) ) -> -. A. h1 ( -. ( -.
        A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 )
        -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 ->
        -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -.
        i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1
        -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 ->
        r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -.
        s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) )
        -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -.
        A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 =
        q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e.
        p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -.
        ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) ->
        -. m1 e. h1 ) ) ) -> z e. h1 ) ) -> -. ( a1 e. z -> A. h1 ( -. ( -. A.
        i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) ->
        -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 -> -.
        k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -. i1
        e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1 ->
        -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1
        = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1
        e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) ->
        -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -. A.
        o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 )
        -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 )
        -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( (
        -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) -> -.
        m1 e. h1 ) ) ) -> z e. h1 ) ) ) -> a1 e. y ) ) ) -> A. u1 -. ( ( u1 e.
        y -> A. v1 -. ( ( v1 e. u1 -> -. v1 = v1 ) -> -. ( -. v1 = v1 -> v1 e.
        u1 ) ) ) -> -. ( A. v1 -. ( ( v1 e. u1 -> -. v1 = v1 ) -> -. ( -. v1 =
        v1 -> v1 e. u1 ) ) -> u1 e. y ) ) ) ) -> -. ( ( A. z ( z e. b -> -. A.
        a1 -. ( ( a1 e. y -> ( ( -. A. b1 ( b1 e. z -> A. c1 ( -. A. d1 -. A.
        e1 -. ( ( e1 e. c1 -> e1 = d1 ) -> -. ( e1 = d1 -> e1 e. c1 ) ) -> ( A.
        f1 ( f1 e. b1 -> -. f1 e. c1 ) -> -. A. g1 -. ( ( g1 e. a1 -> ( -. g1
        e. b1 -> g1 e. c1 ) ) -> -. ( ( -. g1 e. b1 -> g1 e. c1 ) -> g1 e. a1 )
        ) ) ) ) -> -. A. h1 ( -. ( -. A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -.
        ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -.
        ( A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1
        ) ) -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1
        ( A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -.
        A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> (
        A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -.
        t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e.
        n1 ) ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1
        -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1
        ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e.
        o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) )
        ) ) ) -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z e. h1 ) ) -> -. ( a1 e.
        z -> A. h1 ( -. ( -. A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1
        e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A.
        k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) )
        -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 (
        A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A.
        r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A.
        s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1
        e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 )
        ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. (
        ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1
        e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 ->
        t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) )
        -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z e. h1 ) ) ) ) -> -. ( ( ( -.
        A. b1 ( b1 e. z -> A. c1 ( -. A. d1 -. A. e1 -. ( ( e1 e. c1 -> e1 = d1
        ) -> -. ( e1 = d1 -> e1 e. c1 ) ) -> ( A. f1 ( f1 e. b1 -> -. f1 e. c1
        ) -> -. A. g1 -. ( ( g1 e. a1 -> ( -. g1 e. b1 -> g1 e. c1 ) ) -> -. (
        ( -. g1 e. b1 -> g1 e. c1 ) -> g1 e. a1 ) ) ) ) ) -> -. A. h1 ( -. ( -.
        A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 )
        -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 ->
        -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -.
        i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1
        -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 ->
        r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -.
        s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) )
        -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -.
        A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 =
        q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e.
        p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -.
        ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) ->
        -. m1 e. h1 ) ) ) -> z e. h1 ) ) -> -. ( a1 e. z -> A. h1 ( -. ( -. A.
        i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) ->
        -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 -> -.
        k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -. i1
        e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1 ->
        -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1
        = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1
        e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) ->
        -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -. A.
        o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 )
        -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 )
        -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( (
        -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) -> -.
        m1 e. h1 ) ) ) -> z e. h1 ) ) ) -> a1 e. y ) ) ) -> A. u1 -. ( ( u1 e.
        y -> A. v1 -. ( ( v1 e. u1 -> -. v1 = v1 ) -> -. ( -. v1 = v1 -> v1 e.
        u1 ) ) ) -> -. ( A. v1 -. ( ( v1 e. u1 -> -. v1 = v1 ) -> -. ( -. v1 =
        v1 -> v1 e. u1 ) ) -> u1 e. y ) ) ) -> y e. a ) ) ) ) -> ( A. w1 ( w1
        e. C -> -. A. x1 -. ( ( x1 e. a -> -. A. y1 ( y1 e. w1 -> -. A. z1 -. (
        ( z1 e. x1 -> ( ( -. A. a2 ( a2 e. y1 -> A. b2 ( -. A. c2 -. A. d2 -. (
        ( d2 e. b2 -> d2 = c2 ) -> -. ( d2 = c2 -> d2 e. b2 ) ) -> ( A. e2 ( e2
        e. a2 -> -. e2 e. b2 ) -> -. A. f2 -. ( ( f2 e. z1 -> ( -. f2 e. a2 ->
        f2 e. b2 ) ) -> -. ( ( -. f2 e. a2 -> f2 e. b2 ) -> f2 e. z1 ) ) ) ) )
        -> -. A. g2 ( -. ( -. A. h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( ( j2
        e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. ( A.
        j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) )
        -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 (
        A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A.
        q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A.
        r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2
        e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 )
        ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. (
        ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2
        e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 ->
        s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) )
        -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) -> -. ( z1 e. y1
        -> A. g2 ( -. ( -. A. h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e.
        i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2
        -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ->
        i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 ( A.
        m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2
        -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2
        ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e.
        n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) )
        ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( (
        q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2
        e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 ->
        s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) )
        -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) ) ) -> -. ( ( ( -.
        A. a2 ( a2 e. y1 -> A. b2 ( -. A. c2 -. A. d2 -. ( ( d2 e. b2 -> d2 =
        c2 ) -> -. ( d2 = c2 -> d2 e. b2 ) ) -> ( A. e2 ( e2 e. a2 -> -. e2 e.
        b2 ) -> -. A. f2 -. ( ( f2 e. z1 -> ( -. f2 e. a2 -> f2 e. b2 ) ) -> -.
        ( ( -. f2 e. a2 -> f2 e. b2 ) -> f2 e. z1 ) ) ) ) ) -> -. A. g2 ( -. (
        -. A. h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2
        ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 ->
        -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -.
        h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2
        -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 ->
        q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -.
        r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) )
        -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -.
        A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 =
        p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e.
        o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -.
        ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) ->
        -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) -> -. ( z1 e. y1 -> A. g2 ( -. ( -.
        A. h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 )
        -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 ->
        -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -.
        h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2
        -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 ->
        q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -.
        r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) )
        -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -.
        A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 =
        p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e.
        o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -.
        ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) ->
        -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) ) -> z1 e. x1 ) ) ) ) -> -. ( -. A.
        y1 ( y1 e. w1 -> -. A. z1 -. ( ( z1 e. x1 -> ( ( -. A. a2 ( a2 e. y1 ->
        A. b2 ( -. A. c2 -. A. d2 -. ( ( d2 e. b2 -> d2 = c2 ) -> -. ( d2 = c2
        -> d2 e. b2 ) ) -> ( A. e2 ( e2 e. a2 -> -. e2 e. b2 ) -> -. A. f2 -. (
        ( f2 e. z1 -> ( -. f2 e. a2 -> f2 e. b2 ) ) -> -. ( ( -. f2 e. a2 -> f2
        e. b2 ) -> f2 e. z1 ) ) ) ) ) -> -. A. g2 ( -. ( -. A. h2 ( A. i2 -. (
        ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2
        -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. (
        -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2
        ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2
        -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 =
        p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2
        -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2
        -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A.
        o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 ->
        q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( (
        s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2
        e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) ->
        y1 e. g2 ) ) -> -. ( z1 e. y1 -> A. g2 ( -. ( -. A. h2 ( A. i2 -. ( (
        i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 ->
        j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -.
        j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2 (
        k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2 ->
        A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2
        -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. (
        ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2
        e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 (
        -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e.
        o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e.
        m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 )
        -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2
        ) ) ) ) -> -. ( ( ( -. A. a2 ( a2 e. y1 -> A. b2 ( -. A. c2 -. A. d2 -.
        ( ( d2 e. b2 -> d2 = c2 ) -> -. ( d2 = c2 -> d2 e. b2 ) ) -> ( A. e2 (
        e2 e. a2 -> -. e2 e. b2 ) -> -. A. f2 -. ( ( f2 e. z1 -> ( -. f2 e. a2
        -> f2 e. b2 ) ) -> -. ( ( -. f2 e. a2 -> f2 e. b2 ) -> f2 e. z1 ) ) ) )
        ) -> -. A. g2 ( -. ( -. A. h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( (
        j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. (
        A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 )
        ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 (
        A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A.
        q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A.
        r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2
        e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 )
        ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. (
        ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2
        e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 ->
        s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) )
        -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) -> -. ( z1 e. y1
        -> A. g2 ( -. ( -. A. h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e.
        i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2
        -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ->
        i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 ( A.
        m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2
        -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2
        ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e.
        n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) )
        ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( (
        q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2
        e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 ->
        s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) )
        -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) ) -> z1 e. x1 ) )
        ) -> x1 e. a ) ) ) -> -. A. w1 ( w1 e. D -> -. A. t2 -. ( ( t2 e. a ->
        ( A. u2 ( u2 e. w1 -> -. A. v2 -. ( ( v2 e. t2 -> ( ( -. A. w2 ( w2 e.
        u2 -> A. x2 ( -. A. y2 -. A. z2 -. ( ( z2 e. x2 -> z2 = y2 ) -> -. ( z2
        = y2 -> z2 e. x2 ) ) -> ( A. a3 ( a3 e. w2 -> -. a3 e. x2 ) -> -. A. b3
        -. ( ( b3 e. v2 -> ( -. b3 e. w2 -> b3 e. x2 ) ) -> -. ( ( -. b3 e. w2
        -> b3 e. x2 ) -> b3 e. v2 ) ) ) ) ) -> -. A. c3 ( -. ( -. A. d3 ( A. e3
        -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3
        = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) ->
        -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) ) -> -. d3 e. c3 ) -> -.
        A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3 e. h3 -> -. A. j3 ( j3
        e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. (
        m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A.
        o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e.
        j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) -> -. ( -. A. j3 ( j3 e. g3 ->
        A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3
        -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. (
        ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3
        e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e. h3 ) ) -> -. h3 e. c3 ) ) ) ->
        u2 e. c3 ) ) -> -. ( v2 e. u2 -> A. c3 ( -. ( -. A. d3 ( A. e3 -. ( (
        e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 ->
        f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -.
        f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) ) -> -. d3 e. c3 ) -> -. A. g3 (
        g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3 e. h3 -> -. A. j3 ( j3 e. g3 ->
        A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3
        -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. (
        ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3
        e. k3 ) -> o3 e. i3 ) ) ) ) ) ) -> -. ( -. A. j3 ( j3 e. g3 -> A. k3 (
        -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e.
        k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e.
        i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 )
        -> o3 e. i3 ) ) ) ) ) -> i3 e. h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3
        ) ) ) ) -> -. ( ( ( -. A. w2 ( w2 e. u2 -> A. x2 ( -. A. y2 -. A. z2 -.
        ( ( z2 e. x2 -> z2 = y2 ) -> -. ( z2 = y2 -> z2 e. x2 ) ) -> ( A. a3 (
        a3 e. w2 -> -. a3 e. x2 ) -> -. A. b3 -. ( ( b3 e. v2 -> ( -. b3 e. w2
        -> b3 e. x2 ) ) -> -. ( ( -. b3 e. w2 -> b3 e. x2 ) -> b3 e. v2 ) ) ) )
        ) -> -. A. c3 ( -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( (
        f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. (
        A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 )
        ) -> e3 e. d3 ) ) -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 (
        A. i3 -. ( ( i3 e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A.
        m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A.
        n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3
        e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 )
        ) ) ) ) ) -> -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. (
        ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3
        e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 ->
        o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) )
        -> i3 e. h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) -> -. ( v2 e. u2
        -> A. c3 ( -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e.
        e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3
        -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ->
        e3 e. d3 ) ) -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A.
        i3 -. ( ( i3 e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3
        -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3
        ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e.
        j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) )
        ) ) ) ) -> -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( (
        m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3
        e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 ->
        o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) )
        -> i3 e. h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) ) -> v2 e. t2 ) )
        ) -> A. p3 -. ( ( p3 e. t2 -> A. q3 -. ( ( q3 e. p3 -> -. q3 = q3 ) ->
        -. ( -. q3 = q3 -> q3 e. p3 ) ) ) -> -. ( A. q3 -. ( ( q3 e. p3 -> -.
        q3 = q3 ) -> -. ( -. q3 = q3 -> q3 e. p3 ) ) -> p3 e. t2 ) ) ) ) -> -.
        ( ( A. u2 ( u2 e. w1 -> -. A. v2 -. ( ( v2 e. t2 -> ( ( -. A. w2 ( w2
        e. u2 -> A. x2 ( -. A. y2 -. A. z2 -. ( ( z2 e. x2 -> z2 = y2 ) -> -. (
        z2 = y2 -> z2 e. x2 ) ) -> ( A. a3 ( a3 e. w2 -> -. a3 e. x2 ) -> -. A.
        b3 -. ( ( b3 e. v2 -> ( -. b3 e. w2 -> b3 e. x2 ) ) -> -. ( ( -. b3 e.
        w2 -> b3 e. x2 ) -> b3 e. v2 ) ) ) ) ) -> -. A. c3 ( -. ( -. A. d3 ( A.
        e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -.
        f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 )
        -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) ) -> -. d3 e. c3 ) ->
        -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3 e. h3 -> -. A. j3 (
        j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) ->
        -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 ) ->
        -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -.
        o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) -> -. ( -. A. j3 ( j3 e.
        g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3
        = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3
        -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3
        -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e. h3 ) ) -> -. h3 e. c3 ) )
        ) -> u2 e. c3 ) ) -> -. ( v2 e. u2 -> A. c3 ( -. ( -. A. d3 ( A. e3 -.
        ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 =
        f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) ->
        -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) ) -> -. d3 e. c3 ) -> -.
        A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3 e. h3 -> -. A. j3 ( j3
        e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. (
        m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A.
        o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e.
        j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) -> -. ( -. A. j3 ( j3 e. g3 ->
        A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3
        -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. (
        ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3
        e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e. h3 ) ) -> -. h3 e. c3 ) ) ) ->
        u2 e. c3 ) ) ) ) -> -. ( ( ( -. A. w2 ( w2 e. u2 -> A. x2 ( -. A. y2 -.
        A. z2 -. ( ( z2 e. x2 -> z2 = y2 ) -> -. ( z2 = y2 -> z2 e. x2 ) ) -> (
        A. a3 ( a3 e. w2 -> -. a3 e. x2 ) -> -. A. b3 -. ( ( b3 e. v2 -> ( -.
        b3 e. w2 -> b3 e. x2 ) ) -> -. ( ( -. b3 e. w2 -> b3 e. x2 ) -> b3 e.
        v2 ) ) ) ) ) -> -. A. c3 ( -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A.
        f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) )
        -> -. ( A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3
        e. e3 ) ) -> e3 e. d3 ) ) -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -.
        A. h3 ( A. i3 -. ( ( i3 e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A.
        l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 )
        ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 ->
        ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3
        e. i3 ) ) ) ) ) ) -> -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A.
        m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A.
        n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3
        e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 )
        ) ) ) ) -> i3 e. h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) -> -. ( v2
        e. u2 -> A. c3 ( -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( (
        f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. (
        A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 )
        ) -> e3 e. d3 ) ) -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 (
        A. i3 -. ( ( i3 e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A.
        m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A.
        n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3
        e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 )
        ) ) ) ) ) -> -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. (
        ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3
        e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 ->
        o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) )
        -> i3 e. h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) ) -> v2 e. t2 ) )
        ) -> A. p3 -. ( ( p3 e. t2 -> A. q3 -. ( ( q3 e. p3 -> -. q3 = q3 ) ->
        -. ( -. q3 = q3 -> q3 e. p3 ) ) ) -> -. ( A. q3 -. ( ( q3 e. p3 -> -.
        q3 = q3 ) -> -. ( -. q3 = q3 -> q3 e. p3 ) ) -> p3 e. t2 ) ) ) -> t2 e.
        a ) ) ) ) ) -> -. ( ( A. w1 ( w1 e. C -> -. A. x1 -. ( ( x1 e. a -> -.
        A. y1 ( y1 e. w1 -> -. A. z1 -. ( ( z1 e. x1 -> ( ( -. A. a2 ( a2 e. y1
        -> A. b2 ( -. A. c2 -. A. d2 -. ( ( d2 e. b2 -> d2 = c2 ) -> -. ( d2 =
        c2 -> d2 e. b2 ) ) -> ( A. e2 ( e2 e. a2 -> -. e2 e. b2 ) -> -. A. f2
        -. ( ( f2 e. z1 -> ( -. f2 e. a2 -> f2 e. b2 ) ) -> -. ( ( -. f2 e. a2
        -> f2 e. b2 ) -> f2 e. z1 ) ) ) ) ) -> -. A. g2 ( -. ( -. A. h2 ( A. i2
        -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2
        = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) ->
        -. ( -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -.
        A. k2 ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2
        e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. (
        q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A.
        s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e.
        n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 ->
        A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2
        -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. (
        ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2
        e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) ->
        y1 e. g2 ) ) -> -. ( z1 e. y1 -> A. g2 ( -. ( -. A. h2 ( A. i2 -. ( (
        i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 ->
        j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -.
        j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2 (
        k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2 ->
        A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2
        -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. (
        ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2
        e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 (
        -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e.
        o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e.
        m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 )
        -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2
        ) ) ) ) -> -. ( ( ( -. A. a2 ( a2 e. y1 -> A. b2 ( -. A. c2 -. A. d2 -.
        ( ( d2 e. b2 -> d2 = c2 ) -> -. ( d2 = c2 -> d2 e. b2 ) ) -> ( A. e2 (
        e2 e. a2 -> -. e2 e. b2 ) -> -. A. f2 -. ( ( f2 e. z1 -> ( -. f2 e. a2
        -> f2 e. b2 ) ) -> -. ( ( -. f2 e. a2 -> f2 e. b2 ) -> f2 e. z1 ) ) ) )
        ) -> -. A. g2 ( -. ( -. A. h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( (
        j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. (
        A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 )
        ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 (
        A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A.
        q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A.
        r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2
        e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 )
        ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. (
        ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2
        e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 ->
        s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) )
        -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) -> -. ( z1 e. y1
        -> A. g2 ( -. ( -. A. h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e.
        i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2
        -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ->
        i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 ( A.
        m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2
        -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2
        ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e.
        n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) )
        ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( (
        q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2
        e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 ->
        s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) )
        -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) ) -> z1 e. x1 ) )
        ) ) -> -. ( -. A. y1 ( y1 e. w1 -> -. A. z1 -. ( ( z1 e. x1 -> ( ( -.
        A. a2 ( a2 e. y1 -> A. b2 ( -. A. c2 -. A. d2 -. ( ( d2 e. b2 -> d2 =
        c2 ) -> -. ( d2 = c2 -> d2 e. b2 ) ) -> ( A. e2 ( e2 e. a2 -> -. e2 e.
        b2 ) -> -. A. f2 -. ( ( f2 e. z1 -> ( -. f2 e. a2 -> f2 e. b2 ) ) -> -.
        ( ( -. f2 e. a2 -> f2 e. b2 ) -> f2 e. z1 ) ) ) ) ) -> -. A. g2 ( -. (
        -. A. h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2
        ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 ->
        -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -.
        h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2
        -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 ->
        q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -.
        r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) )
        -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -.
        A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 =
        p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e.
        o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -.
        ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) ->
        -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) -> -. ( z1 e. y1 -> A. g2 ( -. ( -.
        A. h2 ( A. i2 -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 )
        -> -. ( -. j2 = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 ->
        -. j2 = j2 ) -> -. ( -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -.
        h2 e. g2 ) -> -. A. k2 ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2
        -> -. A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 ->
        q2 = p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -.
        r2 e. o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) )
        -> -. ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -.
        A. n2 ( n2 e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 =
        p2 ) -> -. ( q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e.
        o2 ) -> -. A. s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -.
        ( ( -. s2 e. n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) ->
        -. l2 e. g2 ) ) ) -> y1 e. g2 ) ) ) ) -> -. ( ( ( -. A. a2 ( a2 e. y1
        -> A. b2 ( -. A. c2 -. A. d2 -. ( ( d2 e. b2 -> d2 = c2 ) -> -. ( d2 =
        c2 -> d2 e. b2 ) ) -> ( A. e2 ( e2 e. a2 -> -. e2 e. b2 ) -> -. A. f2
        -. ( ( f2 e. z1 -> ( -. f2 e. a2 -> f2 e. b2 ) ) -> -. ( ( -. f2 e. a2
        -> f2 e. b2 ) -> f2 e. z1 ) ) ) ) ) -> -. A. g2 ( -. ( -. A. h2 ( A. i2
        -. ( ( i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2
        = j2 -> j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) ->
        -. ( -. j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -.
        A. k2 ( k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2
        e. k2 -> A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. (
        q2 = p2 -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A.
        s2 -. ( ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e.
        n2 -> s2 e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 ->
        A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2
        -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. (
        ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2
        e. o2 ) -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) ->
        y1 e. g2 ) ) -> -. ( z1 e. y1 -> A. g2 ( -. ( -. A. h2 ( A. i2 -. ( (
        i2 e. h2 -> A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -. j2 = j2 ->
        j2 e. i2 ) ) ) -> -. ( A. j2 -. ( ( j2 e. i2 -> -. j2 = j2 ) -> -. ( -.
        j2 = j2 -> j2 e. i2 ) ) -> i2 e. h2 ) ) -> -. h2 e. g2 ) -> -. A. k2 (
        k2 e. g2 -> -. A. l2 ( A. m2 -. ( ( m2 e. l2 -> -. A. n2 ( n2 e. k2 ->
        A. o2 ( -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2
        -> q2 e. o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. (
        ( s2 e. m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2
        e. o2 ) -> s2 e. m2 ) ) ) ) ) ) -> -. ( -. A. n2 ( n2 e. k2 -> A. o2 (
        -. A. p2 -. A. q2 -. ( ( q2 e. o2 -> q2 = p2 ) -> -. ( q2 = p2 -> q2 e.
        o2 ) ) -> ( A. r2 ( r2 e. n2 -> -. r2 e. o2 ) -> -. A. s2 -. ( ( s2 e.
        m2 -> ( -. s2 e. n2 -> s2 e. o2 ) ) -> -. ( ( -. s2 e. n2 -> s2 e. o2 )
        -> s2 e. m2 ) ) ) ) ) -> m2 e. l2 ) ) -> -. l2 e. g2 ) ) ) -> y1 e. g2
        ) ) ) -> z1 e. x1 ) ) ) -> x1 e. a ) ) ) -> -. A. w1 ( w1 e. D -> -. A.
        t2 -. ( ( t2 e. a -> ( A. u2 ( u2 e. w1 -> -. A. v2 -. ( ( v2 e. t2 ->
        ( ( -. A. w2 ( w2 e. u2 -> A. x2 ( -. A. y2 -. A. z2 -. ( ( z2 e. x2 ->
        z2 = y2 ) -> -. ( z2 = y2 -> z2 e. x2 ) ) -> ( A. a3 ( a3 e. w2 -> -.
        a3 e. x2 ) -> -. A. b3 -. ( ( b3 e. v2 -> ( -. b3 e. w2 -> b3 e. x2 ) )
        -> -. ( ( -. b3 e. w2 -> b3 e. x2 ) -> b3 e. v2 ) ) ) ) ) -> -. A. c3 (
        -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3
        = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e.
        e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) )
        -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3
        e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e.
        k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3
        -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e.
        k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) ->
        -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3
        -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 ->
        -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3
        ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e.
        h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) -> -. ( v2 e. u2 -> A. c3 (
        -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3
        = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e.
        e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) )
        -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3
        e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e.
        k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3
        -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e.
        k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) ->
        -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3
        -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 ->
        -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3
        ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e.
        h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) ) ) -> -. ( ( ( -. A. w2 (
        w2 e. u2 -> A. x2 ( -. A. y2 -. A. z2 -. ( ( z2 e. x2 -> z2 = y2 ) ->
        -. ( z2 = y2 -> z2 e. x2 ) ) -> ( A. a3 ( a3 e. w2 -> -. a3 e. x2 ) ->
        -. A. b3 -. ( ( b3 e. v2 -> ( -. b3 e. w2 -> b3 e. x2 ) ) -> -. ( ( -.
        b3 e. w2 -> b3 e. x2 ) -> b3 e. v2 ) ) ) ) ) -> -. A. c3 ( -. ( -. A.
        d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) ->
        -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e. e3 -> -.
        f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) ) -> -. d3
        e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3 e. h3 ->
        -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3
        = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3
        e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) ->
        -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) -> -. ( -. A.
        j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 )
        -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 )
        -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( (
        -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e. h3 ) ) -> -.
        h3 e. c3 ) ) ) -> u2 e. c3 ) ) -> -. ( v2 e. u2 -> A. c3 ( -. ( -. A.
        d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) ->
        -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e. e3 -> -.
        f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) ) -> -. d3
        e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3 e. h3 ->
        -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3
        = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3
        e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) ->
        -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) -> -. ( -. A.
        j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 )
        -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 )
        -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( (
        -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e. h3 ) ) -> -.
        h3 e. c3 ) ) ) -> u2 e. c3 ) ) ) -> v2 e. t2 ) ) ) -> A. p3 -. ( ( p3
        e. t2 -> A. q3 -. ( ( q3 e. p3 -> -. q3 = q3 ) -> -. ( -. q3 = q3 -> q3
        e. p3 ) ) ) -> -. ( A. q3 -. ( ( q3 e. p3 -> -. q3 = q3 ) -> -. ( -. q3
        = q3 -> q3 e. p3 ) ) -> p3 e. t2 ) ) ) ) -> -. ( ( A. u2 ( u2 e. w1 ->
        -. A. v2 -. ( ( v2 e. t2 -> ( ( -. A. w2 ( w2 e. u2 -> A. x2 ( -. A. y2
        -. A. z2 -. ( ( z2 e. x2 -> z2 = y2 ) -> -. ( z2 = y2 -> z2 e. x2 ) )
        -> ( A. a3 ( a3 e. w2 -> -. a3 e. x2 ) -> -. A. b3 -. ( ( b3 e. v2 -> (
        -. b3 e. w2 -> b3 e. x2 ) ) -> -. ( ( -. b3 e. w2 -> b3 e. x2 ) -> b3
        e. v2 ) ) ) ) ) -> -. A. c3 ( -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 ->
        A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 )
        ) ) -> -. ( A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 ->
        f3 e. e3 ) ) -> e3 e. d3 ) ) -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 ->
        -. A. h3 ( A. i3 -. ( ( i3 e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -.
        A. l3 -. A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3
        ) ) -> ( A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3
        -> ( -. o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) ->
        o3 e. i3 ) ) ) ) ) ) -> -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -.
        A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> (
        A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -.
        o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e.
        i3 ) ) ) ) ) -> i3 e. h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) -> -.
        ( v2 e. u2 -> A. c3 ( -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -.
        ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -.
        ( A. f3 -. ( ( f3 e. e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3
        ) ) -> e3 e. d3 ) ) -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3
        ( A. i3 -. ( ( i3 e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -.
        A. m3 -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> (
        A. n3 ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -.
        o3 e. j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e.
        i3 ) ) ) ) ) ) -> -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3
        -. ( ( m3 e. k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3
        ( n3 e. j3 -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e.
        j3 -> o3 e. k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) )
        ) ) ) -> i3 e. h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) ) ) -> -. (
        ( ( -. A. w2 ( w2 e. u2 -> A. x2 ( -. A. y2 -. A. z2 -. ( ( z2 e. x2 ->
        z2 = y2 ) -> -. ( z2 = y2 -> z2 e. x2 ) ) -> ( A. a3 ( a3 e. w2 -> -.
        a3 e. x2 ) -> -. A. b3 -. ( ( b3 e. v2 -> ( -. b3 e. w2 -> b3 e. x2 ) )
        -> -. ( ( -. b3 e. w2 -> b3 e. x2 ) -> b3 e. v2 ) ) ) ) ) -> -. A. c3 (
        -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3
        = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e.
        e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) )
        -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3
        e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e.
        k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3
        -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e.
        k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) ->
        -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3
        -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 ->
        -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3
        ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e.
        h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) -> -. ( v2 e. u2 -> A. c3 (
        -. ( -. A. d3 ( A. e3 -. ( ( e3 e. d3 -> A. f3 -. ( ( f3 e. e3 -> -. f3
        = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) ) -> -. ( A. f3 -. ( ( f3 e.
        e3 -> -. f3 = f3 ) -> -. ( -. f3 = f3 -> f3 e. e3 ) ) -> e3 e. d3 ) )
        -> -. d3 e. c3 ) -> -. A. g3 ( g3 e. c3 -> -. A. h3 ( A. i3 -. ( ( i3
        e. h3 -> -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e.
        k3 -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3
        -> -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e.
        k3 ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) ) ->
        -. ( -. A. j3 ( j3 e. g3 -> A. k3 ( -. A. l3 -. A. m3 -. ( ( m3 e. k3
        -> m3 = l3 ) -> -. ( m3 = l3 -> m3 e. k3 ) ) -> ( A. n3 ( n3 e. j3 ->
        -. n3 e. k3 ) -> -. A. o3 -. ( ( o3 e. i3 -> ( -. o3 e. j3 -> o3 e. k3
        ) ) -> -. ( ( -. o3 e. j3 -> o3 e. k3 ) -> o3 e. i3 ) ) ) ) ) -> i3 e.
        h3 ) ) -> -. h3 e. c3 ) ) ) -> u2 e. c3 ) ) ) -> v2 e. t2 ) ) ) -> A.
        p3 -. ( ( p3 e. t2 -> A. q3 -. ( ( q3 e. p3 -> -. q3 = q3 ) -> -. ( -.
        q3 = q3 -> q3 e. p3 ) ) ) -> -. ( A. q3 -. ( ( q3 e. p3 -> -. q3 = q3 )
        -> -. ( -. q3 = q3 -> q3 e. p3 ) ) -> p3 e. t2 ) ) ) -> t2 e. a ) ) ) )
        -> ( A. b ( b e. A -> -. A. c -. ( ( c e. a -> -. A. d ( d e. b -> -.
        A. e -. ( ( e e. c -> ( ( -. A. f ( f e. d -> A. g ( -. A. h -. A. i -.
        ( ( i e. g -> i = h ) -> -. ( i = h -> i e. g ) ) -> ( A. j ( j e. f ->
        -. j e. g ) -> -. A. k -. ( ( k e. e -> ( -. k e. f -> k e. g ) ) -> -.
        ( ( -. k e. f -> k e. g ) -> k e. e ) ) ) ) ) -> -. A. l ( -. ( -. A. m
        ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o =
        o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o
        = o -> o e. n ) ) -> n e. m ) ) -> -. m e. l ) -> -. A. p ( p e. l ->
        -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s e. p -> A. t ( -. A. u -.
        A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w
        e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t )
        ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s
        ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v =
        u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x
        e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x
        e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l ) ) ) -> d e. l ) ) -> -. ( e
        e. d -> A. l ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n
        -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e.
        n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) -> n e. m ) ) -> -. m e.
        l ) -> -. A. p ( p e. l -> -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s
        e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u
        -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e.
        r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e.
        r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( (
        v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -.
        w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. (
        ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l
        ) ) ) -> d e. l ) ) ) ) -> -. ( ( ( -. A. f ( f e. d -> A. g ( -. A. h
        -. A. i -. ( ( i e. g -> i = h ) -> -. ( i = h -> i e. g ) ) -> ( A. j
        ( j e. f -> -. j e. g ) -> -. A. k -. ( ( k e. e -> ( -. k e. f -> k e.
        g ) ) -> -. ( ( -. k e. f -> k e. g ) -> k e. e ) ) ) ) ) -> -. A. l (
        -. ( -. A. m ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n -> -. o = o )
        -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e. n -> -. o = o
        ) -> -. ( -. o = o -> o e. n ) ) -> n e. m ) ) -> -. m e. l ) -> -. A.
        p ( p e. l -> -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s e. p -> A. t
        ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) )
        -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e.
        s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) )
        -> -. ( -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v =
        u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -.
        A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s ->
        x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l ) ) ) -> d e. l
        ) ) -> -. ( e e. d -> A. l ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o
        -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A.
        o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) -> n e. m
        ) ) -> -. m e. l ) -> -. A. p ( p e. l -> -. A. q ( A. r -. ( ( r e. q
        -> -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u )
        -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A.
        x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x
        e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t ( -. A. u
        -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w
        ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e.
        t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) )
        -> -. q e. l ) ) ) -> d e. l ) ) ) -> e e. c ) ) ) ) -> -. ( -. A. d (
        d e. b -> -. A. e -. ( ( e e. c -> ( ( -. A. f ( f e. d -> A. g ( -. A.
        h -. A. i -. ( ( i e. g -> i = h ) -> -. ( i = h -> i e. g ) ) -> ( A.
        j ( j e. f -> -. j e. g ) -> -. A. k -. ( ( k e. e -> ( -. k e. f -> k
        e. g ) ) -> -. ( ( -. k e. f -> k e. g ) -> k e. e ) ) ) ) ) -> -. A. l
        ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n -> -. o = o )
        -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e. n -> -. o = o
        ) -> -. ( -. o = o -> o e. n ) ) -> n e. m ) ) -> -. m e. l ) -> -. A.
        p ( p e. l -> -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s e. p -> A. t
        ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) )
        -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e.
        s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) )
        -> -. ( -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v =
        u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -.
        A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s ->
        x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l ) ) ) -> d e. l
        ) ) -> -. ( e e. d -> A. l ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o
        -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A.
        o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) -> n e. m
        ) ) -> -. m e. l ) -> -. A. p ( p e. l -> -. A. q ( A. r -. ( ( r e. q
        -> -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u )
        -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A.
        x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x
        e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t ( -. A. u
        -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w
        ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e.
        t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) )
        -> -. q e. l ) ) ) -> d e. l ) ) ) ) -> -. ( ( ( -. A. f ( f e. d -> A.
        g ( -. A. h -. A. i -. ( ( i e. g -> i = h ) -> -. ( i = h -> i e. g )
        ) -> ( A. j ( j e. f -> -. j e. g ) -> -. A. k -. ( ( k e. e -> ( -. k
        e. f -> k e. g ) ) -> -. ( ( -. k e. f -> k e. g ) -> k e. e ) ) ) ) )
        -> -. A. l ( -. ( -. A. m ( A. n -. ( ( n e. m -> A. o -. ( ( o e. n ->
        -. o = o ) -> -. ( -. o = o -> o e. n ) ) ) -> -. ( A. o -. ( ( o e. n
        -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) -> n e. m ) ) -> -. m e. l
        ) -> -. A. p ( p e. l -> -. A. q ( A. r -. ( ( r e. q -> -. A. s ( s e.
        p -> A. t ( -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v
        e. t ) ) -> ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r ->
        ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) )
        ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e.
        t -> v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e.
        t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -.
        x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r e. q ) ) -> -. q e. l ) ) )
        -> d e. l ) ) -> -. ( e e. d -> A. l ( -. ( -. A. m ( A. n -. ( ( n e.
        m -> A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) ) )
        -> -. ( A. o -. ( ( o e. n -> -. o = o ) -> -. ( -. o = o -> o e. n ) )
        -> n e. m ) ) -> -. m e. l ) -> -. A. p ( p e. l -> -. A. q ( A. r -. (
        ( r e. q -> -. A. s ( s e. p -> A. t ( -. A. u -. A. v -. ( ( v e. t ->
        v = u ) -> -. ( v = u -> v e. t ) ) -> ( A. w ( w e. s -> -. w e. t )
        -> -. A. x -. ( ( x e. r -> ( -. x e. s -> x e. t ) ) -> -. ( ( -. x e.
        s -> x e. t ) -> x e. r ) ) ) ) ) ) -> -. ( -. A. s ( s e. p -> A. t (
        -. A. u -. A. v -. ( ( v e. t -> v = u ) -> -. ( v = u -> v e. t ) ) ->
        ( A. w ( w e. s -> -. w e. t ) -> -. A. x -. ( ( x e. r -> ( -. x e. s
        -> x e. t ) ) -> -. ( ( -. x e. s -> x e. t ) -> x e. r ) ) ) ) ) -> r
        e. q ) ) -> -. q e. l ) ) ) -> d e. l ) ) ) -> e e. c ) ) ) -> c e. a )
        ) ) -> -. A. b ( b e. B -> -. A. y -. ( ( y e. a -> ( A. z ( z e. b ->
        -. A. a1 -. ( ( a1 e. y -> ( ( -. A. b1 ( b1 e. z -> A. c1 ( -. A. d1
        -. A. e1 -. ( ( e1 e. c1 -> e1 = d1 ) -> -. ( e1 = d1 -> e1 e. c1 ) )
        -> ( A. f1 ( f1 e. b1 -> -. f1 e. c1 ) -> -. A. g1 -. ( ( g1 e. a1 -> (
        -. g1 e. b1 -> g1 e. c1 ) ) -> -. ( ( -. g1 e. b1 -> g1 e. c1 ) -> g1
        e. a1 ) ) ) ) ) -> -. A. h1 ( -. ( -. A. i1 ( A. j1 -. ( ( j1 e. i1 ->
        A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 )
        ) ) -> -. ( A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 ->
        k1 e. j1 ) ) -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1 ( l1 e. h1 ->
        -. A. m1 ( A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1 -> A. p1 ( -.
        A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1
        ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1
        -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) ->
        t1 e. n1 ) ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -.
        A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> (
        A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -.
        t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e.
        n1 ) ) ) ) ) -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z e. h1 ) ) -> -.
        ( a1 e. z -> A. h1 ( -. ( -. A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -.
        ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -.
        ( A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1
        ) ) -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1
        ( A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -.
        A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> (
        A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -.
        t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e.
        n1 ) ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1
        -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1
        ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e.
        o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) )
        ) ) ) -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z e. h1 ) ) ) ) -> -. ( (
        ( -. A. b1 ( b1 e. z -> A. c1 ( -. A. d1 -. A. e1 -. ( ( e1 e. c1 -> e1
        = d1 ) -> -. ( e1 = d1 -> e1 e. c1 ) ) -> ( A. f1 ( f1 e. b1 -> -. f1
        e. c1 ) -> -. A. g1 -. ( ( g1 e. a1 -> ( -. g1 e. b1 -> g1 e. c1 ) ) ->
        -. ( ( -. g1 e. b1 -> g1 e. c1 ) -> g1 e. a1 ) ) ) ) ) -> -. A. h1 ( -.
        ( -. A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 =
        k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1
        -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) ->
        -. i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e.
        m1 -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1
        -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 ->
        -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1
        ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. (
        -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1
        = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1
        e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) ->
        -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) )
        -> -. m1 e. h1 ) ) ) -> z e. h1 ) ) -> -. ( a1 e. z -> A. h1 ( -. ( -.
        A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 )
        -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 ->
        -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -.
        i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1
        -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 ->
        r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -.
        s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) )
        -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -.
        A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 =
        q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e.
        p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -.
        ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) ->
        -. m1 e. h1 ) ) ) -> z e. h1 ) ) ) -> a1 e. y ) ) ) -> A. u1 -. ( ( u1
        e. y -> A. v1 -. ( ( v1 e. u1 -> -. v1 = v1 ) -> -. ( -. v1 = v1 -> v1
        e. u1 ) ) ) -> -. ( A. v1 -. ( ( v1 e. u1 -> -. v1 = v1 ) -> -. ( -. v1
        = v1 -> v1 e. u1 ) ) -> u1 e. y ) ) ) ) -> -. ( ( A. z ( z e. b -> -.
        A. a1 -. ( ( a1 e. y -> ( ( -. A. b1 ( b1 e. z -> A. c1 ( -. A. d1 -.
        A. e1 -. ( ( e1 e. c1 -> e1 = d1 ) -> -. ( e1 = d1 -> e1 e. c1 ) ) -> (
        A. f1 ( f1 e. b1 -> -. f1 e. c1 ) -> -. A. g1 -. ( ( g1 e. a1 -> ( -.
        g1 e. b1 -> g1 e. c1 ) ) -> -. ( ( -. g1 e. b1 -> g1 e. c1 ) -> g1 e.
        a1 ) ) ) ) ) -> -. A. h1 ( -. ( -. A. i1 ( A. j1 -. ( ( j1 e. i1 -> A.
        k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) )
        -> -. ( A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1
        e. j1 ) ) -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -.
        A. m1 ( A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A.
        q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 )
        ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 ->
        ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1
        e. n1 ) ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A.
        r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A.
        s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1
        e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 )
        ) ) ) ) -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z e. h1 ) ) -> -. ( a1
        e. z -> A. h1 ( -. ( -. A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( (
        k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. (
        A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 )
        ) -> j1 e. i1 ) ) -> -. i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 (
        A. n1 -. ( ( n1 e. m1 -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A.
        r1 -. ( ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A.
        s1 ( s1 e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1
        e. o1 -> t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 )
        ) ) ) ) ) -> -. ( -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. (
        ( r1 e. p1 -> r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1
        e. o1 -> -. s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 ->
        t1 e. p1 ) ) -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) )
        -> n1 e. m1 ) ) -> -. m1 e. h1 ) ) ) -> z e. h1 ) ) ) ) -> -. ( ( ( -.
        A. b1 ( b1 e. z -> A. c1 ( -. A. d1 -. A. e1 -. ( ( e1 e. c1 -> e1 = d1
        ) -> -. ( e1 = d1 -> e1 e. c1 ) ) -> ( A. f1 ( f1 e. b1 -> -. f1 e. c1
        ) -> -. A. g1 -. ( ( g1 e. a1 -> ( -. g1 e. b1 -> g1 e. c1 ) ) -> -. (
        ( -. g1 e. b1 -> g1 e. c1 ) -> g1 e. a1 ) ) ) ) ) -> -. A. h1 ( -. ( -.
        A. i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 )
        -> -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 ->
        -. k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -.
        i1 e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1
        -> -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 ->
        r1 = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -.
        s1 e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) )
        -> -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -.
        A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 =
        q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e.
        p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -.
        ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) ->
        -. m1 e. h1 ) ) ) -> z e. h1 ) ) -> -. ( a1 e. z -> A. h1 ( -. ( -. A.
        i1 ( A. j1 -. ( ( j1 e. i1 -> A. k1 -. ( ( k1 e. j1 -> -. k1 = k1 ) ->
        -. ( -. k1 = k1 -> k1 e. j1 ) ) ) -> -. ( A. k1 -. ( ( k1 e. j1 -> -.
        k1 = k1 ) -> -. ( -. k1 = k1 -> k1 e. j1 ) ) -> j1 e. i1 ) ) -> -. i1
        e. h1 ) -> -. A. l1 ( l1 e. h1 -> -. A. m1 ( A. n1 -. ( ( n1 e. m1 ->
        -. A. o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1
        = q1 ) -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1
        e. p1 ) -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) ->
        -. ( ( -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) ) -> -. ( -. A.
        o1 ( o1 e. l1 -> A. p1 ( -. A. q1 -. A. r1 -. ( ( r1 e. p1 -> r1 = q1 )
        -> -. ( r1 = q1 -> r1 e. p1 ) ) -> ( A. s1 ( s1 e. o1 -> -. s1 e. p1 )
        -> -. A. t1 -. ( ( t1 e. n1 -> ( -. t1 e. o1 -> t1 e. p1 ) ) -> -. ( (
        -. t1 e. o1 -> t1 e. p1 ) -> t1 e. n1 ) ) ) ) ) -> n1 e. m1 ) ) -> -.
        m1 e. h1 ) ) ) -> z e. h1 ) ) ) -> a1 e. y ) ) ) -> A. u1 -. ( ( u1 e.
        y -> A. v1 -. ( ( v1 e. u1 -> -. v1 = v1 ) -> -. ( -. v1 = v1 -> v1 e.
        u1 ) ) ) -> -. ( A. v1 -. ( ( v1 e. u1 -> -. v1 = v1 ) -> -. ( -. v1 =
        v1 -> v1 e. u1 ) ) -> u1 e. y ) ) ) -> y e. a ) ) ) ) ) ) ) ) $=
    ( cop wceq wa wb cv wcel wel weq wi wn wal opth dfcleq vex elopprim bibi12i
    dfbi1 bitri albii df-an mpbi ) HIXTZJKXTZYAZHJYAZIKYAZYBZYCZUGYDZHYEUHUFYFZ
    UIUGYFLUHYFZMUIYFPNYFZPOYGZYHUULUUKYHYIYHYIPYJYIOYJYIQMYFQNYFYIYHQYJRLYFZRM
    YFYIRNYFYHZYHUUNUUMYHYIYHYIRYJYIYHYHNYJYHMYJYITSYFZUATYFZUAUAYGYIZYHUUQUUPY
    HYIYHYIUAYJZYHUURUUOYHYIYHYITYJSUJYFYIYHSYJYIUEUJYFUCUDYFZUBUEYFEGYFZEFYGZY
    HUVAUUTYHYIYHYIEYJYIFYJYIDUBYFDGYFYIYHDYJAUCYFZAUBYFYIAGYFYHZYHUVCUVBYHYIYH
    YIAYJYIYHYHGYJYHUBYJYIZYHUVDUUSYHYIYHYIUCYJUDUJYFYIYHUDYJYIYHUEYJYIYHYIUIUJ
    YFYHUJYJZYIYHLUIYFUVEYHYIYHZYHUVFUUJYHYIYHYILYJYIYHUIYJYIZYHUVGUUIYHYIYHYIU
    HYJYIYHUGYJUUHIYEBUFYFZCUGYFUKBYFZULCYFUOUMYFZUOUNYGZYHUVKUVJYHYIYHYIUOYJYI
    UNYJYIUPULYFUPUMYFYIYHUPYJUQUKYFZUQULYFYIUQUMYFYHZYHUVMUVLYHYIYHYIUQYJYIYHY
    HUMYJYHULYJYIUTUSYFZVAUTYFZVAVAYGYIZYHUVPUVOYHYIYHYIVAYJZYHUVQUVNYHYIYHYIUT
    YJUSURYFYIYHUSYJYIVBURYFVDVCYFZVEVBYFVHVFYFZVHVGYGZYHUVTUVSYHYIYHYIVHYJYIVG
    YJYIVIVEYFVIVFYFYIYHVIYJVJVDYFZVJVEYFYIVJVFYFYHZYHUWBUWAYHYIYHYIVJYJYIYHYHV
    FYJYHVEYJYIZYHUWCUVRYHYIYHYIVDYJVCURYFYIYHVCYJYIYHVBYJYIYHYICURYFYHURYJZYIY
    HUKCYFUWDYHYIYHZYHUWEUVIYHYIYHYIUKYJYIYHCYJVKBYFZVLVKYFZVLVLYGYIZYHUWHUWGYH
    YIYHYIVLYJZYHUWIUWFYHYIYHYIVKYJYHZYHUWJUVHYHYIYHYIBYJYIYHUGYJYIYHZVMYDZJYEV
    NUFYFZVOVMYFVPVNYFZVQVOYFVTVRYFZVTVSYGZYHUWPUWOYHYIYHYIVTYJYIVSYJYIWAVQYFWA
    VRYFYIYHWAYJWBVPYFZWBVQYFYIWBVRYFYHZYHUWRUWQYHYIYHYIWBYJYIYHYHVRYJYHVQYJYIW
    EWDYFZWFWEYFZWFWFYGYIZYHUXAUWTYHYIYHYIWFYJZYHUXBUWSYHYIYHYIWEYJWDWCYFYIYHWD
    YJYIWGWCYFWIWHYFZWJWGYFWMWKYFZWMWLYGZYHUXEUXDYHYIYHYIWMYJYIWLYJYIWNWJYFWNWK
    YFYIYHWNYJWOWIYFZWOWJYFYIWOWKYFYHZYHUXGUXFYHYIYHYIWOYJYIYHYHWKYJYHWJYJYIZYH
    UXHUXCYHYIYHYIWIYJWHWCYFYIYHWHYJYIYHWGYJYIYHYIVOWCYFYHWCYJZYIYHVPVOYFUXIYHY
    IYHZYHUXJUWNYHYIYHYIVPYJYIYHVOYJYIZYHUXKUWMYHYIYHYIVNYJYIYHVMYJUWLKYEWPUFYF
    ZWQVMYFWRWPYFZWSWQYFXBWTYFZXBXAYGZYHUXOUXNYHYIYHYIXBYJYIXAYJYIXCWSYFXCWTYFY
    IYHXCYJXDWRYFZXDWSYFYIXDWTYFYHZYHUXQUXPYHYIYHYIXDYJYIYHYHWTYJYHWSYJYIXGXFYF
    ZXHXGYFZXHXHYGYIZYHUXTUXSYHYIYHYIXHYJZYHUYAUXRYHYIYHYIXGYJXFXEYFYIYHXFYJYIX
    IXEYFXKXJYFZXLXIYFXOXMYFZXOXNYGZYHUYDUYCYHYIYHYIXOYJYIXNYJYIXPXLYFXPXMYFYIY
    HXPYJXQXKYFZXQXLYFYIXQXMYFYHZYHUYFUYEYHYIYHYIXQYJYIYHYHXMYJYHXLYJYIZYHUYGUY
    BYHYIYHYIXKYJXJXEYFYIYHXJYJYIYHXIYJYIYHYIWQXEYFYHXEYJZYIYHWRWQYFUYHYHYIYHZY
    HUYIUXMYHYIYHYIWRYJYIYHWQYJXRWPYFZXSXRYFZXSXSYGYIZYHUYLUYKYHYIYHYIXSYJZYHUY
    MUYJYHYIYHYIXRYJYHZYHUYNUXLYHYIYHYIWPYJYIYHVMYJYIYHZYHUYOUWKYHYIYHYIZUFYJZU
    UDUUEYIYHYIZYHUYRUYQYHYIYHYIZHIJKYKUUGUYQUYRYCUYSUUCUYQUUFUYRUUCUFYDZUUAYEZ
    UYTUUBYEZYCZUFYJUYQUFUUAUUBYLVUCUYPUFVUCUWKUYOYCUYPVUAUWKVUBUYOBCUKADEFUYTH
    IMNOPQRUJTUAUEGUBUCUDUGUHUILSULUMUNUOUPUQURUSUTVAVBVCVDVEVFVGVHVIVJVKVLUFYM
    ZYNWPWQWRWOWNWMWLUYTJKVQVRVSVTWAWBWCWEWFWGWKWJWIWHVMVNVOVPWDWSWTXAXBXCXDXEX
    FXGXHXIXJXKXLXMXNXOXPXQXRXSVUDYNYOUWKUYOYPYQYRYQUUDUUEYSYOUYQUYRYPYQYT $.
$)
    $( [24-Mar-2015] $)
  $}
